/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2024-04-15 20:31:32Z
 *****************************************************************************/

#include "rsscope.h"
#include "rsscope_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsscope_RsCoreRepCapTableCount = 51;

RsCoreRepCap rsscope_RsCoreRepCapTable[51] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Channel",
      "CH1,CH2,CH3,CH4,CHExt",
      "1,2,3,4,5"
    }, {
      "Waveform",
      "W0,W1,W2,W3",
      "1,1,2,3"
    }, {
      "Trigger",
      "TrigA,TrigB,TrigR",
      "1,2,3"
    }, {
      "Cursor",
      "C1,C2,C3,C4",
      "1,2,3,4"
    }, {
      "CPosition",
      "P1,P2",
      "1,2"
    }, {
      "TriggerSource",
      "TsCH1,TsCH2,TsCH3,TsCH4,TsExt,TsLine,TsZ1V1,TsZ1V2,TsZ1V3,TsZ1V4,TsZ1I1,TsZ1I2,TsZ1I3,TsZ1I4,TsZ2V1,TsZ2V2,TsZ2V3,TsZ2V4,TsZ2I1,TsZ2I2,TsZ2I3,TsZ2I4,TsDiff1,TsDiff2,TsCommon1,TsCommon2",
      "1,2,3,4,5,10,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31"
    }, {
      "TriggerType",
      "Edge,Width,Runt,Glitch,Window,Timeout,Interval,Slew,Data2Clock,Pattern,External,T11,T12,NFC,TV,CDR",
      "1,3,4,2,5,6,7,8,9,10,11,12,14,15,16,17"
    }, {
      "Measurement",
      "Meas1,Meas2,Meas3,Meas4,Meas5,Meas6,Meas7,Meas8,Meas9,Meas10",
      "1,2,3,4,5,6,7,8,9,10"
    }, {
      "AmptMeasurementType",
      "Ampt1,Ampt2,Ampt3,Ampt4,Ampt5,Ampt6,Ampt7,Ampt8,Ampt9,Ampt10,Ampt11,Ampt12,Ampt13,Ampt14,Ampt15,Ampt16,Ampt17,Ampt18,Ampt19,Ampt20,Ampt21,Ampt22,Ampt23,Ampt24,Ampt25,Ampt26,Ampt27,Ampt28,Ampt29,Ampt30,Ampt47,Ampt31,Ampt32,Ampt35,Ampt36,Ampt33,"
      "Ampt34,Ampt46,Ampt48,Ampt49",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,47,31,32,35,36,33,"
      "34,46,48,49"
    }, {
      "EyeMeasurementType",
      "Eye1,Eye2,Eye3,Eye4,Eye5,Eye6,Eye7,Eye8,Eye9,Eye10,Eye11,Eye12,Eye13,Eye14,Eye15,Eye16,Eye17,Eye18,Eye19,Eye20,Eye21,Eye22,Eye23,Eye24,Eye25,Eye26,Eye27,Eye28,Eye29,Eye30",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30"
    }, {
      "HistogramMeasurementType",
      "Hist1,Hist2,Hist3,Hist4,Hist5,Hist6,Hist7,Hist8,Hist9,Hist10,Hist11,Hist12,Hist13,Hist14,Hist15,Hist16,Hist17,Hist18",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18"
    }, {
      "SpectrumMeasurementType",
      "Spec1,Spec2,Spec3,Spec4,Spec5,Spec6,Spec7,Spec8,Spec9,Spec10,Spec11,Spec12",
      "1,2,3,4,9,10,7,8,11,12,13,14"
    }, {
      "Math",
      "M1,M2,M3,M4,M5,M6,M7,M8",
      "1,2,3,4,5,6,7,8"
    }, {
      "WfmSuffix",
      "WfmNone,WfmC1W1,WfmC1W2,WfmC1W3,WfmC2W1,WfmC2W2,WfmC2W3,WfmC3W1,WfmC3W2,WfmC3W3,WfmC4W1,WfmC4W2,WfmC4W3,WfmMath1,WfmMath2,WfmMath3,WfmMath4,WfmRef1,WfmRef2,WfmRef3,WfmRef4,WfmXY1,WfmXY2,WfmXY3,WfmXY4,WfmMeas1,WfmMeas2,WfmMeas3,WfmMeas4,WfmMeas5,"
      "WfmMeas6,WfmMeas7,WfmMeas8,WfmSbus1,WfmSbus2,WfmSbus3,WfmSbus4,WfmD0,WfmD1,WfmD2,WfmD3,WfmD4,WfmD5,WfmD6,WfmD7,WfmD8,WfmD9,WfmD10,WfmD11,WfmD12,WfmD13,WfmD14,WfmD15,WfmMSO1,WfmMSO2,WfmMSO3,WfmMSO4,WfmTRK1,WfmTRK2,WfmTRK3,WfmTRK4,WfmTRK5,WfmTRK6,"
      "WfmTRK7,WfmTRK8,WfmSpectrum1,WfmSpectrum2,WfmSpectrum3,WfmSpectrum4,WfmSG1TL1,WfmSG1TL2,WfmSG2TL1,WfmSG2TL2,WfmSG3TL1,WfmSG3TL2,WfmSG4TL1,WfmSG4TL2,WfmEye1,WfmEye2,WfmEye3,WfmEye4,WfmZ1V1,WfmZ1V2,WfmZ1V3,WfmZ1V4,WfmZ1I1,WfmZ1I2,WfmZ1I3,WfmZ1I4,"
      "WfmZ2V1,WfmZ2V2,WfmZ2V3,WfmZ2V4,WfmZ2I1,WfmZ2I2,WfmZ2I3,WfmZ2I4,WfmDiff1,WfmDiff2,WfmCommon1,WfmCommon2,WfmTDRZ,WfmTDRH,WfmTDRR,WfmMath5,WfmMath6,WfmMath7,WfmMath8,WfmSpectrum5,WfmSpectrum6,WfmSpectrum7,WfmSpectrum8,WfmSG5TL1,WfmSG5TL2,WfmSG6TL1,"
      "WfmSG6TL2,WfmSG7TL1,WfmSG7TL2,WfmSG8TL1,WfmSG8TL2,WfmHP1,WfmHP2,WfmHP3,WfmHP4,WfmHP5,WfmHP6,WfmHP7,WfmHP8,WfmHP9,WfmHP10,WfmBathtub1,WfmBathMeas1,WfmStepResp1,WfmSRHist1,WfmSDHist1,WfmTJHist1,WfmDJHist1,WfmDDJHist1,WfmPJHist1,WfmRJOHist1,"
      "WfmSRTrack1,WfmTJTrack1,WfmDJTrack1,WfmDDJTrack1,WfmPJTrack1,WfmRJTrack1,WfmTJSpectrum1,WfmDDJSpectrum1,WfmPJSpectrum1,WfmRJSpectrum1,WfmSEye1,WfmBathtub2,WfmBathMeas2,WfmStepResp2,WfmSRHist2,WfmSDHist2,WfmTJHist2,WfmDJHist2,WfmDDJHist2,"
      "WfmPJHist2,WfmRJOHist2,WfmSRTrack2,WfmSDTrack2,WfmTJTrack2,WfmDDJTrack2,WfmPJTrack2,WfmRJTrack2,WfmTJSpectrum2,WfmDDJSpectrum2,WfmPJSpectrum2,WfmRJSpectrum2,WfmSEye2,WfmNBathtub1,WfmNBathMeas1,WfmTNHist1,WfmDNHist1,WfmDDNHist1,WfmPNHist1,"
      "WfmRNOTrack1,WfmTNTrack1,WfmDDNTrack1,WfmPNTrack1,WfmRNTrack1,WfmTNSpectrum1,WfmDDNSpectrum1,WfmPNSpectrum1,WfmRNSpectrum1,WfmNBathtub2,WfmNBathMeas2,WfmTNHist2,WfmDNHist2,WfmDDNHist2,WfmPNHist2,WfmRNOHist2,WfmTNTrack2,WfmDDNTrack2,WfmPNTrack2,"
      "WfmRNTrack2,WfmTNSpectrum2,WfmDDNSpectrum2,WfmPNSpectrum2,WfmRNSpectrum2,WfmPJDHist1,WfmBUJHist1,WfmRJHist1,WfmPJDTrack1,WfmPJDSpectrum1,WfmPJDHist2,WfmBUJHist2,WfmRJHist2,WfmPJDTrack2,WfmPJDSpectrum2,WfmPNDHist1,WfmBUNHist1,WfmRNHist1,"
      "WfmPNDTrack1,WfmPNDSpectrum1,WfmPNDHist2,WfmBUNHist2,WfmRNHist2,WfmPNDTrack2,WfmPNDSpectrum2",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,"
      "31,32,33,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,61,62,63,64,65,66,"
      "67,68,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,"
      "96,97,98,99,100,101,102,103,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,"
      "126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,142,143,144,145,146,147,148,149,150,151,"
      "152,154,155,156,157,158,159,160,161,162,163,165,166,167,168,169,170,171,172,"
      "173,174,175,176,177,179,180,181,182,183,184,185,186,187,188,189,190,191,192,"
      "193,194,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,212,213,"
      "214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,"
      "232,233,234,235,236,237,238"
    }, {
      "ReferenceWfm",
      "RW1,RW2,RW3,RW4",
      "1,2,3,4"
    }, {
      "SerialBus",
      "SB1,SB2,SB3,SB4",
      "1,2,3,4"
    }, {
      "Destination",
      "DE1,DE2",
      "1,2"
    }, {
      "XYDiagram",
      "XY1,XY2,XY3,XY4",
      "1,2,3,4"
    }, {
      "CANTimeSeg",
      "TS1,TS2",
      "1,2"
    }, {
      "ORSlot",
      "ORSlot1,ORSlot2,ORSlot3,ORSlot4",
      "1,2,3,4"
    }, {
      "SourceNumber",
      "SN1,SN2,SN3,SN4",
      "1,2,3,4"
    }, {
      "Line",
      "Data,Enable",
      "1,2"
    }, {
      "DigitalChannel",
      "D0,D1,D2,D3,D4,D5,D6,D7,D8,D9,D10,D11,D12,D13,D14,D15",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
    }, {
      "ChannelGroup",
      "CG1,CG2,CG3,CG4",
      "1,2,3,4"
    }, {
      "ConditionNumber",
      "Con1,Con2,Con3,Con4",
      "1,2,3,4"
    }, {
      "TDMChannel",
      "TDM1,TDM2,TDM3,TDM4,TDM5,TDM6,TDM7,TDM8",
      "1,2,3,4,5,6,7,8"
    }, {
      "JitterMeasurementType",
      "Jitt1,Jitt2,Jitt3,Jitt4,Jitt5,Jitt6,Jitt7,Jitt8,Jitt9",
      "37,38,39,40,41,42,43,44,45"
    }, {
      "SW",
      "SW1,SW2",
      "1,2"
    }, {
      "Gate",
      "Gate1,Gate2,Gate3,Gate4,Gate5",
      "1,2,3,4,5"
    }, {
      "ResultNumber",
      "Res1,Res2,Res3,Res4,Res5,Res6,Res7,Res8",
      "1,2,3,4,5,6,7,8"
    }, {
      "ResultHarmonics",
      "Harm1,Harm2,Harm3,Harm4,Harm5,Harm6,Harm7,Harm8,Harm9,Harm10,Harm11,Harm12,Harm13,Harm14,Harm15,Harm16,Harm17,Harm18,Harm19,Harm20,Harm21,Harm22,Harm23,Harm24,Harm25,Harm26,Harm27,Harm28,Harm29,Harm30,Harm31,Harm32,Harm33,Harm34,Harm35,Harm36,"
      "Harm37,Harm38,Harm39,Herm40",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,"
      "37,38,39,40"
    }, {
      "Timeline",
      "TL1,TL2",
      "1,2"
    }, {
      "Math2",
      "M21,M22,M23,M24,M25,M26,M27,M28",
      "1,2,3,4,5,6,7,8"
    }, {
      "WaveformGenerator",
      "WG1,WG2",
      "1,2"
    }, {
      "FieldNumber",
      "Field1,Field2,Field3,Field4,Field5,Field6,Field7,Field8,Field9,Field10,Field11,Field12,Field13,Field14,Field15,Field16,Field17,Field18,Field19,Field20",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20"
    }, {
      "ZVCZ",
      "ZVCZ1,ZVCZ2",
      "1,2"
    }, {
      "ZVCV",
      "ZVCV1,ZVCV2,ZVCV3,ZVCV4",
      "1,2,3,4"
    }, {
      "ZVCI",
      "ZVCI1,ZVCI2,ZVCI3,ZVCI4",
      "1,2,3,4"
    }, {
      "EyeDiagram",
      "ED1,ED2,ED3,ED4",
      "1,2,3,4"
    }, {
      "ComplexCondition",
      "Complex1,Complex2,Complex3,Complex4",
      "1,2,3,4"
    }, {
      "EbTbSymbol",
      "EbTb1,EbTb2,EbTb3,EbTb4,EbTb5,EbTb6,EbTb7,EbTb8,EbTb9,EbTb10,EbTb11,EbTb12,EbTb13,EbTb14,EbTb15,EbTb16",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
    }, {
      "CoupledChannel",
      "CplCH1,CplCH2,CplCH3,CplCH4",
      "1,2,3,4"
    }, {
      "DifferentialSignal",
      "Diff1,Diff2",
      "1,2"
    }, {
      "DecodeTable",
      "DecTbl1,DecTbl2,DecTbl3,DecTbl4,DecTbl5",
      "1,2,3,4,5"
    }, {
      "TDRTDTSignal",
      "Imped,RCoeff,PResp",
      "1,2,3"
    }, {
      "AdvJitterMeas",
      "JA1,JA2",
      "1,2"
    }, {
      "AdvJitterComponent",
      "f_symb,T_symb,EC,TJ_BER,RJ,DDirac,TJ,DJ,DDJ,DCD,PJ,ISI",
      "1,2,3,4,5,6,7,8,9,10,11,12"
    }, {
      "AdvJitterPeriodicComponent",
      "Periodic1,Periodic2,Periodic3,Periodic4,Periodic5,Periodic6,Periodic7,Periodic8,Periodic9,Periodic10",
      "1,2,3,4,5,6,7,8,9,10"
    }, {
      "ArithmeticParameter",
      "ArithmeticParm1,ArithmeticParm2",
      "1,2"
    }, {
      "FrontendPosition",
      "FrontendPos1,FrontendPos2,FrontendPos3,FrontendPos4",
      "1,2,3,4"
    }, {
      "OpticalMeasurement",
      "Optical1,Optical2",
      "1,2"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

RsCoreRangeTableRanged rsscope_rngHorzScale = { 25E-12, 10000, "s" };

RsCoreRangeTableRanged rsscope_rngHorzAcquisitionTime = { 250E-12, 100E+3, "s" };

RsCoreRangeTableRanged rsscope_rngHorzReference = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsscope_rngSampleModeEntries[3] =
  {
    { RSSCOPE_VAL_REAL_TIME, "RTIM" },
    { RSSCOPE_VAL_EQUIVALENT_TIME, "ETIM" },
    { RSSCOPE_VAL_INTERPOLATED_TIME, "ITIM" }
  };
RsCoreRangeTableDiscrete rsscope_rngSampleMode = { 3, rsscope_rngSampleModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformArithmeticsEntries[6] =
  {
    { RSSCOPE_VAL_OFF, "OFF" },
    { RSSCOPE_VAL_ENVELOPE, "ENV" },
    { RSSCOPE_VAL_AVERAGE, "AVER" },
    { RSSCOPE_VAL_RMS, "RMS" },
    { RSSCOPE_VAL_MINH, "MINH" },
    { RSSCOPE_VAL_MAXH, "MAXH" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformArithmetics = { 6, rsscope_rngWaveformArithmeticsEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngVerticalCouplingEntries[3] =
  {
    { RSSCOPE_VAL_AC, "AC" },
    { RSSCOPE_VAL_DC, "DC" },
    { RSSCOPE_VAL_DC_LIMIT, "DCL" }
  };
RsCoreRangeTableDiscrete rsscope_rngVerticalCoupling = { 3, rsscope_rngVerticalCouplingEntries };

RsCoreRangeTableRanged rsscope_rngVerticalOffset = { -5, 5, "div" };

static RsCoreRangeTableDiscreteEntry rsscope_rngChannelBWLimitEntries[4] =
  {
    { RSSCOPE_VAL_BW_FULL, "FULL" },
    { RSSCOPE_VAL_BW_800, "B800" },
    { RSSCOPE_VAL_BW_200, "B200" },
    { RSSCOPE_VAL_BW_20, "B20" }
  };
RsCoreRangeTableDiscrete rsscope_rngChannelBWLimit = { 4, rsscope_rngChannelBWLimitEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerModeEntries[3] =
  {
    { RSSCOPE_VAL_NORMAL, "NORM" },
    { RSSCOPE_VAL_AUTO, "AUTO" },
    { RSSCOPE_VAL_FREERUN, "FRE" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerMode = { 3, rsscope_rngTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerSourceEntries[48] =
  {
    { RSSCOPE_VAL_CHANNEL1, "CHAN1" },
    { RSSCOPE_VAL_CHANNEL2, "CHAN2" },
    { RSSCOPE_VAL_CHANNEL3, "CHAN3" },
    { RSSCOPE_VAL_CHANNEL4, "CHAN4" },
    { RSSCOPE_VAL_EXTERNAL, "EXT" },
    { RSSCOPE_VAL_SBUS, "SBUS" },
    { RSSCOPE_VAL_LINE, "LINE" },
    { RSSCOPE_VAL_D0, "D0" },
    { RSSCOPE_VAL_D1, "D1" },
    { RSSCOPE_VAL_D2, "D2" },
    { RSSCOPE_VAL_D3, "D3" },
    { RSSCOPE_VAL_D4, "D4" },
    { RSSCOPE_VAL_D5, "D5" },
    { RSSCOPE_VAL_D6, "D6" },
    { RSSCOPE_VAL_D7, "D7" },
    { RSSCOPE_VAL_D8, "D8" },
    { RSSCOPE_VAL_D9, "D9" },
    { RSSCOPE_VAL_D10, "D10" },
    { RSSCOPE_VAL_D11, "D11" },
    { RSSCOPE_VAL_D12, "D12" },
    { RSSCOPE_VAL_D13, "D13" },
    { RSSCOPE_VAL_D14, "D14" },
    { RSSCOPE_VAL_D15, "D15" },
    { RSSCOPE_VAL_LOGIC, "LOG" },
    { RSSCOPE_VAL_MSOB1, "MSOB1" },
    { RSSCOPE_VAL_MSOB2, "MSOB2" },
    { RSSCOPE_VAL_MSOB3, "MSOB3" },
    { RSSCOPE_VAL_MSOB4, "MSOB4" },
    { RSSCOPE_VAL_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_COMMON2, "COMMON2" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerSource = { 48, rsscope_rngTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerTypeEntries[17] =
  {
    { RSSCOPE_VAL_EDGE_TRIGGER, "EDGE" },
    { RSSCOPE_VAL_WIDTH_TRIGGER, "WIDT" },
    { RSSCOPE_VAL_RUNT_TRIGGER, "RUNT" },
    { RSSCOPE_VAL_GLITCH_TRIGGER, "GLIT" },
    { RSSCOPE_VAL_WINDOW_TRIGGER, "WIND" },
    { RSSCOPE_VAL_TIMEOUT_TRIGGER, "TIM" },
    { RSSCOPE_VAL_INTERVAL_TRIGGER, "INT" },
    { RSSCOPE_VAL_SLEW_RATE_TRIGGER, "SLEW" },
    { RSSCOPE_VAL_DATA_TO_CLOCK_TRIGGER, "DAT" },
    { RSSCOPE_VAL_PATTERN_TRIGGER, "PATT" },
    { RSSCOPE_VAL_ANALOG_EDGE_TRIGGER, "ANED" },
    { RSSCOPE_VAL_SERIAL_PATTERN_TRIGGER, "SERP" },
    { RSSCOPE_VAL_STATE_TRIGGER, "STAT" },
    { RSSCOPE_VAL_NFC_TRIGGER, "NFC" },
    { RSSCOPE_VAL_TV_TRIGGER, "TV" },
    { RSSCOPE_VAL_CDR_TRIGGER, "CDR" },
    { RSSCOPE_VAL_SETHOLD_TRIGGER, "SETH" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerType = { 17, rsscope_rngTriggerTypeEntries };

RsCoreRangeTableRanged rsscope_rngTriggerLevel = { -1000, 1000, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerSlopeEntries[3] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerSlope = { 3, rsscope_rngTriggerSlopeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerCouplingEntries[3] =
  {
    { RSSCOPE_VAL_AC, "AC" },
    { RSSCOPE_VAL_DC, "DC" },
    { RSSCOPE_VAL_DCL, "DCL" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerCoupling = { 3, rsscope_rngTriggerCouplingEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngPolarityEntries[3] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsscope_rngPolarity = { 3, rsscope_rngPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWidthConditionEntries[4] =
  {
    { RSSCOPE_VAL_SHORTER, "SHOR" },
    { RSSCOPE_VAL_LONGER, "LONG" },
    { RSSCOPE_VAL_WITHIN, "WITH" },
    { RSSCOPE_VAL_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete rsscope_rngWidthCondition = { 4, rsscope_rngWidthConditionEntries };

RsCoreRangeTableRanged rsscope_rngWidth = { 0.0000000001, 10000.00, "s" };

RsCoreRangeTableRanged rsscope_rngLineNumber = { 1, 1125, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCursorFunctionEntries[3] =
  {
    { RSSCOPE_VAL_CURSOR_HORIZONTAL, "HOR" },
    { RSSCOPE_VAL_CURSOR_VERTICAL, "VERT" },
    { RSSCOPE_VAL_CURSOR_PAIRED, "PAIR" }
  };
RsCoreRangeTableDiscrete rsscope_rngCursorFunction = { 3, rsscope_rngCursorFunctionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformParameterEntries[219] =
  {
    { RSSCOPE_VAL_WAV_NONE, "NONE" },
    { RSSCOPE_VAL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_WAV_C1W2, "C1W2" },
    { RSSCOPE_VAL_WAV_C1W3, "C1W3" },
    { RSSCOPE_VAL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_WAV_C2W2, "C2W2" },
    { RSSCOPE_VAL_WAV_C2W3, "C2W3" },
    { RSSCOPE_VAL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_WAV_C3W2, "C3W2" },
    { RSSCOPE_VAL_WAV_C3W3, "C3W3" },
    { RSSCOPE_VAL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_WAV_C4W2, "C4W2" },
    { RSSCOPE_VAL_WAV_C4W3, "C4W3" },
    { RSSCOPE_VAL_WAV_M1, "M1" },
    { RSSCOPE_VAL_WAV_M2, "M2" },
    { RSSCOPE_VAL_WAV_M3, "M3" },
    { RSSCOPE_VAL_WAV_M4, "M4" },
    { RSSCOPE_VAL_WAV_M5, "M5" },
    { RSSCOPE_VAL_WAV_R1, "R1" },
    { RSSCOPE_VAL_WAV_R2, "R2" },
    { RSSCOPE_VAL_WAV_R3, "R3" },
    { RSSCOPE_VAL_WAV_R4, "R4" },
    { RSSCOPE_VAL_WAV_XY1, "XY1" },
    { RSSCOPE_VAL_WAV_XY2, "XY2" },
    { RSSCOPE_VAL_WAV_XY3, "XY3" },
    { RSSCOPE_VAL_WAV_XY4, "XY4" },
    { RSSCOPE_VAL_WAV_MRES1, "MRESult1" },
    { RSSCOPE_VAL_WAV_MRES2, "MRESult2" },
    { RSSCOPE_VAL_WAV_MRES3, "MRESult3" },
    { RSSCOPE_VAL_WAV_MRES4, "MRESult4" },
    { RSSCOPE_VAL_WAV_MRES5, "MRESult5" },
    { RSSCOPE_VAL_WAV_MRES6, "MRESult6" },
    { RSSCOPE_VAL_WAV_MRES7, "MRESult7" },
    { RSSCOPE_VAL_WAV_MRES8, "MRESult8" },
    { RSSCOPE_VAL_WAV_SBUS1, "SBUS1" },
    { RSSCOPE_VAL_WAV_SBUS2, "SBUS2" },
    { RSSCOPE_VAL_WAV_SBUS3, "SBUS3" },
    { RSSCOPE_VAL_WAV_SBUS4, "SBUS4" },
    { RSSCOPE_VAL_WAV_D0, "D0" },
    { RSSCOPE_VAL_WAV_D1, "D1" },
    { RSSCOPE_VAL_WAV_D2, "D2" },
    { RSSCOPE_VAL_WAV_D3, "D3" },
    { RSSCOPE_VAL_WAV_D4, "D4" },
    { RSSCOPE_VAL_WAV_D5, "D5" },
    { RSSCOPE_VAL_WAV_D6, "D6" },
    { RSSCOPE_VAL_WAV_D7, "D7" },
    { RSSCOPE_VAL_WAV_D8, "D8" },
    { RSSCOPE_VAL_WAV_D9, "D9" },
    { RSSCOPE_VAL_WAV_D10, "D10" },
    { RSSCOPE_VAL_WAV_D11, "D11" },
    { RSSCOPE_VAL_WAV_D12, "D12" },
    { RSSCOPE_VAL_WAV_D13, "D13" },
    { RSSCOPE_VAL_WAV_D14, "D14" },
    { RSSCOPE_VAL_WAV_D15, "D15" },
    { RSSCOPE_VAL_WAV_MSOB1, "MSOB1" },
    { RSSCOPE_VAL_WAV_MSOB2, "MSOB2" },
    { RSSCOPE_VAL_WAV_MSOB3, "MSOB3" },
    { RSSCOPE_VAL_WAV_MSOB4, "MSOB4" },
    { RSSCOPE_VAL_WAV_TRK1, "TRK1" },
    { RSSCOPE_VAL_WAV_TRK2, "TRK2" },
    { RSSCOPE_VAL_WAV_TRK3, "TRK3" },
    { RSSCOPE_VAL_WAV_TRK4, "TRK4" },
    { RSSCOPE_VAL_WAV_TRK5, "TRK5" },
    { RSSCOPE_VAL_WAV_TRK6, "TRK6" },
    { RSSCOPE_VAL_WAV_TRK7, "TRK7" },
    { RSSCOPE_VAL_WAV_TRK8, "TRK8" },
    { RSSCOPE_VAL_WAV_IMR, "IMR" },
    { RSSCOPE_VAL_WAV_CDRSW1, "CDRSW1" },
    { RSSCOPE_VAL_WAV_CDRSW2, "CDRSW2" },
    { RSSCOPE_VAL_WAV_CDRHW, "CDRHW" },
    { RSSCOPE_VAL_WAV_QUICK, "QUICK" },
    { RSSCOPE_VAL_WAV_SG1TL1, "SG1TL1" },
    { RSSCOPE_VAL_WAV_SG1TL2, "SG1TL2" },
    { RSSCOPE_VAL_WAV_SG2TL1, "SG2TL1" },
    { RSSCOPE_VAL_WAV_SG2TL2, "SG2TL2" },
    { RSSCOPE_VAL_WAV_SG3TL1, "SG3TL1" },
    { RSSCOPE_VAL_WAV_SG3TL2, "SG3TL2" },
    { RSSCOPE_VAL_WAV_SG4TL1, "SG4TL1" },
    { RSSCOPE_VAL_WAV_SG4TL2, "SG4TL2" },
    { RSSCOPE_VAL_WAV_SG1, "SG1" },
    { RSSCOPE_VAL_WAV_SG2, "SG2" },
    { RSSCOPE_VAL_WAV_SG3, "SG3" },
    { RSSCOPE_VAL_WAV_SG4, "SG4" },
    { RSSCOPE_VAL_WAV_AEYE1, "EYE1" },
    { RSSCOPE_VAL_WAV_AEYE2, "EYE2" },
    { RSSCOPE_VAL_WAV_AEYE3, "EYE3" },
    { RSSCOPE_VAL_WAV_AEYE4, "EYE4" },
    { RSSCOPE_VAL_WAV_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_WAV_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_WAV_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_WAV_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_WAV_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_WAV_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_WAV_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_WAV_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_WAV_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_WAV_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_WAV_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_WAV_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_WAV_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_WAV_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_WAV_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_WAV_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_WAV_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_WAV_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_WAV_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_WAV_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_WAV_TDRZ, "TDRZ" },
    { RSSCOPE_VAL_WAV_TDRH, "TDRH" },
    { RSSCOPE_VAL_WAV_TDRR, "TDRR" },
    { RSSCOPE_VAL_WAV_M6, "M6" },
    { RSSCOPE_VAL_WAV_M7, "M7" },
    { RSSCOPE_VAL_WAV_M8, "M8" },
    { RSSCOPE_VAL_WAV_SEYE1, "SEYE1" },
    { RSSCOPE_VAL_WAV_SEYE2, "SEYE2" },
    { RSSCOPE_VAL_WAV_TJSP1, "TJSPectrum1" },
    { RSSCOPE_VAL_WAV_TJSP2, "TJSPectrum2" },
    { RSSCOPE_VAL_WAV_DDJS1, "DDJSpectrum1" },
    { RSSCOPE_VAL_WAV_DDJS2, "DDJSpectrum2" },
    { RSSCOPE_VAL_WAV_PJSP1, "PJSPectrum1" },
    { RSSCOPE_VAL_WAV_PJSP2, "PJSPectrum2" },
    { RSSCOPE_VAL_WAV_RJSP1, "RJOSPectrum1" },
    { RSSCOPE_VAL_WAV_RJSP2, "RJOSPectrum2" },
    { RSSCOPE_VAL_WAV_BATH1, "BATHtub1" },
    { RSSCOPE_VAL_WAV_BATH2, "BATHtub2" },
    { RSSCOPE_VAL_WAV_BME1, "BMEas1" },
    { RSSCOPE_VAL_WAV_BME2, "BMEas2" },
    { RSSCOPE_VAL_WAV_SRTR1, "SRTRack1" },
    { RSSCOPE_VAL_WAV_SRTR2, "SRTRack2" },
    { RSSCOPE_VAL_WAV_SDTR1, "SDTRack1" },
    { RSSCOPE_VAL_WAV_SDTR2, "SDTRack2" },
    { RSSCOPE_VAL_WAV_TJTR1, "TJTRack1" },
    { RSSCOPE_VAL_WAV_TJTR2, "TJTRack2" },
    { RSSCOPE_VAL_WAV_DJTR1, "DJTRack1" },
    { RSSCOPE_VAL_WAV_DJTR2, "DJTRack2" },
    { RSSCOPE_VAL_WAV_DDJTR1, "DDJTrack1" },
    { RSSCOPE_VAL_WAV_DDJTR2, "DDJTrack2" },
    { RSSCOPE_VAL_WAV_PJTR1, "PJTRack1" },
    { RSSCOPE_VAL_WAV_PJTR2, "PJTRack2" },
    { RSSCOPE_VAL_WAV_RJTR1, "RJOTRack1" },
    { RSSCOPE_VAL_WAV_RJTR2, "RJOTRack2" },
    { RSSCOPE_VAL_WAV_SRES1, "SRESponse1" },
    { RSSCOPE_VAL_WAV_SRES2, "SRESponse2" },
    { RSSCOPE_VAL_WAV_SRHIST1, "SRHist1" },
    { RSSCOPE_VAL_WAV_SRHIST2, "SRHist2" },
    { RSSCOPE_VAL_WAV_SDHIST1, "SDHist1" },
    { RSSCOPE_VAL_WAV_SDHIST2, "SDHist2" },
    { RSSCOPE_VAL_WAV_TJHIST1, "TJHist1" },
    { RSSCOPE_VAL_WAV_TJHIST2, "TJHist2" },
    { RSSCOPE_VAL_WAV_DJHIST1, "DJHist1" },
    { RSSCOPE_VAL_WAV_DJHIST2, "DJHist2" },
    { RSSCOPE_VAL_WAV_DDJHIST1, "DDJHist1" },
    { RSSCOPE_VAL_WAV_DDJHIST2, "DDJHist2" },
    { RSSCOPE_VAL_WAV_PJHIST1, "PJHist1" },
    { RSSCOPE_VAL_WAV_PJHIST2, "PJHist2" },
    { RSSCOPE_VAL_WAV_RJOHIST1, "RJOHist1" },
    { RSSCOPE_VAL_WAV_RJOHIST2, "RJOHist2" },
    { RSSCOPE_VAL_WAV_SG5TL1, "SG5TL1" },
    { RSSCOPE_VAL_WAV_SG5TL2, "SG5TL2" },
    { RSSCOPE_VAL_WAV_SG6TL1, "SG6TL1" },
    { RSSCOPE_VAL_WAV_SG6TL2, "SG6TL2" },
    { RSSCOPE_VAL_WAV_SG7TL1, "SG7TL1" },
    { RSSCOPE_VAL_WAV_SG7TL2, "SG7TL2" },
    { RSSCOPE_VAL_WAV_SG8TL1, "SG8TL1" },
    { RSSCOPE_VAL_WAV_SG8TL2, "SG8TL2" },
    { RSSCOPE_VAL_WAV_SG5, "SG5" },
    { RSSCOPE_VAL_WAV_SG6, "SG6" },
    { RSSCOPE_VAL_WAV_SG7, "SG7" },
    { RSSCOPE_VAL_WAV_SG8, "SG8" },
    { RSSCOPE_VAL_WAV_NBATHTUB1, "NBAThtub1" },
    { RSSCOPE_VAL_WAV_NBATHTUB2, "NBAThtub2" },
    { RSSCOPE_VAL_WAV_NBMEAS1, "NBMeas1" },
    { RSSCOPE_VAL_WAV_NBMEAS2, "NBMeas2" },
    { RSSCOPE_VAL_WAV_TNHIST1, "TNHist1" },
    { RSSCOPE_VAL_WAV_TNHIST2, "TNHist2" },
    { RSSCOPE_VAL_WAV_DNHIST1, "DNHist1" },
    { RSSCOPE_VAL_WAV_DNHIST2, "DNHist2" },
    { RSSCOPE_VAL_WAV_DDNHIST1, "DDNHist1" },
    { RSSCOPE_VAL_WAV_DDNHIST2, "DDNHist2" },
    { RSSCOPE_VAL_WAV_PNHIST1, "PNHist1" },
    { RSSCOPE_VAL_WAV_PNHIST2, "PNHist2" },
    { RSSCOPE_VAL_WAV_RNOHIST1, "RNOHist1" },
    { RSSCOPE_VAL_WAV_RNOHIST2, "RNOHist2" },
    { RSSCOPE_VAL_WAV_TNTRACK1, "TNTRack1" },
    { RSSCOPE_VAL_WAV_TNTRACK2, "TNTRack2" },
    { RSSCOPE_VAL_WAV_DNTRACK1, "DNTRack1" },
    { RSSCOPE_VAL_WAV_DNTRACK2, "DNTRack2" },
    { RSSCOPE_VAL_WAV_DDNTRACK1, "DDNTrack1" },
    { RSSCOPE_VAL_WAV_DDNTRACK2, "DDNTrack2" },
    { RSSCOPE_VAL_WAV_PNTRACK1, "PNTRack1" },
    { RSSCOPE_VAL_WAV_PNTRACK2, "PNTRack2" },
    { RSSCOPE_VAL_WAV_RNOTRACK1, "RNOTrack1" },
    { RSSCOPE_VAL_WAV_RNOTRACK2, "RNOTrack2" },
    { RSSCOPE_VAL_WAV_TNSPECTRUM1, "TNSPectrum1" },
    { RSSCOPE_VAL_WAV_TNSPECTRUM2, "TNSPectrum2" },
    { RSSCOPE_VAL_WAV_DDNSPECTRUM1, "DDNSpectrum1" },
    { RSSCOPE_VAL_WAV_DDNSPECTRUM2, "DDNSpectrum2" },
    { RSSCOPE_VAL_WAV_PNSPECTRUM1, "PNSPectrum1" },
    { RSSCOPE_VAL_WAV_PNSPECTRUM2, "PNSPectrum2" },
    { RSSCOPE_VAL_WAV_RNOSPECTRUM1, "RNOSpectrum1" },
    { RSSCOPE_VAL_WAV_RNOSPECTRUM2, "RNOSpectrum2" },
    { RSSCOPE_VAL_WAV_PJDHIST1, "PJDHist1" },
    { RSSCOPE_VAL_WAV_PJDHIST2, "PJDHist2" },
    { RSSCOPE_VAL_WAV_BUJHIST1, "BUJHist1" },
    { RSSCOPE_VAL_WAV_BUJHIST2, "BUJHist2" },
    { RSSCOPE_VAL_WAV_RJHIST1, "RJHist1" },
    { RSSCOPE_VAL_WAV_RJHIST2, "RJHist2" },
    { RSSCOPE_VAL_WAV_PJDTRACK1, "PJDTrack1" },
    { RSSCOPE_VAL_WAV_PJDTRACK2, "PJDTrack2" },
    { RSSCOPE_VAL_WAV_PJDSPECTRUM1, "PJDSpectrum1" },
    { RSSCOPE_VAL_WAV_PJDSPECTRUM2, "PJDSpectrum2" },
    { RSSCOPE_VAL_WAV_PNDHIST1, "PNDHist1" },
    { RSSCOPE_VAL_WAV_PNDHIST2, "PNDHist2" },
    { RSSCOPE_VAL_WAV_BUNHIST1, "BUNHist1" },
    { RSSCOPE_VAL_WAV_BUNHIST2, "BUNHist2" },
    { RSSCOPE_VAL_WAV_PNDTRACK1, "PNDTrack1" },
    { RSSCOPE_VAL_WAV_PNDTRACK2, "PNDTrack2" },
    { RSSCOPE_VAL_WAV_PNDSPECTRUM1, "PNDSpectrum1" },
    { RSSCOPE_VAL_WAV_PNDSPECTRUM2, "PNDSpectrum2" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformParameter = { 219, rsscope_rngWaveformParameterEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMinMaxEntries[2] =
  {
    { RSSCOPE_VAL_MIN, "MIN" },
    { RSSCOPE_VAL_MAX, "MAX" }
  };
RsCoreRangeTableDiscrete rsscope_rngMinMax = { 2, rsscope_rngMinMaxEntries };

RsCoreRangeTableRanged rsscope_rngPct = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry rsscope_rngAcquisitionTypeEntries[4] =
  {
    { RSSCOPE_VAL_SAMPLE, "SAMP" },
    { RSSCOPE_VAL_PEAK_DETECT, "PDET" },
    { RSSCOPE_VAL_HI_RES, "HRES" },
    { RSSCOPE_VAL_RMS, "RMS" }
  };
RsCoreRangeTableDiscrete rsscope_rngAcquisitionType = { 4, rsscope_rngAcquisitionTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngRollModeAutoEntries[2] =
  {
    { RSSCOPE_VAL_OFF, "OFF" },
    { RSSCOPE_VAL_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rsscope_rngRollModeAuto = { 2, rsscope_rngRollModeAutoEntries };

RsCoreRangeTableRanged rsscope_rngRollModeThreshold = { 1, 600, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngHorzRecordSelectionEntries[2] =
  {
    { RSSCOPE_VAL_RESOLUTION, "RES" },
    { RSSCOPE_VAL_RECORD_TIME, "RECL" }
  };
RsCoreRangeTableDiscrete rsscope_rngHorzRecordSelection = { 2, rsscope_rngHorzRecordSelectionEntries };

RsCoreRangeTableRanged rsscope_rngHorzRecordLength = { 1000, 1000000000, "Sa" };

static RsCoreRangeTableDiscreteEntry rsscope_rngInterpolationEntries[3] =
  {
    { RSSCOPE_VAL_SINE_X, "SINX" },
    { RSSCOPE_VAL_LINEAR, "LIN" },
    { RSSCOPE_VAL_SAMPLE_HOLD, "SMHD" }
  };
RsCoreRangeTableDiscrete rsscope_rngInterpolation = { 3, rsscope_rngInterpolationEntries };

RsCoreRangeTableRanged rsscope_rngInputImpedance = { 1, 100000000, "Ohm" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCutOffFrequencyEntries[3] =
  {
    { RSSCOPE_VAL_CUTOFF_KHZ5, "KHZ5" },
    { RSSCOPE_VAL_CUTOFF_KHZ50, "KHZ50" },
    { RSSCOPE_VAL_CUTOFF_MHZ50, "MHZ50" }
  };
RsCoreRangeTableDiscrete rsscope_rngCutOffFrequency = { 3, rsscope_rngCutOffFrequencyEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFilterTypeEntries[3] =
  {
    { RSSCOPE_VAL_FILTER_OFF, "OFF" },
    { RSSCOPE_VAL_FILTER_LOW_PASS, "LFR" },
    { RSSCOPE_VAL_FILTER_HIGH_PASS, "RFR" }
  };
RsCoreRangeTableDiscrete rsscope_rngFilterType = { 3, rsscope_rngFilterTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngGlitchConditionEntries[2] =
  {
    { RSSCOPE_VAL_SHORTER, "SHOR" },
    { RSSCOPE_VAL_LONGER, "LONG" }
  };
RsCoreRangeTableDiscrete rsscope_rngGlitchCondition = { 2, rsscope_rngGlitchConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngRuntConditionEntries[5] =
  {
    { RSSCOPE_VAL_SHORTER, "SHOR" },
    { RSSCOPE_VAL_LONGER, "LONG" },
    { RSSCOPE_VAL_WITHIN, "WITH" },
    { RSSCOPE_VAL_OUTSIDE, "OUTS" },
    { RSSCOPE_VAL_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngRuntCondition = { 5, rsscope_rngRuntConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWindowConditionEntries[4] =
  {
    { RSSCOPE_VAL_ENTER, "ENT" },
    { RSSCOPE_VAL_EXIT, "EXIT" },
    { RSSCOPE_VAL_WITHIN, "WITH" },
    { RSSCOPE_VAL_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete rsscope_rngWindowCondition = { 4, rsscope_rngWindowConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimeoutConditionEntries[3] =
  {
    { RSSCOPE_VAL_TIMEOUT_LOW, "LOW" },
    { RSSCOPE_VAL_TIMEOUT_HIGH, "HIGH" },
    { RSSCOPE_VAL_TIMEOUT_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimeoutCondition = { 3, rsscope_rngTimeoutConditionEntries };

RsCoreRangeTableRanged rsscope_rngInterval = { 0.000000100, 10, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngPatternModeEntries[3] =
  {
    { RSSCOPE_VAL_PATTERN_OFF, "OFF" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT, "TIM" },
    { RSSCOPE_VAL_PATTERN_WIDTH, "WIDT" }
  };
RsCoreRangeTableDiscrete rsscope_rngPatternMode = { 3, rsscope_rngPatternModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngPatternTimeoutModeEntries[2] =
  {
    { RSSCOPE_VAL_PATTERN_TIMEOUT_LOW, "LOW" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete rsscope_rngPatternTimeoutMode = { 2, rsscope_rngPatternTimeoutModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerQualificationLogicEntries[4] =
  {
    { RSSCOPE_VAL_LOGIC_DIRECT, "DIR" },
    { RSSCOPE_VAL_LOGIC_NEGATE, "NOT" },
    { RSSCOPE_VAL_LOGIC_LOW, "LOW" },
    { RSSCOPE_VAL_LOGIC_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerQualificationLogic = { 4, rsscope_rngTriggerQualificationLogicEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngLogicEntries[4] =
  {
    { RSSCOPE_VAL_AND, "AND" },
    { RSSCOPE_VAL_OR, "OR" },
    { RSSCOPE_VAL_NAND, "NAND" },
    { RSSCOPE_VAL_NOR, "NOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngLogic = { 4, rsscope_rngLogicEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAutoManualEntries[2] =
  {
    { RSSCOPE_VAL_MANUAL, "MAN" },
    { RSSCOPE_VAL_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rsscope_rngAutoManual = { 2, rsscope_rngAutoManualEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerSequenceEntries[7] =
  {
    { RSSCOPE_VAL_SEQ_AONLY, "AONL" },
    { RSSCOPE_VAL_SEQ_ABR, "ABR" },
    { RSSCOPE_VAL_SEQ_AZ, "AZ" },
    { RSSCOPE_VAL_SEQ_ABRZ, "ABRZ" },
    { RSSCOPE_VAL_SEQ_AB, "AB" },
    { RSSCOPE_VAL_SEQ_AORB, "AORB" },
    { RSSCOPE_VAL_SEQ_AORBZ, "AORBZ" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerSequence = { 7, rsscope_rngTriggerSequenceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngHoldoffModeEntries[5] =
  {
    { RSSCOPE_VAL_HOLDOFF_OFF, "OFF" },
    { RSSCOPE_VAL_HOLDOFF_AUTO, "AUTO" },
    { RSSCOPE_VAL_HOLDOFF_TIME, "TIME" },
    { RSSCOPE_VAL_HOLDOFF_EVENTS, "EVEN" },
    { RSSCOPE_VAL_HOLDOFF_RANDOM, "RAND" }
  };
RsCoreRangeTableDiscrete rsscope_rngHoldoffMode = { 5, rsscope_rngHoldoffModeEntries };

RsCoreRangeTableRanged rsscope_rngRandomTimeMin = { 0.0000001, 5, "" };

RsCoreRangeTableRanged rsscope_rngHoldoffAutoScale = { 0.001, 1000.00, "s" };

RsCoreRangeTableRanged rsscope_rngTriggerSequenceDelay = { 0, 50, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngMeasurementCategoryEntries[7] =
  {
    { RSSCOPE_VAL_AMPTIME, "AMPT" },
    { RSSCOPE_VAL_EYE, "EYEJ" },
    { RSSCOPE_VAL_SPECTRUM, "SPEC" },
    { RSSCOPE_VAL_HISTOGRAM, "HIST" },
    { RSSCOPE_VAL_PROTOCOL, "PROT" },
    { RSSCOPE_VAL_JITTER, "JITT" },
    { RSSCOPE_VAL_OPTICAL, "OPT" }
  };
RsCoreRangeTableDiscrete rsscope_rngMeasurementCategory = { 7, rsscope_rngMeasurementCategoryEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAmplitudeTimeMeasurementTypeEntries[41] =
  {
    { RSSCOPE_VAL_MEAS_HIGH, "HIGH" },
    { RSSCOPE_VAL_MEAS_LOW, "LOW" },
    { RSSCOPE_VAL_MEAS_AMPLITUDE, "AMPL" },
    { RSSCOPE_VAL_MEAS_MAXIMUM, "MAX" },
    { RSSCOPE_VAL_MEAS_MINIMUM, "MIN" },
    { RSSCOPE_VAL_MEAS_PEAK_TO_PEAK, "PDEL" },
    { RSSCOPE_VAL_MEAS_MEAN, "MEAN" },
    { RSSCOPE_VAL_MEAS_RMS, "RMS" },
    { RSSCOPE_VAL_MEAS_STD_DEVIATION, "STDD" },
    { RSSCOPE_VAL_MEAS_POS_OVERSHOOT, "POV" },
    { RSSCOPE_VAL_MEAS_NEG_OVERSHOOT, "NOV" },
    { RSSCOPE_VAL_MEAS_AREA, "AREA" },
    { RSSCOPE_VAL_MEAS_RISE_TIME, "RTIM" },
    { RSSCOPE_VAL_MEAS_FALL_TIME, "FTIM" },
    { RSSCOPE_VAL_MEAS_POS_PULSE, "PPUL" },
    { RSSCOPE_VAL_MEAS_NEG_PULSE, "NPUL" },
    { RSSCOPE_VAL_MEAS_PERIOD, "PER" },
    { RSSCOPE_VAL_MEAS_FREQUENCY, "FREQ" },
    { RSSCOPE_VAL_MEAS_POS_DUTY_CYCLE, "PDCY" },
    { RSSCOPE_VAL_MEAS_NEG_DUTY_CYCLE, "NDCY" },
    { RSSCOPE_VAL_MEAS_CYCLE_AREA, "CYC" },
    { RSSCOPE_VAL_MEAS_CYCLE_MEAN, "CYCM" },
    { RSSCOPE_VAL_MEAS_CYCLE_RMS, "CYCR" },
    { RSSCOPE_VAL_MEAS_CYCLE_STD_DEV, "CYCS" },
    { RSSCOPE_VAL_MEAS_PULSE_COUNT, "PULC" },
    { RSSCOPE_VAL_MEAS_DELAY, "DEL" },
    { RSSCOPE_VAL_MEAS_PHASE, "PHAS" },
    { RSSCOPE_VAL_MEAS_BURST_WIDTH, "BWID" },
    { RSSCOPE_VAL_MEAS_POS_SWITCHING, "PSW" },
    { RSSCOPE_VAL_MEAS_NEG_SWITCHING, "NSW" },
    { RSSCOPE_VAL_MEAS_PROBEMETER, "PROB" },
    { RSSCOPE_VAL_MEAS_PULSE_TRAIN, "PULS" },
    { RSSCOPE_VAL_MEAS_EDGE_COUNT, "EDG" },
    { RSSCOPE_VAL_MEAS_SHT, "SHT" },
    { RSSCOPE_VAL_MEAS_SHR, "SHR" },
    { RSSCOPE_VAL_MEAS_SETUP, "SET" },
    { RSSCOPE_VAL_MEAS_HOLD, "HOLD" },
    { RSSCOPE_VAL_MEAS_DTOT, "DTOT" },
    { RSSCOPE_VAL_MEAS_SLER, "SLER" },
    { RSSCOPE_VAL_MEAS_SLEF, "SLEF" },
    { RSSCOPE_VAL_MEAS_ATAR, "ATAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngAmplitudeTimeMeasurementType = { 41, rsscope_rngAmplitudeTimeMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEyeJitterMeasurementTypeEntries[17] =
  {
    { RSSCOPE_VAL_MEAS_EXTINCTION_RATIO_PCT, "ERP" },
    { RSSCOPE_VAL_MEAS_EXTINCTION_RATIO_DBM, "ERDB" },
    { RSSCOPE_VAL_MEAS_EYE_HEIGHT, "EHE" },
    { RSSCOPE_VAL_MEAS_EYE_WIDTH, "EWID" },
    { RSSCOPE_VAL_MEAS_EYE_TOP, "ETOP" },
    { RSSCOPE_VAL_MEAS_EYE_BASE, "EBAS" },
    { RSSCOPE_VAL_MEAS_Q_FACTOR, "QFAC" },
    { RSSCOPE_VAL_MEAS_RMS_NOISE, "RMSN" },
    { RSSCOPE_VAL_MEAS_SNR, "SNR" },
    { RSSCOPE_VAL_MEAS_DUTY_CYCLE_DISTORTION, "DCD" },
    { RSSCOPE_VAL_MEAS_EYE_RISE_TIME, "ERT" },
    { RSSCOPE_VAL_MEAS_EYE_FALL_TIME, "EFT" },
    { RSSCOPE_VAL_MEAS_EYE_BIT_RATE, "EBR" },
    { RSSCOPE_VAL_MEAS_EYE_AMPLITUDE, "EAMP" },
    { RSSCOPE_VAL_MEAS_PEAK_TO_PEAK_JITTER, "PPJ" },
    { RSSCOPE_VAL_MEAS_STD_DEVIATION_JITTER, "STDJ" },
    { RSSCOPE_VAL_MEAS_RMS_JITTER, "RMSJ" }
  };
RsCoreRangeTableDiscrete rsscope_rngEyeJitterMeasurementType = { 17, rsscope_rngEyeJitterMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngSpectrumMeasurementTypeEntries[12] =
  {
    { RSSCOPE_VAL_MEAS_CHANNEL_POWER, "CPOW" },
    { RSSCOPE_VAL_MEAS_OCCUPIED_BANDWIDTH, "OBW" },
    { RSSCOPE_VAL_MEAS_N_DB_DOWN, "SBW" },
    { RSSCOPE_VAL_MEAS_THD, "THD" },
    { RSSCOPE_VAL_MEAS_HAR, "HAR" },
    { RSSCOPE_VAL_MEAS_THDPCT, "THDPCT" },
    { RSSCOPE_VAL_MEAS_THDA, "THDA" },
    { RSSCOPE_VAL_MEAS_THDU, "THDU" },
    { RSSCOPE_VAL_MEAS_THDR, "THDR" },
    { RSSCOPE_VAL_MEAS_PLIST, "PLIS" },
    { RSSCOPE_VAL_MEAS_THDF, "THDF" },
    { RSSCOPE_VAL_MEAS_SPAR, "SPAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngSpectrumMeasurementType = { 12, rsscope_rngSpectrumMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngHistogramMeasurementTypeEntries[18] =
  {
    { RSSCOPE_VAL_MEAS_WAVEFORM_COUNT, "WCO" },
    { RSSCOPE_VAL_MEAS_WAVEFORM_SAMPLES, "WSAM" },
    { RSSCOPE_VAL_MEAS_HISTOGRAM_SAMPLES, "HSAM" },
    { RSSCOPE_VAL_MEAS_HISTOGRAM_PEAK, "HPE" },
    { RSSCOPE_VAL_MEAS_PEAK, "PEAK" },
    { RSSCOPE_VAL_MEAS_UPPER_PEAK, "UPE" },
    { RSSCOPE_VAL_MEAS_LOWER_PEAK, "LPE" },
    { RSSCOPE_VAL_MEAS_HISTOGRAM_MAXIMUM, "HMAX" },
    { RSSCOPE_VAL_MEAS_HISTOGRAM_MINIMUM, "HMIN" },
    { RSSCOPE_VAL_MEAS_MEDIAN, "MED" },
    { RSSCOPE_VAL_MEAS_MAXIMUM_MINIMUM, "MAXM" },
    { RSSCOPE_VAL_MEAS_HISTOGRAM_MEAN, "HME" },
    { RSSCOPE_VAL_MEAS_HISTOGRAM_STD_DEVIATION, "HSTD" },
    { RSSCOPE_VAL_MEAS_M1ST, "M1ST" },
    { RSSCOPE_VAL_MEAS_M2ST, "M2ST" },
    { RSSCOPE_VAL_MEAS_M3ST, "M3ST" },
    { RSSCOPE_VAL_MEAS_MKP, "MKP" },
    { RSSCOPE_VAL_MEAS_MKN, "MKN" }
  };
RsCoreRangeTableDiscrete rsscope_rngHistogramMeasurementType = { 18, rsscope_rngHistogramMeasurementTypeEntries };

RsCoreRangeTableRanged rsscope_rngSignalDetectionThreshold = { 0, 50, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngLimitCheckEntries[4] =
  {
    { RSSCOPE_VAL_INSIDE_LIMIT, "ILIM" },
    { RSSCOPE_VAL_UPPER_LIMIT, "ULIM" },
    { RSSCOPE_VAL_LOWER_LIMIT, "LLIM" },
    { RSSCOPE_VAL_OUTSIDE_LIMIT, "OLIM" }
  };
RsCoreRangeTableDiscrete rsscope_rngLimitCheck = { 4, rsscope_rngLimitCheckEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbabilityTypeEntries[7] =
  {
    { RSSCOPE_VAL_PROBABILITY_PEAK, "PEAK" },
    { RSSCOPE_VAL_PROBABILITY_UPPK, "UPPK" },
    { RSSCOPE_VAL_PROBABILITY_LWPK, "LWPK" },
    { RSSCOPE_VAL_PROBABILITY_MAX, "MAX" },
    { RSSCOPE_VAL_PROBABILITY_MIN, "MIN" },
    { RSSCOPE_VAL_PROBABILITY_MEDIAN, "MED" },
    { RSSCOPE_VAL_PROBABILITY_MEAN, "MEAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbabilityType = { 7, rsscope_rngProbabilityTypeEntries };

RsCoreRangeTableRanged rsscope_rngBandwidth = { 0, 6E9, "Hz" };

RsCoreRangeTableRanged rsscope_rngObw = { 0.1, 99.9, "%" };

static RsCoreRangeTableDiscreteEntry rsscope_rngLimitTypeEntries[3] =
  {
    { RSSCOPE_VAL_LIMIT_OFF, "OFF" },
    { RSSCOPE_VAL_LIMIT_ONLY, "LIM" },
    { RSSCOPE_VAL_LIMIT_MARGIN, "LMAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngLimitType = { 3, rsscope_rngLimitTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMeasurementEventEntries[3] =
  {
    { RSSCOPE_VAL_EVENT_NO_ACTION, "NOAC" },
    { RSSCOPE_VAL_EVENT_SUCCESS, "SUCC" },
    { RSSCOPE_VAL_EVENT_VIOLATION, "VIOL" }
  };
RsCoreRangeTableDiscrete rsscope_rngMeasurementEvent = { 3, rsscope_rngMeasurementEventEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAbsRelEntries[2] =
  {
    { RSSCOPE_VAL_ABS, "ABS" },
    { RSSCOPE_VAL_REL, "REL" }
  };
RsCoreRangeTableDiscrete rsscope_rngAbsRel = { 2, rsscope_rngAbsRelEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngLowUppEntries[2] =
  {
    { RSSCOPE_VAL_LOW, "LOW" },
    { RSSCOPE_VAL_UPP, "UPP" }
  };
RsCoreRangeTableDiscrete rsscope_rngLowUpp = { 2, rsscope_rngLowUppEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngStatisticsModeEntries[3] =
  {
    { RSSCOPE_VAL_STAT_MODE_TIME, "TIME" },
    { RSSCOPE_VAL_STAT_MODE_WAVEFORMS, "WFMS" },
    { RSSCOPE_VAL_STAT_MODE_MEAS, "MEAS" }
  };
RsCoreRangeTableDiscrete rsscope_rngStatisticsMode = { 3, rsscope_rngStatisticsModeEntries };

RsCoreRangeTableRanged rsscope_rngResetCount = { 1, 65535, "" };

RsCoreRangeTableRanged rsscope_rngResetTime = { 0.1, 214480000, "s" };

RsCoreRangeTableRanged rsscope_rngLongTermCount = { 1000, 200000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngFFTWindowTypeEntries[7] =
  {
    { RSSCOPE_VAL_RECTANGULAR, "RECT" },
    { RSSCOPE_VAL_HAMMING, "HAMM" },
    { RSSCOPE_VAL_HANN, "HANN" },
    { RSSCOPE_VAL_BLACKMAN, "BLAC" },
    { RSSCOPE_VAL_GAUSSIAN, "GAUS" },
    { RSSCOPE_VAL_FLATTOP, "FLATTOP2" },
    { RSSCOPE_VAL_KAISER, "KAIS" }
  };
RsCoreRangeTableDiscrete rsscope_rngFFTWindowType = { 7, rsscope_rngFFTWindowTypeEntries };

RsCoreRangeTableRanged rsscope_rngRBW = { 0.01, 160e6, "Hz" };

RsCoreRangeTableRanged rsscope_rngRBWRatio = { 1, 1000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngRBWGateCouplingEntries[2] =
  {
    { RSSCOPE_VAL_COUPLING_LENGTH, "LENG" },
    { RSSCOPE_VAL_COUPLING_RBW, "RBW" }
  };
RsCoreRangeTableDiscrete rsscope_rngRBWGateCoupling = { 2, rsscope_rngRBWGateCouplingEntries };

RsCoreRangeTableRanged rsscope_rngFFTFrameCount = { 1, 10000, "" };

RsCoreRangeTableRanged rsscope_rngFFTOverlapFactor = { 0, 90, "%" };

RsCoreRangeTableRanged rsscope_rngFFTReferenceLevel = { -1E+15, 1.0e+15, "dBm" };

RsCoreRangeTableRanged rsscope_rngFFTRange = { 1, 500, "dB" };

static RsCoreRangeTableDiscreteEntry rsscope_rngFFTMagnitudeUnitEntries[18] =
  {
    { RSSCOPE_VAL_SCALE_LINEAR, "LIN" },
    { RSSCOPE_VAL_SCALE_DBM, "DBM" },
    { RSSCOPE_VAL_SCALE_DB, "DB" },
    { RSSCOPE_VAL_SCALE_DBUV, "DBUV" },
    { RSSCOPE_VAL_SCALE_DBMV, "DBMV" },
    { RSSCOPE_VAL_SCALE_DBV, "DBV" },
    { RSSCOPE_VAL_SCALE_DBPS, "DBPS" },
    { RSSCOPE_VAL_SCALE_DBNS, "DBNS" },
    { RSSCOPE_VAL_SCALE_DBUS, "DBUS" },
    { RSSCOPE_VAL_SCALE_DBMS, "DBMS" },
    { RSSCOPE_VAL_SCALE_DBS, "DBS" },
    { RSSCOPE_VAL_SCALE_DBHZ, "DBHZ" },
    { RSSCOPE_VAL_SCALE_DBKHZ, "DBKHZ" },
    { RSSCOPE_VAL_SCALE_DBMHZ, "DBMHZ" },
    { RSSCOPE_VAL_SCALE_DBGHZ, "DBGHZ" },
    { RSSCOPE_VAL_SCALE_DBA, "DBA" },
    { RSSCOPE_VAL_SCALE_DBMA, "DBMA" },
    { RSSCOPE_VAL_SCALE_DBUA, "DBUA" }
  };
RsCoreRangeTableDiscrete rsscope_rngFFTMagnitudeUnit = { 18, rsscope_rngFFTMagnitudeUnitEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFFTPhaseUnitEntries[2] =
  {
    { RSSCOPE_VAL_SCALE_DEG, "DEGR" },
    { RSSCOPE_VAL_SCALE_RAD, "RAD" }
  };
RsCoreRangeTableDiscrete rsscope_rngFFTPhaseUnit = { 2, rsscope_rngFFTPhaseUnitEntries };

RsCoreRangeTableRanged rsscope_rngSuppressionThreshold = { -180.00, 180.00, "dBm" };

static RsCoreRangeTableDiscreteEntry rsscope_rngRefLevelRelativeEntries[4] =
  {
    { RSSCOPE_VAL_FIVE, "FIVE" },
    { RSSCOPE_VAL_TEN, "TEN" },
    { RSSCOPE_VAL_TWENTY, "TWEN" },
    { RSSCOPE_VAL_USER_LEVEL, "USER" }
  };
RsCoreRangeTableDiscrete rsscope_rngRefLevelRelative = { 4, rsscope_rngRefLevelRelativeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngUserLevelEntries[2] =
  {
    { RSSCOPE_VAL_HIGH_LOW, "USIG" },
    { RSSCOPE_VAL_LEVEL, "UREF" }
  };
RsCoreRangeTableDiscrete rsscope_rngUserLevel = { 2, rsscope_rngUserLevelEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngRefLevelAutoModeEntries[8] =
  {
    { RSSCOPE_VAL_REF_AUTO, "AUTO" },
    { RSSCOPE_VAL_REF_PPR, "PPR" },
    { RSSCOPE_VAL_REF_MPR, "MPR" },
    { RSSCOPE_VAL_REF_ABS_PEAK, "ABS" },
    { RSSCOPE_VAL_REF_UPML, "UPLM" },
    { RSSCOPE_VAL_REF_UMLP, "UMLP" },
    { RSSCOPE_VAL_REF_UALM, "UALM" },
    { RSSCOPE_VAL_REF_UMLA, "UMLA" }
  };
RsCoreRangeTableDiscrete rsscope_rngRefLevelAutoMode = { 8, rsscope_rngRefLevelAutoModeEntries };

static ViReal64 rsscope_rngRefLevelAvgCountEntries[7] = { 2, 4, 8, 16, 32, 64, 128 };
RsCoreRangeTableCoerced rsscope_rngRefLevelAvgCount = { 7, rsscope_rngRefLevelAvgCountEntries, "" };

RsCoreRangeTableRanged rsscope_rngHysteresis = { 0.0, 50.0, "%" };

static RsCoreRangeTableDiscreteEntry rsscope_rngRefWfmCouplingEntries[2] =
  {
    { RSSCOPE_VAL_COUPLED, "COUP" },
    { RSSCOPE_VAL_INDEPENDENT, "IND" }
  };
RsCoreRangeTableDiscrete rsscope_rngRefWfmCoupling = { 2, rsscope_rngRefWfmCouplingEntries };

RsCoreRangeTableRanged rsscope_rngRefWfmFactor = { -1000000, 1000000.00, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngRefWfmHorzCouplingEntries[2] =
  {
    { RSSCOPE_VAL_COUPLED, "COUP" },
    { RSSCOPE_VAL_ORIGINAL, "ORIG" }
  };
RsCoreRangeTableDiscrete rsscope_rngRefWfmHorzCoupling = { 2, rsscope_rngRefWfmHorzCouplingEntries };

RsCoreRangeTableRanged rsscope_rngPeakExcursion = { 0, 100, "dB" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbeButtonActionEntries[12] =
  {
    { RSSCOPE_VAL_PROBE_BUTTON_NO_ACTION, "NOAC" },
    { RSSCOPE_VAL_PROBE_BUTTON_RUN_CONTINUOUS, "RCON" },
    { RSSCOPE_VAL_PROBE_BUTTON_RUN_SINGLE, "RSIN" },
    { RSSCOPE_VAL_PROBE_BUTTON_AUTOSET, "AUT" },
    { RSSCOPE_VAL_PROBE_BUTTON_AUTO_ZERO, "AZER" },
    { RSSCOPE_VAL_PROBE_BUTTON_SET_OFFSET_TO_MEAN, "SET" },
    { RSSCOPE_VAL_PROBE_BUTTON_FIND_TRIG_LEVEL, "FIND" },
    { RSSCOPE_VAL_PROBE_BUTTON_PRINT, "PRINT" },
    { RSSCOPE_VAL_PROBE_BUTTON_SAVE_TO_FILE, "SITF" },
    { RSSCOPE_VAL_PROBE_BUTTON_REPORT, "REP" },
    { RSSCOPE_VAL_PROBE_BUTTON_PROBEMODE, "PROB" },
    { RSSCOPE_VAL_PROBE_BUTTON_PROBESETUP, "PRS" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbeButtonAction = { 12, rsscope_rngProbeButtonActionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngSlewConditionEntries[4] =
  {
    { RSSCOPE_VAL_SHORTER, "LTH" },
    { RSSCOPE_VAL_LONGER, "GTH" },
    { RSSCOPE_VAL_WITHIN, "INSR" },
    { RSSCOPE_VAL_OUTSIDE, "OUTR" }
  };
RsCoreRangeTableDiscrete rsscope_rngSlewCondition = { 4, rsscope_rngSlewConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerSourceChannelOnlyEntries[4] =
  {
    { RSSCOPE_VAL_CHANNEL1, "CHAN1" },
    { RSSCOPE_VAL_CHANNEL2, "CHAN2" },
    { RSSCOPE_VAL_CHANNEL3, "CHAN3" },
    { RSSCOPE_VAL_CHANNEL4, "CHAN4" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerSourceChannelOnly = { 4, rsscope_rngTriggerSourceChannelOnlyEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbeStateEntries[2] =
  {
    { RSSCOPE_VAL_PROBE_STATE_NDET, "NDET" },
    { RSSCOPE_VAL_PROBE_STATE_DET, "DET" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbeState = { 2, rsscope_rngProbeStateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbeFirmwareUpdateStatusEntries[4] =
  {
    { RSSCOPE_VAL_PROBE_FIRMWARE_UPDATE_STATUS_UNKNOWN, "UNKN" },
    { RSSCOPE_VAL_PROBE_FIRMWARE_UPDATE_STATUS_MEASURING, "MEAS" },
    { RSSCOPE_VAL_PROBE_FIRMWARE_UPDATE_STATUS_UPDATE, "UPD" },
    { RSSCOPE_VAL_PROBE_FIRMWARE_UPDATE_STATUS_FAILED, "FAIL" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbeFirmwareUpdateStatus = { 4, rsscope_rngProbeFirmwareUpdateStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbeSelftestStatusEntries[3] =
  {
    { RSSCOPE_VAL_PROBE_SELFTEST_STATUS_FAILED, "FAIL" },
    { RSSCOPE_VAL_PROBE_SELFTEST_STATUS_PASSED, "PSSD" },
    { RSSCOPE_VAL_PROBE_SELFTEST_STATUS_UNDEFINED, "UND" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbeSelftestStatus = { 3, rsscope_rngProbeSelftestStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolWaveformSourceEntries[33] =
  {
    { RSSCOPE_VAL_PROTOCOL_WAV_NONE, "NONE" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M1, "M1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M2, "M2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M3, "M3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M4, "M4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R1, "R1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R2, "R2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R3, "R3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R4, "R4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D0, "D0" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D1, "D1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D2, "D2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D3, "D3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D4, "D4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D5, "D5" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D6, "D6" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D7, "D7" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D8, "D8" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D9, "D9" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D10, "D10" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D11, "D11" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D12, "D12" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D13, "D13" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D14, "D14" },
    { RSSCOPE_VAL_PROTOCOL_WAV_D15, "D15" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M5, "M5" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M6, "M6" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M7, "M7" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolWaveformSource = { 33, rsscope_rngProtocolWaveformSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolTypeEntries[26] =
  {
    { RSSCOPE_VAL_I2C, "I2C" },
    { RSSCOPE_VAL_SPI, "SPI" },
    { RSSCOPE_VAL_UART, "UART" },
    { RSSCOPE_VAL_CAN, "CANF" },
    { RSSCOPE_VAL_LIN, "LIN" },
    { RSSCOPE_VAL_FLEX, "FLXR" },
    { RSSCOPE_VAL_AUDIO, "I2S" },
    { RSSCOPE_VAL_MILS, "MILS1553" },
    { RSSCOPE_VAL_ARIN, "ARIN429" },
    { RSSCOPE_VAL_MDIO, "MDIO" },
    { RSSCOPE_VAL_ETH, "ETH" },
    { RSSCOPE_VAL_RFFE, "RFFE" },
    { RSSCOPE_VAL_USB, "USB" },
    { RSSCOPE_VAL_CMSB, "CMSB" },
    { RSSCOPE_VAL_EBTB, "EBTB" },
    { RSSCOPE_VAL_SENT, "SENT" },
    { RSSCOPE_VAL_DPHY, "DPHY" },
    { RSSCOPE_VAL_SWIRE, "SWIR" },
    { RSSCOPE_VAL_MPHY, "MPHY" },
    { RSSCOPE_VAL_CXPI, "CXPI" },
    { RSSCOPE_VAL_USB3, "USB3" },
    { RSSCOPE_VAL_USBPD, "USBPD" },
    { RSSCOPE_VAL_PCIE, "PCIE" },
    { RSSCOPE_VAL_HBTO, "HBTO" },
    { RSSCOPE_VAL_DDR, "DDR" },
    { RSSCOPE_VAL_TBTO, "TBTO" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolType = { 26, rsscope_rngProtocolTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolTechnologyEntries[10] =
  {
    { RSSCOPE_VAL_V38, "V38" },
    { RSSCOPE_VAL_V25, "V25" },
    { RSSCOPE_VAL_V20, "V20" },
    { RSSCOPE_VAL_V165, "V165" },
    { RSSCOPE_VAL_V15, "V15" },
    { RSSCOPE_VAL_V125, "V125" },
    { RSSCOPE_VAL_V09, "V09" },
    { RSSCOPE_VAL_V0, "V0" },
    { RSSCOPE_VAL_VM13, "VM13" },
    { RSSCOPE_VAL_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolTechnology = { 10, rsscope_rngProtocolTechnologyEntries };

RsCoreRangeTableRanged rsscope_rngProtocolThreshold = { -12, 12, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolPolarityEntries[2] =
  {
    { RSSCOPE_VAL_IDLE_LOW, "IDLL" },
    { RSSCOPE_VAL_IDLE_HIGH, "IDLH" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolPolarity = { 2, rsscope_rngProtocolPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolTriggerConditionEntries[10] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" },
    { RSSCOPE_VAL_COND_ANY, "ANY" },
    { RSSCOPE_VAL_CONDITION_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolTriggerCondition = { 10, rsscope_rngProtocolTriggerConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolI2CAddressTypeEntries[4] =
  {
    { RSSCOPE_VAL_I2C_BIT7, "BIT7" },
    { RSSCOPE_VAL_I2C_BIT7_RW, "BIT7_RW" },
    { RSSCOPE_VAL_I2C_BIT10, "BIT10" },
    { RSSCOPE_VAL_I2C_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolI2CAddressType = { 4, rsscope_rngProtocolI2CAddressTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolI2CTriggerTypeEntries[7] =
  {
    { RSSCOPE_VAL_I2C_TRIGGER_START, "STAR" },
    { RSSCOPE_VAL_I2C_TRIGGER_REPSTART, "REPS" },
    { RSSCOPE_VAL_I2C_TRIGGER_STOP, "STOP" },
    { RSSCOPE_VAL_I2C_TRIGGER_NACK, "NACK" },
    { RSSCOPE_VAL_I2C_TRIGGER_ADDRESS, "ADDR" },
    { RSSCOPE_VAL_I2C_TRIGGER_ADOR, "ADOR" },
    { RSSCOPE_VAL_I2C_TRIGGER_ADAT, "ADAT" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolI2CTriggerType = { 7, rsscope_rngProtocolI2CTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolI2CAccessBitEntries[4] =
  {
    { RSSCOPE_VAL_I2C_ACCESS_BIT_UNDEF, "UND" },
    { RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER, "EITH" },
    { RSSCOPE_VAL_I2C_ACCESS_BIT_READ, "READ" },
    { RSSCOPE_VAL_I2C_ACCESS_BIT_WRITE, "WRIT" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolI2CAccessBit = { 4, rsscope_rngProtocolI2CAccessBitEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolSPIBitOrderEntries[2] =
  {
    { RSSCOPE_VAL_SPI_MSBF, "MSBF" },
    { RSSCOPE_VAL_SPI_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolSPIBitOrder = { 2, rsscope_rngProtocolSPIBitOrderEntries };

RsCoreRangeTableRanged rsscope_rngProtocolSPIWordLength = { 4, 32, "Number of bits" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolSPIPolarityEntries[2] =
  {
    { RSSCOPE_VAL_ACTLOW, "ACTL" },
    { RSSCOPE_VAL_ACTHIGH, "ACTH" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolSPIPolarity = { 2, rsscope_rngProtocolSPIPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolSPITriggerTypeEntries[5] =
  {
    { RSSCOPE_VAL_SPI_TRIGGER_SSACTIVE, "SSAC" },
    { RSSCOPE_VAL_SPI_TRIGGER_TIMEOUT, "TIM" },
    { RSSCOPE_VAL_SPI_TRIGGER_MOSI, "MOSI" },
    { RSSCOPE_VAL_SPI_TRIGGER_MISO, "MISO" },
    { RSSCOPE_VAL_SPI_TRIGGER_MOMI, "MOMI" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolSPITriggerType = { 5, rsscope_rngProtocolSPITriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolSPIDataAlignmentEntries[2] =
  {
    { RSSCOPE_VAL_SPI_TRIGGER_BIT, "BIT" },
    { RSSCOPE_VAL_SPI_TRIGGER_WORD, "WORD" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolSPIDataAlignment = { 2, rsscope_rngProtocolSPIDataAlignmentEntries };

RsCoreRangeTableRanged rsscope_rngProtocolSPITriggerOffset = { 1, 4095, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolSPIFrameStartCondEntries[2] =
  {
    { RSSCOPE_VAL_SPI_FRAME_START_SS, "SS" },
    { RSSCOPE_VAL_SPI_FRAME_START_CLK, "CLKT" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolSPIFrameStartCond = { 2, rsscope_rngProtocolSPIFrameStartCondEntries };

RsCoreRangeTableRanged rsscope_rngProtocolSPIFrameStartTimeout = { 50.0e-9, 10.0, "s" };

RsCoreRangeTableRanged rsscope_rngProtocolUARTBitRate = { 300, 20000000, "Bit/s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUARTParityEntries[6] =
  {
    { RSSCOPE_VAL_UART_NONE, "NONE" },
    { RSSCOPE_VAL_UART_ODD, "ODD" },
    { RSSCOPE_VAL_UART_EVEN, "EVEN" },
    { RSSCOPE_VAL_UART_MARK, "MARK" },
    { RSSCOPE_VAL_UART_SPACE, "SPC" },
    { RSSCOPE_VAL_UART_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUARTParity = { 6, rsscope_rngProtocolUARTParityEntries };

RsCoreRangeTableRanged rsscope_rngProtocolUARTInterframeTime = { 0.000001, 1, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUARTStopBitsEntries[3] =
  {
    { RSSCOPE_VAL_UART_B1, "B1" },
    { RSSCOPE_VAL_UART_B1_5, "B15" },
    { RSSCOPE_VAL_UART_B2, "B2" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUARTStopBits = { 3, rsscope_rngProtocolUARTStopBitsEntries };

RsCoreRangeTableRanged rsscope_rngProtocolUARTDataBitsCount = { 5, 8, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUARTTriggerTypeEntries[6] =
  {
    { RSSCOPE_VAL_UART_TRIGGER_STBT, "STBT" },
    { RSSCOPE_VAL_UART_TRIGGER_PCKS, "PCKS" },
    { RSSCOPE_VAL_UART_TRIGGER_DATA, "DATA" },
    { RSSCOPE_VAL_UART_TRIGGER_PRER, "PRER" },
    { RSSCOPE_VAL_UART_TRIGGER_BRKC, "BRKC" },
    { RSSCOPE_VAL_UART_TRIGGER_FERR, "STP" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUARTTriggerType = { 6, rsscope_rngProtocolUARTTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUARTLineEntries[2] =
  {
    { RSSCOPE_VAL_UART_RX, "RX" },
    { RSSCOPE_VAL_UART_TX, "TX" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUARTLine = { 2, rsscope_rngProtocolUARTLineEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUARTDataPositionEntries[4] =
  {
    { RSSCOPE_VAL_UART_TRIGGER_EQUAL, "EQU" },
    { RSSCOPE_VAL_UART_TRIGGER_NEQUAL, "NEQ" },
    { RSSCOPE_VAL_UART_TRIGGER_GREATER, "GETH" },
    { RSSCOPE_VAL_UART_TRIGGER_INRANGE, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUARTDataPosition = { 4, rsscope_rngProtocolUARTDataPositionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUARTDataOperatorEntries[2] =
  {
    { RSSCOPE_VAL_UART_TRIGGER_EQUAL, "EQU" },
    { RSSCOPE_VAL_UART_TRIGGER_NEQUAL, "NEQ" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUARTDataOperator = { 2, rsscope_rngProtocolUARTDataOperatorEntries };

RsCoreRangeTableRanged rsscope_rngProtocolUARTDataIndexMin = { 0, 32767, "Number of words" };

RsCoreRangeTableRanged rsscope_rngProtocolUARTDataIndexMax = { 0, 32767, "Number of words" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolLINTechnologyEntries[6] =
  {
    { RSSCOPE_VAL_LIN_V9, "V9" },
    { RSSCOPE_VAL_LIN_V6, "V6" },
    { RSSCOPE_VAL_LIN_V35, "V35" },
    { RSSCOPE_VAL_LIN_V25, "V25" },
    { RSSCOPE_VAL_LIN_V15, "V15" },
    { RSSCOPE_VAL_LIN_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolLINTechnology = { 6, rsscope_rngProtocolLINTechnologyEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolLINStandardEntries[4] =
  {
    { RSSCOPE_VAL_LIN_STANDARD_AUTO, "AUTO" },
    { RSSCOPE_VAL_LIN_STANDARD_1X, "V1X" },
    { RSSCOPE_VAL_LIN_STANDARD_2X, "V2X" },
    { RSSCOPE_VAL_LIN_STANDARD_J2602, "J2602" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolLINStandard = { 4, rsscope_rngProtocolLINStandardEntries };

RsCoreRangeTableRanged rsscope_rngProtocolLINBitRate = { 1000, 20000, "bps" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolLINTriggerEntries[6] =
  {
    { RSSCOPE_VAL_LIN_FRAME_START, "SYNC" },
    { RSSCOPE_VAL_LIN_FRAME_ID, "ID" },
    { RSSCOPE_VAL_LIN_FRAME_ID_OR, "IDOR" },
    { RSSCOPE_VAL_LIN_FRMAE_ID_DATA, "IDDT" },
    { RSSCOPE_VAL_LIN_FRAME_WAKEUP, "WKFR" },
    { RSSCOPE_VAL_LIN_ERR_COND, "ERRC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolLINTrigger = { 6, rsscope_rngProtocolLINTriggerEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANLineTypeEntries[2] =
  {
    { RSSCOPE_VAL_CAN_LOW, "CANL" },
    { RSSCOPE_VAL_CAN_HIGH, "CANH" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANLineType = { 2, rsscope_rngProtocolCANLineTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANTechnologyEntries[5] =
  {
    { RSSCOPE_VAL_CAN_V25, "V25" },
    { RSSCOPE_VAL_CAN_V3, "V3" },
    { RSSCOPE_VAL_CAN_V2, "V2" },
    { RSSCOPE_VAL_CAN_V0, "V0" },
    { RSSCOPE_VAL_CAN_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANTechnology = { 5, rsscope_rngProtocolCANTechnologyEntries };

RsCoreRangeTableRanged rsscope_rngProtocolCANBitRate = { 100, 5000000, "bps" };

RsCoreRangeTableRanged rsscope_rngProtocolCANJumpWidth = { 1, 4, "" };

RsCoreRangeTableRanged rsscope_rngProtocolCANSamplePoint = { 12, 96, "%" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANTriggModeEntries[5] =
  {
    { RSSCOPE_VAL_CAN_FRAME_START, "STOF" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE, "FTYP" },
    { RSSCOPE_VAL_CAN_MSG_ID, "ID" },
    { RSSCOPE_VAL_CAN_MSG_ID_DATA, "IDDT" },
    { RSSCOPE_VAL_CAN_ERR_COND, "ERRC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANTriggMode = { 5, rsscope_rngProtocolCANTriggModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANTriggFrameTypeEntries[5] =
  {
    { RSSCOPE_VAL_CAN_FRAME_TYPE_DATA, "DATA" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_REMOTE, "REM" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_ERROR, "ERR" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_OVER_LOAD, "OVER" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANTriggFrameType = { 5, rsscope_rngProtocolCANTriggFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANIDTypeEntries[3] =
  {
    { RSSCOPE_VAL_CAN_FRAME_ID_TYPE_B11, "B11" },
    { RSSCOPE_VAL_CAN_FRAME_ID_TYPE_B29, "B29" },
    { RSSCOPE_VAL_CAN_FRAME_ID_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANIDType = { 3, rsscope_rngProtocolCANIDTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANEndiannessEntries[2] =
  {
    { RSSCOPE_VAL_CAN_FRAME_BIG_EDIAN, "BEND" },
    { RSSCOPE_VAL_CAN_FRAME_LITTE_EDIAN, "LEND" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANEndianness = { 2, rsscope_rngProtocolCANEndiannessEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngDisplayStyleEntries[2] =
  {
    { RSSCOPE_VAL_DISPLAY_STYLE_LINE, "LINE" },
    { RSSCOPE_VAL_DISPLAY_STYLE_MARKER, "MARK" }
  };
RsCoreRangeTableDiscrete rsscope_rngDisplayStyle = { 2, rsscope_rngDisplayStyleEntries };

RsCoreRangeTableRanged rsscope_rngPersistenceTime = { 0.05, 50.00, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngSignalStyleEntries[2] =
  {
    { RSSCOPE_VAL_SIGNAL_STYLE_VECTORS, "VECT" },
    { RSSCOPE_VAL_SIGNAL_STYLE_DOTS, "DOTS" }
  };
RsCoreRangeTableDiscrete rsscope_rngSignalStyle = { 2, rsscope_rngSignalStyleEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngSignalBarPostionEntries[2] =
  {
    { RSSCOPE_VAL_SIGNAL_BAR_POSITION_LEFT, "LEFT" },
    { RSSCOPE_VAL_SIGNAL_BAR_POSITION_RIGHT, "RIGH" }
  };
RsCoreRangeTableDiscrete rsscope_rngSignalBarPostion = { 2, rsscope_rngSignalBarPostionEntries };

RsCoreRangeTableRanged rsscope_rngSignalBarHideTime = { 0.03, 86400.00, "s" };

RsCoreRangeTableRanged rsscope_rngSignalBarHidingTransparency = { 20.00, 70.00, "%" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCalibrationSourceFrequencyEntries[25] =
  {
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ10, "MHZ10" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_GHZ1, "GHZ1" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_KHZ7900, "KHZ7900" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_KHZ15800, "KHZ15800" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ31_25, "MHZ31_25" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_KHZ31600, "KHZ31600" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_KHZ63200, "KHZ63200" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ250MB, "MHZ250MB" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_GHZ1_20DB, "GHZ1_20DB" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ62, "MHZ62" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ125, "MHZ125" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ250, "MHZ250" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ500, "MHZ500" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_KHZ505500, "KHZ505500" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ31_25R, "MHZ31_25R" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ1R, "MHZ1R" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ31R, "MHZ31R" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ498S, "MHZ498S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ1257_2S, "MHZ1257_2S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ2491S, "MHZ2491S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ4060S, "MHZ4060S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ4350S, "MHZ4350S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ4810S, "MHZ4810S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ4991S, "MHZ4991S" },
    { RSSCOPE_VAL_CALIBRATION_FREQUENCY_MHZ5940S, "MHZ5940S" }
  };
RsCoreRangeTableDiscrete rsscope_rngCalibrationSourceFrequency = { 25, rsscope_rngCalibrationSourceFrequencyEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCalibrationOperatingModeEntries[2] =
  {
    { RSSCOPE_VAL_CALIBRATION_OPERATING_MODE_SKEW, "SKEW" },
    { RSSCOPE_VAL_CALIBRATION_OPERATING_MODE_GAIN, "GAIN" }
  };
RsCoreRangeTableDiscrete rsscope_rngCalibrationOperatingMode = { 2, rsscope_rngCalibrationOperatingModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCalibrationDestinationEntries[2] =
  {
    { RSSCOPE_VAL_CALIBRATION_DESTINATION_INTERNAL, "DINT" },
    { RSSCOPE_VAL_CALIBRATION_DESTINATION_EXTERNAL, "DEXT" }
  };
RsCoreRangeTableDiscrete rsscope_rngCalibrationDestination = { 2, rsscope_rngCalibrationDestinationEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngSelftestStatusEntries[3] =
  {
    { RSSCOPE_VAL_SELFTEST_FAILED, "FAIL" },
    { RSSCOPE_VAL_SELFTEST_PASSED, "PSSD" },
    { RSSCOPE_VAL_SELFTEST_UNDEFINED, "UND" }
  };
RsCoreRangeTableDiscrete rsscope_rngSelftestStatus = { 3, rsscope_rngSelftestStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngHardcopyDeviceEntries[3] =
  {
    { RSSCOPE_VAL_HARDCOPY_DEVICE_MEM, "MMEM" },
    { RSSCOPE_VAL_HARDCOPY_DEVICE_PRINT, "SYST:COMM:PRIN" },
    { RSSCOPE_VAL_HARDCOPY_DEVICE_CLIPBOARD, "SYST:COMM:CLIP" }
  };
RsCoreRangeTableDiscrete rsscope_rngHardcopyDevice = { 3, rsscope_rngHardcopyDeviceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngHardcopyDeviceLangEntries[5] =
  {
    { RSSCOPE_VAL_HARDCOPY_DEVICE_LANG_PNG, "PNG" },
    { RSSCOPE_VAL_HARDCOPY_DEVICE_LANG_JPG, "JPG" },
    { RSSCOPE_VAL_HARDCOPY_DEVICE_LANG_BMP, "BMP" },
    { RSSCOPE_VAL_HARDCOPY_DEVICE_LANG_TIFF, "TIFF" },
    { RSSCOPE_VAL_HARDCOPY_DEVICE_LANG_PDF, "PDF" }
  };
RsCoreRangeTableDiscrete rsscope_rngHardcopyDeviceLang = { 5, rsscope_rngHardcopyDeviceLangEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngHardcopyDeviceOrientationEntries[2] =
  {
    { RSSCOPE_VAL_HARDCOPY_ORIENTATION_PORTRAIT, "PORT" },
    { RSSCOPE_VAL_HARDCOPY_ORIENTATION_LANDSCAPE, "LAND" }
  };
RsCoreRangeTableDiscrete rsscope_rngHardcopyDeviceOrientation = { 2, rsscope_rngHardcopyDeviceOrientationEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformParameterXYEntries[82] =
  {
    { RSSCOPE_VAL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_WAV_C1W2, "C1W2" },
    { RSSCOPE_VAL_WAV_C1W3, "C1W3" },
    { RSSCOPE_VAL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_WAV_C2W2, "C2W2" },
    { RSSCOPE_VAL_WAV_C2W3, "C2W3" },
    { RSSCOPE_VAL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_WAV_C3W2, "C3W2" },
    { RSSCOPE_VAL_WAV_C3W3, "C3W3" },
    { RSSCOPE_VAL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_WAV_C4W2, "C4W2" },
    { RSSCOPE_VAL_WAV_C4W3, "C4W3" },
    { RSSCOPE_VAL_WAV_M1, "M1" },
    { RSSCOPE_VAL_WAV_M2, "M2" },
    { RSSCOPE_VAL_WAV_M3, "M3" },
    { RSSCOPE_VAL_WAV_M4, "M4" },
    { RSSCOPE_VAL_WAV_M5, "M5" },
    { RSSCOPE_VAL_WAV_R1, "R1" },
    { RSSCOPE_VAL_WAV_R2, "R2" },
    { RSSCOPE_VAL_WAV_R3, "R3" },
    { RSSCOPE_VAL_WAV_R4, "R4" },
    { RSSCOPE_VAL_WAV_TRK1, "TRK1" },
    { RSSCOPE_VAL_WAV_TRK2, "TRK2" },
    { RSSCOPE_VAL_WAV_TRK3, "TRK3" },
    { RSSCOPE_VAL_WAV_TRK4, "TRK4" },
    { RSSCOPE_VAL_WAV_TRK5, "TRK5" },
    { RSSCOPE_VAL_WAV_TRK6, "TRK6" },
    { RSSCOPE_VAL_WAV_TRK7, "TRK7" },
    { RSSCOPE_VAL_WAV_TRK8, "TRK8" },
    { RSSCOPE_VAL_WAV_SG1TL1, "SG1TL1" },
    { RSSCOPE_VAL_WAV_SG1TL2, "SG1TL2" },
    { RSSCOPE_VAL_WAV_SG2TL1, "SG2TL1" },
    { RSSCOPE_VAL_WAV_SG2TL2, "SG2TL2" },
    { RSSCOPE_VAL_WAV_SG3TL1, "SG3TL1" },
    { RSSCOPE_VAL_WAV_SG3TL2, "SG3TL2" },
    { RSSCOPE_VAL_WAV_SG4TL1, "SG4TL1" },
    { RSSCOPE_VAL_WAV_SG4TL2, "SG4TL2" },
    { RSSCOPE_VAL_WAV_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_WAV_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_WAV_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_WAV_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_WAV_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_WAV_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_WAV_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_WAV_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_WAV_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_WAV_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_WAV_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_WAV_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_WAV_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_WAV_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_WAV_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_WAV_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_WAV_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_WAV_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_WAV_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_WAV_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_WAV_M6, "M6" },
    { RSSCOPE_VAL_WAV_M7, "M7" },
    { RSSCOPE_VAL_WAV_M8, "M8" },
    { RSSCOPE_VAL_WAV_SG5TL1, "SG5TL1" },
    { RSSCOPE_VAL_WAV_SG5TL2, "SG5TL2" },
    { RSSCOPE_VAL_WAV_SG6TL1, "SG6TL1" },
    { RSSCOPE_VAL_WAV_SG6TL2, "SG6TL2" },
    { RSSCOPE_VAL_WAV_SG7TL1, "SG7TL1" },
    { RSSCOPE_VAL_WAV_SG7TL2, "SG7TL2" },
    { RSSCOPE_VAL_WAV_SG8TL1, "SG8TL1" },
    { RSSCOPE_VAL_WAV_SG8TL2, "SG8TL2" },
    { RSSCOPE_VAL_WAV_TNTR1, "TNTRack1" },
    { RSSCOPE_VAL_WAV_TNTR2, "TNTRack2" },
    { RSSCOPE_VAL_WAV_DNTR1, "DNTRack1" },
    { RSSCOPE_VAL_WAV_DNTR2, "DNTRack2" },
    { RSSCOPE_VAL_WAV_DDNTR1, "DDNTR1" },
    { RSSCOPE_VAL_WAV_DDNTR2, "DDNTR2" },
    { RSSCOPE_VAL_WAV_PNTR1, "PNTRack1" },
    { RSSCOPE_VAL_WAV_PNTR2, "PNTRack2" },
    { RSSCOPE_VAL_WAV_RNOT1, "RNOTrack1" },
    { RSSCOPE_VAL_WAV_RNOT2, "RNOTrack2" },
    { RSSCOPE_VAL_WAV_PJDT1, "PJDTrack1" },
    { RSSCOPE_VAL_WAV_PJDT2, "PJDTrack2" },
    { RSSCOPE_VAL_WAV_PNDT1, "PNDTrack1" },
    { RSSCOPE_VAL_WAV_PNDT2, "PNDTrack2" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformParameterXY = { 82, rsscope_rngWaveformParameterXYEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformParameterReferenceEntries[52] =
  {
    { RSSCOPE_VAL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_WAV_C1W2, "C1W2" },
    { RSSCOPE_VAL_WAV_C1W3, "C1W3" },
    { RSSCOPE_VAL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_WAV_C2W2, "C2W2" },
    { RSSCOPE_VAL_WAV_C2W3, "C2W3" },
    { RSSCOPE_VAL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_WAV_C3W2, "C3W2" },
    { RSSCOPE_VAL_WAV_C3W3, "C3W3" },
    { RSSCOPE_VAL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_WAV_C4W2, "C4W2" },
    { RSSCOPE_VAL_WAV_C4W3, "C4W3" },
    { RSSCOPE_VAL_WAV_M1, "M1" },
    { RSSCOPE_VAL_WAV_M2, "M2" },
    { RSSCOPE_VAL_WAV_M3, "M3" },
    { RSSCOPE_VAL_WAV_M4, "M4" },
    { RSSCOPE_VAL_WAV_M5, "M5" },
    { RSSCOPE_VAL_WAV_R1, "R1" },
    { RSSCOPE_VAL_WAV_R2, "R2" },
    { RSSCOPE_VAL_WAV_R3, "R3" },
    { RSSCOPE_VAL_WAV_R4, "R4" },
    { RSSCOPE_VAL_WAV_TRK1, "TRK1" },
    { RSSCOPE_VAL_WAV_TRK2, "TRK2" },
    { RSSCOPE_VAL_WAV_TRK3, "TRK3" },
    { RSSCOPE_VAL_WAV_TRK4, "TRK4" },
    { RSSCOPE_VAL_WAV_TRK5, "TRK5" },
    { RSSCOPE_VAL_WAV_TRK6, "TRK6" },
    { RSSCOPE_VAL_WAV_TRK7, "TRK7" },
    { RSSCOPE_VAL_WAV_TRK8, "TRK8" },
    { RSSCOPE_VAL_WAV_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_WAV_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_WAV_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_WAV_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_WAV_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_WAV_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_WAV_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_WAV_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_WAV_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_WAV_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_WAV_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_WAV_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_WAV_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_WAV_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_WAV_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_WAV_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_WAV_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_WAV_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_WAV_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_WAV_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_WAV_M6, "M6" },
    { RSSCOPE_VAL_WAV_M7, "M7" },
    { RSSCOPE_VAL_WAV_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformParameterReference = { 52, rsscope_rngWaveformParameterReferenceEntries };

RsCoreRangeTableRanged rsscope_rngRefWfmFactorHorizontal = { 0.000001, 1000000.00, "" };

RsCoreRangeTableRanged rsscope_rngDSPCutOff = { 100.0e3, 1.0e9, "Hz" };

RsCoreRangeTableRanged rsscope_rngAttenuation = { 100.0e-6, 10000.0, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngAttUnitsEntries[3] =
  {
    { RSSCOPE_VAL_ATT_V, "V" },
    { RSSCOPE_VAL_ATT_A, "A" },
    { RSSCOPE_VAL_ATT_W, "W" }
  };
RsCoreRangeTableDiscrete rsscope_rngAttUnits = { 3, rsscope_rngAttUnitsEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEATScaleEntries[2] =
  {
    { RSSCOPE_VAL_EAT_LIN, "LIN" },
    { RSSCOPE_VAL_EAT_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete rsscope_rngEATScale = { 2, rsscope_rngEATScaleEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngIntExtEntries[2] =
  {
    { RSSCOPE_VAL_INT, "INT" },
    { RSSCOPE_VAL_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete rsscope_rngIntExt = { 2, rsscope_rngIntExtEntries };

RsCoreRangeTableRanged rsscope_rngExtOscFreq = { 1.0e6, 20.0e6, "Hz" };

RsCoreRangeTableRanged rsscope_rngHistAcqTime = { 40.0e-6, 10.0, "s" };

RsCoreRangeTableRanged rsscope_rngAmpPulseTrain = { 1, 2147483647, "" };

RsCoreRangeTableRanged rsscope_rngDSPTriggRFReject = { 100.0e3, 1.0e9, "Hz" };

static RsCoreRangeTableDiscreteEntry rsscope_rngDSPTriggCouplingEntries[2] =
  {
    { RSSCOPE_VAL_DSP_TRIGGER_OFF, "OFF" },
    { RSSCOPE_VAL_DSP_TRIGGER_RF_REJECT, "RFR" }
  };
RsCoreRangeTableDiscrete rsscope_rngDSPTriggCoupling = { 2, rsscope_rngDSPTriggCouplingEntries };

RsCoreRangeTableRanged rsscope_rngTriggerOutPulseLength = { 4.0e-9, 1.0e-3, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngEnvelopeTypeEntries[3] =
  {
    { RSSCOPE_VAL_ENVELOPE_MIN, "MIN" },
    { RSSCOPE_VAL_ENVELOPE_MAX, "MAX" },
    { RSSCOPE_VAL_ENVELOPE_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete rsscope_rngEnvelopeType = { 3, rsscope_rngEnvelopeTypeEntries };

RsCoreRangeTableRanged rsscope_rngLINTriggerCRCErrDataLength = { 0, 8, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngPatternFormatEntries[6] =
  {
    { RSSCOPE_VAL_PATTERN_BIN, "BIN" },
    { RSSCOPE_VAL_PATTERN_OCT, "OCT" },
    { RSSCOPE_VAL_PATTERN_DEC, "DEC" },
    { RSSCOPE_VAL_PATTERN_HEX, "HEX" },
    { RSSCOPE_VAL_PATTERN_ASCII, "ASCII" },
    { RSSCOPE_VAL_PATTERN_STRING, "STRG" }
  };
RsCoreRangeTableDiscrete rsscope_rngPatternFormat = { 6, rsscope_rngPatternFormatEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformExportScopeEntries[5] =
  {
    { RSSCOPE_VAL_WAV_EXPORT_COMPLETE, "WFM" },
    { RSSCOPE_VAL_WAV_EXPORT_ZOOM, "ZOOM" },
    { RSSCOPE_VAL_WAV_EXPORT_CURSOR, "CURS" },
    { RSSCOPE_VAL_WAV_EXPORT_GATE, "GATE" },
    { RSSCOPE_VAL_WAV_EXPORT_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformExportScope = { 5, rsscope_rngWaveformExportScopeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCursorEntries[4] =
  {
    { RSSCOPE_VAL_CURSOR_1, "CURSOR1" },
    { RSSCOPE_VAL_CURSOR_2, "CURSOR2" },
    { RSSCOPE_VAL_CURSOR_3, "CURSOR3" },
    { RSSCOPE_VAL_CURSOR_4, "CURSOR4" }
  };
RsCoreRangeTableDiscrete rsscope_rngCursor = { 4, rsscope_rngCursorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMeasurementEntries[8] =
  {
    { RSSCOPE_VAL_MEAS1, "MEAS1" },
    { RSSCOPE_VAL_MEAS2, "MEAS2" },
    { RSSCOPE_VAL_MEAS3, "MEAS3" },
    { RSSCOPE_VAL_MEAS4, "MEAS4" },
    { RSSCOPE_VAL_MEAS5, "MEAS5" },
    { RSSCOPE_VAL_MEAS6, "MEAS6" },
    { RSSCOPE_VAL_MEAS7, "MEAS7" },
    { RSSCOPE_VAL_MEAS8, "MEAS8" }
  };
RsCoreRangeTableDiscrete rsscope_rngMeasurement = { 8, rsscope_rngMeasurementEntries };

RsCoreRangeTableRanged rsscope_rngWaveformExportRange = { -100.0e24, 100e24, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbePredefinedCurrentEntries[20] =
  {
    { RSSCOPE_VAL_PROBE_FREE, "FREE" },
    { RSSCOPE_VAL_PROBE_ZC10, "ZC10" },
    { RSSCOPE_VAL_PROBE_ZC20, "ZC20" },
    { RSSCOPE_VAL_PROBE_ZD01_100, "ZD01A100" },
    { RSSCOPE_VAL_PROBE_ZD01_1000, "ZD01A1000" },
    { RSSCOPE_VAL_PROBE_ZC30, "ZC30" },
    { RSSCOPE_VAL_PROBE_ZZ80, "ZZ80" },
    { RSSCOPE_VAL_PROBE_ZS10L, "ZS10L" },
    { RSSCOPE_VAL_PROBE_ZD02, "ZD02" },
    { RSSCOPE_VAL_PROBE_ZD08, "ZD08" },
    { RSSCOPE_VAL_PROBE_ZC02100, "ZC02100" },
    { RSSCOPE_VAL_PROBE_ZC021000, "ZC021000" },
    { RSSCOPE_VAL_PROBE_ZC03, "ZC03" },
    { RSSCOPE_VAL_PROBE_ZD002A10, "ZD002A10" },
    { RSSCOPE_VAL_PROBE_ZD002A100, "ZD002A100" },
    { RSSCOPE_VAL_PROBE_ZD003A20, "ZD003A20" },
    { RSSCOPE_VAL_PROBE_ZD003A200, "ZD003A200" },
    { RSSCOPE_VAL_PROBE_ZC3101, "ZC3101" },
    { RSSCOPE_VAL_PROBE_ZC311, "ZC311" },
    { RSSCOPE_VAL_PROBE_ZC3110, "ZC3110" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbePredefinedCurrent = { 20, rsscope_rngProbePredefinedCurrentEntries };

RsCoreRangeTableRanged rsscope_rngProbeGainManual = { 100e-6, 10000.0, "V" };

RsCoreRangeTableRanged rsscope_rngMultipleMeasurementCount = { 2, 1000000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngAmpRefLevSelectionEntries[3] =
  {
    { RSSCOPE_VAL_AMPT_LEVEL_LOW, "LOW" },
    { RSSCOPE_VAL_AMPT_LEVEL_MIDD, "MIDD" },
    { RSSCOPE_VAL_AMPT_LEVEL_UPP, "UPP" }
  };
RsCoreRangeTableDiscrete rsscope_rngAmpRefLevSelection = { 3, rsscope_rngAmpRefLevSelectionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAmplitudeDelayDirectionEntries[2] =
  {
    { RSSCOPE_VAL_AMPT_DIRECTION_FRFI, "FRFI" },
    { RSSCOPE_VAL_AMPT_DIRECTION_FRLA, "FRLA" }
  };
RsCoreRangeTableDiscrete rsscope_rngAmplitudeDelayDirection = { 2, rsscope_rngAmplitudeDelayDirectionEntries };

RsCoreRangeTableRanged rsscope_rngAmpDelayEdgeNumber = { 1, 100000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngI2CPositionConditionEntries[4] =
  {
    { RSSCOPE_VAL_I2C_COND_ANY, "ANY" },
    { RSSCOPE_VAL_I2C_COND_EQ, "EQU" },
    { RSSCOPE_VAL_I2C_COND_GE, "GETH" },
    { RSSCOPE_VAL_I2C_COND_RAN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngI2CPositionCondition = { 4, rsscope_rngI2CPositionConditionEntries };

RsCoreRangeTableRanged rsscope_rnglI2CPositionMinMax = { 0, 4095, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngSPIPositionConditionEntries[4] =
  {
    { RSSCOPE_VAL_SPI_COND_ANY, "ANY" },
    { RSSCOPE_VAL_SPI_COND_EQ, "EQU" },
    { RSSCOPE_VAL_SPI_COND_GE, "GETH" },
    { RSSCOPE_VAL_SPI_COND_RAN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngSPIPositionCondition = { 4, rsscope_rngSPIPositionConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolLINTriggerDataConditionEntries[2] =
  {
    { RSSCOPE_VAL_COND_LIN_DATA_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LIN_DATA_GT, "GETH" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolLINTriggerDataCondition = { 2, rsscope_rngProtocolLINTriggerDataConditionEntries };

RsCoreRangeTableRanged rsscope_rngLINDataLength = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngLINDataTransferEntries[2] =
  {
    { RSSCOPE_VAL_LIN_TRANSFER_BENDIAN, "BEND" },
    { RSSCOPE_VAL_LIN_TRANSFER_LENDIAN, "LEND" }
  };
RsCoreRangeTableDiscrete rsscope_rngLINDataTransfer = { 2, rsscope_rngLINDataTransferEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRaySrcTypeEntries[3] =
  {
    { RSSCOPE_VAL_FLEXRAY_TYPE_SINGLE, "SING" },
    { RSSCOPE_VAL_FLEXRAY_TYPE_DIFF, "DIFF" },
    { RSSCOPE_VAL_FLEXRAY_TYPE_LOGIC, "LOG" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRaySrcType = { 3, rsscope_rngFlexRaySrcTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayPolarityEntries[2] =
  {
    { RSSCOPE_VAL_FLEXRAY_POLARITY_PLUS, "BPL" },
    { RSSCOPE_VAL_FLEXRAY_POLARITY_MINUS, "BMIN" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayPolarity = { 2, rsscope_rngFlexRayPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRaySinglePresetEntries[5] =
  {
    { RSSCOPE_VAL_FLEXRAY_SINGLE_2500_150, "MV150" },
    { RSSCOPE_VAL_FLEXRAY_SINGLE_2500_200, "MV200" },
    { RSSCOPE_VAL_FLEXRAY_SINGLE_2500_250, "MV250" },
    { RSSCOPE_VAL_FLEXRAY_SINGLE_2500_300, "MV300" },
    { RSSCOPE_VAL_FLEXRAY_SINGLE_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRaySinglePreset = { 5, rsscope_rngFlexRaySinglePresetEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayDifferentialPresetEntries[5] =
  {
    { RSSCOPE_VAL_FLEXRAY_DIFF_MV150, "MV150" },
    { RSSCOPE_VAL_FLEXRAY_DIFF_MV200, "MV200" },
    { RSSCOPE_VAL_FLEXRAY_DIFF_MV250, "MV250" },
    { RSSCOPE_VAL_FLEXRAY_DIFF_MV300, "MV300" },
    { RSSCOPE_VAL_FLEXRAY_DIFF_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayDifferentialPreset = { 5, rsscope_rngFlexRayDifferentialPresetEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayLogicPresetEntries[6] =
  {
    { RSSCOPE_VAL_FLEXRAY_LOGIC_V25, "V25" },
    { RSSCOPE_VAL_FLEXRAY_LOGIC_V165, "V165" },
    { RSSCOPE_VAL_FLEXRAY_LOGIC_V125, "V125" },
    { RSSCOPE_VAL_FLEXRAY_LOGIC_V09, "V09" },
    { RSSCOPE_VAL_FLEXRAY_LOGIC_V0, "V0" },
    { RSSCOPE_VAL_FLEXRAY_LOGIC_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayLogicPreset = { 6, rsscope_rngFlexRayLogicPresetEntries };

RsCoreRangeTableRanged rsscope_rngFlexRayLogicTreshold = { -12.0, 12.0, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayBitRateEntries[3] =
  {
    { RSSCOPE_VAL_FLEXRAY_BITRATE_M10, "M10" },
    { RSSCOPE_VAL_FLEXRAY_BITRATE_M5, "M5" },
    { RSSCOPE_VAL_FLEXRAY_BITRATE_M25, "M2_5" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayBitRate = { 3, rsscope_rngFlexRayBitRateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayChannelEntries[2] =
  {
    { RSSCOPE_VAL_FLEXRAY_CHA, "CHA" },
    { RSSCOPE_VAL_FLEXRAY_CHB, "CHB" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayChannel = { 2, rsscope_rngFlexRayChannelEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayTriggerTypeEntries[4] =
  {
    { RSSCOPE_VAL_FLEXRAY_FRAME_START, "STOF" },
    { RSSCOPE_VAL_FLEXRAY_ID_DATA, "IDDT" },
    { RSSCOPE_VAL_FLEXRAY_SYMBOL, "SYMB" },
    { RSSCOPE_VAL_FLEXRAY_ERR_COND, "ERRC" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayTriggerType = { 4, rsscope_rngFlexRayTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayIndicatorBitsEntries[3] =
  {
    { RSSCOPE_VAL_FLEXRAY_BITS_ZERO, "ZERO" },
    { RSSCOPE_VAL_FLEXRAY_BITS_ONE, "ONE" },
    { RSSCOPE_VAL_FLEXRAY_BITS_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayIndicatorBits = { 3, rsscope_rngFlexRayIndicatorBitsEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayConditionEntries[9] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" },
    { RSSCOPE_VAL_COND_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayCondition = { 9, rsscope_rngFlexRayConditionEntries };

RsCoreRangeTableRanged rsscope_rngFlexRayPayloadMinMax = { 0, 127, "" };

RsCoreRangeTableRanged rsscope_rngFlexRayCycleMinMax = { 0, 63, "" };

RsCoreRangeTableRanged rsscope_rngFlexRayCycleStep = { 1, 63, "" };

RsCoreRangeTableRanged rsscope_rngFlexRayPositionMinMax = { 0, 255, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRaySymbolEntries[2] =
  {
    { RSSCOPE_VAL_FLEXRAY_SYMBOL_CASMTS, "CASM" },
    { RSSCOPE_VAL_FLEXRAY_SYMBOL_WAKEUP, "WAK" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRaySymbol = { 2, rsscope_rngFlexRaySymbolEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayFrameStatusEntries[12] =
  {
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_FSS, "FSS" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_BSS, "BSS" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_FES, "FES" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_IND, "IND" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_HCRC, "HCRC" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_CRC, "CRC" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_LENER, "LENER" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_WAK, "WAK" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_MTS, "MTS" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_INS, "INS" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_STATE_HCFC, "HCFC" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayFrameStatus = { 12, rsscope_rngFlexRayFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayFrameTypeEntries[5] =
  {
    { RSSCOPE_VAL_FLEXRAY_FRAME_TYPE_UNKNOWN, "UNKN" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_TYPE_STATIC, "STAT" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_TYPE_DYNAMIC, "DYN" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_TYPE_WAKE, "WAKE" },
    { RSSCOPE_VAL_FLEXRAY_FRAME_TYPE_SYMBOL, "SYMB" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayFrameType = { 5, rsscope_rngFlexRayFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngFlexRayFieldStatusEntries[3] =
  {
    { RSSCOPE_VAL_CAN_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_UVAL, "UVAL" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_INS, "INS" }
  };
RsCoreRangeTableDiscrete rsscope_rngFlexRayFieldStatus = { 3, rsscope_rngFlexRayFieldStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSODisplayRepresentationEntries[2] =
  {
    { RSSCOPE_VAL_MSO_REPRESENTATION_COMBINED, "COMB" },
    { RSSCOPE_VAL_MSO_REPRESENTATION_ANALOG, "ANAL" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSODisplayRepresentation = { 2, rsscope_rngMSODisplayRepresentationEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOClockSourceEntries[16] =
  {
    { RSSCOPE_VAL_MSO_D0, "D0" },
    { RSSCOPE_VAL_MSO_D1, "D1" },
    { RSSCOPE_VAL_MSO_D2, "D2" },
    { RSSCOPE_VAL_MSO_D3, "D3" },
    { RSSCOPE_VAL_MSO_D4, "D4" },
    { RSSCOPE_VAL_MSO_D5, "D5" },
    { RSSCOPE_VAL_MSO_D6, "D6" },
    { RSSCOPE_VAL_MSO_D7, "D7" },
    { RSSCOPE_VAL_MSO_D8, "D8" },
    { RSSCOPE_VAL_MSO_D9, "D9" },
    { RSSCOPE_VAL_MSO_D10, "D10" },
    { RSSCOPE_VAL_MSO_D11, "D11" },
    { RSSCOPE_VAL_MSO_D12, "D12" },
    { RSSCOPE_VAL_MSO_D13, "D13" },
    { RSSCOPE_VAL_MSO_D14, "D14" },
    { RSSCOPE_VAL_MSO_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOClockSource = { 16, rsscope_rngMSOClockSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOHysteresisEntries[3] =
  {
    { RSSCOPE_VAL_MSO_HYSTERESIS_MAXIMUM, "MAXIMUM" },
    { RSSCOPE_VAL_MSO_HYSTERESIS_ROBUST, "ROBUST" },
    { RSSCOPE_VAL_MSO_HYSTERESIS_NORMAL, "NORMAL" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOHysteresis = { 3, rsscope_rngMSOHysteresisEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOTriggerTypeEntries[8] =
  {
    { RSSCOPE_VAL_MSO_EDGE_TRIGGER, "EDGE" },
    { RSSCOPE_VAL_MSO_WIDTH_TRIGGER, "WIDT" },
    { RSSCOPE_VAL_MSO_TIMEOUT_TRIGGER, "TIM" },
    { RSSCOPE_VAL_MSO_DATA_TO_CLOCK_TRIGGER, "DAT" },
    { RSSCOPE_VAL_MSO_STATE_TRIGGER, "STAT" },
    { RSSCOPE_VAL_MSO_PATTERN_TRIGGER, "PATT" },
    { RSSCOPE_VAL_MSO_SERIAL_PATTERN_TRIGGER, "SERP" },
    { RSSCOPE_VAL_MSO_DATA_TO_CLOCK_SETUP_HOLD_TRIGGER, "SETH" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOTriggerType = { 8, rsscope_rngMSOTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOTriggerSourceEntries[21] =
  {
    { RSSCOPE_VAL_MSO_D0, "D0" },
    { RSSCOPE_VAL_MSO_D1, "D1" },
    { RSSCOPE_VAL_MSO_D2, "D2" },
    { RSSCOPE_VAL_MSO_D3, "D3" },
    { RSSCOPE_VAL_MSO_D4, "D4" },
    { RSSCOPE_VAL_MSO_D5, "D5" },
    { RSSCOPE_VAL_MSO_D6, "D6" },
    { RSSCOPE_VAL_MSO_D7, "D7" },
    { RSSCOPE_VAL_MSO_D8, "D8" },
    { RSSCOPE_VAL_MSO_D9, "D9" },
    { RSSCOPE_VAL_MSO_D10, "D10" },
    { RSSCOPE_VAL_MSO_D11, "D11" },
    { RSSCOPE_VAL_MSO_D12, "D12" },
    { RSSCOPE_VAL_MSO_D13, "D13" },
    { RSSCOPE_VAL_MSO_D14, "D14" },
    { RSSCOPE_VAL_MSO_D15, "D15" },
    { RSSCOPE_VAL_MSO_DALL, "LOGIC" },
    { RSSCOPE_VAL_MSO_MSOB1, "MSOB1" },
    { RSSCOPE_VAL_MSO_MSOB2, "MSOB2" },
    { RSSCOPE_VAL_MSO_MSOB3, "MSOB3" },
    { RSSCOPE_VAL_MSO_MSOB4, "MSOB4" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOTriggerSource = { 21, rsscope_rngMSOTriggerSourceEntries };

RsCoreRangeTableRanged rsscope_rngMSOWidth = { 200e-12, 10000, "" };

RsCoreRangeTableRanged rsscope_rngMSOWidthDelta = { 0.0, 432.0, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOTimeoutConditionEntries[3] =
  {
    { RSSCOPE_VAL_MSO_TIMEOUT_LOW, "LOW" },
    { RSSCOPE_VAL_MSO_TIMEOUT_HIGH, "HIGH" },
    { RSSCOPE_VAL_MSO_TIMEOUT_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOTimeoutCondition = { 3, rsscope_rngMSOTimeoutConditionEntries };

RsCoreRangeTableRanged rsscope_rngMSOData2ClockTime = { -9.98e-8, 1e-7, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOTriggerChannelStateEntries[3] =
  {
    { RSSCOPE_VAL_MSO_LOW, "LOW" },
    { RSSCOPE_VAL_MSO_HIGH, "HIGH" },
    { RSSCOPE_VAL_MSO_DC, "DONTCARE" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOTriggerChannelState = { 3, rsscope_rngMSOTriggerChannelStateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOPatternModeEntries[3] =
  {
    { RSSCOPE_VAL_PATTERN_OFF, "OFF" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT, "TIM" },
    { RSSCOPE_VAL_PATTERN_WIDTH, "WIDT" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOPatternMode = { 3, rsscope_rngMSOPatternModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMSOPatternTimeoutModeEntries[3] =
  {
    { RSSCOPE_VAL_PATTERN_TIMEOUT_LOW, "LOW" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT_HIGH, "HIGH" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsscope_rngMSOPatternTimeoutMode = { 3, rsscope_rngMSOPatternTimeoutModeEntries };

RsCoreRangeTableRanged rsscope_rngMSOTimeoutPattern = { 1.0e-10, 10000, "" };

RsCoreRangeTableRanged rsscope_rngSkewOffset = { -100e-9, 100e-9, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolI2CRWBitEntries[2] =
  {
    { RSSCOPE_VAL_PROTOCOL_I2C_RW_BIT_SEPARATE, "SEP" },
    { RSSCOPE_VAL_PROTOCOL_I2C_RW_BIT_IN_ADDRESS, "INAD" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolI2CRWBit = { 2, rsscope_rngProtocolI2CRWBitEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolLINTriggerCRCStandardEntries[4] =
  {
    { RSSCOPE_VAL_LIN_CRC_STANDARD_V1X, "V1X" },
    { RSSCOPE_VAL_LIN_CRC_STANDARD_V2X, "V2X" },
    { RSSCOPE_VAL_LIN_CRC_STANDARD_J2602, "J2602" },
    { RSSCOPE_VAL_LIN_CRC_STANDARD_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolLINTriggerCRCStandard = { 4, rsscope_rngProtocolLINTriggerCRCStandardEntries };

RsCoreRangeTableRanged rsscope_rngMSOSignalDeskew = { -2e-7, 2e-7, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngNFCTechnologyEntries[3] =
  {
    { RSSCOPE_VAL_NFC_A, "NFCA" },
    { RSSCOPE_VAL_NFC_B, "NFCB" },
    { RSSCOPE_VAL_NFC_F, "NFCF" }
  };
RsCoreRangeTableDiscrete rsscope_rngNFCTechnology = { 3, rsscope_rngNFCTechnologyEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngNFCTriggerBitRateEntries[3] =
  {
    { RSSCOPE_VAL_NFC_BIT_RATE_106, "KBPS106" },
    { RSSCOPE_VAL_NFC_BIT_RATE_212, "KBPS212" },
    { RSSCOPE_VAL_NFC_BIT_RATE_424, "KBPS424" }
  };
RsCoreRangeTableDiscrete rsscope_rngNFCTriggerBitRate = { 3, rsscope_rngNFCTriggerBitRateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngNFCTriggerEventEntries[6] =
  {
    { RSSCOPE_VAL_NFC_EVENT_ALL, "ALL" },
    { RSSCOPE_VAL_NFC_EVENT_SENS, "SEN" },
    { RSSCOPE_VAL_NFC_EVENT_ALLB, "ALLB" },
    { RSSCOPE_VAL_NFC_EVENT_SENSB, "SENB" },
    { RSSCOPE_VAL_NFC_EVENT_SOS48, "SOS48" },
    { RSSCOPE_VAL_NFC_EVENT_SOS96, "SOS96" }
  };
RsCoreRangeTableDiscrete rsscope_rngNFCTriggerEvent = { 6, rsscope_rngNFCTriggerEventEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMathResetModeEntries[3] =
  {
    { RSSCOPE_VAL_MATH_RESET_NONE, "NONE" },
    { RSSCOPE_VAL_MATH_RESET_TIME, "TIME" },
    { RSSCOPE_VAL_MATH_RESET_WFMS, "WFMS" }
  };
RsCoreRangeTableDiscrete rsscope_rngMathResetMode = { 3, rsscope_rngMathResetModeEntries };

RsCoreRangeTableRanged rsscope_rngMathEnvelopeTime = { 0.1, 10000.0, "" };

RsCoreRangeTableRanged rsscope_rngMathAcquiredWaveforms = { 2, 16777215, "" };

RsCoreRangeTableRanged rsscope_rngIQRelativeBandwidth = { 0.04, 0.8, "" };

RsCoreRangeTableRanged rsscope_rngIQSampleRate = { 1000, 10e+9, "" };

RsCoreRangeTableRanged rsscope_rngIQRecordLength = { 1000, 10000000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngIQInputTypeEntries[2] =
  {
    { RSSCOPE_VAL_IQ_INPUT_TYPE_REAL, "REAL" },
    { RSSCOPE_VAL_IQ_INPUT_TYPE_COMPLEX, "COMP" }
  };
RsCoreRangeTableDiscrete rsscope_rngIQInputType = { 2, rsscope_rngIQInputTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngIQInputModeEntries[2] =
  {
    { RSSCOPE_VAL_IQ_INPUT_MODE_BASEBAND, "BAS" },
    { RSSCOPE_VAL_IQ_INPUT_TYPE_RFIF, "RFIF" }
  };
RsCoreRangeTableDiscrete rsscope_rngIQInputMode = { 2, rsscope_rngIQInputModeEntries };

RsCoreRangeTableRanged rsscope_rngIQCarrierFrequency = { 100, 10e+9, "Hz" };

static RsCoreRangeTableDiscreteEntry rsscope_rngIQRealSidebandEntries[2] =
  {
    { RSSCOPE_VAL_IQ_REAL_SIDEBAND_NORMAL, "INV" },
    { RSSCOPE_VAL_IQ_REAL_SIDEBAND_INVERSE, "NORM" }
  };
RsCoreRangeTableDiscrete rsscope_rngIQRealSideband = { 2, rsscope_rngIQRealSidebandEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngIQComplexSidebandEntries[4] =
  {
    { RSSCOPE_VAL_IQ_COMPLEX_SIDEBAND_NORMAL_UPP, "NUPP" },
    { RSSCOPE_VAL_IQ_COMPLEX_SIDEBAND_NORMAL_LOW, "NLOW" },
    { RSSCOPE_VAL_IQ_COMPLEX_SIDEBAND_INVERSE_UPP, "IUPP" },
    { RSSCOPE_VAL_IQ_COMPLEX_SIDEBAND_INVERSE_LOW, "ILOW" }
  };
RsCoreRangeTableDiscrete rsscope_rngIQComplexSideband = { 4, rsscope_rngIQComplexSidebandEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngConfigureTVTriggerStandardEntries[17] =
  {
    { RSSCOPE_VAL_TV_STANDARD_CUSTOM, "CUST" },
    { RSSCOPE_VAL_TV_STANDARD_PAL, "PAL" },
    { RSSCOPE_VAL_TV_STANDARD_PALM, "PALM" },
    { RSSCOPE_VAL_TV_STANDARD_NTSC, "NTSC" },
    { RSSCOPE_VAL_TV_STANDARD_SEC, "SEC" },
    { RSSCOPE_VAL_TV_STANDARD_P480L60HZ, "P480L60HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P720L30HZ, "P720L30HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P720L50HZ, "P720L50HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P720L60HZ, "P720L60HZ" },
    { RSSCOPE_VAL_TV_STANDARD_I1080L50HZ, "I1080L50HZ" },
    { RSSCOPE_VAL_TV_STANDARD_I1080L60HZ, "I1080L60HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P1080L24HZ, "P1080L24HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P1080L24HZSF, "P1080L24HZSF" },
    { RSSCOPE_VAL_TV_STANDARD_P1080L25HZ, "P1080L25HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P1080L30HZ, "P1080L30HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P1080L50HZ, "P1080L50HZ" },
    { RSSCOPE_VAL_TV_STANDARD_P1080L60HZ, "P1080L60HZ" }
  };
RsCoreRangeTableDiscrete rsscope_rngConfigureTVTriggerStandard = { 17, rsscope_rngConfigureTVTriggerStandardEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTVTriggerModeEntries[5] =
  {
    { RSSCOPE_VAL_TV_MODE_ALL, "ALL" },
    { RSSCOPE_VAL_TV_MODE_ODD, "ODD" },
    { RSSCOPE_VAL_TV_MODE_EVEN, "EVEN" },
    { RSSCOPE_VAL_TV_MODE_ALIN, "ALIN" },
    { RSSCOPE_VAL_TV_MODE_LINE, "LINE" }
  };
RsCoreRangeTableDiscrete rsscope_rngTVTriggerMode = { 5, rsscope_rngTVTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTVTriggerFieldEntries[2] =
  {
    { RSSCOPE_VAL_TV_FIELD_ODD, "FIELD1" },
    { RSSCOPE_VAL_TV_FIELD_EVEN, "FIELD2" }
  };
RsCoreRangeTableDiscrete rsscope_rngTVTriggerField = { 2, rsscope_rngTVTriggerFieldEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTVTriggerPulseTypeEntries[2] =
  {
    { RSSCOPE_VAL_TV_PULSE_BI_LEVEL, "BIL" },
    { RSSCOPE_VAL_TV_PULSE_TRI_LEVEL, "TRIL" }
  };
RsCoreRangeTableDiscrete rsscope_rngTVTriggerPulseType = { 2, rsscope_rngTVTriggerPulseTypeEntries };

RsCoreRangeTableRanged rsscope_rngTVLinePeriod = { 1.0e-6, 500.0e-6, "" };

RsCoreRangeTableRanged rsscope_rngTVPulseWidth = { 100.0e-9, 100.0e-6, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngTVScanModeEntries[3] =
  {
    { RSSCOPE_VAL_TV_SCAN_MODE_INTERLACED, "INT" },
    { RSSCOPE_VAL_TV_SCAN_MODE_PROGRESSIVE, "PROG" },
    { RSSCOPE_VAL_TV_SCAN_MODE_SEGMENTED, "SEGM" }
  };
RsCoreRangeTableDiscrete rsscope_rngTVScanMode = { 3, rsscope_rngTVScanModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngResultBoxPositionEntries[2] =
  {
    { RSSCOPE_VAL_RESULT_BOX_POSITION_PREVIEW, "PREV" },
    { RSSCOPE_VAL_RESULT_BOX_POSITION_FLOATING, "FLOA" }
  };
RsCoreRangeTableDiscrete rsscope_rngResultBoxPosition = { 2, rsscope_rngResultBoxPositionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAudioVariantEntries[4] =
  {
    { RSSCOPE_VAL_AUDIO_VARIANT_I2S, "I2S" },
    { RSSCOPE_VAL_AUDIO_VARIANT_LJ, "LJ" },
    { RSSCOPE_VAL_AUDIO_VARIANT_RJ, "RJ" },
    { RSSCOPE_VAL_AUDIO_VARIANT_TDM, "TDM" }
  };
RsCoreRangeTableDiscrete rsscope_rngAudioVariant = { 4, rsscope_rngAudioVariantEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAudioClockPolarityEntries[2] =
  {
    { RSSCOPE_VAL_FALLING, "FALL" },
    { RSSCOPE_VAL_RISING, "RIS" }
  };
RsCoreRangeTableDiscrete rsscope_rngAudioClockPolarity = { 2, rsscope_rngAudioClockPolarityEntries };

RsCoreRangeTableRanged rsscope_rngAudioTreshold = { -10.0, 10.0, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngAudioWSPolarityEntries[2] =
  {
    { RSSCOPE_VAL_NORMAL, "NORM" },
    { RSSCOPE_VAL_INVERT, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngAudioWSPolarity = { 2, rsscope_rngAudioWSPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAudioChannelOrderEntries[2] =
  {
    { RSSCOPE_VAL_AUDIO_ORDER_LEFT, "LFIR" },
    { RSSCOPE_VAL_AUDIO_ORDER_RIGHT, "RFIR" }
  };
RsCoreRangeTableDiscrete rsscope_rngAudioChannelOrder = { 2, rsscope_rngAudioChannelOrderEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolAudioBitOrderEntries[2] =
  {
    { RSSCOPE_VAL_AUDIO_MSBF, "MSBF" },
    { RSSCOPE_VAL_AUDIO_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolAudioBitOrder = { 2, rsscope_rngProtocolAudioBitOrderEntries };

RsCoreRangeTableRanged rsscope_rngAudioOffset = { 0, 32, "" };

RsCoreRangeTableRanged rsscope_rngAudioLength = { 4, 32, "" };

RsCoreRangeTableRanged rsscope_rngAudioTDMChannels = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngAudioTriggerTypeEntries[5] =
  {
    { RSSCOPE_VAL_AUDIO_TRIGGER_DATA, "DATA" },
    { RSSCOPE_VAL_AUDIO_TRIGGER_WINDOW, "WIND" },
    { RSSCOPE_VAL_AUDIO_TRIGGER_COND, "COND" },
    { RSSCOPE_VAL_AUDIO_TRIGGER_WSEL, "WSEL" },
    { RSSCOPE_VAL_AUDIO_TRIGGER_ECON, "ECON" }
  };
RsCoreRangeTableDiscrete rsscope_rngAudioTriggerType = { 5, rsscope_rngAudioTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngAudioChannelEntries[11] =
  {
    { RSSCOPE_VAL_AUDIO_CHANNEL_ANY, "ANY" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC1, "TDMC1" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC2, "TDMC2" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC3, "TDMC3" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC4, "TDMC4" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC5, "TDMC5" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC6, "TDMC6" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC7, "TDMC7" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_TDMC8, "TDMC8" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_LEFT, "LEFT" },
    { RSSCOPE_VAL_AUDIO_CHANNEL_RIGHT, "RIGHT" }
  };
RsCoreRangeTableDiscrete rsscope_rngAudioChannel = { 11, rsscope_rngAudioChannelEntries };

RsCoreRangeTableRanged rsscope_rngProtocolAudioWindowLength = { 1, 1000000, "" };

RsCoreRangeTableRanged rsscope_rngStatisticsMeasurementsCount = { 1, 65535, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolDataFormatEntries[6] =
  {
    { RSSCOPE_VAL_DATA_FORMAT_HEX, "HEX" },
    { RSSCOPE_VAL_DATA_FORMAT_OCT, "OCT" },
    { RSSCOPE_VAL_DATA_FORMAT_BIN, "BIN" },
    { RSSCOPE_VAL_DATA_FORMAT_ASC, "ASCII" },
    { RSSCOPE_VAL_DATA_FORMAT_SIGN, "SIGN" },
    { RSSCOPE_VAL_DATA_FORMAT_USIG, "USIG" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolDataFormat = { 6, rsscope_rngProtocolDataFormatEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngLongTermExportResultEntries[8] =
  {
    { RSSCOPE_VAL_MEASUREMENT_1, "MEAS1" },
    { RSSCOPE_VAL_MEASUREMENT_2, "MEAS2" },
    { RSSCOPE_VAL_MEASUREMENT_3, "MEAS3" },
    { RSSCOPE_VAL_MEASUREMENT_4, "MEAS4" },
    { RSSCOPE_VAL_MEASUREMENT_5, "MEAS5" },
    { RSSCOPE_VAL_MEASUREMENT_6, "MEAS6" },
    { RSSCOPE_VAL_MEASUREMENT_7, "MEAS7" },
    { RSSCOPE_VAL_MEASUREMENT_8, "MEAS8" }
  };
RsCoreRangeTableDiscrete rsscope_rngLongTermExportResult = { 8, rsscope_rngLongTermExportResultEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngLongTermExportTypeEntries[3] =
  {
    { RSSCOPE_VAL_LONG_TERM_EXPORT_TYPE_LONG_TERM, "LONGTERM" },
    { RSSCOPE_VAL_LONG_TERM_EXPORT_TYPE_HISTOGRAM, "HISTOGRAM" },
    { RSSCOPE_VAL_LONG_TERM_EXPORT_TYPE_LONG_TRAC, "TRAC" }
  };
RsCoreRangeTableDiscrete rsscope_rngLongTermExportType = { 3, rsscope_rngLongTermExportTypeEntries };

RsCoreRangeTableRanged rsscope_rnglAudioFrameOffset = { 0, 256, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCursorSearchEntries[4] =
  {
    { RSSCOPE_VAL_CURSOR_SEARCH_MAX, "MAX" },
    { RSSCOPE_VAL_CURSOR_SEARCH_MAX_LEFT, "MAX:LEFT" },
    { RSSCOPE_VAL_CURSOR_SEARCH_MAX_RIGHT, "MAX:RIGH" },
    { RSSCOPE_VAL_CURSOR_SEARCH_MAX_NEXT, "MAX:NEXT" }
  };
RsCoreRangeTableDiscrete rsscope_rngCursorSearch = { 4, rsscope_rngCursorSearchEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngQuestionableRegisterEntries[12] =
  {
    { RSSCOPE_VAL_QREGISTER_CHANNEL_OVERLOAD, "COV" },
    { RSSCOPE_VAL_QREGISTER_TEMPERATURE, "TEMP" },
    { RSSCOPE_VAL_QREGISTER_LIMIT, "LIM" },
    { RSSCOPE_VAL_QREGISTER_MARGIN, "MARG" },
    { RSSCOPE_VAL_QREGISTER_MASK, "MASK" },
    { RSSCOPE_VAL_QREGISTER_ADCS, "ADCS" },
    { RSSCOPE_VAL_QREGISTER_LAMPLITUDE, "LAMP" },
    { RSSCOPE_VAL_QREGISTER_PLL, "PLL" },
    { RSSCOPE_VAL_QREGISTER_ZVC, "ZVC" },
    { RSSCOPE_VAL_QREGISTER_DEEMBEDDING, "DEEM" },
    { RSSCOPE_VAL_QREGISTER_FREQUENCY, "FREQ" },
    { RSSCOPE_VAL_QREGISTER_EFRONTEND, "EFR" }
  };
RsCoreRangeTableDiscrete rsscope_rngQuestionableRegister = { 12, rsscope_rngQuestionableRegisterEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngRegisterPartEntries[5] =
  {
    { RSSCOPE_VAL_REGISTER_PART_CONDITION, "COND" },
    { RSSCOPE_VAL_REGISTER_PART_ENABLE, "ENAB" },
    { RSSCOPE_VAL_REGISTER_PART_EVENT, "EVEN" },
    { RSSCOPE_VAL_REGISTER_PART_NTRANSITION, "NTR" },
    { RSSCOPE_VAL_REGISTER_PART_PTRANSITION, "PTR" }
  };
RsCoreRangeTableDiscrete rsscope_rngRegisterPart = { 5, rsscope_rngRegisterPartEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngStatisticsTypeEntries[9] =
  {
    { RSSCOPE_VAL_STATISTIC_TYPE_ACTUAL, "ACT" },
    { RSSCOPE_VAL_STATISTIC_TYPE_AVERAGE, "AVG" },
    { RSSCOPE_VAL_STATISTIC_TYPE_EVENT_COUNT, "EVTC" },
    { RSSCOPE_VAL_STATISTIC_NEGATIVE_PEAK, "NPE" },
    { RSSCOPE_VAL_STATISTIC_POSITIVE_PEAK, "PPE" },
    { RSSCOPE_VAL_STATISTIC_RMS, "RMS" },
    { RSSCOPE_VAL_STATISTIC_STANDARD_DEVIATION, "STDD" },
    { RSSCOPE_VAL_STATISTIC_WFM_COUNT, "WFMC" },
    { RSSCOPE_VAL_STATISTIC_RELIABILITY, "REL" }
  };
RsCoreRangeTableDiscrete rsscope_rngStatisticsType = { 9, rsscope_rngStatisticsTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngRefLevelMeasEntries[9] =
  {
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_ABOVE_LOW, "BINNer" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_BENEATH_LOW, "BOUTer" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_LOW, "LOWer" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_MIDDLE, "MIDDle" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_UPPER, "UPPer" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_SIGNAL_HIGH, "SIGHigh" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_SIGNAL_LOW, "SIGLow" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_BENEATH_HIGH, "TINNer" },
    { RSSCOPE_VAL_REFERENCE_LEVEL_MEAS_ABOVE_HIGH, "TOUTer" }
  };
RsCoreRangeTableDiscrete rsscope_rngRefLevelMeas = { 9, rsscope_rngRefLevelMeasEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngSearchTriggerEntries[13] =
  {
    { RSSCOPE_VAL_SEARCH_TRIGGER_EDGE, "EDGE" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_WIDTH, "WIDTh" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_RUNT, "RUNT" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_GLITCH, "GLITch" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_WINDOW, "WINDow" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_TIMEOUT, "TIMeout" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_INTERNAL, "INTerval" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_SLEWRATE, "SLEWrate" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_DATA2CLOCK, "SETHold" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_PATTERN, "PATTern" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_S10, "NA1" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_S11, "NA2" },
    { RSSCOPE_VAL_SEARCH_TRIGGER_STATE, "STATe" }
  };
RsCoreRangeTableDiscrete rsscope_rngSearchTrigger = { 13, rsscope_rngSearchTriggerEntries };

RsCoreRangeTableRanged rsscope_rngAmplitudeLimitValue = { -100, 100, "" };

RsCoreRangeTableRanged rsscope_rngAmplitudeLimitMargin = { -100, 100, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngJitterMainMeasurementEntries[9] =
  {
    { RSSCOPE_VAL_MEAS_JITTER_CCJ, "CCJ" },
    { RSSCOPE_VAL_MEAS_JITTER_NCJ, "NCJ" },
    { RSSCOPE_VAL_MEAS_JITTER_CCW, "CCW" },
    { RSSCOPE_VAL_MEAS_JITTER_CCD, "CCD" },
    { RSSCOPE_VAL_MEAS_JITTER_TIE, "TIE" },
    { RSSCOPE_VAL_MEAS_JITTER_UINT, "UINT" },
    { RSSCOPE_VAL_MEAS_JITTER_DRAT, "DRAT" },
    { RSSCOPE_VAL_MEAS_JITTER_SKWD, "SKWD" },
    { RSSCOPE_VAL_MEAS_JITTER_SKWP, "SKWP" }
  };
RsCoreRangeTableDiscrete rsscope_rngJitterMainMeasurement = { 9, rsscope_rngJitterMainMeasurementEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngJitterClockCycleBeginEntries[4] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_EITHER, "EITH" },
    { RSSCOPE_VAL_FIRST, "FIRS" }
  };
RsCoreRangeTableDiscrete rsscope_rngJitterClockCycleBegin = { 4, rsscope_rngJitterClockCycleBeginEntries };

RsCoreRangeTableRanged rsscope_rngJitterClockCycleOffset = { 1, 2147483647, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngJitterDataClockModeEntries[4] =
  {
    { RSSCOPE_VAL_JITTER_CLOCK_MODE_SIGNAL, "SIGN" },
    { RSSCOPE_VAL_JITTER_CLOCK_MODE_SW1, "SW1" },
    { RSSCOPE_VAL_JITTER_CLOCK_MODE_SW2, "SW2" },
    { RSSCOPE_VAL_JITTER_CLOCK_MODE_HW, "HW" }
  };
RsCoreRangeTableDiscrete rsscope_rngJitterDataClockMode = { 4, rsscope_rngJitterDataClockModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngJitterDelayRelativePolarityEntries[2] =
  {
    { RSSCOPE_VAL_MATCHING, "MATC" },
    { RSSCOPE_VAL_INVERSE, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngJitterDelayRelativePolarity = { 2, rsscope_rngJitterDelayRelativePolarityEntries };

RsCoreRangeTableRanged rsscope_rngMathVerticalScale = { 1.0e-12, 100.0e+12, "" };

RsCoreRangeTableRanged rsscope_rngCDRBitRate = { 100, 5e+9, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCDRSoftwareInitialPhaseSyncEntries[2] =
  {
    { RSSCOPE_VAL_CDR_INITIAL_PHASE_SYNC_SAMPLE, "SAMP" },
    { RSSCOPE_VAL_CDR_INITIAL_PHASE_SYNC_DATA_EDGE, "DAT" }
  };
RsCoreRangeTableDiscrete rsscope_rngCDRSoftwareInitialPhaseSync = { 2, rsscope_rngCDRSoftwareInitialPhaseSyncEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCDRSelectedResultsEntries[2] =
  {
    { RSSCOPE_VAL_CDR_SELECTED_RESULTS_ALL, "ALL" },
    { RSSCOPE_VAL_CDR_SELECTED_RESULTS_AI_SYNC, "AISY" }
  };
RsCoreRangeTableDiscrete rsscope_rngCDRSelectedResults = { 2, rsscope_rngCDRSelectedResultsEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCDRSoftwareAlgorithmEntries[4] =
  {
    { RSSCOPE_VAL_CDR_ALGORITHM_PLL, "PLL" },
    { RSSCOPE_VAL_CDR_ALGORITHM_CFR, "CFR" },
    { RSSCOPE_VAL_CDR_ALGORITHM_FF, "FF" },
    { RSSCOPE_VAL_CDR_ALGORITHM_PLLS, "PLLS" }
  };
RsCoreRangeTableDiscrete rsscope_rngCDRSoftwareAlgorithm = { 4, rsscope_rngCDRSoftwareAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCDRPLLOrderEntries[2] =
  {
    { RSSCOPE_VAL_CDR_PLL_ORDER_FIRST, "FIRS" },
    { RSSCOPE_VAL_CDR_PLL_ORDER_SECOND, "SEC" }
  };
RsCoreRangeTableDiscrete rsscope_rngCDRPLLOrder = { 2, rsscope_rngCDRPLLOrderEntries };

RsCoreRangeTableRanged rsscope_rngCDRPLLDamping = { 0.5, 1, "" };

RsCoreRangeTableRanged rsscope_rngCDRPLLRelBW = { 500, 3000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCDRHardwareSourceEntries[4] =
  {
    { RSSCOPE_VAL_CHANNEL1, "C1" },
    { RSSCOPE_VAL_CHANNEL2, "C2" },
    { RSSCOPE_VAL_CHANNEL3, "C3" },
    { RSSCOPE_VAL_CHANNEL4, "C4" }
  };
RsCoreRangeTableDiscrete rsscope_rngCDRHardwareSource = { 4, rsscope_rngCDRHardwareSourceEntries };

RsCoreRangeTableRanged rsscope_rngCDRTriggerUIOffset = { 0.0, 1.0, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskTestEyeShapeEntries[4] =
  {
    { RSSCOPE_VAL_MASK_TEST_EYE_SHAPE_SQUARE, "SQU" },
    { RSSCOPE_VAL_MASK_TEST_EYE_SHAPE_DIAMOND, "DIAM" },
    { RSSCOPE_VAL_MASK_TEST_EYE_SHAPE_HEXAGON, "HEX" },
    { RSSCOPE_VAL_MASK_TEST_EYE_SHAPE_OCTAGON, "OCT" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskTestEyeShape = { 4, RsScope_rngMaskTestEyeShapeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskTestResultStateEntries[2] =
  {
    { RSSCOPE_VAL_STATE_FINISHED, "FIN" },
    { RSSCOPE_VAL_STATE_RUNNING, "RUNN" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskTestResultState = { 2, RsScope_rngMaskTestResultStateEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskTestResultEntries[2] =
  {
    { RSSCOPE_VAL_RESULT_FAIL, "FAIL" },
    { RSSCOPE_VAL_RESULT_PASS, "PASS" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskTestResult = { 2, RsScope_rngMaskTestResultEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskTestEventActionEntries[3] =
  {
    { RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION, "NOAC" },
    { RSSCOPE_VAL_MASK_TEST_ACTION_SUCCESS, "SUCC" },
    { RSSCOPE_VAL_MASK_TEST_ACTION_VIOLATION, "VIOL" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskTestEventAction = { 3, RsScope_rngMaskTestEventActionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskTestDefinitionTypeEntries[4] =
  {
    { RSSCOPE_VAL_MASK_TEST_TYPE_USER, "USER" },
    { RSSCOPE_VAL_MASK_TEST_TYPE_WAVEFORM, "WFML" },
    { RSSCOPE_VAL_MASK_TEST_TYPE_EYE, "EYEM" },
    { RSSCOPE_VAL_MASK_TEST_TYPE_PROT, "PROT" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskTestDefinitionType = { 4, RsScope_rngMaskTestDefinitionTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskTestFailConditionEntries[2] =
  {
    { RSSCOPE_VAL_MASK_SAMPLES, "SAMP" },
    { RSSCOPE_VAL_MASK_ACQUISITIONS, "ACQ" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskTestFailCondition = { 2, RsScope_rngMaskTestFailConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskSegmentRegionEntries[3] =
  {
    { RSSCOPE_VAL_MASK_TEST_UPPER, "UPP" },
    { RSSCOPE_VAL_MASK_TEST_LOWER, "LOW" },
    { RSSCOPE_VAL_MASK_TEST_INNER, "INN" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskSegmentRegion = { 3, RsScope_rngMaskSegmentRegionEntries };

RsCoreRangeTableRanged RsScope_rngMaskPointValue = { -100e+24, 100e+24, "" };

RsCoreRangeTableRanged RsScope_rngMaskSegmentXOffset = { -50, 50, "" };

RsCoreRangeTableRanged RsScope_rngMaskSegmentYOffset = { -1000, 1000, "" };

RsCoreRangeTableRanged RsScope_rngMaskSegmentFactor = { -100, 100, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngMaskWaveformUsedReferenceEntries[4] =
  {
    { RSSCOPE_VAL_MASK_TEST_REFERENCE1, "REF1" },
    { RSSCOPE_VAL_MASK_TEST_REFERENCE2, "REF2" },
    { RSSCOPE_VAL_MASK_TEST_REFERENCE3, "REF3" },
    { RSSCOPE_VAL_MASK_TEST_REFERENCE4, "REF4" }
  };
RsCoreRangeTableDiscrete RsScope_rngMaskWaveformUsedReference = { 4, RsScope_rngMaskWaveformUsedReferenceEntries };

RsCoreRangeTableRanged RsScope_rngMaskWaveformWidth = { 0, 1000, "" };

RsCoreRangeTableRanged RsScope_rngMaskWaveformVerticalPosition = { -1000, 1000, "" };

RsCoreRangeTableRanged RsScope_rngMaskWaveformVerticalStretch = { 10, 1000, "" };

RsCoreRangeTableRanged RsScope_rngMaskTestEyeInterpatternLength = { 0.0, 100.0, "" };

RsCoreRangeTableRanged RsScope_rngMaskEyeOffset = { 0, 100, "" };

RsCoreRangeTableRanged RsScope_rngMaskEyeTimeWidth = { 0, 100, "" };

RsCoreRangeTableRanged RsScope_rngMaskEyePosition = { -100, 100, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngI2CFrameStatusEntries[6] =
  {
    { RSSCOPE_VAL_I2C_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_I2C_FRAME_STATE_INCOMPLETE, "INC" },
    { RSSCOPE_VAL_I2C_FRAME_STATE_UNEXPSTOP, "UNEX" },
    { RSSCOPE_VAL_I2C_FRAME_STATE_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_I2C_FRAME_STATE_ADDIFFERENT, "ADD" },
    { RSSCOPE_VAL_I2C_FRAME_STATE_UNKN, "UNKN" }
  };
RsCoreRangeTableDiscrete RsScope_rngI2CFrameStatus = { 6, RsScope_rngI2CFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngI2CFrameAddressTypeEntries[5] =
  {
    { RSSCOPE_VAL_I2C_AUTO, "AUTO" },
    { RSSCOPE_VAL_I2C_BIT7, "BIT7" },
    { RSSCOPE_VAL_I2C_BIT7_RW, "BIT7_RW" },
    { RSSCOPE_VAL_I2C_BIT10, "BIT10" },
    { RSSCOPE_VAL_I2C_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngI2CFrameAddressType = { 5, RsScope_rngI2CFrameAddressTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngI2CFrameRWBitEntries[4] =
  {
    { RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER, "EITH" },
    { RSSCOPE_VAL_I2C_ACCESS_BIT_READ, "READ" },
    { RSSCOPE_VAL_I2C_ACCESS_BIT_WRITE, "WRIT" },
    { RSSCOPE_VAL_I2C_ACCESS_BIT_UNDEFINED, "UND" }
  };
RsCoreRangeTableDiscrete RsScope_rngI2CFrameRWBit = { 4, RsScope_rngI2CFrameRWBitEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngI2CFrameAckBitEntries[4] =
  {
    { RSSCOPE_VAL_I2C_EITHER, "EITH" },
    { RSSCOPE_VAL_I2C_ACK, "ACK" },
    { RSSCOPE_VAL_I2C_NACK, "NACK" },
    { RSSCOPE_VAL_I2C_INCOMPLETE, "INC" }
  };
RsCoreRangeTableDiscrete RsScope_rngI2CFrameAckBit = { 4, RsScope_rngI2CFrameAckBitEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSPIFrameStatusEntries[5] =
  {
    { RSSCOPE_VAL_SPI_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_SPI_FRAME_STATE_INCOMPLETE_FIRST, "INCF" },
    { RSSCOPE_VAL_SPI_FRAME_STATE_INCOMPLETE_LAST, "INCL" },
    { RSSCOPE_VAL_SPI_FRAME_STATE_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_SPI_FRAME_STATE_EMPTY, "VOID" }
  };
RsCoreRangeTableDiscrete RsScope_rngSPIFrameStatus = { 5, RsScope_rngSPIFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngUARTWordSourceEntries[2] =
  {
    { RSSCOPE_VAL_UART_RX, "RX" },
    { RSSCOPE_VAL_UART_TX, "TX" }
  };
RsCoreRangeTableDiscrete RsScope_rngUARTWordSource = { 2, RsScope_rngUARTWordSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngUARTWordStatusEntries[9] =
  {
    { RSSCOPE_VAL_UART_OK, "OK" },
    { RSSCOPE_VAL_UART_FRSTART, "FRST" },
    { RSSCOPE_VAL_UART_FREND, "FREN" },
    { RSSCOPE_VAL_UART_FRME, "FRME" },
    { RSSCOPE_VAL_UART_STERROR, "STER" },
    { RSSCOPE_VAL_UART_SPERROR, "SPER" },
    { RSSCOPE_VAL_UART_PRERROR, "PRER" },
    { RSSCOPE_VAL_UART_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_UART_BREAK, "BRE" }
  };
RsCoreRangeTableDiscrete RsScope_rngUARTWordStatus = { 9, RsScope_rngUARTWordStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngLINFrameStatusEntries[12] =
  {
    { RSSCOPE_VAL_LIN_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_VERSION_ERR, "VERS" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_STOP_ERR, "SPERR" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_PARITY_ERR, "PRERR" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_CHECKSUM, "CHCK" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_LENGTH_ERR, "LEN" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_WAKEUP, "WAK" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_UART, "UART" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_SYER, "SYER" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_CPER, "CPER" },
    { RSSCOPE_VAL_LIN_FRAME_STATE_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsScope_rngLINFrameStatus = { 12, RsScope_rngLINFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngLINFrameVersionEntries[3] =
  {
    { RSSCOPE_VAL_LIN_STANDARD_UNKNOWN, "UNK" },
    { RSSCOPE_VAL_LIN_STANDARD_1X, "V1X" },
    { RSSCOPE_VAL_LIN_STANDARD_2X, "V2X" }
  };
RsCoreRangeTableDiscrete RsScope_rngLINFrameVersion = { 3, RsScope_rngLINFrameVersionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngLINFieldStatusEntries[7] =
  {
    { RSSCOPE_VAL_LIN_FIELD_STATE_OK, "OK" },
    { RSSCOPE_VAL_LIN_FIELD_STATE_START_ERR, "STER" },
    { RSSCOPE_VAL_LIN_FIELD_STATE_STOP_ERR, "SPER" },
    { RSSCOPE_VAL_LIN_FIELD_STATE_PARITY_ERR, "PRER" },
    { RSSCOPE_VAL_LIN_FIELD_STATE_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_LIN_FIELD_STATE_UVAL, "UVAL" },
    { RSSCOPE_VAL_LIN_FIELD_STATE_NOEX, "NOEX" }
  };
RsCoreRangeTableDiscrete RsScope_rngLINFieldStatus = { 7, RsScope_rngLINFieldStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCANFrameStatusEntries[17] =
  {
    { RSSCOPE_VAL_CAN_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_BIT_STUFF, "BTST" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_CRC_DELIM, "CRCD" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_CRC, "CRC" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_END_ERR, "EOFD" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_NO_ACK, "NOAC" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_ACKD, "ACKD" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_CAER, "CAER" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_FCER, "FCER" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_FORM, "FORM" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_SERR, "SERR" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_SFER, "SFER" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_SCER, "SCER" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_SAER, "SAER" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_SCAE, "SCAE" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_SCFE, "SCFE" }
  };
RsCoreRangeTableDiscrete RsScope_rngCANFrameStatus = { 17, RsScope_rngCANFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolCANFrameTypeEntries[4] =
  {
    { RSSCOPE_VAL_CAN_FRAME_TYPE_DATA, "DATA" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_REMOTE, "REM" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_ERROR, "ERR" },
    { RSSCOPE_VAL_CAN_FRAME_TYPE_OVER_LOAD, "OVLD" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolCANFrameType = { 4, RsScope_rngProtocolCANFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCANFrameIDTypeEntries[3] =
  {
    { RSSCOPE_VAL_CAN_FRAME_ID_TYPE_B11, "B11" },
    { RSSCOPE_VAL_CAN_FRAME_ID_TYPE_B29, "B29" },
    { RSSCOPE_VAL_CAN_FRAME_ID_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngCANFrameIDType = { 3, RsScope_rngCANFrameIDTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCANFrameMessageStatusEntries[3] =
  {
    { RSSCOPE_VAL_CAN_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_UNDEFINED, "UNDF" },
    { RSSCOPE_VAL_CAN_FRAME_STATE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngCANFrameMessageStatus = { 3, RsScope_rngCANFrameMessageStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAudioFrameStatusEntries[3] =
  {
    { RSSCOPE_VAL_AUDIO_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_AUDIO_FRAME_STATE_ERR, "ERR" },
    { RSSCOPE_VAL_AUDIO_FRAME_STATE_INS, "INS" }
  };
RsCoreRangeTableDiscrete RsScope_rngAudioFrameStatus = { 3, RsScope_rngAudioFrameStatusEntries };

RsCoreRangeTableRanged RsScope_rngVerticalScale = { 1e-15, 100e+2, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngDiagramTypeEntries[3] =
  {
    { RSSCOPE_VAL_DIAGRAM_HORIZONTAL, "HOR" },
    { RSSCOPE_VAL_DIAGRAM_VERTICAL, "VERT" },
    { RSSCOPE_VAL_DIAGRAM_NEW_TAB, "TAB" }
  };
RsCoreRangeTableDiscrete rsscope_rngDiagramType = { 3, rsscope_rngDiagramTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchSortModeEntries[2] =
  {
    { RSSCOPE_VAL_SORT_MODE_POSITION, "POS" },
    { RSSCOPE_VAL_SORT_MODE_VALUE, "VAL" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchSortMode = { 2, RsScope_rngSearchSortModeEntries };

RsCoreRangeTableRanged RsScope_rngConfigureSearchResultMaxCount = { 1, 1000, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchSourceEntries[73] =
  {
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C1W2, "C1W2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C1W3, "C1W3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C2W2, "C2W2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C2W3, "C2W3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C3W2, "C3W2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C3W3, "C3W3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C4W2, "C4W2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_C4W3, "C4W3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M1, "M1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M2, "M2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M3, "M3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M4, "M4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_R1, "R1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_R2, "R2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_R3, "R3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_R4, "R4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D0, "D0" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D1, "D1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D2, "D2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D3, "D3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D4, "D4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D5, "D5" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D6, "D6" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D7, "D7" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D8, "D8" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D9, "D9" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D10, "D10" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D11, "D11" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D12, "D12" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D13, "D13" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D14, "D14" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_D15, "D15" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK1, "TRK1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK2, "TRK2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK3, "TRK3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK4, "TRK4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK5, "TRK5" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK6, "TRK6" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK7, "TRK7" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_TRK8, "TRK8" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_QUICK, "QUICK" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_SBUS1, "SBUS1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_SBUS2, "SBUS2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_SBUS3, "SBUS3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_SBUS4, "SBUS4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M5, "M5" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M6, "M6" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M7, "M7" },
    { RSSCOPE_VAL_MEASUREMENT_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchSource = { 73, RsScope_rngSearchSourceEntries };

RsCoreRangeTableRanged RsScope_rngSearchGlitchWidth = { 100.0e-12, 1.0e-3, "s" };

RsCoreRangeTableRanged RsScope_rngSearchTriggerWidth = { 100e-12, 864, "s" };

RsCoreRangeTableRanged RsScope_rngSearchTriggerDelta = { 0.0, 432.0, "s" };

RsCoreRangeTableRanged RsScope_rngSearchTriggerRuntDelta = { 100e-12, 864, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerRuntRangeEntries[5] =
  {
    { RSSCOPE_VAL_SHORTER, "SHOR" },
    { RSSCOPE_VAL_LONGER, "LONG" },
    { RSSCOPE_VAL_WITHIN, "WITH" },
    { RSSCOPE_VAL_OUTSIDE, "OUTS" },
    { RSSCOPE_VAL_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerRuntRange = { 5, RsScope_rngSearchTriggerRuntRangeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerWindowVerticalConditionEntries[4] =
  {
    { RSSCOPE_VAL_ENTER, "ENT" },
    { RSSCOPE_VAL_EXIT, "EXIT" },
    { RSSCOPE_VAL_WITHIN, "WITH" },
    { RSSCOPE_VAL_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerWindowVerticalCondition = { 4, RsScope_rngSearchTriggerWindowVerticalConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerTimeoutConditionEntries[3] =
  {
    { RSSCOPE_VAL_TIMEOUT_LOW, "LOW" },
    { RSSCOPE_VAL_TIMEOUT_HIGH, "HIGH" },
    { RSSCOPE_VAL_TIMEOUT_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerTimeoutCondition = { 3, RsScope_rngSearchTriggerTimeoutConditionEntries };

RsCoreRangeTableRanged RsScope_rngSearchTriggerIntervalWidth = { 1.0e-10, 864, "s" };

RsCoreRangeTableRanged RsScope_rngSearchTriggerIntervalDelta = { 0, 10, "s" };

RsCoreRangeTableRanged RsScope_rngSearchTriggerClockLevel = { -10, 10, "V" };

RsCoreRangeTableRanged RsScope_rngSearchTriggerData2ClockTime = { -99.999e-9, 0.1, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerStateClockSourceEntries[32] =
  {
    { RSSCOPE_VAL_CLOCK_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M1, "M1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M2, "M2" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M3, "M3" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M4, "M4" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M5, "M5" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M6, "M6" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M7, "M7" },
    { RSSCOPE_VAL_CLOCK_SOURCE_M8, "M8" },
    { RSSCOPE_VAL_CLOCK_SOURCE_R1, "R1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_R2, "R2" },
    { RSSCOPE_VAL_CLOCK_SOURCE_R3, "R3" },
    { RSSCOPE_VAL_CLOCK_SOURCE_R4, "R4" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D0, "D0" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D1, "D1" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D2, "D2" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D3, "D3" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D4, "D4" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D5, "D5" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D6, "D6" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D7, "D7" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D8, "D8" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D9, "D9" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D10, "D10" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D11, "D11" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D12, "D12" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D13, "D13" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D14, "D14" },
    { RSSCOPE_VAL_CLOCK_SOURCE_D15, "D15" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerStateClockSource = { 32, RsScope_rngSearchTriggerStateClockSourceEntries };

RsCoreRangeTableRanged RsScope_rngSearchTriggerPatternDelta = { 0, 432, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerPatternModeEntries[3] =
  {
    { RSSCOPE_VAL_PATTERN_OFF, "OFF" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT, "TIM" },
    { RSSCOPE_VAL_PATTERN_WIDTH, "WIDT" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerPatternMode = { 3, RsScope_rngSearchTriggerPatternModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerPatternTimeoutModeEntries[3] =
  {
    { RSSCOPE_VAL_PATTERN_TIMEOUT_LOW, "LOW" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT_HIGH, "HIGH" },
    { RSSCOPE_VAL_PATTERN_TIMEOUT_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerPatternTimeoutMode = { 3, RsScope_rngSearchTriggerPatternTimeoutModeEntries };

RsCoreRangeTableRanged RsScope_rngSCBandwidth = { 0.0, 4.0e+9, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngHistogramTypeEntries[2] =
  {
    { RSSCOPE_VAL_HISTOGRAM_VERTICAL, "VERT" },
    { RSSCOPE_VAL_HISTOGRAM_HORIZONTAL, "HOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngHistogramType = { 2, RsScope_rngHistogramTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerAnalysisSourceEntries[4] =
  {
    { RSSCOPE_VAL_POWER_ANALYSIS_SOURCE_CH1, "CHAN1" },
    { RSSCOPE_VAL_POWER_ANALYSIS_SOURCE_CH2, "CHAN2" },
    { RSSCOPE_VAL_POWER_ANALYSIS_SOURCE_CH3, "CHAN3" },
    { RSSCOPE_VAL_POWER_ANALYSIS_SOURCE_CH4, "CHAN4" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerAnalysisSource = { 4, RsScope_rngPowerAnalysisSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerAnalysisMeasurementTypeEntries[13] =
  {
    { RSSCOPE_VAL_POWER_MEAS_QUAL, "QUAL" },
    { RSSCOPE_VAL_POWER_MEAS_RUSH, "RUSH" },
    { RSSCOPE_VAL_POWER_MEAS_HARM, "HARM" },
    { RSSCOPE_VAL_POWER_MEAS_MODU, "MODU" },
    { RSSCOPE_VAL_POWER_MEAS_DONR, "DONR" },
    { RSSCOPE_VAL_POWER_MEAS_SLEW, "SLEW" },
    { RSSCOPE_VAL_POWER_MEAS_SOA, "SOA" },
    { RSSCOPE_VAL_POWER_MEAS_TURN, "TURN" },
    { RSSCOPE_VAL_POWER_MEAS_SWIT, "SWIT" },
    { RSSCOPE_VAL_POWER_MEAS_EFF, "EFF" },
    { RSSCOPE_VAL_POWER_MEAS_RIPP, "RIPP" },
    { RSSCOPE_VAL_POWER_MEAS_TRANS, "TRANS" },
    { RSSCOPE_VAL_POWER_MEAS_SPEC, "SPEC" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerAnalysisMeasurementType = { 13, RsScope_rngPowerAnalysisMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerAnalyseProbeModeEntries[2] =
  {
    { RSSCOPE_VAL_PA_PROBE_MODE_SING, "SING" },
    { RSSCOPE_VAL_PA_PROBE_MODE_DIFF, "DIFF" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerAnalyseProbeMode = { 2, RsScope_rngPowerAnalyseProbeModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerAnalysisReportPaperSizeEntries[2] =
  {
    { RSSCOPE_VAL_POWER_ANALYSIS_PAPER_A4, "A4" },
    { RSSCOPE_VAL_POWER_ANALYSIS_PAPER_USL, "USL" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerAnalysisReportPaperSize = { 2, RsScope_rngPowerAnalysisReportPaperSizeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerAnalysisReportFontEntries[2] =
  {
    { RSSCOPE_VAL_POWER_ANALYSIS_FONT_ARIAL, "ARIAL" },
    { RSSCOPE_VAL_POWER_ANALYSIS_FONT_HELV, "HELV" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerAnalysisReportFont = { 2, RsScope_rngPowerAnalysisReportFontEntries };

RsCoreRangeTableRanged RsScope_rngPowerAnalysisReportFontSize = { 10, 30, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerAnalysisReportContentSetupEntries[3] =
  {
    { RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_NEVER, "NEVER" },
    { RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE, "ONCE" },
    { RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ALWAYS, "ALWAYS" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerAnalysisReportContentSetup = { 3, RsScope_rngPowerAnalysisReportContentSetupEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngQualityTypeEntries[4] =
  {
    { RSSCOPE_VAL_QUALITY_TYPE_RMS, "RMS" },
    { RSSCOPE_VAL_QUALITY_TYPE_FREQ, "FREQ" },
    { RSSCOPE_VAL_QUALITY_TYPE_CRES, "CRES" },
    { RSSCOPE_VAL_QUALITY_TYPE_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete RsScope_rngQualityType = { 4, RsScope_rngQualityTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngQualityTypePowerEntries[5] =
  {
    { RSSCOPE_VAL_QUALITY_TYPE_POWER_REAL, "REAL" },
    { RSSCOPE_VAL_QUALITY_TYPE_POWER_REAC, "REAC" },
    { RSSCOPE_VAL_QUALITY_TYPE_POWER_APP, "APP" },
    { RSSCOPE_VAL_QUALITY_TYPE_POWER_PFAC, "PFAC" },
    { RSSCOPE_VAL_QUALITY_TYPE_POWER_PHAS, "PHAS" }
  };
RsCoreRangeTableDiscrete RsScope_rngQualityTypePower = { 5, RsScope_rngQualityTypePowerEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerQualityFrequencyEntries[9] =
  {
    { RSSCOPE_VAL_POWER_QUALITY_F50, "F50" },
    { RSSCOPE_VAL_POWER_QUALITY_F60, "F60" },
    { RSSCOPE_VAL_POWER_QUALITY_F360, "F360" },
    { RSSCOPE_VAL_POWER_QUALITY_F400, "F400" },
    { RSSCOPE_VAL_POWER_QUALITY_F650, "F650" },
    { RSSCOPE_VAL_POWER_QUALITY_F800, "F800" },
    { RSSCOPE_VAL_POWER_QUALITY_NF650, "NFF650" },
    { RSSCOPE_VAL_POWER_QUALITY_WF800, "WFF800" },
    { RSSCOPE_VAL_POWER_QUALITY_CUS, "FCUS" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerQualityFrequency = { 9, RsScope_rngPowerQualityFrequencyEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerScalingEntries[2] =
  {
    { RSSCOPE_VAL_POWER_SCALING_AUTO, "AUTO" },
    { RSSCOPE_VAL_POWER_SCALING_MAN, "MANUAL" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerScaling = { 2, RsScope_rngPowerScalingEntries };

RsCoreRangeTableRanged RsScope_rngPowerInrushCurrentGateValue = { -1000, 1000, "" };

RsCoreRangeTableRanged RsScope_rngPowerInrushCurrentMaxCurrent = { -1000, 1000, "A" };

RsCoreRangeTableRanged RsScope_rngPowerInrushCurrentTrigger = { -1000, 1000, "A" };

RsCoreRangeTableRanged RsScope_rngPowerInrushCurrentGateMeasTime = { 0, 10, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerCurrentHarmonicsStandardEntries[6] =
  {
    { RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_ENA, "ENA" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_ENB, "ENB" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_ENC, "ENC" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_END, "END" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_MIL, "MIL" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_RTC, "RTC" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerCurrentHarmonicsStandard = { 6, RsScope_rngPowerCurrentHarmonicsStandardEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerCurrentHarmonicsFrequencyEntries[6] =
  {
    { RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F50, "F_50" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F60, "F_60" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F360, "F_360" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F400, "F_400" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F650, "F_650" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F800, "F_800" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerCurrentHarmonicsFrequency = { 6, RsScope_rngPowerCurrentHarmonicsFrequencyEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerCurrentHarmonicsEvaluationEntries[2] =
  {
    { RSSCOPE_VAL_CURRENT_HARMONICS_EVAL_NOREVISED, "NOREVISED" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_EVAL_REVISED, "REVISED" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerCurrentHarmonicsEvaluation = { 2, RsScope_rngPowerCurrentHarmonicsEvaluationEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerCurrentHarmonicsVoltageResultsDisplayEntries[2] =
  {
    { RSSCOPE_VAL_CURRENT_HARMONICS_NOVOLTDISP, "NOVOLTDISP" },
    { RSSCOPE_VAL_CURRENT_HARMONICS_VOLTDISP, "VOLTDISP" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerCurrentHarmonicsVoltageResultsDisplay = { 2, RsScope_rngPowerCurrentHarmonicsVoltageResultsDisplayEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerStatisticsEntries[8] =
  {
    { RSSCOPE_VAL_MODULATION_STATISTICS_ACT, "ACT" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_AVG, "AVG" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_EVTC, "EVTC" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_NPE, "NPE" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_PPE, "PPE" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_RMS, "RMS" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_STD, "STDD" },
    { RSSCOPE_VAL_MODULATION_STATISTICS_WFM, "WFMC" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerStatistics = { 8, RsScope_rngPowerStatisticsEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerModulationResultTypeEntries[2] =
  {
    { RSSCOPE_VAL_MODULATION_RESULT_TYPE_FREQ, "FREQ" },
    { RSSCOPE_VAL_MODULATION_RESULT_TYPE_DUTY, "DUTY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerModulationResultType = { 2, RsScope_rngPowerModulationResultTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerModulationTypeEntries[2] =
  {
    { RSSCOPE_VAL_MODULATION_TYPE_CONT, "CONT" },
    { RSSCOPE_VAL_MODULATION_TYPE_TURNON, "TURNON" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerModulationType = { 2, RsScope_rngPowerModulationTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerSourceEntries[2] =
  {
    { RSSCOPE_VAL_POWER_SOURCE_CURRENT, "CURRENT" },
    { RSSCOPE_VAL_POWER_SOURCE_VOLTAGE, "VOLTAGE" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerSource = { 2, RsScope_rngPowerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerSlewRateResultTypeEntries[2] =
  {
    { RSSCOPE_VAL_SLEW_RATE_TYPE_MIN, "MIN" },
    { RSSCOPE_VAL_SLEW_RATE_TYPE_MAX, "MAX" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerSlewRateResultType = { 2, RsScope_rngPowerSlewRateResultTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerSafeOperatingAreaScaleEntries[2] =
  {
    { RSSCOPE_VAL_SCALE_LIN, "LINEAR" },
    { RSSCOPE_VAL_SCALE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerSafeOperatingAreaScale = { 2, RsScope_rngPowerSafeOperatingAreaScaleEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngOnOffTypeEntries[2] =
  {
    { RSSCOPE_VAL_ON_OFF_TYPE_OFF, "TOFF" },
    { RSSCOPE_VAL_ON_OFF_TYPE_ON, "TON" }
  };
RsCoreRangeTableDiscrete RsScope_rngOnOffType = { 2, RsScope_rngOnOffTypeEntries };

RsCoreRangeTableRanged RsScope_rngOnOffTime = { 100e-12, 10000, "s" };

RsCoreRangeTableRanged RsScope_rngOnOffSteadyStateLevel = { 0, 100, "%" };

RsCoreRangeTableRanged RsScope_rngOnOffTriggerLevel = { -1.0e+6, 1.0e+6, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerSwitchLossMeasTypesEntries[6] =
  {
    { RSSCOPE_VAL_POWER_SWITCHINGLOSS_TYPE_TOF, "TOF" },
    { RSSCOPE_VAL_POWER_SWITCHINGLOSS_TYPE_TON, "TON" },
    { RSSCOPE_VAL_POWER_SWITCHINGLOSS_TYPE_CON, "CON" },
    { RSSCOPE_VAL_POWER_SWITCHINGLOSS_TYPE_NCO, "NCO" },
    { RSSCOPE_VAL_POWER_SWITCHINGLOSS_TYPE_TOT, "TOT" },
    { RSSCOPE_VAL_POWER_SWITCHINGLOSS_TYPE_SWF, "SWF" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerSwitchLossMeasTypes = { 6, RsScope_rngPowerSwitchLossMeasTypesEntries };

RsCoreRangeTableRanged RsScope_rngPowerSwitchinglossSwitchingFrequencyValue = { 1, 500e+9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerRippleTypeEntries[8] =
  {
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_MIN, "MIN" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_MAX, "MAX" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_PDEL, "PDEL" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_STDD, "STDD" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_PER, "PER" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_FREQ, "FREQ" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_PDCY, "PDCY" },
    { RSSCOPE_VAL_POWER_RIPPLE_TYPE_NDCY, "NDCY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerRippleType = { 8, RsScope_rngPowerRippleTypeEntries };

RsCoreRangeTableRanged RsScope_rngPowerSwitchingFrequency = { 1.0, 100.0e+9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerTransientResponseResultEntries[5] =
  {
    { RSSCOPE_VAL_POWER_TRANSIENT_MEAS_OVER, "OVER" },
    { RSSCOPE_VAL_POWER_TRANSIENT_MEAS_RTIM, "RTIM" },
    { RSSCOPE_VAL_POWER_TRANSIENT_MEAS_DEL, "DEL" },
    { RSSCOPE_VAL_POWER_TRANSIENT_MEAS_PEAK, "PEAK" },
    { RSSCOPE_VAL_POWER_TRANSIENT_MEAS_SETL, "SETT" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerTransientResponseResult = { 5, RsScope_rngPowerTransientResponseResultEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTransientResponseTriggerSourceEntries[4] =
  {
    { RSSCOPE_VAL_POWER_TR_TRIGGER_CHAN1, "CHAN1" },
    { RSSCOPE_VAL_POWER_TR_TRIGGER_CHAN2, "CHAN2" },
    { RSSCOPE_VAL_POWER_TR_TRIGGER_CHAN3, "CHAN3" },
    { RSSCOPE_VAL_POWER_TR_TRIGGER_CHAN4, "CHAN4" }
  };
RsCoreRangeTableDiscrete RsScope_rngTransientResponseTriggerSource = { 4, RsScope_rngTransientResponseTriggerSourceEntries };

RsCoreRangeTableRanged RsScope_rngTransientResponseTubeTolerance = { 0, 50, "%" };

RsCoreRangeTableRanged RsScope_rngTransientResponseSignal = { -1000, 1000, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerRippleMeasureEntries[8] =
  {
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_ACT, "ACT" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_AVG, "AVG" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_EVTC, "EVTC" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_NPE, "NPE" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_PPE, "PPE" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_RMS, "RMS" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_STDD, "STDD" },
    { RSSCOPE_VAL_POWER_RIPPLE_MEASURE_WFMC, "WFMC" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerRippleMeasure = { 8, RsScope_rngPowerRippleMeasureEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolPacketsEntries[3] =
  {
    { RSSCOPE_VAL_UART_PACKET_NONE, "NONE" },
    { RSSCOPE_VAL_UART_PACKET_EWOR, "EWOR" },
    { RSSCOPE_VAL_UART_PACKET_TOUT, "TOUT" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolPackets = { 3, rsscope_rngProtocolPacketsEntries };

RsCoreRangeTableRanged rsscope_rngProbeCMOffset = { -100.0e24, 100.0e24, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngOnOffInputTypeEntries[2] =
  {
    { RSSCOPE_VAL_ON_OFF_INPUT_TYPE_AC, "AC" },
    { RSSCOPE_VAL_ON_OFF_INPUT_TYPE_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngOnOffInputType = { 2, rsscope_rngOnOffInputTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553ThresholdPresetEntries[5] =
  {
    { RSSCOPE_VAL_MIL1553_PRESET_V05, "V05" },
    { RSSCOPE_VAL_MIL1553_PRESET_V2, "V2" },
    { RSSCOPE_VAL_MIL1553_PRESET_V5, "V5" },
    { RSSCOPE_VAL_MIL1553_PRESET_V7, "V7" },
    { RSSCOPE_VAL_MIL1553_PRESET_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553ThresholdPreset = { 5, rsscope_rngProtocolMIL1553ThresholdPresetEntries };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553ThresholdHigh = { 0, 14, "V" };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553ThresholdLow = { -14.0, 0.0, "V" };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553MinGapTime = { 2.0e-6, 262.0e-6, "s" };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553MaxResponseTime = { 2.0e-6, 262.0e-6, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429PolarityEntries[2] =
  {
    { RSSCOPE_VAL_ARINC429_POLARITY_ALEG, "ALEG" },
    { RSSCOPE_VAL_ARINC429_POLARITY_BLEG, "BLEG" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429Polarity = { 2, rsscope_rngProtocolARINC429PolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429BitRateModeEntries[2] =
  {
    { RSSCOPE_VAL_ARINC429_BIT_RATE_MODE_LOW, "LOW" },
    { RSSCOPE_VAL_ARINC429_BIT_RATE_MODE_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429BitRateMode = { 2, rsscope_rngProtocolARINC429BitRateModeEntries };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429BitRate = { 10000, 110000, "bps" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429ThresholdPresetEntries[3] =
  {
    { RSSCOPE_VAL_ARINC429_PRESET_V25, "V25" },
    { RSSCOPE_VAL_ARINC429_PRESET_V5, "V5" },
    { RSSCOPE_VAL_ARINC429_PRESET_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429ThresholdPreset = { 3, rsscope_rngProtocolARINC429ThresholdPresetEntries };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429MinGapBits = { 0, 100, "bit" };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429MaxGapBits = { 0, 1000, "bit" };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429ThresholdHigh = { 0, 12, "V" };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429ThresholdLow = { -12.0, 0.0, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553TriggerModeEntries[7] =
  {
    { RSSCOPE_VAL_MIL1553_TRIGGER_STYP, "STYP" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_WTYP, "WTYP" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_DATA, "DATA" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_CDST, "CDST" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_CMD, "CMD" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_STAT, "STAT" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_ERR, "ERR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553TriggerMode = { 7, rsscope_rngProtocolMIL1553TriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553SyncTypeEntries[3] =
  {
    { RSSCOPE_VAL_MIL1553_TRIGGER_SYNC_CST, "CST" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_SYNC_DATA, "DATA" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_SYNC_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553SyncType = { 3, rsscope_rngProtocolMIL1553SyncTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553DataOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553DataOperator = { 8, rsscope_rngProtocolMIL1553DataOperatorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolDataIndexOperatorEntries[3] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolDataIndexOperator = { 3, rsscope_rngProtocolDataIndexOperatorEntries };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553TriggerDataIndexRange = { 1, 32, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553RTAOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553RTAOperator = { 8, rsscope_rngProtocolMIL1553RTAOperatorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553InfoOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553InfoOperator = { 8, rsscope_rngProtocolMIL1553InfoOperatorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553TriggerCommandTransmitReceiveEntries[3] =
  {
    { RSSCOPE_VAL_MIL1553_TRIGGER_COMMAND_TR_ZERO, "ZERO" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_COMMAND_TR_ONE, "ONE" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_COMMAND_TR_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553TriggerCommandTransmitReceive = { 3, rsscope_rngProtocolMIL1553TriggerCommandTransmitReceiveEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553SubaddressOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553SubaddressOperator = { 8, rsscope_rngProtocolMIL1553SubaddressOperatorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553TriggerStatusFlagsEntries[3] =
  {
    { RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_ZERO, "ZERO" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_ONE, "ONE" },
    { RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553TriggerStatusFlags = { 3, rsscope_rngProtocolMIL1553TriggerStatusFlagsEntries };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553TriggerErrorTimingMinGapTime = { 2.0e-6, 262.0e-6, "s" };

RsCoreRangeTableRanged rsscope_rngProtocolMIL1553TriggerErrorTimingMaxResponse = { 2.0e-6, 262.0e-6, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429TriggerModeEntries[4] =
  {
    { RSSCOPE_VAL_ARINC429_TRIGGER_START, "STAR" },
    { RSSCOPE_VAL_ARINC429_TRIGGER_STOP, "STOP" },
    { RSSCOPE_VAL_ARINC429_TRIGGER_LABEL, "LAB" },
    { RSSCOPE_VAL_ARINC429_TRIGGER_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429TriggerMode = { 4, rsscope_rngProtocolARINC429TriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429LabelOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429LabelOperator = { 8, rsscope_rngProtocolARINC429LabelOperatorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429DataOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429DataOperator = { 8, rsscope_rngProtocolARINC429DataOperatorEntries };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429TriggerErrorTimingMinGapBits = { 0, 100, "bit" };

RsCoreRangeTableRanged rsscope_rngProtocolARINC429TriggerErrorTimingMaxGapBits = { 0, 1000, "bit" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553PolarityEntries[2] =
  {
    { RSSCOPE_VAL_MIL1553_POLARITY_NORMAL, "NORM" },
    { RSSCOPE_VAL_MIL1553_POLARITY_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553Polarity = { 2, rsscope_rngProtocolMIL1553PolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553WordTypeEntries[6] =
  {
    { RSSCOPE_VAL_MIL1553_WORD_TYPE_UNKNOWN, "UNKN" },
    { RSSCOPE_VAL_MIL1553_WORD_TYPE_DATA, "DATA" },
    { RSSCOPE_VAL_MIL1553_WORD_TYPE_CMD, "CMD" },
    { RSSCOPE_VAL_MIL1553_WORD_TYPE_STAT, "STAT" },
    { RSSCOPE_VAL_MIL1553_WORD_TYPE_CMST, "CMST" },
    { RSSCOPE_VAL_MIL1553_WORD_TYPE_IM, "IM" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553WordType = { 6, rsscope_rngProtocolMIL1553WordTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553WordOverallStateEntries[6] =
  {
    { RSSCOPE_VAL_MIL1553_WORD_STATUS_OK, "OK" },
    { RSSCOPE_VAL_MIL1553_WORD_STATUS_SYNC, "SYNC" },
    { RSSCOPE_VAL_MIL1553_WORD_STATUS_MANC, "MANC" },
    { RSSCOPE_VAL_MIL1553_WORD_STATUS_PAR, "PAR" },
    { RSSCOPE_VAL_MIL1553_WORD_STATUS_GAP, "GAP" },
    { RSSCOPE_VAL_MIL1553_WORD_STATUS_RT, "RT" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553WordOverallState = { 6, rsscope_rngProtocolMIL1553WordOverallStateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolARINC429WordOverallStateEntries[4] =
  {
    { RSSCOPE_VAL_ARINC_WORD_STATUS_OK, "OK" },
    { RSSCOPE_VAL_ARINC_WORD_STATUS_CODE, "CODE" },
    { RSSCOPE_VAL_ARINC_WORD_STATUS_GAP, "GAP" },
    { RSSCOPE_VAL_ARINC_WORD_STATUS_PAR, "PAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolARINC429WordOverallState = { 4, rsscope_rngProtocolARINC429WordOverallStateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformSelectionEntries[3] =
  {
    { RSSCOPE_VAL_WFM_SELECTION_MIN, "MIN" },
    { RSSCOPE_VAL_WFM_SELECTION_MAX, "MAX" },
    { RSSCOPE_VAL_WFM_SELECTION_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformSelection = { 3, rsscope_rngWaveformSelectionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMIL1553WordCountOperatorEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMIL1553WordCountOperator = { 8, rsscope_rngProtocolMIL1553WordCountOperatorEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolDataSourceEntries[16] =
  {
    { RSSCOPE_VAL_DATA_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_DATA_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_DATA_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_DATA_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_DATA_SOURCE_M1, "M1" },
    { RSSCOPE_VAL_DATA_SOURCE_M2, "M2" },
    { RSSCOPE_VAL_DATA_SOURCE_M3, "M3" },
    { RSSCOPE_VAL_DATA_SOURCE_M4, "M4" },
    { RSSCOPE_VAL_DATA_SOURCE_R1, "R1" },
    { RSSCOPE_VAL_DATA_SOURCE_R2, "R2" },
    { RSSCOPE_VAL_DATA_SOURCE_R3, "R3" },
    { RSSCOPE_VAL_DATA_SOURCE_R4, "R4" },
    { RSSCOPE_VAL_DATA_SOURCE_M5, "M5" },
    { RSSCOPE_VAL_DATA_SOURCE_M6, "M6" },
    { RSSCOPE_VAL_DATA_SOURCE_M7, "M7" },
    { RSSCOPE_VAL_DATA_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolDataSource = { 16, rsscope_rngProtocolDataSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProbeDisplayDiffEntries[2] =
  {
    { RSSCOPE_VAL_PROBE_DISP_DIFF_DIFFERENTIAL, "DIFF" },
    { RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED, "SING" }
  };
RsCoreRangeTableDiscrete rsscope_rngProbeDisplayDiff = { 2, rsscope_rngProbeDisplayDiffEntries };

RsCoreRangeTableRanged RsScope_rngNoiseRejectHysteresisRelative = { 0, 50.0, "%" };

RsCoreRangeTableRanged RsScope_rngSearchCANDLC = { 1, 15, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchFlexRayDataPositionConditionEntries[4] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchFlexRayDataPositionCondition = { 4, RsScope_rngSearchFlexRayDataPositionConditionEntries };

RsCoreRangeTableRanged RsScope_rngSearchFlexRayDataPositionMinMax = { 0, 2032, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchFlexRayFieldStatusEntries[6] =
  {
    { RSSCOPE_VAL_FLEXRAY_FIELD_STATE_OK, "OK" },
    { RSSCOPE_VAL_FLEXRAY_FIELD_STATE_START_ERR, "STER" },
    { RSSCOPE_VAL_FLEXRAY_FIELD_STATE_STOP_ERR, "SPER" },
    { RSSCOPE_VAL_FLEXRAY_FIELD_STATE_PARITY_ERR, "PRER" },
    { RSSCOPE_VAL_FLEXRAY_FIELD_STATE_INSUFFICIENT, "INS" },
    { RSSCOPE_VAL_FLEXRAY_FIELD_STATE_UVAL, "UVAL" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchFlexRayFieldStatus = { 6, RsScope_rngSearchFlexRayFieldStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolCANTriggerDLCConditionEntries[2] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_GE, "GETH" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolCANTriggerDLCCondition = { 2, RsScope_rngProtocolCANTriggerDLCConditionEntries };

RsCoreRangeTableRanged RsScope_rngProtocolCANTriggerDLC = { 1, 15, "" };

RsCoreRangeTableRanged rsscope_rngCDRPLLRelBWSoftware = { 10, 5000, "" };

RsCoreRangeTableRanged RsScope_rngHighDefinitionBandwidth = { 10.0E+3, 2.0E+9, "Hz" };

RsCoreRangeTableRanged rsscope_rngProtocolCANFDBitRate = { 100, 15000000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCANStandardEntries[3] =
  {
    { RSSCOPE_VAL_CAN_STANDARD_CAN, "CAN" },
    { RSSCOPE_VAL_CAN_STANDARD_CAN_FD, "CANF" },
    { RSSCOPE_VAL_CAN_STANDARD_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngCANStandard = { 3, rsscope_rngCANStandardEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCANFDBitsEntries[3] =
  {
    { RSSCOPE_VAL_CAN_FD_BIT_ZERO, "ZERO" },
    { RSSCOPE_VAL_CAN_FD_BIT_ONE, "ONE" },
    { RSSCOPE_VAL_CAN_FD_BIT_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngCANFDBits = { 3, rsscope_rngCANFDBitsEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolCANPositionConditionEntries[4] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OFF, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolCANPositionCondition = { 4, rsscope_rngProtocolCANPositionConditionEntries };

RsCoreRangeTableRanged rsscope_rngCANPositionMin = { 1, 57, "" };

RsCoreRangeTableRanged rsscope_rngCANPositionMax = { 8, 64, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolRFFEPresetEntries[3] =
  {
    { RSSCOPE_VAL_RFFE_V12, "V12" },
    { RSSCOPE_VAL_RFFE_V18, "V18" },
    { RSSCOPE_VAL_RFFE_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolRFFEPreset = { 3, rsscope_rngProtocolRFFEPresetEntries };

RsCoreRangeTableRanged RsScope_rngProtocolRFFEThreshold = { 0.0, 2.5, "V" };

RsCoreRangeTableRanged rsscope_rngProtocolRFFEThresholdHysteresis = { 0, 1, "" };

RsCoreRangeTableRanged rsscope_rngProtocolRFFEMinGapTime = { 10.0E-9, 10.0E-6, "s" };

RsCoreRangeTableRanged RsScope_rngProtocolRFFEMaxGapTime = { 2.0E-9, 1.0E-3, "" };

RsCoreRangeTableRanged rsscope_rngProtocolRFFEGlitchFilterWidth = { 10.0E-12, 10.0E-9, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolRFFESequenceTypeEntries[17] =
  {
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_RZWR, "RZWR" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_RWR, "RWR" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_RDR, "RRD" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_ERWR, "ERWR" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_ERRD, "ERRD" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_ERWL, "ERWL" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_ERRL, "ERRL" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_ERROR, "ERR" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_MASR, "MASR" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_MASW, "MASW" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_MASOHO, "MASOHO" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_IRSUM, "IRSUM" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_UNDEF, "UNDEF" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_UNDESC, "UNDESC" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_MSKW, "MSKW" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_MCTR, "MCTR" },
    { RSSCOPE_VAL_RFFE_SEQUENCE_TYPE_MCTW, "MCTW" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolRFFESequenceType = { 17, rsscope_rngProtocolRFFESequenceTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolRFFESequenceStatusEntries[10] =
  {
    { RSSCOPE_VAL_RFFE_STATUS_OK, "OK" },
    { RSSCOPE_VAL_RFFE_STATUS_SCC, "SSC" },
    { RSSCOPE_VAL_RFFE_STATUS_GAP, "GAP" },
    { RSSCOPE_VAL_RFFE_STATUS_PAR, "PAR" },
    { RSSCOPE_VAL_RFFE_STATUS_LENG, "LENG" },
    { RSSCOPE_VAL_RFFE_STATUS_BP, "BP" },
    { RSSCOPE_VAL_RFFE_STATUS_USEQ, "USEQ" },
    { RSSCOPE_VAL_RFFE_STATUS_INC, "INC" },
    { RSSCOPE_VAL_RFFE_STATUS_VERSION, "VERS" },
    { RSSCOPE_VAL_RFFE_STATUS_NO_RESPONSE, "NORESPONSE" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolRFFESequenceStatus = { 10, rsscope_rngProtocolRFFESequenceStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolRFFEByteStatusEntries[2] =
  {
    { RSSCOPE_VAL_RFFE_BYTE_STATE_OK, "OK" },
    { RSSCOPE_VAL_RFFE_BYTE_STATE_PARITY, "PAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolRFFEByteStatus = { 2, rsscope_rngProtocolRFFEByteStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolRFFETriggerTypeEntries[17] =
  {
    { RSSCOPE_VAL_RFFE_TRIGGER_START, "STAR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_STOP, "STOP" },
    { RSSCOPE_VAL_RFFE_TRIGGER_RZWR, "RZWR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_RWR, "RWR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_RRD, "RRD" },
    { RSSCOPE_VAL_RFFE_TRIGGER_ERWR, "ERWR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_ERRD, "ERRD" },
    { RSSCOPE_VAL_RFFE_TRIGGER_ERWL, "ERWL" },
    { RSSCOPE_VAL_RFFE_TRIGGER_ERRL, "ERRL" },
    { RSSCOPE_VAL_RFFE_TRIGGER_ERROR, "ERR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_IRSUM, "IRSUM" },
    { RSSCOPE_VAL_RFFE_TRIGGER_MSKW, "MSKW" },
    { RSSCOPE_VAL_RFFE_TRIGGER_MASOHO, "MOHO" },
    { RSSCOPE_VAL_RFFE_TRIGGER_MASW, "MWR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_MASR, "MRD" },
    { RSSCOPE_VAL_RFFE_TRIGGER_MCTW, "MCTW" },
    { RSSCOPE_VAL_RFFE_TRIGGER_MCTR, "MCTR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolRFFETriggerType = { 17, rsscope_rngProtocolRFFETriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMDIOThresholdPresetEntries[2] =
  {
    { RSSCOPE_VAL_MDIO_DEF, "DEF" },
    { RSSCOPE_VAL_MDIO_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMDIOThresholdPreset = { 2, rsscope_rngProtocolMDIOThresholdPresetEntries };

RsCoreRangeTableRanged rsscope_rngProtocolMDIOThreshold = { -5, 5, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMDIOWordStatusEntries[6] =
  {
    { RSSCOPE_VAL_MDIO_STATUS_OK, "OK" },
    { RSSCOPE_VAL_MDIO_STATUS_UNSYN, "UNSYN" },
    { RSSCOPE_VAL_MDIO_STATUS_OPCO, "OPCO" },
    { RSSCOPE_VAL_MDIO_STATUS_SHORT, "SHORT" },
    { RSSCOPE_VAL_MDIO_STATUS_INC, "INC" },
    { RSSCOPE_VAL_MDIO_STATUS_TA_ERROR, "TA_ERROR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMDIOWordStatus = { 6, rsscope_rngProtocolMDIOWordStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMDIOTriggerTypeEntries[3] =
  {
    { RSSCOPE_VAL_MDIO_TRIGGER_START, "STAR" },
    { RSSCOPE_VAL_MDIO_TRIGGER_STOP, "STOP" },
    { RSSCOPE_VAL_MDIO_TRIGGER_DATA, "DATA" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMDIOTriggerType = { 3, rsscope_rngProtocolMDIOTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMDIOTriggerStartCodeEntries[3] =
  {
    { RSSCOPE_VAL_MDIO_START_CODE_ST00, "ST00" },
    { RSSCOPE_VAL_MDIO_START_CODE_ST01, "ST01" },
    { RSSCOPE_VAL_MDIO_START_CODE_ST0X, "ST0X" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMDIOTriggerStartCode = { 3, rsscope_rngProtocolMDIOTriggerStartCodeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMDIOTriggerOperationCodeEntries[5] =
  {
    { RSSCOPE_VAL_MDIO_OPERATION_CODE_OP00, "OP00" },
    { RSSCOPE_VAL_MDIO_OPERATION_CODE_OP01, "OP01" },
    { RSSCOPE_VAL_MDIO_OPERATION_CODE_OP10, "OP10" },
    { RSSCOPE_VAL_MDIO_OPERATION_CODE_OP11, "OP11" },
    { RSSCOPE_VAL_MDIO_OPERATION_CODE_OPXX, "OPXX" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMDIOTriggerOperationCode = { 5, rsscope_rngProtocolMDIOTriggerOperationCodeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolEthernetVariantEntries[2] =
  {
    { RSSCOPE_VAL_ETHERNET_VARIANT_B10T, "B10T" },
    { RSSCOPE_VAL_ETHERNET_VARIANT_B100TX, "B100TX" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolEthernetVariant = { 2, rsscope_rngProtocolEthernetVariantEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEthernetPolarityEntries[2] =
  {
    { RSSCOPE_VAL_NORMAL, "NORM" },
    { RSSCOPE_VAL_INVERT, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngEthernetPolarity = { 2, rsscope_rngEthernetPolarityEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolEthernetThresholdPresetEntries[5] =
  {
    { RSSCOPE_VAL_ETHERNET_PRESET_T0, "T0" },
    { RSSCOPE_VAL_ETHERNET_PRESET_T100, "T100" },
    { RSSCOPE_VAL_ETHERNET_PRESET_TX0, "TX0" },
    { RSSCOPE_VAL_ETHERNET_PRESET_TX100, "TX100" },
    { RSSCOPE_VAL_ETHERNET_PRESET_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolEthernetThresholdPreset = { 5, rsscope_rngProtocolEthernetThresholdPresetEntries };

RsCoreRangeTableRanged rsscope_rngProtocolEthernetThresholdLow = { -10, 0, "V" };

RsCoreRangeTableRanged rsscope_rngProtocolEthernetThresholdHigh = { 0, 10, "" };

RsCoreRangeTableRanged rsscope_rngProtocolEthernetBitRate = { 10000, 150000000, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolEthernetWordStatusEntries[7] =
  {
    { RSSCOPE_VAL_ETHERNET_STATUS_OK, "OK" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_PREAMBLE, "ERR_PREAMBLE" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_LENGTH, "ERR_LENGTH" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_SFD, "ERR_SFD" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_CRC, "ERR_CRC" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_UNC, "UNC" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_INC, "INC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolEthernetWordStatus = { 7, rsscope_rngProtocolEthernetWordStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBWaveformSourceEntries[16] =
  {
    { RSSCOPE_VAL_PROTOCOL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M1, "M1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M2, "M2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M3, "M3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M4, "M4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R1, "R1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R2, "R2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R3, "R3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R4, "R4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M5, "M5" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M6, "M6" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M7, "M7" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBWaveformSource = { 16, rsscope_rngProtocolUSBWaveformSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTechnologyEntries[4] =
  {
    { RSSCOPE_VAL_USB_LOW, "LOW" },
    { RSSCOPE_VAL_USB_FULL, "FULL" },
    { RSSCOPE_VAL_USB_HIGH, "HIGH" },
    { RSSCOPE_VAL_USB_HSIC, "HSIC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTechnology = { 4, rsscope_rngProtocolUSBTechnologyEntries };

RsCoreRangeTableRanged rsscope_rngProtocolUSBThreshold = { -5, 5, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBPacketStatusEntries[6] =
  {
    { RSSCOPE_VAL_USB_STATUS_OK, "OK" },
    { RSSCOPE_VAL_USB_STATUS_PID, "PID" },
    { RSSCOPE_VAL_USB_STATUS_CRC, "CRC" },
    { RSSCOPE_VAL_USB_STATUS_BTST, "BTST" },
    { RSSCOPE_VAL_USB_STATUS_GLIT, "GLIT" },
    { RSSCOPE_VAL_USB_STATUS_BYTE, "BYTE" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBPacketStatus = { 6, rsscope_rngProtocolUSBPacketStatusEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBPacketPIDEntries[17] =
  {
    { RSSCOPE_VAL_USB_PID_RES, "RES" },
    { RSSCOPE_VAL_USB_PID_OUT, "OUT" },
    { RSSCOPE_VAL_USB_PID_IN, "IN" },
    { RSSCOPE_VAL_USB_PID_SOF, "SOF" },
    { RSSCOPE_VAL_USB_PID_SETUP, "SETUP" },
    { RSSCOPE_VAL_USB_PID_D0, "DATA0" },
    { RSSCOPE_VAL_USB_PID_D1, "DATA1" },
    { RSSCOPE_VAL_USB_PID_D2, "DATA2" },
    { RSSCOPE_VAL_USB_PID_MD, "MDATA" },
    { RSSCOPE_VAL_USB_PID_ACK, "ACK" },
    { RSSCOPE_VAL_USB_PID_NAK, "NAK" },
    { RSSCOPE_VAL_USB_PID_STALL, "STALL" },
    { RSSCOPE_VAL_USB_PID_NYET, "NYET" },
    { RSSCOPE_VAL_USB_PID_PRE, "PRE" },
    { RSSCOPE_VAL_USB_PID_SPLIT, "SPLIT" },
    { RSSCOPE_VAL_USB_PID_PING, "PING" },
    { RSSCOPE_VAL_USB_PID_UNK, "UNK" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBPacketPID = { 17, rsscope_rngProtocolUSBPacketPIDEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTriggerTypeEntries[10] =
  {
    { RSSCOPE_VAL_USB_TRIGGER_SOP, "SOP" },
    { RSSCOPE_VAL_USB_TRIGGER_EOP, "EOP" },
    { RSSCOPE_VAL_USB_TRIGGER_RESET, "RST" },
    { RSSCOPE_VAL_USB_TRIGGER_SUSPEND, "SUSP" },
    { RSSCOPE_VAL_USB_TRIGGER_RESUME, "RES" },
    { RSSCOPE_VAL_USB_TRIGGER_TOKEN, "TOK" },
    { RSSCOPE_VAL_USB_TRIGGER_DATA, "DATA" },
    { RSSCOPE_VAL_USB_TRIGGER_HANDSHAKE, "HAND" },
    { RSSCOPE_VAL_USB_TRIGGER_SPECIAL, "SPEC" },
    { RSSCOPE_VAL_USB_TRIGGER_ERROR, "ERRC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTriggerType = { 10, rsscope_rngProtocolUSBTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTriggerTokenEntries[4] =
  {
    { RSSCOPE_VAL_USB_TOKEN_OUT, "OUT" },
    { RSSCOPE_VAL_USB_TOKEN_IN, "IN" },
    { RSSCOPE_VAL_USB_TOKEN_SOF, "SOF" },
    { RSSCOPE_VAL_USB_TOKEN_SETUP, "SET" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTriggerToken = { 4, rsscope_rngProtocolUSBTriggerTokenEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTriggerDataTypeEntries[4] =
  {
    { RSSCOPE_VAL_USB_DATA_TYPE_D0, "D0" },
    { RSSCOPE_VAL_USB_DATA_TYPE_D1, "D1" },
    { RSSCOPE_VAL_USB_DATA_TYPE_D2, "D2" },
    { RSSCOPE_VAL_USB_DATA_TYPE_MD, "MD" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTriggerDataType = { 4, rsscope_rngProtocolUSBTriggerDataTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTriggerHandshakeEntries[5] =
  {
    { RSSCOPE_VAL_USB_HANDSHAKE_ACK, "ACK" },
    { RSSCOPE_VAL_USB_HANDSHAKE_NAK, "NAK" },
    { RSSCOPE_VAL_USB_HANDSHAKE_STALL, "STAL" },
    { RSSCOPE_VAL_USB_HANDSHAKE_NYET, "NYET" },
    { RSSCOPE_VAL_USB_HANDSHAKE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTriggerHandshake = { 5, rsscope_rngProtocolUSBTriggerHandshakeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTriggerSpecialPIDEntries[4] =
  {
    { RSSCOPE_VAL_USB_SPECIAL_PID_PREAMBLE, "PRE" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_ERROR, "ERR" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_SPLIT, "SPL" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_PING, "PING" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTriggerSpecialPID = { 4, rsscope_rngProtocolUSBTriggerSpecialPIDEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBTriggerErrorConditionEntries[8] =
  {
    { RSSCOPE_VAL_USB_ERROR_CONDITION_ANY, "ANY" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_PID, "PID" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_CRC5, "CRC5" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_CRC16, "CRC16" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_BTST, "BTST" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_UNEX, "UNEX" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_SE1, "SE1" },
    { RSSCOPE_VAL_USB_ERROR_CONDITION_GLIT, "GLIT" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBTriggerErrorCondition = { 8, rsscope_rngProtocolUSBTriggerErrorConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBPayloadConditionEntries[2] =
  {
    { RSSCOPE_VAL_USB_PAYLOAD_COND_ANY, "ANY" },
    { RSSCOPE_VAL_USB_PAYLOAD_COND_EQ, "EQU" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBPayloadCondition = { 2, rsscope_rngProtocolUSBPayloadConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngNqEqEntries[4] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_ANY, "ANY" },
    { RSSCOPE_VAL_CONDITION_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rsscope_rngNqEq = { 4, rsscope_rngNqEqEntries };

RsCoreRangeTableRanged rsscope_rngProtocolUSBPayloadPosition = { 0, 1024, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBSCCheckStartCompleteEntries[3] =
  {
    { RSSCOPE_VAL_USB_SC_COMPLETE, "ONE" },
    { RSSCOPE_VAL_USB_SC_START, "ZERO" },
    { RSSCOPE_VAL_USB_SC_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBSCCheckStartComplete = { 3, rsscope_rngProtocolUSBSCCheckStartCompleteEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngByteOrderEntries[2] =
  {
    { RSSCOPE_VAL_MSBF, "MSBF" },
    { RSSCOPE_VAL_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete rsscope_rngByteOrder = { 2, rsscope_rngByteOrderEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngHardcopyPrintColorSetEntries[2] =
  {
    { RSSCOPE_VAL_HARDCOPY_COLOR_SET_DEF1, "DEF1" },
    { RSSCOPE_VAL_HARDCOPY_COLOR_SET_DEF4, "DEF4" }
  };
RsCoreRangeTableDiscrete rsscope_rngHardcopyPrintColorSet = { 2, rsscope_rngHardcopyPrintColorSetEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPowerSafeOperatingAreaSwitchEntries[2] =
  {
    { RSSCOPE_VAL_SCALE_LIN, "LINEARLOG" },
    { RSSCOPE_VAL_SCALE_LOG, "LOGLINEAR" }
  };
RsCoreRangeTableDiscrete RsScope_rngPowerSafeOperatingAreaSwitch = { 2, RsScope_rngPowerSafeOperatingAreaSwitchEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolI2CAddressORTypeEntries[3] =
  {
    { RSSCOPE_VAL_I2C_BIT7, "BIT7" },
    { RSSCOPE_VAL_I2C_BIT7_RW, "BIT7_RW" },
    { RSSCOPE_VAL_I2C_BIT10, "BIT10" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolI2CAddressORType = { 3, rsscope_rngProtocolI2CAddressORTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCANFDBitRSEntries[3] =
  {
    { RSSCOPE_VAL_CAN_FD_BIT_ZERO, "ZERO" },
    { RSSCOPE_VAL_CAN_FD_BIT_ONE, "ONE" },
    { RSSCOPE_VAL_CAN_FD_BIT_DC, "DC" }
  };
RsCoreRangeTableDiscrete rsscope_rngCANFDBitRS = { 3, rsscope_rngCANFDBitRSEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerSlopeSearchEntries[2] =
  {
    { RSSCOPE_VAL_POSITIVE, "Positive" },
    { RSSCOPE_VAL_NEGATIVE, "Negative" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerSlopeSearch = { 2, rsscope_rngTriggerSlopeSearchEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerTypeSearchEntries[9] =
  {
    { RSSCOPE_VAL_EDGE_TRIGGER, "Edge" },
    { RSSCOPE_VAL_WIDTH_TRIGGER, "Width" },
    { RSSCOPE_VAL_RUNT_TRIGGER, "Runt" },
    { RSSCOPE_VAL_GLITCH_TRIGGER, "Glitch" },
    { RSSCOPE_VAL_WINDOW_TRIGGER, "Window" },
    { RSSCOPE_VAL_TIMEOUT_TRIGGER, "Timeout" },
    { RSSCOPE_VAL_INTERVAL_TRIGGER, "Interval" },
    { RSSCOPE_VAL_SLEW_RATE_TRIGGER, "Slew Rate" },
    { RSSCOPE_VAL_DATA_TO_CLOCK_TRIGGER, "Data2Clock" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerTypeSearch = { 9, rsscope_rngTriggerTypeSearchEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngManchesterNRZCodingStandardEntries[4] =
  {
    { RSSCOPE_VAL_MANCHESTER_NRZ_CODING_STANDARD_MANC, "MANC" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_CODING_STANDARD_MANT, "MANT" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_CODING_STANDARD_NRZ, "NRZ" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_CODING_STANDARD_NRZU, "NRZU" }
  };
RsCoreRangeTableDiscrete RsScope_rngManchesterNRZCodingStandard = { 4, RsScope_rngManchesterNRZCodingStandardEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngPolarityNormalInvertedEntries[2] =
  {
    { RSSCOPE_VAL_NORMAL, "NORM" },
    { RSSCOPE_VAL_INVERT, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngPolarityNormalInverted = { 2, rsscope_rngPolarityNormalInvertedEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngClockPhaseEntries[3] =
  {
    { RSSCOPE_VAL_CLOCK_PHASE_AUTO, "AUTO" },
    { RSSCOPE_VAL_CLOCK_PHASE_FIRST_EDGE, "FEDG" },
    { RSSCOPE_VAL_CLOCK_PHASE_SECOND_EDGE, "SEDG" }
  };
RsCoreRangeTableDiscrete RsScope_rngClockPhase = { 3, RsScope_rngClockPhaseEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngManchesterNRZThresholdPresetEntries[5] =
  {
    { RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_V05, "V05" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_V2, "V2" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_V5, "V5" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_V7, "V7" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete RsScope_rngManchesterNRZThresholdPreset = { 5, RsScope_rngManchesterNRZThresholdPresetEntries };

RsCoreRangeTableRanged RsScope_rngNRZThreshold = { -25, 25, "" };

RsCoreRangeTableRanged RsScope_rngProtocolManchesterThresholdHigh = { -25, 25, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngActivePolarityEntries[2] =
  {
    { RSSCOPE_VAL_ACTLOW, "ACTL" },
    { RSSCOPE_VAL_ACTHIGH, "ACTH" }
  };
RsCoreRangeTableDiscrete rsscope_rngActivePolarity = { 2, rsscope_rngActivePolarityEntries };

RsCoreRangeTableRanged RsScope_rngManchesterNRZBitrate = { 300, 100000000, "" };

RsCoreRangeTableRanged RsScope_rngManchesterNRZGapTime = { 1E-9, 1, "" };

RsCoreRangeTableRanged RsScope_rngManchesterNRZCellBitCount = { 1, 64, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngNumericFormatEntries[4] =
  {
    { RSSCOPE_VAL_NUMERIC_FORMAT_DEC, "DEC" },
    { RSSCOPE_VAL_NUMERIC_FORMAT_HEX, "HEX" },
    { RSSCOPE_VAL_NUMERIC_FORMAT_OCT, "OCT" },
    { RSSCOPE_VAL_NUMERIC_FORMAT_BIN, "BIN" }
  };
RsCoreRangeTableDiscrete RsScope_rngNumericFormat = { 4, RsScope_rngNumericFormatEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngBitOrderEntries[2] =
  {
    { RSSCOPE_VAL_MSBF, "MSBF" },
    { RSSCOPE_VAL_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete rsscope_rngBitOrder = { 2, rsscope_rngBitOrderEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCellColorEntries[5] =
  {
    { RSSCOPE_VAL_CELL_COLOR_YELLOW, "YELL" },
    { RSSCOPE_VAL_CELL_COLOR_BLUE, "BLUE" },
    { RSSCOPE_VAL_CELL_COLOR_GREEN, "GREEN" },
    { RSSCOPE_VAL_CELL_COLOR_PURPLE, "PURPLE" },
    { RSSCOPE_VAL_CELL_COLOR_GRAY, "GRAY" }
  };
RsCoreRangeTableDiscrete RsScope_rngCellColor = { 5, RsScope_rngCellColorEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCellResultColumnEntries[4] =
  {
    { RSSCOPE_VAL_CELL_RESULT_COLUMN_NONE, "NONE" },
    { RSSCOPE_VAL_CELL_RESULT_COLUMN_COL1, "COL1" },
    { RSSCOPE_VAL_CELL_RESULT_COLUMN_COL2, "COL2" },
    { RSSCOPE_VAL_CELL_RESULT_COLUMN_COL3, "COL3" }
  };
RsCoreRangeTableDiscrete RsScope_rngCellResultColumn = { 4, RsScope_rngCellResultColumnEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngManchesterNRZStatusEntries[6] =
  {
    { RSSCOPE_VAL_MANCHESTER_NRZ_STATUS_OK, "OK" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_STATUS_LENG, "LENG" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_STATUS_UNKN, "UNKN" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_STATUS_INC, "INC" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_STATUS_PAR, "PAR" },
    { RSSCOPE_VAL_MANCHESTER_NRZ_STATUS_CRC, "CRC" }
  };
RsCoreRangeTableDiscrete rsscope_rngManchesterNRZStatus = { 6, rsscope_rngManchesterNRZStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSignalTypeEntries[2] =
  {
    { RSSCOPE_VAL_SIGNAL_TYPE_DIFF, "DIFF" },
    { RSSCOPE_VAL_SIGNAL_TYPE_SING, "SING" }
  };
RsCoreRangeTableDiscrete RsScope_rngSignalType = { 2, RsScope_rngSignalTypeEntries };

RsCoreRangeTableRanged RsScope_rngEbTbThreshold = { -10, 10, "" };

RsCoreRangeTableRanged RsScope_rngEbTbBitrate = { 100, 12.5E+9, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbSyncSymbolEntries[4] =
  {
    { RSSCOPE_VAL_EBTB_SYNC_SYMBOL_K285, "K285" },
    { RSSCOPE_VAL_EBTB_SYNC_SYMBOL_K281, "K281" },
    { RSSCOPE_VAL_EBTB_SYNC_SYMBOL_K287, "K287" },
    { RSSCOPE_VAL_EBTB_SYNC_SYMBOL_CUS, "CUS" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbSyncSymbol = { 4, RsScope_rngEbTbSyncSymbolEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbDisplayFormatEntries[3] =
  {
    { RSSCOPE_VAL_EBTB_DISPLAY_FORMAT_KD, "KD" },
    { RSSCOPE_VAL_EBTB_DISPLAY_FORMAT_EB, "EB" },
    { RSSCOPE_VAL_EBTB_DISPLAY_FORMAT_TB, "TB" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbDisplayFormat = { 3, RsScope_rngEbTbDisplayFormatEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbSymbolStatusEntries[4] =
  {
    { RSSCOPE_VAL_EBTB_STATUS_OK, "OK" },
    { RSSCOPE_VAL_EBTB_STATUS_UNKNOWN, "UNK" },
    { RSSCOPE_VAL_EBTB_STATUS_DISPARITY, "DISPARITY" },
    { RSSCOPE_VAL_EBTB_STATUS_GLITCH, "GLITCH" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbSymbolStatus = { 4, RsScope_rngEbTbSymbolStatusEntries };

RsCoreRangeTableRanged RsScope_rngSENTThreshold = { -12, 12, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTTechnologyEntries[2] =
  {
    { RSSCOPE_VAL_SENT_TECHNOLOGY_V25, "V25" },
    { RSSCOPE_VAL_SENT_TECHNOLOGY_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTTechnology = { 2, RsScope_rngSENTTechnologyEntries };

RsCoreRangeTableRanged RsScope_rngSENTClockPeriod = { 1.0E-6, 100.0E-6, "" };

RsCoreRangeTableRanged RsScope_rngSENTClockTolerance = { 0, 25, "" };

RsCoreRangeTableRanged RsScope_rngSENTDataNibbles = { 1, 6, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTSerialFormatEntries[3] =
  {
    { RSSCOPE_VAL_SENT_SERIAL_FORMAT_NONE, "NONE" },
    { RSSCOPE_VAL_SENT_SERIAL_FORMAT_SHORT, "SHOR" },
    { RSSCOPE_VAL_SENT_SERIAL_FORMAT_ENHANCED, "ENH" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTSerialFormat = { 3, RsScope_rngSENTSerialFormatEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTCRCVersionEntries[2] =
  {
    { RSSCOPE_VAL_SENT_CRC_VERSION_LEGACY, "LEGA" },
    { RSSCOPE_VAL_SENT_CRC_VERSION_V2010, "V2010" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTCRCVersion = { 2, RsScope_rngSENTCRCVersionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTCRCMethodEntries[2] =
  {
    { RSSCOPE_VAL_SENT_CRC_METHOD_SAEJ, "SAEJ" },
    { RSSCOPE_VAL_SENT_CRC_METHOD_TLE, "TLE" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTCRCMethod = { 2, RsScope_rngSENTCRCMethodEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTPausePulseEntries[3] =
  {
    { RSSCOPE_VAL_SENT_PAUSE_PULSE_NPP, "NPP" },
    { RSSCOPE_VAL_SENT_PAUSE_PULSE_PP, "PP" },
    { RSSCOPE_VAL_SENT_PAUSE_PULSE_PPFL, "PPFL" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTPausePulse = { 3, RsScope_rngSENTPausePulseEntries };

RsCoreRangeTableRanged RsScope_rngSENTFrameLength = { 104, 922, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTResultDisplayEntries[3] =
  {
    { RSSCOPE_SENT_RESULT_DISPLAY_TRSQ, "TRSQ" },
    { RSSCOPE_SENT_RESULT_DISPLAY_SMSG, "SMSG" },
    { RSSCOPE_SENT_RESULT_DISPLAY_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTResultDisplay = { 3, RsScope_rngSENTResultDisplayEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTStatusEntries[7] =
  {
    { RSSCOPE_VAL_SENT_STATUS_OK, "OK" },
    { RSSCOPE_VAL_SENT_STATUS_SYNC, "SYNC" },
    { RSSCOPE_VAL_SENT_STATUS_PULS, "PULS" },
    { RSSCOPE_VAL_SENT_STATUS_CRC, "CRC" },
    { RSSCOPE_VAL_SENT_STATUS_IRFL, "IRFL" },
    { RSSCOPE_VAL_SENT_STATUS_FORM, "FORM" },
    { RSSCOPE_VAL_SENT_STATUS_INS, "INS" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTStatus = { 7, RsScope_rngSENTStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTFrameTypeEntries[3] =
  {
    { RSSCOPE_SENT_FRAME_TYPE_TRSQ, "TRSQ" },
    { RSSCOPE_SENT_FRAME_TYPE_SMSG, "SMSG" },
    { RSSCOPE_SENT_FRAME_TYPE_EMSG, "EMSG" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTFrameType = { 3, RsScope_rngSENTFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTIDTypeEntries[2] =
  {
    { RSSCOPE_VAL_SENT_ID_TYPE_B4, "B4" },
    { RSSCOPE_VAL_SENT_ID_TYPE_B8, "B8" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTIDType = { 2, RsScope_rngSENTIDTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTNibbleStatusEntries[2] =
  {
    { RSSCOPE_VAL_SENT_NIBBLE_STATUS_OK, "OK" },
    { RSSCOPE_VAL_SENT_NIBBLE_STATUS_UNDF, "UNDF" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTNibbleStatus = { 2, RsScope_rngSENTNibbleStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerManchesterNRZTypeEntries[3] =
  {
    { RSSCOPE_VAL_TRIGGER_MANCHESTER_NRZ_TYPE_START, "STAR" },
    { RSSCOPE_VAL_TRIGGER_MANCHESTER_NRZ_TYPE_PATTERN, "PATT" },
    { RSSCOPE_VAL_TRIGGER_MANCHESTER_NRZ_TYPE_ADVANCED, "ADV" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerManchesterNRZType = { 3, RsScope_rngTriggerManchesterNRZTypeEntries };

RsCoreRangeTableRanged RsScope_rngManchesterNRZTriggerIndex = { 0, 65535, "" };

RsCoreRangeTableRanged RsScope_rngNRZTriggerWordLength = { 0, 31, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTTriggerTypeEntries[4] =
  {
    { RSSCOPE_VAL_SENT_TRIGGER_TYPE_CAL, "CALI" },
    { RSSCOPE_VAL_SENT_TRIGGER_TYPE_TSEQ, "TSEQ" },
    { RSSCOPE_VAL_SENT_TRIGGER_TYPE_SMSG, "SMSG" },
    { RSSCOPE_VAL_SENT_TRIGGER_TYPE_ERRC, "ERRC" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTTriggerType = { 4, RsScope_rngSENTTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTTriggerTSTypeEntries[2] =
  {
    { RSSCOPE_SENT_TRIGGER_TS_TYPE_STAT, "STAT" },
    { RSSCOPE_SENT_TRIGGER_TS_TYPE_STDA, "STDA" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTTriggerTSType = { 2, RsScope_rngSENTTriggerTSTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSENTTriggerSMTypeEntries[2] =
  {
    { RSSCOPE_SENT_TRIGGER_SM_TYPE_ID, "ID" },
    { RSSCOPE_SENT_TRIGGER_SM_TYPE_IDDT, "IDDT" }
  };
RsCoreRangeTableDiscrete RsScope_rngSENTTriggerSMType = { 2, RsScope_rngSENTTriggerSMTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerEventEntries[2] =
  {
    { RSSCOPE_VAL_TRIGGER_EVENT_NO_ACTION, "NOAC" },
    { RSSCOPE_VAL_TRIGGER_EVENT_TRIGGER, "TRIG" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerEvent = { 2, RsScope_rngTriggerEventEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerSerialBusEntries[4] =
  {
    { RSSCOPE_VAL_SERIAL_BUS_1, "SBUS1" },
    { RSSCOPE_VAL_SERIAL_BUS_2, "SBUS2" },
    { RSSCOPE_VAL_SERIAL_BUS_3, "SBUS3" },
    { RSSCOPE_VAL_SERIAL_BUS_4, "SBUS4" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerSerialBus = { 4, RsScope_rngTriggerSerialBusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbTriggerTypeEntries[2] =
  {
    { RSSCOPE_VAL_EBTB_TRIGGER_TYPE_SYMBOL, "SYMB" },
    { RSSCOPE_VAL_EBTB_TRIGGER_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbTriggerType = { 2, RsScope_rngEbTbTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbSymbolTypeEntries[2] =
  {
    { RSSCOPE_VAL_EBTB_SYMBOL_TYPE_SYMBOL, "SYMB" },
    { RSSCOPE_VAL_EBTB_SYMBOL_TYPE_EXPRESSION, "EXPR" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbSymbolType = { 2, RsScope_rngEbTbSymbolTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbFormatEntries[3] =
  {
    { RSSCOPE_VAL_EBTB_FORMAT_KD, "KD" },
    { RSSCOPE_VAL_EBTB_FORMAT_EB, "EB" },
    { RSSCOPE_VAL_EBTB_FORMAT_TB, "TB" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbFormat = { 3, RsScope_rngEbTbFormatEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbKDCodeEntries[13] =
  {
    { RSSCOPE_VAL_EBTB_KD_CODE_DXY, "DXY" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K280, "K280" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K281, "K281" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K282, "K282" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K283, "K283" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K284, "K284" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K285, "K285" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K286, "K286" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K287, "K287" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K237, "K237" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K277, "K277" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K297, "K297" },
    { RSSCOPE_VAL_EBTB_KD_CODE_K307, "K307" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbKDCode = { 13, RsScope_rngEbTbKDCodeEntries };

RsCoreRangeTableRanged RsScope_rngEbTbDx = { 0, 31, "" };

RsCoreRangeTableRanged RsScope_rngEbTbDy = { 0, 7, "" };

RsCoreRangeTableRanged RsScope_rngStatisticsNumberOfBins = { 2, 1000, "" };

RsCoreRangeTableRanged RsScope_rngProbeZeroAdjustValue = { -100, 100, "" };

RsCoreRangeTableRanged RsScope_rngPercent = { 0, 100, "%" };

RsCoreRangeTableRanged RsScope_rngProtocolCANSamplePointAbs = { 1, 23, "" };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolIndexConditionEntries[6] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolIndexCondition = { 6, rsscope_rngProtocolIndexConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDPHYVariantEntries[2] =
  {
    { RSSCOPE_VAL_DPHY_VARIANT_DSI, "DSI" },
    { RSSCOPE_VAL_DPHY_VARIANT_CSI2, "CSI2" }
  };
RsCoreRangeTableDiscrete RsScope_rngDPHYVariant = { 2, RsScope_rngDPHYVariantEntries };

RsCoreRangeTableRanged RsScope_rngDPHYDataLanes = { 1, 4, "" };

RsCoreRangeTableRanged RsScope_rngDPHYDataRate = { 1000000, 2500000000, "" };

RsCoreRangeTableRanged RsScope_rngDPHYHighSpeedThreshold = { -1, 1, "" };

RsCoreRangeTableRanged RsScope_rngDPHYHighSpeedHysteresis = { 0, 0.5, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDPHYThresholdPresetEntries[2] =
  {
    { RSSCOPE_VAL_DPHY_THRESHOLD_AUTO, "LPHS" },
    { RSSCOPE_VAL_DPHY_THRESHOLD_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete RsScope_rngDPHYThresholdPreset = { 2, RsScope_rngDPHYThresholdPresetEntries };

RsCoreRangeTableRanged RsScope_rnglDPHYLowPowerThreshold = { -1.5, 1.5, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDPHYTriggerTypeEntries[7] =
  {
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_HS_SOP, "HS_SOP" },
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_HS_EOP, "HS_EOP" },
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_HS_PH, "HS_PH" },
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_HS_DATA, "HS_DATA" },
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_LP_ESC, "LP_ESC" },
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_LP_TURN, "LP_TURN" },
    { RSSCOPE_VAL_DPHY_TRIGGER_TYPE_LP_HSRQ, "LP_HSRQ" }
  };
RsCoreRangeTableDiscrete RsScope_rngDPHYTriggerType = { 7, RsScope_rngDPHYTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDPHYStatusEntries[7] =
  {
    { RSSCOPE_VAL_DPHY_STATUS_OK, "OK" },
    { RSSCOPE_VAL_DPHY_STATUS_SYNC, "SYNC" },
    { RSSCOPE_VAL_DPHY_STATUS_GAP, "GAP" },
    { RSSCOPE_VAL_DPHY_STATUS_PAR, "PAR" },
    { RSSCOPE_VAL_DPHY_STATUS_LENG, "LENG" },
    { RSSCOPE_VAL_DPHY_STATUS_UNK, "UNKNOWN_FRAME" },
    { RSSCOPE_VAL_DPHY_STATUS_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsScope_rngDPHYStatus = { 7, RsScope_rngDPHYStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDPHYFrameTypeEntries[6] =
  {
    { RSSCOPE_VAL_DPHY_FRAME_TYPE_HS_SP, "HS_SP" },
    { RSSCOPE_VAL_DPHY_FRAME_TYPE_HS_LP, "HS_LP" },
    { RSSCOPE_VAL_DPHY_FRAME_TYPE_HS_INC, "HS_INCOMPLETE" },
    { RSSCOPE_VAL_DPHY_FRAME_TYPE_LP_HSREQ, "LP_HSREQ" },
    { RSSCOPE_VAL_DPHY_FRAME_TYPE_LP_TA, "LP_TA" },
    { RSSCOPE_VAL_DPHY_FRAME_TYPE_LP_ESC, "LP_ESC" }
  };
RsCoreRangeTableDiscrete RsScope_rngDPHYFrameType = { 6, RsScope_rngDPHYFrameTypeEntries };

RsCoreRangeTableRanged RsScope_rngSpaceWireThreshold = { -10, 10, "" };

RsCoreRangeTableRanged RsScope_rngSpaceWireHysteresis = { 0, 0.8, "V" };

RsCoreRangeTableRanged RsScope_rngSpaceWireSyncBitPosition = { 0, 10, "" };

RsCoreRangeTableRanged RsScope_rngSpaceWireMinGap = { 1E-9, 10E-6, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpaceWireThresholdPresetEntries[7] =
  {
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_V0, "V0" },
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_V12, "V12" },
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_V09, "V09" },
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_MAN, "MAN" },
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_V125, "V125" },
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_V165, "V165" },
    { RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_25, "V25" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpaceWireThresholdPreset = { 7, RsScope_rngSpaceWireThresholdPresetEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpaceWireTriggerControlTypeEntries[4] =
  {
    { RSSCOPE_VAL_SPACE_WIRE_TRIGGER_CONTROL_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_SPACE_WIRE_TRIGGER_CONTROL_TYPE_FCT, "FCT" },
    { RSSCOPE_VAL_SPACE_WIRE_TRIGGER_CONTROL_TYPE_EOP, "EOP" },
    { RSSCOPE_VAL_SPACE_WIRE_TRIGGER_CONTROL_TYPE_EEP, "EEP" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpaceWireTriggerControlType = { 4, RsScope_rngSpaceWireTriggerControlTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpaceWireTriggerTypeEntries[5] =
  {
    { RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_CTRL, "CTRL" },
    { RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_DATA, "DATA" },
    { RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_NULL, "NULL" },
    { RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_TIME, "TIME" },
    { RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpaceWireTriggerType = { 5, RsScope_rngSpaceWireTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpaceWireFrameStatusEntries[5] =
  {
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_STATUS_OK, "OK" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_STATUS_PAR, "PAR" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_STATUS_ESC, "ESC" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_STATUS_AMB, "AMB" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_STATUS_INC, "INC" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpaceWireFrameStatus = { 5, RsScope_rngSpaceWireFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpaceWireFrameTypeEntries[7] =
  {
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_DATA, "DATA" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_FCT, "FCT" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_EOP, "EOP" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_EEP, "EEP" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_ESC, "ESC" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_NULL, "NULL" },
    { RSSCOPE_VAL_SPACE_WIRE_FRAME_TYPE_TCOD, "TCOD" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpaceWireFrameType = { 7, RsScope_rngSpaceWireFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngGatingCursorSetEntries[4] =
  {
    { RSSCOPE_VAL_CURSOR_SET_CURSOR1, "CURSOR1" },
    { RSSCOPE_VAL_CURSOR_SET_CURSOR2, "CURSOR2" },
    { RSSCOPE_VAL_CURSOR_SET_CURSOR3, "CURSOR3" },
    { RSSCOPE_VAL_CURSOR_SET_CURSOR4, "CURSOR4" }
  };
RsCoreRangeTableDiscrete RsScope_rngGatingCursorSet = { 4, RsScope_rngGatingCursorSetEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngReportLogoTypeEntries[3] =
  {
    { RSSCOPE_VAL_REPORT_LOGO_TYPE_RS, "RS" },
    { RSSCOPE_VAL_REPORT_LOGO_TYPE_CUSTOM, "CUST" },
    { RSSCOPE_VAL_REPORT_LOGO_TYPE_NONE, "NONE" }
  };
RsCoreRangeTableDiscrete RsScope_rngReportLogoType = { 3, RsScope_rngReportLogoTypeEntries };

RsCoreRangeTableRanged RsScope_rngPowerQualityCustomFrequency = { 1, 5000, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngColorTableModeEntries[2] =
  {
    { RSSCOPE_VAL_COLOR_TABLE_MODE_INCIDENCE, "INCI" },
    { RSSCOPE_VAL_COLOR_TABLE_MODE_AMPLITUDE, "AMPL" }
  };
RsCoreRangeTableDiscrete RsScope_rngColorTableMode = { 2, RsScope_rngColorTableModeEntries };

RsCoreRangeTableRanged RsScope_rngPercentInt = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformMultichannelImportEntries[5] =
  {
    { RSSCOPE_VAL_REFERENCE_WAV_MULTICH_NONE, "NONE" },
    { RSSCOPE_VAL_REFERENCE_WAV_MULTICH_WF1, "WF1" },
    { RSSCOPE_VAL_REFERENCE_WAV_MULTICH_WF2, "WF2" },
    { RSSCOPE_VAL_REFERENCE_WAV_MULTICH_WF3, "WF3" },
    { RSSCOPE_VAL_REFERENCE_WAV_MULTICH_WF4, "WF4" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformMultichannelImport = { 5, RsScope_rngWaveformMultichannelImportEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerSPIDataOperatorEntries[2] =
  {
    { RSSCOPE_VAL_SPI_TRIGGER_DATA_EQU, "EQU" },
    { RSSCOPE_VAL_SPI_TRIGGER_DATA_NEQ, "NEQ" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerSPIDataOperator = { 2, RsScope_rngSearchTriggerSPIDataOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchTriggerSPIDataPositionOperatorEntries[4] =
  {
    { RSSCOPE_VAL_SPI_TRIGGER_DPO_ANY, "ANY" },
    { RSSCOPE_VAL_SPI_TRIGGER_DPO_EQU, "EQU" },
    { RSSCOPE_VAL_SPI_TRIGGER_DPO_GETH, "GETH" },
    { RSSCOPE_VAL_SPI_TRIGGER_DPO_INR, "INR" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchTriggerSPIDataPositionOperator = { 4, RsScope_rngSearchTriggerSPIDataPositionOperatorEntries };

RsCoreRangeTableRanged RsScope_rngSearchTriggerSPIDataPosition = { 0, 32767, "" };

RsCoreRangeTableRanged RsScope_rngMDIOMaxGapTime = { 100.0e-9, 100e-6, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngNRZPolarityDataEntries[2] =
  {
    { RSSCOPE_VAL_NRZ_POLARITY_DATA_ENALOW, "ENAL" },
    { RSSCOPE_VAL_NRZ_POLARITY_DATA_ENAHIGH, "ENAH" }
  };
RsCoreRangeTableDiscrete RsScope_rngNRZPolarityData = { 2, RsScope_rngNRZPolarityDataEntries };

RsCoreRangeTableRanged RsScope_rngNRZThresholdEnabled = { -25, 25, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolMPHYEntries[3] =
  {
    { RSSCOPE_VAL_MPHY_PROTOCOL_MPHY, "MPHY" },
    { RSSCOPE_VAL_MPHY_PROTOCOL_UNIPRO, "UNIPRO" },
    { RSSCOPE_VAL_MPHY_PROTOCOL_SSIC, "SSIC" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolMPHY = { 3, RsScope_rngProtocolMPHYEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYDataSourceEntries[91] =
  {
    { RSSCOPE_VAL_MPHY_DATA_NONE, "NONE" },
    { RSSCOPE_VAL_MPHY_DATA_C1W1, "C1W1" },
    { RSSCOPE_VAL_MPHY_DATA_C1W2, "C1W2" },
    { RSSCOPE_VAL_MPHY_DATA_C1W3, "C1W3" },
    { RSSCOPE_VAL_MPHY_DATA_C2W1, "C2W1" },
    { RSSCOPE_VAL_MPHY_DATA_C2W2, "C2W2" },
    { RSSCOPE_VAL_MPHY_DATA_C2W3, "C2W3" },
    { RSSCOPE_VAL_MPHY_DATA_C3W1, "C3W1" },
    { RSSCOPE_VAL_MPHY_DATA_C3W2, "C3W2" },
    { RSSCOPE_VAL_MPHY_DATA_C3W3, "C3W3" },
    { RSSCOPE_VAL_MPHY_DATA_C4W1, "C4W1" },
    { RSSCOPE_VAL_MPHY_DATA_C4W2, "C4W2" },
    { RSSCOPE_VAL_MPHY_DATA_C4W3, "C4W3" },
    { RSSCOPE_VAL_MPHY_DATA_M1, "M1" },
    { RSSCOPE_VAL_MPHY_DATA_M2, "M2" },
    { RSSCOPE_VAL_MPHY_DATA_M3, "M3" },
    { RSSCOPE_VAL_MPHY_DATA_M4, "M4" },
    { RSSCOPE_VAL_MPHY_DATA_R1, "R1" },
    { RSSCOPE_VAL_MPHY_DATA_R2, "R2" },
    { RSSCOPE_VAL_MPHY_DATA_R3, "R3" },
    { RSSCOPE_VAL_MPHY_DATA_R4, "R4" },
    { RSSCOPE_VAL_MPHY_DATA_XY1, "XY1" },
    { RSSCOPE_VAL_MPHY_DATA_XY2, "XY2" },
    { RSSCOPE_VAL_MPHY_DATA_XY3, "XY3" },
    { RSSCOPE_VAL_MPHY_DATA_XY4, "XY4" },
    { RSSCOPE_VAL_MPHY_DATA_MRES1, "MRESult1" },
    { RSSCOPE_VAL_MPHY_DATA_MRES2, "MRESult2" },
    { RSSCOPE_VAL_MPHY_DATA_MRES3, "MRESult3" },
    { RSSCOPE_VAL_MPHY_DATA_MRES4, "MRESult4" },
    { RSSCOPE_VAL_MPHY_DATA_MRES5, "MRESult5" },
    { RSSCOPE_VAL_MPHY_DATA_MRES6, "MRESult6" },
    { RSSCOPE_VAL_MPHY_DATA_MRES7, "MRESult7" },
    { RSSCOPE_VAL_MPHY_DATA_MRES8, "MRESult8" },
    { RSSCOPE_VAL_MPHY_DATA_IMR, "IMR" },
    { RSSCOPE_VAL_MPHY_DATA_QUICK, "QUICK" },
    { RSSCOPE_VAL_MPHY_DATA_SBUS1, "SBUS1" },
    { RSSCOPE_VAL_MPHY_DATA_SBUS2, "SBUS2" },
    { RSSCOPE_VAL_MPHY_DATA_SBUS3, "SBUS3" },
    { RSSCOPE_VAL_MPHY_DATA_SBUS4, "SBUS4" },
    { RSSCOPE_VAL_MPHY_DATA_D0, "D0" },
    { RSSCOPE_VAL_MPHY_DATA_D1, "D1" },
    { RSSCOPE_VAL_MPHY_DATA_D2, "D2" },
    { RSSCOPE_VAL_MPHY_DATA_D3, "D3" },
    { RSSCOPE_VAL_MPHY_DATA_D4, "D4" },
    { RSSCOPE_VAL_MPHY_DATA_D5, "D5" },
    { RSSCOPE_VAL_MPHY_DATA_D6, "D6" },
    { RSSCOPE_VAL_MPHY_DATA_D7, "D7" },
    { RSSCOPE_VAL_MPHY_DATA_D8, "D8" },
    { RSSCOPE_VAL_MPHY_DATA_D9, "D9" },
    { RSSCOPE_VAL_MPHY_DATA_D10, "D10" },
    { RSSCOPE_VAL_MPHY_DATA_D11, "D11" },
    { RSSCOPE_VAL_MPHY_DATA_D12, "D12" },
    { RSSCOPE_VAL_MPHY_DATA_D13, "D13" },
    { RSSCOPE_VAL_MPHY_DATA_D14, "D14" },
    { RSSCOPE_VAL_MPHY_DATA_D15, "D15" },
    { RSSCOPE_VAL_MPHY_DATA_MSOB1, "MSOB1" },
    { RSSCOPE_VAL_MPHY_DATA_MSOB2, "MSOB2" },
    { RSSCOPE_VAL_MPHY_DATA_MSOB3, "MSOB3" },
    { RSSCOPE_VAL_MPHY_DATA_MSOB4, "MSOB4" },
    { RSSCOPE_VAL_MPHY_DATA_MSOB5, "MSOB5" },
    { RSSCOPE_VAL_MPHY_DATA_TRK1, "TRK1" },
    { RSSCOPE_VAL_MPHY_DATA_TRK2, "TRK2" },
    { RSSCOPE_VAL_MPHY_DATA_TRK3, "TRK3" },
    { RSSCOPE_VAL_MPHY_DATA_TRK4, "TRK4" },
    { RSSCOPE_VAL_MPHY_DATA_TRK5, "TRK5" },
    { RSSCOPE_VAL_MPHY_DATA_TRK6, "TRK6" },
    { RSSCOPE_VAL_MPHY_DATA_TRK7, "TRK7" },
    { RSSCOPE_VAL_MPHY_DATA_TRK8, "TRK8" },
    { RSSCOPE_VAL_MPHY_DATA_CDRSW1, "CDRSW1" },
    { RSSCOPE_VAL_MPHY_DATA_CDRSW2, "CDRSW2" },
    { RSSCOPE_VAL_MPHY_DATA_CDRHW, "CDRHW" },
    { RSSCOPE_VAL_MPHY_DATA_AEYE1, "AEYE1" },
    { RSSCOPE_VAL_MPHY_DATA_AEYE2, "AEYE2" },
    { RSSCOPE_VAL_MPHY_DATA_AEYE3, "AEYE3" },
    { RSSCOPE_VAL_MPHY_DATA_AEYE4, "AEYE4" },
    { RSSCOPE_VAL_MPHY_DATA_SG1, "SG1" },
    { RSSCOPE_VAL_MPHY_DATA_SG2, "SG2" },
    { RSSCOPE_VAL_MPHY_DATA_SG3, "SG3" },
    { RSSCOPE_VAL_MPHY_DATA_SG4, "SG4" },
    { RSSCOPE_VAL_MPHY_DATA_SG1TL1, "SG1TL1" },
    { RSSCOPE_VAL_MPHY_DATA_SG1TL2, "SG1TL2" },
    { RSSCOPE_VAL_MPHY_DATA_SG2TL1, "SG2TL1" },
    { RSSCOPE_VAL_MPHY_DATA_SG2TL2, "SG2TL2" },
    { RSSCOPE_VAL_MPHY_DATA_SG3TL1, "SG3TL1" },
    { RSSCOPE_VAL_MPHY_DATA_SG3TL2, "SG3TL2" },
    { RSSCOPE_VAL_MPHY_DATA_SG4TL1, "SG4TL1" },
    { RSSCOPE_VAL_MPHY_DATA_SG4TL2, "SG4TL2" },
    { RSSCOPE_VAL_MPHY_DATA_M5, "M5" },
    { RSSCOPE_VAL_MPHY_DATA_M6, "M6" },
    { RSSCOPE_VAL_MPHY_DATA_M7, "M7" },
    { RSSCOPE_VAL_MPHY_DATA_M8, "M8" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYDataSource = { 91, RsScope_rngMPHYDataSourceEntries };

RsCoreRangeTableRanged RsScope_rngMPHYThreshold = { 0.00, 1.00, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYThresholdPresetEntries[4] =
  {
    { RSSCOPE_VAL_MPHY_THRESHOLD_PRESET_60MV, "THRES_60MV" },
    { RSSCOPE_VAL_MPHY_THRESHOLD_PRESET_120MV, "THRES_120MV" },
    { RSSCOPE_VAL_MPHY_THRESHOLD_PRESET_240MV, "THRES_240MV" },
    { RSSCOPE_VAL_MPHY_THRESHOLD_PRESET_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYThresholdPreset = { 4, RsScope_rngMPHYThresholdPresetEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerMPHYTypeEntries[14] =
  {
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_START, "START" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_BURST, "BURST" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_ADAPT, "ADAPT" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_LCC, "LCC" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_DLPDUSOF, "DLPDUSOF" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_DLPDUCOF, "DLPDUCOF" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_DLPDUEOF, "DLPDUEOF" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_DLPDUNAC, "DLPDUNAC" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_DLPDUAFC, "DLPDUAFC" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_PACP, "PACP" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_TRIGUPR0, "TRIGUPR0" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_TRIGUPR1, "TRIGUPR1" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_TRIGUPR2, "TRIGUPR2" },
    { RSSCOPE_VAL_MPHY_TRIGGER_TYPE_ERR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerMPHYType = { 14, RsScope_rngTriggerMPHYTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTrigerMPHYLCCTypeEntries[24] =
  {
    { RSSCOPE_VAL_MPHY_LCC_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_SLEEP, "SLEEP" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_STALL, "STALL" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_READCAP, "READCAP" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_READMFG, "READMFG" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_READVEND, "READVEND" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_WRITEATTR, "WRITEATTR" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG0, "PWMG0" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG1, "PWMG1" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG2, "PWMG2" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG3, "PWMG3" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG4, "PWMG4" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG5, "PWMG5" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG6, "PWMG6" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_PWMG7, "PWMG7" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG1A, "HSG1A" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG2A, "HSG2A" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG3A, "HSG3A" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG4A, "HSG4A" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG1B, "HSG1B" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG2B, "HSG2B" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG3B, "HSG3B" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_HSG4B, "HSG4B" },
    { RSSCOPE_VAL_MPHY_LCC_TYPE_RESERVED, "RESERVED" }
  };
RsCoreRangeTableDiscrete RsScope_rngTrigerMPHYLCCType = { 24, RsScope_rngTrigerMPHYLCCTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYWordConditionEntries[8] =
  {
    { RSSCOPE_VAL_MPHY_WORD_COND_NEQ, "NEQ" },
    { RSSCOPE_VAL_MPHY_WORD_COND_EQU, "EQU" },
    { RSSCOPE_VAL_MPHY_WORD_COND_LTH, "LTH" },
    { RSSCOPE_VAL_MPHY_WORD_COND_LETH, "LETH" },
    { RSSCOPE_VAL_MPHY_WORD_COND_GTH, "GTH" },
    { RSSCOPE_VAL_MPHY_WORD_COND_GETH, "GETH" },
    { RSSCOPE_VAL_MPHY_WORD_COND_INR, "INR" },
    { RSSCOPE_VAL_MPHY_WORD_COND_OOR, "OOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYWordCondition = { 8, RsScope_rngMPHYWordConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYREQPatternEntries[3] =
  {
    { RSSCOPE_VAL_MPHY_REQ_PATTERN_ONE, "ONE" },
    { RSSCOPE_VAL_MPHY_REQ_PATTERN_ZERO, "ZERO" },
    { RSSCOPE_VAL_MPHY_REQ_PATTERN_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYREQPattern = { 3, RsScope_rngMPHYREQPatternEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYFrameTypeEntries[16] =
  {
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_BURST, "BURST" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_ADAPT, "ADAPT" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_LCC, "LCC" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_DLPDUSOF, "DLPDUSOF" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_DLPDUCOF, "DLPDUCOF" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_DLPDUEOF, "DLPDUEOF" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_DLPDUNAC, "DLPDUNAC" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_DLPDUAFC, "DLPDUAFC" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_PACP, "PACP" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_TRIGUPR0, "TRIGUPR0" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_TRIGUPR1, "TRIGUPR1" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_TRIGUPR2, "TRIGUPR2" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_SKIP, "SKIP" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_FILLER, "FILLER" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_SPACER, "SPACER" },
    { RSSCOPE_VAL_MPHY_FRAME_TYPE_UNKNOWN, "UNKNOWN" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYFrameType = { 16, RsScope_rngMPHYFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYFrameStateEntries[7] =
  {
    { RSSCOPE_VAL_MPHY_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_RSVDERROR, "RSVDERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_CMDERROR, "CMDERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_LENGTHERROR, "LENGTHERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_SYMBOLERROR, "SYMBOLERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_UNKOWNERROR, "UNKNOWNERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_INVALID, "INVALID" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYFrameState = { 7, RsScope_rngMPHYFrameStateEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngScopeModelEntries[32] =
  {
    { RSSCOPE_VAL_MODEL_RTO1012, "RTO1012" },
    { RSSCOPE_VAL_MODEL_RTO1014, "RTO1014" },
    { RSSCOPE_VAL_MODEL_RTO1022, "RTO1022" },
    { RSSCOPE_VAL_MODEL_RTO1024, "RTO1024" },
    { RSSCOPE_VAL_MODEL_RTO1044, "RTO1044" },
    { RSSCOPE_VAL_MODEL_RTO1002, "RTO1002" },
    { RSSCOPE_VAL_MODEL_RTO1004, "RTO1004" },
    { RSSCOPE_VAL_MODEL_RTO1094, "RTO1094" },
    { RSSCOPE_VAL_MODEL_RTO2012, "RTO2012" },
    { RSSCOPE_VAL_MODEL_RTO2014, "RTO2014" },
    { RSSCOPE_VAL_MODEL_RTO2022, "RTO2022" },
    { RSSCOPE_VAL_MODEL_RTO2024, "RTO2024" },
    { RSSCOPE_VAL_MODEL_RTO2032, "RTO2032" },
    { RSSCOPE_VAL_MODEL_RTO2034, "RTO2034" },
    { RSSCOPE_VAL_MODEL_RTO2044, "RTO2044" },
    { RSSCOPE_VAL_MODEL_RTO2062, "RTO2062" },
    { RSSCOPE_VAL_MODEL_RTO2004, "RTO2004" },
    { RSSCOPE_VAL_MODEL_RTE1022, "RTE1022" },
    { RSSCOPE_VAL_MODEL_RTE1024, "RTE1024" },
    { RSSCOPE_VAL_MODEL_RTE1032, "RTE1032" },
    { RSSCOPE_VAL_MODEL_RTE1034, "RTE1034" },
    { RSSCOPE_VAL_MODEL_RTE1052, "RTE1052" },
    { RSSCOPE_VAL_MODEL_RTE1054, "RTE1054" },
    { RSSCOPE_VAL_MODEL_RTE1102, "RTE1102" },
    { RSSCOPE_VAL_MODEL_RTE1104, "RTE1104" },
    { RSSCOPE_VAL_MODEL_RTE1102N, "RTE1102N" },
    { RSSCOPE_VAL_MODEL_RTE1104N, "RTE1104N" },
    { RSSCOPE_VAL_MODEL_RTE1152, "RTE1152" },
    { RSSCOPE_VAL_MODEL_RTE1154, "RTE1154" },
    { RSSCOPE_VAL_MODEL_RTE1202, "RTE1202" },
    { RSSCOPE_VAL_MODEL_RTE1204, "RTE1204" },
    { RSSCOPE_VAL_MODEL_RTO64, "RTO64" }
  };
RsCoreRangeTableDiscrete RsScope_rngScopeModel = { 32, RsScope_rngScopeModelEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngScopeSeriesEntries[3] =
  {
    { RSSCOPE_VAL_SERIES_RTO, "RTO" },
    { RSSCOPE_VAL_SERIES_RTE, "RTE" },
    { RSSCOPE_VAL_SERIES_RTP, "RTP" }
  };
RsCoreRangeTableDiscrete RsScope_rngScopeSeries = { 3, RsScope_rngScopeSeriesEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngScopeFamilyEntries[6] =
  {
    { RSSCOPE_VAL_SCOPE_FAMILY_RTO, "RTO" },
    { RSSCOPE_VAL_SCOPE_FAMILY_RTO2000, "RTO2000" },
    { RSSCOPE_VAL_SCOPE_FAMILY_RTE, "RTE" },
    { RSSCOPE_VAL_SCOPE_FAMILY_RTO6, "RTO6" },
    { RSSCOPE_VAL_SCOPE_FAMILY_RTP, "RTP" },
    { RSSCOPE_VAL_SCOPE_FAMILY_RTPFL, "RTPFL" }
  };
RsCoreRangeTableDiscrete RsScope_rngScopeFamily = { 6, RsScope_rngScopeFamilyEntries };

RsCoreRangeTableRanged RsScope_rngMathVerticalRange = { 0, 1.0e+15, "" };

RsCoreRangeTableRanged RsScope_rngMathVerticalOffset = { -100.0e+12, 100.0e+12, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDataSignalTypeEntries[5] =
  {
    { RSSCOPE_VAL_DATA_SIGNAL_TYPE_SOURCE, "SOUR" },
    { RSSCOPE_VAL_DATA_SIGNAL_TYPE_SPECTRUM, "SPEC" },
    { RSSCOPE_VAL_DATA_SIGNAL_TYPE_CORRELATION, "CORR" },
    { RSSCOPE_VAL_DATA_SIGNAL_TYPE_MEAS, "MEAS" },
    { RSSCOPE_VAL_DATA_SIGNAL_TYPE_NONE, "NONE" }
  };
RsCoreRangeTableDiscrete RsScope_rngDataSignalType = { 5, RsScope_rngDataSignalTypeEntries };

RsCoreRangeTableRanged RsScope_rngMPHYTriggerIndex = { 0, 65535, "" };

RsCoreRangeTableRanged RsScope_rngTubeRelativeInnerDistance = { 10, 50, "%" };

RsCoreRangeTableRanged rsscope_rngProtocolSPITriggerDataIndexMin = { 0, 4095, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorOperationModeEntries[4] =
  {
    { RSSCOPE_VAL_WAVE_GEN_MODE_FUNC, "FUNC" },
    { RSSCOPE_VAL_WAVE_GEN_MODE_MOD, "MOD" },
    { RSSCOPE_VAL_WAVE_GEN_MODE_SWE, "SWE" },
    { RSSCOPE_VAL_WAVE_GEN_MODE_ARBG, "ARBG" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorOperationMode = { 4, RsScope_rngWaveformGeneratorOperationModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorFunctionTypeEntries[11] =
  {
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_SIN, "SIN" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_SQU, "SQU" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_RAMP, "RAMP" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_DC, "DC" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_PULS, "PULS" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_SINC, "SINC" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_CARD, "CARD" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_GAUS, "GAUS" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_LORN, "LORN" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_EXPR, "EXPR" },
    { RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_EXPF, "EXPF" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorFunctionType = { 11, RsScope_rngWaveformGeneratorFunctionTypeEntries };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorFrequency = { 1e-3, 100e+6, "Hz" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorPeriod = { 8e-9, 1000, "s" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorDutyCycle = { 0.01, 99.99, "" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorSymmetry = { 0, 100, "" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorPulseWidth = { 16.5E-9, 90E+3, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorModulationTypeEntries[4] =
  {
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_TYPE_AM, "AM" },
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_TYPE_FM, "FM" },
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_TYPE_PWM, "PWM" },
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_TYPE_FSK, "FSK" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorModulationType = { 4, RsScope_rngWaveformGeneratorModulationTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorModulationSignalEntries[3] =
  {
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_SIGNAL_SIN, "SIN" },
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_SIGNAL_SQU, "SQU" },
    { RSSCOPE_VAL_WAVE_GEN_MODULATION_SIGNAL_RAMP, "RAMP" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorModulationSignal = { 3, RsScope_rngWaveformGeneratorModulationSignalEntries };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorModulationFrequency = { 1e-3, 1e+6, "Hz" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorModulationDutyCycle = { 10, 90, "" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorFMModulationFrequencyDeviation = { 1e-3, 10e+6, "Hz" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorFSKModulationHopRate = { 1e-3, 1e+6, "Hz" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorSweepTime = { 1e-3, 500, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorArbitrarySourceEntries[2] =
  {
    { RSSCOPE_VAL_WAVE_GEN_ARBITRARY_SOURCE_ARB, "ARB" },
    { RSSCOPE_VAL_WAVE_GEN_ARBITRARY_SOURCE_SCOP, "SCOP" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorArbitrarySource = { 2, RsScope_rngWaveformGeneratorArbitrarySourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorRunModeEntries[2] =
  {
    { RSSCOPE_WAVE_GEN_RUN_MODE_SING, "SING" },
    { RSSCOPE_WAVE_GEN_RUN_MODE_CONT, "CONT" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorRunMode = { 2, RsScope_rngWaveformGeneratorRunModeEntries };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorArbitrarySampleRate = { 1, 250000000, "Sa/s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorArbitraryMultichannelWaveformEntries[4] =
  {
    { RSSCOPE_VAL_WAVE_GEN_IMPORT_WFM1, "WFM1" },
    { RSSCOPE_VAL_WAVE_GEN_IMPORT_WFM2, "WFM2" },
    { RSSCOPE_VAL_WAVE_GEN_IMPORT_WFM3, "WFM3" },
    { RSSCOPE_VAL_WAVE_GEN_IMPORT_WFM4, "WFM4" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorArbitraryMultichannelWaveform = { 4, RsScope_rngWaveformGeneratorArbitraryMultichannelWaveformEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorArbitraryScopeSourceEntries[21] =
  {
    { RSSCOPE_VAL_WAVE_GEN_C1W1, "C1W1" },
    { RSSCOPE_VAL_WAVE_GEN_C1W2, "C1W2" },
    { RSSCOPE_VAL_WAVE_GEN_C1W3, "C1W3" },
    { RSSCOPE_VAL_WAVE_GEN_C2W1, "C2W1" },
    { RSSCOPE_VAL_WAVE_GEN_C2W2, "C2W2" },
    { RSSCOPE_VAL_WAVE_GEN_C2W3, "C2W3" },
    { RSSCOPE_VAL_WAVE_GEN_C3W1, "C3W1" },
    { RSSCOPE_VAL_WAVE_GEN_C3W2, "C3W2" },
    { RSSCOPE_VAL_WAVE_GEN_C3W3, "C3W3" },
    { RSSCOPE_VAL_WAVE_GEN_C4W1, "C4W1" },
    { RSSCOPE_VAL_WAVE_GEN_C4W2, "C4W2" },
    { RSSCOPE_VAL_WAVE_GEN_C4W3, "C4W3" },
    { RSSCOPE_VAL_WAVE_GEN_R1, "R1" },
    { RSSCOPE_VAL_WAVE_GEN_R2, "R2" },
    { RSSCOPE_VAL_WAVE_GEN_R3, "R3" },
    { RSSCOPE_VAL_WAVE_GEN_R4, "R4" },
    { RSSCOPE_VAL_WAVE_GEN_NONE, "NONE" },
    { RSSCOPE_VAL_WAVE_GEN_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_WAVE_GEN_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_WAVE_GEN_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_WAVE_GEN_COMMON2, "COMMON2" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorArbitraryScopeSource = { 21, RsScope_rngWaveformGeneratorArbitraryScopeSourceEntries };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorOutputAmplitude = { 0.01, 12, "Vpp" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorOutputOffset = { -5.995, 5.995, "V" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorOutputHighLevel = { -5.99, 6.0, "V" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorOutputLowLevel = { -6, 5.99, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngWaveformGeneratorLoadEntries[2] =
  {
    { RSSCOPE_ATTR_WAVE_GEN_OUTPUT_LOAD_FIFT, "FIFT" },
    { RSSCOPE_ATTR_WAVE_GEN_OUTPUT_LOAD_HIZ, "HIZ" }
  };
RsCoreRangeTableDiscrete RsScope_rngWaveformGeneratorLoad = { 2, RsScope_rngWaveformGeneratorLoadEntries };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorOutputDCLevel = { -5.995, 5.995, "" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorNoiseDCLevel = { 0, 12, "" };

RsCoreRangeTableRanged RsScope_rngPatternGeneratorBitRate = { 1, 20000000, "bps" };

RsCoreRangeTableRanged RsScope_rngPatternGeneratorHighLevel = { 1.2, 5, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngGeneratorSynchronizationEntries[5] =
  {
    { RSSCOPE_GENERATOR_SYNCHRONIZATION_NONE, "NONE" },
    { RSSCOPE_GENERATOR_SYNCHRONIZATION_GEN12, "GEN12" },
    { RSSCOPE_GENERATOR_SYNCHRONIZATION_G1PG, "G1PG" },
    { RSSCOPE_GENERATOR_SYNCHRONIZATION_G2PG, "G2PG" },
    { RSSCOPE_GENERATOR_SYNCHRONIZATION_G12PG, "G12PG" }
  };
RsCoreRangeTableDiscrete RsScope_rngGeneratorSynchronization = { 5, RsScope_rngGeneratorSynchronizationEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngGeneratorAlignmentOverallStateEntries[3] =
  {
    { RSSCOPE_VAL_GENERATOR_ALIGNMENT_STATE_FAIL, "FAIL" },
    { RSSCOPE_VAL_GENERATOR_ALIGNMENT_STATE_PASS, "PASS" },
    { RSSCOPE_VAL_GENERATOR_ALIGNMENT_STATE_NOAL, "NOAL" }
  };
RsCoreRangeTableDiscrete RsScope_rngGeneratorAlignmentOverallState = { 3, RsScope_rngGeneratorAlignmentOverallStateEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCXPIPolarityEntries[2] =
  {
    { RSSCOPE_VAL_NORMAL, "NORM" },
    { RSSCOPE_VAL_INVERT, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngCXPIPolarity = { 2, rsscope_rngCXPIPolarityEntries };

RsCoreRangeTableRanged RsScope_rngCXPIThreshold = { -15, 12, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngCXPIDisplayOrderEntries[2] =
  {
    { RSSCOPE_VAL_CXPI_DISPLAY_ORDER_TRANSMITTED, "TRAN" },
    { RSSCOPE_VAL_CXPI_DISPLAY_ORDER_LOGICAL, "LOG" }
  };
RsCoreRangeTableDiscrete RsScope_rngCXPIDisplayOrder = { 2, RsScope_rngCXPIDisplayOrderEntries };

RsCoreRangeTableRanged RsScope_rngCXPIBitRateValue = { 1000, 100000, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngCXPIFrameStatusEntries[9] =
  {
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_OK, "OK" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_INC, "INC" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_IBS, "ERR_IBS" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_IFS, "ERR_IFS" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_LENGTH, "ERR_LENGTH" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_CRC, "ERR_CRC" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_PARITY, "ERR_PARITY" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_DLC, "ERR_DLC" },
    { RSSCOPE_VAL_CXPI_FRAME_STATUS_ERR_UART, "ERR_UART" }
  };
RsCoreRangeTableDiscrete RsScope_rngCXPIFrameStatus = { 9, RsScope_rngCXPIFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCXPIFrameTypeEntries[10] =
  {
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_NORMAL, "NORM" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_NPOLL, "NPOL" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_LPOLL, "LPOL" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_SLEEP, "SLEEP" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_LONG, "LONG" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_PID, "PID" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_PTYPE, "PTYP" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_PTPID, "PTPID" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_IFS, "IFS" },
    { RSSCOPE_VAL_CXPI_FRAME_TYPE_UNKNOWN, "UNK" }
  };
RsCoreRangeTableDiscrete RsScope_rngCXPIFrameType = { 10, RsScope_rngCXPIFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCXPITriggerTypeEntries[10] =
  {
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_START, "STAR" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_NORMAL, "NORM" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_NPOLL, "NPOL" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_LPOLL, "LPOL" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_SLEEP, "SLEEP" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_LONG, "LONG" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_PID, "PID" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_PTYPE, "PTYP" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_PTPID, "PTPD" },
    { RSSCOPE_VAL_CXPI_TRIGGER_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngCXPITriggerType = { 10, RsScope_rngCXPITriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCXPIDataConditionEntries[9] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" },
    { RSSCOPE_VAL_COND_ANY, "OFF" }
  };
RsCoreRangeTableDiscrete rsscope_rngCXPIDataCondition = { 9, rsscope_rngCXPIDataConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngUSB31Gen1SourceEntries[16] =
  {
    { RSSCOPE_VAL_PROTOCOL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M1, "M1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M2, "M2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M3, "M3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M4, "M4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R1, "R1" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R2, "R2" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R3, "R3" },
    { RSSCOPE_VAL_PROTOCOL_WAV_R4, "R4" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M5, "M5" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M6, "M6" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M7, "M7" },
    { RSSCOPE_VAL_PROTOCOL_WAV_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngUSB31Gen1Source = { 16, rsscope_rngUSB31Gen1SourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngUSB31Gen1PolarityEntries[2] =
  {
    { RSSCOPE_VAL_NORMAL, "NORM" },
    { RSSCOPE_VAL_INVERT, "INV" }
  };
RsCoreRangeTableDiscrete rsscope_rngUSB31Gen1Polarity = { 2, rsscope_rngUSB31Gen1PolarityEntries };

RsCoreRangeTableRanged RsScope_rngUSB31Gen1Threshold = { -2, 2, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSB31Gen1ScrambleModeEntries[2] =
  {
    { RSSCOPE_VAL_USB31_GEN1_SCRAMBLE_MODE_SCRM, "SCRM" },
    { RSSCOPE_VAL_USB31_GEN1_SCRAMBLE_MODE_NSCR, "NSCR" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSB31Gen1ScrambleMode = { 2, RsScope_rngUSB31Gen1ScrambleModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSB31Gen1FrameStatusEntries[7] =
  {
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_OK, "OK" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_INC, "INC" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_UNC, "UNC" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_UNK, "UNKN" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_CRC, "CRC" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_LENG, "LENG" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_STATUS_VOOR, "VOOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSB31Gen1FrameStatus = { 7, RsScope_rngUSB31Gen1FrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSB31Gen1PacketTypeEntries[33] =
  {
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_TSEQ, "\'TSEQ\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_TS1T, "\'TS1\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_TS2T, "\'TS2\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_SLF, "\'Set Link Function\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_U2IT, "\'U2 Inactivity Tout\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_VDT, "\'Vendor Device Test\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_PCAP, "\'Port Capability\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_PCNF, "\'Port Configuration\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_PCNR, "\'Port Config Resp\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_LDM, "\'Link Delay Meas\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_ACK, "\'ACK\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_NRDY, "\'NRDY\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_ERDY, "\'ERDY\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_STAT, "\'STATUS\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_STAL, "\'STALL\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_FWAK, "\'Function Wake\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_LTM, "\'Latency Tolerance\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_BIAM, "\'Bus Interval Adjust\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_HRR, "\'Host Role Request\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_SSPD, "\'Sublink Speed\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_PING, "\'Ping\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_PNGR, "\'Ping Response\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_DPH, "\'Data Packet Header\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_DPP, "\'Data Packet Payload\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_DPPA, "\'Data Packet Abort\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_ITP, "\'ITP\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_LC, "\'Link Command\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_SKIP, "\'SKIP\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_BRST, "\'BRST\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_BDAT, "\'BDAT\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_BERC, "\'BERC\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_BCNT, "\'BCNT\'" },
    { RSSCOPE_VAL_USB31_GEN1_PACKET_TYPE_IDLE, "\'IDLE\'" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSB31Gen1PacketType = { 33, RsScope_rngUSB31Gen1PacketTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngUSB31Gen1IndexConditionEntries[2] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_IN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngUSB31Gen1IndexCondition = { 2, rsscope_rngUSB31Gen1IndexConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngBitStateEntries[3] =
  {
    { RSSCOPE_VAL_BIT_STATE_ZERO, "ZERO" },
    { RSSCOPE_VAL_BIT_STATE_ONE, "ONE" },
    { RSSCOPE_VAL_BIT_STATE_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsScope_rngBitState = { 3, RsScope_rngBitStateEntries };

RsCoreRangeTableRanged RsScope_rngUSBPDThreshold = { -10, 10, "" };

RsCoreRangeTableRanged RsScope_rngUSBPDDataHysteresis = { -10, 10, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSBPDFrameStatusEntries[8] =
  {
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_OK, "OK" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_UNKN, "UNKN" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_INC, "INC" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_PRE, "PRE" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_SOP, "SOP" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_CRC, "CRC" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_LENG, "LENG" },
    { RSSCOPE_VAL_USB_PD_FRAME_STATUS_FBFB, "FBFB" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSBPDFrameStatus = { 8, RsScope_rngUSBPDFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSBPDFrameTypeEntries[26] =
  {
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_START, "STAR" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_RESET, "RES" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_CTRL, "CTRL" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_DATA, "DATA" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_BIST, "BIST" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_RQST, "RQST" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_SINK, "SINK" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_SRC, "SRC" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_VEND, "VEND" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_BATT, "BATT" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_ALRT, "ALRT" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XMSG, "XMSG" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XSRC, "XSRC" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XSTA, "XSTA" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XGBC, "XGBC" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XGBS, "XGBS" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XBAC, "XBAC" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XGMI, "XGMI" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XMFI, "XMFI" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XSRQ, "XSRQ" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XSRS, "XSRS" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XFRQ, "XFRQ" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_XFRS, "XFRS" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_TEST, "TEST" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_LOWP, "LOWP" },
    { RSSCOPE_VAL_USB_PD_FRAME_TYPE_UNKN, "UNKN" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSBPDFrameType = { 26, RsScope_rngUSBPDFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSBPDTriggerTypeEntries[3] =
  {
    { RSSCOPE_VAL_USB_PD_TRIGGER_TYPE_START, "STAR" },
    { RSSCOPE_VAL_USB_PD_TRIGGER_TYPE_FRAME, "FRAM" },
    { RSSCOPE_VAL_USB_PD_TRIGGER_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSBPDTriggerType = { 3, RsScope_rngUSBPDTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeGenerationEntries[3] =
  {
    { RSSCOPE_PCIE_GENERATION_V1, "V1" },
    { RSSCOPE_PCIE_GENERATION_V2, "V2" },
    { RSSCOPE_PCIE_GENERATION_V3, "V3" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeGeneration = { 3, RsScope_rngPCIeGenerationEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeLinkEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_LINK_X1, "X1" },
    { RSSCOPE_VAL_PCIE_LINK_X2, "X2" },
    { RSSCOPE_VAL_PCIE_LINK_X4, "X4" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeLink = { 3, RsScope_rngPCIeLinkEntries };

RsCoreRangeTableRanged RsScope_rngPCIeCDRNominalBitrate = { 100, 5000000000, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeCDRPLLOrderEntries[2] =
  {
    { RSSCOPE_VAL_PCIE_PLL_CDR_ORDER_FIRST, "FIRS" },
    { RSSCOPE_VAL_PCIE_PLL_CDR_ORDER_SECOND, "SEC" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeCDRPLLOrder = { 2, RsScope_rngPCIeCDRPLLOrderEntries };

RsCoreRangeTableRanged RsScope_rngPCIeCDRPLLRelativeBandwidth = { 10, 5000, "" };

RsCoreRangeTableRanged RsScope_rngPCIeCDRPLLDamping = { 0.5, 1, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeCDRInitialPhaseSyncEntries[2] =
  {
    { RSSCOPE_VAL_PCIE_CDR_PHASE_SYNC_SAMPLE, "SAMP" },
    { RSSCOPE_VAL_PCIE_CDR_PHASE_SYNC_DATAEDGE, "DAT" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeCDRInitialPhaseSync = { 2, RsScope_rngPCIeCDRInitialPhaseSyncEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeCDRSelectedResultsEntries[2] =
  {
    { RSSCOPE_VAL_PCIE_CDR_SELECTED_RESULTS_ALL, "ALL" },
    { RSSCOPE_VAL_PCIE_CDR_SELECTED_RESULTS_AISYNC, "AISY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeCDRSelectedResults = { 2, RsScope_rngPCIeCDRSelectedResultsEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTriggerTypeEntries[4] =
  {
    { RSSCOPE_VAL_PCIE_TRIGGER_TYPE_TLP, "TLP" },
    { RSSCOPE_VAL_PCIE_TRIGGER_TYPE_DLLP, "DLLP" },
    { RSSCOPE_VAL_PCIE_TRIGGER_TYPE_ORD, "ORD" },
    { RSSCOPE_VAL_PCIE_TRIGGER_TYPE_ERR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTriggerType = { 4, RsScope_rngPCIeTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPEntries[9] =
  {
    { RSSCOPE_VAL_PCIE_TLP_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_MEM, "MEM" },
    { RSSCOPE_VAL_PCIE_TLP_IO, "IO" },
    { RSSCOPE_VAL_PCIE_TLP_CFG, "CFG" },
    { RSSCOPE_VAL_PCIE_TLP_MSG, "MSG" },
    { RSSCOPE_VAL_PCIE_TLP_CPL, "CPL" },
    { RSSCOPE_VAL_PCIE_TLP_FETCH, "FETCH" },
    { RSSCOPE_VAL_PCIE_TLP_SWAP, "SWAP" },
    { RSSCOPE_VAL_PCIE_TLP_CAS, "CAS" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLP = { 9, RsScope_rngPCIeTLPEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPTCEntries[9] =
  {
    { RSSCOPE_VAL_PCIE_TLP_TC_ZERO, "ZERO" },
    { RSSCOPE_VAL_PCIE_TLP_TC_ONE, "ONE" },
    { RSSCOPE_VAL_PCIE_TLP_TC_TWO, "TWO" },
    { RSSCOPE_VAL_PCIE_TLP_TC_THREE, "THREE" },
    { RSSCOPE_VAL_PCIE_TLP_TC_FOUR, "FOUR" },
    { RSSCOPE_VAL_PCIE_TLP_TC_FIVE, "FIVE" },
    { RSSCOPE_VAL_PCIE_TLP_TC_SIX, "SIX" },
    { RSSCOPE_VAL_PCIE_TLP_TC_SEVEN, "SEVEN" },
    { RSSCOPE_VAL_PCIE_TLP_TC_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPTC = { 9, RsScope_rngPCIeTLPTCEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPOrderingEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_TLP_ORDERING_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_ORDERING_STRONG, "STRONG" },
    { RSSCOPE_VAL_PCIE_TLP_ORDERING_RELAX, "RELAX" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPOrdering = { 3, RsScope_rngPCIeTLPOrderingEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPSnoopEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_TLP_SNOOP_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_SNOOP_YES, "YES" },
    { RSSCOPE_VAL_PCIE_TLP_SNOOP_NO, "NO" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPSnoop = { 3, RsScope_rngPCIeTLPSnoopEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPReadWriteEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_TLP_RW_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_RW_READ, "READ" },
    { RSSCOPE_VAL_PCIE_TLP_RW_WRITE, "WRITE" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPReadWrite = { 3, RsScope_rngPCIeTLPReadWriteEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPAddressTypeEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_TLP_ADDRESS_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_ADDRESS_TYPE_X32, "X32" },
    { RSSCOPE_VAL_PCIE_TLP_ADDRESS_TYPE_X64, "X64" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPAddressType = { 3, RsScope_rngPCIeTLPAddressTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPTypeEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_TLP_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_TYPE_TYPE0, "TYPE0" },
    { RSSCOPE_VAL_PCIE_TLP_TYPE_TYPE1, "TYPE1" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPType = { 3, RsScope_rngPCIeTLPTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPRoutingEntries[7] =
  {
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_ROOTCOMPLEX, "ROOTCOMPLEX" },
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_DEVICEID, "DEVICEID" },
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_BROADCAST, "BROADCAST" },
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_LOCAL, "LOCAL" },
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_GATHERED, "GATHERED" },
    { RSSCOPE_VAL_PCIE_TLP_ROUTING_ADDRESS, "ADDRESS" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPRouting = { 7, RsScope_rngPCIeTLPRoutingEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTLPStatusEntries[5] =
  {
    { RSSCOPE_VAL_PCIE_TLP_STATUS_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_TLP_STATUS_SUCCESS, "SUCCESS" },
    { RSSCOPE_VAL_PCIE_TLP_STATUS_UNSUPPORTED, "UNSUPPORTED" },
    { RSSCOPE_VAL_PCIE_TLP_STATUS_RETRY, "RETRY" },
    { RSSCOPE_VAL_PCIE_TLP_STATUS_ABORT, "ABORT" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTLPStatus = { 5, RsScope_rngPCIeTLPStatusEntries };

RsCoreRangeTableRanged RsScope_rngPCIeThreshold = { -5, 5, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPEntries[9] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_DLLP_MRDLLP, "MRDLLP" },
    { RSSCOPE_VAL_PCIE_DLLP_ACK, "ACK" },
    { RSSCOPE_VAL_PCIE_DLLP_NAK, "NAK" },
    { RSSCOPE_VAL_PCIE_DLLP_INITFC1, "INITFC1" },
    { RSSCOPE_VAL_PCIE_DLLP_INITFC2, "INITFC2" },
    { RSSCOPE_VAL_PCIE_DLLP_UPDATEFC, "UPDATEFC" },
    { RSSCOPE_VAL_PCIE_DLLP_PM, "PM" },
    { RSSCOPE_VAL_PCIE_DLLP_VENDOR, "VENDOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLP = { 9, RsScope_rngPCIeDLLPEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPMRTypeEntries[5] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_INIT, "MRINIT" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_RESET, "MRRESET" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_UPDATEFC, "MRUPDATEFC" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_INITFC1, "MRINITFC1" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_INITFC2, "MRINITFC2" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPMRType = { 5, RsScope_rngPCIeDLLPMRTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeStateEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_STATE_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_STATE_YES, "YES" },
    { RSSCOPE_VAL_PCIE_STATE_NO, "NO" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeState = { 3, RsScope_rngPCIeStateEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDevicePortTypeEntries[17] =
  {
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_ZERO, "ZERO" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_ONE, "ONE" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_TWO, "TWO" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_THREE, "THREE" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_FOUR, "FOUR" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_FIVE, "FIVE" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_SIX, "SIX" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_SEVEN, "SEVEN" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_EIGHT, "EIGHT" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_NINE, "NINE" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_TEN, "TEN" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_ELEVEN, "ELEVEN" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_TWELVE, "TWELVE" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_THIRTEEN, "THIRTEEN" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_FOURTEEN, "FOURTEEN" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_FIFTEEN, "FIFTEEN" },
    { RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDevicePortType = { 17, RsScope_rngPCIeDevicePortTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeVLNumberEntries[9] =
  {
    { RSSCOPE_VAL_PCIE_VL_NUMBER_ZERO, "ZERO" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_ONE, "ONE" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_TWO, "TWO" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_THREE, "THREE" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_FOUR, "FOUR" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_FIVE, "FIVE" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_SIX, "SIX" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_SEVEN, "SEVEN" },
    { RSSCOPE_VAL_PCIE_VL_NUMBER_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeVLNumber = { 9, RsScope_rngPCIeVLNumberEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPMRTLPTypeEntries[4] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_MR_TLP_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TLP_TYPE_POSTED, "P" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TLP_TYPE_NONPOSTED, "NP" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_TLP_TYPE_COMPLETION, "CPL" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPMRTLPType = { 4, RsScope_rngPCIeDLLPMRTLPTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeTriggerDLLPMRAEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_MR_A_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_A_ACK, "ACK" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_A_REQUEST, "REQUEST" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeTriggerDLLPMRA = { 3, RsScope_rngPCIeTriggerDLLPMRAEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPMRCreditTypeEntries[3] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_MR_CREDIT_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_CREDIT_DATA, "DATA" },
    { RSSCOPE_VAL_PCIE_DLLP_MR_CREDIT_HEADER, "HEADER" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPMRCreditType = { 3, RsScope_rngPCIeDLLPMRCreditTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPVHGroupEntries[17] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_ZERO, "ZERO" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_ONE, "ONE" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_TWO, "TWO" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_THREE, "THREE" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_FOUR, "FOUR" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_FIVE, "FIVE" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_SIX, "SIX" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_SEVEN, "SEVEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_EIGHT, "EIGHT" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_NINE, "NINE" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_TEN, "TEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_ELEVEN, "ELEVEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_TWELVE, "TWELVE" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_THIRTEEN, "THIRTEEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_FOURTEEN, "FOURTEEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_FIFTEEN, "FIFTEEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPVHGroup = { 17, RsScope_rngPCIeDLLPVHGroupEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPFCCreditTypeEntries[4] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_FC_CREDIT_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_DLLP_FC_CREDIT_TYPE_POSTED, "P" },
    { RSSCOPE_VAL_PCIE_DLLP_FC_CREDIT_TYPE_NONPOSTED, "NP" },
    { RSSCOPE_VAL_PCIE_DLLP_FC_CREDIT_TYPE_COMPLETION, "CPL" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPFCCreditType = { 4, RsScope_rngPCIeDLLPFCCreditTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPVCIDEntries[9] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_ZERO, "ZERO" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_ONE, "ONE" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_TWO, "TWO" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_THREE, "THREE" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_FOUR, "FOUR" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_FIVE, "FIVE" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_SIX, "SIX" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_SEVEN, "SEVEN" },
    { RSSCOPE_VAL_PCIE_DLLP_VC_ID_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPVCID = { 9, RsScope_rngPCIeDLLPVCIDEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeDLLPPMTypeEntries[5] =
  {
    { RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_ENTERL1, "ENTERL1" },
    { RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_ENTERL23, "ENTERL23" },
    { RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_ACTREQL1, "ACTREQL1" },
    { RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_REQUESTACK1, "REQUESTACK" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeDLLPPMType = { 5, RsScope_rngPCIeDLLPPMTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIeOSETTypeEntries[8] =
  {
    { RSSCOPE_VAL_PCIE_OSET_TYPE_SKP, "SKP" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_TS1, "TS1" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_TS2, "TS2" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_FTS, "FTS" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_EIOS, "EIOS" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_EIEOS, "EIEOS" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_COMP, "COMP" },
    { RSSCOPE_VAL_PCIE_OSET_TYPE_SDS, "SDS" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIeOSETType = { 8, RsScope_rngPCIeOSETTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIePacketStatusEntries[15] =
  {
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_OK, "OK" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_MALF, "MALF" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_CRC, "CRC16" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_ECRC, "ECRC" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_LCRC, "LCRC" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_LENGTH, "LEN" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_TLP_PREFIX, "POE" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_MEE, "MEE" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_ERR_UNC, "UNC" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_FCRC, "FCRC" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_FPERROR, "FPER" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_OUT_RANGE, "OUTR" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_INCOMPLETE, "INC" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_SYNC_ERROR, "SYNC" },
    { RSSCOPE_VAL_PCIE_PACKET_STATUS_UNKNOWN, "UNKN" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIePacketStatus = { 15, RsScope_rngPCIePacketStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIePacketTypeEntries[68] =
  {
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRD32, "MRD32" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRD64, "MRD64" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRDLK32, "MRDLK32" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRDLK64, "MRDLK64" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MWR32, "MWR32" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MWR64, "MWR64" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IORD, "IORD" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IOWR, "IOWR" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CFGRD0, "CFGRD0" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CFGWR0, "CFGWR0" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CFGRD1, "CFGRD1" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CFGWR1, "CFGWR1" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MSG, "MSG" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MSGD, "MSGD" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CPL, "CPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CPLD, "CPLD" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CPLLK, "CPLLK" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CPLDLK, "CPLDLK" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_FA32, "FA32" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_FA64, "FA64" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SWP32, "SWP32" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SWP64, "SWP64" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CAS32, "CAS32" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_CAS64, "CAS64" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_LPRFX, "LPRFX" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_EPRFX, "EPRFX" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_ACK, "ACK" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_NAK, "NAK" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_PMEL1, "PMEL1" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_PMEL23, "PMEL23" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_PMASRL1, "PMASRL1" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_PMRA, "PMRA" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_VENDS, "VENDS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IFC1P, "IFC1P" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IFC1NP, "IFC1NP" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IFC1CPL, "IFC1CPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IFC2P, "IFC2P" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IFC2NP, "IFC2NP" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IFC2CPL, "IFC2CPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UPDFCP, "UPDFCP" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UPDFCNP, "UPDFCNP" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UPDFCCPL, "UPDFCCPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRUPDFC, "MRUPDFC" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRIFC1, "MRIFC1" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRIFC2, "MRIFC2" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRINIT, "MRINIT" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MRRESET, "MRRESET" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UNK, "UNK" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SKPOS, "SKPOS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_EIOS, "EIOS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_FTSOS, "FTSOS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_TS1OS, "TS1OS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_TS2OS, "TS2OS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_EIEOS, "EIEOS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_COMPL, "COMPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_MCOMPL, "MCOMPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_DCOMPL, "DCOMPL" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UDEF, "UDEF" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SDS, "SDS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_EDB, "EDB" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_EDS, "EDS" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SDAT, "SDAT" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SCTR, "SCTR" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_PMUX, "PMUX" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UNKTLP, "UNKT" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_UNKDLLP, "UNKD" },
    { RSSCOPE_VAL_PCIE_PACKET_TYPE_SINV, "SINV" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIePacketType = { 68, RsScope_rngPCIePacketTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngPCIePacketCPSEntries[5] =
  {
    { RSSCOPE_VAL_PCIE_PACKET_CPS_RESERVED, "RESERVED" },
    { RSSCOPE_VAL_PCIE_PACKET_CPS_SC, "SC" },
    { RSSCOPE_VAL_PCIE_PACKET_CPS_UR, "UR" },
    { RSSCOPE_VAL_PCIE_PACKET_CPS_CRS, "CRS" },
    { RSSCOPE_VAL_PCIE_PACKET_CPS_CA, "CA" }
  };
RsCoreRangeTableDiscrete RsScope_rngPCIePacketCPS = { 5, RsScope_rngPCIePacketCPSEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCANFrameFormErrorCauseEntries[5] =
  {
    { RSSCOPE_VAL_CAN_FRAME_FORM_ERROR_CAUSE_NONE, "NONE" },
    { RSSCOPE_VAL_CAN_FRAME_FORM_ERROR_CAUSE_CRCD, "CRCD" },
    { RSSCOPE_VAL_CAN_FRAME_FORM_ERROR_CAUSE_ACKD, "ACKD" },
    { RSSCOPE_VAL_CAN_FRAME_FORM_ERROR_CAUSE_FSBE, "FSBE" },
    { RSSCOPE_VAL_CAN_FRAME_FORM_ERROR_CAUSE_RES, "RES" }
  };
RsCoreRangeTableDiscrete RsScope_rngCANFrameFormErrorCause = { 5, RsScope_rngCANFrameFormErrorCauseEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCANFDStandardEntries[2] =
  {
    { RSSCOPE_VAL_CAN_FD_STANDARD_ISO, "ISO" },
    { RSSCOPE_VAL_CAN_FD_STANDARD_NISO, "NISO" }
  };
RsCoreRangeTableDiscrete RsScope_rngCANFDStandard = { 2, RsScope_rngCANFDStandardEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEthernetWordFrameTypeEntries[5] =
  {
    { RSSCOPE_VAL_ETHERNET_WORD_FRAME_TYPE_MAC, "MAC" },
    { RSSCOPE_VAL_ETHERNET_WORD_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_ETHERNET_WORD_FRAME_TYPE_SLEEP, "SLE" },
    { RSSCOPE_VAL_ETHERNET_WORD_FRAME_TYPE_EOS, "EOS" },
    { RSSCOPE_VAL_ETHERNET_WORD_FRAME_TYPE_UNKNOWN, "UNKN" }
  };
RsCoreRangeTableDiscrete RsScope_rngEthernetWordFrameType = { 5, RsScope_rngEthernetWordFrameTypeEntries };

RsCoreRangeTableRanged RsScope_rngProbeOffset = { -100E+24, 100E+24, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngModularProbeModeEntries[4] =
  {
    { RSSCOPE_VAL_PROBE_MODE_DIFFERENTIAL, "DMOD" },
    { RSSCOPE_VAL_PROBE_MODE_COMMON, "CMOD" },
    { RSSCOPE_VAL_PROBE_MODE_POSITIVE, "PMOD" },
    { RSSCOPE_VAL_PROBE_MODE_NEGATIVE, "NMOD" }
  };
RsCoreRangeTableDiscrete RsScope_rngModularProbeMode = { 4, RsScope_rngModularProbeModeEntries };

RsCoreRangeTableRanged RsScope_rngProbeTerminationVoltageAdjustment = { -100E+24, 100E+24, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngSpectrumResultMeasTypeEntries[13] =
  {
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_CPOWER, "CPOW" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_ACPOWER, "ACP" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_OBWIDTH, "OBW" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_SBWIDTH, "SBW" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_TOI, "TOI" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_AMMOD, "AMM" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_THD, "THD" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_THDPCT, "THDPCT" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_THDA, "THDA" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_THDU, "THDU" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_THDR, "THDR" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_PLIST, "PLIS" },
    { RSSCOPE_VAL_SPECTRUM_MEAS_RESULT_HAR, "HAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngSpectrumResultMeasType = { 13, rsscope_rngSpectrumResultMeasTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpectrumFrameTypeEntries[3] =
  {
    { RSSCOPE_VAL_SPECTRUM_FRAME_TYPE_NOFRAME, "NOFRAME" },
    { RSSCOPE_VAL_SPECTRUM_FRAME_TYPE_UNDERLINE, "UNDERLINE" },
    { RSSCOPE_VAL_SPECTRUM_FRAME_TYPE_FULL, "FULL" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpectrumFrameType = { 3, RsScope_rngSpectrumFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngFFTSpectrumColorTableModeEntries[2] =
  {
    { RSSCOPE_VAL_FFT_COLOR_TABLE_MODE_INCIDENCE, "INCI" },
    { RSSCOPE_VAL_FFT_COLOR_TABLE_MODE_AMPLITUDE, "AMPL" }
  };
RsCoreRangeTableDiscrete RsScope_rngFFTSpectrumColorTableMode = { 2, RsScope_rngFFTSpectrumColorTableModeEntries };

RsCoreRangeTableRanged RsScope_rngAcquisitionSampleRate = { 2, 20E+12, "Sa/s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngCursorSourceEntries[183] =
  {
    { RSSCOPE_VAL_CURSOR_C1W1, "C1W1" },
    { RSSCOPE_VAL_CURSOR_C1W2, "C1W2" },
    { RSSCOPE_VAL_CURSOR_C1W3, "C1W3" },
    { RSSCOPE_VAL_CURSOR_C2W1, "C2W1" },
    { RSSCOPE_VAL_CURSOR_C2W2, "C2W2" },
    { RSSCOPE_VAL_CURSOR_C2W3, "C2W3" },
    { RSSCOPE_VAL_CURSOR_C3W1, "C3W1" },
    { RSSCOPE_VAL_CURSOR_C3W2, "C3W2" },
    { RSSCOPE_VAL_CURSOR_C3W3, "C3W3" },
    { RSSCOPE_VAL_CURSOR_C4W1, "C4W1" },
    { RSSCOPE_VAL_CURSOR_C4W2, "C4W2" },
    { RSSCOPE_VAL_CURSOR_C4W3, "C4W3" },
    { RSSCOPE_VAL_CURSOR_M1, "M1" },
    { RSSCOPE_VAL_CURSOR_M2, "M2" },
    { RSSCOPE_VAL_CURSOR_M3, "M3" },
    { RSSCOPE_VAL_CURSOR_M4, "M4" },
    { RSSCOPE_VAL_CURSOR_R1, "R1" },
    { RSSCOPE_VAL_CURSOR_R2, "R2" },
    { RSSCOPE_VAL_CURSOR_R3, "R3" },
    { RSSCOPE_VAL_CURSOR_R4, "R4" },
    { RSSCOPE_VAL_CURSOR_XY1, "XY1" },
    { RSSCOPE_VAL_CURSOR_XY2, "XY2" },
    { RSSCOPE_VAL_CURSOR_XY3, "XY3" },
    { RSSCOPE_VAL_CURSOR_XY4, "XY4" },
    { RSSCOPE_VAL_CURSOR_D0, "D0" },
    { RSSCOPE_VAL_CURSOR_D1, "D1" },
    { RSSCOPE_VAL_CURSOR_D2, "D2" },
    { RSSCOPE_VAL_CURSOR_D3, "D3" },
    { RSSCOPE_VAL_CURSOR_D4, "D4" },
    { RSSCOPE_VAL_CURSOR_D5, "D5" },
    { RSSCOPE_VAL_CURSOR_D6, "D6" },
    { RSSCOPE_VAL_CURSOR_D7, "D7" },
    { RSSCOPE_VAL_CURSOR_D8, "D8" },
    { RSSCOPE_VAL_CURSOR_D9, "D9" },
    { RSSCOPE_VAL_CURSOR_D10, "D10" },
    { RSSCOPE_VAL_CURSOR_D11, "D11" },
    { RSSCOPE_VAL_CURSOR_D12, "D12" },
    { RSSCOPE_VAL_CURSOR_D13, "D13" },
    { RSSCOPE_VAL_CURSOR_D14, "D14" },
    { RSSCOPE_VAL_CURSOR_D15, "D15" },
    { RSSCOPE_VAL_CURSOR_MSOB1, "MSOB1" },
    { RSSCOPE_VAL_CURSOR_MSOB2, "MSOB2" },
    { RSSCOPE_VAL_CURSOR_MSOB3, "MSOB3" },
    { RSSCOPE_VAL_CURSOR_MSOB4, "MSOB4" },
    { RSSCOPE_VAL_CURSOR_TRK1, "TRK1" },
    { RSSCOPE_VAL_CURSOR_TRK2, "TRK2" },
    { RSSCOPE_VAL_CURSOR_TRK3, "TRK3" },
    { RSSCOPE_VAL_CURSOR_TRK4, "TRK4" },
    { RSSCOPE_VAL_CURSOR_TRK5, "TRK5" },
    { RSSCOPE_VAL_CURSOR_TRK6, "TRK6" },
    { RSSCOPE_VAL_CURSOR_TRK7, "TRK7" },
    { RSSCOPE_VAL_CURSOR_TRK8, "TRK8" },
    { RSSCOPE_VAL_CURSOR_SG1, "SG1" },
    { RSSCOPE_VAL_CURSOR_SG2, "SG2" },
    { RSSCOPE_VAL_CURSOR_SG3, "SG3" },
    { RSSCOPE_VAL_CURSOR_SG4, "SG4" },
    { RSSCOPE_VAL_CURSOR_SG1TL1, "SG1TL1" },
    { RSSCOPE_VAL_CURSOR_SG1TL2, "SG1TL2" },
    { RSSCOPE_VAL_CURSOR_SG2TL1, "SG2TL1" },
    { RSSCOPE_VAL_CURSOR_SG2TL2, "SG2TL2" },
    { RSSCOPE_VAL_CURSOR_SG3TL1, "SG3TL1" },
    { RSSCOPE_VAL_CURSOR_SG3TL2, "SG3TL2" },
    { RSSCOPE_VAL_CURSOR_SG4TL1, "SG4TL1" },
    { RSSCOPE_VAL_CURSOR_SG4TL2, "SG4TL2" },
    { RSSCOPE_VAL_CURSOR_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_CURSOR_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_CURSOR_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_CURSOR_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_CURSOR_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_CURSOR_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_CURSOR_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_CURSOR_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_CURSOR_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_CURSOR_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_CURSOR_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_CURSOR_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_CURSOR_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_CURSOR_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_CURSOR_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_CURSOR_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_CURSOR_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_CURSOR_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_CURSOR_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_CURSOR_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_CURSOR_EYE1, "EYE1" },
    { RSSCOPE_VAL_CURSOR_EYE2, "EYE2" },
    { RSSCOPE_VAL_CURSOR_EYE3, "EYE3" },
    { RSSCOPE_VAL_CURSOR_EYE4, "EYE4" },
    { RSSCOPE_VAL_CURSOR_TDRZ, "TDRZ" },
    { RSSCOPE_VAL_CURSOR_TDRH, "TDRH" },
    { RSSCOPE_VAL_CURSOR_TDRR, "TDRR" },
    { RSSCOPE_VAL_CURSOR_M5, "M5" },
    { RSSCOPE_VAL_CURSOR_M6, "M6" },
    { RSSCOPE_VAL_CURSOR_M7, "M7" },
    { RSSCOPE_VAL_CURSOR_M8, "M8" },
    { RSSCOPE_VAL_CURSOR_SG5, "SG5" },
    { RSSCOPE_VAL_CURSOR_SG6, "SG6" },
    { RSSCOPE_VAL_CURSOR_SG7, "SG7" },
    { RSSCOPE_VAL_CURSOR_SG8, "SG8" },
    { RSSCOPE_VAL_CURSOR_SG5TL1, "SG5TL1" },
    { RSSCOPE_VAL_CURSOR_SG5TL2, "SG5TL2" },
    { RSSCOPE_VAL_CURSOR_SG6TL1, "SG6TL1" },
    { RSSCOPE_VAL_CURSOR_SG6TL2, "SG6TL2" },
    { RSSCOPE_VAL_CURSOR_SG7TL1, "SG7TL1" },
    { RSSCOPE_VAL_CURSOR_SG7TL2, "SG7TL2" },
    { RSSCOPE_VAL_CURSOR_SG8TL1, "SG8TL1" },
    { RSSCOPE_VAL_CURSOR_SG8TL2, "SG8TL2" },
    { RSSCOPE_VAL_CURSOR_BATHTUB1, "BATHtub1" },
    { RSSCOPE_VAL_CURSOR_BATHTUB2, "BATHtub2" },
    { RSSCOPE_VAL_CURSOR_BMEAS1, "BMEas1" },
    { RSSCOPE_VAL_CURSOR_BMEAS2, "BMEas2" },
    { RSSCOPE_VAL_CURSOR_SRESPONSE1, "SRESponse1" },
    { RSSCOPE_VAL_CURSOR_SRESPONSE2, "SRESponse2" },
    { RSSCOPE_VAL_CURSOR_SRTRACK1, "SRTRack1" },
    { RSSCOPE_VAL_CURSOR_SRTRACK2, "SRTRack2" },
    { RSSCOPE_VAL_CURSOR_SDTRACK1, "SDTRack1" },
    { RSSCOPE_VAL_CURSOR_SDTRACK2, "SDTRack2" },
    { RSSCOPE_VAL_CURSOR_TJTRACK1, "TJTRack1" },
    { RSSCOPE_VAL_CURSOR_TJTRACK2, "TJTRack2" },
    { RSSCOPE_VAL_CURSOR_DJTRACK1, "DJTRack1" },
    { RSSCOPE_VAL_CURSOR_DJTRACK2, "DJTRack2" },
    { RSSCOPE_VAL_CURSOR_DDJTRACK1, "DDJTrack1" },
    { RSSCOPE_VAL_CURSOR_DDJTRACK2, "DDJTrack2" },
    { RSSCOPE_VAL_CURSOR_PJTRACK1, "PJTRack1" },
    { RSSCOPE_VAL_CURSOR_PJTRACK2, "PJTRack2" },
    { RSSCOPE_VAL_CURSOR_RJTRACK1, "RJOTRack1" },
    { RSSCOPE_VAL_CURSOR_RJTRACK2, "RJOTRack2" },
    { RSSCOPE_VAL_CURSOR_TJSPECTRUM1, "TJSPectrum1" },
    { RSSCOPE_VAL_CURSOR_TJSPECTRUM2, "TJSPectrum2" },
    { RSSCOPE_VAL_CURSOR_DDJSPECTRUM1, "DDJSpectrum1" },
    { RSSCOPE_VAL_CURSOR_DDJSPECTRUM2, "DDJSpectrum2" },
    { RSSCOPE_VAL_CURSOR_PJSPECTRUM1, "PJSPectrum1" },
    { RSSCOPE_VAL_CURSOR_PJSPECTRUM2, "PJSPectrum2" },
    { RSSCOPE_VAL_CURSOR_RJSPECTRUM1, "RJOSPectrum1" },
    { RSSCOPE_VAL_CURSOR_RJSPECTRUM2, "RJOSPectrum2" },
    { RSSCOPE_VAL_CURSOR_SRHIST1, "SRHist1" },
    { RSSCOPE_VAL_CURSOR_SRHIST2, "SRHist2" },
    { RSSCOPE_VAL_CURSOR_SDHIST1, "SDHist1" },
    { RSSCOPE_VAL_CURSOR_SDHIST2, "SDHist2" },
    { RSSCOPE_VAL_CURSOR_TJHIST1, "TJHist1" },
    { RSSCOPE_VAL_CURSOR_TJHIST2, "TJHist2" },
    { RSSCOPE_VAL_CURSOR_DJHIST1, "DJHist1" },
    { RSSCOPE_VAL_CURSOR_DJHIST2, "DJHist2" },
    { RSSCOPE_VAL_CURSOR_DDJHIST1, "DDJHist1" },
    { RSSCOPE_VAL_CURSOR_DDJHIST2, "DDJHist2" },
    { RSSCOPE_VAL_CURSOR_PJHIST1, "PJHist1" },
    { RSSCOPE_VAL_CURSOR_PJHIST2, "PJHist2" },
    { RSSCOPE_VAL_CURSOR_RJHIST1, "RJOHist1" },
    { RSSCOPE_VAL_CURSOR_RJHIST2, "RJOHist2" },
    { RSSCOPE_VAL_CURSOR_SEYE1, "SEYE1" },
    { RSSCOPE_VAL_CURSOR_SEYE2, "SEYE2" },
    { RSSCOPE_VAL_CURSOR_NBATHTUB1, "NBAThtub1" },
    { RSSCOPE_VAL_CURSOR_NBATHTUB2, "NBAThtub2" },
    { RSSCOPE_VAL_CURSOR_NBMEAS1, "NBMeas1" },
    { RSSCOPE_VAL_CURSOR_NBMEAS2, "NBMeas2" },
    { RSSCOPE_VAL_CURSOR_TNHIST1, "TNHist1" },
    { RSSCOPE_VAL_CURSOR_TNHIST2, "TNHist2" },
    { RSSCOPE_VAL_CURSOR_DNHIST1, "DNHist1" },
    { RSSCOPE_VAL_CURSOR_DNHIST2, "DNHist2" },
    { RSSCOPE_VAL_CURSOR_DDNHIST1, "DDNHist1" },
    { RSSCOPE_VAL_CURSOR_DDNHIST2, "DDNHist2" },
    { RSSCOPE_VAL_CURSOR_PNHIST1, "PNHist1" },
    { RSSCOPE_VAL_CURSOR_PNHIST2, "PNHist2" },
    { RSSCOPE_VAL_CURSOR_RNHIST1, "RNOHist1" },
    { RSSCOPE_VAL_CURSOR_RNHIST2, "RNOHist2" },
    { RSSCOPE_VAL_CURSOR_TNTRACK1, "TNTRack1" },
    { RSSCOPE_VAL_CURSOR_TNTRACK2, "TNTRack2" },
    { RSSCOPE_VAL_CURSOR_DNTRACK1, "DNTRack1" },
    { RSSCOPE_VAL_CURSOR_DNTRACK2, "DNTRack2" },
    { RSSCOPE_VAL_CURSOR_DDNTRACK1, "DDNTrack1" },
    { RSSCOPE_VAL_CURSOR_DDNTRACK2, "DDNTrack2" },
    { RSSCOPE_VAL_CURSOR_PNTRACK1, "PNTRack1" },
    { RSSCOPE_VAL_CURSOR_PNTRACK2, "PNTRack2" },
    { RSSCOPE_VAL_CURSOR_RNOTRACK1, "RNOTRack1" },
    { RSSCOPE_VAL_CURSOR_RNOTRACK2, "RNOTRack2" },
    { RSSCOPE_VAL_CURSOR_TNSPECTRUM1, "TNSPectrum1" },
    { RSSCOPE_VAL_CURSOR_TNSPECTRUM2, "TNSPectrum2" },
    { RSSCOPE_VAL_CURSOR_DDNSPECTRUM1, "DDNSpectrum1" },
    { RSSCOPE_VAL_CURSOR_DDNSPECTRUM2, "DDNSpectrum2" },
    { RSSCOPE_VAL_CURSOR_PNSPECTRUM1, "PNSPectrum1" },
    { RSSCOPE_VAL_CURSOR_PNSPECTRUM2, "PNSPectrum2" },
    { RSSCOPE_VAL_CURSOR_RNOSPECTRUM1, "RNOSpectrum1" },
    { RSSCOPE_VAL_CURSOR_RNOSPECTRUM2, "RNOSpectrum2" }
  };
RsCoreRangeTableDiscrete RsScope_rngCursorSource = { 183, RsScope_rngCursorSourceEntries };

RsCoreRangeTableRanged RsScope_rngLongTermVerticalScaling = { 10E-24, 100E+24, "" };

RsCoreRangeTableRanged RsScope_rngReferenceWaveformVerticalPosition = { -100E+24, 100E+24, "" };

RsCoreRangeTableRanged RsScope_rngWaveformGeneratorCouplingPhaseShift = { -180, 180, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSBPDPacketTypeEntries[5] =
  {
    { RSSCOPE_VAL_USB_PD_PACKET_TYPE_CONTROL, "\'Control\'" },
    { RSSCOPE_VAL_USB_PD_PACKET_TYPE_DATA, "\'Data\'" },
    { RSSCOPE_VAL_USB_PD_PACKET_TYPE_EXTENDED, "\'Extended\'" },
    { RSSCOPE_VAL_USB_PD_PACKET_TYPE_RESET, "\'Reset\'" },
    { RSSCOPE_VAL_USB_PD_PACKET_TYPE_TEST_FRAME, "\'Test frame\'" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSBPDPacketType = { 5, RsScope_rngUSBPDPacketTypeEntries };

RsCoreRangeTableRanged RsScope_rngCXPIHysteresis = { -12, 12, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSB31Gen1FrameTypeEntries[39] =
  {
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_TSEQ, "TSEQ" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_TS1T, "TS1T" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_TS2T, "TS2T" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_SLF, "SLF" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_U2IT, "U2IT" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_VDT, "VDT" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_PCAP, "PCAP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_PCNF, "PCNF" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_PCNR, "PCNR" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_LDM, "LDM" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_ACK, "ACK" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_NRDY, "NRDY" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_ERDY, "ERDY" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_STAT, "STAT" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_STAL, "STAL" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_FWAK, "FWAK" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_LTM, "LTM" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_BIAM, "BIAM" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_HRR, "HRR" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_SSPD, "SSPD" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_PING, "PING" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_PNGR, "PNGR" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_DPH, "DPH" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_DPP, "DPP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_DPPA, "DPPA" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_ITP, "ITP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_LC, "LC" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_SKIP, "SKIP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_BRST, "BRST" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_BDAT, "BDAT" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_BERC, "BERC" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_BCNT, "BCNT" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_UHP, "UHP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_ULMP, "ULMP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_UTP, "UTP" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_UDVN, "UDVN" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_UDEF, "UDEF" },
    { RSSCOPE_VAL_USB31_GEN1_FRAME_TYPE_ERR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSB31Gen1FrameType = { 39, RsScope_rngUSB31Gen1FrameTypeEntries };

RsCoreRangeTableRanged RsScope_rngFFTSpectrumTimeLinePosition = { 0, 4294967295, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngLinLogEntries[2] =
  {
    { RSSCOPE_VAL_SCALE_LIN, "LIN" },
    { RSSCOPE_VAL_SCALE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsScope_rngLinLog = { 2, RsScope_rngLinLogEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCursorStyleEntries[4] =
  {
    { RSSCOPE_VAL_CURSOR_STYLE_LINES, "LIN" },
    { RSSCOPE_VAL_CURSOR_STYLE_LRH, "LRH" },
    { RSSCOPE_VAL_CURSOR_STYLE_VLRH, "VLRH" },
    { RSSCOPE_VAL_CURSOR_STYLE_RHOM, "RHOM" }
  };
RsCoreRangeTableDiscrete RsScope_rngCursorStyle = { 4, RsScope_rngCursorStyleEntries };

RsCoreRangeTableRanged RsScope_rngZVCBandwidth = { 5000, 1.0e+6, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngZVCDecimationModeEntries[3] =
  {
    { RSSCOPE_VAL_ZVC_DECIMATION_SAMPLE, "SAMP" },
    { RSSCOPE_VAL_ZVC_DECIMATION_PDET, "PDET" },
    { RSSCOPE_VAL_ZVC_DECIMATION_HRES, "HRES" }
  };
RsCoreRangeTableDiscrete RsScope_rngZVCDecimationMode = { 3, RsScope_rngZVCDecimationModeEntries };

RsCoreRangeTableRanged RsScope_rngZVCImpedance = { 1, 100000, "" };

RsCoreRangeTableRanged RsScope_rngZVCOffset = { -1, 1, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngZVCResetOverloadEntries[2] =
  {
    { RSSCOPE_VAL_ZVC_RESET_OVERLOAD_ADJUSTED, "ADJ" },
    { RSSCOPE_VAL_ZVC_RESET_OVERLOAD_ORIGINAL, "ORIG" }
  };
RsCoreRangeTableDiscrete RsScope_rngZVCResetOverload = { 2, RsScope_rngZVCResetOverloadEntries };

RsCoreRangeTableRanged RsScope_rngZVCVerticalPosition = { -5, 5, "" };

RsCoreRangeTableRanged RsScope_rngZVCVerticalScale = { 1.0e-15, 10.0e24, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngZVCShuntModeEntries[2] =
  {
    { RSSCOPE_VAL_ZVC_SHUNT_MODE_INTERNAL, "INTS" },
    { RSSCOPE_VAL_ZVC_SHUNT_MODE_EXTERNAL, "EXTS" }
  };
RsCoreRangeTableDiscrete RsScope_rngZVCShuntMode = { 2, RsScope_rngZVCShuntModeEntries };

RsCoreRangeTableRanged RsScope_rngZVCShuntExternalValue = { 10.0e-6, 10000, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngZVCShuntIntMaxEntries[6] =
  {
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_A100R01, "A100r01" },
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_A40R01, "A40R01" },
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_A45M10, "A45M10r" },
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_A4M510, "A4M510r" },
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_A45U10K, "A45u10K" },
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_A4U510K, "A4U510k" }
  };
RsCoreRangeTableDiscrete RsScope_rngZVCShuntIntMax = { 6, RsScope_rngZVCShuntIntMaxEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngZVCShuntExtMaxVoltageEntries[2] =
  {
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_VOLTAGE_V450, "V450" },
    { RSSCOPE_VAL_ZVC_SHUNT_MAX_VOLTAGE_V045, "V045" }
  };
RsCoreRangeTableDiscrete RsScope_rngZVCShuntExtMaxVoltage = { 2, RsScope_rngZVCShuntExtMaxVoltageEntries };

RsCoreRangeTableRanged RsScope_rngZVCDeskewOffset = { -6.0e-6, 6.0e-6, "" };

RsCoreRangeTableRanged RsScope_rngSignalColor = { 0, 4294967295, "" };

RsCoreRangeTableRanged RsScope_rngEbTbTriggerDXSymbol = { 0, 31, "" };

RsCoreRangeTableRanged RsScope_rngEbTbTriggerDYSymbol = { 0, 7, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbTriggerSymbolTypeEntries[2] =
  {
    { RSSCOPE_VAL_EBTB_SYMB_TYPE_SYMBOL, "SYMB" },
    { RSSCOPE_VAL_EBTB_SYMB_TYPE_EXPRESSION, "EXPR" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbTriggerSymbolType = { 2, RsScope_rngEbTbTriggerSymbolTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbSymbTrgSymbolFormatEntries[3] =
  {
    { RSSCOPE_VAL_EBTB_TRIGGER_SYMB_FORMAT_KD, "KD" },
    { RSSCOPE_VAL_EBTB_TRIGGER_SYMB_FORMAT_EB, "EB" },
    { RSSCOPE_VAL_EBTB_TRIGGER_SYMB_FORMAT_TB, "TB" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbSymbTrgSymbolFormat = { 3, RsScope_rngEbTbSymbTrgSymbolFormatEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbTriggerDataCharacterEntries[13] =
  {
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_DXY, "DXY" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K280, "K280" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K281, "K281" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K282, "K282" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K283, "K283" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K284, "K284" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K285, "K285" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K286, "K286" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K287, "K287" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K237, "K237" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K277, "K277" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K297, "K297" },
    { RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K307, "K307" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbTriggerDataCharacter = { 13, RsScope_rngEbTbTriggerDataCharacterEntries };

RsCoreRangeTableRanged RsScope_rngNRZHysteresis = { -25, 25, "V" };

RsCoreRangeTableRanged RsScope_rngCXPIExpectedIBS = { 0, 15, "" };

RsCoreRangeTableRanged RsScope_rngCXPIExpectedIFSMax = { 16, 100000, "" };

RsCoreRangeTableRanged RsScope_rngCXPIExpectedIFSMin = { 16, 1000, "" };

RsCoreRangeTableRanged RsScope_rngProtocol100BASE_T1Attenuation = { -100, 0, "dB" };

RsCoreRangeTableRanged RsScope_rngProtocol100BASE_T1SymbolRate = { 10, 150, "MSymb/s" };

RsCoreRangeTableRanged RsScope_rngProtocol100BASE_T1Threshold = { 0, 2, "V" };

RsCoreRangeTableRanged rsscope_rngProtocolThresholdUART = { -15, 15, "V" };

static RsCoreRangeTableDiscreteEntry rsscope_rngCustomSBConditionEntries[9] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" },
    { RSSCOPE_VAL_COND_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rsscope_rngCustomSBCondition = { 9, rsscope_rngCustomSBConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngCustomSBIndexConditionEntries[2] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_IN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngCustomSBIndexCondition = { 2, rsscope_rngCustomSBIndexConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolDDRSourceEntries[32] =
  {
    { RSSCOPE_VAL_DDR_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_DDR_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_DDR_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_DDR_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_DDR_SOURCE_M1, "M1" },
    { RSSCOPE_VAL_DDR_SOURCE_M2, "M2" },
    { RSSCOPE_VAL_DDR_SOURCE_M3, "M3" },
    { RSSCOPE_VAL_DDR_SOURCE_M4, "M4" },
    { RSSCOPE_VAL_DDR_SOURCE_R1, "R1" },
    { RSSCOPE_VAL_DDR_SOURCE_R2, "R2" },
    { RSSCOPE_VAL_DDR_SOURCE_R3, "R3" },
    { RSSCOPE_VAL_DDR_SOURCE_R4, "R4" },
    { RSSCOPE_VAL_DDR_SOURCE_D0, "D0" },
    { RSSCOPE_VAL_DDR_SOURCE_D1, "D1" },
    { RSSCOPE_VAL_DDR_SOURCE_D2, "D2" },
    { RSSCOPE_VAL_DDR_SOURCE_D3, "D3" },
    { RSSCOPE_VAL_DDR_SOURCE_D4, "D4" },
    { RSSCOPE_VAL_DDR_SOURCE_D5, "D5" },
    { RSSCOPE_VAL_DDR_SOURCE_D6, "D6" },
    { RSSCOPE_VAL_DDR_SOURCE_D7, "D7" },
    { RSSCOPE_VAL_DDR_SOURCE_D8, "D8" },
    { RSSCOPE_VAL_DDR_SOURCE_D9, "D9" },
    { RSSCOPE_VAL_DDR_SOURCE_D10, "D10" },
    { RSSCOPE_VAL_DDR_SOURCE_D11, "D11" },
    { RSSCOPE_VAL_DDR_SOURCE_D12, "D12" },
    { RSSCOPE_VAL_DDR_SOURCE_D13, "D13" },
    { RSSCOPE_VAL_DDR_SOURCE_D14, "D14" },
    { RSSCOPE_VAL_DDR_SOURCE_D15, "D15" },
    { RSSCOPE_VAL_DDR_SOURCE_M5, "M5" },
    { RSSCOPE_VAL_DDR_SOURCE_M6, "M6" },
    { RSSCOPE_VAL_DDR_SOURCE_M7, "M7" },
    { RSSCOPE_VAL_DDR_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolDDRSource = { 32, rsscope_rngProtocolDDRSourceEntries };

RsCoreRangeTableRanged RsScope_rngProtocolDDRThreshold = { -10, 10, "V" };

RsCoreRangeTableRanged RsScope_rngProtocolDDRHysteresis = { 0, 10, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDDRFrameStatusEntries[4] =
  {
    { RSSCOPE_VAL_DDR_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_DDR_FRAME_STATE_UNKN, "UNKN" },
    { RSSCOPE_VAL_DDR_FRAME_STATE_INC, "INC" },
    { RSSCOPE_VAL_DDR_FRAME_STATE_LENG, "LENG" }
  };
RsCoreRangeTableDiscrete RsScope_rngDDRFrameStatus = { 4, RsScope_rngDDRFrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolDDRFrameTypeEntries[5] =
  {
    { RSSCOPE_VAL_DDR_FRAME_TYPE_READ, "READ" },
    { RSSCOPE_VAL_DDR_FRAME_TYPE_WRITE, "WRIT" },
    { RSSCOPE_VAL_DDR_FRAME_TYPE_UNKNOWN, "UNKN" },
    { RSSCOPE_VAL_DDR_FRAME_TYPE_RDNC, "RDNC" },
    { RSSCOPE_VAL_DDR_FRAME_TYPE_WRNC, "WRNC" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolDDRFrameType = { 5, RsScope_rngProtocolDDRFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolDPHYPhysicalConfigurationEntries[7] =
  {
    { RSSCOPE_VAL_DPHY_CONFIG_D1CN, "D1CN" },
    { RSSCOPE_VAL_DPHY_CONFIG_D1CL, "D1CL" },
    { RSSCOPE_VAL_DPHY_CONFIG_D2CN, "D2CN" },
    { RSSCOPE_VAL_DPHY_CONFIG_D2CL, "D2CL" },
    { RSSCOPE_VAL_DPHY_CONFIG_D3CN, "D3CN" },
    { RSSCOPE_VAL_DPHY_CONFIG_D3NL, "D3NL" },
    { RSSCOPE_VAL_DPHY_CONFIG_D4NN, "D4NN" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolDPHYPhysicalConfiguration = { 7, RsScope_rngProtocolDPHYPhysicalConfigurationEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAntialiasingEntries[3] =
  {
    { RSSCOPE_VAL_ANTIALIASING_OFF, "OFF" },
    { RSSCOPE_VAL_ANTIALIASING_ON, "ON" },
    { RSSCOPE_VAL_ANTIALIASING_DEFAULT, "DEF" }
  };
RsCoreRangeTableDiscrete RsScope_rngAntialiasing = { 3, RsScope_rngAntialiasingEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDeembedingComponentTypeEntries[14] =
  {
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_CABLE, "CABL" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_FIXTURE, "FIXT" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_ADAPTER, "ADAP" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_CUSTOM, "OTH" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_RT_ZA10, "RTZA10" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_RT_ZA16, "RTZA16" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_RT_ZA17, "RTZA17" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_PROBE, "PROB" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_DUT, "DUT" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_INPUT, "INP" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_PROVEN_PROBE, "PP" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_PROVEN_CABLE, "PC" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_COPROBES, "COPROBES" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_EXTF, "EXTF" }
  };
RsCoreRangeTableDiscrete RsScope_rngDeembedingComponentType = { 14, RsScope_rngDeembedingComponentTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDeembeddingComponentImpedanceTypeEntries[4] =
  {
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE_DEFAULT, "DEF" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE_CONSTANT, "CONS" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE_S1P, "S1P" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE_S2P, "S2P" }
  };
RsCoreRangeTableDiscrete RsScope_rngDeembeddingComponentImpedanceType = { 4, RsScope_rngDeembeddingComponentImpedanceTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDeembeddingComponentModeEntries[2] =
  {
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_MODE_PROBING, "PROB" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_MODE_TERMINATING, "TERM" }
  };
RsCoreRangeTableDiscrete RsScope_rngDeembeddingComponentMode = { 2, RsScope_rngDeembeddingComponentModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDisplayResultTableDefaultPositionEntries[3] =
  {
    { RSSCOPE_VAL_RESULT_TABLE_POSITION_PREVIEW, "PREV" },
    { RSSCOPE_VAL_RESULT_TABLE_POSITION_FLOAT, "FLOA" },
    { RSSCOPE_VAL_RESULT_TABLE_POSITION_DOCK, "DOCK" }
  };
RsCoreRangeTableDiscrete RsScope_rngDisplayResultTableDefaultPosition = { 3, RsScope_rngDisplayResultTableDefaultPositionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramFilterBitSequenceModeEntries[4] =
  {
    { RSSCOPE_VAL_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE_ALL_BITS, "ABIT" },
    { RSSCOPE_VAL_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE_LEVEL_TRANSITION, "LTR" },
    { RSSCOPE_VAL_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE_CONSTANT_LEVEL, "CLEV" },
    { RSSCOPE_VAL_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE_BIT_PATTERN, "BPAT" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramFilterBitSequenceMode = { 4, RsScope_rngEyeDiagramFilterBitSequenceModeEntries };

RsCoreRangeTableRanged RsScope_rngEyeDiagramHorizontalSettingsTimePosition = { -100.0, 100.0, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramHorizontalSettingsTimeUnitsEntries[2] =
  {
    { RSSCOPE_VAL_TIME_UNITS_ABSOLUTE_TIME, "ATIM" },
    { RSSCOPE_VAL_TIME_UNITS_UNIT_INTERVALS, "UINT" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramHorizontalSettingsTimeUnits = { 2, RsScope_rngEyeDiagramHorizontalSettingsTimeUnitsEntries };

RsCoreRangeTableRanged RsScope_rngEyeDiagramMaxSlicesPerAcquisition = { 1, 1000000, "" };

RsCoreRangeTableRanged RsScope_rngGPIBAddress = { 0, 30, "" };

RsCoreRangeTableRanged RsScope_rngSpectrumMaxNumberOfResults = { 1, 1000, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeDeembeddingImpedanceTypeEntries[4] =
  {
    { RSSCOPE_VAL_PROBE_IMPEDANCE_TYPE_DEFAULT, "DEF" },
    { RSSCOPE_VAL_PROBE_IMPEDANCE_TYPE_CONSTANT, "CONS" },
    { RSSCOPE_VAL_PROBE_IMPEDANCE_TYPE_S1P, "S1P" },
    { RSSCOPE_VAL_PROBE_IMPEDANCE_TYPE_S2P, "S2P" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeDeembeddingImpedanceType = { 4, RsScope_rngProbeDeembeddingImpedanceTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDeembeddingProbingModeEntries[2] =
  {
    { RSSCOPE_VAL_PROBING_MODE_PROBING, "PROB" },
    { RSSCOPE_VAL_PROBING_MODE_TERMINATING, "TERM" }
  };
RsCoreRangeTableDiscrete RsScope_rngDeembeddingProbingMode = { 2, RsScope_rngDeembeddingProbingModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeVoltageRangeEntries[3] =
  {
    { RSSCOPE_VAL_PROBE_VOLTAGE_RANGE_AUTO, "AUTO" },
    { RSSCOPE_VAL_PROBE_VOLTAGE_RANGE_MHIGH, "MHIG" },
    { RSSCOPE_VAL_PROBE_VOLTAGE_RANGE_MLOW, "MLOW" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeVoltageRange = { 3, RsScope_rngProbeVoltageRangeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngQuickActionModeEntries[4] =
  {
    { RSSCOPE_VAL_QUICK_ACTION_MODE_NONE, "NONE" },
    { RSSCOPE_VAL_QUICK_ACTION_MODE_APPLICATION, "APPL" },
    { RSSCOPE_VAL_QUICK_ACTION_MODE_RECALL, "RECA" },
    { RSSCOPE_VAL_QUICK_ACTION_MODE_CLEAR, "CLS" }
  };
RsCoreRangeTableDiscrete RsScope_rngQuickActionMode = { 4, RsScope_rngQuickActionModeEntries };

RsCoreRangeTableRanged RsScope_rngRegister = { 1, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngStartModeEntries[2] =
  {
    { RSSCOPE_VAL_START_MODE_AUTO, "AUTO" },
    { RSSCOPE_VAL_START_MODE_EXPLICIT, "EXPL" }
  };
RsCoreRangeTableDiscrete RsScope_rngStartMode = { 2, RsScope_rngStartModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngStopModeEntries[4] =
  {
    { RSSCOPE_VAL_STOP_MODE_AUTO, "AUTO" },
    { RSSCOPE_VAL_STOP_MODE_EXPLICIT, "EXPL" },
    { RSSCOPE_VAL_STOP_MODE_ERROR, "ERR" },
    { RSSCOPE_VAL_STOP_MODE_BUFFER_FULL, "BUFF" }
  };
RsCoreRangeTableDiscrete RsScope_rngStopMode = { 4, RsScope_rngStopModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEthernetTriggerTypeEntries[4] =
  {
    { RSSCOPE_VAL_ETHERNET_TRIGGER_TYPE_START, "STAR" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_TYPE_PATTERN, "PATT" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_TYPE_ADVANCED_FRAME, "ADVF" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_TYPE_ADVANCED_ERROR, "ADVC" }
  };
RsCoreRangeTableDiscrete RsScope_rngEthernetTriggerType = { 4, RsScope_rngEthernetTriggerTypeEntries };

RsCoreRangeTableRanged RsScope_rng100BASE_T1TriggerIndex = { 1, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rng100BASE_T1FrameTypeEntries[4] =
  {
    { RSSCOPE_VAL_FRAME_TYPE_START, "STAR" },
    { RSSCOPE_VAL_FRAME_TYPE_MAC, "MAC" },
    { RSSCOPE_VAL_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_FRAME_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rng100BASE_T1FrameType = { 4, RsScope_rng100BASE_T1FrameTypeEntries };

RsCoreRangeTableRanged RsScope_rngNoiseRejectHysteresisRangeInDivisions = { 0, 5, "div" };

static RsCoreRangeTableDiscreteEntry rsscope_rngAmplitudeMeasuredSlopeEntries[4] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_EITHER, "EITH" },
    { RSSCOPE_VAL_FIRST, "FIRS" }
  };
RsCoreRangeTableDiscrete rsscope_rngAmplitudeMeasuredSlope = { 4, rsscope_rngAmplitudeMeasuredSlopeEntries };

RsCoreRangeTableRanged rsscope_rngProtocolUSBThresholdHighSpeed = { -2, 2, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSignalReverseTypeEntries[3] =
  {
    { RSSCOPE_VAL_SIGNAL_TYPE_DIFF, "DIFF" },
    { RSSCOPE_VAL_SIGNAL_TYPE_SING, "SING" },
    { RSSCOPE_VAL_SIGNAL_TYPE_DIS, "DIS" }
  };
RsCoreRangeTableDiscrete RsScope_rngSignalReverseType = { 3, RsScope_rngSignalReverseTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSignalDirectionEntries[3] =
  {
    { RSSCOPE_VAL_MASTER, "MAST" },
    { RSSCOPE_VAL_SLAVE, "SLAV" },
    { RSSCOPE_VAL_AUTO_DIRECTION, "AUTO" }
  };
RsCoreRangeTableDiscrete RsScope_rngSignalDirection = { 3, RsScope_rngSignalDirectionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocol100BASE_T1FrameStatusEntries[7] =
  {
    { RSSCOPE_VAL_ETHERNET_STATUS_OK, "OK" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_PREAMBLE, "ERR_PREAMBLE" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_LENGTH, "ERR_LENGTH" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_SFD, "ERR_SFD" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_CRC, "ERR_CRC" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_UNC, "UNC" },
    { RSSCOPE_VAL_ETHERNET_STATUS_ERR_INC, "INC" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocol100BASE_T1FrameStatus = { 7, rsscope_rngProtocol100BASE_T1FrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocol100BASE_T1FrameTypeEntries[4] =
  {
    { RSSCOPE_VAL_100BASE_T1_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_100BASE_T1_FRAME_TYPE_MAC, "MAC" },
    { RSSCOPE_VAL_100BASE_T1_FRAME_TYPE_FILLER, "FILL" },
    { RSSCOPE_VAL_100BASE_T1_FRAME_TYPE_UNKNOWN, "UNKN" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocol100BASE_T1FrameType = { 4, RsScope_rngProtocol100BASE_T1FrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYFrameCellStateEntries[11] =
  {
    { RSSCOPE_VAL_MPHY_FRAME_STATE_OK, "OK" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_RSVDERROR, "RSVDERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_CMDERROR, "CMDERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_LENGTHERROR, "LENGTHERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_SYMBOLERROR, "SYMBOLERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_UNKOWNERROR, "UNKNOWNERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_INVALID, "INVALID" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_INCOMPOLETE, "INCOMPLETE" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_UNCORRELATED, "UNC" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_CRCERROR, "CRCERROR" },
    { RSSCOPE_VAL_MPHY_FRAME_STATE_VOOR, "VOOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYFrameCellState = { 11, RsScope_rngMPHYFrameCellStateEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYSSICFrameTypeEntries[46] =
  {
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_TSEQ, "TSEQ" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_TS1, "TS1" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_TS2, "TS2" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_SLF, "SLF" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_U2IT, "U2IT" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_VDT, "VDT" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_PCAP, "PCAP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_PCNF, "PCNF" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_PCNR, "PCNR" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_LDM, "LDM" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_ACK, "ACK" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_NRDY, "NRDY" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_ERDY, "ERDY" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_STAT, "STAT" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_STAL, "STAL" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_FWAK, "FWAK" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_LTM, "LTM" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_BIAM, "BIAM" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_HRR, "HRR" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_SSPD, "SSPD" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_PING, "PING" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_PNGR, "PNGR" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_DPH, "DPH" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_DPP, "DPP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_DPPA, "DPPA" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_ITP, "ITP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_LC, "LC" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_SKIP, "SKIP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_BRST, "BRST" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_BDAT, "BDAT" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_BERC, "BERC" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_BCNT, "BCNT" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_UHP, "UHP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_ULMP, "ULMP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_UTP, "UTP" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_UDVN, "UDVN" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_UDEF, "UDEF" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_ERR, "ERR" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_TS1A, "TS1A" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_TS1B, "TS1B" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_DPHN, "DPHN" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_CTLB, "CTLB" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_DATB, "DATB" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_SYNC, "SYNC" },
    { RSSCOPE_VAL_MPHY_SSIC_FRAME_TYPE_SDS, "SDS" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYSSICFrameType = { 46, RsScope_rngMPHYSSICFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngMPHYScrambleModeEntries[2] =
  {
    { RSSCOPE_VAL_MPHY_SCRAMBLE_MODE_SCRM, "SCRM" },
    { RSSCOPE_VAL_MPHY_SCRAMBLE_MODE_NSCR, "NSCR" }
  };
RsCoreRangeTableDiscrete RsScope_rngMPHYScrambleMode = { 2, RsScope_rngMPHYScrambleModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolRFFESequenceParityEntries[2] =
  {
    { RSSCOPE_VAL_RFFE_STATUS_OK, "OK" },
    { RSSCOPE_VAL_RFFE_STATUS_PAR, "PAR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolRFFESequenceParity = { 2, rsscope_rngProtocolRFFESequenceParityEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolUSB31Gen1TypeEntries[2] =
  {
    { RSSCOPE_VAL_USB31_GEN1_TYPE_SS, "SS" },
    { RSSCOPE_VAL_USB31_GEN1_TYPE_SSP, "SSP" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolUSB31Gen1Type = { 2, RsScope_rngProtocolUSB31Gen1TypeEntries };

RsCoreRangeTableRanged RsScope_rngDeembeddingEffectiveBandwidth = { 1.0e9, 16.0e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDeembeddingComponentPortEntries[4] =
  {
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_1, "ONE" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_2, "TWO" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_3, "THR" },
    { RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_4, "FOUR" }
  };
RsCoreRangeTableDiscrete RsScope_rngDeembeddingComponentPort = { 4, RsScope_rngDeembeddingComponentPortEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDelimiterEntries[5] =
  {
    { RSSCOPE_VAL_SEMICOLON, "SEMICOLON" },
    { RSSCOPE_VAL_COMMA, "COMMA" },
    { RSSCOPE_VAL_SPACE, "SPACE" },
    { RSSCOPE_VAL_TAB, "TAB" },
    { RSSCOPE_VAL_COLON, "COLON" }
  };
RsCoreRangeTableDiscrete RsScope_rngDelimiter = { 5, RsScope_rngDelimiterEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEyeDiagramSourceEntries[16] =
  {
    { RSSCOPE_VAL_EYE_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_EYE_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_EYE_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_EYE_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_EYE_SOURCE_M1, "M1" },
    { RSSCOPE_VAL_EYE_SOURCE_M2, "M2" },
    { RSSCOPE_VAL_EYE_SOURCE_M3, "M3" },
    { RSSCOPE_VAL_EYE_SOURCE_M4, "M4" },
    { RSSCOPE_VAL_EYE_SOURCE_R1, "R1" },
    { RSSCOPE_VAL_EYE_SOURCE_R2, "R2" },
    { RSSCOPE_VAL_EYE_SOURCE_R3, "R3" },
    { RSSCOPE_VAL_EYE_SOURCE_R4, "R4" },
    { RSSCOPE_VAL_EYE_SOURCE_M5, "M5" },
    { RSSCOPE_VAL_EYE_SOURCE_M6, "M6" },
    { RSSCOPE_VAL_EYE_SOURCE_M7, "M7" },
    { RSSCOPE_VAL_EYE_SOURCE_M8, "M8" }
  };
RsCoreRangeTableDiscrete rsscope_rngEyeDiagramSource = { 16, rsscope_rngEyeDiagramSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramTimingReferenceSlopeEntries[3] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramTimingReferenceSlope = { 3, RsScope_rngEyeDiagramTimingReferenceSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramVerticalReferenceLevelEntries[3] =
  {
    { RSSCOPE_VAL_REF_LEVEL_LOWER, "LOW" },
    { RSSCOPE_VAL_REF_LEVEL_MIDDLE, "MIDD" },
    { RSSCOPE_VAL_REF_LEVEL_UPPER, "UPP" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramVerticalReferenceLevel = { 3, RsScope_rngEyeDiagramVerticalReferenceLevelEntries };

RsCoreRangeTableRanged RsScope_rngEyeDiagramHorizontalSettingsTimeRange = { 100.0e-12, 100.0, "s" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramHorizontalSettingsBitRate = { 1, 10.0e9, "bps" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramHorizontalSettingsRangeUI = { 1.0e-6, 100.0e9, "" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramHorizontalSettingsPositionUI = { -100.0e9, 100.0e9, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramEyeStripeDisplayModeEntries[3] =
  {
    { RSSCOPE_VAL_EYE_DIAGRAM_DISPLAY_MODE_NEVER, "NEV" },
    { RSSCOPE_VAL_EYE_DIAGRAM_DISPLAY_MODE_MASK_TEST_ONLY, "MTON" },
    { RSSCOPE_VAL_EYE_DIAGRAM_DISPLAY_MODE_ALWAYS, "ALW" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramEyeStripeDisplayMode = { 3, RsScope_rngEyeDiagramEyeStripeDisplayModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramGateCouplingModeEntries[3] =
  {
    { RSSCOPE_VAL_GATE_COUPLING_MODE_NONE, "NONE" },
    { RSSCOPE_VAL_GATE_COUPLING_MODE_CURSOR, "CURS" },
    { RSSCOPE_VAL_GATE_COUPLING_MODE_ZOOM, "ZOOM" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramGateCouplingMode = { 3, RsScope_rngEyeDiagramGateCouplingModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEyeDiagramSignalConditionEntries[4] =
  {
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_INR, "INR" },
    { RSSCOPE_VAL_COND_OOR, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngEyeDiagramSignalCondition = { 4, rsscope_rngEyeDiagramSignalConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngGPIBTerminatorEntries[2] =
  {
    { RSSCOPE_VAL_TERMINATOR_LFEOI, "LFE" },
    { RSSCOPE_VAL_TERMINATOR_EOI, "EOI" }
  };
RsCoreRangeTableDiscrete RsScope_rngGPIBTerminator = { 2, RsScope_rngGPIBTerminatorEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeTipModuleEntries[9] =
  {
    { RSSCOPE_VAL_PROBE_TIP_NONE, "NONE" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA10, "ZMA10" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA12, "ZMA12" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA15, "ZMA15" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA30, "ZMA30" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA40, "ZMA40" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA50, "ZMA50" },
    { RSSCOPE_VAL_PROBE_TIP_ZMA14, "ZMA14" },
    { RSSCOPE_VAL_PROBE_TIP_CUSTOM, "CUSTOM" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeTipModule = { 9, RsScope_rngProbeTipModuleEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeDeembeddingZMA30SelectTipDistanceEntries[4] =
  {
    { RSSCOPE_VAL_PROBE_ZMA30_TIP_DISTANCE_16, "D16" },
    { RSSCOPE_VAL_PROBE_ZMA30_TIP_DISTANCE_25, "D25" },
    { RSSCOPE_VAL_PROBE_ZMA30_TIP_DISTANCE_45, "D45" },
    { RSSCOPE_VAL_PROBE_ZMA30_TIP_DISTANCE_75, "D75" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeDeembeddingZMA30SelectTipDistance = { 4, RsScope_rngProbeDeembeddingZMA30SelectTipDistanceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeDeembeddingZMA40SelectTipSubmoduleEntries[2] =
  {
    { RSSCOPE_VAL_PROBE_ZMA40_TIP_NONE, "NONE" },
    { RSSCOPE_VAL_PROBE_ZMA40_TIP_SRCS, "SRCS" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeDeembeddingZMA40SelectTipSubmodule = { 2, RsScope_rngProbeDeembeddingZMA40SelectTipSubmoduleEntries };

RsCoreRangeTableRanged RsScope_rngProbeDeembeddingBandwidth = { 1.0e9, 16.0e9, "Hz" };

RsCoreRangeTableRanged RsScope_rngProbeDeemebeddingImpedance = { 100.0e-15, 1.0e9, "Ohm" };

static RsCoreRangeTableDiscreteEntry rsscope_rngDDRIndexConditionEntries[2] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_IN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngDDRIndexCondition = { 2, rsscope_rngDDRIndexConditionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngMPHYSSICIndexConditionEntries[2] =
  {
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_IN, "INR" }
  };
RsCoreRangeTableDiscrete rsscope_rngMPHYSSICIndexCondition = { 2, rsscope_rngMPHYSSICIndexConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngRemoteTraceFileFormatEntries[2] =
  {
    { RSSCOPE_VAL_FILE_TYPE_ASCII, "ASC" },
    { RSSCOPE_VAL_FILE_TYPE_XML, "XML" }
  };
RsCoreRangeTableDiscrete RsScope_rngRemoteTraceFileFormat = { 2, RsScope_rngRemoteTraceFileFormatEntries };

RsCoreRangeTableRanged RsScope_rngMPHYTriggerPRPWidth = { 100.0e-12, 10000, "s" };

static RsCoreRangeTableDiscreteEntry rsscope_rngTriggerACPowerInputSlopeEntries[2] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" }
  };
RsCoreRangeTableDiscrete rsscope_rngTriggerACPowerInputSlope = { 2, rsscope_rngTriggerACPowerInputSlopeEntries };

RsCoreRangeTableRanged RsScope_rngBitPatternLength = { 1, 160, "bits" };

RsCoreRangeTableRanged RsScope_rngComplexWordBitOffset = { 0, 255, "bits" };

static RsCoreRangeTableDiscreteEntry RsScope_rngConditionAndOrEntries[2] =
  {
    { RSSCOPE_VAL_CONDITIONS_AND, "AND" },
    { RSSCOPE_VAL_CONDITIONS_OR, "OR" }
  };
RsCoreRangeTableDiscrete RsScope_rngConditionAndOr = { 2, RsScope_rngConditionAndOrEntries };

RsCoreRangeTableRanged RsScope_rngComplexWordPatternLength = { 1, 160, "bits" };

static RsCoreRangeTableDiscreteEntry RsScope_rngComplexWordPatternConditionEntries[8] =
  {
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_IN_RANGE, "INR" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_OUT_OF_RANGE, "OOR" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_EQUAL, "EQU" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_NOT_EQUAL, "NEQ" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_LESS_THAN, "LTH" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_LESS_OR_EQUAL, "LETH" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_GREATER_THAN, "GTH" },
    { RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_GREATER_OR_EQUAL, "GETH" }
  };
RsCoreRangeTableDiscrete RsScope_rngComplexWordPatternCondition = { 8, RsScope_rngComplexWordPatternConditionEntries };

RsCoreRangeTableRanged RsScope_rngComplexWordLength = { 1, 132, "bits" };

RsCoreRangeTableRanged RsScope_rngComplexWordSearchRange = { 1, 65535, "bits" };

RsCoreRangeTableRanged RsScope_rngI32BSkipBytes = { 1, 32, "Bytes" };

RsCoreRangeTableRanged RsScope_rngPRBSErrorRate = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsScope_rngSerialPatternTypeEntries[7] =
  {
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_SBP, "SBP" },
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_DBP, "DBP" },
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_CBP, "CBP" },
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_PRBS, "PRBS" },
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_EBTB, "EBTB" },
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_I32B, "I32B" },
    { RSSCOPE_VAL_SERIAL_PATTERN_MODE_I30B, "I30B" }
  };
RsCoreRangeTableDiscrete RsScope_rngSerialPatternType = { 7, RsScope_rngSerialPatternTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeConverterTypeEntries[2] =
  {
    { RSSCOPE_VAL_PROBE_CONVERTER_NONE, "NONE" },
    { RSSCOPE_VAL_PROBE_CONVERTER_Z1M, "Z1M" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeConverterType = { 2, RsScope_rngProbeConverterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeRTZ1MBandwidthLimitEntries[3] =
  {
    { RSSCOPE_VAL_PROBE_Z1M_BANDWIDTH_FULL, "FULL" },
    { RSSCOPE_VAL_PROBE_Z1M_BANDWIDTH_B200, "B200" },
    { RSSCOPE_VAL_PROBE_Z1M_BANDWIDTH_B20, "B20" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeRTZ1MBandwidthLimit = { 3, RsScope_rngProbeRTZ1MBandwidthLimitEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngComplexWordAlignmentTypeEntries[2] =
  {
    { RSSCOPE_VAL_COMPLEX_WORD_ALIGNMENT_PATTERN, "PATTERN" },
    { RSSCOPE_VAL_COMPLEX_WORD_ALIGNMENT_TIMEOUT, "TIMEOUT" }
  };
RsCoreRangeTableDiscrete RsScope_rngComplexWordAlignmentType = { 2, RsScope_rngComplexWordAlignmentTypeEntries };

RsCoreRangeTableRanged RsScope_rngComplexWordAlignmentTimeout = { 40e-9, 150, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngComplexWordIdleRangeEntries[2] =
  {
    { RSSCOPE_VAL_COMPLEX_WORD_IDLE_IN_RANGE, "INR" },
    { RSSCOPE_VAL_COMPLEX_WORD_IDLE_OUT_OF_RANGE, "OOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngComplexWordIdleRange = { 2, RsScope_rngComplexWordIdleRangeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngComplexWordBitOrderEntries[2] =
  {
    { RSSCOPE_VAL_COMPLEX_WORD_LEAST_FIRST, "LSB" },
    { RSSCOPE_VAL_COMPLEX_WORD_MOST_FIRST, "MSB" }
  };
RsCoreRangeTableDiscrete RsScope_rngComplexWordBitOrder = { 2, RsScope_rngComplexWordBitOrderEntries };

RsCoreRangeTableRanged RsScope_rngPRBSNominalBitRate = { 200e+3, 2.5e+9, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPRBSSequenceEntries[10] =
  {
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS7, "PRBS7" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS9, "PRBS9" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS11, "PRBS11" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS15, "PRBS15" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS16, "PRBS16" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS17, "PRBS17" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS20, "PRBS20" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS23, "PRBS23" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS29, "PRBS29" },
    { RSSCOPE_VAL_PRBS_SEQUENCE_PRBS31, "PRBS31" }
  };
RsCoreRangeTableDiscrete RsScope_rngPRBSSequence = { 10, RsScope_rngPRBSSequenceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbAlignmentSymbolEntries[3] =
  {
    { RSSCOPE_VAL_EBTB_ALIGNMENT_SYMBOL_K281, "K281" },
    { RSSCOPE_VAL_EBTB_ALIGNMENT_SYMBOL_K285, "K285" },
    { RSSCOPE_VAL_EBTB_ALIGNMENT_SYMBOL_K287, "K287" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbAlignmentSymbol = { 3, RsScope_rngEbTbAlignmentSymbolEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbScramblingEntries[2] =
  {
    { RSSCOPE_VAL_EBTB_UNSCRABLED, "NSCR" },
    { RSSCOPE_VAL_EBTB_SCRABLED, "SCRM" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbScrambling = { 2, RsScope_rngEbTbScramblingEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngI32BTypeEntries[2] =
  {
    { RSSCOPE_VAL_I32B_TYPE_CONTROL_BLOCK, "CTL" },
    { RSSCOPE_VAL_I32B_TYPE_DATA_BLOCK, "DAT" }
  };
RsCoreRangeTableDiscrete RsScope_rngI32BType = { 2, RsScope_rngI32BTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngFrameIDEntries[1] =
  {
    { RSSCOPE_VAL_EBTB_FRAME_ID_K280, "K280" }
  };
RsCoreRangeTableDiscrete RsScope_rngFrameID = { 1, RsScope_rngFrameIDEntries };

RsCoreRangeTableRanged RsScope_rngCANFrameBitRate = { 0, 100000000000, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDifferentialOutputEntries[4] =
  {
    { RSSCOPE_VAL_DIFFERENTIAL_OUTPUT_POSITIVE, "P" },
    { RSSCOPE_VAL_DIFFERENTIAL_OUTPUT_NEGATIVE, "N" },
    { RSSCOPE_VAL_DIFFERENTIAL_OUTPUT_DIFF, "DIFF" },
    { RSSCOPE_VAL_DIFFERENTIAL_OUTPUT_COMMON, "COM" }
  };
RsCoreRangeTableDiscrete RsScope_rngDifferentialOutput = { 4, RsScope_rngDifferentialOutputEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpectrumResultModeEntries[2] =
  {
    { RSSCOPE_VAL_SPECTRUM_RESULT_MODE_ABSOLUTE, "ABS" },
    { RSSCOPE_VAL_SPECTRUM_RESULT_MODE_RELATIVE, "REL" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpectrumResultMode = { 2, RsScope_rngSpectrumResultModeEntries };

RsCoreRangeTableRanged RsScope_rngARGB = { 0, 4294967295, "" };

RsCoreRangeTableRanged RsScope_rngMaskTestHighlightTime = { 0.05, 50, "s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngPulseSourceClockModeEntries[2] =
  {
    { RSSCOPE_VAL_PULSE_SOURCE_CLOCK_LOCKED, "LOCK" },
    { RSSCOPE_VAL_PULSE_SOURCE_CLOCK_FREERUNNING, "FRE" }
  };
RsCoreRangeTableDiscrete RsScope_rngPulseSourceClockMode = { 2, RsScope_rngPulseSourceClockModeEntries };

static ViReal64 RsScope_rngPulseSourceDutyCycleEntries[9] = { 10, 20, 30, 40, 50, 60, 70, 80, 90 };
RsCoreRangeTableCoerced RsScope_rngPulseSourceDutyCycle = { 9, RsScope_rngPulseSourceDutyCycleEntries, "%" };

RsCoreRangeTableRanged RsScope_rngPulseSourceLowLevel = { -0.2, -0.05, "V" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramBitRate = { 1000, 10000000000, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDDRStandardEntries[2] =
  {
    { RSSCOPE_VAL_DDR_STANDARD_DDR3, "DDR3" },
    { RSSCOPE_VAL_DDR_STANDARD_DDR4, "DDR4" }
  };
RsCoreRangeTableDiscrete RsScope_rngDDRStandard = { 2, RsScope_rngDDRStandardEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngClockSourceEntries[4] =
  {
    { RSSCOPE_VAL_CHANNEL1, "CHAN1" },
    { RSSCOPE_VAL_CHANNEL2, "CHAN2" },
    { RSSCOPE_VAL_CHANNEL3, "CHAN3" },
    { RSSCOPE_VAL_CHANNEL4, "CHAN4" }
  };
RsCoreRangeTableDiscrete RsScope_rngClockSource = { 4, RsScope_rngClockSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCalibrationResultEntries[3] =
  {
    { RSSCOPE_VAL_CALIBRATION_RESULT_FAIL, "FAIL" },
    { RSSCOPE_VAL_CALIBRATION_RESULT_PASS, "PASS" },
    { RSSCOPE_VAL_CALIBRATION_RESULT_NOAL, "NOAL" }
  };
RsCoreRangeTableDiscrete RsScope_rngCalibrationResult = { 3, RsScope_rngCalibrationResultEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngHardwareSerialStandardEntries[20] =
  {
    { RSSCOPE_VAL_SERIAL_STANDARD_CUSTOM, "CUSTOM" },
    { RSSCOPE_VAL_SERIAL_STANDARD_USB20, "USB20" },
    { RSSCOPE_VAL_SERIAL_STANDARD_DISPPORT11, "DISPPORT11" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN1, "FIBCHAN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN2, "FIBCHAN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_HDMI12, "HDMI12" },
    { RSSCOPE_VAL_SERIAL_STANDARD_PCIGEN1, "PCIGEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_USB31_GEN1, "USB31GEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_DISPPORT_12, "DISPPORT12" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIB_CHAN4, "FIBCHAN4" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIB_CHAN8, "FIBCHAN8" },
    { RSSCOPE_VAL_SERIAL_STANDARD_HDMI_14, "HDMI14" },
    { RSSCOPE_VAL_SERIAL_STANDARD_HDMI_20, "HDMI20" },
    { RSSCOPE_VAL_SERIAL_STANDARD_PCI_GEN2, "PCIGEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATA_GEN1, "SATAGEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATA_GEN2, "SATAGEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATA_GEN3, "SATAGEN3" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SAS_GEN1, "SASGEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SAS_GEN2, "SASGEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_XAUII, "XAUI" }
  };
RsCoreRangeTableDiscrete RsScope_rngHardwareSerialStandard = { 20, RsScope_rngHardwareSerialStandardEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngBitRateSourceEntries[12] =
  {
    { RSSCOPE_VAL_BIT_RATE_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_M1, "M1" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_M2, "M2" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_M3, "M3" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_M4, "M4" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_R1, "R1" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_R2, "R2" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_R3, "R3" },
    { RSSCOPE_VAL_BIT_RATE_SOURCE_R4, "R4" }
  };
RsCoreRangeTableDiscrete RsScope_rngBitRateSource = { 12, RsScope_rngBitRateSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSoftwareSerialStandardEntries[32] =
  {
    { RSSCOPE_VAL_SERIAL_STANDARD_CUSTOM, "CUSTOM" },
    { RSSCOPE_VAL_SERIAL_STANDARD_USB20, "USB20" },
    { RSSCOPE_VAL_SERIAL_STANDARD_USB31GEN1, "USB31GEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_USB31GEN2, "USB31GEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_DISPPORT11, "DISPPORT11" },
    { RSSCOPE_VAL_SERIAL_STANDARD_DISPPORT12, "DISPPORT12" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN1, "FIBCHAN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN2, "FIBCHAN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN4, "FIBCHAN4" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN8, "FIBCHAN8" },
    { RSSCOPE_VAL_SERIAL_STANDARD_FIBCHAN16, "FIBCHAN16" },
    { RSSCOPE_VAL_SERIAL_STANDARD_HDMI12, "HDMI12" },
    { RSSCOPE_VAL_SERIAL_STANDARD_HDMI14, "HDMI14" },
    { RSSCOPE_VAL_SERIAL_STANDARD_HDMI20, "HDMI20" },
    { RSSCOPE_VAL_SERIAL_STANDARD_PCIGEN1, "PCIGEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_PCIGEN2, "PCIGEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_PCIGEN3, "PCIGEN3" },
    { RSSCOPE_VAL_SERIAL_STANDARD_PCIGEN4, "PCIGEN4" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN1500, "SATAGEN1500" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN11667, "SATAGEN11667" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN1, "SATAGEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN2500, "SATAGEN2500" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN21667, "SATAGEN21667" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN2, "SATAGEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN3500, "SATAGEN3500" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN31667, "SATAGEN31667" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SATAGEN3, "SATAGEN3" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SASGEN1, "SASGEN1" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SASGEN2, "SASGEN2" },
    { RSSCOPE_VAL_SERIAL_STANDARD_SASGEN3, "SASGEN3" },
    { RSSCOPE_VAL_SERIAL_STANDARD_TB10G, "TB10G" },
    { RSSCOPE_VAL_SERIAL_STANDARD_XAUI, "XAUI" }
  };
RsCoreRangeTableDiscrete RsScope_rngSoftwareSerialStandard = { 32, RsScope_rngSoftwareSerialStandardEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngDifferentialInputEntries[4] =
  {
    { RSSCOPE_VAL_DIFFERENTIAL_INPUT_C1W1, "C1W1" },
    { RSSCOPE_VAL_DIFFERENTIAL_INPUT_C2W1, "C2W1" },
    { RSSCOPE_VAL_DIFFERENTIAL_INPUT_C3W1, "C3W1" },
    { RSSCOPE_VAL_DIFFERENTIAL_INPUT_C4W1, "C4W1" }
  };
RsCoreRangeTableDiscrete RsScope_rngDifferentialInput = { 4, RsScope_rngDifferentialInputEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeDiagramDDRFrameFilterEntries[6] =
  {
    { RSSCOPE_VAL_DDR_FRAME_FILTER_ANY, "ANY" },
    { RSSCOPE_VAL_DDR_FRAME_FILTER_ANY_CONSEC, "ANYC" },
    { RSSCOPE_VAL_DDR_FRAME_FILTER_READ, "READ" },
    { RSSCOPE_VAL_DDR_FRAME_FILTER_WRITE, "WRIT" },
    { RSSCOPE_VAL_DDR_FRAME_FILTER_READ_NONCONSEC, "RDNC" },
    { RSSCOPE_VAL_DDR_FRAME_FILTER_WRITE_NONCONSEC, "WRNC" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeDiagramDDRFrameFilter = { 6, RsScope_rngEyeDiagramDDRFrameFilterEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerToFrameDirectionEntries[2] =
  {
    { RSSCOPE_VAL_TRIGGER_TO_FRAME_DIRECTION_T2F, "T2F" },
    { RSSCOPE_VAL_TRIGGER_TO_FRAME_DIRECTION_F2T, "F2T" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerToFrameDirection = { 2, RsScope_rngTriggerToFrameDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeAdapterTypeEntries[2] =
  {
    { RSSCOPE_VAL_PROBE_ADAPTER_NONE, "NONE" },
    { RSSCOPE_VAL_PROBE_ADAPTER_Z2T, "Z2T" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeAdapterType = { 2, RsScope_rngProbeAdapterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbePredefinedTektronicsEntries[25] =
  {
    { RSSCOPE_VAL_TEKTONICS_PROBE_NONE, "NONE" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P5205A50, "P5205A50" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P5205A500, "P5205A500" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P5210A100, "P5210A100" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P5210A1000, "P5210A1000" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6205, "P6205" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6241, "P6241" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6243, "P6243" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6245, "P6245" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6246A1, "P6246A1" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6246A10, "P6246A10" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6247A1, "P6247A1" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6247A10, "P6247A10" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6248A1, "P6248A1" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6248A10, "P6248A10" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6249, "P6249" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6250A5, "P6250A5" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6250A50, "P6250A50" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6251A5, "P6251A5" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6251A50, "P6251A50" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6701B, "P6701B" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6703B, "P6703B" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6711, "P6711" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_P6713, "P6713" },
    { RSSCOPE_VAL_TEKTONICS_PROBE_TCP202, "TCP202" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbePredefinedTektronics = { 25, RsScope_rngProbePredefinedTektronicsEntries };

static ViReal64 RsScope_rngPulseSourceRepetitionRateEntries[14] = { 1, 10, 20, 50, 100, 200, 500, 1000000, 5000000, 10000000, 25000000, 50000000, 100000000, 250000000 };
RsCoreRangeTableCoerced RsScope_rngPulseSourceRepetitionRate = { 14, RsScope_rngPulseSourceRepetitionRateEntries, "Hz" };

static RsCoreRangeTableDiscreteEntry RsScope_rngTDRTDTAnalysisTypeEntries[3] =
  {
    { RSSCOPE_VAL_TDR_TDT_ANALYSIS_TYPE_TDR, "TDR" },
    { RSSCOPE_VAL_TDR_TDT_ANALYSIS_TYPE_TDT, "TDT" },
    { RSSCOPE_VAL_TDR_TDT_ANALYSIS_TYPE_BOTH, "TDRT" }
  };
RsCoreRangeTableDiscrete RsScope_rngTDRTDTAnalysisType = { 3, RsScope_rngTDRTDTAnalysisTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTDRTDTPulseChannelEntries[4] =
  {
    { RSSCOPE_VAL_TDR_TDT_CHANNEL_C1W1, "C1W1" },
    { RSSCOPE_VAL_TDR_TDT_CHANNEL_C2W1, "C2W1" },
    { RSSCOPE_VAL_TDR_TDT_CHANNEL_C3W1, "C3W1" },
    { RSSCOPE_VAL_TDR_TDT_CHANNEL_C4W1, "C4W1" }
  };
RsCoreRangeTableDiscrete RsScope_rngTDRTDTPulseChannel = { 4, RsScope_rngTDRTDTPulseChannelEntries };

RsCoreRangeTableRanged RsScope_rngTDRTDTShortLength = { 0, 2e-9, "s" };

RsCoreRangeTableRanged RsScope_rngTDRTDTBandwidth = { 2e9, 16e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsScope_rngTDRTDTDomainEntries[3] =
  {
    { RSSCOPE_VAL_TDR_TDT_DOMAIN_TIME, "TIME" },
    { RSSCOPE_VAL_TDR_TDT_DOMAIN_DISTANCE_METRES, "MDIS" },
    { RSSCOPE_VAL_TDR_TDT_DOMAIN_DISTANCE_INCHES, "IND" }
  };
RsCoreRangeTableDiscrete RsScope_rngTDRTDTDomain = { 3, RsScope_rngTDRTDTDomainEntries };

RsCoreRangeTableRanged RsScope_rngTDRTDTDUTPermittivity = { 1, 100, "epsilon_r" };

RsCoreRangeTableRanged RsScope_rngTDRTDTSignalVerticalScale = { 1e-12, 100e+12, "div" };

RsCoreRangeTableRanged RsScope_rngTDRTDTSignalOffset = { 0, 100e+12, "" };

RsCoreRangeTableRanged RsScope_rngTDRTDTSignalVerticalPosition = { 0, 100e+12, "div" };

static RsCoreRangeTableDiscreteEntry RsScope_rngProbeChannelEntries[8] =
  {
    { RSSCOPE_VAL_ZVC_CHANNEL_V1, "V1" },
    { RSSCOPE_VAL_ZVC_CHANNEL_V2, "V2" },
    { RSSCOPE_VAL_ZVC_CHANNEL_V3, "V3" },
    { RSSCOPE_VAL_ZVC_CHANNEL_V4, "V4" },
    { RSSCOPE_VAL_ZVC_CHANNEL_I1, "I1" },
    { RSSCOPE_VAL_ZVC_CHANNEL_I2, "I2" },
    { RSSCOPE_VAL_ZVC_CHANNEL_I3, "I3" },
    { RSSCOPE_VAL_ZVC_CHANNEL_I4, "I4" }
  };
RsCoreRangeTableDiscrete RsScope_rngProbeChannel = { 8, RsScope_rngProbeChannelEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTDRTDTConfigurationEntries[2] =
  {
    { RSSCOPE_VAL_TDR_TDT_CONFIGURATION_SINGLE_ENDED, "SING" },
    { RSSCOPE_VAL_TDR_TDT_CONFIGURATION_DIFFERENTIAL, "DIFF" }
  };
RsCoreRangeTableDiscrete RsScope_rngTDRTDTConfiguration = { 2, RsScope_rngTDRTDTConfigurationEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngRFFEReadModeEntries[2] =
  {
    { RSSCOPE_VAL_RFFE_READ_MODE_STRD, "STRD" },
    { RSSCOPE_VAL_RFFE_READ_MODE_SREAD, "SREAD" }
  };
RsCoreRangeTableDiscrete RsScope_rngRFFEReadMode = { 2, RsScope_rngRFFEReadModeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngRFFEVersionEntries[4] =
  {
    { RSSCOPE_VAL_RFFE_VERSION_V1DX, "V1DX" },
    { RSSCOPE_VAL_RFFE_VERSION_V2D0, "V2D0" },
    { RSSCOPE_VAL_RFFE_VERSION_V2D1, "V2D1" },
    { RSSCOPE_VAL_RFFE_VERSION_V3D0, "V3D0" }
  };
RsCoreRangeTableDiscrete RsScope_rngRFFEVersion = { 4, RsScope_rngRFFEVersionEntries };

RsCoreRangeTableRanged RsScope_rngDifferentialCommonOffset = { -1, 1, "" };

RsCoreRangeTableRanged RsScope_rngDifferentialPosition = { -5, 5, "" };

RsCoreRangeTableRanged RsScope_rngDifferentialScale = { 1.0e-3, 100, "" };

RsCoreRangeTableRanged RsScope_rngWaveformLabelFontSize = { 7, 30, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngDecimalSymbolEntries[2] =
  {
    { RSSCOPE_VAL_DECIMAL_SYMBOL_POINT, "POIN" },
    { RSSCOPE_VAL_DECIMAL_SYMBOL_COMMA, "COMM" }
  };
RsCoreRangeTableDiscrete RsScope_rngDecimalSymbol = { 2, RsScope_rngDecimalSymbolEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolEthernetTriggerDataConditionEntries[8] =
  {
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_EQU, "EQU" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_NEQ, "NEQ" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_LTH, "LTH" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_LETH, "LETH" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_GTH, "GTH" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_GETH, "GETH" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_INR, "INR" },
    { RSSCOPE_VAL_ETHERNET_TRIGGER_COND_OOR, "OOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolEthernetTriggerDataCondition = { 8, RsScope_rngProtocolEthernetTriggerDataConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocolRFFETriggerMaskConditionEntries[8] =
  {
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_EQU, "EQU" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_NEQ, "NEQ" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_LTH, "LTH" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_LETH, "LETH" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_GTH, "GTH" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_GETH, "GETH" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_INR, "INR" },
    { RSSCOPE_VAL_RFFE_TRIGGER_COND_OOR, "OOR" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocolRFFETriggerMaskCondition = { 8, RsScope_rngProtocolRFFETriggerMaskConditionEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterSourceEntries[28] =
  {
    { RSSCOPE_VAL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_WAV_C1W2, "C1W2" },
    { RSSCOPE_VAL_WAV_C1W3, "C1W3" },
    { RSSCOPE_VAL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_WAV_C2W2, "C2W2" },
    { RSSCOPE_VAL_WAV_C2W3, "C2W3" },
    { RSSCOPE_VAL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_WAV_C3W2, "C3W2" },
    { RSSCOPE_VAL_WAV_C3W3, "C3W3" },
    { RSSCOPE_VAL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_WAV_C4W2, "C4W2" },
    { RSSCOPE_VAL_WAV_C4W3, "C4W3" },
    { RSSCOPE_VAL_WAV_M1, "M1" },
    { RSSCOPE_VAL_WAV_M2, "M2" },
    { RSSCOPE_VAL_WAV_M3, "M3" },
    { RSSCOPE_VAL_WAV_M4, "M4" },
    { RSSCOPE_VAL_WAV_M5, "M5" },
    { RSSCOPE_VAL_WAV_R1, "R1" },
    { RSSCOPE_VAL_WAV_R2, "R2" },
    { RSSCOPE_VAL_WAV_R3, "R3" },
    { RSSCOPE_VAL_WAV_R4, "R4" },
    { RSSCOPE_VAL_WAV_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_WAV_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_WAV_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_WAV_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_WAV_M6, "M6" },
    { RSSCOPE_VAL_WAV_M7, "M7" },
    { RSSCOPE_VAL_WAV_M8, "M8" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterSource = { 28, RsScope_rngAdvancedJitterSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterSignalTypeEntries[2] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_SIGNAL_TYPE_CLOCK, "CLOC" },
    { RSSCOPE_VAL_ADVANCED_JITTER_SIGNAL_TYPE_DATA_NRZ, "DATN" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterSignalType = { 2, RsScope_rngAdvancedJitterSignalTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterReferenceSourceEntries[2] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_REFERENCE_SOURCE_CDR, "CDR" },
    { RSSCOPE_VAL_ADVANCED_JITTER_REFERENCE_SOURCE_CLOCK, "CLOC" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterReferenceSource = { 2, RsScope_rngAdvancedJitterReferenceSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterReferenceCDRSourceEntries[5] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_CDR_SW1, "SW1" },
    { RSSCOPE_VAL_ADVANCED_JITTER_CDR_SW2, "SW2" },
    { RSSCOPE_VAL_ADVANCED_JITTER_CDR_SIGN, "SIGN" },
    { RSSCOPE_VAL_ADVANCED_JITTER_CDR_HW, "HW" },
    { RSSCOPE_VAL_ADVANCED_JITTER_CDR_REF, "REF" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterReferenceCDRSource = { 5, RsScope_rngAdvancedJitterReferenceCDRSourceEntries };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterNominalBitrate = { 1000, 10000000000, "bps" };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterClockEdgeEntries[3] =
  {
    { RSSCOPE_VAL_POSITIVE, "POS" },
    { RSSCOPE_VAL_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterClockEdge = { 3, RsScope_rngAdvancedJitterClockEdgeEntries };

RsCoreRangeTableRanged RsScope_rngUIOffset = { 0.0, 1.0, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterGateCouplingModeEntries[3] =
  {
    { RSSCOPE_VAL_GATE_COUPLING_MODE_NONE, "NONE" },
    { RSSCOPE_VAL_GATE_COUPLING_MODE_CURSOR, "CURS" },
    { RSSCOPE_VAL_GATE_COUPLING_MODE_ZOOM, "ZOOM" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterGateCouplingMode = { 3, RsScope_rngAdvancedJitterGateCouplingModeEntries };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterGatingRange = { -100e24, 100e24, "" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterStepResponse = { 1, 200, "UI" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterTargetBERExponent = { 1, 32, "" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterPeriodicComponents = { 0, 10, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterResultsBathtubPlotTypeEntries[6] =
  {
    { RSSCOPE_VAL_BATHTUP_PLOT_TOTAL_JITTER, "TJ" },
    { RSSCOPE_VAL_BATHTUP_PLOT_DATA_AND_RANDOM_JITTER, "DDJR" },
    { RSSCOPE_VAL_BATHTUP_PLOT_TOTAL_DDJ, "DDJ" },
    { RSSCOPE_VAL_BATHTUP_PLOT_TOTAL_DDJP, "DDJP" },
    { RSSCOPE_VAL_BATHTUP_PLOT_TOTAL_DDJB, "DDJB" },
    { RSSCOPE_VAL_BATHTUP_PLOT_TOTAL_DDJO, "DDJO" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterResultsBathtubPlotType = { 6, RsScope_rngAdvancedJitterResultsBathtubPlotTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterSyntheticEyePlotEntries[4] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_SYNTHETIC_EYE_DETERMINISTIC, "DDP" },
    { RSSCOPE_VAL_ADVANCED_JITTER_SYNTHETIC_EYE_DATA_DEPENDENT, "DD" },
    { RSSCOPE_VAL_ADVANCED_JITTER_SYNTHETIC_EYE_DDPH, "DDPH" },
    { RSSCOPE_VAL_ADVANCED_JITTER_SYNTHETIC_EYE_DDPV, "DDPV" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterSyntheticEyePlot = { 4, RsScope_rngAdvancedJitterSyntheticEyePlotEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterResultsDiagramTransitionsEntries[3] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_TRANSITIONS_BOTH, "BOTH" },
    { RSSCOPE_VAL_ADVANCED_JITTER_TRANSITIONS_RISING, "RIS" },
    { RSSCOPE_VAL_ADVANCED_JITTER_TRANSITIONS_FALLING, "FALL" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterResultsDiagramTransitions = { 3, RsScope_rngAdvancedJitterResultsDiagramTransitionsEntries };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterResultsScale = { 1e-15, 1e15, "" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterResultsOffset = { -1e15, 1e15, "" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterHistogramBins = { 2, 1000, "bins" };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterScalingMeasurementEntries[2] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_SCALING_SYMBOL_RATE, "SBR" },
    { RSSCOPE_VAL_ADVANCED_JITTER_SCALING_SYMBOL_DURATION, "SBD" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterScalingMeasurement = { 2, RsScope_rngAdvancedJitterScalingMeasurementEntries };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterPeriodicFrequency = { 0, 1000000000000000, "Hz" };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterPeriodicDirectionEntries[4] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_PERIODIC_DIRECTION_UNDEFINED, "UND" },
    { RSSCOPE_VAL_ADVANCED_JITTER_PERIODIC_DIRECTION_VERTICAL, "VERT" },
    { RSSCOPE_VAL_ADVANCED_JITTER_PERIODIC_DIRECTION_HORIZONTAL_EXTRINSIC, "HOEX" },
    { RSSCOPE_VAL_ADVANCED_JITTER_PERIODIC_DIRECTION_HORIZONTAL_INTRINSIC, "HOIN" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterPeriodicDirection = { 4, RsScope_rngAdvancedJitterPeriodicDirectionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngWaveformParameterHistogramEntries[112] =
  {
    { RSSCOPE_VAL_WAV_C1W1, "C1W1" },
    { RSSCOPE_VAL_WAV_C1W2, "C1W2" },
    { RSSCOPE_VAL_WAV_C1W3, "C1W3" },
    { RSSCOPE_VAL_WAV_C2W1, "C2W1" },
    { RSSCOPE_VAL_WAV_C2W2, "C2W2" },
    { RSSCOPE_VAL_WAV_C2W3, "C2W3" },
    { RSSCOPE_VAL_WAV_C3W1, "C3W1" },
    { RSSCOPE_VAL_WAV_C3W2, "C3W2" },
    { RSSCOPE_VAL_WAV_C3W3, "C3W3" },
    { RSSCOPE_VAL_WAV_C4W1, "C4W1" },
    { RSSCOPE_VAL_WAV_C4W2, "C4W2" },
    { RSSCOPE_VAL_WAV_C4W3, "C4W3" },
    { RSSCOPE_VAL_WAV_M1, "M1" },
    { RSSCOPE_VAL_WAV_M2, "M2" },
    { RSSCOPE_VAL_WAV_M3, "M3" },
    { RSSCOPE_VAL_WAV_M4, "M4" },
    { RSSCOPE_VAL_WAV_M5, "M5" },
    { RSSCOPE_VAL_WAV_R1, "R1" },
    { RSSCOPE_VAL_WAV_R2, "R2" },
    { RSSCOPE_VAL_WAV_R3, "R3" },
    { RSSCOPE_VAL_WAV_R4, "R4" },
    { RSSCOPE_VAL_WAV_MRES1, "MRESult1" },
    { RSSCOPE_VAL_WAV_MRES2, "MRESult2" },
    { RSSCOPE_VAL_WAV_MRES3, "MRESult3" },
    { RSSCOPE_VAL_WAV_MRES4, "MRESult4" },
    { RSSCOPE_VAL_WAV_MRES5, "MRESult5" },
    { RSSCOPE_VAL_WAV_MRES6, "MRESult6" },
    { RSSCOPE_VAL_WAV_MRES7, "MRESult7" },
    { RSSCOPE_VAL_WAV_MRES8, "MRESult8" },
    { RSSCOPE_VAL_WAV_SG1TL1, "SG1TL1" },
    { RSSCOPE_VAL_WAV_SG1TL2, "SG1TL2" },
    { RSSCOPE_VAL_WAV_SG2TL1, "SG2TL1" },
    { RSSCOPE_VAL_WAV_SG2TL2, "SG2TL2" },
    { RSSCOPE_VAL_WAV_SG3TL1, "SG3TL1" },
    { RSSCOPE_VAL_WAV_SG3TL2, "SG3TL2" },
    { RSSCOPE_VAL_WAV_SG4TL1, "SG4TL1" },
    { RSSCOPE_VAL_WAV_SG4TL2, "SG4TL2" },
    { RSSCOPE_VAL_WAV_SG1, "SG1" },
    { RSSCOPE_VAL_WAV_SG2, "SG2" },
    { RSSCOPE_VAL_WAV_SG3, "SG3" },
    { RSSCOPE_VAL_WAV_SG4, "SG4" },
    { RSSCOPE_VAL_WAV_AEYE1, "EYE1" },
    { RSSCOPE_VAL_WAV_AEYE2, "EYE2" },
    { RSSCOPE_VAL_WAV_AEYE3, "EYE3" },
    { RSSCOPE_VAL_WAV_AEYE4, "EYE4" },
    { RSSCOPE_VAL_WAV_Z1V1, "Z1V1" },
    { RSSCOPE_VAL_WAV_Z1V2, "Z1V2" },
    { RSSCOPE_VAL_WAV_Z1V3, "Z1V3" },
    { RSSCOPE_VAL_WAV_Z1V4, "Z1V4" },
    { RSSCOPE_VAL_WAV_Z1I1, "Z1I1" },
    { RSSCOPE_VAL_WAV_Z1I2, "Z1I2" },
    { RSSCOPE_VAL_WAV_Z1I3, "Z1I3" },
    { RSSCOPE_VAL_WAV_Z1I4, "Z1I4" },
    { RSSCOPE_VAL_WAV_Z2V1, "Z2V1" },
    { RSSCOPE_VAL_WAV_Z2V2, "Z2V2" },
    { RSSCOPE_VAL_WAV_Z2V3, "Z2V3" },
    { RSSCOPE_VAL_WAV_Z2V4, "Z2V4" },
    { RSSCOPE_VAL_WAV_Z2I1, "Z2I1" },
    { RSSCOPE_VAL_WAV_Z2I2, "Z2I2" },
    { RSSCOPE_VAL_WAV_Z2I3, "Z2I3" },
    { RSSCOPE_VAL_WAV_Z2I4, "Z2I4" },
    { RSSCOPE_VAL_WAV_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_WAV_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_WAV_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_WAV_COMMON2, "COMMON2" },
    { RSSCOPE_VAL_WAV_M6, "M6" },
    { RSSCOPE_VAL_WAV_M7, "M7" },
    { RSSCOPE_VAL_WAV_M8, "M8" },
    { RSSCOPE_VAL_WAV_SEYE1, "SEYE1" },
    { RSSCOPE_VAL_WAV_SEYE2, "SEYE2" },
    { RSSCOPE_VAL_WAV_SRHIST1, "SRHist1" },
    { RSSCOPE_VAL_WAV_SRHIST2, "SRHist2" },
    { RSSCOPE_VAL_WAV_SDHIST1, "SDHist1" },
    { RSSCOPE_VAL_WAV_SDHIST2, "SDHist2" },
    { RSSCOPE_VAL_WAV_TJHIST1, "TJHist1" },
    { RSSCOPE_VAL_WAV_TJHIST2, "TJHist2" },
    { RSSCOPE_VAL_WAV_DJHIST1, "DJHist1" },
    { RSSCOPE_VAL_WAV_DJHIST2, "DJHist2" },
    { RSSCOPE_VAL_WAV_DDJHIST1, "DDJHist1" },
    { RSSCOPE_VAL_WAV_DDJHIST2, "DDJHist2" },
    { RSSCOPE_VAL_WAV_PJHIST1, "PJOHist1" },
    { RSSCOPE_VAL_WAV_PJHIST2, "PJOHist2" },
    { RSSCOPE_VAL_WAV_RJOHIST1, "RJOHist1" },
    { RSSCOPE_VAL_WAV_RJOHIST2, "RJOHist2" },
    { RSSCOPE_VAL_WAV_SG5TL1, "SG5TL1" },
    { RSSCOPE_VAL_WAV_SG5TL2, "SG5TL2" },
    { RSSCOPE_VAL_WAV_SG6TL1, "SG6TL1" },
    { RSSCOPE_VAL_WAV_SG6TL2, "SG6TL2" },
    { RSSCOPE_VAL_WAV_SG7TL1, "SG7TL1" },
    { RSSCOPE_VAL_WAV_SG7TL2, "SG7TL2" },
    { RSSCOPE_VAL_WAV_SG8TL1, "SG8TL1" },
    { RSSCOPE_VAL_WAV_SG8TL2, "SG8TL2" },
    { RSSCOPE_VAL_WAV_SG5, "SG5" },
    { RSSCOPE_VAL_WAV_SG6, "SG6" },
    { RSSCOPE_VAL_WAV_SG7, "SG7" },
    { RSSCOPE_VAL_WAV_SG8, "SG8" },
    { RSSCOPE_VAL_WAV_TNHIST1, "TNHist1" },
    { RSSCOPE_VAL_WAV_TNHIST2, "TNHist2" },
    { RSSCOPE_VAL_WAV_DNHIST1, "DNHist1" },
    { RSSCOPE_VAL_WAV_DNHIST2, "DNHist2" },
    { RSSCOPE_VAL_WAV_DDNHIST1, "DDNHist1" },
    { RSSCOPE_VAL_WAV_DDNHIST2, "DDNHist2" },
    { RSSCOPE_VAL_WAV_PNHIST1, "PNHist1" },
    { RSSCOPE_VAL_WAV_PNHIST2, "PNHist2" },
    { RSSCOPE_VAL_WAV_RNHIST1, "RNOHist1" },
    { RSSCOPE_VAL_WAV_RNHIST2, "RNOHist2" },
    { RSSCOPE_VAL_WAV_PJDHIST1, "PJDHist1" },
    { RSSCOPE_VAL_WAV_PJDHIST2, "PJDHist2" },
    { RSSCOPE_VAL_WAV_BUJHIST1, "BUJHist1" },
    { RSSCOPE_VAL_WAV_BUJHIST2, "BUJHist2" },
    { RSSCOPE_VAL_WAV_RJDHIST1, "RJDHist1" },
    { RSSCOPE_VAL_WAV_RJDHIST2, "RJDHist2" }
  };
RsCoreRangeTableDiscrete rsscope_rngWaveformParameterHistogram = { 112, rsscope_rngWaveformParameterHistogramEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolMeasurementTypeEntries[13] =
  {
    { RSSCOPE_VAL_MEAS_PROTOCOL_NONE, "NONE" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_AUDIO, "AUD" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_FRAME_TO_FRAME, "F2F" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_TRIGGER_TO_FRAME, "T2F" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_FIELD_VALUE, "FLDV" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_GAP, "GAP" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_MBITRATE, "MBIT" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_SBITRATE, "SBIT" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_BUS_IDLE, "BIDL" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_FRAME_COUNT, "FCNT" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_FRAME_ERROR_COUNT, "FEC" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_FRAME_ERROR_RATE, "FER" },
    { RSSCOPE_VAL_MEAS_PROTOCOL_CONSECUTIVE_FRAME_ERROR_RATE, "CFER" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolMeasurementType = { 13, rsscope_rngProtocolMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngNRZClockPhaseEntries[2] =
  {
    { RSSCOPE_VAL_CLOCK_PHASE_FIRST_EDGE, "FEDG" },
    { RSSCOPE_VAL_CLOCK_PHASE_SECOND_EDGE, "SEDG" }
  };
RsCoreRangeTableDiscrete RsScope_rngNRZClockPhase = { 2, RsScope_rngNRZClockPhaseEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBSearchDataTypeEntries[5] =
  {
    { RSSCOPE_VAL_USB_DATA_TYPE_D0, "D0" },
    { RSSCOPE_VAL_USB_DATA_TYPE_D1, "D1" },
    { RSSCOPE_VAL_USB_DATA_TYPE_D2, "D2" },
    { RSSCOPE_VAL_USB_DATA_TYPE_MD, "MD" },
    { RSSCOPE_VAL_USB_DATA_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBSearchDataType = { 5, rsscope_rngProtocolUSBSearchDataTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBSearchSpecialPIDEntries[5] =
  {
    { RSSCOPE_VAL_USB_SPECIAL_PID_PREAMBLE, "PRE" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_ERROR, "ERR" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_SPLIT, "SPL" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_PING, "PING" },
    { RSSCOPE_VAL_USB_SPECIAL_PID_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBSearchSpecialPID = { 5, rsscope_rngProtocolUSBSearchSpecialPIDEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolUSBSearchTokenEntries[5] =
  {
    { RSSCOPE_VAL_USB_TOKEN_OUT, "OUT" },
    { RSSCOPE_VAL_USB_TOKEN_IN, "IN" },
    { RSSCOPE_VAL_USB_TOKEN_SOF, "SOF" },
    { RSSCOPE_VAL_USB_TOKEN_SETUP, "SET" },
    { RSSCOPE_VAL_USB_TOKEN_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolUSBSearchToken = { 5, rsscope_rngProtocolUSBSearchTokenEntries };

RsCoreRangeTableRanged RsScope_rngUserReferenceRelativeLevel = { -100, 200, "%" };

RsCoreRangeTableRanged RsScope_rngSearchNoiseRejectRelativeHysteresis = { 0, 10, "%" };

static RsCoreRangeTableDiscreteEntry RsScope_rngIQInputSampleRateEntries[3] =
  {
    { RSSCOPE_VAL_IQ_SRATE_10_GSA, "SR10G" },
    { RSSCOPE_VAL_IQ_SRATE_20_GSA, "SR20G" },
    { RSSCOPE_VAL_IQ_SRATE_40_GSA, "SR40G" }
  };
RsCoreRangeTableDiscrete RsScope_rngIQInputSampleRate = { 3, RsScope_rngIQInputSampleRateEntries };

RsCoreRangeTableRanged RsScope_rngProtocol1000BASE_T1SymbolRate = { 10, 1500, "MSymb/s" };

static RsCoreRangeTableDiscreteEntry RsScope_rngAdvancedJitterResultsDiagramLevelsEntries[3] =
  {
    { RSSCOPE_VAL_ADVANCED_JITTER_LEVELS_BOTH, "BOTH" },
    { RSSCOPE_VAL_ADVANCED_JITTER_LEVELS_LOW, "LOW" },
    { RSSCOPE_VAL_ADVANCED_JITTER_LEVELS_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsScope_rngAdvancedJitterResultsDiagramLevels = { 3, RsScope_rngAdvancedJitterResultsDiagramLevelsEntries };

RsCoreRangeTableRanged RsScope_rngProtocol1000BASE_T1Attenuation = { -100, 0, "dB" };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocol1000BASE_T1FrameStatusEntries[6] =
  {
    { RSSCOPE_VAL_TBTO_FRAME_STATUS_OK, "OK" },
    { RSSCOPE_VAL_TBTO_FRAME_STATUS_INCOMPLETE, "INC" },
    { RSSCOPE_VAL_TBTO_FRAME_STATUS_ERR_FEC, "ERRFEC" },
    { RSSCOPE_VAL_TBTO_FRAME_STATUS_ERR_ZERO, "ERRZERO" },
    { RSSCOPE_VAL_TBTO_FRAME_STATUS_ERR_OOR, "ERROOR" },
    { RSSCOPE_VAL_TBTO_FRAME_STATUS_ERR_CRC, "ERRCRC" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocol1000BASE_T1FrameStatus = { 6, RsScope_rngProtocol1000BASE_T1FrameStatusEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngProtocol1000BASE_T1FrameTypeEntries[9] =
  {
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_MAC, "MAC" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_OAM, "OAM" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_RSFEC, "RSFEC" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_ZEROTSYM, "ZEROTSYM" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_UNKNOWN, "UNKN" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_BH, "BH" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_CTLADDRR, "CTLADDR" },
    { RSSCOPE_VAL_TBTO_FRAME_TYPE_CTLCODE, "CTLCODE" }
  };
RsCoreRangeTableDiscrete RsScope_rngProtocol1000BASE_T1FrameType = { 9, RsScope_rngProtocol1000BASE_T1FrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearch1000BASE_T1TypeEntries[4] =
  {
    { RSSCOPE_VAL_FRAME_TYPE_START, "STAR" },
    { RSSCOPE_VAL_FRAME_TYPE_MAC, "MAC" },
    { RSSCOPE_VAL_FRAME_TYPE_IDLE, "IDLE" },
    { RSSCOPE_VAL_FRAME_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearch1000BASE_T1Type = { 4, RsScope_rngSearch1000BASE_T1TypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngProtocolTriggerConditionStrictEntries[8] =
  {
    { RSSCOPE_VAL_COND_NQ, "NEQ" },
    { RSSCOPE_VAL_COND_EQ, "EQU" },
    { RSSCOPE_VAL_COND_LT, "LTH" },
    { RSSCOPE_VAL_COND_LE, "LETH" },
    { RSSCOPE_VAL_COND_GT, "GTH" },
    { RSSCOPE_VAL_COND_GE, "GETH" },
    { RSSCOPE_VAL_COND_IN, "INR" },
    { RSSCOPE_VAL_COND_OUT, "OOR" }
  };
RsCoreRangeTableDiscrete rsscope_rngProtocolTriggerConditionStrict = { 8, rsscope_rngProtocolTriggerConditionStrictEntries };

RsCoreRangeTableRanged RsScope_rng1000BASET1Index = { 0, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngUSBDSPChannelLengthEntries[3] =
  {
    { RSSCOPE_VAL_USBDSP_CHANNEL_LENGTH_OFF, "OFF" },
    { RSSCOPE_VAL_USBDSP_CHANNEL_LENGTH_LOWFLTR, "LOWFLTR" },
    { RSSCOPE_VAL_USBDSP_CHANNEL_LENGTH_HIGHFLTR, "HIGHFLTR" }
  };
RsCoreRangeTableDiscrete RsScope_rngUSBDSPChannelLength = { 3, RsScope_rngUSBDSPChannelLengthEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEbTbSearchTypeEntries[5] =
  {
    { RSSCOPE_VAL_EBTB_SEARCH_TYPE_KD, "KD" },
    { RSSCOPE_VAL_EBTB_SEARCH_TYPE_EB, "EB" },
    { RSSCOPE_VAL_EBTB_SEARCH_TYPE_TB, "TB" },
    { RSSCOPE_VAL_EBTB_SEARCH_TYPE_EXPRESSION, "EXPR" },
    { RSSCOPE_VAL_EBTB_SEARCH_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngEbTbSearchType = { 5, RsScope_rngEbTbSearchTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerTLPATTypeEntries[5] =
  {
    { RSSCOPE_VAL_TRIGGER_TLPAT_TYPE_ANY, "ANY" },
    { RSSCOPE_VAL_TRIGGER_TLPAT_TYPE_UNTRANSLATED, "UT" },
    { RSSCOPE_VAL_TRIGGER_TLPAT_TYPE_TRANSLATED_REQ, "TRQ" },
    { RSSCOPE_VAL_TRIGGER_TLPAT_TYPE_TRANSLATED, "TR" },
    { RSSCOPE_VAL_TRIGGER_TLPAT_TYPE_UNRECOGNISED_REQ, "UR" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerTLPATType = { 5, RsScope_rngTriggerTLPATTypeEntries };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterSamplingTime = { 0, 1, "" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterReferenceClockMultiplierFactor = { 1, 100, "" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterReferenceClockFrequency = { 1000, 1e9, "Hz" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterReferenceClockDataRate = { 1000, 10e9, "bps" };

RsCoreRangeTableRanged RsScope_rngAdvancedJitterReferenceClockOffset = { -1000, 1000, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngJitterDataMeasurementUnitEntries[2] =
  {
    { RSSCOPE_VAL_JITTER_DATA_MEASUREMENT_UNIT_BIT_S, "BIT_S" },
    { RSSCOPE_VAL_JITTER_DATA_MEASUREMENT_UNIT_HZ, "HZ" }
  };
RsCoreRangeTableDiscrete RsScope_rngJitterDataMeasurementUnit = { 2, RsScope_rngJitterDataMeasurementUnitEntries };

RsCoreRangeTableRanged RsScope_rngArithmeticConstant = { -3.4e38, 3.4e38, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngArithmeticOperationTypeEntries[114] =
  {
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBM, "DBM" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DB, "DB" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DB_HZ, "DB_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DB_GHZ, "DB_GHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBC, "DBC" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBC_HZ, "DBC_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBPW_HZ, "DBPW_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBW, "DBW" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBPW, "DBPW" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBM_HZ, "DBM_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMW, "DBMW" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_W, "W" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_MW, "MW" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_W_HZ, "W_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_J, "J" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V_S, "V_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_A_S, "A_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBV, "DBV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMV, "DBMV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMV_HZ, "DBMV_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMV_MHZ, "DBMV_MHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUV, "DBUV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUV_HZ, "DBUV_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUV_SQRT_HZ, "DBUV_SQRT_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUV_MHZ, "DBUV_MHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUV_M, "DBUV_M" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMV_M_HZ, "DBMV_M_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUV_M_MHZ, "DBUV_M_MHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V, "V" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_MV, "MV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UV, "UV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VPP, "VPP" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VV, "VV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UV_HZ, "UV_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UV_M_HZ, "UV_M_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V_SQRT_HZ, "V_SQRT_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBA, "DBA" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMA, "DBMA" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMA_HZ, "DBMA_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMA_MHZ, "DBMA_MHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA, "DBUA" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA_HZ, "DBUA_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA_SQRT_HZ, "DBUA_SQRT_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA_MHZ, "DBUA_MHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA_M, "DBUA_M" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA_M_HZ, "DBUA_M_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUA_M_MHZ, "DBUA_M_MHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_A, "A" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UA_HZ, "UA_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UA_M_HZ, "UA_M_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_A_SQRT_HZ, "A_SQRT_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_PCT, "PCT" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBPT, "DBPT" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBPT_HZ, "DBPT_HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_H, "H" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_PH_GHZ, "PH_GHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_F, "F" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_FF_GHZ, "FF_GHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_OHM, "OHM" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_SIEMENS, "SIEMENS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_S, "S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBPS, "DBPS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBNS, "DBNS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBUS, "DBUS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMS, "DBMS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBS, "DBS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_HZ, "HZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBHZ, "DBHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBKHZ, "DBKHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBMHZ, "DBMHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBGHZ, "DBGHZ" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_M, "M" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_IN, "IN" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DEG, "DEG" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_RAD, "RAD" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_SYMB, "SYMB" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VA_LIN, "VA_LIN" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VA_LOG, "VA_LOG" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_NONE, "NONE" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_IRE, "IRE" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_MILES, "MILES" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_SYMB_S, "SYMB_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_MSYMB_S, "MSYMB_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_MBIT_S, "MBIT_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_BIT_S, "BIT_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_BIT, "BIT" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_WORD, "WORD" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_PPM, "PPM" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_PER_SEC, "PER_SEC" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_S_DIV, "S_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_HZ_DIV, "HZ_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V_DIV, "V_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_A_DIV, "A_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_OHM_DIV, "OHM_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_NONE_DIV, "NONE_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DIV, "DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_BER, "BER" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_S_S, "S_S" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_BAUD, "BAUD" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_TDEG, "TDEG" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VS, "VS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_USER, "USER" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UINV, "UINV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_W_DIV, "W_DIV" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V_V, "V_V" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_A_V, "A_V" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_W_V, "W_V" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_BYTS, "BYTS" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V_A, "V_A" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_V_W, "V_W" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VA, "VA" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_VAR, "VAR" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_UI, "UI" },
    { RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_LN, "LN" }
  };
RsCoreRangeTableDiscrete RsScope_rngArithmeticOperationType = { 114, RsScope_rngArithmeticOperationTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpectrumArithmeticOperatorEntries[4] =
  {
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_OPERATOR_ADDITION, "ADD" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_OPERATOR_SUBTRACTION, "SUB" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_OPERATOR_MULTIPLICATION, "MUL" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_OPERATOR_DIVISION, "DIV" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpectrumArithmeticOperator = { 4, RsScope_rngSpectrumArithmeticOperatorEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngAmplitudeTimeArithmeticParameterMeasurementTypeEntries[50] =
  {
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_HIGH, "HIGH" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_LOW, "LOW" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_AMPLITUDE, "AMPLitude" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_MAXIMUM, "MAXimum" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_MINIMUM, "MINimum" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PDELTA, "PDELta" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_MEAN, "MEAN" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_RMS, "RMS" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_STDDEV, "STDDev" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_POVERSHOOT, "POVershoot" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_NOVERSHOOT, "NOVershoot" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_AREA, "AREA" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_RTIME, "RTIMe" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_FTIME, "FTIMe" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PPULSE, "PPULse" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_NPULSE, "NPULse" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PERIOD, "PERiod" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_FREQUENCY, "FREQuency" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PDCYCLE, "PDCYcle" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_NDCYCLE, "NDCYcle" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CYCAREA, "CYCarea" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CYCMEAN, "CYCMean" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CYCRMS, "CYCRms" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CYCSTDDEV, "CYCStddev" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PULCNT, "PULCnt" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_DELAY, "DELay" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PHASE, "PHASe" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_BWIDTH, "BWIDth" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PSWITCHING, "PSWitching" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_NSWITCHING, "NSWitching" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PULSETRAIN, "PULSetrain" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_EDGECOUNT, "EDGecount" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SETUP, "SETup" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_HOLD, "HOLD" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SHT, "SHT" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SHR, "SHR" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CCJITTER, "CCJitter" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_NCJITTER, "NCJitter" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CCWIDTH, "CCWidth" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_CCDUTYCYCLE, "CCDutycycle" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_TIE, "TIE" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_UINTERVAL, "UINTerval" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_DRATE, "DRATe" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SKWDELAY, "SKWDelay" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SKWPHASE, "SKWPhase" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_DTOTRIGGER, "DTOTrigger" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_PROBEMETER, "PROBemeter" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SLERISING, "SLERising" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_SLEFALLING, "SLEFalling" },
    { RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_ATAR, "ATAR" }
  };
RsCoreRangeTableDiscrete RsScope_rngAmplitudeTimeArithmeticParameterMeasurementType = { 50, RsScope_rngAmplitudeTimeArithmeticParameterMeasurementTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpectrumArithmeticMeasurementSpectrumEntries[15] =
  {
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_CPOWER, "CPOW" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_AC_POWER, "ACP" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_OBWIDTH, "OBW" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_TOI, "TOI" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_AMMOD, "AMM" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_THD, "THD" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_THD_PCT, "THDP" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_THD_A, "THDA" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_THD_U, "THDU" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_THD_R, "THDR" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_PEAK_LIST, "PLIS" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_HAR, "HAR" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_THDF, "THDF" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_SPAR, "SPAR" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_SBW, "SBW" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpectrumArithmeticMeasurementSpectrum = { 15, RsScope_rngSpectrumArithmeticMeasurementSpectrumEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSpectrumArithmeticParameterGroupEntries[10] =
  {
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_IMEAS, "IME" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS1, "MEAS1" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS2, "MEAS2" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS3, "MEAS3" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS4, "MEAS4" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS5, "MEAS5" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS6, "MEAS6" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS7, "MEAS7" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS8, "MEAS8" },
    { RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_QUIC, "QUIC" }
  };
RsCoreRangeTableDiscrete RsScope_rngSpectrumArithmeticParameterGroup = { 10, RsScope_rngSpectrumArithmeticParameterGroupEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngArithmeticMeasurementTypeEntries[2] =
  {
    { RSSCOPE_VAL_ARITHMETIC_MEASUREMENT_TYPE_MEASUREMENT, "MEAS" },
    { RSSCOPE_VAL_ARITHMETIC_MEASUREMENT_TYPE_CONSTANT, "CONS" }
  };
RsCoreRangeTableDiscrete RsScope_rngArithmeticMeasurementType = { 2, RsScope_rngArithmeticMeasurementTypeEntries };

RsCoreRangeTableRanged RsScope_rngProtocolUSB31Gen1TypeDSPCTLEFrequency = { 1, 40e9, "Hz" };

RsCoreRangeTableRanged RsScope_rngProtocolUSB31Gen1TypeDSPCTLEDCGain = { -100, 100, "dB" };

RsCoreRangeTableRanged RsScope_rngProtocolUSB31Gen1TypeDSPHighSpeedBitrate = { 1000, 3e9, "bps" };

RsCoreRangeTableRanged RsScope_rngDSPDFECoefficient = { -1, 1, "" };

RsCoreRangeTableRanged RsScope_rngDSPDFENumberOfTaps = { 1, 20, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngFFTTypeEntries[2] =
  {
    { RSSCOPE_VAL_FFT_TYPE_MAGNITUDE, "MAGN" },
    { RSSCOPE_VAL_FFT_TYPE_PHASE, "PHAS" }
  };
RsCoreRangeTableDiscrete RsScope_rngFFTType = { 2, RsScope_rngFFTTypeEntries };

RsCoreRangeTableRanged RsScope_rngFFTVerticalMaximum = { -1e15, 1e15, "" };

RsCoreRangeTableRanged RsScope_rngCDRSoftwareSamplingTime = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerConditionTypeEntries[5] =
  {
    { RSSCOPE_VAL_TRIGGER_CONDITION_TYPE_KD_SYMBOL, "KD" },
    { RSSCOPE_VAL_TRIGGER_CONDITION_TYPE_EB_PATTERN, "EB" },
    { RSSCOPE_VAL_TRIGGER_CONDITION_TYPE_TB_PATTERN, "TB" },
    { RSSCOPE_VAL_TRIGGER_CONDITION_TYPE_EXPRESSION, "EXPR" },
    { RSSCOPE_VAL_TRIGGER_CONDITION_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerConditionType = { 5, RsScope_rngTriggerConditionTypeEntries };

RsCoreRangeTableRanged RsScope_rngProtocol1000BASET1TriggerLevel = { -0.5, 0.5, "V" };

RsCoreRangeTableRanged RsScope_rngPCIeTriggerLevel = { -10, 10, "V" };

static RsCoreRangeTableDiscreteEntry RsScope_rngI30BTypeEntries[2] =
  {
    { RSSCOPE_VAL_I30_B_TYPE_OS, "OS" },
    { RSSCOPE_VAL_I30_B_TYPE_DAT, "DAT" }
  };
RsCoreRangeTableDiscrete RsScope_rngI30BType = { 2, RsScope_rngI30BTypeEntries };

RsCoreRangeTableRanged RsScope_rngI30BSkipBytes = { 1, 3, "" };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerOutActionEntries[2] =
  {
    { RSSCOPE_VAL_TRIGGER_OUT_NO_ACTION, "NOAC" },
    { RSSCOPE_VAL_TRIGGER_OUT_TRIGGER, "TRIG" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerOutAction = { 2, RsScope_rngTriggerOutActionEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngExternalFrontendChannelEntries[4] =
  {
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_CHANNEL1, "CHAN1" },
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_CHANNEL2, "CHAN2" },
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_CHANNEL3, "CHAN3" },
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_CHANNEL4, "CHAN4" }
  };
RsCoreRangeTableDiscrete rsscope_rngExternalFrontendChannel = { 4, rsscope_rngExternalFrontendChannelEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngExtFrontendMeasSetupEntries[3] =
  {
    { RSSCOPE_VAL_EXT_FRONTEND_SETUP_COULO, "COUL" },
    { RSSCOPE_VAL_EXT_FRONTEND_SETUP_COUREF, "COUR" },
    { RSSCOPE_VAL_EXT_FRONTEND_SETUP_ADVANCED, "ADV" }
  };
RsCoreRangeTableDiscrete rsscope_rngExtFrontendMeasSetup = { 3, rsscope_rngExtFrontendMeasSetupEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngExtFrontendScalingModeEntries[2] =
  {
    { RSSCOPE_VAL_EF_SCAL_MODE_RF, "RF" },
    { RSSCOPE_VAL_EF_SCAL_MODE_IF, "IF" }
  };
RsCoreRangeTableDiscrete rsscope_rngExtFrontendScalingMode = { 2, rsscope_rngExtFrontendScalingModeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngExternalFrontendLOInputEntries[2] =
  {
    { RSSCOPE_VAL_EXT_FRONTEND_LO_INPUT_INTERNAL, "INT" },
    { RSSCOPE_VAL_EXT_FRONTEND_LO_INPUT_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete rsscope_rngExternalFrontendLOInput = { 2, rsscope_rngExternalFrontendLOInputEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngExportEyeSelectEntries[4] =
  {
    { RSSCOPE_VAL_EXPORT_EYE_SELECT_EYE1, "EYE1" },
    { RSSCOPE_VAL_EXPORT_EYE_SELECT_EYE2, "EYE2" },
    { RSSCOPE_VAL_EXPORT_EYE_SELECT_EYE3, "EYE3" },
    { RSSCOPE_VAL_EXPORT_EYE_SELECT_EYE4, "EYE4" }
  };
RsCoreRangeTableDiscrete rsscope_rngExportEyeSelect = { 4, rsscope_rngExportEyeSelectEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngExportEyeSourceEntries[17] =
  {
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_NONE, "NONE" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C1W1, "C1W1" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C1W2, "C1W2" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C1W3, "C1W3" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C1W4, "C1W4" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C2W1, "C2W1" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C2W2, "C2W2" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C2W3, "C2W3" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C2W4, "C2W4" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C3W1, "C3W1" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C3W2, "C3W2" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C3W3, "C3W3" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C3W4, "C3W4" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C4W1, "C4W1" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C4W2, "C4W2" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C4W3, "C4W3" },
    { RSSCOPE_VAL_EXPORT_EYE_SOURCE_C4W4, "C4W4" }
  };
RsCoreRangeTableDiscrete rsscope_rngExportEyeSource = { 17, rsscope_rngExportEyeSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEyeDiagramSoftwareCDREntries[2] =
  {
    { RSSCOPE_VAL_EYE_DIAGRAM_SOFTWARE_CDR_SW1, "SW1" },
    { RSSCOPE_VAL_EYE_DIAGRAM_SOFTWARE_CDR_SW2, "SW2" }
  };
RsCoreRangeTableDiscrete rsscope_rngEyeDiagramSoftwareCDR = { 2, rsscope_rngEyeDiagramSoftwareCDREntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimingReferenceCDRTypeEntries[2] =
  {
    { RSSCOPE_VAL_TIMING_REFERENCE_CDR_TYPE_SW, "SW" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CDR_TYPE_HW, "HW" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimingReferenceCDRType = { 2, rsscope_rngTimingReferenceCDRTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimingReferenceEdgeTypeEntries[3] =
  {
    { RSSCOPE_VAL_TIMING_REFERENCE_EDGE_TYPE_POSITIVE, "POS" },
    { RSSCOPE_VAL_TIMING_REFERENCE_EDGE_TYPE_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_TIMING_REFERENCE_EDGE_TYPE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimingReferenceEdgeType = { 3, rsscope_rngTimingReferenceEdgeTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimingReferenceClockLevelEntries[3] =
  {
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_LEVEL_UPPER, "UPP" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_LEVEL_MIDDLE, "MIDD" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_LEVEL_LOWER, "LOW" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimingReferenceClockLevel = { 3, rsscope_rngTimingReferenceClockLevelEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimingReferenceClockSourceTypeEntries[32] =
  {
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_C1W1, "C1W1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_C2W1, "C2W1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_C3W1, "C3W1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_C4W1, "C4W1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M1, "M1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M2, "M2" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M3, "M3" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M4, "M4" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M5, "M5" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M6, "M6" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M7, "M7" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_M8, "M8" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_R1, "R1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_R2, "R2" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_R3, "R3" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_R4, "R4" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D0, "D0" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D1, "D1" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D2, "D2" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D3, "D3" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D4, "D4" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D5, "D5" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D6, "D6" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D7, "D7" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D8, "D8" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D9, "D9" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D10, "D10" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D11, "D11" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D12, "D12" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D13, "D13" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D14, "D14" },
    { RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_D15, "D15" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimingReferenceClockSourceType = { 32, rsscope_rngTimingReferenceClockSourceTypeEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimingReferenceProtocolSerialBusIndexEntries[4] =
  {
    { RSSCOPE_VAL_TIMING_PROTOCOL_SERIAL_BUS_1, "SBUS1" },
    { RSSCOPE_VAL_TIMING_PROTOCOL_SERIAL_BUS_2, "SBUS2" },
    { RSSCOPE_VAL_TIMING_PROTOCOL_SERIAL_BUS_3, "SBUS3" },
    { RSSCOPE_VAL_TIMING_PROTOCOL_SERIAL_BUS_4, "SBUS4" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimingReferenceProtocolSerialBusIndex = { 4, rsscope_rngTimingReferenceProtocolSerialBusIndexEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngTimingReferenceSignalSourceEntries[3] =
  {
    { RSSCOPE_VAL_TIMING_REFERENCE_SIGNAL_SOURCE_CLOCK, "CLOC" },
    { RSSCOPE_VAL_TIMING_REFERENCE_SIGNAL_SOURCE_CDR, "CDR" },
    { RSSCOPE_VAL_TIMING_REFERENCE_SIGNAL_SOURCE_PROTOCOL, "PROT" }
  };
RsCoreRangeTableDiscrete rsscope_rngTimingReferenceSignalSource = { 3, rsscope_rngTimingReferenceSignalSourceEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEyeJitterMeasurementHeightAlgorithmEntries[2] =
  {
    { RSSCOPE_VAL_EYE_JITTER_HEIGHT_ALGORITHM_ACTHEIGHT, "ACTH" },
    { RSSCOPE_VAL_EYE_JITTER_HEIGHT_ALGORITHM_TSIGMA, "TSIG" }
  };
RsCoreRangeTableDiscrete rsscope_rngEyeJitterMeasurementHeightAlgorithm = { 2, rsscope_rngEyeJitterMeasurementHeightAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngEyeJitterMeasurementWidthAlgorithmEntries[2] =
  {
    { RSSCOPE_VAL_EYE_JITTER_WIDTH_ALGORITHM_ACTWIDTH, "ACTW" },
    { RSSCOPE_VAL_EYE_JITTER_WIDTH_ALGORITHM_TSIGMA, "TSIG" }
  };
RsCoreRangeTableDiscrete RsScope_rngEyeJitterMeasurementWidthAlgorithm = { 2, RsScope_rngEyeJitterMeasurementWidthAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry rsscope_rngEyeJitterMeasurementAlgorithmEntries[4] =
  {
    { RSSCOPE_VAL_EYE_JITTER_ALGORITHM_MEAN, "MEAN" },
    { RSSCOPE_VAL_EYE_JITTER_ALGORITHM_PEAK, "PEAK" },
    { RSSCOPE_VAL_EYE_JITTER_ALGORITHM_INNPEAK, "INNP" },
    { RSSCOPE_VAL_EYE_JITTER_ALGORITHM_OUTPEAK, "OUTP" }
  };
RsCoreRangeTableDiscrete rsscope_rngEyeJitterMeasurementAlgorithm = { 4, rsscope_rngEyeJitterMeasurementAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngOpticalMeasurementValidRangeEntries[4] =
  {
    { RSSCOPE_VAL_OPTICAL_MEASUREMENT_RANGE_ILIMIT, "ILIM" },
    { RSSCOPE_VAL_OPTICAL_MEASUREMENT_RANGE_ULIMIT, "ULIM" },
    { RSSCOPE_VAL_OPTICAL_MEASUREMENT_RANGE_LLIMIT, "LLIM" },
    { RSSCOPE_VAL_OPTICAL_MEASUREMENT_RANGE_OLIMIT, "OLIM" }
  };
RsCoreRangeTableDiscrete RsScope_rngOpticalMeasurementValidRange = { 4, RsScope_rngOpticalMeasurementValidRangeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngOpticalMeasurementUnitEntries[2] =
  {
    { RSSCOPE_VAL_OPTICAL_UNIT_WATT, "WATT" },
    { RSSCOPE_VAL_OPTICAL_UNIT_DBM, "DBM" }
  };
RsCoreRangeTableDiscrete RsScope_rngOpticalMeasurementUnit = { 2, RsScope_rngOpticalMeasurementUnitEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCDRFilesAlgorithmEntries[2] =
  {
    { RSSCOPE_VAL_CDR_FILES_ALGORITHM_CFREQUENCY, "CFR" },
    { RSSCOPE_VAL_CDR_FILES_ALGORITHM_FF, "FF" }
  };
RsCoreRangeTableDiscrete RsScope_rngCDRFilesAlgorithm = { 2, RsScope_rngCDRFilesAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCDRFilesAnalogSourceEntries[8] =
  {
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_C1, "C1" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_C2, "C2" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_C3, "C3" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_C4, "C4" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_DIFF1, "DIFF1" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_DIFF2, "DIFF2" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_COMMON1, "COMMON1" },
    { RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_COMMON2, "COMMON2" }
  };
RsCoreRangeTableDiscrete RsScope_rngCDRFilesAnalogSource = { 8, RsScope_rngCDRFilesAnalogSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSearchEthernetTypeEntries[2] =
  {
    { RSSCOPE_VAL_SEARCH_ETHERNET_TYPE_FRAME, "FRAM" },
    { RSSCOPE_VAL_SEARCH_ETHERNET_TYPE_ERROR, "ERR" }
  };
RsCoreRangeTableDiscrete RsScope_rngSearchEthernetType = { 2, RsScope_rngSearchEthernetTypeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCDRTriggerEyeAlgorithmEntries[2] =
  {
    { RSSCOPE_VAL_CDR_TRIGGER_ALGORITHM_CFREQUENCY, "CFR" },
    { RSSCOPE_VAL_CDR_TRIGGER_ALGORITHM_FF, "FF" }
  };
RsCoreRangeTableDiscrete RsScope_rngCDRTriggerEyeAlgorithm = { 2, RsScope_rngCDRTriggerEyeAlgorithmEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCDRTriggerEyeSerialStandardEntries[31] =
  {
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_CUSTOM, "CUSTOM" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_USB20, "USB20" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_USB31GEN1, "USB31GEN1" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_USB31GEN2, "USB31GEN2" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_DISPPORT11, "DISPPORT11" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_DISPPORT12, "DISPPORT12" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_FIBCHAN1, "FIBCHAN1" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_FIBCHAN2, "FIBCHAN2" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_FIBCHAN4, "FIBCHAN4" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_FIBCHAN8, "FIBCHAN8" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_HDMI12, "HDMI12" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_HDMI14, "HDMI14" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_HDMI20, "HDMI20" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_PCIGEN1, "PCIGEN1" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_PCIGEN2, "PCIGEN2" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_PCIGEN3, "PCIGEN3" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_PCIGEN4, "PCIGEN4" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN1500, "SATAGEN1500" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN11667, "SATAGEN11667" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN1, "SATAGEN1" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN2500, "SATAGEN2500" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN21667, "SATAGEN21667" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN2, "SATAGEN2" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN3500, "SATAGEN3500" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN31667, "SATAGEN31667" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SATAGEN3, "SATAGEN3" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SASGEN1, "SASGEN1" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SASGEN2, "SASGEN2" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_SASGEN3, "SASGEN3" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_TB10G, "TB10G" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_XAUI, "XAUI" }
  };
RsCoreRangeTableDiscrete RsScope_rngCDRTriggerEyeSerialStandard = { 31, RsScope_rngCDRTriggerEyeSerialStandardEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngCDRTriggerEyeSourceEntries[4] =
  {
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SOURCE_C1, "C1" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SOURCE_C2, "C2" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SOURCE_C3, "C3" },
    { RSSCOPE_VAL_CDR_TRIGGER_EYE_SOURCE_C4, "C4" }
  };
RsCoreRangeTableDiscrete RsScope_rngCDRTriggerEyeSource = { 4, RsScope_rngCDRTriggerEyeSourceEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerEventTriggerOutEntries[2] =
  {
    { RSSCOPE_VAL_TRIGGER_EVENT_TRIGGER_OUT_NOACTION, "NOAC" },
    { RSSCOPE_VAL_TRIGGER_EVENT_TRIGGER_OUT_TRIGGER, "TRIG" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerEventTriggerOut = { 2, RsScope_rngTriggerEventTriggerOutEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngTriggerSequenceEventEntries[2] =
  {
    { RSSCOPE_VAL_TRIGGER_SEQUENCE_EVENT_SINGLE, "SING" },
    { RSSCOPE_VAL_TRIGGER_SEQUENCE_EVENT_SEQUENCE, "SEQ" }
  };
RsCoreRangeTableDiscrete RsScope_rngTriggerSequenceEvent = { 2, RsScope_rngTriggerSequenceEventEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngClockSignalEdgeEntries[3] =
  {
    { RSSCOPE_VAL_CLOCK_SIGNAL_EDGE_POSITIVE, "POS" },
    { RSSCOPE_VAL_CLOCK_SIGNAL_EDGE_NEGATIVE, "NEG" },
    { RSSCOPE_VAL_CLOCK_SIGNAL_EDGE_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsScope_rngClockSignalEdge = { 3, RsScope_rngClockSignalEdgeEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngSerialPatternReferenceSourceEntries[2] =
  {
    { RSSCOPE_VAL_SERIAL_PATTERN_REFERENCE_SOURCE_CLOCK, "CLOC" },
    { RSSCOPE_VAL_SERIAL_PATTERN_REFERENCE_SOURCE_CDR, "CDR" }
  };
RsCoreRangeTableDiscrete RsScope_rngSerialPatternReferenceSource = { 2, RsScope_rngSerialPatternReferenceSourceEntries };

RsCoreRangeTableRanged RsScope_rngNumberofFrontends = { 1, 4, "" };

RsCoreRangeTableRanged RsScope_rngExternalFrontendRFFrequency = { 24E+9, 44E+9, "Hz" };

RsCoreRangeTableRanged RsScope_rngExternalFrontendRFLevel = { -100, 100, "dBm" };

static RsCoreRangeTableDiscreteEntry RsScope_rngExternalFrontendRFConnectorEntries[3] =
  {
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_RF_CONNECTOR_1, "RF1" },
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_RF_CONNECTOR_2, "RF2" },
    { RSSCOPE_VAL_EXTERNAL_FRONTEND_RF_CONNECTOR_3, "RF3" }
  };
RsCoreRangeTableDiscrete RsScope_rngExternalFrontendRFConnector = { 3, RsScope_rngExternalFrontendRFConnectorEntries };

static RsCoreRangeTableDiscreteEntry RsScope_rngExternalFrontendFrequencyBandConfigSelectionEntries[4] =
  {
    { RSSCOPE_VAL_FREQUENCY_BAND_CONFIG_SELECTION_IFLOW, "\'IF LOW\'" },
    { RSSCOPE_VAL_FREQUENCY_BAND_CONFIG_SELECTION_IFHIGH, "\'IF HIGH\'" },
    { RSSCOPE_VAL_FREQUENCY_BAND_CONFIG_SELECTION_SPURO, "\'Spur Optimized\'" },
    { RSSCOPE_VAL_FREQUENCY_BAND_CONFIG_SELECTION_EVMO, "\'EVM Optimized\'" }
  };
RsCoreRangeTableDiscrete RsScope_rngExternalFrontendFrequencyBandConfigSelection = { 4, RsScope_rngExternalFrontendFrequencyBandConfigSelectionEntries };

RsCoreRangeTableRanged RsScope_rngEyeDiagramDisplayPersistenceTime = { 0.05, 50, "s" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramTimingReferenceClockOffset = { -1000, 1000, "" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramTimingReferenceClockSamplingTime = { 0, 1, "UI" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramVerticalSettingsOffset = { -100E+24, 100E+24, "V" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramVerticalSettingsPosition = { -100E+24, 100E+24, "div" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramVerticalSettingsScale = { 1E-3, 100, "V/div" };

RsCoreRangeTableRanged RsScope_rngEyeJitterMeasurement = { 1.0, 99.0, "%" };

RsCoreRangeTableRanged RsScope_rngOpticalMeasurementLimit = { -100.0, 100.0, "" };

RsCoreRangeTableRanged RsScope_rngOpticalMeasurementMargin = { -100.0, 100.0, "" };

RsCoreRangeTableRanged RsScope_rngOpticalMeasurementModulationAmplitude = { 1.0, 99.0, "%" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramCDRFilesBitRate = { 1000, 40000000000, "bps" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramCDRFilesBandwidth = { 20E+3, 10E+6, "Hz" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramCDRFilesRelativeBandwidth = { 500, 3000, "" };

RsCoreRangeTableRanged RsScope_rngEyeDiagramCDRFilesSampling = { 0.0, 1.0, "UI" };

RsCoreRangeTableRanged RsScope_rngCDRTriggerEyeBitRate = { 200E+3, 2.5E+9, "bps" };

RsCoreRangeTableRanged RsScope_rngCDRTriggerEyeLevel = { -100E+24, 100E+24, "V" };

RsCoreRangeTableRanged RsScope_rngCDRTriggerEyeRelativeBandwidth = { 500, 3000, "" };

RsCoreRangeTableRanged RsScope_rngCDRTriggerEyeSamplingTime = { 0.0, 1.0, "" };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INTERPOLATION =
  {
    RSSCOPE_ATTR_INTERPOLATION,
    "Interpolation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngInterpolation, NULL, NULL,
    "ACQ:INT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SINE_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUM_AVERAGES =
  {
    RSSCOPE_ATTR_NUM_AVERAGES,
    "Number of Averages",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAMPLE_MODE =
  {
    RSSCOPE_ATTR_SAMPLE_MODE,
    "Sample Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSampleMode, NULL, NULL,
    "ACQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INTERPOLATED_TIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_RECORD_SELECTION =
  {
    RSSCOPE_ATTR_HORZ_RECORD_SELECTION,
    "Horizontal Record Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHorzRecordSelection, NULL, NULL,
    "ACQ:POIN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RESOLUTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ACQUISITION_AUTO_ADJUSTMENT =
  {
    RSSCOPE_ATTR_ACQUISITION_AUTO_ADJUSTMENT,
    "Acquisition Auto Adjustment",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:POIN:AADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_TIME_PER_RECORD =
  {
    RSSCOPE_ATTR_HORZ_TIME_PER_RECORD,
    "Horizontal Time Per Record",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngHorzAcquisitionTime, NULL,
    "TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_RECORD_LENGTH =
  {
    RSSCOPE_ATTR_HORZ_RECORD_LENGTH,
    "Horizontal Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngHorzRecordLength, NULL,
    "ACQ:POIN",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_RECORD_LENGTH_LIMIT =
  {
    RSSCOPE_ATTR_HORZ_RECORD_LENGTH_LIMIT,
    "Horizontal Record Length Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngHorzRecordLength, NULL,
    "ACQ:POIN:MAX",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_SCALE =
  {
    RSSCOPE_ATTR_HORZ_SCALE,
    "Horizontal Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngHorzScale, NULL,
    "TIM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_RECORD_LENGTH =
  {
    RSSCOPE_ATTR_ZVC_RECORD_LENGTH,
    "ZVC Record Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:POIN:ZVAL?",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_CURRENT_RESOLUTION =
  {
    RSSCOPE_ATTR_ZVC_CURRENT_RESOLUTION,
    "ZVC Current Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:ZRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ACQUSITION_START_TIME =
  {
    RSSCOPE_ATTR_ACQUSITION_START_TIME,
    "Acqusition Start Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:HOR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMBER_OF_ACQUISITIONS =
  {
    RSSCOPE_ATTR_NUMBER_OF_ACQUISITIONS,
    "Number Of Acquisitions",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:CURR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ACQUISITION_RESTRICT_OFFSET =
  {
    RSSCOPE_ATTR_ACQUISITION_RESTRICT_OFFSET,
    "Acquisition Restrict Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:OFFS:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ACQUISITION_SAMPLE_RATE =
  {
    RSSCOPE_ATTR_ACQUISITION_SAMPLE_RATE,
    "Acquisition Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAcquisitionSampleRate, NULL,
    "ACQ:SRR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0E+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ACQUISITION_TIME =
  {
    RSSCOPE_ATTR_ACQUISITION_TIME,
    "Acquisition Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:RACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_SAMPLE_RATE =
  {
    RSSCOPE_ATTR_HORZ_SAMPLE_RATE,
    "Horizontal Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_ADC_SAMPLE_RATE =
  {
    RSSCOPE_ATTR_HORZ_ADC_SAMPLE_RATE,
    "Horizontal ADC Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:POIN:ARAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTOSCALE =
  {
    RSSCOPE_ATTR_AUTOSCALE,
    "Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_DIVISIONS =
  {
    RSSCOPE_ATTR_HORZ_DIVISIONS,
    "Horizontal Divisions",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TIM:DIV?",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_REFERENCE =
  {
    RSSCOPE_ATTR_HORZ_REFERENCE,
    "Horizontal Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngHorzReference, NULL,
    "TIM:REF",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HORZ_RESOLUTION =
  {
    RSSCOPE_ATTR_HORZ_RESOLUTION,
    "Horizontal Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ROLL_MODE_AUTO =
  {
    RSSCOPE_ATTR_ROLL_MODE_AUTO,
    "Roll Mode Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRollModeAuto, NULL, NULL,
    "TIM:ROLL:ENAB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ROLL_STATE =
  {
    RSSCOPE_ATTR_ROLL_STATE,
    "Roll State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TIM:ROLL:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ROLL_MODE_THRESHOLD =
  {
    RSSCOPE_ATTR_ROLL_MODE_THRESHOLD,
    "Roll Mode Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngRollModeThreshold, NULL,
    "TIM:ROLL:MTIM",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ULTRA_SEGMENTATION_ENABLED =
  {
    RSSCOPE_ATTR_ULTRA_SEGMENTATION_ENABLED,
    "Ultra Segmentation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ULTRA_SEGMENTATION_DEPENDENCY =
  {
    RSSCOPE_ATTR_ULTRA_SEGMENTATION_DEPENDENCY,
    "Ultra Segmentation Dependency",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ULTRA_SEGMENTATION_AUTO_REPLAY =
  {
    RSSCOPE_ATTR_ULTRA_SEGMENTATION_AUTO_REPLAY,
    "Ultra Segmentation Auto Replay",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:SEGM:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_SOURCE_STATE =
  {
    RSSCOPE_ATTR_CALIBRATION_SOURCE_STATE,
    "Calibration Source State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CAL:SOUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_SOURCE_FREQUENCY =
  {
    RSSCOPE_ATTR_CALIBRATION_SOURCE_FREQUENCY,
    "Calibration Source Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCalibrationSourceFrequency, NULL, NULL,
    "CAL:SOUR:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CALIBRATION_FREQUENCY_GHZ1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_OPERATING_MODE =
  {
    RSSCOPE_ATTR_CALIBRATION_OPERATING_MODE,
    "Calibration Operating Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCalibrationOperatingMode, NULL, NULL,
    "CAL:SOUR:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CALIBRATION_OPERATING_MODE_SKEW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_DESTINATION =
  {
    RSSCOPE_ATTR_CALIBRATION_DESTINATION,
    "Calibration Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCalibrationDestination, NULL, NULL,
    "CAL:SOUR:SKEW:DEST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CALIBRATION_DESTINATION_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_RESULT =
  {
    RSSCOPE_ATTR_CALIBRATION_RESULT,
    "Calibration Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCalibrationResult, NULL, NULL,
    "CAL:RES?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CALIBRATION_RESULT_FAIL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_DATE =
  {
    RSSCOPE_ATTR_CALIBRATION_DATE,
    "Calibration Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "date",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION_TIME =
  {
    RSSCOPE_ATTR_CALIBRATION_TIME,
    "Calibration Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "time",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REF_OSCILLATOR_SOURCE =
  {
    RSSCOPE_ATTR_REF_OSCILLATOR_SOURCE,
    "Ref Oscillator Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngIntExt, NULL, NULL,
    "SENS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REF_OSCILLATOR_FREQUENCY =
  {
    RSSCOPE_ATTR_REF_OSCILLATOR_FREQUENCY,
    "Ref Oscillator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngExtOscFreq, NULL,
    "SENS:EXT:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_STATE =
  {
    RSSCOPE_ATTR_PROBE_STATE,
    "Probe State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProbeState, NULL, NULL,
    "PROB{Channel}:SET:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_STATE_NDET,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_TYPE =
  {
    RSSCOPE_ATTR_PROBE_TYPE,
    "Probe Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_NAME =
  {
    RSSCOPE_ATTR_PROBE_NAME,
    "Probe Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:NAME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_INPUT_IMPEDANCE =
  {
    RSSCOPE_ATTR_PROBE_INPUT_IMPEDANCE,
    "Probe Input Impedance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:IMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_INPUT_CAPACITANCE =
  {
    RSSCOPE_ATTR_PROBE_INPUT_CAPACITANCE,
    "Probe Input Capacitance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:CAP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_ATTENUATION =
  {
    RSSCOPE_ATTR_PROBE_ATTENUATION,
    "Probe Attenuation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_BANDWIDTH =
  {
    RSSCOPE_ATTR_PROBE_BANDWIDTH,
    "Probe Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:BANDwidth?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SET_OFFSET_TO_MEAN =
  {
    RSSCOPE_ATTR_PROBE_SET_OFFSET_TO_MEAN,
    "Probe Set Offset To Mean",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:TOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEGAUSS =
  {
    RSSCOPE_ATTR_PROBE_DEGAUSS,
    "Probe Degauss",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:DEG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_AUTO_ZERO =
  {
    RSSCOPE_ATTR_PROBE_AUTO_ZERO,
    "Probe Auto Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:AZER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_USE_AUTO_ZERO =
  {
    RSSCOPE_ATTR_PROBE_USE_AUTO_ZERO,
    "Probe Use Auto Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:USE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_ZERO_ADJUST_VALUE =
  {
    RSSCOPE_ATTR_PROBE_ZERO_ADJUST_VALUE,
    "Probe Zero Adjust Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeZeroAdjustValue, NULL,
    "PROB{Channel}:SET:OFFS:ZADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SAVE_TO_PROBE =
  {
    RSSCOPE_ATTR_PROBE_SAVE_TO_PROBE,
    "Probe Save To Probe",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:OFFS:STPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_MICRO_BUTTON_ACTION =
  {
    RSSCOPE_ATTR_PROBE_MICRO_BUTTON_ACTION,
    "Probe Micro Button Action",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeButtonAction, NULL, NULL,
    "PROB{Channel}:SET:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_BUTTON_RUN_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SOFTWARE_VERSION =
  {
    RSSCOPE_ATTR_PROBE_SOFTWARE_VERSION,
    "Probe Software Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:SWV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_PRODUCTION_DATE =
  {
    RSSCOPE_ATTR_PROBE_PRODUCTION_DATE,
    "Probe Production Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:PRD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_PART_NUMBER =
  {
    RSSCOPE_ATTR_PROBE_PART_NUMBER,
    "Probe Part Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:PART?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SERIAL_NUMBER =
  {
    RSSCOPE_ATTR_PROBE_SERIAL_NUMBER,
    "Probe Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:ID:SRN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_FIRMWARE_PATH =
  {
    RSSCOPE_ATTR_PROBE_FIRMWARE_PATH,
    "Probe Firmware Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:SERV:FW:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "rs",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_FIRMWARE_UPDATE =
  {
    RSSCOPE_ATTR_PROBE_FIRMWARE_UPDATE,
    "Probe Firmware Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SERV:FW:FLAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_FIRMWARE_UPDATE_STATUS =
  {
    RSSCOPE_ATTR_PROBE_FIRMWARE_UPDATE_STATUS,
    "Probe Firmware Update Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProbeFirmwareUpdateStatus, NULL, NULL,
    "PROB{Channel}:SERV:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_FIRMWARE_UPDATE_STATUS_UNKNOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SELFTEST =
  {
    RSSCOPE_ATTR_PROBE_SELFTEST,
    "Probe Selftest",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SERV:STES:RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SELFTEST_STATUS =
  {
    RSSCOPE_ATTR_PROBE_SELFTEST_STATUS,
    "Probe Selftest Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProbeSelftestStatus, NULL, NULL,
    "PROB{Channel}:SERV:STES:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_SELFTEST_STATUS_UNDEFINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DETECTION_MODE =
  {
    RSSCOPE_ATTR_PROBE_DETECTION_MODE,
    "Probe Detection Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAutoManual, NULL, NULL,
    "PROB{Channel}:SET:ATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_ATTENUATION_MANUAL =
  {
    RSSCOPE_ATTR_PROBE_ATTENUATION_MANUAL,
    "Probe Attenuation Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAttenuation, NULL,
    "PROB{Channel}:SET:ATT:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_VERTICAL_UNIT =
  {
    RSSCOPE_ATTR_PROBE_VERTICAL_UNIT,
    "Probe Vertical Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAttUnits, NULL, NULL,
    "PROB{Channel}:SET:ATT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ATT_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_GAIN_MANUAL =
  {
    RSSCOPE_ATTR_PROBE_GAIN_MANUAL,
    "Probe Gain Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProbeGainManual, NULL,
    "PROB{Channel}:SET:GAIN:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DETECTED_PROBE_GAIN =
  {
    RSSCOPE_ATTR_DETECTED_PROBE_GAIN,
    "Detected Probe Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:GAIN:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_PREDEFINED_CURRENT_PROBE =
  {
    RSSCOPE_ATTR_PROBE_PREDEFINED_CURRENT_PROBE,
    "Probe Predefined Current Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbePredefinedCurrent, NULL, NULL,
    "PROB{Channel}:SET:ATT:DEFP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_FREE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_PREDEFINED_TEKTRONICS_PROBE =
  {
    RSSCOPE_ATTR_PROBE_PREDEFINED_TEKTRONICS_PROBE,
    "Probe Predefined Tektronics Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbePredefinedTektronics, NULL, NULL,
    "PROB{Channel}:SET:ATT:TDEF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TEKTONICS_PROBE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_MODE =
  {
    RSSCOPE_ATTR_PROBE_MODE,
    "Probe Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngModularProbeMode, NULL, NULL,
    "PROB{Channel}:SET:PRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_MODE_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DM_OFFSET =
  {
    RSSCOPE_ATTR_PROBE_DM_OFFSET,
    "Probe DM Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeOffset, NULL,
    "PROB{Channel}:SET:DMOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_CM_OFFSET =
  {
    RSSCOPE_ATTR_PROBE_CM_OFFSET,
    "Probe CM Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:CMOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_POSITIVE_OFFSET =
  {
    RSSCOPE_ATTR_PROBE_POSITIVE_OFFSET,
    "Probe Positive Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeOffset, NULL,
    "PROB{Channel}:SET:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_NEGATIVE_OFFSET =
  {
    RSSCOPE_ATTR_PROBE_NEGATIVE_OFFSET,
    "Probe Negative Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeOffset, NULL,
    "PROB{Channel}:SET:NOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_ATTENUATOR_ZA15 =
  {
    RSSCOPE_ATTR_PROBE_ATTENUATOR_ZA15,
    "Probe Attenuator ZA15",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ZAXV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_MODE =
  {
    RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_MODE,
    "Probe Termination Voltage Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAutoManual, NULL, NULL,
    "PROB{Channel}:SET:TERM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_STATE =
  {
    RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_STATE,
    "Probe Termination Voltage State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TERM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_ADJUSTMENT =
  {
    RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_ADJUSTMENT,
    "Probe Termination Voltage Adjustment",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeTerminationVoltageAdjustment, NULL,
    "PROB{Channel}:SET:TERM:ADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_MEASURE =
  {
    RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_MEASURE,
    "Probe Termination Voltage Measure",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:TERM:MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_COUPLING_AC =
  {
    RSSCOPE_ATTR_PROBE_COUPLING_AC,
    "Probe Coupling AC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ACC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_MODE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_MODE,
    "Probe Deembedding Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngModularProbeMode, NULL, NULL,
    "PROB{Channel}:DEEM:PMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_MODE_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_SELECT_TIP_MODULE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_SELECT_TIP_MODULE,
    "Probe Deembedding Select Tip Module",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbeTipModule, NULL, NULL,
    "PROB{Channel}:DEEM:TIPM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_TIP_ZMA10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_CUSTOM_TIP_FILE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_CUSTOM_TIP_FILE,
    "Probe Deembedding Custom Tip File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:DEEM:TIPM:CSPF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SParamFile",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_ZMA30_SELECT_TIP_SUBMODULE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_ZMA30_SELECT_TIP_SUBMODULE,
    "Probe Deembedding ZMA30 Select Tip Submodule",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbeDeembeddingZMA30SelectTipDistance, NULL, NULL,
    "PROB{Channel}:DEEM:TIPM:ZMA30:SUBM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_ZMA30_TIP_DISTANCE_16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_ZMA40_SELECT_TIP_SUBMODULE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_ZMA40_SELECT_TIP_SUBMODULE,
    "Probe Deembedding ZMA40 Select Tip Submodule",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbeDeembeddingZMA40SelectTipSubmodule, NULL, NULL,
    "PROB{Channel}:DEEM:TIPM:ZMA40:SUBM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_ZMA40_TIP_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_BANDWIDTH =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_BANDWIDTH,
    "Probe Deembedding Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeDeembeddingBandwidth, NULL,
    "PROB{Channel}:DEEM:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_PROBING_MODE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_PROBING_MODE,
    "Probe Deembedding Probing Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingProbingMode, NULL, NULL,
    "PROB{Channel}:DEEM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBING_MODE_PROBING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_REMOVE_PROBE_LOADING =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_REMOVE_PROBE_LOADING,
    "Probe Deembedding Remove Probe Loading",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:DEEM:REMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_IMPEDANCE_TYPE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_IMPEDANCE_TYPE,
    "Probe Deembedding Impedance Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbeDeembeddingImpedanceType, NULL, NULL,
    "PROB{Channel}:DEEM:LOAD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_IMPEDANCE_TYPE_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_IMPEDANCE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_IMPEDANCE,
    "Probe Deembedding Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProbeDeemebeddingImpedance, NULL,
    "PROB{Channel}:DEEM:LOAD:IMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_LOAD_S_PARAMETER_FILE =
  {
    RSSCOPE_ATTR_PROBE_DEEMBEDDING_LOAD_S_PARAMETER_FILE,
    "Probe Deembedding Load S-Parameter File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PROB{Channel}:DEEM:LOAD:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.s1p",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_PROBEMETER_COPY_TO_OFFSET =
  {
    RSSCOPE_ATTR_PROBE_PROBEMETER_COPY_TO_OFFSET,
    "Probe ProbeMeter Copy To Offset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:PMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_RT_ZHD_VOLTAGE_RANGE =
  {
    RSSCOPE_ATTR_PROBE_RT_ZHD_VOLTAGE_RANGE,
    "Probe RT-ZHD Voltage Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbeVoltageRange, NULL, NULL,
    "PROB{Channel}:SET:ADV:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_VOLTAGE_RANGE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_RT_ZHD_BANDWIDTH_LIMIT =
  {
    RSSCOPE_ATTR_PROBE_RT_ZHD_BANDWIDTH_LIMIT,
    "Probe RT-ZHD Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_RT_ZHD_OVERRANGE_BUZZER =
  {
    RSSCOPE_ATTR_PROBE_RT_ZHD_OVERRANGE_BUZZER,
    "Probe RT-ZHD Overrange Buzzer",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:SET:ADV:AUD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_ADAPTER_TYPE =
  {
    RSSCOPE_ATTR_PROBE_ADAPTER_TYPE,
    "Probe Adapter Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProbeAdapterType, NULL, NULL,
    "PROB{Channel}:SET:ADAP?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_ADAPTER_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_CONVERTER_TYPE =
  {
    RSSCOPE_ATTR_PROBE_CONVERTER_TYPE,
    "Probe Converter Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProbeConverterType, NULL, NULL,
    "PROB{Channel}:CONV:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_CONVERTER_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_RTZ1M_BANDWIDTH_LIMIT =
  {
    RSSCOPE_ATTR_PROBE_RTZ1M_BANDWIDTH_LIMIT,
    "Probe RT-Z1M Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProbeRTZ1MBandwidthLimit, NULL, NULL,
    "PROB{Channel}:CONV:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_Z1M_BANDWIDTH_FULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_RTZ1M_SELF_ALIGN =
  {
    RSSCOPE_ATTR_PROBE_RTZ1M_SELF_ALIGN,
    "Probe RT-Z1M Self Align",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PROB{Channel}:CONV:SELF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_ENABLED =
  {
    RSSCOPE_ATTR_PMETER_ENABLED,
    "Probe Meter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_VISIBILITY =
  {
    RSSCOPE_ATTR_PMETER_VISIBILITY,
    "Visibility",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:VIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_DISPLAY_DIFF =
  {
    RSSCOPE_ATTR_PMETER_DISPLAY_DIFF,
    "Display Diff",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "PROB:SET:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_MEASUREMENT_COMMON_RESULT =
  {
    RSSCOPE_ATTR_PMETER_MEASUREMENT_COMMON_RESULT,
    "Common Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:COMM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMATER_MEASUREMENT_DIFFERENTIAL_RESULT =
  {
    RSSCOPE_ATTR_PMATER_MEASUREMENT_DIFFERENTIAL_RESULT,
    "Differential Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:DIFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_MEASUREMENT_POSITIVE_RESULT =
  {
    RSSCOPE_ATTR_PMETER_MEASUREMENT_POSITIVE_RESULT,
    "Single Ended Positive Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:POS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_MEASUREMENT_NEGATIVE_RESULT =
  {
    RSSCOPE_ATTR_PMETER_MEASUREMENT_NEGATIVE_RESULT,
    "Single Ended Negative Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:NEG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PMETER_MEASUREMENT_SINGLE_RESULT =
  {
    RSSCOPE_ATTR_PMETER_MEASUREMENT_SINGLE_RESULT,
    "Single Ended Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PROB{Channel}:PMET:RES:SING?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_BANDWIDTH =
  {
    RSSCOPE_ATTR_ZVC_BANDWIDTH,
    "ZVC Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCBandwidth, NULL,
    "ZVC:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_DECIMATION_MODE =
  {
    RSSCOPE_ATTR_ZVC_DECIMATION_MODE,
    "ZVC Decimation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngZVCDecimationMode, NULL, NULL,
    "ZVC:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ZVC_DECIMATION_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_RESOLUTION_COUPLED =
  {
    RSSCOPE_ATTR_ZVC_RESOLUTION_COUPLED,
    "ZVC Resolution Coupled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:RESC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_NAME =
  {
    RSSCOPE_ATTR_ZVC_NAME,
    "ZVC Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:ID:NAME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_PART_NUMBER =
  {
    RSSCOPE_ATTR_ZVC_PART_NUMBER,
    "ZVC Part Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:ID:PART?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "partNumber",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_SERIAL_NUMBER =
  {
    RSSCOPE_ATTR_ZVC_SERIAL_NUMBER,
    "ZVC Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:ID:SRN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "srn",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_FIRMWARE =
  {
    RSSCOPE_ATTR_ZVC_FIRMWARE,
    "ZVC Firmware",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:ID:SWV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "firmware",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_ENABLED =
  {
    RSSCOPE_ATTR_ZVC_I_ENABLED,
    "ZVC I Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_BANDWIDTH =
  {
    RSSCOPE_ATTR_ZVC_I_BANDWIDTH,
    "ZVC I Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:BAND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_IMPEDANCE =
  {
    RSSCOPE_ATTR_ZVC_I_IMPEDANCE,
    "ZVC I Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngZVCImpedance, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:IMP",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_OFFSET =
  {
    RSSCOPE_ATTR_ZVC_I_OFFSET,
    "ZVC I Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCOffset, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_DESKEW_OFFSET =
  {
    RSSCOPE_ATTR_ZVC_I_DESKEW_OFFSET,
    "ZVC I Deskew Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCDeskewOffset, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SKEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_RESET_OVERLOAD =
  {
    RSSCOPE_ATTR_ZVC_I_RESET_OVERLOAD,
    "ZVC I Reset Overload",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsScope_rngZVCResetOverload, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:OVER:RSTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ZVC_RESET_OVERLOAD_ORIGINAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_OVERLOAD_DETECTED =
  {
    RSSCOPE_ATTR_ZVC_I_OVERLOAD_DETECTED,
    "ZVC I Overload Detected",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:OVER:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_ZVC_I_VERTICAL_POSITION,
    "ZVC I Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCVerticalPosition, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_VERTICAL_SCALE =
  {
    RSSCOPE_ATTR_ZVC_I_VERTICAL_SCALE,
    "ZVC I Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCVerticalScale, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_SHUNT_MODE =
  {
    RSSCOPE_ATTR_ZVC_I_SHUNT_MODE,
    "ZVC I Shunt Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngZVCShuntMode, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SHUN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ZVC_SHUNT_MODE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_SHUNT_EXTERNAL_VALUE =
  {
    RSSCOPE_ATTR_ZVC_I_SHUNT_EXTERNAL_VALUE,
    "ZVC I Shunt External Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCShuntExternalValue, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SHUN:EVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_SHUNT_INTERNAL_MAXIMUM =
  {
    RSSCOPE_ATTR_ZVC_I_SHUNT_INTERNAL_MAXIMUM,
    "ZVC I Shunt Internal Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngZVCShuntIntMax, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SHUN:MAXC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ZVC_SHUNT_MAX_A100R01,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_SHUNT_MAXIMUM_CURRENT =
  {
    RSSCOPE_ATTR_ZVC_I_SHUNT_MAXIMUM_CURRENT,
    "ZVC I Shunt Maximum Current",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SHUN:MXCV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_SHUNT_EXTERNAL_MAXIMUM_VOLTAGE =
  {
    RSSCOPE_ATTR_ZVC_I_SHUNT_EXTERNAL_MAXIMUM_VOLTAGE,
    "ZVC I Shunt External Maximum Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngZVCShuntExtMaxVoltage, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:SHUN:MAXV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ZVC_SHUNT_MAX_VOLTAGE_V450,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_DETECT =
  {
    RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_DETECT,
    "ZVC I Zero Offset Detect",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:ZERC:DET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_USE =
  {
    RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_USE,
    "ZVC I Zero Offset Use",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:ZERC:USE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_STATUS =
  {
    RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_STATUS,
    "ZVC I Zero Offset Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:I{ZVCI}:ZERC:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_ENABLED =
  {
    RSSCOPE_ATTR_ZVC_V_ENABLED,
    "ZVC V Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_BANDWIDTH =
  {
    RSSCOPE_ATTR_ZVC_V_BANDWIDTH,
    "ZVC V Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:BAND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_IMPEDANCE =
  {
    RSSCOPE_ATTR_ZVC_V_IMPEDANCE,
    "ZVC V Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngZVCImpedance, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:IMP",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_OFFSET =
  {
    RSSCOPE_ATTR_ZVC_V_OFFSET,
    "ZVC V Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCOffset, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_DESKEW_OFFSET =
  {
    RSSCOPE_ATTR_ZVC_V_DESKEW_OFFSET,
    "ZVC V Deskew Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCDeskewOffset, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:SKEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_RESET_OVERLOAD =
  {
    RSSCOPE_ATTR_ZVC_V_RESET_OVERLOAD,
    "ZVC V Reset Overload",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:OVER:RSTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_OVERLOAD_DETECTED =
  {
    RSSCOPE_ATTR_ZVC_V_OVERLOAD_DETECTED,
    "ZVC V Overload Detected",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:OVER:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_ZVC_V_VERTICAL_POSITION,
    "ZVC V Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCVerticalPosition, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZVC_V_VERTICAL_SCALE =
  {
    RSSCOPE_ATTR_ZVC_V_VERTICAL_SCALE,
    "ZVC V Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngZVCVerticalScale, NULL,
    "ZVC:Z{ZVCZ}:V{ZVCV}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_STATE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_STATE,
    "Trigger Input Probe State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProbeState, NULL, NULL,
    "TRPR:SET:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_STATE_NDET,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_TYPE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_TYPE,
    "Trigger Input Probe Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:SET:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_NAME =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_NAME,
    "Trigger Input Probe Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:SET:NAME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_INPUT_IMPEDANCE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_INPUT_IMPEDANCE,
    "Trigger Input Probe Input Impedance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:SET:IMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_INPUT_CAPACITANCE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_INPUT_CAPACITANCE,
    "Trigger Input Probe Input Capacitance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:SET:CAP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATION =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATION,
    "Trigger Input Probe Attenuation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:SET:ATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_BANDWIDTH =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_BANDWIDTH,
    "Trigger Input Probe Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:SET:BAND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_SET_OFFSET_TO_MEAN =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_SET_OFFSET_TO_MEAN,
    "Trigger Input Probe Set Offset To Mean",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRPR:SET:OFFS:TOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_AUTO_ZERO =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_AUTO_ZERO,
    "Trigger Input Probe Auto Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRPR:SET:OFFS:AZER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_CM_OFFSET =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_CM_OFFSET,
    "Trigger Input Probe CM Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProbeCMOffset, NULL,
    "TRPR:SET:CMOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATOR_ZA15 =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATOR_ZA15,
    "Trigger Input Probe Probe attenuator RT ZA15",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRPR:SET:ZAXV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_MICRO_BUTTON_ACTION =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_MICRO_BUTTON_ACTION,
    "Trigger Input Probe Micro Button Action",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeButtonAction, NULL, NULL,
    "TRPR:SET:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_BUTTON_RUN_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_SOFTWARE_VERSION =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_SOFTWARE_VERSION,
    "Trigger Input Probe Software Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:ID:SWV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_PRODUCTION_DATE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_PRODUCTION_DATE,
    "Trigger Input Probe Production Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:ID:PRD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_PART_NUMBER =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_PART_NUMBER,
    "Trigger Input Probe Part Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:ID:PART?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_SERIAL_NUMBER =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_SERIAL_NUMBER,
    "Trigger Input Probe Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:ID:SRN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_PATH =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_PATH,
    "Trigger Input Probe Firmware Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:SERV:FW:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_UPDATE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_UPDATE,
    "Trigger Input Probe Firmware Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRPR:SERV:FW:FLAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_UPDATE_STATUS =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_UPDATE_STATUS,
    "Trigger Input Probe Firmware Update Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProbeFirmwareUpdateStatus, NULL, NULL,
    "TRPR:SERV:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_FIRMWARE_UPDATE_STATUS_UNKNOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST,
    "Trigger Input Probe Selftest",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRPR:SERV:STES:RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST_STATUS =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST_STATUS,
    "Trigger Input Probe Selftest Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProbeSelftestStatus, NULL, NULL,
    "TRPR:SERV:STES:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_SELFTEST_STATUS_UNDEFINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST_RESULT,
    "Trigger Input Probe Selftest Result",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRPR:SERV:STES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_DETECTION_MODE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_DETECTION_MODE,
    "Trigger Input Probe Detection Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAutoManual, NULL, NULL,
    "TRPR:SET:ATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATION_MANUAL =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATION_MANUAL,
    "Trigger Input Probe Attenuation Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAttenuation, NULL,
    "TRPR:SET:ATT:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_VERTICAL_UNIT =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_VERTICAL_UNIT,
    "Trigger Input Probe Vertical Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAttUnits, NULL, NULL,
    "TRPR:SET:ATT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ATT_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_GAIN_MANUAL =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_GAIN_MANUAL,
    "Trigger Input Probe Gain Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProbeGainManual, NULL,
    "TRPR:SET:GAIN:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_DETECTED_PROBE_GAIN =
  {
    RSSCOPE_ATTR_TRIGGER_DETECTED_PROBE_GAIN,
    "Trigger Input Detected Probe Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:SET:GAIN:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PROBE_PREDEFINED_CURRENT_PROBE =
  {
    RSSCOPE_ATTR_TRIGGER_PROBE_PREDEFINED_CURRENT_PROBE,
    "Trigger Input Probe Predefined Current Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbePredefinedCurrent, NULL, NULL,
    "TRPR:SET:ATT:DEFP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_FREE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_COUPLING_AC =
  {
    RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_COUPLING_AC,
    "Trigger Input Probe Coupling AC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRPR:SET:ACC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_RT_ZHD_OVERRANGE_BUZZER =
  {
    RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_RT_ZHD_OVERRANGE_BUZZER,
    "Trigger Input Probe RT-ZHD Overrange Buzzer",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRPR:SET:ADV:AUD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_RT_ZHD_BANDWIDTH_LIMIT =
  {
    RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_RT_ZHD_BANDWIDTH_LIMIT,
    "Trigger Input Probe RT-ZHD Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRPR:SET:ADV:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_DEGAUSS =
  {
    RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_DEGAUSS,
    "Trigger Input Probe Degauss",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRPR:SET:DEG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_MODE =
  {
    RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_MODE,
    "Trigger Input Probe Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngModularProbeMode, NULL, NULL,
    "TRPR:SET:PRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_MODE_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_ENABLED =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_ENABLED,
    "Trigger Input Probe Meter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRPR:PMET:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_DISPLAY_DIFF =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_DISPLAY_DIFF,
    "Trigger Display Diff",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "TRPR:SET:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_DIFFERENTIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_VISIBILITY =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_VISIBILITY,
    "Trigger Visibility",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRPR:PMET:VIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_COMMON_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_COMMON_RESULT,
    "Trigger Common Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:PMET:RES:COMM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMATER_MEASUREMENT_DIFFERENTIAL_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_PMATER_MEASUREMENT_DIFFERENTIAL_RESULT,
    "Trigger Differential Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:PMET:RES:DIFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_POSITIVE_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_POSITIVE_RESULT,
    "Trigger Single Ended Positive Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:PMET:RES:POS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_NEGATIVE_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_NEGATIVE_RESULT,
    "Trigger Single Ended Negative Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:PMET:RES:NEG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_SINGLE_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_SINGLE_RESULT,
    "Trigger Single Ended Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRPR:PMET:RES:SING?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_ENABLED =
  {
    RSSCOPE_ATTR_CHANNEL_ENABLED,
    "Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_VERTICAL_RANGE =
  {
    RSSCOPE_ATTR_VERTICAL_RANGE,
    "Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.04,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_VERTICAL_OFFSET =
  {
    RSSCOPE_ATTR_VERTICAL_OFFSET,
    "Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngVerticalOffset, NULL,
    "CHAN{Channel}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_INVERT =
  {
    RSSCOPE_ATTR_CHANNEL_INVERT,
    "Channel Invert",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_VERTICAL_COUPLING =
  {
    RSSCOPE_ATTR_VERTICAL_COUPLING,
    "Vertical Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngVerticalCoupling, NULL, NULL,
    "CHAN{Channel}:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_VERTICAL_SCALE =
  {
    RSSCOPE_ATTR_VERTICAL_SCALE,
    "Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_OFFSET =
  {
    RSSCOPE_ATTR_CHANNEL_OFFSET,
    "Channel Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_BANDWIDTH_LIMIT =
  {
    RSSCOPE_ATTR_CHANNEL_BANDWIDTH_LIMIT,
    "Channel Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngChannelBWLimit, NULL, NULL,
    "CHAN{Channel}:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BW_FULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_OVERLOAD =
  {
    RSSCOPE_ATTR_CHANNEL_OVERLOAD,
    "Channel Overload",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:OVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_ANTIALIASING =
  {
    RSSCOPE_ATTR_CHANNEL_ANTIALIASING,
    "Channel Antialiasing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAntialiasing, NULL, NULL,
    "CHAN{Channel}:AAFP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ANTIALIASING_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INPUT_IMPEDANCE =
  {
    RSSCOPE_ATTR_INPUT_IMPEDANCE,
    "Input Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngInputImpedance, NULL,
    "CHAN{Channel}:IMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GROUND_CONNECTION_ENABLED =
  {
    RSSCOPE_ATTR_GROUND_CONNECTION_ENABLED,
    "Ground Connection Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:GND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIGITAL_FILTER_STATE =
  {
    RSSCOPE_ATTR_DIGITAL_FILTER_STATE,
    "Digital Filter State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:DIGF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIGITAL_FILTER_CUT_OFF =
  {
    RSSCOPE_ATTR_DIGITAL_FILTER_CUT_OFF,
    "Digital Filter Cut Off",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngDSPCutOff, NULL,
    "CHAN{Channel}:DIGF:CUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_ATTENUATION_SCALE =
  {
    RSSCOPE_ATTR_EXTERNAL_ATTENUATION_SCALE,
    "External Attenuation Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEATScale, NULL, NULL,
    "CHAN{Channel}:EATS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EAT_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_ATTENUATION_VALUE =
  {
    RSSCOPE_ATTR_EXTERNAL_ATTENUATION_VALUE,
    "External Attenuation Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:EATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.00,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_STATE =
  {
    RSSCOPE_ATTR_WAVEFORM_STATE,
    "Waveform State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_HEADER =
  {
    RSSCOPE_ATTR_WAVEFORM_HEADER,
    "Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ACQUISITION_TYPE =
  {
    RSSCOPE_ATTR_ACQUISITION_TYPE,
    "Acquisition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAcquisitionType, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_ACQUISITION_TYPE =
  {
    RSSCOPE_ATTR_WAVEFORM_ACQUISITION_TYPE,
    "Waveform Acquisition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformArithmetics, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:ARIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_ACQUISITION_COUPLE_CHANNELS_ENABLED =
  {
    RSSCOPE_ATTR_WAVEFORM_ACQUISITION_COUPLE_CHANNELS_ENABLED,
    "Waveform Acquisition Couple Channels Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:CDTA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MULTIWAVEFORM_ACQUISITION_ENABLED =
  {
    RSSCOPE_ATTR_MULTIWAVEFORM_ACQUISITION_ENABLED,
    "Multiwaveform Acquisition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ACQ:MUW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SKEW_OFFSET_STATE =
  {
    RSSCOPE_ATTR_SKEW_OFFSET_STATE,
    "Skew Offset State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:SKEW:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SKEW_OFFSET =
  {
    RSSCOPE_ATTR_SKEW_OFFSET,
    "Skew Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngSkewOffset, NULL,
    "CHAN{Channel}:SKEW:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SKEW_EXTENSION_STATE =
  {
    RSSCOPE_ATTR_SKEW_EXTENSION_STATE,
    "Skew Extension State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:SKEW:EXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROBE_SKEW_STATE =
  {
    RSSCOPE_ATTR_PROBE_SKEW_STATE,
    "Probe Skew State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PROB:SKES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_COUPLE_VERTICAL_CHANNEL_SETTINGS_ENABLED =
  {
    RSSCOPE_ATTR_COUPLE_VERTICAL_CHANNEL_SETTINGS_ENABLED,
    "Couple Vertical Channel Settings Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:CPL C{CoupledChannel},",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUERY_VERTICAL_CHANNEL_SETTINGS_COUPLED =
  {
    RSSCOPE_ATTR_QUERY_VERTICAL_CHANNEL_SETTINGS_COUPLED,
    "Query Vertical Channel Settings Coupled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:CPL? C{CoupledChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_STATE =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_STATE,
    "Differential Signal State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIFF{DifferentialSignal}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_POSITIVE_INPUT =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_POSITIVE_INPUT,
    "Differential Signal Positive Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDifferentialInput, NULL, NULL,
    "DIFF{DifferentialSignal}:PSIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DIFFERENTIAL_INPUT_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_NEGATIVE_INPUT =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_NEGATIVE_INPUT,
    "Differential Signal Negative Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDifferentialInput, NULL, NULL,
    "DIFF{DifferentialSignal}:NSIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DIFFERENTIAL_INPUT_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_OUTPUT_A =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_OUTPUT_A,
    "Differential Signal Output A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDifferentialOutput, NULL, NULL,
    "DIFF{DifferentialSignal}:AOUT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DIFFERENTIAL_OUTPUT_DIFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_OUTPUT_B =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_OUTPUT_B,
    "Differential Signal Output B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDifferentialOutput, NULL, NULL,
    "DIFF{DifferentialSignal}:BOUT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DIFFERENTIAL_OUTPUT_COMMON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_OFFSET =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_COMMON_OFFSET,
    "Differential Common Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDifferentialCommonOffset, NULL,
    "DIFF{DifferentialSignal}:COMM:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_OFFSET =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_OFFSET,
    "Differential Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDifferentialCommonOffset, NULL,
    "DIFF{DifferentialSignal}:DIFF:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_POSITION =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_COMMON_POSITION,
    "Differential Common Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDifferentialPosition, NULL,
    "DIFF{DifferentialSignal}:COMM:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_POSITION =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_POSITION,
    "Differential Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDifferentialPosition, NULL,
    "DIFF{DifferentialSignal}:DIFF:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_SCALE =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_COMMON_SCALE,
    "Differential Common Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDifferentialScale, NULL,
    "DIFF{DifferentialSignal}:COMM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_SCALE =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_SCALE,
    "Differential Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDifferentialScale, NULL,
    "DIFF{DifferentialSignal}:DIFF:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_ENABLED =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_COMMON_ENABLED,
    "Differential Common Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIFF{DifferentialSignal}:COMM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_ENABLED =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_ENABLED,
    "Differential Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIFF{DifferentialSignal}:DIFF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_NEGATIVE_SIGNAL_ENABLED =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_NEGATIVE_SIGNAL_ENABLED,
    "Differential Negative Signal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIFF{DifferentialSignal}:NSIG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_POSITIVE_SIGNAL_ENABLED =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_POSITIVE_SIGNAL_ENABLED,
    "Differential Positive Signal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIFF{DifferentialSignal}:PSIG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIFFERENTIAL_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_DIFFERENTIAL_COUPLING_ENABLED,
    "Differential Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIFF{DifferentialSignal}:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIGH_DEFINITION_ENABLED =
  {
    RSSCOPE_ATTR_HIGH_DEFINITION_ENABLED,
    "High Definition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HDEF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIGH_DEFINITION_BANDWIDTH =
  {
    RSSCOPE_ATTR_HIGH_DEFINITION_BANDWIDTH,
    "High Definition Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngHighDefinitionBandwidth, NULL,
    "HDEF:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIGH_DEFINITION_RESOLUTION =
  {
    RSSCOPE_ATTR_HIGH_DEFINITION_RESOLUTION,
    "High Definition Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HDEF:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_TRIGGER_TYPE,
    "Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerType, NULL, NULL,
    "TRIG{Trigger}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EDGE_TRIGGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SOURCE =
  {
    RSSCOPE_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSource, NULL, NULL,
    "TRIG{Trigger}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SERIAL_BUS_SOURCE =
  {
    RSSCOPE_ATTR_TRIGGER_SERIAL_BUS_SOURCE,
    "Trigger Serial Bus Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerSerialBus, NULL, NULL,
    "TRIG{Trigger}:SOUR:SBS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIAL_BUS_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_MODIFIER =
  {
    RSSCOPE_ATTR_TRIGGER_MODIFIER,
    "Trigger Modifier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerMode, NULL, NULL,
    "TRIG{Trigger}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_LEVEL_AUTO_FIND =
  {
    RSSCOPE_ATTR_TRIGGER_LEVEL_AUTO_FIND,
    "Trigger Level Auto Find",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EVENT_COUPLING =
  {
    RSSCOPE_ATTR_TRIGGER_EVENT_COUPLING,
    "Trigger Event Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ECO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SOURCE_COUPLING =
  {
    RSSCOPE_ATTR_TRIGGER_SOURCE_COUPLING,
    "Trigger Source Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_LINES_DISPLAY =
  {
    RSSCOPE_ATTR_TRIGGER_LINES_DISPLAY,
    "Trigger Lines Display",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:TRIG:LIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_OUT_STATE =
  {
    RSSCOPE_ATTR_TRIGGER_OUT_STATE,
    "Trigger Out State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:OUT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_OUT_ACTION =
  {
    RSSCOPE_ATTR_TRIGGER_OUT_ACTION,
    "Trigger Out Action",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerOutAction, NULL, NULL,
    "TRIG{Trigger}:OUT:ACT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_OUT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_OUT_POLARITY =
  {
    RSSCOPE_ATTR_TRIGGER_OUT_POLARITY,
    "Trigger Out Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG:OUT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_OUT_PULSE_LENGTH =
  {
    RSSCOPE_ATTR_TRIGGER_OUT_PULSE_LENGTH,
    "Trigger Out Pulse Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngTriggerOutPulseLength, NULL,
    "TRIG:OUT:PLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_OUT_DELAY =
  {
    RSSCOPE_ATTR_TRIGGER_OUT_DELAY,
    "Trigger Out Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:OUT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.8E-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EVENT_BEEP =
  {
    RSSCOPE_ATTR_TRIGGER_EVENT_BEEP,
    "Trigger Event Beep",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerEvent, NULL, NULL,
    "TRIG:EVEN:BEEP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EVENT_PRINT =
  {
    RSSCOPE_ATTR_TRIGGER_EVENT_PRINT,
    "Trigger Event Print",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerEvent, NULL, NULL,
    "TRIG:EVEN:PRIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EVENT_SAVE_WAVEFORM =
  {
    RSSCOPE_ATTR_TRIGGER_EVENT_SAVE_WAVEFORM,
    "Trigger Event Save Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerEvent, NULL, NULL,
    "TRIG:EVEN:WFMS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EVENT_RUN_EXTERNAL_APPLICATION =
  {
    RSSCOPE_ATTR_TRIGGER_EVENT_RUN_EXTERNAL_APPLICATION,
    "Trigger Event Run External Application",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerEvent, NULL, NULL,
    "TRIG:EVEN:RUN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EVENT_TRIGGER_OUT =
  {
    RSSCOPE_ATTR_TRIGGER_EVENT_TRIGGER_OUT,
    "Trigger Event Trigger Out",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerEventTriggerOut, NULL, NULL,
    "TRIG:EVEN:TRIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_EVENT_TRIGGER_OUT_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_EXTERNAL_OVERLOAD =
  {
    RSSCOPE_ATTR_TRIGGER_EXTERNAL_OVERLOAD,
    "Trigger External Overload",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EXT:OVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIGITAL_FILTER_TRIGGER_COUPLING =
  {
    RSSCOPE_ATTR_DIGITAL_FILTER_TRIGGER_COUPLING,
    "Digital Filter Trigger Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngDSPTriggCoupling, NULL, NULL,
    "TRIG{Trigger}:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DSP_TRIGGER_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIGH_FREQUENCY_REJECT_TRIGGER_STATE =
  {
    RSSCOPE_ATTR_HIGH_FREQUENCY_REJECT_TRIGGER_STATE,
    "High Frequency Reject Trigger State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTE",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_AC_POWER_INPUT_SLOPE =
  {
    RSSCOPE_ATTR_TRIGGER_AC_POWER_INPUT_SLOPE,
    "Trigger AC Power Input Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerACPowerInputSlope, NULL, NULL,
    "TRIG{Trigger}:POW:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTE",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_TRIGGER_LEVEL,
    "Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIGITAL_FILTER_TRIGGER_RF_REJECT =
  {
    RSSCOPE_ATTR_DIGITAL_FILTER_TRIGGER_RF_REJECT,
    "Digital Filter Trigger RF Reject",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngDSPTriggRFReject, NULL,
    "TRIG{Trigger}:RFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_COUPLING =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_COUPLING,
    "External Trigger Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerCoupling, NULL, NULL,
    "TRIG:ANED:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SLOPE =
  {
    RSSCOPE_ATTR_TRIGGER_SLOPE,
    "Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIG{Trigger}:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_LEVEL,
    "External Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:LEV5",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER_CUT_OFF_FREQUENCY_HIGHPASS =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER_CUT_OFF_FREQUENCY_HIGHPASS,
    "External Trigger Filter Cut Off Frequency Highpass",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCutOffFrequency, NULL, NULL,
    "TRIG:ANED:CUT:HIGH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CUTOFF_KHZ50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER_CUT_OFF_FREQUENCY_LOWPASS =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER_CUT_OFF_FREQUENCY_LOWPASS,
    "External Trigger Filter Cut Off Frequency Lowpass",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCutOffFrequency, NULL, NULL,
    "TRIGger1:ANED:CUT:LOWP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CUTOFF_KHZ50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER,
    "External Trigger Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFilterType, NULL, NULL,
    "TRIG:ANED:FILT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FILTER_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_GROUND_CONNECTION_ENABLED =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_GROUND_CONNECTION_ENABLED,
    "External Trigger Ground Connection Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:ANED:GND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_SLOPE =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_SLOPE,
    "External Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG:ANED:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_NOISE_REJECT =
  {
    RSSCOPE_ATTR_EXTERNAL_TRIGGER_NOISE_REJECT,
    "External Trigger Noise Reject",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIGger1:ANED:NREJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUNT_CONDITION =
  {
    RSSCOPE_ATTR_RUNT_CONDITION,
    "Runt Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRuntCondition, NULL, NULL,
    "TRIG{Trigger}:RUNT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUNT_WIDTH =
  {
    RSSCOPE_ATTR_RUNT_WIDTH,
    "Runt Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG{Trigger}:RUNT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUNT_DELTA =
  {
    RSSCOPE_ATTR_RUNT_DELTA,
    "Runt Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RUNT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUNT_POLARITY =
  {
    RSSCOPE_ATTR_RUNT_POLARITY,
    "Runt Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIG{Trigger}:RUNT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUNT_HIGH_THRESHOLD =
  {
    RSSCOPE_ATTR_RUNT_HIGH_THRESHOLD,
    "Runt High Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:RUNT:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUNT_LOW_THRESHOLD =
  {
    RSSCOPE_ATTR_RUNT_LOW_THRESHOLD,
    "Runt Low Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:RUNT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GLITCH_WIDTH =
  {
    RSSCOPE_ATTR_GLITCH_WIDTH,
    "Glitch Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG{Trigger}:GLIT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GLITCH_POLARITY =
  {
    RSSCOPE_ATTR_GLITCH_POLARITY,
    "Glitch Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIG{Trigger}:GLIT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GLITCH_CONDITION =
  {
    RSSCOPE_ATTR_GLITCH_CONDITION,
    "Glitch Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngGlitchCondition, NULL, NULL,
    "TRIG{Trigger}:GLIT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WIDTH_CONDITION =
  {
    RSSCOPE_ATTR_WIDTH_CONDITION,
    "Width Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "TRIG{Trigger}:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WIDTH =
  {
    RSSCOPE_ATTR_WIDTH,
    "Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WIDTH_DELTA =
  {
    RSSCOPE_ATTR_WIDTH_DELTA,
    "Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WIDTH_POLARITY =
  {
    RSSCOPE_ATTR_WIDTH_POLARITY,
    "Width Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG{Trigger}:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WINDOW_CONDITION =
  {
    RSSCOPE_ATTR_WINDOW_CONDITION,
    "Window Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWindowCondition, NULL, NULL,
    "TRIG{Trigger}:WIND:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ENTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WINDOW_WIDTH =
  {
    RSSCOPE_ATTR_WINDOW_WIDTH,
    "Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG{Trigger}:WIND:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WINDOW_DELTA =
  {
    RSSCOPE_ATTR_WINDOW_DELTA,
    "Window Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:WIND:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WINDOW_TIME_CONDITION =
  {
    RSSCOPE_ATTR_WINDOW_TIME_CONDITION,
    "Window Time Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "TRIG{Trigger}:WIND:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WINDOW_UPPER_LIMIT =
  {
    RSSCOPE_ATTR_WINDOW_UPPER_LIMIT,
    "Window Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:WIND:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WINDOW_LOWER_LIMIT =
  {
    RSSCOPE_ATTR_WINDOW_LOWER_LIMIT,
    "Window Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:WIND:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TIMEOUT_CONDITION =
  {
    RSSCOPE_ATTR_TIMEOUT_CONDITION,
    "Timeout Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimeoutCondition, NULL, NULL,
    "TRIG{Trigger}:TIMeout:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMEOUT_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TIMEOUT_VALUE =
  {
    RSSCOPE_ATTR_TIMEOUT_VALUE,
    "Timeout Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG{Trigger}:TIMeout:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INTERVAL_CONDITION =
  {
    RSSCOPE_ATTR_INTERVAL_CONDITION,
    "Interval Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "TRIG{Trigger}:INT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OUTSIDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INTERVAL_WIDTH =
  {
    RSSCOPE_ATTR_INTERVAL_WIDTH,
    "Interval Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG{Trigger}:INT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INTERVAL_DELTA =
  {
    RSSCOPE_ATTR_INTERVAL_DELTA,
    "Interval Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:INT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INTERVAL_POLARITY =
  {
    RSSCOPE_ATTR_INTERVAL_POLARITY,
    "Interval Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG{Trigger}:INT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SLEW_CONDITION =
  {
    RSSCOPE_ATTR_SLEW_CONDITION,
    "Slew Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSlewCondition, NULL, NULL,
    "TRIG{Trigger}:SLEW:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OUTSIDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SLEW_RATE =
  {
    RSSCOPE_ATTR_SLEW_RATE,
    "Slew Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG{Trigger}:SLEW:RATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SLEW_DELTA =
  {
    RSSCOPE_ATTR_SLEW_DELTA,
    "Slew Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SLEW:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SLEW_POLARITY =
  {
    RSSCOPE_ATTR_SLEW_POLARITY,
    "Slew Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG{Trigger}:SLEW:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SLEW_UPPER_LIMIT =
  {
    RSSCOPE_ATTR_SLEW_UPPER_LIMIT,
    "Slew Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:SLEW:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SLEW_LOWER_LIMIT =
  {
    RSSCOPE_ATTR_SLEW_LOWER_LIMIT,
    "Slew Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:SLEW:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DATA2CLOCK_SIGNAL_EDGE =
  {
    RSSCOPE_ATTR_DATA2CLOCK_SIGNAL_EDGE,
    "Data2Clock Signal Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngClockSignalEdge, NULL, NULL,
    "TRIG:SETH:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CLOCK_SIGNAL_EDGE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DATA2CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_DATA2CLOCK_SOURCE,
    "Data2Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSourceChannelOnly, NULL, NULL,
    "TRIG:SETH:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DATA2CLOCK_LEVEL =
  {
    RSSCOPE_ATTR_DATA2CLOCK_LEVEL,
    "Data2Clock Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG1:SETH:CSO:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DATA2CLOCK_HOLD_TIME =
  {
    RSSCOPE_ATTR_DATA2CLOCK_HOLD_TIME,
    "Data2Clock Hold Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:SETH:HTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DATA2CLOCK_SETUP_TIME =
  {
    RSSCOPE_ATTR_DATA2CLOCK_SETUP_TIME,
    "Data2Clock Setup Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:SETH:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DATA2CLOCK_POLARITY =
  {
    RSSCOPE_ATTR_DATA2CLOCK_POLARITY,
    "Data2Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG:DAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_MODE =
  {
    RSSCOPE_ATTR_PATTERN_MODE,
    "Pattern Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPatternMode, NULL, NULL,
    "TRIG:PATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_TIMEOUT_MODE =
  {
    RSSCOPE_ATTR_PATTERN_TIMEOUT_MODE,
    "Pattern Timeout Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPatternTimeoutMode, NULL, NULL,
    "TRIG:PATT:TIM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_TIMEOUT_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_TIMEOUT =
  {
    RSSCOPE_ATTR_PATTERN_TIMEOUT,
    "Pattern Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG:PATT:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PATTERN_CONDITION,
    "Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "TRIG:PATT:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OUTSIDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_WIDTH =
  {
    RSSCOPE_ATTR_PATTERN_WIDTH,
    "Pattern Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWidth, NULL,
    "TRIG:PATT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_DELTA =
  {
    RSSCOPE_ATTR_PATTERN_DELTA,
    "Pattern Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:PATT:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_SOURCE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_SOURCE,
    "Serial Pattern Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngClockSource, NULL, NULL,
    "TRIG:SPAT:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_LEVEL =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_LEVEL,
    "Serial Pattern Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:SPAT:CSO:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN,
    "Serial Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SPAT:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_POLARITY =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_POLARITY,
    "Serial Pattern Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG:SPAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_TYPE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_TYPE,
    "Serial Pattern Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSerialPatternType, NULL, NULL,
    "TRIG:SERP:PTMD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIAL_PATTERN_MODE_SBP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_REFERENCE_SOURCE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_REFERENCE_SOURCE,
    "Serial Pattern Reference Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSerialPatternReferenceSource, NULL, NULL,
    "TRIG{Trigger}:SPAT:REFS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIAL_PATTERN_REFERENCE_SOURCE_CDR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_A =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_A,
    "Serial Pattern Bit Pattern A",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:BITP:APAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_B =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_B,
    "Serial Pattern Bit Pattern B",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:BITP:BPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_LENGTH_A =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_LENGTH_A,
    "Serial Pattern Bit Pattern Length A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngBitPatternLength, NULL,
    "TRIG:SERP:BITP:PTAL",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_LENGTH_B =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_LENGTH_B,
    "Serial Pattern Bit Pattern Length B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngBitPatternLength, NULL,
    "TRIG:SERP:BITP:PTBL",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_TYPE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_TYPE,
    "Serial Pattern Complex Word Alignment Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngComplexWordAlignmentType, NULL, NULL,
    "TRIG:SERP:COMP:SOFS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COMPLEX_WORD_ALIGNMENT_PATTERN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_LENGTH =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_LENGTH,
    "Serial Pattern Complex Word Alignment Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngComplexWordLength, NULL,
    "TRIG:SERP:COMP:SOFL",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_PATTERN,
    "Serial Pattern Complex Word Alignment Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:COMP:SOFP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_TIMEOUT =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_TIMEOUT,
    "Serial Pattern Complex Word Alignment Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngComplexWordAlignmentTimeout, NULL,
    "TRIG:SERP:COMP:SOFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_IDLE_RANGE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_IDLE_RANGE,
    "Serial Pattern Complex Word Idle Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngComplexWordIdleRange, NULL, NULL,
    "TRIG:SERP:COMP:IDLR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COMPLEX_WORD_IDLE_OUT_OF_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_LOGIC =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_LOGIC,
    "Serial Pattern Complex Word Logic",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngConditionAndOr, NULL, NULL,
    "TRIG:SERP:COMP:CLOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CONDITIONS_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_BIT_ORDER =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_BIT_ORDER,
    "Serial Pattern Complex Word Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngComplexWordBitOrder, NULL, NULL,
    "TRIG:SERP:COMP:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COMPLEX_WORD_MOST_FIRST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_CONDITION_ENABLED =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_CONDITION_ENABLED,
    "Serial Pattern Complex Word Condition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_BIT_OFFSET =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_BIT_OFFSET,
    "Serial Pattern Complex Word Bit Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngComplexWordBitOffset, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:BOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_LENGTH =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_LENGTH,
    "Serial Pattern Complex Word Pattern Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngComplexWordPatternLength, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:PATL",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_SEARCH_RANGE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_SEARCH_RANGE,
    "Serial Pattern Complex Word Search Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngComplexWordSearchRange, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:SRNG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_CONDITION,
    "Serial Pattern Complex Word Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngComplexWordPatternCondition, NULL, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:PCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COMPLEX_PATTERN_CONDITION_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN,
    "Serial Pattern Complex Word Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:FRPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_RANGE_END =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_RANGE_END,
    "Serial Pattern Complex Word Pattern Range End",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:COMP:PATT{ComplexCondition}:TOPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_ERROR_RATE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_ERROR_RATE,
    "Serial Pattern PRBS Error Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPRBSErrorRate, NULL,
    "TRIG:SERP:PRBS:ERAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_NOMINAL_BIT_RATE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_NOMINAL_BIT_RATE,
    "Serial Pattern PRBS Nominal Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPRBSNominalBitRate, NULL,
    "TRIG:SERP:PRBS:NBRT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_SEQUENCE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_SEQUENCE,
    "Serial Pattern PRBS Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPRBSSequence, NULL, NULL,
    "TRIG:SERP:PRBS:PSEQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PRBS_SEQUENCE_PRBS7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_ALIGNMENT_SYMBOL =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_ALIGNMENT_SYMBOL,
    "Serial Pattern EbTb Alignment Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbAlignmentSymbol, NULL, NULL,
    "TRIG:SERP:EBTB:ALIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_ALIGNMENT_SYMBOL_K285,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_SCRAMBLING =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_SCRAMBLING,
    "Serial Pattern EbTb Scrambling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbScrambling, NULL, NULL,
    "TRIG:SERP:EBTB:SCRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_UNSCRABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_KD_SYMBOL =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_KD_SYMBOL,
    "Serial Pattern EbTb K/D Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:SYMB{EbTbSymbol}:KDSY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_EIGHT_BIT_VALUE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_EIGHT_BIT_VALUE,
    "Serial Pattern EbTb Eight Bit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:SYMB{EbTbSymbol}:EBIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#H00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_TEN_BIT_D_PLUS =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_TEN_BIT_D_PLUS,
    "Serial Pattern EbTb Ten Bit D Plus",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:SYMB{EbTbSymbol}:DPL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_TEN_BIT_D_MINUS =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_TEN_BIT_D_MINUS,
    "Serial Pattern EbTb Ten Bit D Minus",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:SYMB{EbTbSymbol}:DMIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_APPEND_ROW =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_APPEND_ROW,
    "Serial Pattern EbTb Append Row",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:APP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_ROW_COUNT =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_ROW_COUNT,
    "Serial Pattern EbTb Row Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_CLEAR_TABLE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_CLEAR_TABLE,
    "Serial Pattern EbTb Clear Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_DISPARITY_ERROR_ENABLED =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_DISPARITY_ERROR_ENABLED,
    "Serial Pattern EbTb Disparity Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:ERR:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_SYMBOL_ERROR_ENABLED =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_SYMBOL_ERROR_ENABLED,
    "Serial Pattern EbTb Symbol Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SERP:EBTB:ERR:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_FRAME_ID =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_FRAME_ID,
    "Serial Pattern EbTb Frame ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngFrameID, NULL, NULL,
    "TRIG:SERP:EBTB:FID",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_FRAME_ID_K280,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_ALIGNMENT_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I32B_ALIGNMENT_PATTERN,
    "Serial Pattern I32B Alignment Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:I32B:APAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#B11111111,#B00000000,#B11111111,#B00000000,#B11111111,#B00000000,#B11111111",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_START =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_START,
    "Serial Pattern I32B Skip Start",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:I32B:SSTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#B11001100",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_END =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_END,
    "Serial Pattern I32B Skip End",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:I32B:SSTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#B00110011",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_BYTES =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_BYTES,
    "Serial Pattern I32B Skip Bytes",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngI32BSkipBytes, NULL,
    "TRIG:SERP:I32B:SKAF",
    // Defaults I32, I64, Float, Bool, String
    3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_TYPE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I32B_TYPE,
    "Serial Pattern I32B Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngI32BType, NULL, NULL,
    "TRIG:SERP:I32B:SYMT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I32B_TYPE_DATA_BLOCK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I32B_PATTERN,
    "Serial Pattern I32B Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SERP:I32B:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_ALIGNMENT_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I30B_ALIGNMENT_PATTERN,
    "Serial Pattern I30B Alignment Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SERP:I30B:APAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#B11111111,#B00000000,#B11111111,#B00000000,#B11111111,#B00000000,#B11111111",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_START =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_START,
    "Serial Pattern I30B Skip Start",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SERP:I30B:SSTR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#B11001100",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_END =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_END,
    "Serial Pattern I30B Skip End",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SERP:I30B:SSTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#B11001100",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_BYTES =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_BYTES,
    "Serial Pattern I30B Skip Bytes",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngI30BSkipBytes, NULL,
    "TRIG{Trigger}:SERP:I30B:SKAF",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_TYPE =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I30B_TYPE,
    "Serial Pattern I30B Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngI30BType, NULL, NULL,
    "TRIG{Trigger}:SERP:I30B:SYMT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I30_B_TYPE_DAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_PATTERN =
  {
    RSSCOPE_ATTR_SERIAL_PATTERN_I30B_PATTERN,
    "Serial Pattern I30B Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SERP:I30B:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTP",
    "K140|K141",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NFC_TRIGGER_TECHNOLOGY =
  {
    RSSCOPE_ATTR_NFC_TRIGGER_TECHNOLOGY,
    "NFC Trigger Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngNFCTechnology, NULL, NULL,
    "TRIGger1:NFC:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NFC_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NFC_TRIGGER_BIT_RATE =
  {
    RSSCOPE_ATTR_NFC_TRIGGER_BIT_RATE,
    "NFC Trigger Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngNFCTriggerBitRate, NULL, NULL,
    "TRIGger1:NFC:BITR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NFC_BIT_RATE_106,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NFC_TRIGGER_EVENT =
  {
    RSSCOPE_ATTR_NFC_TRIGGER_EVENT,
    "NFC Trigger Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngNFCTriggerEvent, NULL, NULL,
    "TRIGger1:NFC:EVEN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NFC_EVENT_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_ALGORITHM =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_ALGORITHM,
    "CDR Trigger Eye Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCDRTriggerEyeAlgorithm, NULL, NULL,
    "TRIG{Trigger}:CDR:EYE:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_TRIGGER_ALGORITHM_FF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_BIT_RATE =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_BIT_RATE,
    "CDR Trigger Eye Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngCDRTriggerEyeBitRate, NULL,
    "TRIG{Trigger}:CDR:EYE:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_BIT_RATE_ESTIMATE =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_BIT_RATE_ESTIMATE,
    "CDR Trigger Eye Bit Rate Estimate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CDR:EYE:BRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_CONTINUOUS_BIT_RATE_ESTIMATE =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_CONTINUOUS_BIT_RATE_ESTIMATE,
    "CDR Trigger Eye Continuous Bit Rate Estimate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CDR:EYE:BRES:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_BANDWIDTH =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_BANDWIDTH,
    "CDR Trigger Eye Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CDR:EYE:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    599.88E+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_LEVEL =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_LEVEL,
    "CDR Trigger Eye Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngCDRTriggerEyeLevel, NULL,
    "TRIG{Trigger}:CDR:EYE:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_RELATIVE_BANDWIDTH =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_RELATIVE_BANDWIDTH,
    "CDR Trigger Eye Relative Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngCDRTriggerEyeRelativeBandwidth, NULL,
    "TRIG{Trigger}:CDR:EYE:RELB",
    // Defaults I32, I64, Float, Bool, String
    1667,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_SAMPLING_TIME =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_SAMPLING_TIME,
    "CDR Trigger Eye Sampling Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngCDRTriggerEyeSamplingTime, NULL,
    "TRIG{Trigger}:CDR:EYE:SAMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_SERIAL_STANDARD =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_SERIAL_STANDARD,
    "CDR Trigger Eye Serial Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCDRTriggerEyeSerialStandard, NULL, NULL,
    "TRIG{Trigger}:CDR:EYE:SERS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_TRIGGER_EYE_SERIAL_STANDARD_CUSTOM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_SOURCE =
  {
    RSSCOPE_ATTR_CDR_TRIGGER_EYE_SOURCE,
    "CDR Trigger Eye Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCDRTriggerEyeSource, NULL, NULL,
    "TRIG{Trigger}:CDR:EYE:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_TRIGGER_EYE_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_STANDARD =
  {
    RSSCOPE_ATTR_TV_TRIGGER_STANDARD,
    "TV Trigger Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngConfigureTVTriggerStandard, NULL, NULL,
    "TRIG:TV:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TV_STANDARD_PAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_TV_TRIGGER_MODE,
    "TV Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTVTriggerMode, NULL, NULL,
    "TRIGger1:TV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TV_MODE_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_LINE_NUMBER =
  {
    RSSCOPE_ATTR_TV_TRIGGER_LINE_NUMBER,
    "TV Trigger Line Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngLineNumber, NULL,
    "TRIG:TV:LINE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_FIELD =
  {
    RSSCOPE_ATTR_TV_TRIGGER_FIELD,
    "TV Trigger Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTVTriggerField, NULL, NULL,
    "TRIG:TV:LFI",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TV_FIELD_ODD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_POLARITY =
  {
    RSSCOPE_ATTR_TV_TRIGGER_POLARITY,
    "TV Trigger Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG:TV:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_PULSE_TYPE =
  {
    RSSCOPE_ATTR_TV_TRIGGER_PULSE_TYPE,
    "TV Trigger Pulse Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTVTriggerPulseType, NULL, NULL,
    "TRIGger1:TV:CUST:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TV_PULSE_BI_LEVEL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_LINE_PERIOD =
  {
    RSSCOPE_ATTR_TV_TRIGGER_LINE_PERIOD,
    "TV Trigger Line Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngTVLinePeriod, NULL,
    "TRIGger1:TV:CUST:LDUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    64.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_PULSE_WIDTH =
  {
    RSSCOPE_ATTR_TV_TRIGGER_PULSE_WIDTH,
    "TV Trigger Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngTVPulseWidth, NULL,
    "TRIGger1:TV:CUST:SDUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.7e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TV_TRIGGER_SCAN_MODE =
  {
    RSSCOPE_ATTR_TV_TRIGGER_SCAN_MODE,
    "TV Trigger Scan Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTVScanMode, NULL, NULL,
    "TRIGger1:TV:CUST:SCAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TV_SCAN_MODE_INTERLACED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED,
    "Trigger Qualification Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1,
    "Trigger Qualification Enabled Channel 1",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2,
    "Trigger Qualification Enabled Channel 2",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3,
    "Trigger Qualification Enabled Channel 3",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4,
    "Trigger Qualification Enabled Channel 4",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1,
    "Trigger Qualification Logic Channel 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:A:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2,
    "Trigger Qualification Logic Channel 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:B:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3,
    "Trigger Qualification Logic Channel 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:C:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4,
    "Trigger Qualification Logic Channel 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:D:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2,
    "Trigger Qualification Logic Channels 1 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:AB:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4 =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4,
    "Trigger Qualification Logic Channels 3 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:CD:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL =
  {
    RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL,
    "Trigger Qualification Logic Channels All",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "TRIG{Trigger}:QUAL{TriggerType}:ABCD:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_MODE =
  {
    RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_MODE,
    "Noise Reject Hysteresis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAutoManual, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:NOIS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS =
  {
    RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS,
    "Noise Reject Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:NOIS:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_RELATIVE =
  {
    RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_RELATIVE,
    "Noise Reject Hysteresis Relative",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNoiseRejectHysteresisRelative, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:NOIS:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_SCALE_MODE =
  {
    RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_SCALE_MODE,
    "Noise Reject Hysteresis Scale Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:NOIS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_RANGE_IN_DIVISIONS =
  {
    RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_RANGE_IN_DIVISIONS,
    "Noise Reject Hysteresis Range In Divisions",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNoiseRejectHysteresisRangeInDivisions, NULL,
    "TRIG{Trigger}:LEV{TriggerSource}:NOIS:PERD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_MODE =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_MODE,
    "Trigger Sequence Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSequence, NULL, NULL,
    "TRIG:SEQ:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SEQ_AONLY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE,
    "Trigger Sequence Holdoff Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHoldoffMode, NULL, NULL,
    "TRIG:HOLD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_HOLDOFF_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME,
    "Trigger Sequence Holdoff Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngInterval, NULL,
    "TRIG:HOLD:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS,
    "Trigger Sequence Holdoff Events",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:HOLD:EVEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME,
    "Trigger Sequence Holdoff Random Minimum Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngRandomTimeMin, NULL,
    "TRIG:HOLD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME,
    "Trigger Sequence Holdoff Random Maximum Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngInterval, NULL,
    "TRIG:HOLD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_AUTO_TIME_RESULT =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_AUTO_TIME_RESULT,
    "Trigger Sequence Holdoff Auto Time Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:HOLD:AUT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_AUTO_SCALE =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_AUTO_SCALE,
    "Trigger Sequence Holdoff Auto Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngHoldoffAutoScale, NULL,
    "TRIG:HOLD:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_DELAY =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_DELAY,
    "Trigger Sequence Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngTriggerSequenceDelay, NULL,
    "TRIG:SEQ:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_B_EVENTS_COUNT =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_B_EVENTS_COUNT,
    "Trigger Sequence B-Events Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:SEQ:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_BY_TIMEOUT_ENABLED =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_BY_TIMEOUT_ENABLED,
    "Trigger Sequence Reset By Timeout Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SEQ:RES:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT,
    "Trigger Sequence Reset Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngTriggerSequenceDelay, NULL,
    "TRIG:SEQ:RES:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED,
    "Trigger Sequence Reset Event Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SEQ:RES:EVEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_EVENT =
  {
    RSSCOPE_ATTR_TRIGGER_SEQUENCE_EVENT,
    "Trigger Sequence Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerSequenceEvent, NULL, NULL,
    "TRIG{Trigger}:EVEN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_SEQUENCE_EVENT_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_MODE,
    "Protocol I2C Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CTriggerType, NULL, NULL,
    "TRIG{Trigger}:I2C:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK,
    "Protocol I2C Trigger Address Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:ADN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK,
    "Protocol I2C Trigger Data Write Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:DWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK,
    "Protocol I2C Trigger Data Read Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:DRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT,
    "Protocol I2C Trigger Access Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAccessBit, NULL, NULL,
    "TRIG{Trigger}:I2C:ACC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE,
    "Protocol I2C Trigger Address Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAddressType, NULL, NULL,
    "TRIG{Trigger}:I2C:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION,
    "Protocol I2C Trigger Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:I2C:ACON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN,
    "Protocol I2C Trigger Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1100000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX,
    "Protocol I2C Trigger Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:ADDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1100000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_CONDITION,
    "Protocol I2C Trigger Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngI2CPositionCondition, NULL, NULL,
    "TRIG{Trigger}:I2C:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_COND_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_MIN,
    "Protocol I2C Trigger Position Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rnglI2CPositionMinMax, NULL,
    "TRIG{Trigger}:I2C:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_MAX,
    "Protocol I2C Trigger Position Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rnglI2CPositionMinMax, NULL,
    "TRIG{Trigger}:I2C:DPTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION,
    "Protocol I2C Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:I2C:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN_MIN,
    "Protocol I2C Trigger Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN_MAX,
    "Protocol I2C Trigger Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_STATE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_STATE,
    "Protocol I2C Trigger Address OR State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:ADOR{ORSlot}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_TYPE,
    "Protocol I2C Trigger Address OR Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAddressORType, NULL, NULL,
    "TRIG{Trigger}:I2C:ADOR{ORSlot}:ADRT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_ACCESS_BIT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_ACCESS_BIT,
    "Protocol I2C Trigger Address OR Access Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAccessBit, NULL, NULL,
    "TRIG{Trigger}:I2C:ADOR{ORSlot}:RWB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR,
    "Protocol I2C Trigger Address OR",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:I2C:ADOR{ORSlot}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000XX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MODE,
    "Protocol SPI Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPITriggerType, NULL, NULL,
    "TRIG:SPI:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_TRIGGER_SSACTIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_POSITION_CONDITION,
    "Protocol SPI Trigger Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSPIPositionCondition, NULL, NULL,
    "TRIG{Trigger}:SPI:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_COND_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_ALIGNMENT =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_ALIGNMENT,
    "Protocol SPI Trigger Data Alignment",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIDataAlignment, NULL, NULL,
    "TRIG{Trigger}:SPI:PAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_TRIGGER_BIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_INDEX_MIN,
    "Protocol SPI Trigger Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolSPITriggerDataIndexMin, NULL,
    "TRIG{Trigger}:SPI:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_INDEX_MAX,
    "Protocol SPI Trigger Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolSPITriggerOffset, NULL,
    "TRIG{Trigger}:SPI:DPTO",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_CONDITION,
    "Protocol SPI Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngNqEq, NULL, NULL,
    "TRIG{Trigger}:SPI:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MOSI_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MOSI_PATTERN,
    "Protocol SPI Trigger MOSI Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SPI:MOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MISO_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MISO_PATTERN,
    "Protocol SPI Trigger MISO Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SPI:MIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_MODE,
    "Protocol UART Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUARTTriggerType, NULL, NULL,
    "TRIG{Trigger}:UART:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_TRIGGER_STBT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_SOURCE,
    "Protocol UART Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUARTLine, NULL, NULL,
    "TRIG{Trigger}:UART:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_TX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN,
    "Protocol UART Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:UART:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION,
    "Protocol UART Trigger Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUARTDataOperator, NULL, NULL,
    "TRIG{Trigger}:UART:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_TRIGGER_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION,
    "Protocol UART Trigger Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUARTDataPosition, NULL, NULL,
    "TRIG{Trigger}:UART:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_TRIGGER_GREATER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN,
    "Protocol UART Trigger Data Position Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolUARTDataIndexMin, NULL,
    "TRIG{Trigger}:UART:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MAX,
    "Protocol UART Trigger Data Position Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolUARTDataIndexMax, NULL,
    "TRIG:UART:DPTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_MODE,
    "Protocol LIN Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTrigger, NULL, NULL,
    "TRIG{Trigger}:LIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_CONDITION,
    "Protocol LIN Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTriggerDataCondition, NULL, NULL,
    "TRIG{Trigger}:LIN:DLEC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_LIN_DATA_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH,
    "Protocol LIN Trigger Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngLINDataLength, NULL,
    "TRIG{Trigger}:LIN:DLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_TRANSFER =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_TRANSFER,
    "Protocol LIN Trigger Data Transfer",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLINDataTransfer, NULL, NULL,
    "TRIG{Trigger}:LIN:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_TRANSFER_BENDIAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA,
    "Protocol LIN Trigger Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:LIN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA_MIN,
    "Protocol LIN Trigger Pattern Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA_MAX,
    "Protocol LIN Trigger Pattern Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION,
    "Protocol LIN Trigger Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:LIN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER_MIN,
    "Protocol LIN Trigger Pattern Identifier Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER_MAX,
    "Protocol LIN Trigger Pattern Identifier Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_ADDRESS_OR_STATE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_ADDRESS_OR_STATE,
    "Protocol LIN Trigger Address OR State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:IDOR{ORSlot}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_ADDRESS_OR =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_ADDRESS_OR,
    "Protocol LIN Trigger Address OR",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:IDOR{ORSlot}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR,
    "Protocol LIN Trigger Checksum Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:CHKS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_ERROR_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_ERROR_PATTERN,
    "Protocol LIN Trigger CRC Error Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:ERRP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_ERROR_DATA_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_ERROR_DATA_LENGTH,
    "Protocol LIN Trigger CRC Error Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngLINTriggerCRCErrDataLength, NULL,
    "TRIG{Trigger}:LIN:CRCD",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_STANDARD,
    "Protocol LIN Trigger CRC Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTriggerCRCStandard, NULL, NULL,
    "TRIG{Trigger}:LIN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_CRC_STANDARD_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR,
    "Protocol LIN Trigger Identifier Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:IPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR,
    "Protocol LIN Trigger Sync Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:LIN:SYER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_MODE,
    "Protocol CAN Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANTriggMode, NULL, NULL,
    "TRIG{Trigger}:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    "Protocol CAN Trigger Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANTriggFrameType, NULL, NULL,
    "TRIG{Trigger}:CAN:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_TYPE_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_STANDARD,
    "Protocol CAN Trigger Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANStandard, NULL, NULL,
    "TRIG{Trigger}:CAN:FDAT:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_STANDARD_CAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE,
    "Protocol CAN Trigger ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANIDType, NULL, NULL,
    "TRIG{Trigger}:CAN:ITYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_ID_TYPE_B11,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF,
    "Protocol CAN Trigger FD Bits FDF",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANFDBits, NULL, NULL,
    "TRIG{Trigger}:CAN:FDAT:FDF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_BIT_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS,
    "Protocol CAN Trigger FD Bits BRS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANFDBitRS, NULL, NULL,
    "TRIG{Trigger}:CAN:FDAT:BRS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_BIT_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI,
    "Protocol CAN Trigger FD Bits ESI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANFDBits, NULL, NULL,
    "TRIG{Trigger}:CAN:FDAT:ESI",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_BIT_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_ENDIANNESS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_ENDIANNESS,
    "Protocol CAN Trigger Frame Endianness",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANEndianness, NULL, NULL,
    "TRIG{Trigger}:CAN:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_BIG_EDIAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION,
    "Protocol CAN Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:CAN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA_MIN,
    "Protocol CAN Trigger Pattern Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA_MAX,
    "Protocol CAN Trigger Pattern Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION,
    "Protocol CAN Trigger DLC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolCANTriggerDLCCondition, NULL, NULL,
    "TRIG{Trigger}:CAN:DLCC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_GE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DLC =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DLC,
    "Protocol CAN Trigger DLC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngProtocolCANTriggerDLC, NULL,
    "TRIG{Trigger}:CAN:DLC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_NUMBER_OF_DATA_BYTES =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_NUMBER_OF_DATA_BYTES,
    "Protocol CAN Trigger Number Of Data Bytes",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:NDBY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_CONDITION,
    "Protocol CAN Trigger Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANPositionCondition, NULL, NULL,
    "TRIG{Trigger}:CAN:FDAT:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_MIN,
    "Protocol CAN Trigger Position Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngCANPositionMin, NULL,
    "TRIG{Trigger}:CAN:FDAT:DPOS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_MAX,
    "Protocol CAN Trigger Position Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngCANPositionMax, NULL,
    "TRIG{Trigger}:CAN:FDAT:DPTO",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION,
    "Protocol CAN Trigger Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:CAN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER_MIN,
    "Protocol CAN Trigger Pattern Identifier Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER_MAX,
    "Protocol CAN Trigger Pattern Identifier Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR,
    "Protocol CAN Trigger Checksum Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR,
    "Protocol CAN Trigger Bit Stuffing Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR,
    "Protocol CAN Trigger Form Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR,
    "Protocol CAN Trigger Ack Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:ACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR,
    "Protocol CAN Trigger Stuff Count Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:FDAT:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_MESSAGE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_MESSAGE,
    "Protocol CAN Symbolic Trigger Message",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:SYMB:MSGV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "EngineData",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_ON_SIGNAL =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_ON_SIGNAL,
    "Protocol CAN Symbolic Trigger On Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:SYMB:TSIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_VALUE,
    "Protocol CAN Symbolic Trigger Signal Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:SYMB:SIGV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "EngForce",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_MIN,
    "Protocol CAN Symbolic Trigger Signal Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:SYMB:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_MAX,
    "Protocol CAN Symbolic Trigger Signal Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:SYMB:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_ENUM_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_ENUM_VALUE,
    "Protocol CAN Symbolic Trigger Signal Enum Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CAN:SYMB:SGEV",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_TYPE,
    "Protocol FlexRay Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayTriggerType, NULL, NULL,
    "TRIG{Trigger}:FLXR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_STEP =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_STEP,
    "Protocol FlexRay Trigger Cycle Step",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayCycleStep, NULL,
    "TRIG{Trigger}:FLXR:CST",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_SYMBOL =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_SYMBOL,
    "Protocol FlexRay Trigger Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRaySymbol, NULL, NULL,
    "TRIG{Trigger}:FLXR:SYMB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_SYMBOL_CASMTS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_PREAMBLE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_PREAMBLE,
    "Protocol FlexRay Trigger Payload Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "TRIG{Trigger}:FLXR:PLPR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_NULL_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_NULL_FRAME,
    "Protocol FlexRay Trigger Null Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "TRIG{Trigger}:FLXR:NUFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_SYNC_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_SYNC_FRAME,
    "Protocol FlexRay Trigger Sync Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "TRIG{Trigger}:FLXR:SYFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_STARTUP_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_STARTUP_FRAME,
    "Protocol FlexRay Trigger Startup Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "TRIG{Trigger}:FLXR:STFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_CONDITION,
    "Protocol FlexRay Trigger Frame Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "TRIG{Trigger}:FLXR:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_FRAME_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_FRAME_MIN,
    "Protocol FlexRay Trigger Pattern Frame Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:FMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "11",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_FRAME_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_FRAME_MAX,
    "Protocol FlexRay Trigger Pattern Frame Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:FMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_CONDITION,
    "Protocol FlexRay Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "TRIG{Trigger}:FLXR:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_DATA_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_DATA_MIN,
    "Protocol FlexRay Trigger Pattern Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_DATA_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_DATA_MAX,
    "Protocol FlexRay Trigger Pattern Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_LENGTH_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_LENGTH_CONDITION,
    "Protocol FlexRay Trigger Payload Length Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "TRIG{Trigger}:FLXR:PCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_MIN,
    "Protocol FlexRay Trigger Payload Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayPayloadMinMax, NULL,
    "TRIG{Trigger}:FLXR:PMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_MAX,
    "Protocol FlexRay Trigger Payload Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayPayloadMinMax, NULL,
    "TRIG{Trigger}:FLXR:PMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_COUNT_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_COUNT_CONDITION,
    "Protocol FlexRay Trigger Cycle Count Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "TRIG{Trigger}:FLXR:CEN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_MIN,
    "Protocol FlexRay Trigger Cycle Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayCycleMinMax, NULL,
    "TRIG{Trigger}:FLXR:CMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_MAX,
    "Protocol FlexRay Trigger Cycle Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayCycleMinMax, NULL,
    "TRIG{Trigger}:FLXR:CMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_CONDITION,
    "Protocol FlexRay Trigger Data Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "TRIG{Trigger}:FLXR:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_MIN,
    "Protocol FlexRay Trigger Data Position Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayPositionMinMax, NULL,
    "TRIG{Trigger}:FLXR:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_MAX,
    "Protocol FlexRay Trigger Data Position Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayPositionMinMax, NULL,
    "TRIG{Trigger}:FLXR:DPTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_START_SEQUENCE_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_START_SEQUENCE_ERROR,
    "Protocol FlexRay Trigger Frame Start Sequence Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:FSS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_BYTE_START_SEQUENCE_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_BYTE_START_SEQUENCE_ERROR,
    "Protocol FlexRay Trigger Byte Start Sequence Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:BSS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_END_SEQUENCE_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_END_SEQUENCE_ERROR,
    "Protocol FlexRay Trigger Frame End Sequence Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:FES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_HEADER_CRC_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_HEADER_CRC_ERROR,
    "Protocol FlexRay Trigger Header CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:HCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_CRC_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_CRC_ERROR,
    "Protocol FlexRay Trigger Payload CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:FLXR:PCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE,
    "Protocol Audio Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAudioTriggerType, NULL, NULL,
    "TRIG:I2S:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUDIO_TRIGGER_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH,
    "Protocol Audio Trigger Window Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolAudioWindowLength, NULL,
    "TRIG:I2S:SOW",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE,
    "Protocol Audio Trigger Word Select Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "TRIG:I2S:WSSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL,
    "Protocol Audio Trigger Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAudioChannel, NULL, NULL,
    "TRIG:I2S:TCON{ConditionNumber}:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUDIO_CHANNEL_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_CONDITION,
    "Protocol Audio Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG:I2S:TCON{ConditionNumber}:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_PATTERN_MIN,
    "Protocol Audio Trigger Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:I2S:TCON{ConditionNumber}:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "11",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_PATTERN_MAX,
    "Protocol Audio Trigger Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:I2S:TCON{ConditionNumber}:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_MODE,
    "Protocol MIL1553 Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerMode, NULL, NULL,
    "TRIG{Trigger}:MILS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STYP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_SYNC_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_SYNC_TYPE,
    "Protocol MIL1553 Sync Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553SyncType, NULL, NULL,
    "TRIG{Trigger}:MILS:TPSP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_SYNC_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553DataOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_MIN,
    "Protocol MIL1553 Trigger Data Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_MAX,
    "Protocol MIL1553 Trigger Data Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_CONDITION,
    "Protocol MIL1553 Trigger Data Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolIndexCondition, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_MIN,
    "Protocol MIL1553 Trigger Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolMIL1553TriggerDataIndexRange, NULL,
    "TRIG{Trigger}:MILS:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_MAX,
    "Protocol MIL1553 Trigger Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolMIL1553TriggerDataIndexRange, NULL,
    "TRIG{Trigger}:MILS:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger RTA Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553DataOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:RCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_MIN,
    "Protocol MIL1553 Trigger RTA Data Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:RMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_MAX,
    "Protocol MIL1553 Trigger RTA Data Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:DATA:RMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger RTA Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553RTAOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:CDST:RCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_MIN,
    "Protocol MIL1553 Trigger RTA Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CDST:RMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_MAX,
    "Protocol MIL1553 Trigger RTA Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CDST:RMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger Info Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553InfoOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:CDST:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_MIN,
    "Protocol MIL1553 Trigger Info Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CDST:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_MAX,
    "Protocol MIL1553 Trigger Info Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CDST:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_TRANSMIT_RECEIVE =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_TRANSMIT_RECEIVE,
    "Protocol MIL1553 Trigger Command Transmit Receive",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerCommandTransmitReceive, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:TR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_COMMAND_TR_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger Subaddress Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553SubaddressOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_MIN,
    "Protocol MIL1553 Trigger Subaddress Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_MAX,
    "Protocol MIL1553 Trigger Subaddress Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:SMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger Command RTA Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553SubaddressOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:RCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_MIN,
    "Protocol MIL1553 Trigger Command RTA Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:RMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_MAX,
    "Protocol MIL1553 Trigger Command RTA Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:RMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_CONDITION,
    "Protocol MIL1553 Trigger Word Count Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553WordCountOperator, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:CCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_MIN,
    "Protocol MIL1553 Trigger Word Count Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:CMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_MAX,
    "Protocol MIL1553 Trigger Word Count Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:CMD:CMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_MESSAGE_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_MESSAGE_ERROR,
    "Protocol MIL1553 Trigger Status Flag Message Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:MERR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_BUSY =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_BUSY,
    "Protocol MIL1553 Trigger Status Flag Busy",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:BUSY",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_INSTRUMENTATION =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_INSTRUMENTATION,
    "Protocol MIL1553 Trigger Status Flag Instrumentation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:INST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_SUBSYSTEM =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_SUBSYSTEM,
    "Protocol MIL1553 Trigger Status Flag Subsystem",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:SUBS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_SERVICE_REQUEST =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_SERVICE_REQUEST,
    "Protocol MIL1553 Trigger Status Flag Service Request",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:SREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_DYNAMIC_BUS_CONTROL =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_DYNAMIC_BUS_CONTROL,
    "Protocol MIL1553 Trigger Status Flag Dynamic Bus Control",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:DBC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_BROADCAST_COMMAND =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_BROADCAST_COMMAND,
    "Protocol MIL1553 Trigger Status Flag Broadcast Command",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:BCR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_TERMINAL =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_TERMINAL,
    "Protocol MIL1553 Trigger Status Flag Terminal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "TRIG{Trigger}:MILS:STAT:TERM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_SYNCHRONIZATION_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_SYNCHRONIZATION_ERROR,
    "Protocol MIL1553 Trigger Error Synchronization Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:ERR:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_PARITY_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_PARITY_ERROR,
    "Protocol MIL1553 Trigger Error Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_MANCHESTER_CODING_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_MANCHESTER_CODING_ERROR,
    "Protocol MIL1553 Trigger Error Manchester Coding Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:ERR:MANC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MIN_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MIN_GAP_ENABLED,
    "Protocol MIL1553 Trigger Error Timing Min Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:MING:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MIN_GAP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MIN_GAP_TIME,
    "Protocol MIL1553 Trigger Error Timing Min Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMIL1553TriggerErrorTimingMinGapTime, NULL,
    "TRIG{Trigger}:MILS:MING:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MAX_RESPONSE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MAX_RESPONSE_ENABLED,
    "Protocol MIL1553 Trigger Error Timing Max Response Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MILS:MAXR:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MAX_RESPONSE =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MAX_RESPONSE,
    "Protocol MIL1553 Trigger Error Timing Max Response",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMIL1553TriggerErrorTimingMaxResponse, NULL,
    "TRIG{Trigger}:MILS:MAXR:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_MODE,
    "Protocol ARINC429 Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429TriggerMode, NULL, NULL,
    "TRIG{Trigger}:ARIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARINC429_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI,
    "Protocol ARINC429 Trigger Label Data SDI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:SDI",
    // Defaults I32, I64, Float, Bool, String
    3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_ConvertFromBinary_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM,
    "Protocol ARINC429 Trigger Label Data SSM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:SSM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_ConvertFromBinary_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION,
    "Protocol ARINC429 Trigger Label Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429LabelOperator, NULL, NULL,
    "TRIG{Trigger}:ARIN:LAB:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN,
    "Protocol ARINC429 Trigger Label Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:LAB:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX,
    "Protocol ARINC429 Trigger Label Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:LAB:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION,
    "Protocol ARINC429 Trigger Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429DataOperator, NULL, NULL,
    "TRIG{Trigger}:ARIN:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN,
    "Protocol ARINC429 Trigger Data Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX,
    "Protocol ARINC429 Trigger Data Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR,
    "Protocol ARINC429 Trigger Error Coding Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:ERR:COD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR,
    "Protocol ARINC429 Trigger Error Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MIN_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MIN_GAP_ENABLED,
    "Protocol ARINC429 Trigger Error Timing Min Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:MING:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MIN_GAP_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MIN_GAP_BITS,
    "Protocol ARINC429 Trigger Error Timing Min Gap Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolARINC429TriggerErrorTimingMinGapBits, NULL,
    "TRIG{Trigger}:ARIN:MING:BITS",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MAX_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MAX_GAP_ENABLED,
    "Protocol ARINC429 Trigger Error Timing Max Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ARIN:MAXG:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MAX_GAP_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MAX_GAP_BITS,
    "Protocol ARINC429 Trigger Error Timing Max Gap Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolARINC429TriggerErrorTimingMaxGapBits, NULL,
    "TRIG{Trigger}:ARIN:MAXG:BITS",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_TYPE,
    "Protocol RFFE Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolRFFETriggerType, NULL, NULL,
    "TRIG{Trigger}:RFFE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RFFE_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INTERRUPT_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INTERRUPT_PATTERN,
    "Protocol RFFE Trigger Interrupt Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXX1XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_CONDITION,
    "Protocol RFFE Trigger Slave Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:RFFE:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_MIN,
    "Protocol RFFE Trigger Slave Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_MAX,
    "Protocol RFFE Trigger Slave Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_CONDITION,
    "Protocol RFFE Trigger Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:RFFE:ADDR:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_MIN,
    "Protocol RFFE Trigger Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ADDR:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00010000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_MAX,
    "Protocol RFFE Trigger Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ADDR:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000100",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_CONDITION,
    "Protocol RFFE Trigger Byte Count Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:RFFE:BCO:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_MIN,
    "Protocol RFFE Trigger Byte Count Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:BCO:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_MAX,
    "Protocol RFFE Trigger Byte Count Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:BCO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "001",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_CONDITION,
    "Protocol RFFE Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:RFFE:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_MIN,
    "Protocol RFFE Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_MAX,
    "Protocol RFFE Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00100000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_CONDITION,
    "Protocol RFFE Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolIndexCondition, NULL, NULL,
    "TRIG{Trigger}:RFFE:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_MIN,
    "Protocol RFFE Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_MAX,
    "Protocol RFFE Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_CONDITION,
    "Protocol RFFE Trigger Mask Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolRFFETriggerMaskCondition, NULL, NULL,
    "TRIG{Trigger}:RFFE:MASK:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RFFE_TRIGGER_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_MIN,
    "Protocol RFFE Trigger Mask Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:MASK:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_MAX,
    "Protocol RFFE Trigger Mask Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:MASK:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_SCC =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_SCC,
    "Protocol RFFE Trigger Error SCC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:SSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_LENGTH,
    "Protocol RFFE Trigger Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_BUS_PARK =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_BUS_PARK,
    "Protocol RFFE Trigger Error Bus Park",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:BP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_PARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_PARITY,
    "Protocol RFFE Trigger Error Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_NO_RESPONSE =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_NO_RESPONSE,
    "Protocol RFFE Trigger Error No Response",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:NOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_UNKNOWN =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_UNKNOWN,
    "Protocol RFFE Trigger Error Unknown",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:USEQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_GAP =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_GAP,
    "Protocol RFFE Trigger Error Gap",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:GAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_VERSION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_VERSION,
    "Protocol RFFE Trigger Error Version",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:RFFE:ERR:VERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_TYPE,
    "Protocol MDIO Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOTriggerType, NULL, NULL,
    "TRIG{Trigger}:MDIO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_START_CODE =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_START_CODE,
    "Protocol MDIO Trigger Start Code",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOTriggerStartCode, NULL, NULL,
    "TRIG{Trigger}:MDIO:ST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_START_CODE_ST00,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_OPERATION_CODE =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_OPERATION_CODE,
    "Protocol MDIO Trigger Operation Code",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOTriggerOperationCode, NULL, NULL,
    "TRIG{Trigger}:MDIO:FRAM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_OPERATION_CODE_OP00,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_PHYSICAL_PORT_ADDRESS =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_PHYSICAL_PORT_ADDRESS,
    "Protocol MDIO Trigger Physical Port Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MDIO:PHYS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_REGISTER_DEVICE_ADDRESS =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_REGISTER_DEVICE_ADDRESS,
    "Protocol MDIO Trigger Register Device Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MDIO:REGI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00001",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_DATA_ADDRESS_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_DATA_ADDRESS_PATTERN,
    "Protocol MDIO Trigger Data Address Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MDIO:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_TYPE,
    "Ethernet Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEthernetTriggerType, NULL, NULL,
    "TRIG{Trigger}:ETH:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_PATTERN =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_PATTERN,
    "Ethernet Trigger Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_CRC =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_CRC,
    "Ethernet Trigger Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_LENGTH,
    "Ethernet Trigger Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_PREAMBLE =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_PREAMBLE,
    "Ethernet Trigger Error Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:ERR:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_CONDITION =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_CONDITION,
    "Ethernet Trigger Frame CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolEthernetTriggerDataCondition, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:CCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_TRIGGER_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_PATTERN_MIN =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_PATTERN_MIN,
    "Ethernet Trigger Frame CRC Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:CMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_PATTERN_MAX =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_PATTERN_MAX,
    "Ethernet Trigger Frame CRC Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:CMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_CONDITION,
    "Ethernet Trigger Frame Destination Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolEthernetTriggerDataCondition, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_TRIGGER_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_PATTERN_MIN =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_PATTERN_MIN,
    "Ethernet Trigger Frame Destination Address Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_PATTERN_MAX =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_PATTERN_MAX,
    "Ethernet Trigger Frame Destination Address Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_CONDITION,
    "Ethernet Trigger Frame Source Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolEthernetTriggerDataCondition, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_TRIGGER_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_PATTERN_MIN =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_PATTERN_MIN,
    "Ethernet Trigger Frame Source Address Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_PATTERN_MAX =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_PATTERN_MAX,
    "Ethernet Trigger Frame Source Address Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:SMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_CONDITION =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_CONDITION,
    "Ethernet Trigger Frame Type Operator Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolEthernetTriggerDataCondition, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_TRIGGER_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_PATTERN_MIN =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_PATTERN_MIN,
    "Ethernet Trigger Frame Type Operator Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:TMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_PATTERN_MAX =
  {
    RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_PATTERN_MAX,
    "Ethernet Trigger Frame Type Operator Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:ETH:FRAM:TMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_TYPE,
    "Protocol USB Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerType, NULL, NULL,
    "TRIG{Trigger}:USB:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_TRIGGER_SOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_TOKEN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_TOKEN,
    "Protocol USB Trigger Token",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerToken, NULL, NULL,
    "TRIG{Trigger}:USB:TOK",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_TOKEN_OUT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_DATA_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_DATA_TYPE,
    "Protocol USB Trigger Data Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerDataType, NULL, NULL,
    "TRIG{Trigger}:USB:DATA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_DATA_TYPE_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_HANDSHAKE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_HANDSHAKE,
    "Protocol USB Trigger Handshake",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerHandshake, NULL, NULL,
    "TRIG{Trigger}:USB:HAND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_HANDSHAKE_ACK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SPECIAL_PID =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SPECIAL_PID,
    "Protocol USB Trigger Special PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerSpecialPID, NULL, NULL,
    "TRIG{Trigger}:USB:SPEC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_SPECIAL_PID_PREAMBLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ERROR_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ERROR_CONDITION,
    "Protocol USB Trigger Error Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerErrorCondition, NULL, NULL,
    "TRIG{Trigger}:USB:ERRC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_ERROR_CONDITION_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PID_ERROR_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PID_ERROR_CHECK,
    "Protocol USB Trigger PID Error Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WPID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK,
    "Protocol USB Trigger End Point Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WEND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_CONDITION,
    "Protocol USB Trigger End Point Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USB:ECON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_MIN,
    "Protocol USB Trigger End Point Check Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:EMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_MAX,
    "Protocol USB Trigger End Point Check Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:EMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0001",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK,
    "Protocol USB Trigger Address Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_CONDITION,
    "Protocol USB Trigger Address Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USB:ACON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_MIN,
    "Protocol USB Trigger Address Check Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:AMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000100",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_MAX,
    "Protocol USB Trigger Address Check Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:AMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000001",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK,
    "Protocol USB Trigger Payload Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WPAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_CONDITION,
    "Protocol USB Trigger Payload Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBPayloadCondition, NULL, NULL,
    "TRIG{Trigger}:USB:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_PAYLOAD_COND_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_POSITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_POSITION,
    "Protocol USB Trigger Payload Check Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolUSBPayloadPosition, NULL,
    "TRIG{Trigger}:USB:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_DATA_CONDITION,
    "Protocol USB Trigger Payload Check Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngNqEq, NULL, NULL,
    "TRIG{Trigger}:USB:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_PATTERN,
    "Protocol USB Trigger Payload Check Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK,
    "Protocol USB Trigger Frame Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WFRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_CONDITION,
    "Protocol USB Trigger Frame Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USB:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_MIN,
    "Protocol USB Trigger Frame Check Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:FMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000001",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_MAX,
    "Protocol USB Trigger Frame Check Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:FMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SC_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SC_CHECK,
    "Protocol USB Trigger SC Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WSTC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SC_CHECK_START_COMPLETE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SC_CHECK_START_COMPLETE,
    "Protocol USB Trigger SC Check Start Complete",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBSCCheckStartComplete, NULL, NULL,
    "TRIG{Trigger}:USB:STCO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_SC_COMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK,
    "Protocol USB Trigger Port Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WPOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_CONDITION,
    "Protocol USB Trigger Port Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USB:PCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_MIN,
    "Protocol USB Trigger Port Check Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:PMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000001",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_MAX,
    "Protocol USB Trigger Port Check Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:PMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK,
    "Protocol USB Trigger SEU Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WSEU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_CONDITION,
    "Protocol USB Trigger SEU Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USB:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_MIN,
    "Protocol USB Trigger SEU Check Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_MAX,
    "Protocol USB Trigger SEU Check Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:SMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK,
    "Protocol USB Trigger ET Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:WETC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_CONDITION,
    "Protocol USB Trigger ET Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USB:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_MIN,
    "Protocol USB Trigger ET Check Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:TMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_MAX,
    "Protocol USB Trigger ET Check Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USB:TMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_TYPE,
    "USB PD Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngUSBPDTriggerType, NULL, NULL,
    "TRIG{Trigger}:USBP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_PD_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_PACKET_TYPE =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_PACKET_TYPE,
    "USB PD Trigger Packet Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngUSBPDPacketType, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_PD_PACKET_TYPE_CONTROL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_empty_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_CONDITION,
    "USB PD Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_MIN,
    "USB PD Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXX00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeString_ReadCallback,
    rsscope_FormatUSBPDPacketTypeString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_MAX,
    "USB PD Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeString_ReadCallback,
    rsscope_FormatUSBPDPacketTypeString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_CONDITION,
    "USB PD Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngUSB31Gen1IndexCondition, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_MIN,
    "USB PD Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_MAX,
    "USB PD Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:IMAX",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_TRIGGER_BIT_STATE =
  {
    RSSCOPE_ATTR_USB_PD_TRIGGER_BIT_STATE,
    "USB PD Trigger Bit State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngBitState, NULL, NULL,
    "TRIG{Trigger}:USBP:FRAM:FIEL{FieldNumber}:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BIT_STATE_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_TYPE,
    "Manchester NRZ Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerManchesterNRZType, NULL, NULL,
    "TRIG{Trigger}:CMSB:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_MANCHESTER_NRZ_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_DATA_PATTERN =
  {
    RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_DATA_PATTERN,
    "Manchester NRZ Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CMSB:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_CONDITION,
    "Manchester NRZ Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataIndexOperator, NULL, NULL,
    "TRIG{Trigger}:CMSB:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_MIN,
    "Manchester NRZ Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngManchesterNRZTriggerIndex, NULL,
    "TRIG{Trigger}:CMSB:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_MAX,
    "Manchester NRZ Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngManchesterNRZTriggerIndex, NULL,
    "TRIG{Trigger}:CMSB:IMAX",
    // Defaults I32, I64, Float, Bool, String
    65535,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NRZ_TRIGGER_WORD_LENGTH =
  {
    RSSCOPE_ATTR_NRZ_TRIGGER_WORD_LENGTH,
    "NRZ Trigger Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngNRZTriggerWordLength, NULL,
    "TRIG{Trigger}:CMSB:NRZ:WRDL",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_TYPE,
    "SENT Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTTriggerType, NULL, NULL,
    "TRIG{Trigger}:SENT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_TRIGGER_TYPE_CAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_TYPE =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_TYPE,
    "SENT Trigger Transmission Sequence Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTTriggerTSType, NULL, NULL,
    "TRIG{Trigger}:SENT:TTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SENT_TRIGGER_TS_TYPE_STAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_STATUS =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_STATUS,
    "SENT Trigger Transmission Sequence Status",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_CONDITION =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_CONDITION,
    "SENT Trigger Transmission Sequence Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:SENT:TDCN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_DATA_MIN =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_DATA_MIN,
    "SENT Trigger Transmission Sequence Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:TDMN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_DATA_MAX =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_DATA_MAX,
    "SENT Trigger Transmission Sequence Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:TDMX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_TYPE =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_TYPE,
    "SENT Trigger Serial Message Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTTriggerSMType, NULL, NULL,
    "TRIG{Trigger}:SENT:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SENT_TRIGGER_SM_TYPE_ID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_TYPE =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_TYPE,
    "SENT Trigger Serial Message ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTIDType, NULL, NULL,
    "TRIG{Trigger}:SENT:SIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_ID_TYPE_B4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_CONDITION =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_CONDITION,
    "SENT Trigger Serial Message ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:SENT:SICN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_MIN =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_MIN,
    "SENT Trigger Serial Message ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:SIMN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_MAX =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_MAX,
    "SENT Trigger Serial Message ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:SIMX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_CONDITION,
    "SENT Trigger Serial Message Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:SENT:SDCN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_MIN =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_MIN,
    "SENT Trigger Serial Message Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:SDMN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_MAX =
  {
    RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_MAX,
    "SENT Trigger Serial Message Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:SDMX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_FORM_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_FORM_ERROR,
    "Protocol SENT Trigger Form Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_CALIBRATION_PULSE_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_CALIBRATION_PULSE_ERROR,
    "Protocol SENT Trigger Calibration Pulse Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:PULS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR,
    "Protocol SENT Trigger Pulse Period Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:PPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_CRC_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_CRC_ERROR,
    "Protocol SENT Trigger CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_IRREGULAR_FRAME_LENGTH_ERROR =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_IRREGULAR_FRAME_LENGTH_ERROR,
    "Protocol SENT Trigger Irregular Frame Length Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SENT:IRFL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_TYPE,
    "DPHY Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDPHYTriggerType, NULL, NULL,
    "TRIG{Trigger}:DPHY:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DPHY_TRIGGER_TYPE_HS_SOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_VIRTUAL_CHANNEL =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_VIRTUAL_CHANNEL,
    "DPHY Trigger Virtual Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:HSVC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_CONDITION,
    "DPHY Trigger Data Type Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:DTYP:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_MIN,
    "DPHY Trigger Data Type Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:DTYP:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_MAX,
    "DPHY Trigger Data Type Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:DTYP:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_CONDITION,
    "DPHY Trigger Word Count Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:WCO:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_MIN,
    "DPHY Trigger Word Count Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:WCO:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_MAX,
    "DPHY Trigger Word Count Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:WCO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_CONDITION,
    "DPHY Trigger High Speed Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_MIN,
    "DPHY Trigger High Speed Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_MAX,
    "DPHY Trigger High Speed Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_CONDITION,
    "DPHY Trigger Low Power Escape Mode Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESDT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_MIN,
    "DPHY Trigger Low Power Escape Mode Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESDT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_MAX,
    "DPHY Trigger Low Power Escape Mode Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESDT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_CONDITION,
    "DPHY Trigger High Speed Data Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:DIDX:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_MIN,
    "DPHY Trigger High Speed Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:DIDX:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_MAX,
    "DPHY Trigger High Speed Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:DIDX:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_CONDITION,
    "DPHY Trigger Low Power Escape Mode Data Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESIN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MIN,
    "DPHY Trigger Low Power Escape Mode Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESIN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MAX,
    "DPHY Trigger Low Power Escape Mode Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESIN:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_CONDITION,
    "DPHY Trigger Escape Mode Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESCM:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_MIN =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_MIN,
    "DPHY Trigger Escape Mode Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESCM:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_MAX =
  {
    RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_MAX,
    "DPHY Trigger Escape Mode Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:DPHY:ESCM:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_TYPE,
    "MPHY Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerMPHYType, NULL, NULL,
    "TRIG{Trigger}:MPHY:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_LCC_TYPE =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_LCC_TYPE,
    "MPHY Trigger LCC Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTrigerMPHYLCCType, NULL, NULL,
    "TRIG{Trigger}:MPHY:LCCT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_LCC_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_CONDITION,
    "MPHY Trigger Word One Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWON:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_MIN,
    "MPHY Trigger Word One Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWON:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_MAX,
    "MPHY Trigger Word One Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWON:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_CONDITION,
    "MPHY Trigger Word Two Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWTW:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_MIN,
    "MPHY Trigger Word Two Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWTW:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_MAX,
    "MPHY Trigger Word Two Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWTW:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_CONDITION,
    "MPHY Trigger Word Three Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWTH:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_MIN,
    "MPHY Trigger Word Three Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWTH:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_MAX,
    "MPHY Trigger Word Three Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWTH:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_CONDITION,
    "MPHY Trigger Word Four Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWF:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_MIN,
    "MPHY Trigger Word Four Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWF:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_MAX,
    "MPHY Trigger Word Four Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:LWF:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_TC_PATTERN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_TC_PATTERN,
    "MPHY Trigger TC Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:TC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_DATA_CONDITION,
    "MPHY Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_DATA_MIN,
    "MPHY Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_DATA_MAX,
    "MPHY Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_CONDITION,
    "MPHY Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_MIN,
    "MPHY Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngMPHYTriggerIndex, NULL,
    "TRIG{Trigger}:MPHY:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_MAX,
    "MPHY Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngMPHYTriggerIndex, NULL,
    "TRIG{Trigger}:MPHY:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_FSN_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_FSN_CONDITION,
    "MPHY Trigger FSN Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:FSN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_FSN_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_FSN_MIN,
    "MPHY Trigger FSN Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:FSN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_FSN_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_FSN_MAX,
    "MPHY Trigger FSN Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:FSN:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CRC_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CRC_CONDITION,
    "MPHY Trigger CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:CRC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CRC_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CRC_MIN,
    "MPHY Trigger CRC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:CRC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CRC_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CRC_MAX,
    "MPHY Trigger CRC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:CRC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CREQ_PATTERN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CREQ_PATTERN,
    "MPHY Trigger CREQ Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYREQPattern, NULL, NULL,
    "TRIG{Trigger}:MPHY:CREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_REQ_PATTERN_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_RREQ_PATTERN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_RREQ_PATTERN,
    "MPHY Trigger RREQ Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYREQPattern, NULL, NULL,
    "TRIG{Trigger}:MPHY:RREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_REQ_PATTERN_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_CONDITION,
    "MPHY Trigger Credit Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:CRED:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_MIN,
    "MPHY Trigger Credit Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:CRED:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_MAX,
    "MPHY Trigger Credit Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:CRED:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_CONDITION,
    "MPHY Trigger PACP Begin Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:PBEG:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_MIN,
    "MPHY Trigger PACP Begin Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:PBEG:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_MAX,
    "MPHY Trigger PACP Begin Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:PBEG:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_CONDITION =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_CONDITION,
    "MPHY Trigger PACP ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:MPHY:PFID:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_MIN =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_MIN,
    "MPHY Trigger PACP ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:PFID:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_MAX =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_MAX,
    "MPHY Trigger PACP ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:PFID:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_PRP_WIDTH =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_PRP_WIDTH,
    "MPHY Trigger PRP Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMPHYTriggerPRPWidth, NULL,
    "TRIG{Trigger}:MPHY:PRPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_LCC_ERROR =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_LCC_ERROR,
    "MPHY Trigger LCC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:ERR:LCMD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_LENGTH,
    "MPHY Trigger Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_RESERVED =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_RESERVED,
    "MPHY Trigger Error Reserved",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:ERR:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_SYMBOL =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_SYMBOL,
    "MPHY Trigger Error Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:ERR:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_UNIDENTIFIED_UNIPRO_FRAME =
  {
    RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_UNIDENTIFIED_UNIPRO_FRAME,
    "MPHY Trigger Error Unidentified UniPro Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:MPHY:ERR:UNKN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TYPE,
    "Space Wire Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpaceWireTriggerType, NULL, NULL,
    "TRIG{Trigger}:SWIR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_CTRL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_CONTROL_TYPE =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_CONTROL_TYPE,
    "Space Wire Trigger Control Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpaceWireTriggerControlType, NULL, NULL,
    "TRIG{Trigger}:SWIR:CTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPACE_WIRE_TRIGGER_CONTROL_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_CONDITION =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_CONDITION,
    "Space Wire Trigger Time Code Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:SWIR:TIME:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_MIN =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_MIN,
    "Space Wire Trigger Time Code Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SWIR:TIME:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_MAX =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_MAX,
    "Space Wire Trigger Time Code Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SWIR:TIME:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_CONDITION,
    "Space Wire Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:SWIR:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_MIN,
    "Space Wire Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SWIR:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_MAX,
    "Space Wire Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SWIR:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_PARITY_ERROR =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_PARITY_ERROR,
    "Space Wire Trigger Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SWIR:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_ESCAPE_ERROR =
  {
    RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_ESCAPE_ERROR,
    "Space Wire Trigger Escape Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:SWIR:ERR:ESC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZONE_LOGICAL_EXPRESSION =
  {
    RSSCOPE_ATTR_ZONE_LOGICAL_EXPRESSION,
    "Zone Logical Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:ZONE:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MT1 and MT2 and Zone1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_APPLY_ZONE_TRIGGER_HISTORY =
  {
    RSSCOPE_ATTR_APPLY_ZONE_TRIGGER_HISTORY,
    "Apply Zone Trigger History",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWTR:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_TYPE,
    "CXPI Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCXPITriggerType, NULL, NULL,
    "TRIG{Trigger}:CXPI:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CXPI_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_NM =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_NM,
    "CXPI Trigger NM",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:NM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_CT =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_CT,
    "CXPI Trigger CT",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:CT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_CONDITION,
    "CXPI Trigger Frame ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:CXPI:FID:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_MIN =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_MIN,
    "CXPI Trigger Frame ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:FID:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_MAX =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_MAX,
    "CXPI Trigger Frame ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:FID:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DLC_CONDITION,
    "CXPI Trigger DLC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:CXPI:DLC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_MIN =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DLC_MIN,
    "CXPI Trigger DLC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DLC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_MAX =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DLC_MAX,
    "CXPI Trigger DLC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DLC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_CONDITION,
    "CXPI Trigger DLC Extend Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:CXPI:DEXT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_MIN =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_MIN,
    "CXPI Trigger DLC Extend Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DEXT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_MAX =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_MAX,
    "CXPI Trigger DLC Extend Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DEXT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DATA_CONDITION,
    "CXPI Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCXPIDataCondition, NULL, NULL,
    "TRIG{Trigger}:CXPI:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DATA_MIN,
    "CXPI Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_DATA_MAX,
    "CXPI Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_CONDITION,
    "CXPI Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:CXPI:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_MIN,
    "CXPI Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_MAX,
    "CXPI Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_CRC =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_CRC,
    "CXPI Trigger Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_DLC =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_DLC,
    "CXPI Trigger Error DLC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:DLC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_IBS =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_IBS,
    "CXPI Trigger Error IBS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:IBS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_IFS =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_IFS,
    "CXPI Trigger Error IFS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:IFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_LENGTH,
    "CXPI Trigger Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_PARITY =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_PARITY,
    "CXPI Trigger Error Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_UART =
  {
    RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_UART,
    "CXPI Trigger Error UART",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:CXPI:ERR:UART",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TYPE,
    "PCIe Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTriggerType, NULL, NULL,
    "TRIG{Trigger}:PCIE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TRIGGER_TYPE_TLP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_LEVEL,
    "PCIe Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeTriggerLevel, NULL,
    "TRIG{Trigger}:PCIE:TRGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP,
    "PCIe Trigger TLP",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLP, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_SEQUENCE_NUMBER =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_SEQUENCE_NUMBER,
    "PCIe Trigger TLP Sequence Number",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:SNUM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_TC =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_TC,
    "PCIe Trigger TLP TC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPTC, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:TCHN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_TC_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ORDERING =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ORDERING,
    "PCIe Trigger TLP Ordering",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPOrdering, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:ORDE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ORDERING_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_SNOOP =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_SNOOP,
    "PCIe Trigger TLP Snoop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPSnoop, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:SNOO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_SNOOP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_REQUESTER_ID =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_REQUESTER_ID,
    "PCIe Trigger TLP Requester ID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:REID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_DEVICE_ID =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_DEVICE_ID,
    "PCIe Trigger TLP Device ID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:DEID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_READ_WRITE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_READ_WRITE,
    "PCIe Trigger TLP Read Write",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPReadWrite, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:MERW",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_RW_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ADDRESS_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ADDRESS_TYPE,
    "PCIe Trigger TLP Address Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPAddressType, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:ADRT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ADDRESS_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_TYPE,
    "PCIe Trigger TLP Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPType, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:CFGT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_AT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_AT_TYPE,
    "PCIe Trigger TLP AT Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerTLPATType, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:AT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_TLPAT_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ROUTING =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ROUTING,
    "PCIe Trigger TLP Routing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPRouting, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:MSGR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ROUTING_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_MESSAGE_CODE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_MESSAGE_CODE,
    "PCIe Trigger TLP Message Code",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:MSGC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_STATUS =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_STATUS,
    "PCIe Trigger TLP Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPStatus, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:CPLS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_STATUS_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_COMPLETER_ID =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_TLP_COMPLETER_ID,
    "PCIe Trigger TLP Completer ID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:TLP:CPID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP,
    "PCIe Trigger DLLP",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLP, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_TYPE,
    "PCIe Trigger DLLP MR Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPMRType, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_INIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_PHASE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_PHASE,
    "PCIe Trigger DLLP MR Init Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:PHAS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_VH_FC =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_VH_FC,
    "PCIe Trigger DLLP MR Init VH FC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:VHFC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_MIXED_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_MIXED_TYPE,
    "PCIe Trigger DLLP MR Init Mixed Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:MIXT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_AUTHORIZED =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_AUTHORIZED,
    "PCIe Trigger DLLP MR Init Authorized",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:AUTH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_DEVICE_PORT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_DEVICE_PORT_TYPE,
    "PCIe Trigger DLLP MR Init Device Port Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDevicePortType, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:DVPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VL_NUMBER =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VL_NUMBER,
    "PCIe Trigger DLLP MR VL Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeVLNumber, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:VLNR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_VL_NUMBER_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VH_ABSENT =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VH_ABSENT,
    "PCIe Trigger DLLP MR VH Absent",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:HABS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_TLP_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_TLP_TYPE,
    "PCIe Trigger DLLP MR TLP Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPMRTLPType, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:TLPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_TLP_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_CREDIT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_CREDIT_TYPE,
    "PCIe Trigger DLLP MR Credit Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPMRCreditType, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:CRET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_CREDIT_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_A =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_A,
    "PCIe Trigger DLLP MR A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTriggerDLLPMRA, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:RESA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_A_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VH_GROUP =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VH_GROUP,
    "PCIe Trigger DLLP MR VH Group",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPVHGroup, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:MULT:VHGR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_SEQUENCE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_SEQUENCE,
    "PCIe Trigger DLLP Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:SEQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_FC_CREDIT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_FC_CREDIT_TYPE,
    "PCIe Trigger DLLP FC Credit Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPFCCreditType, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:FCTL:CRET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_FC_CREDIT_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_FC_VC_ID =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_FC_VC_ID,
    "PCIe Trigger DLLP FC VC ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPVCID, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:FCTL:VCID",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_VC_ID_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_PM_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_PM_TYPE,
    "PCIe Trigger DLLP PM Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPPMType, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:POWM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_VENDOR_PATTERN =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_VENDOR_PATTERN,
    "PCIe Trigger DLLP Vendor Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:DLLP:VPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_OSET_TYPE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_OSET_TYPE,
    "PCIe Trigger OSET Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeOSETType, NULL, NULL,
    "TRIG{Trigger}:PCIE:OSET:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_OSET_TYPE_SKP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_CRC16 =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_CRC16,
    "PCIe Trigger ERRC CRC16 Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_LCRC =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_LCRC,
    "PCIe Trigger ERRC LCRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:LCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_ECRC =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_ECRC,
    "PCIe Trigger ERRC ECRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:ECRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_INVALID_SYMBOL =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_INVALID_SYMBOL,
    "PCIe Trigger ERRC Invalid Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:INVP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_DISP =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_DISP,
    "PCIe Trigger ERRC Disparity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_LENGTH =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_LENGTH,
    "PCIe Trigger ERRC Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_MALFORM_ERROR =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_MALFORM_ERROR,
    "PCIe Trigger ERRC Malform Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:MALF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_MAX_END_PREFIX =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_MAX_END_PREFIX,
    "PCIe Trigger ERRC Max End Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:MXPF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_PREFIX_ORDER_ERROR =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_PREFIX_ORDER_ERROR,
    "PCIe Trigger ERRC Prefix Order Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:PFOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_SYNC_BIT =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_SYNC_BIT,
    "PCIe Trigger ERRC Sync Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:SYCB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_VALUE_OUT_OF_RANGE =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_VALUE_OUT_OF_RANGE,
    "PCIe Trigger ERRC Value Out Of Range",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:VOOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_UNKNOWN_PACKET =
  {
    RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_UNKNOWN_PACKET,
    "PCIe Trigger ERRC Unknown Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:PCIE:ERRC:UKNP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_TYPE,
    "EbTb Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbTriggerType, NULL, NULL,
    "TRIG{Trigger}:EBTB:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_TRIGGER_TYPE_SYMBOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_CONDITION_TYPE =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_CONDITION_TYPE,
    "EbTb Trigger Condition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerConditionType, NULL, NULL,
    "TRIG{Trigger}:EBTB:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_CONDITION_TYPE_KD_SYMBOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_DISPARITY_ERROR =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_DISPARITY_ERROR,
    "EbTb Trigger Disparity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EBTB:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_DATA_CHARACTER =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_DATA_CHARACTER,
    "EbTb Trigger Data Character",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbTriggerDataCharacter, NULL, NULL,
    "TRIG{Trigger}:EBTB:SYMT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_TRIGGER_CHARACTER_DATA_K285,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_DX_SYMBOL =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_DX_SYMBOL,
    "EbTb Trigger DX Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngEbTbTriggerDXSymbol, NULL,
    "TRIG{Trigger}:EBTB:DX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_DY_SYMBOL =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_DY_SYMBOL,
    "EbTb Trigger DY Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngEbTbTriggerDYSymbol, NULL,
    "TRIG{Trigger}:EBTB:DY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_FORMAT =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_FORMAT,
    "EbTb Trigger Symbol Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbSymbTrgSymbolFormat, NULL, NULL,
    "TRIG{Trigger}:EBTB:SYMF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_TRIGGER_SYMB_FORMAT_KD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_EB_PATTERN =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_EB_PATTERN,
    "EbTb Trigger EB Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EBTB:EBPA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00110000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_TB_PATTERN =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_TB_PATTERN,
    "EbTb Trigger TB Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EBTB:TBPA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000011",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_GLITCH_ERROR =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_GLITCH_ERROR,
    "EbTb Trigger Glitch Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EBTB:GLIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_TYPE =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_TYPE,
    "EbTb Trigger Symbol Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbTriggerSymbolType, NULL, NULL,
    "TRIG{Trigger}:EBTB:SSTY",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_SYMB_TYPE_SYMBOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_EXPRESSION =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_EXPRESSION,
    "EbTb Trigger Symbol Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EBTB:SYME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "EXPRESSION",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EBTB_TRIGGER_UNKNOWN_ERROR =
  {
    RSSCOPE_ATTR_EBTB_TRIGGER_UNKNOWN_ERROR,
    "EbTb Trigger Unknown Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:EBTB:UNK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE,
    "100BASE-T1 Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rng100BASE_T1FrameType, NULL, NULL,
    "TRIG{Trigger}:HBTO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FRAME_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_CONDITION,
    "100BASE-T1 Trigger Destination Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:HBTO:DADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_MIN,
    "100BASE-T1 Trigger Destination Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:DADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_MAX,
    "100BASE-T1 Trigger Destination Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:DADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_CONDITION,
    "100BASE-T1 Trigger Source Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:HBTO:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_MIN,
    "100BASE-T1 Trigger Source Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_MAX,
    "100BASE-T1 Trigger Source Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_CONDITION =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_CONDITION,
    "100BASE-T1 Trigger Type Length Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:HBTO:LENG:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_MIN =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_MIN,
    "100BASE-T1 Trigger Type Length Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:LENG:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_MAX =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_MAX,
    "100BASE-T1 Trigger Type Length Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:LENG:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_CONDITION =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_CONDITION,
    "100BASE-T1 Trigger CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:HBTO:CRC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_MIN =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_MIN,
    "100BASE-T1 Trigger CRC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:CRC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_MAX =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_MAX,
    "100BASE-T1 Trigger CRC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:CRC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_CONDITION,
    "100BASE-T1 Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:HBTO:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_MIN,
    "100BASE-T1 Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_MAX,
    "100BASE-T1 Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_CONDITION,
    "100BASE-T1 Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "TRIG{Trigger}:HBTO:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_MIN,
    "100BASE-T1 Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rng100BASE_T1TriggerIndex, NULL,
    "TRIG{Trigger}:HBTO:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_MAX,
    "100BASE-T1 Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rng100BASE_T1TriggerIndex, NULL,
    "TRIG{Trigger}:HBTO:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_PREAMBLE =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_PREAMBLE,
    "100BASE-T1 Trigger Error Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:ERR:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_CRC =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_CRC,
    "100BASE-T1 Trigger Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_SFD =
  {
    RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_SFD,
    "100BASE-T1 Trigger Error SFD",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:HBTO:ERR:SFD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_TYPE,
    "Protocol 1000BASE-T1 Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearch1000BASE_T1Type, NULL, NULL,
    "TRIG{Trigger}:TBTO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FRAME_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LEVEL,
    "Protocol 1000BASE-T1 Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocol1000BASET1TriggerLevel, NULL,
    "TRIG{Trigger}:TBTO:TRGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_CONDITION,
    "Protocol 1000BASE-T1 Trigger Destination Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "TRIG{Trigger}:TBTO:DADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_MIN,
    "Protocol 1000BASE-T1 Trigger Destination Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:DADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_MAX,
    "Protocol 1000BASE-T1 Trigger Destination Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:DADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_CONDITION,
    "Protocol 1000BASE-T1 Trigger Source Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "TRIG{Trigger}:TBTO:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_MIN,
    "Protocol 1000BASE-T1 Trigger Source Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_MAX,
    "Protocol 1000BASE-T1 Trigger Source Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_CONDITION,
    "Protocol 1000BASE-T1 Trigger Length Type Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "TRIG{Trigger}:TBTO:LENG:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_MIN,
    "Protocol 1000BASE-T1 Trigger Length Type Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:LENG:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_MAX,
    "Protocol 1000BASE-T1 Trigger Length Type Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:LENG:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_CONDITION,
    "Protocol 1000BASE-T1 Trigger Frame Check CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "TRIG{Trigger}:TBTO:CRC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_MIN,
    "Protocol 1000BASE-T1 Trigger Frame Check CRC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:CRC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_MAX,
    "Protocol 1000BASE-T1 Trigger Frame Check CRC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:CRC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_CONDITION,
    "Protocol 1000BASE-T1 Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "TRIG{Trigger}:TBTO:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_MIN,
    "Protocol 1000BASE-T1 Trigger Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_MAX,
    "Protocol 1000BASE-T1 Trigger Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_CONDITION,
    "Protocol 1000BASE-T1 Trigger Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "TRIG{Trigger}:TBTO:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_MIN,
    "Protocol 1000BASE-T1 Trigger Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rng1000BASET1Index, NULL,
    "TRIG{Trigger}:TBTO:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_MAX,
    "Protocol 1000BASE-T1 Trigger Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rng1000BASET1Index, NULL,
    "TRIG{Trigger}:TBTO:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_RS_FEC =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_RS_FEC,
    "Protocol 1000BASE-T1 Trigger Error RS-FEC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:ERR:FEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_CRC =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_CRC,
    "Protocol 1000BASE-T1 Trigger Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_OUT_OF_RANGE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_OUT_OF_RANGE,
    "Protocol 1000BASE-T1 Trigger Error Out Of Range",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:ERR:OOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_ZERO_TERNARY_SYMBOL =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_ZERO_TERNARY_SYMBOL,
    "Protocol 1000BASE-T1 Trigger Error Zero Ternary Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG{Trigger}:TBTO:ERR:ZERO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUN_SINGLE =
  {
    RSSCOPE_ATTR_RUN_SINGLE,
    "Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUN_SINGLE_WITHOUT_WAIT =
  {
    RSSCOPE_ATTR_RUN_SINGLE_WITHOUT_WAIT,
    "Run Single Without Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RUN_CONTINUOUS =
  {
    RSSCOPE_ATTR_RUN_CONTINUOUS,
    "Run Continuous",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STOP =
  {
    RSSCOPE_ATTR_STOP,
    "Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FORCE =
  {
    RSSCOPE_ATTR_FORCE,
    "Force",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TRIG:FORC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEND_SW_TRIGGER =
  {
    RSSCOPE_ATTR_SEND_SW_TRIGGER,
    "Send SW Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEND_SW_TRIGGER_AND_WAIT =
  {
    RSSCOPE_ATTR_SEND_SW_TRIGGER_AND_WAIT,
    "Send SW Trigger And Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_ENABLED =
  {
    RSSCOPE_ATTR_CURSOR_ENABLED,
    "Cursor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ALL_CURSORS_OFF =
  {
    RSSCOPE_ATTR_ALL_CURSORS_OFF,
    "All Cursors Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS1:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_MEASUREMENT_TYPE =
  {
    RSSCOPE_ATTR_CURSOR_MEASUREMENT_TYPE,
    "Cursor Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCursorFunction, NULL, NULL,
    "CURS{Cursor}:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_VERTICAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SOURCE =
  {
    RSSCOPE_ATTR_CURSOR_SOURCE,
    "Cursor Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCursorSource, NULL, NULL,
    "CURS{Cursor}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_TRACKING =
  {
    RSSCOPE_ATTR_CURSOR_TRACKING,
    "Cursor Tracking",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_RESULT_TABLE_POSITION =
  {
    RSSCOPE_ATTR_CURSOR_RESULT_TABLE_POSITION,
    "Cursor Result Table Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDisplayResultTableDefaultPosition, NULL, NULL,
    "DISP:RES:CUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RESULT_TABLE_POSITION_FLOAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_X_POSITION_COUPLING =
  {
    RSSCOPE_ATTR_CURSOR_X_POSITION_COUPLING,
    "Cursor X Position Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:XCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_Y_POSITION_COUPLING =
  {
    RSSCOPE_ATTR_CURSOR_Y_POSITION_COUPLING,
    "Cursor Y Position Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:YCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_ENVELOPE_CURVE_1 =
  {
    RSSCOPE_ATTR_CURSOR_ENVELOPE_CURVE_1,
    "Cursor Envelope Curve 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMinMax, NULL, NULL,
    "CURS{Cursor}:X1EN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MAX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_ENVELOPE_CURVE_2 =
  {
    RSSCOPE_ATTR_CURSOR_ENVELOPE_CURVE_2,
    "Cursor Envelope Curve 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMinMax, NULL, NULL,
    "CURS{Cursor}:X2EN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_DISTANCE =
  {
    RSSCOPE_ATTR_CURSOR_HORIZONTAL_DISTANCE,
    "Cursor Horizontal Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:YDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_DELTA_SLOPE =
  {
    RSSCOPE_ATTR_CURSOR_HORIZONTAL_DELTA_SLOPE,
    "Cursor Horizontal Delta Slope",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:YDEL:SLOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_VERTICAL_DISTANCE =
  {
    RSSCOPE_ATTR_CURSOR_VERTICAL_DISTANCE,
    "Cursor Vertical Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:XDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_INVERSE_DISTANCE =
  {
    RSSCOPE_ATTR_CURSOR_INVERSE_DISTANCE,
    "Cursor Inverse Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:XDEL:INV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SEARCH_PEAK =
  {
    RSSCOPE_ATTR_CURSOR_SEARCH_PEAK,
    "Cursor Search Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_LEFT =
  {
    RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_LEFT,
    "Cursor Search Next Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_RIGHT =
  {
    RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_RIGHT,
    "Cursor Search Next Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_ABSOLUTE =
  {
    RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_ABSOLUTE,
    "Cursor Search Next Absolute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_PEAK_EXCURSION =
  {
    RSSCOPE_ATTR_CURSOR_PEAK_EXCURSION,
    "Cursor Peak Excursion",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngPeakExcursion, NULL,
    "CURS{Cursor}:PEXC",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_THRESHOLD =
  {
    RSSCOPE_ATTR_CURSOR_THRESHOLD,
    "Cursor Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SOURCE_2 =
  {
    RSSCOPE_ATTR_CURSOR_SOURCE_2,
    "Cursor Source 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCursorSource, NULL, NULL,
    "CURS{Cursor}:SSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SOURCE_2_ENABLED =
  {
    RSSCOPE_ATTR_CURSOR_SOURCE_2_ENABLED,
    "Cursor Source 2 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:USS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_LABEL_ENABLED =
  {
    RSSCOPE_ATTR_CURSOR_LABEL_ENABLED,
    "Cursor Label Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS{Cursor}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_STYLE =
  {
    RSSCOPE_ATTR_CURSOR_STYLE,
    "Cursor Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCursorStyle, NULL, NULL,
    "CURS{Cursor}:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_STYLE_LINES,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SHOW_IN_ALL_DIAGRAMS =
  {
    RSSCOPE_ATTR_CURSOR_SHOW_IN_ALL_DIAGRAMS,
    "Cursor Show In All Diagrams",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS:SIAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_VERTICAL_LABEL_LEFT =
  {
    RSSCOPE_ATTR_CURSOR_VERTICAL_LABEL_LEFT,
    "Cursor Vertical Label Left",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CURS{Cursor}:LAB:X1",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cu1.X1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_VERTICAL_LABEL_RIGHT =
  {
    RSSCOPE_ATTR_CURSOR_VERTICAL_LABEL_RIGHT,
    "Cursor Vertical Label Right",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CURS{Cursor}:LAB:X2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cu1.X2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_LABEL_LOWER =
  {
    RSSCOPE_ATTR_CURSOR_HORIZONTAL_LABEL_LOWER,
    "Cursor Horizontal Label Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CURS{Cursor}:LAB:Y1",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cu1.Y1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_LABEL_UPPER =
  {
    RSSCOPE_ATTR_CURSOR_HORIZONTAL_LABEL_UPPER,
    "Cursor Horizontal Label Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CURS{Cursor}:LAB:Y2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cu1.Y2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SPECTRUM_WAVEFORMS_C1_TO_CENTER =
  {
    RSSCOPE_ATTR_CURSOR_SPECTRUM_WAVEFORMS_C1_TO_CENTER,
    "Cursor Spectrum Waveforms C1 To Center",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:FFT:TOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_SPECTRUM_WAVEFORMS_CENTER_TO_C1 =
  {
    RSSCOPE_ATTR_CURSOR_SPECTRUM_WAVEFORMS_CENTER_TO_C1,
    "Cursor Spectrum Waveforms Center To C1",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS{Cursor}:FFT:SETC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_X_POSITION =
  {
    RSSCOPE_ATTR_CURSOR_X_POSITION,
    "Cursor X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:X{CPosition}P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURSOR_Y_POSITION =
  {
    RSSCOPE_ATTR_CURSOR_Y_POSITION,
    "Cursor Y Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS{Cursor}:Y{CPosition}P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MEASUREMENT_ENABLED =
  {
    RSSCOPE_ATTR_MEASUREMENT_ENABLED,
    "Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MULTIPLE_MEASUREMENT_ENABLED =
  {
    RSSCOPE_ATTR_MULTIPLE_MEASUREMENT_ENABLED,
    "Multiple Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:MULT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MULTIPLE_MEASUREMENT_COUNT =
  {
    RSSCOPE_ATTR_MULTIPLE_MEASUREMENT_COUNT,
    "Multiple Measurement Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngMultipleMeasurementCount, NULL,
    "MEAS{Measurement}:MNOM",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MEASUREMENT_CATEGORY =
  {
    RSSCOPE_ATTR_MEASUREMENT_CATEGORY,
    "Measurement Category",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementCategory, NULL, NULL,
    "MEAS{Measurement}:CAT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPTIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADDITIONAL_MEASUREMENTS_ENABLE =
  {
    RSSCOPE_ATTR_ADDITIONAL_MEASUREMENTS_ENABLE,
    "Additional Measurements Enable",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADDITIONAL_MEASUREMENTS_DISABLE =
  {
    RSSCOPE_ATTR_ADDITIONAL_MEASUREMENTS_DISABLE,
    "Additional Measurements Disable",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CLEAR_MEASUREMENT_STATISTIC_DATA =
  {
    RSSCOPE_ATTR_CLEAR_MEASUREMENT_STATISTIC_DATA,
    "Clear Measurement Statistic Data",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MEASUREMENT_LIMIT_TYPE =
  {
    RSSCOPE_ATTR_MEASUREMENT_LIMIT_TYPE,
    "Measurement Limit Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLimitType, NULL, NULL,
    "MEAS{Measurement}:LCH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIMIT_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MEASUREMENT_DISPLAY_STYLE =
  {
    RSSCOPE_ATTR_MEASUREMENT_DISPLAY_STYLE,
    "Measurement Display Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngDisplayStyle, NULL, NULL,
    "MEAS{Measurement}:DISP:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DISPLAY_STYLE_LINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATE_BEEP_ON_MEASUREMENT_EVENT =
  {
    RSSCOPE_ATTR_GENERATE_BEEP_ON_MEASUREMENT_EVENT,
    "Generate Beep On Measurement Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:BEEP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STOP_ACQUISITION_ON_MEASUREMENT_EVENT =
  {
    RSSCOPE_ATTR_STOP_ACQUISITION_ON_MEASUREMENT_EVENT,
    "Stop Acquisition On Measurement Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:ACQS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PRINT_ON_MEASUREMENT_EVENT =
  {
    RSSCOPE_ATTR_PRINT_ON_MEASUREMENT_EVENT,
    "Print On Measurement Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:PRIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVE_WAVEFORM_DATA_ON_MEASUREMENT_EVENT =
  {
    RSSCOPE_ATTR_SAVE_WAVEFORM_DATA_ON_MEASUREMENT_EVENT,
    "Save Waveform Data On Measurement Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:WFMS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CREATE_TRIGGER_OUT_PULSE =
  {
    RSSCOPE_ATTR_CREATE_TRIGGER_OUT_PULSE,
    "Create Trigger Out Pulse",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:TRIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVE_REPORT_ON_MEASUREMENT_EVENT =
  {
    RSSCOPE_ATTR_SAVE_REPORT_ON_MEASUREMENT_EVENT,
    "Save Report On Measurement Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:REP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_EXTERNAL_APPLICATION_ON_MEASUREMENT_EVENT =
  {
    RSSCOPE_ATTR_START_EXTERNAL_APPLICATION_ON_MEASUREMENT_EVENT,
    "Start External Application On Measurement Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurementEvent, NULL, NULL,
    "MEAS{Measurement}:ONV:RUN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EVENT_NO_ACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MEASUREMENT_PREFIX_ENABLED =
  {
    RSSCOPE_ATTR_MEASUREMENT_PREFIX_ENABLED,
    "Measurement Prefix Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:ARN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEFINE_FIRST_MEASUREMENT_SOURCE =
  {
    RSSCOPE_ATTR_DEFINE_FIRST_MEASUREMENT_SOURCE,
    "Define First Measurement Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "MEAS{Measurement}:FSRC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEFINE_SECOND_MEASUREMENT_SOURCE =
  {
    RSSCOPE_ATTR_DEFINE_SECOND_MEASUREMENT_SOURCE,
    "Define Second Measurement Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "MEAS{Measurement}:SSRC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_MAIN_MEASUREMENT =
  {
    RSSCOPE_ATTR_AMPT_MAIN_MEASUREMENT,
    "Amplitude Time Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmplitudeTimeMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS_AMPLITUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_AREA_LEVEL =
  {
    RSSCOPE_ATTR_AMPT_AREA_LEVEL,
    "Amplitude Time Area Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AMPT:ALEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_SIGNAL_DETECTION_THRESHOLD =
  {
    RSSCOPE_ATTR_AMPT_SIGNAL_DETECTION_THRESHOLD,
    "Amplitude Time Signal Detection Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngSignalDetectionThreshold, NULL,
    "MEAS{Measurement}:DETT",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_PULSES_SLOPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_PULSES_SLOPE,
    "Amplitude Pulses Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:PSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_MEASURED_SLOPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_MEASURED_SLOPE,
    "Amplitude Measured Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmplitudeMeasuredSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:PFSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_EDGES_SLOPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_EDGES_SLOPE,
    "Amplitude Edges Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:ESL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_CLOCK_SLOPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_CLOCK_SLOPE,
    "Amplitude Clock Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:CSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_DATA_REFERENCE_LEVEL =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_DATA_REFERENCE_LEVEL,
    "Amplitude Time Data Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmpRefLevSelection, NULL, NULL,
    "MEAS{Measurement}:AMPT:DATA:LSEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPT_LEVEL_MIDD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_CLOCK_REFERENCE_LEVEL =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_CLOCK_REFERENCE_LEVEL,
    "Amplitude Time Clock Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmpRefLevSelection, NULL, NULL,
    "MEAS{Measurement}:AMPT:CLCK:LSEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPT_LEVEL_MIDD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_PULSE_TRAIN_COUNT =
  {
    RSSCOPE_ATTR_AMPT_PULSE_TRAIN_COUNT,
    "Amplitude Pulse Train Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngAmpPulseTrain, NULL,
    "MEAS{Measurement}:AMPT:PTC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ENVELOPE_SELECTION =
  {
    RSSCOPE_ATTR_ENVELOPE_SELECTION,
    "Envelope Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEnvelopeType, NULL, NULL,
    "MEAS{Measurement}:ENVS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ENVELOPE_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_DELAY_TO_TRIGGER_SLOPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_DELAY_TO_TRIGGER_SLOPE,
    "Amplitude Delay To Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:DTOT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_DELAY_TO_TRIGGER_REFERENCE_LEVEL =
  {
    RSSCOPE_ATTR_AMPLITUDE_DELAY_TO_TRIGGER_REFERENCE_LEVEL,
    "Amplitude Delay To Trigger Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmpRefLevSelection, NULL, NULL,
    "MEAS{Measurement}:AMPT:DTOT:LSEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPT_LEVEL_MIDD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_MEASUREMENT_TYPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_MEASUREMENT_TYPE,
    "Amplitude Time Arithmetic Parameter Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngArithmeticMeasurementType, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:PAR{ArithmeticParameter}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARITHMETIC_MEASUREMENT_TYPE_MEASUREMENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_AMPTIME_TYPE =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_AMPTIME_TYPE,
    "Amplitude Time Arithmetic Parameter Amptime Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAmplitudeTimeArithmeticParameterMeasurementType, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:PAR{ArithmeticParameter}:AMPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_GROUP =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_GROUP,
    "Amplitude Time Arithmetic Parameter Group",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumArithmeticParameterGroup, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:PAR{ArithmeticParameter}:GRO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_MEASUREMENT_SPECTRUM =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_MEASUREMENT_SPECTRUM,
    "Amplitude Time Arithmetic Parameter Measurement Spectrum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumArithmeticMeasurementSpectrum, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:PAR{ArithmeticParameter}:SPEC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_CPOWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_OPERATOR =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_OPERATOR,
    "Amplitude Time Arithmetic Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumArithmeticOperator, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:OPER",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_ARITHMETIC_OPERATOR_ADDITION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CONSTANT =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CONSTANT,
    "Amplitude Time Arithmetic Constant",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngArithmeticConstant, NULL,
    "MEAS{Measurement}:AMPT:ARIT:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CONSTANT_UNIT =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CONSTANT_UNIT,
    "Amplitude Time Arithmetic Constant Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngArithmeticOperationType, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_NAME_ENABLED =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_NAME_ENABLED,
    "Amplitude Time Arithmetic Custom Name Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:CUNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_UNIT_ENABLED =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_UNIT_ENABLED,
    "Amplitude Time Arithmetic Custom Unit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:CUUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_UNIT =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_UNIT,
    "Amplitude Time Arithmetic Custom Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:AMPT:ARIT:CUUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "unit",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_DELAY_LEVEL_SELECTION =
  {
    RSSCOPE_ATTR_AMPT_DELAY_LEVEL_SELECTION,
    "Amplitude Delay Level Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmpRefLevSelection, NULL, NULL,
    "MEAS{Measurement}:AMPT:DEL{SourceNumber}:LSEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPT_LEVEL_MIDD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_DELAY_SLOPE =
  {
    RSSCOPE_ATTR_AMPT_DELAY_SLOPE,
    "Amplitude Delay Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:AMPT:DEL{SourceNumber}:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_DELAY_DIRECTION =
  {
    RSSCOPE_ATTR_AMPT_DELAY_DIRECTION,
    "Amplitude Delay Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAmplitudeDelayDirection, NULL, NULL,
    "MEAS{Measurement}:AMPT:DEL{SourceNumber}:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPT_DIRECTION_FRFI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_DELAY_EDGE_NUMBER =
  {
    RSSCOPE_ATTR_AMPT_DELAY_EDGE_NUMBER,
    "Amplitude Delay Edge Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngAmpDelayEdgeNumber, NULL,
    "MEAS{Measurement}:AMPT:DEL{SourceNumber}:ECO",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPT_LIMIT_CHECK =
  {
    RSSCOPE_ATTR_AMPT_LIMIT_CHECK,
    "Amplitude Time Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLimitCheck, NULL, NULL,
    "MEAS{Measurement}:AMPT:LCH{AmptMeasurementType}:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_LOWER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_LOWER_LIMIT_VALUE,
    "Amplitude Time Lower Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitValue, NULL,
    "MEAS{Measurement}:AMPT:LCH{AmptMeasurementType}:LOW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_UPPER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_UPPER_LIMIT_VALUE,
    "Amplitude Time Upper Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitValue, NULL,
    "MEAS{Measurement}:AMPT:LCH{AmptMeasurementType}:UPP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_LOWER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_LOWER_LIMIT_MARGIN,
    "Amplitude Time Lower Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitMargin, NULL,
    "MEAS{Measurement}:AMPT:LCH{AmptMeasurementType}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AMPLITUDE_TIME_UPPER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_AMPLITUDE_TIME_UPPER_LIMIT_MARGIN,
    "Amplitude Time Upper Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitMargin, NULL,
    "MEAS{Measurement}:AMPT:LCH{AmptMeasurementType}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_MAIN_MEASUREMENT =
  {
    RSSCOPE_ATTR_JITTER_MAIN_MEASUREMENT,
    "Jitter Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngJitterMainMeasurement, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS_JITTER_CCJ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_CYCLE_BEGIN =
  {
    RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_CYCLE_BEGIN,
    "Jitter Clock Measurement Cycle Begin",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngJitterClockCycleBegin, NULL, NULL,
    "MEAS{Measurement}:JITT:CCSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_CYCLE_OFFSET =
  {
    RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_CYCLE_OFFSET,
    "Jitter Clock Measurement Cycle Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngJitterClockCycleOffset, NULL,
    "MEAS{Measurement}:JITT:NCYC",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_PULSE_POLARITY =
  {
    RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_PULSE_POLARITY,
    "Jitter Clock Measurement Pulse Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarity, NULL, NULL,
    "MEAS{Measurement}:JITT:PULS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_CLOCK_MODE =
  {
    RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_CLOCK_MODE,
    "Jitter Data Measurement Clock Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngJitterDataClockMode, NULL, NULL,
    "MEAS{Measurement}:JITT:CDRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_JITTER_CLOCK_MODE_SIGNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_DATA_SLOPE =
  {
    RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_DATA_SLOPE,
    "Jitter Data Measurement Data Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:JITT:SOUR1:TIES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_CLOCK_SLOPE =
  {
    RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_CLOCK_SLOPE,
    "Jitter Data Measurement Clock Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:JITT:SOUR2:TIES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_UNIT =
  {
    RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_UNIT,
    "Jitter Data Measurement Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngJitterDataMeasurementUnit, NULL, NULL,
    "MEAS{Measurement}:JITT:DRUN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_JITTER_DATA_MEASUREMENT_UNIT_BIT_S,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_DELAY_MEASUREMENT_EDGE_POLARITY =
  {
    RSSCOPE_ATTR_JITTER_DELAY_MEASUREMENT_EDGE_POLARITY,
    "Jitter Delay Measurement Edge Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "MEAS{Measurement}:JITT:SKWS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_DELAY_MEASUREMENT_RELATIVE_POLARITY =
  {
    RSSCOPE_ATTR_JITTER_DELAY_MEASUREMENT_RELATIVE_POLARITY,
    "Jitter Delay Measurement Relative Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngJitterDelayRelativePolarity, NULL, NULL,
    "MEAS{Measurement}:JITT:SKWR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MATCHING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_LIMIT_CHECK =
  {
    RSSCOPE_ATTR_JITTER_LIMIT_CHECK,
    "Jitter Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLimitCheck, NULL, NULL,
    "MEAS{Measurement}:AMPT:LCH{JitterMeasurementType}:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_LIMIT_LOWER_VALUE =
  {
    RSSCOPE_ATTR_JITTER_LIMIT_LOWER_VALUE,
    "Jitter Limit Lower Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitValue, NULL,
    "MEAS{Measurement}:AMPT:LCH{JitterMeasurementType}:LOW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_LIMIT_UPPER_VALUE =
  {
    RSSCOPE_ATTR_JITTER_LIMIT_UPPER_VALUE,
    "Jitter Limit Upper Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitValue, NULL,
    "MEAS{Measurement}:AMPT:LCH{JitterMeasurementType}:UPP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_LIMIT_LOWER_MARGIN =
  {
    RSSCOPE_ATTR_JITTER_LIMIT_LOWER_MARGIN,
    "Jitter Limit Lower Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitMargin, NULL,
    "MEAS{Measurement}:AMPT:LCH{JitterMeasurementType}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_JITTER_LIMIT_UPPER_MARGIN =
  {
    RSSCOPE_ATTR_JITTER_LIMIT_UPPER_MARGIN,
    "Jitter Limit Upper Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAmplitudeLimitMargin, NULL,
    "MEAS{Measurement}:AMPT:LCH{JitterMeasurementType}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_ANALYZED_SOURCE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_ANALYZED_SOURCE,
    "Advanced Jitter Analyzed Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterSource, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_SERIAL_STANDARD =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_SERIAL_STANDARD,
    "Advanced Jitter Serial Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSoftwareSerialStandard, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:SERS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIAL_STANDARD_CUSTOM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_SIGNAL_TYPE,
    "Advanced Jitter Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterSignalType, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_SIGNAL_TYPE_DATA_NRZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_QUICK_START_ANALYSIS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_QUICK_START_ANALYSIS,
    "Advanced Jitter Quick Start Analysis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:QUIC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_SOURCE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_SOURCE,
    "Advanced Jitter Reference Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterReferenceSource, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:REFS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_REFERENCE_SOURCE_CDR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_SOURCE,
    "Advanced Jitter Reference Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterSource, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CLKS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CDR_SOURCE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CDR_SOURCE,
    "Advanced Jitter Reference CDR Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterReferenceCDRSource, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CDRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_CDR_SW1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_NOMINAL_BITRATE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_NOMINAL_BITRATE,
    "Advanced Jitter Reference Nominal Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngAdvancedJitterNominalBitrate, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    1000000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_EDGE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_EDGE,
    "Advanced Jitter Reference Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterClockEdge, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_SAMPLING_TIME =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_SAMPLING_TIME,
    "Advanced Jitter Reference Clock Sampling Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterSamplingTime, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:SAMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_MULTIPLIER_FACTOR =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_MULTIPLIER_FACTOR,
    "Advanced Jitter Reference Clock Multiplier Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngAdvancedJitterReferenceClockMultiplierFactor, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CLFF",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_OFFSET =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_OFFSET,
    "Advanced Jitter Reference Clock Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterReferenceClockOffset, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CLOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_OFFSET_ESTIMATION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_OFFSET_ESTIMATION,
    "Advanced Jitter Reference Clock Offset Estimation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CFES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_FREQUENCY =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_FREQUENCY,
    "Advanced Jitter Reference Clock Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterReferenceClockFrequency, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CLFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_FREQ_ESTIMATION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_FREQ_ESTIMATION,
    "Advanced Jitter Reference Clock Freq Estimation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:CLES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_DATA_RATE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_DATA_RATE,
    "Advanced Jitter Reference Clock Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterReferenceClockDataRate, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:DATR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_UI_OFFSET =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_UI_OFFSET,
    "Advanced Jitter Reference UI Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUIOffset, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:SAMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ENABLED,
    "Advanced Jitter Gating Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLING_MODE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLING_MODE,
    "Advanced Jitter Gating Coupling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterGateCouplingMode, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_GATE_COUPLING_MODE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLED_CURSOR =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLED_CURSOR,
    "Advanced Jitter Gating Coupled Cursor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCursor, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:CURS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLED_ZOOM_DIAGRAM =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLED_ZOOM_DIAGRAM,
    "Advanced Jitter Gating Coupled Zoom Diagram",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:ZDI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'Diagram1\',\'Zoom1\'",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_MODE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_MODE,
    "Advanced Jitter Gating Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:RANG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ABSOLUTE_START =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ABSOLUTE_START,
    "Advanced Jitter Gating Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterGatingRange, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:RANG:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -2.5E-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ABSOLUTE_STOP =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ABSOLUTE_STOP,
    "Advanced Jitter Gating Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterGatingRange, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:RANG:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5E-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_RELATIVE_START =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_RELATIVE_START,
    "Advanced Jitter Gating Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:RANG:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_RELATIVE_STOP =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_GATING_RELATIVE_STOP,
    "Advanced Jitter Gating Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "ADVJ{AdvJitterMeas}:SIGN:GATE:RANG:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_RESPONSE_LENGTH =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_RESPONSE_LENGTH,
    "Advanced Jitter Decomposition Step Response Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterStepResponse, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:RESP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_ESTIMATE_STEP_RESPONSE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_ESTIMATE_STEP_RESPONSE,
    "Advanced Jitter Decomposition Estimate Step Response",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:RLES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_RESPONSE_ESTIMATED_MAX =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_RESPONSE_ESTIMATED_MAX,
    "Advanced Jitter Decomposition Step Response Estimated Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterStepResponse, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:MRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_POSITION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_POSITION,
    "Advanced Jitter Decomposition Step Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngPct, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:POSS",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_TARGET_BER_EXPONENT =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_TARGET_BER_EXPONENT,
    "Advanced Jitter Decomposition Target BER Exponent",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngAdvancedJitterTargetBERExponent, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:TARB",
    // Defaults I32, I64, Float, Bool, String
    12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_INTERLEAVED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_INTERLEAVED,
    "Advanced Jitter Decomposition Display Interleaved",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:JINT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_PERIODIC_JITTER_LABELS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_PERIODIC_JITTER_LABELS,
    "Advanced Jitter Decomposition Display Periodic Jitter Labels",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:SPJL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_PERIODIC_NOISE_LABELS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_PERIODIC_NOISE_LABELS,
    "Advanced Jitter Decomposition Display Periodic Noise Labels",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:SPNL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_BASIC_JITTER_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_BASIC_JITTER_COMPONENTS,
    "Advanced Jitter Decomposition Select All Basic Jitter Components",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:SELB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_JITTER_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_JITTER_COMPONENTS,
    "Advanced Jitter Decomposition Select All Jitter Components",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:SELJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_BASIC_JITTER_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_BASIC_JITTER_COMPONENTS,
    "Advanced Jitter Decomposition Clear Selected Basic Jitter Components",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:CLEB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_JITTER_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_JITTER_COMPONENTS,
    "Advanced Jitter Decomposition Clear Selected Jitter Components",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:CLEJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_COMPONENT_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_COMPONENT_ENABLED,
    "Advanced Jitter Decomposition Component Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:COMP{AdvJitterComponent}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_NOISE_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_NOISE_COMPONENTS,
    "Advanced Jitter Decomposition Select All Noise Components",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:SELN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_NOISE_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_NOISE_COMPONENTS,
    "Advanced Jitter Decomposition Clear Selected Noise Components",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:CLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_PERIODIC_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_PERIODIC_COMPONENTS_ENABLED,
    "Advanced Jitter Decomposition Periodic Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:ENP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_MAX_PERIODIC_VERTICAL_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_MAX_PERIODIC_VERTICAL_COMPONENTS,
    "Advanced Jitter Decomposition Max Periodic Vertical Components",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngAdvancedJitterPeriodicComponents, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:NVER",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_MAX_PERIODIC_HORIZONTAL_COMPONENTS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_MAX_PERIODIC_HORIZONTAL_COMPONENTS,
    "Advanced Jitter Decomposition Max Periodic Horizontal Components",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngAdvancedJitterPeriodicComponents, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:NHOR",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_OTHER_BOUNDED_UNCORRELATED_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_OTHER_BOUNDED_UNCORRELATED_ENABLED,
    "Advanced Jitter Decomposition Other Bounded Uncorrelated Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:ENOB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_PERIODIC_JITTER_TABLE_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_PERIODIC_JITTER_TABLE_ENABLED,
    "Advanced Jitter Decomposition Periodic Jitter Table Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:DCOM:SPJT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_ENABLED,
    "Advanced Jitter Results Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_STATISTICS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_STATISTICS_ENABLED,
    "Advanced Jitter Results Statistics Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_STEP_RESPONSE_DIAGRAM_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_STEP_RESPONSE_DIAGRAM_ENABLED,
    "Advanced Jitter Results Step Response Diagram Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PLOT_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PLOT_ENABLED,
    "Advanced Jitter Results Bathtub Plot Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:BATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PLOT_TYPE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PLOT_TYPE,
    "Advanced Jitter Results Bathtub Plot Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterResultsBathtubPlotType, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:TYPB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BATHTUP_PLOT_TOTAL_JITTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PERIODIC_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PERIODIC_COMPONENTS_ENABLED,
    "Advanced Jitter Results Bathtub Periodic Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_OBUJ_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_OBUJ_COMPONENTS_ENABLED,
    "Advanced Jitter Results Bathtub OBUJ Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:OBUJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_PLOT_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_PLOT_ENABLED,
    "Advanced Jitter Results Noise Bathtub Plot Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:NBAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_PERIODIC_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_PERIODIC_COMPONENTS_ENABLED,
    "Advanced Jitter Results Noise Bathtub Periodic Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_OBUN_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_OBUN_COMPONENTS_ENABLED,
    "Advanced Jitter Results Noise Bathtub OBUN Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:OBUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_PLOT_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_PLOT_ENABLED,
    "Advanced Jitter Results Synthetic Eye Plot Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:SYNT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_PLOT_TYPE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_PLOT_TYPE,
    "Advanced Jitter Results Synthetic Eye Plot Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterSyntheticEyePlot, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:TYPS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_SYNTHETIC_EYE_DETERMINISTIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_HORIZONTAL_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_HORIZONTAL_COMPONENTS_ENABLED,
    "Advanced Jitter Results Synthetic Eye Horizontal Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PHOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_VERTICAL_COMPONENTS_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_VERTICAL_COMPONENTS_ENABLED,
    "Advanced Jitter Results Synthetic Eye Vertical Components Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_DIAGRAM_TRANSITIONS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_DIAGRAM_TRANSITIONS,
    "Advanced Jitter Results Diagram Transitions",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterResultsDiagramTransitions, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:TRAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_TRANSITIONS_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_DIAGRAM_LEVELS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_DIAGRAM_LEVELS,
    "Advanced Jitter Results Diagram Levels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterResultsDiagramLevels, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:LEV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_LEVELS_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_UNIT =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_UNIT,
    "Advanced Jitter Results Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_HISTOGRAM_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_HISTOGRAM_ENABLED,
    "Advanced Jitter Results Component Histogram Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_TRACK_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_TRACK_ENABLED,
    "Advanced Jitter Results Component Track Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_SPECTRUM_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_SPECTRUM_ENABLED,
    "Advanced Jitter Results Component Spectrum Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_SCALE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_SCALE,
    "Advanced Jitter Results Component Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterResultsScale, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_OFFSET =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_OFFSET,
    "Advanced Jitter Results Component Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngAdvancedJitterResultsOffset, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_PEAK_TO_PEAK =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_PEAK_TO_PEAK,
    "Advanced Jitter Results Component Peak To Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STANDARD_DEVIATION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STANDARD_DEVIATION,
    "Advanced Jitter Results Component Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_WAVEFORM_COUNT =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_WAVEFORM_COUNT,
    "Advanced Jitter Results Component Statistics Waveform Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:STAT:WFMC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MAX_PEAK_TO_PEAK =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MAX_PEAK_TO_PEAK,
    "Advanced Jitter Results Component Statistics Max Peak To Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:STAT:MAXP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MAX_STANDARD_DEVIATION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MAX_STANDARD_DEVIATION,
    "Advanced Jitter Results Component Statistics Max Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:STAT:MAXS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MIN_PEAK_TO_PEAK =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MIN_PEAK_TO_PEAK,
    "Advanced Jitter Results Component Statistics Min Peak To Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:STAT:MINP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MIN_STANDARD_DEVIATION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MIN_STANDARD_DEVIATION,
    "Advanced Jitter Results Component Statistics Min Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:COMP{AdvJitterComponent}:STAT:MINS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SCALING_MAX_NUM_OF_BINS =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SCALING_MAX_NUM_OF_BINS,
    "Advanced Jitter Results Scaling Max Num Of Bins",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngAdvancedJitterHistogramBins, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:HBIN",
    // Defaults I32, I64, Float, Bool, String
    200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_CONTINUOUS_AUTO_SCALE_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_CONTINUOUS_AUTO_SCALE_ENABLED,
    "Advanced Jitter Results Continuous Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BASIC_JITTER_CONTINUOUS_AUTO_SCALE_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BASIC_JITTER_CONTINUOUS_AUTO_SCALE_ENABLED,
    "Advanced Jitter Results Basic Jitter Continuous Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:BHC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_CONTINUOUS_AUTO_SCALE_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_CONTINUOUS_AUTO_SCALE_ENABLED,
    "Advanced Jitter Results Noise Continuous Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:NHC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_JITTER_SPECTRUM_CONTINUOUS_AUTO_SCALE_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_JITTER_SPECTRUM_CONTINUOUS_AUTO_SCALE_ENABLED,
    "Advanced Jitter Results Jitter Spectrum Continuous Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:JSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_SPECTRUM_CONTINUOUS_AUTO_SCALE_ENABLED =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_SPECTRUM_CONTINUOUS_AUTO_SCALE_ENABLED,
    "Advanced Jitter Results Noise Spectrum Continuous Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:NSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SCALING_MEASUREMENT_TYPE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SCALING_MEASUREMENT_TYPE,
    "Advanced Jitter Results Scaling Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterScalingMeasurement, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:VERT:BMTY",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_SCALING_SYMBOL_RATE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_COUNT =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_COUNT,
    "Advanced Jitter Results Periodic Component Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PER:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_FREQUENCY =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_FREQUENCY,
    "Advanced Jitter Results Periodic Component Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, &RsScope_rngAdvancedJitterPeriodicFrequency, NULL,
    "ADVJ{AdvJitterMeas}:RES:PER{AdvJitterPeriodicComponent}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_VALUE =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_VALUE,
    "Advanced Jitter Results Periodic Component Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PER{AdvJitterPeriodicComponent}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_DIRECTION =
  {
    RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_DIRECTION,
    "Advanced Jitter Results Periodic Component Direction",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngAdvancedJitterPeriodicDirection, NULL, NULL,
    "ADVJ{AdvJitterMeas}:RES:PER{AdvJitterPeriodicComponent}:DIR?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ADVANCED_JITTER_PERIODIC_DIRECTION_UNDEFINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K133|K134",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_MAIN_MEASUREMENT =
  {
    RSSCOPE_ATTR_EYE_MAIN_MEASUREMENT,
    "Eye Jitter Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeJitterMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS_EXTINCTION_RATIO_PCT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_AUTOSCALE =
  {
    RSSCOPE_ATTR_EYE_JITTER_AUTOSCALE,
    "Eye Jitter Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_LIMIT_CHECK =
  {
    RSSCOPE_ATTR_EYE_LIMIT_CHECK,
    "Eye Jitter Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLimitCheck, NULL, NULL,
    "MEAS{Measurement}:EYEJ:LCH{EyeMeasurementType}:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_LOWER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_EYE_JITTER_LOWER_LIMIT_VALUE,
    "Eye Jitter Lower Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:LCH{EyeMeasurementType}:LOW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_UPPER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_EYE_JITTER_UPPER_LIMIT_VALUE,
    "Eye Jitter Upper Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:LCH{EyeMeasurementType}:UPP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_LOWER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_EYE_JITTER_LOWER_LIMIT_MARGIN,
    "Eye Jitter Lower Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:LCH{EyeMeasurementType}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_UPPER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_EYE_JITTER_UPPER_LIMIT_MARGIN,
    "Eye Jitter Upper Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:LCH{EyeMeasurementType}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_START =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_START,
    "Eye Jitter Measurement Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:GENS:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_STOP =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_STOP,
    "Eye Jitter Measurement Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:GENS:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_ALGORITHM =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_ALGORITHM,
    "Eye Jitter Measurement Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeJitterMeasurementAlgorithm, NULL, NULL,
    "MEAS{Measurement}:EYEJ:GENS:MLEH:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_JITTER_ALGORITHM_MEAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_THRESHOLD =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_THRESHOLD,
    "Eye Jitter Measurement Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:GENS:MLEH:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_ALGORITHM =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_ALGORITHM,
    "Eye Jitter Measurement Height Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeJitterMeasurementHeightAlgorithm, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEH:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_JITTER_HEIGHT_ALGORITHM_TSIGMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_START =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_START,
    "Eye Jitter Measurement Height Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEH:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_STOP =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_STOP,
    "Eye Jitter Measurement Height Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEH:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_ALGORITHM =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_ALGORITHM,
    "Eye Jitter Measurement Width Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeJitterMeasurementWidthAlgorithm, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEW:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_JITTER_WIDTH_ALGORITHM_TSIGMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_WINDOW_ENABLED =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_WINDOW_ENABLED,
    "Eye Jitter Measurement Width Window Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEW:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_START =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_START,
    "Eye Jitter Measurement Width Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEW:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_STOP =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_STOP,
    "Eye Jitter Measurement Width Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:EYEW:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_DUTY_CYCLE_DISTORTION_LEVEL =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_DUTY_CYCLE_DISTORTION_LEVEL,
    "Eye Jitter Measurement Duty Cycle Distortion Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:DCD:REL:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_USE_MEAS_LEVEL =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_USE_MEAS_LEVEL,
    "Eye Jitter Measurement Use Meas Level",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:EYEJ:JITT:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_LEVEL =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_LEVEL,
    "Eye Jitter Measurement Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:JITT:REL:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_RTFT_START_LEVEL =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_RTFT_START_LEVEL,
    "Eye Jitter Measurement RTFT Start Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:RTFT:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_RTFT_STOP_LEVEL =
  {
    RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_RTFT_STOP_LEVEL,
    "Eye Jitter Measurement RTFT Stop Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeJitterMeasurement, NULL,
    "MEAS{Measurement}:EYEJ:RTFT:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_MAIN_MEASUREMENT =
  {
    RSSCOPE_ATTR_HISTOGRAM_MAIN_MEASUREMENT,
    "Histogram Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHistogramMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS_HISTOGRAM_PEAK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_SELECT =
  {
    RSSCOPE_ATTR_HISTOGRAM_SELECT,
    "Histogram Select",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:HIST:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Histogram1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_PROBABILITY_TYPE =
  {
    RSSCOPE_ATTR_HISTOGRAM_PROBABILITY_TYPE,
    "Histogram Probability Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbabilityType, NULL, NULL,
    "MEAS{Measurement}:HIST:PROB:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBABILITY_PEAK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_PROBABILITY_LIMIT =
  {
    RSSCOPE_ATTR_HISTOGRAM_PROBABILITY_LIMIT,
    "Histogram Probability Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngPct, NULL,
    "MEAS{Measurement}:HIST:PROB:LIM",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOVE_HISTOGRAM =
  {
    RSSCOPE_ATTR_REMOVE_HISTOGRAM,
    "Remove Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:HIST:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Histogram1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RESET_HISTOGRAM =
  {
    RSSCOPE_ATTR_RESET_HISTOGRAM,
    "Reset Histogram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:HIST:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Histogram1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_DISPLAY =
  {
    RSSCOPE_ATTR_HISTOGRAM_DISPLAY,
    "Histogram Display",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:DISP:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_LIMIT_CHECK =
  {
    RSSCOPE_ATTR_HISTOGRAM_LIMIT_CHECK,
    "Histogram Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLimitCheck, NULL, NULL,
    "MEAS{Measurement}:HIST:LCH{HistogramMeasurementType}:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_LOWER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_HISTOGRAM_LOWER_LIMIT_VALUE,
    "Histogram Lower Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:HIST:LCH{HistogramMeasurementType}:LOW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_UPPER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_HISTOGRAM_UPPER_LIMIT_VALUE,
    "Histogram Upper Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:HIST:LCH{HistogramMeasurementType}:UPP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_LOWER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_HISTOGRAM_LOWER_LIMIT_MARGIN,
    "Histogram Lower Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:HIST:LCH{HistogramMeasurementType}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_UPPER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_HISTOGRAM_UPPER_LIMIT_MARGIN,
    "Histogram Upper Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:HIST:LCH{HistogramMeasurementType}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_MAIN_MEASUREMENT =
  {
    RSSCOPE_ATTR_SPECTRUM_MAIN_MEASUREMENT,
    "Spectrum Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSpectrumMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS_CHANNEL_POWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_CHANNEL_POWER_BANDWIDTH =
  {
    RSSCOPE_ATTR_SPECTRUM_CHANNEL_POWER_BANDWIDTH,
    "Spectrum Channel Power Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSCBandwidth, NULL,
    "MEAS{Measurement}:SPEC:CPOW:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_OCCUPIED_BANDWIDTH =
  {
    RSSCOPE_ATTR_SPECTRUM_OCCUPIED_BANDWIDTH,
    "Spectrum Occupied Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngObw, NULL,
    "MEAS{Measurement}:SPEC:OBAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_CHANNEL_POWER_CENTER_FREQUENCY =
  {
    RSSCOPE_ATTR_SPECTRUM_CHANNEL_POWER_CENTER_FREQUENCY,
    "Spectrum Channel Power Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngBandwidth, NULL,
    "MEAS{Measurement}:SPEC:CPOW:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_N_DB_DOWN =
  {
    RSSCOPE_ATTR_SPECTRUM_N_DB_DOWN,
    "Spectrum n dB Down",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngPct, NULL,
    "MEAS{Measurement}:SPEC:NDBD",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_PEAK_EXCURSION =
  {
    RSSCOPE_ATTR_SPECTRUM_PEAK_EXCURSION,
    "Spectrum Peak Excursion",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngPct, NULL,
    "MEAS{Measurement}:SPEC:PEXC",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ABSOLUTE_THRESHOLD =
  {
    RSSCOPE_ATTR_SPECTRUM_ABSOLUTE_THRESHOLD,
    "Spectrum Absolute Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:ATHR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_LIMIT_CHECK =
  {
    RSSCOPE_ATTR_SPECTRUM_LIMIT_CHECK,
    "Spectrum Limit Check",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLimitCheck, NULL, NULL,
    "MEAS{Measurement}:SPEC:LCH{SpectrumMeasurementType}:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_LOWER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_SPECTRUM_LOWER_LIMIT_VALUE,
    "Spectrum Lower Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:LCH{SpectrumMeasurementType}:LOW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_UPPER_LIMIT_VALUE =
  {
    RSSCOPE_ATTR_SPECTRUM_UPPER_LIMIT_VALUE,
    "Spectrum Upper Limit Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:LCH{SpectrumMeasurementType}:UPP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_LOWER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_SPECTRUM_LOWER_LIMIT_MARGIN,
    "Spectrum Lower Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:LCH{SpectrumMeasurementType}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_UPPER_LIMIT_MARGIN =
  {
    RSSCOPE_ATTR_SPECTRUM_UPPER_LIMIT_MARGIN,
    "Spectrum Upper Limit Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:LCH{SpectrumMeasurementType}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_MAX_NUMBER_OF_RESULTS =
  {
    RSSCOPE_ATTR_SPECTRUM_MAX_NUMBER_OF_RESULTS,
    "Spectrum Max Number Of Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSpectrumMaxNumberOfResults, NULL,
    "MEAS{Measurement}:SPEC:RES{SpectrumMeasurementType}:COUN",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_RESULT_MODE =
  {
    RSSCOPE_ATTR_SPECTRUM_RESULT_MODE,
    "Spectrum Result Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumResultMode, NULL, NULL,
    "MEAS{Measurement}:SPEC:RES{SpectrumMeasurementType}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_RESULT_MODE_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_MEASUEREMENT_TYPE =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_MEASUEREMENT_TYPE,
    "Spectrum Arithmetic Parameter Measuerement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngArithmeticMeasurementType, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:PAR{ArithmeticParameter}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARITHMETIC_MEASUREMENT_TYPE_MEASUREMENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_AMPLITUDE_TIME =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_AMPLITUDE_TIME,
    "Spectrum Arithmetic Parameter Amplitude Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngAmplitudeTimeArithmeticParameterMeasurementType, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:PAR{ArithmeticParameter}:AMPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AMPLITUDE_TIME_ARITHMETIC_OPERATION_TYPE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_GROUP =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_GROUP,
    "Spectrum Arithmetic Parameter Group",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumArithmeticParameterGroup, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:PAR{ArithmeticParameter}:GRO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_ARITHMETIC_PARAMETER_GROUP_MEAS1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_MEASUREMENT_SPECTRUM =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_MEASUREMENT_SPECTRUM,
    "Spectrum Arithmetic Parameter Measurement Spectrum",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumArithmeticMeasurementSpectrum, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:PAR{ArithmeticParameter}:SPEC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_ARITHMETIC_MEASUREMENT_SPECTRUM_CPOWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_OPERATOR =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_OPERATOR,
    "Spectrum Arithmetic Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpectrumArithmeticOperator, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:OPER",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPECTRUM_ARITHMETIC_OPERATOR_ADDITION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CONSTANT =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CONSTANT,
    "Spectrum Arithmetic Constant",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngArithmeticConstant, NULL,
    "MEAS{Measurement}:SPEC:ARIT:CONS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CONSTANT_UNIT =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CONSTANT_UNIT,
    "Spectrum Arithmetic Constant Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngArithmeticOperationType, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:COUN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARITHMETIC_OPERATION_TYPE_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_NAME_ENABLED =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_NAME_ENABLED,
    "Spectrum Arithmetic Custom Name Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:CUNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_UNIT_ENABLED =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_UNIT_ENABLED,
    "Spectrum Arithmetic Custom Unit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:CUUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_UNIT =
  {
    RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_UNIT,
    "Spectrum Arithmetic Custom Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:SPEC:ARIT:CUUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "unit",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UNIT =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UNIT,
    "Optical Measurement Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngOpticalMeasurementUnit, NULL, NULL,
    "MEAS{Measurement}:OPT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OPTICAL_UNIT_WATT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_MODULATION_AMPLITUDE_START =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_MODULATION_AMPLITUDE_START,
    "Optical Measurement Modulation Amplitude Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOpticalMeasurementModulationAmplitude, NULL,
    "MEAS{Measurement}:OPT:OMAM:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_MODULATION_AMPLITUDE_STOP =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_MODULATION_AMPLITUDE_STOP,
    "Optical Measurement Modulation Amplitude Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOpticalMeasurementModulationAmplitude, NULL,
    "MEAS{Measurement}:OPT:OMAM:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_VALID_RANGE =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_VALID_RANGE,
    "Optical Measurement Valid Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngOpticalMeasurementValidRange, NULL, NULL,
    "MEAS{Measurement}:OPT:LCH{OpticalMeasurement}:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OPTICAL_MEASUREMENT_RANGE_ILIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_LOWER_LIMIT =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_LOWER_LIMIT,
    "Optical Measurement Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOpticalMeasurementLimit, NULL,
    "MEAS{Measurement}:OPT:LCH{OpticalMeasurement}:LOW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UPPER_LIMIT =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UPPER_LIMIT,
    "Optical Measurement Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOpticalMeasurementLimit, NULL,
    "MEAS{Measurement}:OPT:LCH{OpticalMeasurement}:UPP:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_LOWER_MARGIN =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_LOWER_MARGIN,
    "Optical Measurement Lower Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOpticalMeasurementMargin, NULL,
    "MEAS{Measurement}:OPT:LCH{OpticalMeasurement}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UPPER_MARGIN =
  {
    RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UPPER_MARGIN,
    "Optical Measurement Upper Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOpticalMeasurementMargin, NULL,
    "MEAS{Measurement}:OPT:LCH{OpticalMeasurement}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_ENABLED =
  {
    RSSCOPE_ATTR_STATISTICS_ENABLED,
    "Statistics Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_HISTOGRAM_ENABLED =
  {
    RSSCOPE_ATTR_STATISTICS_HISTOGRAM_ENABLED,
    "Statistics Histogram Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_RESET_MODE =
  {
    RSSCOPE_ATTR_STATISTICS_RESET_MODE,
    "Statistics Reset Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngStatisticsMode, NULL, NULL,
    "MEAS{Measurement}:STAT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_STAT_MODE_TIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_RESET_COUNT =
  {
    RSSCOPE_ATTR_STATISTICS_RESET_COUNT,
    "Statistics Reset Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngResetCount, NULL,
    "MEAS{Measurement}:STAT:RCO",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_RESET_TIME =
  {
    RSSCOPE_ATTR_STATISTICS_RESET_TIME,
    "Statistics Reset Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngResetTime, NULL,
    "MEAS{Measurement}:STAT:RTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_RESET_MEASUREMENTS_COUNT =
  {
    RSSCOPE_ATTR_STATISTICS_RESET_MEASUREMENTS_COUNT,
    "Statistics Reset Measurements Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngStatisticsMeasurementsCount, NULL,
    "MEAS{Measurement}:STAT:RME",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_RESET =
  {
    RSSCOPE_ATTR_STATISTICS_RESET,
    "Statistics Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:STAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_STATISTICS_NUMBER_OF_BINS =
  {
    RSSCOPE_ATTR_STATISTICS_NUMBER_OF_BINS,
    "Statistics Number Of Bins",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngStatisticsNumberOfBins, NULL,
    "MEAS{Measurement}:STAT:HBIN",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRACK_ENABLED =
  {
    RSSCOPE_ATTR_TRACK_ENABLED,
    "Track Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_ENABLED,
    "Protocol Audio Track Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRACK_WAVEFORM_HEADER =
  {
    RSSCOPE_ATTR_TRACK_WAVEFORM_HEADER,
    "Track Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRACK_WAVEFORM_DATA_TYPE =
  {
    RSSCOPE_ATTR_TRACK_WAVEFORM_DATA_TYPE,
    "Track Waveform Data Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:DATA:STYP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DATA_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DATA_TYPE,
    "Protocol Audio Track Waveform Data Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:TRAC:DATA:STYP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_MEASUREMENT_ENABLED =
  {
    RSSCOPE_ATTR_LONG_TERM_MEASUREMENT_ENABLED,
    "Long Term Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LTM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_COUNT =
  {
    RSSCOPE_ATTR_LONG_TERM_COUNT,
    "Long Term Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngLongTermCount, NULL,
    "MEAS{Measurement}:LTM:COUN",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_DURATION =
  {
    RSSCOPE_ATTR_LONG_TERM_DURATION,
    "Long Term Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LTM:TIME",
    // Defaults I32, I64, Float, Bool, String
    200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_OFFSET =
  {
    RSSCOPE_ATTR_LONG_TERM_VERTICAL_OFFSET,
    "Long Term Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:VERT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_SCALING =
  {
    RSSCOPE_ATTR_LONG_TERM_VERTICAL_SCALING,
    "Long Term Vertical Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngLongTermVerticalScaling, NULL,
    "MEAS{Measurement}:VERT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_CONTINUOUS_AUTO_SCALING =
  {
    RSSCOPE_ATTR_LONG_TERM_VERTICAL_CONTINUOUS_AUTO_SCALING,
    "Long Term Vertical Continuous Auto Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:VERT:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_AUTOSCALE =
  {
    RSSCOPE_ATTR_LONG_TERM_VERTICAL_AUTOSCALE,
    "Long Term Vertical Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS{Measurement}:VERT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_ENVIRONMENT_SENSOR_ENABLED =
  {
    RSSCOPE_ATTR_LONG_TERM_ENVIRONMENT_SENSOR_ENABLED,
    "Long Term Environment Sensor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:LTM:ENVS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MAIN_MEASUREMENT =
  {
    RSSCOPE_ATTR_PROTOCOL_MAIN_MEASUREMENT,
    "Protocol Main Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMeasurementType, NULL, NULL,
    "MEAS{Measurement}:MAIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS_PROTOCOL_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K35",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ADDITIONAL_MEASUREMENT =
  {
    RSSCOPE_ATTR_PROTOCOL_ADDITIONAL_MEASUREMENT,
    "Protocol Additional Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "AUD,OFF",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K35",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_FRAME =
  {
    RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_FRAME,
    "Frame To Frame From Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:F2FR:FRMF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Any<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_FIELD =
  {
    RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_FIELD,
    "Frame To Frame From Field",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:F2FR:FLDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Frame Start<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_VALUE =
  {
    RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_VALUE,
    "Frame To Frame From Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:F2FR:VALF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FRAME_TO_FRAME_TO_FRAME =
  {
    RSSCOPE_ATTR_FRAME_TO_FRAME_TO_FRAME,
    "Frame To Frame To Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:F2FR:FRMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Any<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FRAME_TO_FRAME_TO_FIELD =
  {
    RSSCOPE_ATTR_FRAME_TO_FRAME_TO_FIELD,
    "Frame To Frame To Field",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:F2FR:FLDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Frame Start<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FRAME_TO_FRAME_TO_VALUE =
  {
    RSSCOPE_ATTR_FRAME_TO_FRAME_TO_VALUE,
    "Frame To Frame To Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:F2FR:VALT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "x",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_DIRECTION =
  {
    RSSCOPE_ATTR_TRIGGER_TO_FRAME_DIRECTION,
    "Trigger To Frame Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerToFrameDirection, NULL, NULL,
    "MEAS{Measurement}:PROT:T2FR:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TRIGGER_TO_FRAME_DIRECTION_T2F,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_FRAME =
  {
    RSSCOPE_ATTR_TRIGGER_TO_FRAME_FRAME,
    "Trigger To Frame Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:T2FR:FRM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Any<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_FIELD =
  {
    RSSCOPE_ATTR_TRIGGER_TO_FRAME_FIELD,
    "Trigger To Frame Field",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:T2FR:FLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Frame Start<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_VALUE =
  {
    RSSCOPE_ATTR_TRIGGER_TO_FRAME_VALUE,
    "Trigger To Frame Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:T2FR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "x",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_FRAME =
  {
    RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_FRAME,
    "Field Value Frame Identification Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:FLDV:FRM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Any<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_FIELD =
  {
    RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_FIELD,
    "Field Value Frame Identification Field",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:FLDV:FLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Frame Start<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_VALUE =
  {
    RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_VALUE,
    "Field Value Frame Identification Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:FLDV:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "x",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FIELD_VALUE_FIELD_TO_BE_TRACKED =
  {
    RSSCOPE_ATTR_FIELD_VALUE_FIELD_TO_BE_TRACKED,
    "Field Value Field To Be Tracked",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:FLDV:TRCK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Preamble",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MAIN_BIT_RATE_FRAME_NAME =
  {
    RSSCOPE_ATTR_MAIN_BIT_RATE_FRAME_NAME,
    "Main Bit Rate Frame Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:MBIT:FRM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Any<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MAIN_BIT_RATE_FIELD_NAME =
  {
    RSSCOPE_ATTR_MAIN_BIT_RATE_FIELD_NAME,
    "Main Bit Rate Field Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:MBIT:FLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Frame Start<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MAIN_BIT_RATE_ID_VALUE =
  {
    RSSCOPE_ATTR_MAIN_BIT_RATE_ID_VALUE,
    "Main Bit Rate ID Value",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:MBIT:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#H00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SECONDARY_BIT_RATE_FRAME_NAME =
  {
    RSSCOPE_ATTR_SECONDARY_BIT_RATE_FRAME_NAME,
    "Secondary Bit Rate Frame Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:SBIT:FRM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Any<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SECONDARY_BIT_RATE_FIELD_NAME =
  {
    RSSCOPE_ATTR_SECONDARY_BIT_RATE_FIELD_NAME,
    "Secondary Bit Rate Field Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:SBIT:FLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    ">Frame Start<",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SECONDARY_BIT_RATE_ID_VALUE =
  {
    RSSCOPE_ATTR_SECONDARY_BIT_RATE_ID_VALUE,
    "Secondary Bit Rate ID Value",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:PROT:SBIT:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "#H00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_ENABLED =
  {
    RSSCOPE_ATTR_GATING_ENABLED,
    "Gating Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_MODE =
  {
    RSSCOPE_ATTR_GATING_MODE,
    "Gating Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "MEAS{Measurement}:GATE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_ABSOLUTE_START =
  {
    RSSCOPE_ATTR_GATING_ABSOLUTE_START,
    "Gating Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5E-008,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_RELATIVE_START =
  {
    RSSCOPE_ATTR_GATING_RELATIVE_START,
    "Gating Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "MEAS{Measurement}:GATE:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_ABSOLUTE_STOP =
  {
    RSSCOPE_ATTR_GATING_ABSOLUTE_STOP,
    "Gating Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-008,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_RELATIVE_STOP =
  {
    RSSCOPE_ATTR_GATING_RELATIVE_STOP,
    "Gating Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "MEAS{Measurement}:GATE:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_NOISE =
  {
    RSSCOPE_ATTR_GATING_NOISE,
    "Gating Noise",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLowUpp, NULL, NULL,
    "MEAS{Measurement}:GATE:NOIS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_SHOW_GATE_AREA =
  {
    RSSCOPE_ATTR_GATING_SHOW_GATE_AREA,
    "Gating Show Gate Area",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_ZOOM_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_GATING_ZOOM_COUPLING_ENABLED,
    "Gating Zoom Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE:ZCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_CURSOR_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_GATING_CURSOR_COUPLING_ENABLED,
    "Gating Cursor Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE:CCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_GATING_COUPLING_ENABLED,
    "Gating Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:GATE:GCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GATING_CURSOR_SET =
  {
    RSSCOPE_ATTR_GATING_CURSOR_SET,
    "Gating Cursor Set",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngGatingCursorSet, NULL, NULL,
    "MEAS{Measurement}:GATE:CURS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_SET_CURSOR1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_ACTUAL =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_ACTUAL,
    "Read Main Measurement Actual",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_AVERAGE =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_AVERAGE,
    "Read Main Measurement Average",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_EVENT_COUNT =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_EVENT_COUNT,
    "Read Main Measurement Event Count",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVTC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_NEGATIVE_PEAK =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_NEGATIVE_PEAK,
    "Read Main Measurement Negative Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_POSITIVE_PEAK =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_POSITIVE_PEAK,
    "Read Main Measurement Positive Peak",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RELIABILITY =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RELIABILITY,
    "Read Main Measurement Reliability",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:REL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RMS =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RMS,
    "Read Main Measurement RMS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_WAVEFORM_COUNT =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_WAVEFORM_COUNT,
    "Read Main Measurement Waveform Count",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:WFMC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_STANDARD_DEVIATION =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_STANDARD_DEVIATION,
    "Read Main Measurement Standard Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_TOP_OUTER =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_TOP_OUTER,
    "Read Reference Level Top Outer",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:TOUT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_TOP_INNER =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_TOP_INNER,
    "Read Reference Level Top Inner",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:TINN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_BOTTOM_INNER =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_BOTTOM_INNER,
    "Read Reference Level Bottom Inner",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:BINN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_BOTTOM_OUTER =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_BOTTOM_OUTER,
    "Read Reference Level Bottom Outer",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:BOUT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_LOWER =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_LOWER,
    "Read Reference Level Lower",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_MIDDLE =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_MIDDLE,
    "Read Reference Level Middle",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:MIDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_UPPER =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_UPPER,
    "Read Reference Level Upper",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:UPP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_SIGNAL_LOW =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_SIGNAL_LOW,
    "Read Reference Level Signal Low",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:SIGL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_SIGNAL_HIGH =
  {
    RSSCOPE_ATTR_READ_REFERENCE_LEVEL_SIGNAL_HIGH,
    "Read Reference Level Signal High",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:REFL:RES:SIGH?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_MEASUREMENT_HARMONICS_RESULTS_NUMBER =
  {
    RSSCOPE_ATTR_SPECTRUM_MEASUREMENT_HARMONICS_RESULTS_NUMBER,
    "Spectrum Measurement Harmonics Results Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:COUN? HAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_RESULT_LINES =
  {
    RSSCOPE_ATTR_DISPLAY_RESULT_LINES,
    "Display Result Lines",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:DISP:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_REFERENCE_LEVELS =
  {
    RSSCOPE_ATTR_DISPLAY_REFERENCE_LEVELS,
    "Display Reference Levels",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:DISP:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_RESULT_TABLE_DEFAULT_POSITION =
  {
    RSSCOPE_ATTR_DISPLAY_RESULT_TABLE_DEFAULT_POSITION,
    "Display Result Table Default Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDisplayResultTableDefaultPosition, NULL, NULL,
    "DISP:RES:MEP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RESULT_TABLE_POSITION_FLOAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_GROUP_RESULT_DIALOGS =
  {
    RSSCOPE_ATTR_DISPLAY_GROUP_RESULT_DIALOGS,
    "Display Group Result Dialogs",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS:DISP:GRO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_ACTUAL_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_ACTUAL_STRING,
    "Read Main Measurement Actual String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_AVERAGE_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_AVERAGE_STRING,
    "Read Main Measurement Average String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_EVENT_COUNT_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_EVENT_COUNT_STRING,
    "Read Main Measurement Event Count String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:EVTC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_NEGATIVE_PEAK_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_NEGATIVE_PEAK_STRING,
    "Read Main Measurement Negative Peak String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:NPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_POSITIVE_PEAK_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_POSITIVE_PEAK_STRING,
    "Read Main Measurement Positive Peak String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:PPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RELIABILITY_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RELIABILITY_STRING,
    "Read Main Measurement Reliability String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:REL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RMS_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RMS_STRING,
    "Read Main Measurement RMS String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_WAVEFORM_COUNT_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_WAVEFORM_COUNT_STRING,
    "Read Main Measurement Waveform Count String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:WFMC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_STANDARD_DEVIATION_STRING =
  {
    RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_STANDARD_DEVIATION_STRING,
    "Read Main Measurement Standard Deviation String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:STDD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_MODE =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_MODE,
    "Reference Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAutoManual, NULL, NULL,
    "REFL{WfmSuffix}:LDET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_RELATIVE_LEVELS =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_RELATIVE_LEVELS,
    "Reference Level Relative Levels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRefLevelRelative, NULL, NULL,
    "REFL{WfmSuffix}:REL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_USER_LEVEL =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_USER_LEVEL,
    "Reference Level User Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngUserLevel, NULL, NULL,
    "REFL{WfmSuffix}:USRL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_HIGH_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_DEFINITION =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_DEFINITION,
    "Reference Level Definition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "REFL{WfmSuffix}:LMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_AUTO_MODE =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_AUTO_MODE,
    "Reference Level Auto Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRefLevelAutoMode, NULL, NULL,
    "REFL{WfmSuffix}:AUTO:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REF_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_AVERAGING_ENABLED =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_AVERAGING_ENABLED,
    "Reference Level Averaging Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_LEVEL_AVERAGING_COUNT =
  {
    RSSCOPE_ATTR_REFERENCE_LEVEL_AVERAGING_COUNT,
    "Reference Level Averaging Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &rsscope_rngRefLevelAvgCount,
    "REFL{WfmSuffix}:AUTO:COUN",
    // Defaults I32, I64, Float, Bool, String
    128,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_USER_SIGNAL_HIGH =
  {
    RSSCOPE_ATTR_REFERENCE_USER_SIGNAL_HIGH,
    "Reference User Signal High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_USER_SIGNAL_LOW =
  {
    RSSCOPE_ATTR_REFERENCE_USER_SIGNAL_LOW,
    "Reference User Signal Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_USER_TOP_DISTANCE =
  {
    RSSCOPE_ATTR_REFERENCE_USER_TOP_DISTANCE,
    "Reference User Top Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:TDIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_USER_BOTTOM_DISTANCE =
  {
    RSSCOPE_ATTR_REFERENCE_USER_BOTTOM_DISTANCE,
    "Reference User Bottom Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:BDIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_UPPER_LEVEL =
  {
    RSSCOPE_ATTR_USER_REFERENCE_UPPER_LEVEL,
    "User Reference Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:ULEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_LOWER_LEVEL =
  {
    RSSCOPE_ATTR_USER_REFERENCE_LOWER_LEVEL,
    "User Reference Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:LLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_MIDDLE_LEVEL =
  {
    RSSCOPE_ATTR_USER_REFERENCE_MIDDLE_LEVEL,
    "User Reference Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:MLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_UPPER_LEVEL =
  {
    RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_UPPER_LEVEL,
    "User Reference Relative Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngUserReferenceRelativeLevel, NULL,
    "REFL{WfmSuffix}:REL:UPP",
    // Defaults I32, I64, Float, Bool, String
    90,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_MIDDLE_LEVEL =
  {
    RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_MIDDLE_LEVEL,
    "User Reference Relative Middle Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngUserReferenceRelativeLevel, NULL,
    "REFL{WfmSuffix}:REL:MIDD",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_LOWER_LEVEL =
  {
    RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_LOWER_LEVEL,
    "User Reference Relative Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngUserReferenceRelativeLevel, NULL,
    "REFL{WfmSuffix}:REL:LOW",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_REFERENCE_HYSTERESIS =
  {
    RSSCOPE_ATTR_USER_REFERENCE_HYSTERESIS,
    "User Reference Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngHysteresis, NULL,
    "REFL{WfmSuffix}:REL:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TUBE_RELATIVE_OUTER_DISTANCE =
  {
    RSSCOPE_ATTR_TUBE_RELATIVE_OUTER_DISTANCE,
    "Tube Relative Outer Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "REFL{WfmSuffix}:REL:OTUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TUBE_RELATIVE_INNER_DISTANCE =
  {
    RSSCOPE_ATTR_TUBE_RELATIVE_INNER_DISTANCE,
    "Tube Relative Inner Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTubeRelativeInnerDistance, NULL,
    "REFL{WfmSuffix}:REL:ITUB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TUBE_ABSOLUTE_TOP_OUTER_DISTANCE =
  {
    RSSCOPE_ATTR_TUBE_ABSOLUTE_TOP_OUTER_DISTANCE,
    "Tube Absolute Top Outer Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:TOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TUBE_ABSOLUTE_TOP_INNER_DISTANCE =
  {
    RSSCOPE_ATTR_TUBE_ABSOLUTE_TOP_INNER_DISTANCE,
    "Tube Absolute Top Inner Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:TIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TUBE_ABSOLUTE_BOTTOM_INNER_DISTANCE =
  {
    RSSCOPE_ATTR_TUBE_ABSOLUTE_BOTTOM_INNER_DISTANCE,
    "Tube Absolute Bottom Inner Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:BIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TUBE_ABSOLUTE_BOTTOM_OUTER_DISTANCE =
  {
    RSSCOPE_ATTR_TUBE_ABSOLUTE_BOTTOM_OUTER_DISTANCE,
    "Tube Absolute Bottom Outer Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFL{WfmSuffix}:ABS:BOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_WAVEFORM_ENABLED =
  {
    RSSCOPE_ATTR_MATH_WAVEFORM_ENABLED,
    "Math Waveform Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_WAVEFORM_ENVELOPE_SELECTION =
  {
    RSSCOPE_ATTR_MATH_WAVEFORM_ENVELOPE_SELECTION,
    "Math Envelope Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformSelection, NULL, NULL,
    "CALC:MATH{Math}:ENVS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WFM_SELECTION_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_ACQUISITION_TYPE =
  {
    RSSCOPE_ATTR_MATH_ACQUISITION_TYPE,
    "Math Acquisition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformArithmetics, NULL, NULL,
    "CALC:MATH{Math}:ARIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_EXPRESSION =
  {
    RSSCOPE_ATTR_MATH_EXPRESSION,
    "Math Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FFTmag(Ch2Wfm1)",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_VERTICAL_RANGE =
  {
    RSSCOPE_ATTR_MATH_VERTICAL_RANGE,
    "Math Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMathVerticalRange, NULL,
    "CALC:MATH{Math}:VERT:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_VERTICAL_SCALE =
  {
    RSSCOPE_ATTR_MATH_VERTICAL_SCALE,
    "Math Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMathVerticalScale, NULL,
    "CALC:MATH{Math}:VERT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_VERTICAL_OFFSET =
  {
    RSSCOPE_ATTR_MATH_VERTICAL_OFFSET,
    "Math Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMathVerticalOffset, NULL,
    "CALC:MATH{Math}:VERT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_RESET =
  {
    RSSCOPE_ATTR_MATH_RESET,
    "Math Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ACQ:ARES:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_RESET_MODE =
  {
    RSSCOPE_ATTR_MATH_RESET_MODE,
    "Math Reset Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMathResetMode, NULL, NULL,
    "ACQ:ARES:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MATH_RESET_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_ENVELOPE_TIMEOUT =
  {
    RSSCOPE_ATTR_MATH_ENVELOPE_TIMEOUT,
    "Math Envelope Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMathEnvelopeTime, NULL,
    "ACQ:ARES:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_ACQUIRED_WAVEFORMS =
  {
    RSSCOPE_ATTR_MATH_ACQUIRED_WAVEFORMS,
    "Math Acquired Waveforms",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngMathAcquiredWaveforms, NULL,
    "ACQ:ARES:COUN",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_TYPE =
  {
    RSSCOPE_ATTR_FFT_TYPE,
    "FFT Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngFFTType, NULL, NULL,
    "CALC:MATH{Math}:FFT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FFT_TYPE_MAGNITUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FREQUENCY_AXIS =
  {
    RSSCOPE_ATTR_FFT_FREQUENCY_AXIS,
    "FFT Frequency Axis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngLinLog, NULL, NULL,
    "CALC:MATH{Math}:FFT:LOGS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SCALE_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_CENTER_FREQUENCY =
  {
    RSSCOPE_ATTR_FFT_CENTER_FREQUENCY,
    "FFT Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FREQUENCY_SPAN =
  {
    RSSCOPE_ATTR_FFT_FREQUENCY_SPAN,
    "FFT Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FULL_SPAN =
  {
    RSSCOPE_ATTR_FFT_FULL_SPAN,
    "FFT Full Span",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_START_FREQUENCY =
  {
    RSSCOPE_ATTR_FFT_START_FREQUENCY,
    "FFT Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_STOP_FREQUENCY =
  {
    RSSCOPE_ATTR_FFT_STOP_FREQUENCY,
    "FFT Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_WINDOW_TYPE =
  {
    RSSCOPE_ATTR_FFT_WINDOW_TYPE,
    "FFT Window Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFFTWindowType, NULL, NULL,
    "CALC:MATH{Math}:FFT:WIND:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BLACKMAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_USE_COLOR_TABLE =
  {
    RSSCOPE_ATTR_FFT_USE_COLOR_TABLE,
    "FFT Use Color Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:USEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_REFERENCE_LEVEL =
  {
    RSSCOPE_ATTR_FFT_REFERENCE_LEVEL,
    "FFT Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngFFTReferenceLevel, NULL,
    "CALC:MATH{Math}:FFT:MAGN:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_MAGNITUDE_RANGE =
  {
    RSSCOPE_ATTR_FFT_MAGNITUDE_RANGE,
    "FFT Magnitude Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFFTRange, NULL,
    "CALC:MATH{Math}:FFT:MAGN:RANG",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_MAGNITUDE_UNIT =
  {
    RSSCOPE_ATTR_FFT_MAGNITUDE_UNIT,
    "FFT Magnitude Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFFTMagnitudeUnit, NULL, NULL,
    "CALC:MATH{Math}:FFT:MAGN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SCALE_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_PHASE_UNIT =
  {
    RSSCOPE_ATTR_FFT_PHASE_UNIT,
    "FFT Phase Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFFTPhaseUnit, NULL, NULL,
    "CALC:MATH{Math}:FFT:PHAS:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SCALE_DEG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_PHASE_UNWRAP_ENABLED =
  {
    RSSCOPE_ATTR_FFT_PHASE_UNWRAP_ENABLED,
    "FFT Phase Unwrap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:PHAS:UNWR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_NOISE_SUPPRESSION_ENABLED =
  {
    RSSCOPE_ATTR_FFT_NOISE_SUPPRESSION_ENABLED,
    "FFT Noise Suppression Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:PHAS:SUPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_NOISE_SUPPRESSION_THRESHOLD =
  {
    RSSCOPE_ATTR_FFT_NOISE_SUPPRESSION_THRESHOLD,
    "FFT Noise Suppression Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngSuppressionThreshold, NULL,
    "CALC:MATH{Math}:FFT:PHAS:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_VERTICAL_MAXIMUM =
  {
    RSSCOPE_ATTR_FFT_VERTICAL_MAXIMUM,
    "FFT Vertical Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngFFTVerticalMaximum, NULL,
    "CALC:MATH{Math}:VERT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -1e15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH =
  {
    RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH,
    "FFT Resolution Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngRBW, NULL,
    "CALC:MATH{Math}:FFT:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED,
    "FFT Resolution Bandwidth Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:BAND:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO =
  {
    RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO,
    "FFT Resolution Bandwidth Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngRBWRatio, NULL,
    "CALC:MATH{Math}:FFT:BAND:RAT",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH =
  {
    RSSCOPE_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH,
    "FFT Effective Resolution Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:BAND:ADJ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_GATE_COUPLING =
  {
    RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_GATE_COUPLING,
    "FFT Resolution Bandwidth Gate Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRBWGateCoupling, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COUPLING_RBW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FRAME_ARITHMETIC =
  {
    RSSCOPE_ATTR_FFT_FRAME_ARITHMETIC,
    "FFT Frame Arithmetic",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformArithmetics, NULL, NULL,
    "CALC:MATH{Math}:FFT:FRAM:ARIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FRAME_MAX_FRAME_COUNT =
  {
    RSSCOPE_ATTR_FFT_FRAME_MAX_FRAME_COUNT,
    "FFT Frame Max Frame Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFFTFrameCount, NULL,
    "CALC:MATH{Math}:FFT:FRAM:MAXC",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FRAME_COVERAGE =
  {
    RSSCOPE_ATTR_FFT_FRAME_COVERAGE,
    "FFT Frame Coverage",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:FRAM:COV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_FRAME_OVERLAP_FACTOR =
  {
    RSSCOPE_ATTR_FFT_FRAME_OVERLAP_FACTOR,
    "FFT Frame Overlap Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFFTOverlapFactor, NULL,
    "CALC:MATH{Math}:FFT:FRAM:OFAC",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_ENABLED =
  {
    RSSCOPE_ATTR_FFT_GATE_ENABLED,
    "FFT Gate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_MODE =
  {
    RSSCOPE_ATTR_FFT_GATE_MODE,
    "FFT Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_ABSOLUTE_START =
  {
    RSSCOPE_ATTR_FFT_GATE_ABSOLUTE_START,
    "FFT Gate Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5E-008,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_RELATIVE_START =
  {
    RSSCOPE_ATTR_FFT_GATE_RELATIVE_START,
    "FFT Gate Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "CALC:MATH{Math}:FFT:GATE:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_ABSOLUTE_STOP =
  {
    RSSCOPE_ATTR_FFT_GATE_ABSOLUTE_STOP,
    "FFT Gate Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-008,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_RELATIVE_STOP =
  {
    RSSCOPE_ATTR_FFT_GATE_RELATIVE_STOP,
    "FFT Gate Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "CALC:MATH{Math}:FFT:GATE:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_DISPLAY_ENABLED =
  {
    RSSCOPE_ATTR_FFT_GATE_DISPLAY_ENABLED,
    "FFT Gate Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_GATE_ZOOM_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_FFT_GATE_ZOOM_COUPLING_ENABLED,
    "FFT Gate Zoom Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:GATE:ZCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_COUPLED_SPECTRUM =
  {
    RSSCOPE_ATTR_FFT_COUPLED_SPECTRUM,
    "FFT Coupled Spectrum",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:COUP:WITH{Math2}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_SPECTRUM_ENABLED =
  {
    RSSCOPE_ATTR_FFT_SPECTRUM_ENABLED,
    "FFT Spectrum Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_SPECTRUM_COLOR_TABLE_MODE =
  {
    RSSCOPE_ATTR_FFT_SPECTRUM_COLOR_TABLE_MODE,
    "FFT Spectrum Color Table Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngFFTSpectrumColorTableMode, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:CMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FFT_COLOR_TABLE_MODE_INCIDENCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_SPECTRUM_TIME_LINE_ENABLED =
  {
    RSSCOPE_ATTR_FFT_SPECTRUM_TIME_LINE_ENABLED,
    "FFT Spectrum Time Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:TIM{Timeline}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FFT_SPECTRUM_TIME_LINE_POSITION =
  {
    RSSCOPE_ATTR_FFT_SPECTRUM_TIME_LINE_POSITION,
    "FFT Spectrum Time Line Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngFFTSpectrumTimeLinePosition, NULL,
    "CALC:MATH{Math}:FFT:SPEC:TIM{Timeline}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATH_WAVEFORM_HEADER =
  {
    RSSCOPE_ATTR_MATH_WAVEFORM_HEADER,
    "Math Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HEADER =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_HEADER,
    "Reference Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_SIGNAL_TYPE,
    "Reference Waveform Signal Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngDataSignalType, NULL, NULL,
    "REFC{ReferenceWfm}:DATA:STYP?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SIGNAL_TYPE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_SOURCE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_SOURCE,
    "Reference Waveform Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameterReference, NULL, NULL,
    "REFC{ReferenceWfm}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED,
    "Reference Waveform Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_NAME =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_NAME,
    "Reference Waveform Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_LOAD =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_LOAD,
    "Reference Waveform Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_SAVE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_SAVE,
    "Reference Waveform Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_DELETE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_DELETE,
    "Reference Waveform Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_UPDATE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_UPDATE,
    "Reference Waveform Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_CLEAR =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_CLEAR,
    "Reference Waveform Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_RESTORE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_RESTORE,
    "Reference Waveform Restore",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_FILE_NAME =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_FILE_NAME,
    "Reference Waveform Multichannel File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC:MULT:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Public Documents\\Rohde-Schwarz\\RTx\\RefWaveforms",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_IMPORT =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_IMPORT,
    "Reference Waveform Multichannel Import",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformMultichannelImport, NULL, NULL,
    "REFC:MULT:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REFERENCE_WAV_MULTICH_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_OPEN =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_OPEN,
    "Reference Waveform Multichannel Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC:MULT:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_COUPLING =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_COUPLING,
    "Reference Waveform Vertical Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRefWfmCoupling, NULL, NULL,
    "REFC{ReferenceWfm}:VMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_INDEPENDENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE,
    "Reference Waveform Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngVerticalScale, NULL,
    "REFC{ReferenceWfm}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    "Reference Waveform Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngReferenceWaveformVerticalPosition, NULL,
    "REFC{ReferenceWfm}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_STRETCHING_ENABLED =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_STRETCHING_ENABLED,
    "Reference Waveform Vertical Stretching Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:RESC:VERT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET,
    "Reference Waveform Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:RESC:VERT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_FACTOR =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_FACTOR,
    "Reference Waveform Vertical Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngRefWfmFactor, NULL,
    "REFC{ReferenceWfm}:RESC:VERT:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET,
    "Reference Waveform Vertical Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:TOOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_COUPLING =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_COUPLING,
    "Reference Waveform Horizontal Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngRefWfmHorzCoupling, NULL, NULL,
    "REFC{ReferenceWfm}:HMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ORIGINAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_STRETCHING_ENABLED =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_STRETCHING_ENABLED,
    "Reference Waveform Horizontal Stretching Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:RESC:HOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_OFFSET =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_OFFSET,
    "Reference Waveform Horizontal Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:RESC:HOR:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_FACTOR =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_FACTOR,
    "Reference Waveform Horizontal Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngRefWfmFactorHorizontal, NULL,
    "REFC{ReferenceWfm}:RESC:HOR:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION =
  {
    RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION,
    "Reference Waveform Horizontal Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC{ReferenceWfm}:RESC:HOR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELECTED_MASK_NAME =
  {
    RSSCOPE_ATTR_SELECTED_MASK_NAME,
    "Selected Mask Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MyMask",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_COMPLETE =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_COMPLETE,
    "Mask Test Result Acquisition Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:COUN:WAV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_REMAINING =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_REMAINING,
    "Mask Test Result Acquisition Remaining",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:COUN:REM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT_STATE =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT_STATE,
    "Mask Test Result State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngMaskTestResultState, NULL, NULL,
    "MTES:RES:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_STATE_FINISHED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT_SAMPLE_HITS =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT_SAMPLE_HITS,
    "Mask Test Result Sample Hits",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:COUN:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_HITS =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_HITS,
    "Mask Test Result Acquisition Hits",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:COUN:FWAV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT_FAIL_RATE =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT_FAIL_RATE,
    "Mask Test Result Fail Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:FRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RESULT =
  {
    RSSCOPE_ATTR_MASK_TEST_RESULT,
    "Mask Test Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngMaskTestResult, NULL, NULL,
    "MTES:RES?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RESULT_FAIL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_BEEP =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_BEEP,
    "Mask Test Event Beep",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:BEEP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_STOP =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_STOP,
    "Mask Test Event Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:STOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_PRINT =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_PRINT,
    "Mask Test Event Print",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:PRIN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_SAVE_WAVEFORM =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_SAVE_WAVEFORM,
    "Mask Test Event Save Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:SAV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_SAVE_REPORT =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_SAVE_REPORT,
    "Mask Test Event Save Report",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:REP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_START_EXTERNAL_APPLICATION =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_START_EXTERNAL_APPLICATION,
    "Mask Test Event Start External Application",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:RUN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EVENT_CREATE_TRIGGER_OUT_PULSE =
  {
    RSSCOPE_ATTR_MASK_TEST_EVENT_CREATE_TRIGGER_OUT_PULSE,
    "Mask Test Event Create Trigger Out Pulse",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEventAction, NULL, NULL,
    "MTES:ONV:TRIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_ACTION_NOACTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_CREATE =
  {
    RSSCOPE_ATTR_MASK_CREATE,
    "Mask Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_DELETE =
  {
    RSSCOPE_ATTR_MASK_DELETE,
    "Mask Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_CONVERT_TO_USER =
  {
    RSSCOPE_ATTR_MASK_CONVERT_TO_USER,
    "Mask Test Convert To User",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:CEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MaskTestName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_ENABLE =
  {
    RSSCOPE_ATTR_MASK_TEST_ENABLE,
    "Mask Test Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameBoolean_ReadCallback,
    rsscope_formatMaskNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_CLEAR_ALL =
  {
    RSSCOPE_ATTR_MASK_TEST_CLEAR_ALL,
    "Mask Test Clear All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MTES:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_DEFINITION_TYPE =
  {
    RSSCOPE_ATTR_MASK_TEST_DEFINITION_TYPE,
    "Mask Test Definition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestDefinitionType, NULL, NULL,
    "MTES:CTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_TYPE_USER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_SOURCE =
  {
    RSSCOPE_ATTR_MASK_TEST_SOURCE,
    "Mask Test Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "MTES:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_FAIL_CONDITION =
  {
    RSSCOPE_ATTR_MASK_TEST_FAIL_CONDITION,
    "Mask Test Fail Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestFailCondition, NULL, NULL,
    "MTES:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_SAMPLES,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_VIOLATION_TOLERANCE =
  {
    RSSCOPE_ATTR_MASK_TEST_VIOLATION_TOLERANCE,
    "Mask Test Violation Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "MTES:TOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt64_ReadCallback,
    rsscope_formatMaskNameInt64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_SAVE_PATH =
  {
    RSSCOPE_ATTR_MASK_TEST_SAVE_PATH,
    "Mask Test Save Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:FILE:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameString_ReadCallback,
    rsscope_formatMaskNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_SAVE =
  {
    RSSCOPE_ATTR_MASK_TEST_SAVE,
    "Mask Test Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:FILE:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_OPEN =
  {
    RSSCOPE_ATTR_MASK_TEST_OPEN,
    "Mask Test Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:FILE:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_DELETE =
  {
    RSSCOPE_ATTR_MASK_TEST_DELETE,
    "Mask Test Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:FILE:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_SEGMENT_CLEAR =
  {
    RSSCOPE_ATTR_MASK_TEST_SEGMENT_CLEAR,
    "Mask Test Segment Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:SEGM:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "maskName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_SELECTED_SEGMENT =
  {
    RSSCOPE_ATTR_MASK_SELECTED_SEGMENT,
    "Mask Selected Segment",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_SEGMENT_COUNT =
  {
    RSSCOPE_ATTR_MASK_SEGMENT_COUNT,
    "Mask Segment Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:SEGM:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_SEGMENT_ADD =
  {
    RSSCOPE_ATTR_MASK_SEGMENT_ADD,
    "Mask Segment Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:SEGM:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_SELECTED_POINT =
  {
    RSSCOPE_ATTR_MASK_SELECTED_POINT,
    "Mask Selected Point",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_COPY_WAVEFORM =
  {
    RSSCOPE_ATTR_MASK_COPY_WAVEFORM,
    "Mask Copy Waveform",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:WFMLupdate",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TheMask",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_WAVEFORM_USED_REFERENCE =
  {
    RSSCOPE_ATTR_MASK_WAVEFORM_USED_REFERENCE,
    "Mask Waveform Used Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskWaveformUsedReference, NULL, NULL,
    "MTES:REFW",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_REFERENCE1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_WAVEFORM_HORIZONTAL_WIDTH =
  {
    RSSCOPE_ATTR_MASK_WAVEFORM_HORIZONTAL_WIDTH,
    "Mask Waveform Horizontal Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskWaveformWidth, NULL,
    "MTES:WFMR:XWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_WIDTH =
  {
    RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_WIDTH,
    "Mask Waveform Vertical Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskWaveformWidth, NULL,
    "MTES:WFMR:YWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_STRETCH =
  {
    RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_STRETCH,
    "Mask Waveform Vertical Stretch",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngMaskWaveformVerticalStretch, NULL,
    "MTES:WFMR:YSTR",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_POSITION,
    "Mask Waveform Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskWaveformVerticalPosition, NULL,
    "MTES:WFMR:YPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_SHAPE =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_SHAPE,
    "Mask Test Eye Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMaskTestEyeShape, NULL, NULL,
    "MTES:EYEM:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MASK_TEST_EYE_SHAPE_SQUARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    rsscope_formatMaskNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_MAIN_WIDTH =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_MAIN_WIDTH,
    "Mask Test Eye Main Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MTES:EYEM:WIDTh1",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_MINOR_WIDTH =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_MINOR_WIDTH,
    "Mask Test Eye Minor Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MTES:EYEM:WIDTh2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_MAIN_HEIGHT =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_MAIN_HEIGHT,
    "Mask Test Eye Main Height",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MTES:EYEM:HEIGht1",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_MINOR_HEIGHT =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_MINOR_HEIGHT,
    "Mask Test Eye Minor Height",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MTES:EYEM:HEIGht2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_COPY_LEFT =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_COPY_LEFT,
    "Mask Test Eye Copy Left",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:EYEM:MSKL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameBoolean_ReadCallback,
    rsscope_formatMaskNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_COPY_RIGHT =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_COPY_RIGHT,
    "Mask Test Eye Copy Right",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:EYEM:MSKR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameBoolean_ReadCallback,
    rsscope_formatMaskNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_INTERPATTERN_LENGTH =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_INTERPATTERN_LENGTH,
    "Mask Test Eye Interpattern Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskTestEyeInterpatternLength, NULL,
    "MTES:EYEM:HPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_TOP_ENABLE =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_TOP_ENABLE,
    "Mask Test Eye Top Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:EYEM:MSKT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameBoolean_ReadCallback,
    rsscope_formatMaskNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_BOTTOM_ENABLE =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_BOTTOM_ENABLE,
    "Mask Test Eye Bottom Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:EYEM:MSKB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameBoolean_ReadCallback,
    rsscope_formatMaskNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_OFFSET_TOP =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_OFFSET_TOP,
    "Mask Test Eye Offset Top",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskEyeOffset, NULL,
    "MTES:EYEM:TOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_OFFSET_BOTTOM =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_OFFSET_BOTTOM,
    "Mask Test Eye Offset Bottom",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskEyeOffset, NULL,
    "MTES:EYEM:BOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_TIME_WIDTH =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_TIME_WIDTH,
    "Mask Test Eye Time Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskEyeTimeWidth, NULL,
    "MTES:EYEM:TBW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_SYMETRIC =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_SYMETRIC,
    "Mask Test Eye Symetric",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:EYEM:TBSY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameBoolean_ReadCallback,
    rsscope_formatMaskNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_HORIZONTAL_POSITION =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_HORIZONTAL_POSITION,
    "Mask Test Eye Horizontal Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskEyePosition, NULL,
    "MTES:EYEM:HPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_EYE_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_MASK_TEST_EYE_VERTICAL_POSITION,
    "Mask Test Eye Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskEyePosition, NULL,
    "MTES:EYEM:VPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K12",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameReal64_ReadCallback,
    rsscope_formatMaskNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_SHOW_LABEL_STATE =
  {
    RSSCOPE_ATTR_MASK_TEST_SHOW_LABEL_STATE,
    "Mask Test Show Label State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_LABEL_STATE =
  {
    RSSCOPE_ATTR_MASK_TEST_LABEL_STATE,
    "Mask Test Label State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_RENAME =
  {
    RSSCOPE_ATTR_MASK_TEST_RENAME,
    "Mask Test Rename",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MTES:REN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "new_mask_name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameString_ReadCallback,
    rsscope_formatMaskNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_STATE =
  {
    RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_STATE,
    "Mask Test Highlight State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:HIGH:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_TIME =
  {
    RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_TIME,
    "Mask Test Highlight Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMaskTestHighlightTime, NULL,
    "MTES:HIGH:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_ENDLESS =
  {
    RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_ENDLESS,
    "Mask Test Highlight Endless",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MTES:HIGH:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_COLOR_UNMATCHED =
  {
    RSSCOPE_ATTR_MASK_TEST_COLOR_UNMATCHED,
    "Mask Test Color Unmatched",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngARGB, NULL,
    "MTES:COL:UNM",
    // Defaults I32, I64, Float, Bool, String
    0,
    2578098858,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_COLOR_MATCHED =
  {
    RSSCOPE_ATTR_MASK_TEST_COLOR_MATCHED,
    "Mask Test Color Matched",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngARGB, NULL,
    "MTES:COL:MATC",
    // Defaults I32, I64, Float, Bool, String
    0,
    4294901760,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_COLOR_BORDER =
  {
    RSSCOPE_ATTR_MASK_TEST_COLOR_BORDER,
    "Mask Test Color Border",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngARGB, NULL,
    "MTES:COL:BORD",
    // Defaults I32, I64, Float, Bool, String
    0,
    2580309606,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MASK_TEST_COLOR_INTERIOR =
  {
    RSSCOPE_ATTR_MASK_TEST_COLOR_INTERIOR,
    "Mask Test Color Interior",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngARGB, NULL,
    "MTES:COL:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    2578055168,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELECTED_SEARCH_NAME =
  {
    RSSCOPE_ATTR_SELECTED_SEARCH_NAME,
    "Selected Search Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELECTED_SEARCH_SOURCE =
  {
    RSSCOPE_ATTR_SELECTED_SEARCH_SOURCE,
    "Selected Search Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchSource, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEASUREMENT_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NEW_SEARCH =
  {
    RSSCOPE_ATTR_NEW_SEARCH,
    "New Search",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DELETE_SEARCH =
  {
    RSSCOPE_ATTR_DELETE_SEARCH,
    "Delete Search",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_NEXT_RESULT =
  {
    RSSCOPE_ATTR_SEARCH_NEXT_RESULT,
    "Search Next Result",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ALL_RESULTS =
  {
    RSSCOPE_ATTR_SEARCH_ALL_RESULTS,
    "Search All Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CLEAR_SEARCH_RESULTS =
  {
    RSSCOPE_ATTR_CLEAR_SEARCH_RESULTS,
    "Clear Search Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_LEVEL_AUTO_FIND =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_LEVEL_AUTO_FIND,
    "Search Trigger Level Auto Find",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sb_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SOURCE =
  {
    RSSCOPE_ATTR_SEARCH_SOURCE,
    "Search Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchSource, NULL, NULL,
    "SEAR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEASUREMENT_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ONLINE =
  {
    RSSCOPE_ATTR_SEARCH_ONLINE,
    "Search Online",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:ONL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_LEVEL,
    "Search Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_CONDITIONS =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_CONDITIONS,
    "Search Trigger Conditions",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:COND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "condition",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_ENABLED,
    "Search Trigger Edge Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:EDGE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_SLOPE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_SLOPE,
    "Search Trigger Edge Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_COPY_FROM_A,
    "Search Trigger Edge Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:EDGE:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_COPY_FROM_B =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_COPY_FROM_B,
    "Search Trigger Edge Copy From B",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:EDGE:BCOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_ENABLED,
    "Search Trigger Glitch Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:GLIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_WIDTH =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_WIDTH,
    "Search Trigger Glitch Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchGlitchWidth, NULL,
    "SEAR:TRIG:GLIT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_POLARITY =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_POLARITY,
    "Search Trigger Glitch Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:GLIT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_CONDITION,
    "Search Trigger Glitch Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "SEAR:TRIG:GLIT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_COPY_FROM_A,
    "Search Trigger Glitch Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:GLIT:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_ENABLED,
    "Search Trigger Width Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH,
    "Search Trigger Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_DELTA =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_DELTA,
    "Search Trigger Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerDelta, NULL,
    "SEAR:TRIG:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY,
    "Search Trigger Width Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_RANGE,
    "Search Trigger Width Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "SEAR:TRIG:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_COPY_FROM_A,
    "Search Trigger Width Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIDT:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_ENABLED,
    "Search Trigger Runt Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:RUNT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_UPPER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_UPPER_LEVEL,
    "Search Trigger Runt Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:RUNT:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_LOWER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_LOWER_LEVEL,
    "Search Trigger Runt Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:RUNT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_POLARITY =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_POLARITY,
    "Search Trigger Runt Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:RUNT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_WIDTH =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_WIDTH,
    "Search Trigger Runt Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:RUNT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_DELTA =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_DELTA,
    "Search Trigger Runt Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerRuntDelta, NULL,
    "SEAR:TRIG:RUNT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_RANGE,
    "Search Trigger Runt Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerRuntRange, NULL, NULL,
    "SEAR:TRIG:RUNT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_COPY_FROM_A,
    "Search Trigger Runt Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:RUNT:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_ENABLED,
    "Search Trigger Window Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_UPPER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_UPPER_LEVEL,
    "Search Trigger Window Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:WIND:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_LOWER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_LOWER_LEVEL,
    "Search Trigger Window Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:WIND:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_VERTICAL_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_VERTICAL_CONDITION,
    "Search Trigger Window Vertical Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerWindowVerticalCondition, NULL, NULL,
    "SEAR:TRIG:WIND:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ENTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_TIME_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_TIME_CONDITION,
    "Search Trigger Window Time Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "SEAR:TRIG:WIND:TIM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH,
    "Search Trigger Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:WIND:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_DELTA =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_DELTA,
    "Search Trigger Window Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerDelta, NULL,
    "SEAR:TRIG:WIND:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_COPY_FROM_A,
    "Search Trigger Window Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:WIND:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_ENABLED,
    "Search Trigger Timeout Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_VALUE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_VALUE,
    "Search Trigger Timeout Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_CONDITION,
    "Search Trigger Timeout Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerTimeoutCondition, NULL, NULL,
    "SEAR:TRIG:TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMEOUT_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_COPY_FROM_A,
    "Search Trigger Timeout Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:TIM:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_ENABLED,
    "Search Trigger Interval Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_WIDTH =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_WIDTH,
    "Search Trigger Interval Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerIntervalWidth, NULL,
    "SEAR:TRIG:INT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_DELTA =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_DELTA,
    "Search Trigger Interval Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerIntervalDelta, NULL,
    "SEAR:TRIG:INT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_POLARITY =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_POLARITY,
    "Search Trigger Interval Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:INT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_CONDITION,
    "Search Trigger Interval Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "SEAR:TRIG:INT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_COPY_FROM_A,
    "Search Trigger Interval Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:INT:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_ENABLED,
    "Search Trigger Slew Rate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SLEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_UPPER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_UPPER_LEVEL,
    "Search Trigger Slew Rate Upper Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:TRAN:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_LOWER_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_LOWER_LEVEL,
    "Search Trigger Slew Rate Lower Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:TRAN:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_VALUE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_VALUE,
    "Search Trigger Slew Rate Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:SLEW:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_DELTA =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_DELTA,
    "Search Trigger Slew Rate Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerIntervalDelta, NULL,
    "SEAR:TRIG:SLEW:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_POLARITY =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_POLARITY,
    "Search Trigger Slew Rate Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:SLEW:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_CONDITION,
    "Search Trigger Slew Rate Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSlewCondition, NULL, NULL,
    "SEAR:TRIG:SLEW:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_COPY_FROM_A,
    "Search Trigger Slew Rate Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:SLEW:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_ENABLED,
    "Search Trigger Data2Clock Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:DAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_SOURCE,
    "Search Trigger Data2Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchSource, NULL, NULL,
    "SEAR:TRIG:SETH:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEASUREMENT_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_LEVEL,
    "Search Trigger Data2Clock Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerClockLevel, NULL,
    "SEAR:TRIG:SETH:CLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_HOLD_TIME =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_HOLD_TIME,
    "Search Trigger Data2Clock Hold Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerData2ClockTime, NULL,
    "SEAR:TRIG:SETH:HTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_SETUP_TIME =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_SETUP_TIME,
    "Search Trigger Data2Clock Setup Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerData2ClockTime, NULL,
    "SEAR:TRIG:SETH:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_EDGE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_EDGE,
    "Search Trigger Data2Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:SETH:CEDG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_COPY_FROM_A,
    "Search Trigger Data2Clock Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:SETH:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_ENABLED,
    "Search Trigger State Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_CLOCK_SOURCE,
    "Search Trigger State Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerStateClockSource, NULL, NULL,
    "SEAR:TRIG:STAT:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CLOCK_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_LEVEL =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_LEVEL,
    "Search Trigger State Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerClockLevel, NULL,
    "SEAR:TRIG:STAT:CLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_CLOCK_EDGE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_CLOCK_EDGE,
    "Search Trigger State Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "SEAR:TRIG:STAT:CEDG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_COPY_FROM_A,
    "Search Trigger State Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:STAT:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1,
    "Search State Trigger Qualification Enabled Channel 1",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:STAT:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2,
    "Search State Trigger Qualification Enabled Channel 2",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:STAT:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3,
    "Search State Trigger Qualification Enabled Channel 3",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:STAT:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4,
    "Search State Trigger Qualification Enabled Channel 4",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:STAT:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1,
    "Search State Trigger Qualification Logic Channel 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:STAT:A:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2,
    "Search State Trigger Qualification Logic Channel 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:STAT:B:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3,
    "Search State Trigger Qualification Logic Channel 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:STAT:C:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4,
    "Search State Trigger Qualification Logic Channel 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:STAT:D:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2,
    "Search State Trigger Qualification Logic Channels 1 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "SEAR:TRIG:STAT:AB:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4 =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4,
    "Search State Trigger Qualification Logic Channels 3 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "SEAR:TRIG:STAT:CD:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL =
  {
    RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL,
    "Search State Trigger Qualification Logic Channels All",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "SEAR:TRIG:STAT:ABCD:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_ENABLED,
    "Search Trigger Pattern Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_MODE =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_MODE,
    "Search Trigger Pattern Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerPatternMode, NULL, NULL,
    "SEAR:TRIG:PATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_TIMEOUT_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_TIMEOUT_CONDITION,
    "Search Trigger Pattern Timeout Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerPatternTimeoutMode, NULL, NULL,
    "SEAR:TRIG:PATT:TIM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_TIMEOUT_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_TIMEOUT =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_TIMEOUT,
    "Search Trigger Pattern Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:PATT:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH,
    "Search Trigger Pattern Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerWidth, NULL,
    "SEAR:TRIG:PATT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA,
    "Search Trigger Pattern Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchTriggerPatternDelta, NULL,
    "SEAR:TRIG:PATT:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_CONDITION,
    "Search Trigger Pattern Width Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "SEAR:TRIG:PATT:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SHORTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_COPY_FROM_A,
    "Search Trigger Pattern Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1,
    "Search Pattern Trigger Qualification Enabled Channel 1",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2,
    "Search Pattern Trigger Qualification Enabled Channel 2",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3,
    "Search Pattern Trigger Qualification Enabled Channel 3",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4,
    "Search Pattern Trigger Qualification Enabled Channel 4",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PATT:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1,
    "Search Pattern Trigger Qualification Logic Channel 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:PATT:A:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2,
    "Search Pattern Trigger Qualification Logic Channel 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:PATT:B:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3,
    "Search Pattern Trigger Qualification Logic Channel 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:PATT:C:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4,
    "Search Pattern Trigger Qualification Logic Channel 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerQualificationLogic, NULL, NULL,
    "SEAR:TRIG:PATT:D:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LOGIC_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2,
    "Search Pattern Trigger Qualification Logic Channels 1 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "SEAR:TRIG:PATT:AB:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4 =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4,
    "Search Pattern Trigger Qualification Logic Channels 3 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "SEAR:TRIG:PATT:CD:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL =
  {
    RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL,
    "Search Pattern Trigger Qualification Logic Channels All",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLogic, NULL, NULL,
    "SEAR:TRIG:PATT:ABCD:LOG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_GATE_ENABLED,
    "Search Gate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:GATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_SHOW =
  {
    RSSCOPE_ATTR_SEARCH_GATE_SHOW,
    "Search Gate Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:GATE:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ZOOM_COUPLING =
  {
    RSSCOPE_ATTR_ZOOM_COUPLING,
    "Zoom Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:GATE:ZCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_MODE =
  {
    RSSCOPE_ATTR_SEARCH_GATE_MODE,
    "Search Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "SEAR:GATE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_ABSOLUTE_START =
  {
    RSSCOPE_ATTR_SEARCH_GATE_ABSOLUTE_START,
    "Search Gate Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:GATE:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_RELATIVE_START =
  {
    RSSCOPE_ATTR_SEARCH_GATE_RELATIVE_START,
    "Search Gate Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:GATE:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_ABSOLUTE_STOP =
  {
    RSSCOPE_ATTR_SEARCH_GATE_ABSOLUTE_STOP,
    "Search Gate Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:GATE:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_GATE_RELATIVE_STOP =
  {
    RSSCOPE_ATTR_SEARCH_GATE_RELATIVE_STOP,
    "Search Gate Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:GATE:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_TABLE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_TABLE_ENABLED,
    "Search Result Table Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:RES:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_SORT_MODE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_SORT_MODE,
    "Search Result Sort Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchSortMode, NULL, NULL,
    "SEAR:RES:SORT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SORT_MODE_POSITION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_SORT_ASCENDING =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_SORT_ASCENDING,
    "Search Result Sort Ascending",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:RES:SORT:ASC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_MAX_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_MAX_COUNT,
    "Search Result Max Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngConfigureSearchResultMaxCount, NULL,
    "SEAR:RES:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    20,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt64_ReadCallback,
    rsscope_FormatSearchNameInt64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_WINDOW =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_WINDOW,
    "Search Result Zoom Window",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:RESD:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_HORIZONTAL_MODE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_HORIZONTAL_MODE,
    "Search Result Zoom Horizontal Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "SEAR:RESD:HORZ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_HORIZONTAL_POSITION =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_HORIZONTAL_POSITION,
    "Search Result Zoom Absolute Horizontal Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:HORZ:ABS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_HORIZONTAL_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_HORIZONTAL_RANGE,
    "Search Result Zoom Absolute Horizontal Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:HORZ:ABS:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_HORIZONTAL_POSITION =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_HORIZONTAL_POSITION,
    "Search Result Zoom Relative Horizontal Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:HORZ:REL:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_HORIZONTAL_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_HORIZONTAL_RANGE,
    "Search Result Zoom Relative Horizontal Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:HORZ:REL:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_VERTICAL_MODE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_VERTICAL_MODE,
    "Search Result Zoom Vertical Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "SEAR:RESD:VERT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_VERTICAL_POSITION,
    "Search Result Zoom Absolute Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:VERT:ABS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_VERTICAL_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_VERTICAL_RANGE,
    "Search Result Zoom Absolute Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:VERT:ABS:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_VERTICAL_POSITION,
    "Search Result Zoom Relative Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:VERT:REL:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_VERTICAL_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_VERTICAL_RANGE,
    "Search Result Zoom Relative Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RESD:VERT:REL:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_NOISE_REJECT_ENABLED,
    "Search Noise Reject Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceBoolean_ReadCallback,
    rsscope_FormatSearchNameSourceBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_HYSTERESIS_MODE =
  {
    RSSCOPE_ATTR_SEARCH_NOISE_REJECT_HYSTERESIS_MODE,
    "Search Noise Reject Hysteresis Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "SEAR:TRIG:LEV:NOIS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceInt32_ReadCallback,
    rsscope_FormatSearchNameSourceInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_ABSOLUTE_HYSTERESIS =
  {
    RSSCOPE_ATTR_SEARCH_NOISE_REJECT_ABSOLUTE_HYSTERESIS,
    "Search Noise Reject Absolute Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:LEV:NOIS:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_RELATIVE_HYSTERESIS =
  {
    RSSCOPE_ATTR_SEARCH_NOISE_REJECT_RELATIVE_HYSTERESIS,
    "Search Noise Reject Relative Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSearchNoiseRejectRelativeHysteresis, NULL,
    "SEAR:TRIG:LEV:NOIS:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameSourceReal64_ReadCallback,
    rsscope_FormatSearchNameSourceReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_MODE =
  {
    RSSCOPE_ATTR_SEARCH_I2C_MODE,
    "Search I2C Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CTriggerType, NULL, NULL,
    "SEAR:TRIG:I2C:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_START =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_START,
    "Search I2C Criteria Start",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:SCON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_REPEATED_START =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_REPEATED_START,
    "Search I2C Criteria Repeated Start",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:RCON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_STOP =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_STOP,
    "Search I2C Criteria Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:STCN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_NACK =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_NACK,
    "Search I2C Criteria Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:NACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS,
    "Search I2C Criteria Address",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:SADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS_OR =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS_OR,
    "Search I2C Criteria Address OR",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS_DATA =
  {
    RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS_DATA,
    "Search I2C Criteria Address Data",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADRESS_NACK =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADRESS_NACK,
    "Search I2C Adress Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_DATA_WRITE_NACK =
  {
    RSSCOPE_ATTR_SEARCH_I2C_DATA_WRITE_NACK,
    "Search I2C Data Write Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:DWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_DATA_READ_NACK =
  {
    RSSCOPE_ATTR_SEARCH_I2C_DATA_READ_NACK,
    "Search I2C Data Read Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:DRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ACCESS_BIT =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ACCESS_BIT,
    "Search I2C Access Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAccessBit, NULL, NULL,
    "SEAR:TRIG:I2C:ACC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_TYPE,
    "Search I2C Address Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAddressType, NULL, NULL,
    "SEAR:TRIG:I2C:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_CONDITION,
    "Search I2C Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:I2C:ACON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_MIN,
    "Search I2C Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1100000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_MAX,
    "Search I2C Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1100000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_I2C_POSITION_CONDITION,
    "Search I2C Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngI2CPositionCondition, NULL, NULL,
    "SEAR:TRIG:I2C:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_COND_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_POSITION_MIN =
  {
    RSSCOPE_ATTR_SEARCH_I2C_POSITION_MIN,
    "Search I2C Position Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rnglI2CPositionMinMax, NULL,
    "SEAR:TRIG:I2C:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_POSITION_MAX =
  {
    RSSCOPE_ATTR_SEARCH_I2C_POSITION_MAX,
    "Search I2C Position Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rnglI2CPositionMinMax, NULL,
    "SEAR:TRIG:I2C:DPTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_I2C_DATA_CONDITION,
    "Search I2C Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:I2C:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_I2C_PATTERN_MIN,
    "Search I2C Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_I2C_PATTERN_MAX,
    "Search I2C Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_STATE =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_STATE,
    "Search I2C Address OR State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADDO{ORSlot}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_TYPE,
    "Search I2C Address OR Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAddressORType, NULL, NULL,
    "SEAR:TRIG:I2C:ADDO{ORSlot}:ADRT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_BIT7,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_ACCESS_BIT =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_ACCESS_BIT,
    "Search I2C Address OR Access Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CAccessBit, NULL, NULL,
    "SEAR:TRIG:I2C:ADDO{ORSlot}:RWB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR =
  {
    RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR,
    "Search I2C Address OR",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:I2C:ADDO{ORSlot}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000XX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_I2C_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_I2C_FRAME_COUNT,
    "Search I2C Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:I2C:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_MODE =
  {
    RSSCOPE_ATTR_SEARCH_LIN_MODE,
    "Search LIN Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTrigger, NULL, NULL,
    "SEAR:TRIG:LIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_START_OF_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_START_OF_FRAME,
    "Search LIN Criteria Start Of Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:SSOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER,
    "Search LIN Criteria Identifier",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:SFID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER_OR =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER_OR,
    "Search LIN Criteria Identifier OR",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER_DATA =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER_DATA,
    "Search LIN Criteria Identifier Data",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:SIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_WAKEUP_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_WAKEUP_FRAME,
    "Search LIN Criteria Wakeup Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:WUFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_ERROR_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_ERROR_CONDITION,
    "Search LIN Criteria Error Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:SERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CONDITION_DATA =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CONDITION_DATA,
    "Search LIN Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:LIN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_LIN_PATTERN_DATA_MIN,
    "Search LIN Pattern Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_LIN_PATTERN_DATA_MAX,
    "Search LIN Pattern Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_DATA_LENGTH_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_LIN_DATA_LENGTH_CONDITION,
    "Search LIN Data Length Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTriggerDataCondition, NULL, NULL,
    "SEAR:TRIG:LIN:DLEC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_LIN_DATA_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_DATA_LENGTH =
  {
    RSSCOPE_ATTR_SEARCH_LIN_DATA_LENGTH,
    "Search LIN Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngLINDataLength, NULL,
    "SEAR:TRIG:LIN:DLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_DATA_TRANSFER =
  {
    RSSCOPE_ATTR_SEARCH_LIN_DATA_TRANSFER,
    "Search LIN Data Transfer",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLINDataTransfer, NULL, NULL,
    "SEAR:TRIG:LIN:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_TRANSFER_BENDIAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_IDENTIFIER_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_LIN_IDENTIFIER_CONDITION,
    "Search LIN Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:LIN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_IDENTIFIER_MIN =
  {
    RSSCOPE_ATTR_SEARCH_LIN_PATTERN_IDENTIFIER_MIN,
    "Search LIN Pattern Identifier Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_IDENTIFIER_MAX =
  {
    RSSCOPE_ATTR_SEARCH_LIN_PATTERN_IDENTIFIER_MAX,
    "Search LIN Pattern Identifier Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_ADDRESS_OR_STATE =
  {
    RSSCOPE_ATTR_SEARCH_LIN_ADDRESS_OR_STATE,
    "Search LIN Address OR State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:IDOR{ORSlot}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_ADDRESS_OR =
  {
    RSSCOPE_ATTR_SEARCH_LIN_ADDRESS_OR,
    "Search LIN Address OR",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:IDOR{ORSlot}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1XXXXX",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CHECKSUM_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CHECKSUM_ERROR,
    "Search LIN Checksum Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:CHKS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRC_ERROR_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRC_ERROR_PATTERN,
    "Search LIN CRC Error Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:ERRP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRC_ERROR_DATA_LENGTH =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRC_ERROR_DATA_LENGTH,
    "Search LIN CRC Error Data Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngLINTriggerCRCErrDataLength, NULL,
    "SEAR:TRIG:LIN:CRCD",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_CRC_STANDARD =
  {
    RSSCOPE_ATTR_SEARCH_LIN_CRC_STANDARD,
    "Search LIN CRC Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTriggerCRCStandard, NULL, NULL,
    "SEAR:TRIG:LIN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_CRC_STANDARD_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_IDENTIFIER_PARITY_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_LIN_IDENTIFIER_PARITY_ERROR,
    "Search LIN Identifier Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:IPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_SYNC_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_LIN_SYNC_ERROR,
    "Search LIN Sync Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:LIN:SYER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_LIN_SELECTED_FRAME,
    "Search LIN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_LIN_FRAME_COUNT,
    "Search LIN Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:LIN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_FRAME_SYMBOLIC_DATA =
  {
    RSSCOPE_ATTR_SEARCH_LIN_FRAME_SYMBOLIC_DATA,
    "Search LIN Frame Symbolic Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:LIN:FRAM<Frame>:SDAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINSearchNameFrameRepCapString_ReadCallback,
    rsscope_FormatLINSearchNameFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_LIN_FRAME_SYMBOLIC_DATA_EXPORT =
  {
    RSSCOPE_ATTR_SEARCH_LIN_FRAME_SYMBOLIC_DATA_EXPORT,
    "Search LIN Frame Symbolic Data Export",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:LIN:FRAM<Frame>:SDEX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINSearchNameFrameRepCapString_ReadCallback,
    rsscope_FormatLINSearchNameFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_CAN_ENABLED,
    "Search CAN Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_CAN_COPY_FROM_A,
    "Search CAN Copy From A",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_START_OF_FRAME_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_CAN_START_OF_FRAME_ENABLED,
    "Search CAN Start Of Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SSOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_FRAME_TYPE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_CAN_FRAME_TYPE_ENABLED,
    "Search CAN Frame Type Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SFTY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_FRAME_IDENTIFIER_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_CAN_FRAME_IDENTIFIER_ENABLED,
    "Search CAN Frame Identifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SFID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_DATA_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_DATA_ENABLED,
    "Search CAN Identifier Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_ENABLED,
    "Search CAN Symbolic Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SSYM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_FRAME_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_CAN_FRAME_TYPE,
    "Search CAN Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANTriggFrameType, NULL, NULL,
    "SEAR:TRIG:CAN:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_STANDARD =
  {
    RSSCOPE_ATTR_SEARCH_CAN_STANDARD,
    "Search CAN Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANStandard, NULL, NULL,
    "SEAR:TRIG:CAN:FDAT:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_STANDARD_CAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_ID_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_CAN_ID_TYPE,
    "Search CAN ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANIDType, NULL, NULL,
    "SEAR:TRIG:CAN:ITYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_ID_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_CONDITION,
    "Search CAN Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CAN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_MIN =
  {
    RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_MIN,
    "Search CAN Identifier Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_MAX =
  {
    RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_MAX,
    "Search CAN Identifier Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_FDF =
  {
    RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_FDF,
    "Search CAN FD Bits FDF",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANFDBits, NULL, NULL,
    "SEAR:TRIG:CAN:FDAT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_BIT_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_BRS =
  {
    RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_BRS,
    "Search CAN FD Bits BRS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANFDBits, NULL, NULL,
    "SEAR:TRIG:CAN:FDAT:BRS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_BIT_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_ESI =
  {
    RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_ESI,
    "Search CAN FD Bits ESI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCANFDBits, NULL, NULL,
    "SEAR:TRIG:CAN:FDAT:ESI",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_BIT_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_DLC_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_CAN_DLC_CONDITION,
    "Search CAN DLC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CAN:DLCC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_GE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_DLC =
  {
    RSSCOPE_ATTR_SEARCH_CAN_DLC,
    "Search CAN DLC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSearchCANDLC, NULL,
    "SEAR:TRIG:CAN:DLC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_CAN_POSITION_CONDITION,
    "Search CAN Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANPositionCondition, NULL, NULL,
    "SEAR:TRIG:CAN:FDAT:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_POSITION_MIN =
  {
    RSSCOPE_ATTR_SEARCH_CAN_POSITION_MIN,
    "Search CAN Position Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngCANPositionMin, NULL,
    "SEAR:TRIG:CAN:FDAT:DPOS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_POSITION_MAX =
  {
    RSSCOPE_ATTR_SEARCH_CAN_POSITION_MAX,
    "Search CAN Position Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngCANPositionMax, NULL,
    "SEAR:TRIG:CAN:FDAT:DPTO",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_CAN_DATA_CONDITION,
    "Search CAN Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CAN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_CAN_DATA_MIN,
    "Search CAN Data Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_CAN_DATA_MAX,
    "Search CAN Data Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_CRC_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_CAN_CRC_ERROR,
    "Search CAN CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_BIT_STUFFING_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_CAN_BIT_STUFFING_ERROR,
    "Search CAN Bit Stuffing Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_ACK_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_CAN_ACK_ERROR,
    "Search CAN Ack Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:ACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_STUFF_COUNT_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_CAN_STUFF_COUNT_ERROR,
    "Search CAN Stuff Count Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:FDAT:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_MESSAGE =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_MESSAGE,
    "Search CAN Symbolic Message",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SYMB:MSGV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "EngineData",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SEARCH_FOR_SIGNAL =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SEARCH_FOR_SIGNAL,
    "Search CAN Symbolic Search For Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SYMB:SSIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_VALUE =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_VALUE,
    "Search CAN Symbolic Signal Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SYMB:SIGV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "EngForce",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_MIN =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_MIN,
    "Search CAN Symbolic Signal Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SYMB:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_MAX =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_MAX,
    "Search CAN Symbolic Signal Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SYMB:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameReal64_ReadCallback,
    rsscope_FormatSearchNameReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_ENUM_VALUE =
  {
    RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_ENUM_VALUE,
    "Search CAN Symbolic Signal Enum Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:CAN:SYMB:SGEV",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_ENABLED,
    "Search FlexRay Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_COPY_FROM_A =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_COPY_FROM_A,
    "Search FlexRay Copy From A",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_START_OF_FRAME_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_START_OF_FRAME_ENABLED,
    "Search FlexRay Start Of Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:SSOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_SYMBOL_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_SYMBOL_ENABLED,
    "Search FlexRay Symbol Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:SSYM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_DATA_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_DATA_ENABLED,
    "Search FlexRay Identifier Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:SIDD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_ERROR_CONDITION_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_ERROR_CONDITION_ENABLED,
    "Search FlexRay Error Condition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:SERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_PREAMBLE =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_PREAMBLE,
    "Search FlexRay Payload Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "SEAR:TRIG:FLXR:PLPR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_NULL_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_NULL_FRAME,
    "Search FlexRay Null Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "SEAR:TRIG:FLXR:NUFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_SYNC_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_SYNC_FRAME,
    "Search FlexRay Sync Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "SEAR:TRIG:FLXR:SYFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_STARTUP_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_STARTUP_FRAME,
    "Search FlexRay Startup Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayIndicatorBits, NULL, NULL,
    "SEAR:TRIG:FLXR:STFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_CONDITION,
    "Search FlexRay Frame ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "SEAR:TRIG:FLXR:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_MIN =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_MIN,
    "Search FlexRay Frame ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:FMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_MAX =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_MAX,
    "Search FlexRay Frame ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:FMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_CONDITION,
    "Search FlexRay Payload Length Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "SEAR:TRIG:FLXR:PCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_MIN =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_MIN,
    "Search FlexRay Payload Length Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayPayloadMinMax, NULL,
    "SEAR:TRIG:FLXR:PMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_MAX =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_MAX,
    "Search FlexRay Payload Length Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayPayloadMinMax, NULL,
    "SEAR:TRIG:FLXR:PMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_CONDITION,
    "Search FlexRay Cycle Count Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "SEAR:TRIG:FLXR:CEN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_MIN =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_MIN,
    "Search FlexRay Cycle Count Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayCycleMinMax, NULL,
    "SEAR:TRIG:FLXR:CMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_MAX =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_MAX,
    "Search FlexRay Cycle Count Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayCycleMinMax, NULL,
    "SEAR:TRIG:FLXR:CMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_STEP =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_STEP,
    "Search FlexRay Cycle Count Step",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngFlexRayCycleStep, NULL,
    "SEAR:TRIG:FLXR:CST",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_CONDITION,
    "Search FlexRay Data Position Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchFlexRayDataPositionCondition, NULL, NULL,
    "SEAR:TRIG:FLXR:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_MIN =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_MIN,
    "Search FlexRay Data Position Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSearchFlexRayDataPositionMinMax, NULL,
    "SEAR:TRIG:FLXR:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_MAX =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_MAX,
    "Search FlexRay Data Position Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSearchFlexRayDataPositionMinMax, NULL,
    "SEAR:TRIG:FLXR:DPTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_CONDITION,
    "Search FlexRay Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayCondition, NULL, NULL,
    "SEAR:TRIG:FLXR:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_MIN,
    "Search FlexRay Data Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_MAX,
    "Search FlexRay Data Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_MIN =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_MIN,
    "Search FlexRay Identifier Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_MAX =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_MAX,
    "Search FlexRay Identifier Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_SYMBOL =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_SYMBOL,
    "Search FlexRay Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRaySymbol, NULL, NULL,
    "SEAR:TRIG:FLXR:SYMB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_SYMBOL_CASMTS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_START_SEQUENCE_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_START_SEQUENCE_ERROR,
    "Search FlexRay Frame Start Sequence Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:FSS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_BYTE_START_SEQUENCE_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_BYTE_START_SEQUENCE_ERROR,
    "Search FlexRay Byte Start Sequence Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:BSS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_END_SEQUENCE_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_END_SEQUENCE_ERROR,
    "Search FlexRay Frame End Sequence Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:FES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_HEADER_CRC_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_HEADER_CRC_ERROR,
    "Search FlexRay Header CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:HCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_CRC_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_CRC_ERROR,
    "Search FlexRay Payload CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:FLXR:PCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_MODE =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_MODE,
    "Search MIL1553 Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerMode, NULL, NULL,
    "SEAR:TRIG:MILS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STYP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_SYNC_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_SYNC_TYPE,
    "Search MIL1553 Sync Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553SyncType, NULL, NULL,
    "SEAR:TRIG:MILS:TPSP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_SYNC_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_CONDITION,
    "Search MIL1553 Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553DataOperator, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_MIN,
    "Search MIL1553 Data Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_MAX,
    "Search MIL1553 Data Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_CONDITION,
    "Search MIL1553 Data Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolIndexCondition, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_MIN,
    "Search MIL1553 Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolMIL1553TriggerDataIndexRange, NULL,
    "SEAR:TRIG:MILS:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_MAX,
    "Search MIL1553 Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolMIL1553TriggerDataIndexRange, NULL,
    "SEAR:TRIG:MILS:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_CONDITION,
    "Search MIL1553 RTA Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553DataOperator, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:RCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_MIN,
    "Search MIL1553 RTA Data Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:RMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_MAX,
    "Search MIL1553 RTA Data Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:DATA:RMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_CONDITION,
    "Search MIL1553 Command Status RTA Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553RTAOperator, NULL, NULL,
    "SEAR:TRIG:MILS:CDST:RCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_MIN,
    "Search MIL1553 Command Status RTA Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CDST:RMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_MAX,
    "Search MIL1553 Command Status RTA Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CDST:RMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_CONDITION,
    "Search MIL1553 Info Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553InfoOperator, NULL, NULL,
    "SEAR:TRIG:MILS:CDST:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_MIN,
    "Search MIL1553 Info Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CDST:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_MAX,
    "Search MIL1553 Info Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CDST:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_TRANSMIT_RECEIVE =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_TRANSMIT_RECEIVE,
    "Search MIL1553 Command Transmit Receive",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerCommandTransmitReceive, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:TR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_COMMAND_TR_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_CONDITION,
    "Search MIL1553 Command Subaddress Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553SubaddressOperator, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_MIN,
    "Search MIL1553 Command Subaddress Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_MAX,
    "Search MIL1553 Command Subaddress Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:SMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_CONDITION,
    "Search MIL1553 Command RTA Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553SubaddressOperator, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:RCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_MIN,
    "Search MIL1553 Command RTA Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:RMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_MAX,
    "Search MIL1553 Command RTA Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:RMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_CONDITION,
    "Search MIL1553 Command Word Count Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553WordCountOperator, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:CCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_MIN,
    "Search MIL1553 Command Word Count Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:CMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_MAX,
    "Search MIL1553 Command Word Count Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:CMD:CMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_MESSAGE_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_MESSAGE_ERROR,
    "Search MIL1553 Status Flag Message Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:MERR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_BUSY =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_BUSY,
    "Search MIL1553 Status Flag Busy",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:BUSY",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_INSTRUMENTATION =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_INSTRUMENTATION,
    "Search MIL1553 Status Flag Instrumentation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:INST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_SUBSYSTEM =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_SUBSYSTEM,
    "Search MIL1553 Status Flag Subsystem",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:SUBS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_SERVICE_REQUEST =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_SERVICE_REQUEST,
    "Search MIL1553 Status Flag Service Request",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:SREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_DYNAMIC_BUS_CONTROL =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_DYNAMIC_BUS_CONTROL,
    "Search MIL1553 Status Flag Dynamic Bus Control",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:DBC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_BROADCAST_COMMAND =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_BROADCAST_COMMAND,
    "Search MIL1553 Status Flag Broadcast Command",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:BCR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_TERMINAL =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_TERMINAL,
    "Search MIL1553 Status Flag Terminal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553TriggerStatusFlags, NULL, NULL,
    "SEAR:TRIG:MILS:STAT:TERM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_TRIGGER_STATUS_FLAGS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_SYNCHRONIZATION_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_SYNCHRONIZATION_ERROR,
    "Search MIL1553 Error Synchronization Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:ERR:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_PARITY_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_PARITY_ERROR,
    "Search MIL1553 Error Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_MANCHESTER_CODING_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_MANCHESTER_CODING_ERROR,
    "Search MIL1553 Error Manchester Coding Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:ERR:MANC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_TIMING_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_TIMING_ERROR,
    "Search MIL1553 Error Timing Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MILS:ERR:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MIL1553_WORDS_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_MIL1553_WORDS_COUNT,
    "Search MIL1553 Words Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:MILS:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_MODE =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_MODE,
    "Search ARINC429 Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429TriggerMode, NULL, NULL,
    "SEAR:TRIG:ARIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARINC429_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_DATA_SDI =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_DATA_SDI,
    "Search ARINC429 Label Data SDI",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:SDI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_DATA_SSM =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_DATA_SSM,
    "Search ARINC429 Label Data SSM",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:SSM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_CONDITION,
    "Search ARINC429 Label Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429LabelOperator, NULL, NULL,
    "SEAR:TRIG:ARIN:LAB:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_MIN,
    "Search ARINC429 Label Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:LAB:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_MAX,
    "Search ARINC429 Label Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:LAB:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_CONDITION,
    "Search ARINC429 Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429DataOperator, NULL, NULL,
    "SEAR:TRIG:ARIN:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_MIN,
    "Search ARINC429 Data Pattern Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_MAX,
    "Search ARINC429 Data Pattern Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_CODING_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_CODING_ERROR,
    "Search ARINC429 Error Coding Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:ERR:COD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_PARITY_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_PARITY_ERROR,
    "Search ARINC429 Error Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_TIMING_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_TIMING_ERROR,
    "Search ARINC429 Error Timing Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ARIN:ERR:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ARINC429_WORDS_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_ARINC429_WORDS_COUNT,
    "Search ARINC429 Words Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:ARIN:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_TYPE,
    "Search RFFE Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolRFFETriggerType, NULL, NULL,
    "SEAR:TRIG:RFFE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RFFE_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_INTERRUPT_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_INTERRUPT_PATTERN,
    "Search RFFE Interrupt Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000111",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_CONDITION,
    "Search RFFE Slave Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:RFFE:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_MIN =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_MIN,
    "Search RFFE Slave Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_MAX =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_MAX,
    "Search RFFE Slave Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_CONDITION,
    "Search RFFE Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:RFFE:ADDR:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_MIN,
    "Search RFFE Address Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ADDR:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_MAX,
    "Search RFFE Address Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ADDR:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_CONDITION,
    "Search RFFE Byte Count Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:RFFE:BCO:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_MIN =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_MIN,
    "Search RFFE Byte Count Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:BCO:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_MAX =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_MAX,
    "Search RFFE Byte Count Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:BCO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_DATA_CONDITION,
    "Search RFFE Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:RFFE:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_DATA_MIN,
    "Search RFFE Data Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_DATA_MAX,
    "Search RFFE Data Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_INDEX_CONDITION,
    "Search RFFE Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolIndexCondition, NULL, NULL,
    "SEAR:TRIG:RFFE:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_INDEX_MIN =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_INDEX_MIN,
    "Search RFFE Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_INDEX_MAX =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_INDEX_MAX,
    "Search RFFE Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_SCC =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ERROR_SCC,
    "Search RFFE Error SCC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ERR:SSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ERROR_LENGTH,
    "Search RFFE Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_PARITY =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ERROR_PARITY,
    "Search RFFE Error Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_GAP_TIME =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ERROR_GAP_TIME,
    "Search RFFE Error Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ERR:GAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_VERSION =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_ERROR_VERSION,
    "Search RFFE Error Version",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:RFFE:ERR:VERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_RFFE_SEQUENCE_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_RFFE_SEQUENCE_COUNT,
    "Search RFFE Sequence Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:RFFE:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_TYPE,
    "Search MDIO Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOTriggerType, NULL, NULL,
    "SEAR:TRIG:MDIO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_START_CODE =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_START_CODE,
    "Search MDIO Start Code",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOTriggerStartCode, NULL, NULL,
    "SEAR:TRIG:MDIO:ST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_START_CODE_ST00,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_OPERATION_CODE =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_OPERATION_CODE,
    "Search MDIO Operation Code",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOTriggerOperationCode, NULL, NULL,
    "SEAR:TRIG:MDIO:FRAM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_OPERATION_CODE_OP00,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_PHYSICAL_PORT_ADDRESS =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_PHYSICAL_PORT_ADDRESS,
    "Search MDIO Physical Port Address",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MDIO:PHYS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_REGISTER_DEVICE_ADDRESS =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_REGISTER_DEVICE_ADDRESS,
    "Search MDIO Register Device Address",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MDIO:REGI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_DATA_ADDRESS_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_DATA_ADDRESS_PATTERN,
    "Search MDIO Data Address Pattern",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MDIO:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MDIO_WORD_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_MDIO_WORD_COUNT,
    "Search MDIO Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:MDIO:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_ENABLED,
    "Search Ethernet Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_ENABLED,
    "Search Ethernet Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:ERR:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE,
    "Search Ethernet Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchEthernetType, NULL, NULL,
    "SEAR:TRIG:ETH:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SEARCH_ETHERNET_TYPE_FRAME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_CONDITION,
    "Search Ethernet Destination Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_MIN,
    "Search Ethernet Destination Address Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_MAX,
    "Search Ethernet Destination Address Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_CONDITION,
    "Search Ethernet Source Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_MIN,
    "Search Ethernet Source Address Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_MAX,
    "Search Ethernet Source Address Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:SMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_CONDITION,
    "Search Ethernet Type Length Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_MIN =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_MIN,
    "Search Ethernet Type Length Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:TMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_MAX =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_MAX,
    "Search Ethernet Type Length Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:TMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_CONDITION,
    "Search Ethernet Frame Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:CCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_MIN,
    "Search Ethernet Frame Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:CMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_MAX,
    "Search Ethernet Frame Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:FRAM:CMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_PREAMBLE =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_PREAMBLE,
    "Search Ethernet Error Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:ERR:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_LENGTH,
    "Search Ethernet Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:ETH:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_ETHERNET_WORD_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_ETHERNET_WORD_COUNT,
    "Search Ethernet Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:ETH:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_START_OF_PACKET =
  {
    RSSCOPE_ATTR_SEARCH_USB_CRITERIA_START_OF_PACKET,
    "Search USB Criteria Start Of Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SSOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_TOKEN =
  {
    RSSCOPE_ATTR_SEARCH_USB_CRITERIA_TOKEN,
    "Search USB Criteria Token",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:STOK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_DATA =
  {
    RSSCOPE_ATTR_SEARCH_USB_CRITERIA_DATA,
    "Search USB Criteria Data",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SDAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_HANDSHAKE =
  {
    RSSCOPE_ATTR_SEARCH_USB_CRITERIA_HANDSHAKE,
    "Search USB Criteria Handshake",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SHAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_SPECIAL_PID =
  {
    RSSCOPE_ATTR_SEARCH_USB_CRITERIA_SPECIAL_PID,
    "Search USB Criteria Special PID",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SSPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_USB_CRITERIA_ERROR,
    "Search USB Criteria Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_TOKEN =
  {
    RSSCOPE_ATTR_SEARCH_USB_TOKEN,
    "Search USB Token",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBSearchToken, NULL, NULL,
    "SEAR:TRIG:USB:TOK",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_TOKEN_OUT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_DATA_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_USB_DATA_TYPE,
    "Search USB Data Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBSearchDataType, NULL, NULL,
    "SEAR:TRIG:USB:DATA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_DATA_TYPE_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_HANDSHAKE =
  {
    RSSCOPE_ATTR_SEARCH_USB_HANDSHAKE,
    "Search USB Handshake",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTriggerHandshake, NULL, NULL,
    "SEAR:TRIG:USB:HAND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_HANDSHAKE_ACK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SPECIAL_PID =
  {
    RSSCOPE_ATTR_SEARCH_USB_SPECIAL_PID,
    "Search USB Special PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBSearchSpecialPID, NULL, NULL,
    "SEAR:TRIG:USB:SPEC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_SPECIAL_PID_PREAMBLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PID_ERROR_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_PID_ERROR_CHECK,
    "Search USB PID Error Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WPID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ERROR_PID =
  {
    RSSCOPE_ATTR_SEARCH_USB_ERROR_PID,
    "Search USB Error PID",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:PID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ERROR_CRC5 =
  {
    RSSCOPE_ATTR_SEARCH_USB_ERROR_CRC5,
    "Search USB Error CRC5",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:CRC5error",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ERROR_CRC16 =
  {
    RSSCOPE_ATTR_SEARCH_USB_ERROR_CRC16,
    "Search USB Error CRC16",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:CRC16error",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ERROR_BITSTUFF =
  {
    RSSCOPE_ATTR_SEARCH_USB_ERROR_BITSTUFF,
    "Search USB Error Bitstuff",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ERROR_GLITCH =
  {
    RSSCOPE_ATTR_SEARCH_USB_ERROR_GLITCH,
    "Search USB Error Glitch",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:GLIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK,
    "Search USB End Point Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WEND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_CONDITION,
    "Search USB End Point Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USB:ECON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_MIN,
    "Search USB End Point Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:EMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_MAX,
    "Search USB End Point Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:EMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK,
    "Search USB Address Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_CONDITION,
    "Search USB Address Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USB:ACON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_MIN,
    "Search USB Address Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:AMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_MAX,
    "Search USB Address Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:AMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK,
    "Search USB Payload Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WPAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_CONDITION,
    "Search USB Payload Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBPayloadCondition, NULL, NULL,
    "SEAR:TRIG:USB:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_PAYLOAD_COND_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_POSITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_POSITION,
    "Search USB Payload Check Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolUSBPayloadPosition, NULL,
    "SEAR:TRIG:USB:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_DATA_CONDITION,
    "Search USB Payload Check Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngNqEq, NULL, NULL,
    "SEAR:TRIG:USB:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_PATTERN,
    "Search USB Payload Check Pattern",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK,
    "Search USB Frame Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WFRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_CONDITION,
    "Search USB Frame Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USB:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_MIN,
    "Search USB Frame Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:FMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_MAX,
    "Search USB Frame Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:FMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SC_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_SC_CHECK,
    "Search USB SC Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WSTC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SC_CHECK_START_COMPLETE =
  {
    RSSCOPE_ATTR_SEARCH_USB_SC_CHECK_START_COMPLETE,
    "Search USB SC Check Start Complete",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBSCCheckStartComplete, NULL, NULL,
    "SEAR:TRIG:USB:STCO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_SC_COMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK,
    "Search USB Port Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WPOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_CONDITION,
    "Search USB Port Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USB:PCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_MIN,
    "Search USB Port Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:PMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_MAX,
    "Search USB Port Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:PMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK,
    "Search USB SEU Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WSEU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_CONDITION,
    "Search USB SEU Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USB:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_MIN,
    "Search USB SEU Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_MAX,
    "Search USB SEU Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:SMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK =
  {
    RSSCOPE_ATTR_SEARCH_USB_ET_CHECK,
    "Search USB ET Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:WETC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_CONDITION,
    "Search USB ET Check Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USB:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_MIN =
  {
    RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_MIN,
    "Search USB ET Check Min",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:TMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_MAX =
  {
    RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_MAX,
    "Search USB ET Check Max",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USB:TMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PACKET_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_USB_PACKET_COUNT,
    "Search USB Packet Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:USB:PCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB31_GEN1_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_USB31_GEN1_FRAME_COUNT,
    "Search USB31 Gen1 Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:USBT:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_TYPE =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_TYPE,
    "USB PD Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngUSBPDTriggerType, NULL, NULL,
    "SEAR:TRIG:USBP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_PD_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_PACKET_TYPE =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_PACKET_TYPE,
    "USB PD Search Packet Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngUSBPDPacketType, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_PD_PACKET_TYPE_CONTROL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_empty_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_NUMBER_OF_FRAMES =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_NUMBER_OF_FRAMES,
    "USB PD Search Number Of Frames",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:USBP:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_DATA_CONDITION =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_DATA_CONDITION,
    "USB PD Search Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_DATA_MIN =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_DATA_MIN,
    "USB PD Search Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeString_ReadCallback,
    rsscope_FormatUSBPDPacketTypeString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_DATA_MAX =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_DATA_MAX,
    "USB PD Search Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeString_ReadCallback,
    rsscope_FormatUSBPDPacketTypeString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_CONDITION,
    "USB PD Search Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngUSB31Gen1IndexCondition, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_MIN =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_MIN,
    "USB PD Search Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_MAX =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_MAX,
    "USB PD Search Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:IMAX",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USB_PD_SEARCH_BIT_STATE =
  {
    RSSCOPE_ATTR_USB_PD_SEARCH_BIT_STATE,
    "USB PD Search Bit State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngBitState, NULL, NULL,
    "SEAR:TRIG:USBP:FRAM:FIEL{FieldNumber}:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BIT_STATE_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatUSBPDPacketTypeInt32_ReadCallback,
    rsscope_FormatUSBPDPacketTypeInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_USB_PD_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_USB_PD_FRAME_COUNT,
    "Search USB PD Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:USBP:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_TYPE,
    "Search EbTb Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbTriggerType, NULL, NULL,
    "SEAR:TRIG:EBTB:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_TRIGGER_TYPE_SYMBOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_DISPARITY_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_DISPARITY_ERROR,
    "Search EbTb Disparity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:EBTB:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_GLITCHING_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_GLITCHING_ERROR,
    "Search EbTb Glitching Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:EBTB:GLIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_UNKNOWN_SYMBOL_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_UNKNOWN_SYMBOL_ERROR,
    "Search EbTb Unknown Symbol Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:EBTB:UNK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_SEARCH_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_SEARCH_TYPE,
    "Search EbTb Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbSearchType, NULL, NULL,
    "SEAR:TRIG:EBTB:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_SEARCH_TYPE_KD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_TYPE,
    "Search EbTb Symbol Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbSymbolType, NULL, NULL,
    "SEAR:TRIG:EBTB:SSTY",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_SYMBOL_TYPE_SYMBOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_FORMAT =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_FORMAT,
    "Search EbTb Symbol Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbFormat, NULL, NULL,
    "SEAR:TRIG:EBTB:SYMF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_FORMAT_KD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_KD_CODE_SYMBOL =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_KD_CODE_SYMBOL,
    "Search EbTb KD Code Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbKDCode, NULL, NULL,
    "SEAR:TRIG:EBTB:SYMT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_KD_CODE_K285,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_DX =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_DX,
    "Search EbTb Dx",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngEbTbDx, NULL,
    "SEAR:TRIG:EBTB:DX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_DY =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_DY,
    "Search EbTb Dy",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngEbTbDy, NULL,
    "SEAR:TRIG:EBTB:DY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_EIGHT_BIT_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_EIGHT_BIT_PATTERN,
    "Search EBTB Eight Bit Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:EBTB:EBPA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_TEN_BIT_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_TEN_BIT_PATTERN,
    "Search EBTB Ten Bit Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:EBTB:TBPA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_EXPRESSION =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_EXPRESSION,
    "Search EBTB Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:EBTB:SYME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_COUNT,
    "Search EbTb Symbol Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:EBTB:SCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_CALIBRATION_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_SENT_CALIBRATION_ENABLED,
    "Search SENT Calibration Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:CAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_ENABLED,
    "Search SENT Transmission Sequence Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_TYPE,
    "Search SENT Transmission Sequence Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTTriggerTSType, NULL, NULL,
    "SEAR:TRIG:SENT:TTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SENT_TRIGGER_TS_TYPE_STAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_STATUS =
  {
    RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_STATUS,
    "Search SENT Transmission Sequence Status",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_CONDITION,
    "Search SENT Transmission Sequence Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:SENT:TDCN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_DATA_MIN,
    "Search SENT Transmission Sequence Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:TDMN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_DATA_MAX,
    "Search SENT Transmission Sequence Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:TDMX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ENABLED,
    "Search SENT Serial Message Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:SMSG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_TYPE,
    "Search SENT Serial Message Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTTriggerSMType, NULL, NULL,
    "SEAR:TRIG:SENT:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SENT_TRIGGER_SM_TYPE_ID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_TYPE,
    "Search SENT Serial Message ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTIDType, NULL, NULL,
    "SEAR:TRIG:SENT:SIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_ID_TYPE_B4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_CONDITION,
    "Search SENT Serial Message ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:SENT:SICN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_MIN =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_MIN,
    "Search SENT Serial Message ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:SIMN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_MAX =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_MAX,
    "Search SENT Serial Message ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:SIMX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_CONDITION,
    "Search SENT Serial Message Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:SENT:SDCN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_MIN,
    "Search SENT Serial Message Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:SDMN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_MAX,
    "Search SENT Serial Message Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:SDMX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_ERROR_ENABLED =
  {
    RSSCOPE_ATTR_SEARCH_SENT_ERROR_ENABLED,
    "Search SENT Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:ERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_FORM_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_SENT_FORM_ERROR,
    "Search SENT Form Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_CALIBRATION_PULSE_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_SENT_CALIBRATION_PULSE_ERROR,
    "Search SENT Calibration Pulse Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:PULS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_PULSE_PERIOD_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_SENT_PULSE_PERIOD_ERROR,
    "Search SENT Pulse Period Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:PPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_CRC_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_SENT_CRC_ERROR,
    "Search SENT CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_IRREGULAR_FRAME_LENGTH_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_SENT_IRREGULAR_FRAME_LENGTH_ERROR,
    "Search SENT Irregular Frame Length Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SENT:IRFL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SENT_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_SENT_FRAME_COUNT,
    "Search SENT Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:SENT:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_TYPE =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_TYPE,
    "DPHY Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDPHYTriggerType, NULL, NULL,
    "SEAR:TRIG:DPHY:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DPHY_TRIGGER_TYPE_HS_SOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_VIRTUAL_CHANNEL =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_VIRTUAL_CHANNEL,
    "DPHY Search Virtual Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:HSVC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_CONDITION,
    "DPHY Search Data Type Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:DTYP:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_MIN,
    "DPHY Search Data Type Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:DTYP:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_MAX,
    "DPHY Search Data Type Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:DTYP:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_CONDITION,
    "DPHY Search Word Count Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:WCO:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_MIN,
    "DPHY Search Word Count Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:WCO:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_MAX,
    "DPHY Search Word Count Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:WCO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_CONDITION,
    "DPHY Search High Speed Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_MIN,
    "DPHY Search High Speed Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_MAX,
    "DPHY Search High Speed Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_CONDITION,
    "DPHY Search Low Power Escape Mode Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:ESDT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_MIN,
    "DPHY Search Low Power Escape Mode Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:ESDT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_MAX,
    "DPHY Search Low Power Escape Mode Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:ESDT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_CONDITION,
    "DPHY Search High Speed Data Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:DIDX:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_MIN,
    "DPHY Search High Speed Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:DIDX:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_MAX,
    "DPHY Search High Speed Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:DIDX:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_CONDITION,
    "DPHY Search Low Power Escape Mode Data Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:ESIN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MIN,
    "DPHY Search Low Power Escape Mode Data Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:ESIN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MAX,
    "DPHY Search Low Power Escape Mode Data Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:ESIN:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_CONDITION =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_CONDITION,
    "DPHY Search Escape Mode Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:DPHY:ESCM:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_MIN =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_MIN,
    "DPHY Search Escape Mode Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:ESCM:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_MAX =
  {
    RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_MAX,
    "DPHY Search Escape Mode Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:DPHY:ESCM:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_DPHY_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_DPHY_FRAME_COUNT,
    "Search DPHY Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:DPHY:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TYPE =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TYPE,
    "Space Wire Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpaceWireTriggerType, NULL, NULL,
    "SEAR:TRIG:SWIR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SPACE_WIRE_TRIGGER_TYPE_CTRL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_CONTROL_TYPE =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_CONTROL_TYPE,
    "Space Wire Search Control Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpaceWireTriggerControlType, NULL, NULL,
    "SEAR:TRIG:SWIR:CTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPACE_WIRE_TRIGGER_CONTROL_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_CONDITION =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_CONDITION,
    "Space Wire Search Time Code Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:SWIR:TIME:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_MIN =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_MIN,
    "Space Wire Search Time Code Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SWIR:TIME:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_MAX =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_MAX,
    "Space Wire Search Time Code Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SWIR:TIME:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_CONDITION,
    "Space Wire Search Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:SWIR:DATA:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_MIN =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_MIN,
    "Space Wire Search Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SWIR:DATA:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_MAX =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_MAX,
    "Space Wire Search Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SWIR:DATA:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_PARITY_ERROR =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_PARITY_ERROR,
    "Space Wire Search Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SWIR:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_ESCAPE_ERROR =
  {
    RSSCOPE_ATTR_SPACE_WIRE_SEARCH_ESCAPE_ERROR,
    "Space Wire Search Escape Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:SWIR:ERR:ESC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPACE_WIRE_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_SPACE_WIRE_FRAME_COUNT,
    "Search Space Wire Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:SWIR:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_MODE =
  {
    RSSCOPE_ATTR_SEARCH_SPI_MODE,
    "Search SPI Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPITriggerType, NULL, NULL,
    "SEAR:TRIG:SPI:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_TRIGGER_SSACTIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_DATA_OPERATOR =
  {
    RSSCOPE_ATTR_SEARCH_SPI_DATA_OPERATOR,
    "Search SPI Data Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerSPIDataOperator, NULL, NULL,
    "SEAR:TRIG:SPI:FCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_TRIGGER_DATA_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_MISO_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_SPI_MISO_PATTERN,
    "Search SPI MISO Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SPI:MIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0B",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNamePattern_ReadCallback,
    rsscope_FormatSearchNamePattern_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_MOSI_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_SPI_MOSI_PATTERN,
    "Search SPI MOSI Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:SPI:MOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "B0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNamePattern_ReadCallback,
    rsscope_FormatSearchNamePattern_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION_OPERATOR =
  {
    RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION_OPERATOR,
    "Search SPI Data Position Operator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearchTriggerSPIDataPositionOperator, NULL, NULL,
    "SEAR:TRIG:SPI:DPOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_TRIGGER_DPO_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION =
  {
    RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION,
    "Search SPI Data Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSearchTriggerSPIDataPosition, NULL,
    "SEAR:TRIG:SPI:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_DATA_ALIGNMENT =
  {
    RSSCOPE_ATTR_SEARCH_SPI_DATA_ALIGNMENT,
    "Search SPI Data Alignment",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIDataAlignment, NULL, NULL,
    "SEAR:TRIG:SPI:PAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_TRIGGER_BIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION_TO =
  {
    RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION_TO,
    "Search SPI Data Position To",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSearchTriggerSPIDataPosition, NULL,
    "SEAR:TRIG:SPI:DPTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_TYPE,
    "Search MPHY Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTriggerMPHYType, NULL, NULL,
    "SEAR:TRIG:MPHY:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_LCC_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_LCC_TYPE,
    "Search MPHY LCC Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTrigerMPHYLCCType, NULL, NULL,
    "SEAR:TRIG:MPHY:LCCT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_LCC_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_CONDITION,
    "Search MPHY Word One Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:LWON:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_MIN,
    "Search MPHY Word One Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWON:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_MAX,
    "Search MPHY Word One Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWON:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000001",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_CONDITION,
    "Search MPHY Word Two Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:LWTW:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_MIN,
    "Search MPHY Word Two Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWTW:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_MAX,
    "Search MPHY Word Two Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWTW:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000001",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_CONDITION,
    "Search MPHY Word Three Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:LWTH:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_MIN,
    "Search MPHY Word Three Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWTH:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_MAX,
    "Search MPHY Word Three Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWTH:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_CONDITION,
    "Search MPHY Word Four Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:LWF:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_MIN,
    "Search MPHY Word Four Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWF:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_MAX,
    "Search MPHY Word Four Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:LWF:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_TC_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_TC_PATTERN,
    "Search MPHY TC Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:TC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_DATA_CONDITION,
    "Search MPHY Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_DATA_MIN,
    "Search MPHY Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_DATA_MAX,
    "Search MPHY Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000010000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_INDEX_CONDITION,
    "Search MPHY Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_INDEX_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_INDEX_MIN,
    "Search MPHY Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngMPHYTriggerIndex, NULL,
    "SEAR:TRIG:MPHY:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_INDEX_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_INDEX_MAX,
    "Search MPHY Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngMPHYTriggerIndex, NULL,
    "SEAR:TRIG:MPHY:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_FSN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_FSN_CONDITION,
    "Search MPHY FSN Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:FSN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_FSN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_FSN_MIN,
    "Search MPHY FSN Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:FSN:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_FSN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_FSN_MAX,
    "Search MPHY FSN Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:FSN:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CRC_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CRC_CONDITION,
    "Search MPHY CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:CRC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CRC_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CRC_MIN,
    "Search MPHY CRC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:CRC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CRC_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CRC_MAX,
    "Search MPHY CRC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:CRC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CREQ_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CREQ_PATTERN,
    "Search MPHY CREQ Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYREQPattern, NULL, NULL,
    "SEAR:TRIG:MPHY:CREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_REQ_PATTERN_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_RREQ_PATTERN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_RREQ_PATTERN,
    "Search MPHY RREQ Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYREQPattern, NULL, NULL,
    "SEAR:TRIG:MPHY:RREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_REQ_PATTERN_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_CONDITION,
    "Search MPHY Credit Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:CRED:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_MIN,
    "Search MPHY Credit Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:CRED:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_MAX,
    "Search MPHY Credit Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:CRED:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_CONDITION,
    "Search MPHY PACP Begin Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:PBEG:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_MIN,
    "Search MPHY PACP Begin Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:PBEG:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_MAX,
    "Search MPHY PACP Begin Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:PBEG:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_CONDITION,
    "Search MPHY PACP ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYWordCondition, NULL, NULL,
    "SEAR:TRIG:MPHY:PFID:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_WORD_COND_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_MIN =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_MIN,
    "Search MPHY PACP ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:PFID:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_MAX =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_MAX,
    "Search MPHY PACP ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:PFID:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_LCC_ERROR =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_LCC_ERROR,
    "Search MPHY LCC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:ERR:LCMD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_ERROR_LENGTH,
    "Search MPHY Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_RESERVED =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_ERROR_RESERVED,
    "Search MPHY Error Reserved",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:ERR:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_SYMBOL =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_ERROR_SYMBOL,
    "Search MPHY Error Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:ERR:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_UNIDENTIFIED_UNIPRO_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_MPHY_ERROR_UNIDENTIFIED_UNIPRO_FRAME,
    "Search MPHY Error Unidentified UniPro Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:MPHY:ERR:UNKN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_TYPE =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_TYPE,
    "CXPI Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCXPITriggerType, NULL, NULL,
    "SEAR:TRIG:CXPI:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CXPI_TRIGGER_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_NM =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_NM,
    "CXPI Search NM",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:NM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_CT =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_CT,
    "CXPI Search CT",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:CT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_CONDITION,
    "CXPI Search Frame ID Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CXPI:FID:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_MIN =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_MIN,
    "CXPI Search Frame ID Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:FID:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_MAX =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_MAX,
    "CXPI Search Frame ID Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:FID:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DLC_CONDITION,
    "CXPI Search DLC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CXPI:DLC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_MIN =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DLC_MIN,
    "CXPI Search DLC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DLC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_MAX =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DLC_MAX,
    "CXPI Search DLC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DLC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_CONDITION,
    "CXPI Search DLC Extend Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CXPI:DEXT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_MIN =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_MIN,
    "CXPI Search DLC Extend Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DEXT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_MAX =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_MAX,
    "CXPI Search DLC Extend Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DEXT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DATA_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DATA_CONDITION,
    "CXPI Search Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCXPIDataCondition, NULL, NULL,
    "SEAR:TRIG:CXPI:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DATA_MIN =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DATA_MIN,
    "CXPI Search Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_DATA_MAX =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_DATA_MAX,
    "CXPI Search Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_INDEX_CONDITION,
    "CXPI Search Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:CXPI:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_INDEX_MIN =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_INDEX_MIN,
    "CXPI Search Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_INDEX_MAX =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_INDEX_MAX,
    "CXPI Search Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_CRC =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_CRC,
    "CXPI Search Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_DLC =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_DLC,
    "CXPI Search Error DLC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:DLC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_IBS =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_IBS,
    "CXPI Search Error IBS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:IBS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_IFS =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_IFS,
    "CXPI Search Error IFS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:IFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_LENGTH =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_LENGTH,
    "CXPI Search Error Length",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_PARITY =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_PARITY,
    "CXPI Search Error Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_UART =
  {
    RSSCOPE_ATTR_CXPI_SEARCH_ERROR_UART,
    "CXPI Search Error UART",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:CXPI:ERR:UART",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_CXPI_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_CXPI_FRAME_COUNT,
    "Search CXPI Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:CXPI:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TYPE,
    "PCIe Search Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTriggerType, NULL, NULL,
    "SEAR:TRIG:PCIE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TRIGGER_TYPE_TLP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_PACKET_COUNT =
  {
    RSSCOPE_ATTR_PCIE_PACKET_COUNT,
    "PCIe Packet Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:PCIE:PCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP,
    "PCIe Search TLP",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLP, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_SEQUENCE_NUMBER =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_SEQUENCE_NUMBER,
    "PCIe Search TLP Sequence Number",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:SNUM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "000000000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_TC =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_TC,
    "PCIe Search TLP TC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPTC, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:TCHN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_TC_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_ORDERING =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_ORDERING,
    "PCIe Search TLP Ordering",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPOrdering, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:ORDE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ORDERING_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_SNOOP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_SNOOP,
    "PCIe Search TLP Snoop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPSnoop, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:SNOO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_SNOOP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_REQUESTER_ID =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_REQUESTER_ID,
    "PCIe Search TLP Requester ID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:REID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_DEVICE_ID =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_DEVICE_ID,
    "PCIe Search TLP Device ID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:DEID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_READ_WRITE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_READ_WRITE,
    "PCIe Search TLP Read Write",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPReadWrite, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:MERW",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_RW_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_ADDRESS_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_ADDRESS_TYPE,
    "PCIe Search TLP Address Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPAddressType, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:ADRT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ADDRESS_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_TYPE,
    "PCIe Search TLP Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPType, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:CFGT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_ROUTING =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_ROUTING,
    "PCIe Search TLP Routing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPRouting, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:MSGR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_ROUTING_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_MESSAGE_CODE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_MESSAGE_CODE,
    "PCIe Search TLP Message Code",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:MSGC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_STATUS =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_STATUS,
    "PCIe Search TLP Status",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTLPStatus, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:CPLS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_TLP_STATUS_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_COMPLETER_ID =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_TLP_COMPLETER_ID,
    "PCIe Search TLP Completer ID",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:TLP:CPID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP,
    "PCIe Search DLLP",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLP, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_TYPE,
    "PCIe Search DLLP MR Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPMRType, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_TYPE_INIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_PHASE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_PHASE,
    "PCIe Search DLLP MR Init Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:PHAS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_VH_FC =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_VH_FC,
    "PCIe Search DLLP MR Init VH FC",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:VHFC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_MIXED_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_MIXED_TYPE,
    "PCIe Search DLLP MR Init Mixed Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:MIXT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_AUTHORIZED =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_AUTHORIZED,
    "PCIe Search DLLP MR Init Authorized",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:AUTH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_DEVICE_PORT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_DEVICE_PORT_TYPE,
    "PCIe Search DLLP MR Init Device Port Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDevicePortType, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:DVPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DEVICE_PORT_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VL_NUMBER =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VL_NUMBER,
    "PCIe Search DLLP MR VL Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeVLNumber, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:VLNR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_VL_NUMBER_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VH_ABSENT =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VH_ABSENT,
    "PCIe Search DLLP MR VH Absent",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeState, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:HABS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_STATE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_TLP_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_TLP_TYPE,
    "PCIe Search DLLP MR TLP Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPMRTLPType, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:TLPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_TLP_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_CREDIT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_CREDIT_TYPE,
    "PCIe Search DLLP MR Credit Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPMRCreditType, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:CRET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_CREDIT_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_A =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_A,
    "PCIe Search DLLP MR A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeTriggerDLLPMRA, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:RESA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_MR_A_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VH_GROUP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VH_GROUP,
    "PCIe Search DLLP MR VH Group",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPVHGroup, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:MULT:VHGR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_VH_GROUP_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_SEQUENCE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_SEQUENCE,
    "PCIe Search DLLP Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:SEQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_FC_CREDIT_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_FC_CREDIT_TYPE,
    "PCIe Search DLLP FC Credit Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPFCCreditType, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:FCTL:CRET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_FC_CREDIT_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_FC_VC_ID =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_FC_VC_ID,
    "PCIe Search DLLP FC VC ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPVCID, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:FCTL:VCID",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_VC_ID_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_PM_TYPE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_PM_TYPE,
    "PCIe Search DLLP PM Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeDLLPPMType, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:POWM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_DLLP_PM_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_VENDOR_PATTERN =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_DLLP_VENDOR_PATTERN,
    "PCIe Search DLLP Vendor Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:DLLP:VPAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_TRAINING_SEQUENCE_1 =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_TRAINING_SEQUENCE_1,
    "PCIe Search OSET Training Sequence 1",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:TSON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_TRAINING_SEQUENCE_2 =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_TRAINING_SEQUENCE_2,
    "PCIe Search OSET Training Sequence 2",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEARch:TRIGger:PCIE:OSET:TSTWo",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_FAST_TRAINING_SEQUENCE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_FAST_TRAINING_SEQUENCE,
    "PCIe Search OSET Fast Training Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:FTS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_EIDL =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_EIDL,
    "PCIe Search OSET Electrical Idle",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:EIDL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_EIDE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_EIDE,
    "PCIe Search OSET Electrical Idle Exit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:EIDE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_SKP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_SKP,
    "PCIe Search OSET SKP",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:SKIP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_COMP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_COMP,
    "PCIe Search OSET Compliance Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_START_OF_DATA_SEQUENCE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_OSET_START_OF_DATA_SEQUENCE,
    "PCIe Search OSET Start Of Data Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:OSET:SDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_CRC16 =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_CRC16,
    "PCIe Search ERRC CRC16 Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_LCRC =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_LCRC,
    "PCIe Search ERRC LCRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:LCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_ECRC =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_ECRC,
    "PCIe Search ERRC ECRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:ECRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_INVALID_SYMBOL =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_INVALID_SYMBOL,
    "PCIe Search ERRC Invalid Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:INVP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_DISP =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_DISP,
    "PCIe Search ERRC Disparity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_LENGTH_ERROR =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_LENGTH_ERROR,
    "PCIe Search ERRC Length Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_MALFORMED_ERROR =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_MALFORMED_ERROR,
    "PCIe Search ERRC Malformed Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:MALF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_MAX_END_PREFIX =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_MAX_END_PREFIX,
    "PCIe Search ERRC Max End Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:MXPF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_PREFIX_ORDER_ERROR =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_PREFIX_ORDER_ERROR,
    "PCIe Search ERRC Prefix Order Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:PFOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_SYNC_BIT =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_SYNC_BIT,
    "PCIe Search ERRC Sync Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:SYCB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_UNKNOWN_PACKET =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_UNKNOWN_PACKET,
    "PCIe Search ERRC Unknown Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:UKNP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_VALUE_OUT_OF_RANGE =
  {
    RSSCOPE_ATTR_PCIE_SEARCH_ERRC_VALUE_OUT_OF_RANGE,
    "PCIe Search ERRC Value Out Of Range",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:PCIE:ERRC:VOOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_PCIE_PACKET_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_PCIE_PACKET_COUNT,
    "Search PCIe Packet Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:PCIE:PCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_DDR_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_DDR_FRAME_COUNT,
    "Search DDR Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:DDR:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE,
    "Search 100BASE-T1 Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rng100BASE_T1FrameType, NULL, NULL,
    "SEAR:TRIG:HBTO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FRAME_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_CONDITION,
    "Search 100BASE-T1 Destination Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:HBTO:DADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_MAX,
    "Search 100BASE-T1 Destination Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:DADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_MIN,
    "Search 100BASE-T1 Destination Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:DADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_CONDITION,
    "Search 100BASE-T1 Source Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:HBTO:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_MAX,
    "Search 100BASE-T1 Source Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_MIN,
    "Search 100BASE-T1 Source Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_CONDITION,
    "Search 100BASE-T1 Type Length Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:HBTO:LENG:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_MAX =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_MAX,
    "Search 100BASE-T1 Type Length Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:LENG:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_MIN =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_MIN,
    "Search 100BASE-T1 Type Length Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:LENG:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_CONDITION,
    "Search 100BASE-T1 CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:HBTO:CRC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_MAX =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_MAX,
    "Search 100BASE-T1 CRC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:CRC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_MIN =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_MIN,
    "Search 100BASE-T1 CRC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:CRC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_CONDITION,
    "Search 100BASE-T1 Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:HBTO:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_MAX,
    "Search 100BASE-T1 Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_MIN,
    "Search 100BASE-T1 Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_CONDITION,
    "Search 100BASE-T1 Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerCondition, NULL, NULL,
    "SEAR:TRIG:HBTO:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_MAX =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_MAX,
    "Search 100BASE-T1 Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_MIN =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_MIN,
    "Search 100BASE-T1 Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_PREAMBLE =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_PREAMBLE,
    "Search 100BASE-T1 Error Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:ERR:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_CRC =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_CRC,
    "Search 100BASE-T1 Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_SFD =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_SFD,
    "Search 100BASE-T1 Error SFD",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:HBTO:ERR:SFD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_100BASE_T1_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_100BASE_T1_FRAME_COUNT,
    "Search 100BASE-T1 Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:HBTO:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_TYPE,
    "Search 1000BASE-T1 Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSearch1000BASE_T1Type, NULL, NULL,
    "SEAR:TRIG:TBTO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FRAME_TYPE_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_CONDITION,
    "Search 1000BASE-T1 Destination Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "SEAR:TRIG:TBTO:DADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_MIN,
    "Search 1000BASE-T1 Destination Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:DADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_MAX,
    "Search 1000BASE-T1 Destination Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:DADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_CONDITION,
    "Search 1000BASE-T1 Source Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "SEAR:TRIG:TBTO:SADD:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_MIN =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_MIN,
    "Search 1000BASE-T1 Source Address Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:SADD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_MAX =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_MAX,
    "Search 1000BASE-T1 Source Address Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:SADD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_CONDITION,
    "Search 1000BASE-T1 Length Type Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "SEAR:TRIG:TBTO:LENG:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_MIN =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_MIN,
    "Search 1000BASE-T1 Length Type Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:LENG:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_MAX =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_MAX,
    "Search 1000BASE-T1 Length Type Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:LENG:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_CONDITION,
    "Search 1000BASE-T1 Frame Check CRC Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "SEAR:TRIG:TBTO:CRC:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_MIN =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_MIN,
    "Search 1000BASE-T1 Frame Check CRC Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:CRC:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_MAX =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_MAX,
    "Search 1000BASE-T1 Frame Check CRC Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:CRC:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_CONDITION,
    "Search 1000BASE-T1 Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "SEAR:TRIG:TBTO:DATA:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_MIN =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_MIN,
    "Search 1000BASE-T1 Data Min",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:DATA:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_MAX =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_MAX,
    "Search 1000BASE-T1 Data Max",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:DATA:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "X",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameString_ReadCallback,
    rsscope_FormatSearchNameString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_CONDITION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_CONDITION,
    "Search 1000BASE-T1 Index Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTriggerConditionStrict, NULL, NULL,
    "SEAR:TRIG:TBTO:DATA:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_MIN =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_MIN,
    "Search 1000BASE-T1 Index Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rng1000BASET1Index, NULL,
    "SEAR:TRIG:TBTO:DATA:IMIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_MAX =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_MAX,
    "Search 1000BASE-T1 Index Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rng1000BASET1Index, NULL,
    "SEAR:TRIG:TBTO:DATA:IMAX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    rsscope_FormatSearchNameInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_RS_FEC =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_RS_FEC,
    "Search 1000BASE-T1 Error RS-FEC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:ERR:FEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_CRC =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_CRC,
    "Search 1000BASE-T1 Error CRC",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:ERR:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_OUT_OF_RANGE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_OUT_OF_RANGE,
    "Search 1000BASE-T1 Error Out Of Range",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:ERR:OOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_ZERO_TERNARY_SYMBOL =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_ZERO_TERNARY_SYMBOL,
    "Search 1000BASE-T1 Error Zero Ternary Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SEAR:TRIG:TBTO:ERR:ZERO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameBoolean_ReadCallback,
    rsscope_FormatSearchNameBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_COUNT =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_COUNT,
    "Search 1000BASE-T1 Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_SELECTED_FRAME,
    "Search 1000BASE-T1 Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_STATUS =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_STATUS,
    "Search 1000BASE-T1 Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocol1000BASE_T1FrameStatus, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TBTO_FRAME_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_START_TIME =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_START_TIME,
    "Search 1000BASE-T1 Frame Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_STOP_TIME =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_STOP_TIME,
    "Search 1000BASE-T1 Frame Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DESTINATION =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DESTINATION,
    "Search 1000BASE-T1 Frame Destination",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:DEST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DESTINATION_SYMBOLS =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DESTINATION_SYMBOLS,
    "Search 1000BASE-T1 Frame Destination Symbols",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:DSYM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_SOURCE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_SOURCE,
    "Search 1000BASE-T1 Frame Source",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:SRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_SOURCE_SYMBOLS =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_SOURCE_SYMBOLS,
    "Search 1000BASE-T1 Frame Source Symbols",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:SSYM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DATA_STRING =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DATA_STRING,
    "Search 1000BASE-T1 Frame Data String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CRC =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CRC,
    "Search 1000BASE-T1 Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:CRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_LENGTH_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_LENGTH_TYPE,
    "Search 1000BASE-T1 Frame Length Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_TYPE,
    "Search 1000BASE-T1 Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocol1000BASE_T1FrameType, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:FTYP?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TBTO_FRAME_TYPE_MAC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_NUMBER_OF_WORDS =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_NUMBER_OF_WORDS,
    "Search 1000BASE-T1 Frame Number Of Words",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:NUMW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOFrameInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SELECTED_WORD =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_SELECTED_WORD,
    "Search 1000BASE-T1 Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    1,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_TYPE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_TYPE,
    "Search 1000BASE-T1 Frame Word Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:WORD<Word>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOWordString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_VALUE =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_VALUE,
    "Search 1000BASE-T1 Frame Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:WORD<Word>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOWordInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_VALUE_STRING =
  {
    RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_VALUE_STRING,
    "Search 1000BASE-T1 Frame Word Value String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SEAR:RES:TBTO:FRAM<Frame>:WORD<Word>:VSTR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSearchNameTBTOWordString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_STATE =
  {
    RSSCOPE_ATTR_PROTOCOL_STATE,
    "Protocol State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_TYPE,
    "Protocol Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolType, NULL, NULL,
    "BUS{SerialBus}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_LABEL,
    "Protocol Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DISPLAY_RESULT_TABLE =
  {
    RSSCOPE_ATTR_PROTOCOL_DISPLAY_RESULT_TABLE,
    "Protocol Display Result Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RESULT_TABLE_ZOOM_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_RESULT_TABLE_ZOOM_COUPLING_ENABLED,
    "Protocol Result Table Zoom Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ZCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RESULT_TABLE_POSITION =
  {
    RSSCOPE_ATTR_PROTOCOL_RESULT_TABLE_POSITION,
    "Protocol Result Table Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDisplayResultTableDefaultPosition, NULL, NULL,
    "DISP:RES:DEP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RESULT_TABLE_POSITION_FLOAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES =
  {
    RSSCOPE_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES,
    "Protocol Show Threshold Lines",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DATA_FORMAT =
  {
    RSSCOPE_ATTR_PROTOCOL_DATA_FORMAT,
    "Protocol Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataFormat, NULL, NULL,
    "BUSF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_FORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SHOW_DETAILS =
  {
    RSSCOPE_ATTR_PROTOCOL_SHOW_DETAILS,
    "Protocol Show Details",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RESD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_BUS_DATA_FORMAT =
  {
    RSSCOPE_ATTR_PROTOCOL_BUS_DATA_FORMAT,
    "Protocol Bus Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataFormat, NULL, NULL,
    "BUS{SerialBus}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_FORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LABEL_LIST =
  {
    RSSCOPE_ATTR_PROTOCOL_LABEL_LIST,
    "Protocol Label List",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LABEL_LIST_FILE =
  {
    RSSCOPE_ATTR_PROTOCOL_LABEL_LIST_FILE,
    "Protocol Label List File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:NEWL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.csv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_REFERENCE_LEVELS =
  {
    RSSCOPE_ATTR_PROTOCOL_REFERENCE_LEVELS,
    "Protocol Reference Levels",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUTOSET_THRESHOLD_AND_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUTOSET_THRESHOLD_AND_BITRATE,
    "Protocol Autoset Threshold And Bitrate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FAUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_EXPORT_INCLUDE_FRAME_TIMING =
  {
    RSSCOPE_ATTR_PROTOCOL_EXPORT_INCLUDE_FRAME_TIMING,
    "Protocol Export Include Frame Timing",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EXPR:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS =
  {
    RSSCOPE_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS,
    "Protocol Export Include Details",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EXPR:DET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_EXPORT_SAVE =
  {
    RSSCOPE_ATTR_PROTOCOL_EXPORT_SAVE,
    "Protocol Export Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EXPR:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_TECHNOLOGY,
    "Protocol I2C Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTechnology, NULL, NULL,
    "BUS{SerialBus}:I2C:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_V165,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_RW_BIT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_RW_BIT,
    "Protocol I2C RW Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolI2CRWBit, NULL, NULL,
    "BUS{SerialBus}:I2C:RWB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_I2C_RW_BIT_SEPARATE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_SELECTED_FRAME,
    "Protocol I2C Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_COUNT,
    "Protocol I2C Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_STATUS,
    "Protocol I2C Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngI2CFrameStatus, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_START =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_START,
    "Protocol I2C Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_STOP =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_STOP,
    "Protocol I2C Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_TYPE,
    "Protocol I2C Frame Address Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngI2CFrameAddressType, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:AMOD?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS,
    "Protocol I2C Frame Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ADDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_RW_BIT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_RW_BIT,
    "Protocol I2C Frame RW Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngI2CFrameRWBit, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_ACCESS_BIT_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ACK_BIT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ACK_BIT,
    "Protocol I2C Frame Ack Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngI2CFrameAckBit, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:AACC?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_INCOMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ACCESS_BIT_START =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ACCESS_BIT_START,
    "Protocol I2C Frame Access Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:RWBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_SLAVE_ADDRESS =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_SLAVE_ADDRESS,
    "Protocol I2C Frame Slave Address",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ADEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START,
    "Protocol I2C Frame Address Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:AST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACK_BIT_START =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACK_BIT_START,
    "Protocol I2C Frame Address Ack Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ADBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_COMPLETE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_COMPLETE,
    "Protocol I2C Frame Address Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:ACOM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapBoolean_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BIT_RATE,
    "Protocol I2C Frame Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_LENGTH,
    "Protocol I2C Frame Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_LABEL,
    "Protocol I2C Frame Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:SYMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_SELECTED_BYTE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_SELECTED_BYTE,
    "Protocol I2C Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_DATA,
    "Protocol I2C Frame Byte Data",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_ACK_BIT_START =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_ACK_BIT_START,
    "Protocol I2C Frame Byte Ack Bit Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:ACKS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CByteRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_START =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_START,
    "Protocol I2C Frame Byte Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CByteRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_ACK_BIT =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_ACK_BIT,
    "Protocol I2C Frame Byte Ack Bit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngI2CFrameAckBit, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:ACC?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_I2C_INCOMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_COMPLETE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_COMPLETE,
    "Protocol I2C Frame Byte Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2C:FRAM<Frame>:BYTE<Byte>:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatI2CByteRepCapBoolean_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_SCL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_SCL_SOURCE,
    "Protocol I2C SCL Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:I2C:SCL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_SCL_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_SCL_THRESHOLD,
    "Protocol I2C SCL Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:I2C:SCL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_SDA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_SDA_SOURCE,
    "Protocol I2C SDA Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:I2C:SDA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_I2C_SDA_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_I2C_SDA_THRESHOLD,
    "Protocol I2C SDA Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:I2C:SDA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_BIT_ORDER =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_BIT_ORDER,
    "Protocol SPI Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIBitOrder, NULL, NULL,
    "BUS{SerialBus}:SPI:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_WORD_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_WORD_LENGTH,
    "Protocol SPI Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolSPIWordLength, NULL,
    "BUS{SerialBus}:SPI:WSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_TECHNOLOGY,
    "Protocol SPI Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTechnology, NULL, NULL,
    "BUS{SerialBus}:SPI:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_V165,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START_CONDITION,
    "Protocol SPI Frame Start Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIFrameStartCond, NULL, NULL,
    "BUS{SerialBus}:SPI:FRC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_FRAME_START_SS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START_TIMEOUT =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START_TIMEOUT,
    "Protocol SPI Frame Start Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolSPIFrameStartTimeout, NULL,
    "BUS{SerialBus}:SPI:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_SELECTED_FRAME,
    "Protocol SPI Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_COUNT,
    "Protocol SPI Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FCOunt?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_COUNT,
    "Protocol SPI Frame Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START,
    "Protocol SPI Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_STOP =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_STOP,
    "Protocol SPI Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_BIT_RATE,
    "Protocol SPI Frame Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIFrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_STATUS,
    "Protocol SPI Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngSPIFrameStatus, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPI_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_SELECTED_WORD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_SELECTED_WORD,
    "Protocol SPI Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_START =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_START,
    "Protocol SPI Frame Word Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_STOP =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_STOP,
    "Protocol SPI Frame Word Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIWordRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MISO =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MISO,
    "Protocol SPI Frame Word MISO",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:MISO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIWordRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MISO_FORMATTED_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MISO_FORMATTED_VALUE,
    "Protocol SPI Frame Word MISO Formatted Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:FMIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIWordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MOSI =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MOSI,
    "Protocol SPI Frame Word MOSI",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:MOSI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIWordRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MOSI_FORMATTED_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MOSI_FORMATTED_VALUE,
    "Protocol SPI Frame Word MOSI Formatted Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SPI:FRAM<Frame>:WORD<Word>:FMOS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K1",
    // Callbacks Read, Write, p2Value
    rsscope_FormatSPIWordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_CLOCK_SOURCE,
    "Protocol SPI Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:SPI:SCLK:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_CLOCK_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_CLOCK_THRESHOLD,
    "Protocol SPI Clock Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:SPI:SCLK:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_SOURCE,
    "Protocol SPI MOSI Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:SPI:MOSI:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_POLARITY,
    "Protocol SPI MOSI Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:MOSI:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD,
    "Protocol SPI MOSI Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:SPI:MOSI:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_MISO_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_MISO_SOURCE,
    "Protocol SPI MISO Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:SPI:MISO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_MISO_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_MISO_POLARITY,
    "Protocol SPI MISO Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:MISO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_MISO_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_MISO_THRESHOLD,
    "Protocol SPI MISO Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:SPI:MISO:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_SOURCE,
    "Protocol SPI Slave Select Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:SPI:SSEL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_POLARITY,
    "Protocol SPI Slave Select Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:SPI:SSEL:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_THRESHOLD,
    "Protocol SPI Slave Select Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:SPI:SSEL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TECHNOLOGY,
    "Protocol UART Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTechnology, NULL, NULL,
    "BUS{SerialBus}:UART:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_V165,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_BIT_RATE,
    "Protocol UART Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolUARTBitRate, NULL,
    "BUS{SerialBus}:UART:BAUD",
    // Defaults I32, I64, Float, Bool, String
    9600,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_PARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_PARITY,
    "Protocol UART Parity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUARTParity, NULL, NULL,
    "BUS{SerialBus}:UART:PAR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_POLARITY,
    "Protocol UART Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolPolarity, NULL, NULL,
    "BUS{SerialBus}:UART:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IDLE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_STOP_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_STOP_BITS,
    "Protocol UART Stop Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUARTStopBits, NULL, NULL,
    "BUS{SerialBus}:UART:SBIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_B1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_DATA_BITS_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_DATA_BITS_COUNT,
    "Protocol UART Data Bits Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolUARTDataBitsCount, NULL,
    "BUS{SerialBus}:UART:SSIZ",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_WORD_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_WORD_COUNT,
    "Protocol UART Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:WORD:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_PRIMARY_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_PRIMARY_BIT_RATE,
    "Protocol UART Primary Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:WORD1:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_PACKETS =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_PACKETS,
    "Protocol UART Packets",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolPackets, NULL, NULL,
    "BUS{SerialBus}:UART:PACK",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_UART_PACKET_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TOUT =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TOUT,
    "Protocol UART Tout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolUARTInterframeTime, NULL,
    "BUS{SerialBus}:UART:TOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_END_OF_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_END_OF_FRAME,
    "Protocol UART End Of Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:UART:EWOR",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_RX_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_RX_SOURCE,
    "Protocol UART RX Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:UART:RX:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_RX_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_RX_THRESHOLD,
    "Protocol UART RX Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThresholdUART, NULL,
    "BUS{SerialBus}:UART:RX:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TX_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TX_SOURCE,
    "Protocol UART TX Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:UART:TX:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_UART_TX_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_UART_TX_THRESHOLD,
    "Protocol UART TX Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThresholdUART, NULL,
    "BUS{SerialBus}:UART:TX:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_SOURCE,
    "Protocol LIN Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:LIN:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_THRESHOLD,
    "Protocol LIN Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:LIN:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_TECHNOLOGY,
    "Protocol LIN Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINTechnology, NULL, NULL,
    "BUS{SerialBus}:LIN:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_V25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_STANDARD,
    "Protocol LIN Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolLINStandard, NULL, NULL,
    "BUS{SerialBus}:LIN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_STANDARD_2X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_BIT_RATE,
    "Protocol LIN Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolLINBitRate, NULL,
    "BUS{SerialBus}:LIN:BITR",
    // Defaults I32, I64, Float, Bool, String
    9600,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_POLARITY,
    "Protocol LIN Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolPolarity, NULL, NULL,
    "BUS{SerialBus}:LIN:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IDLE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_SELECTED_FRAME,
    "Protocol LIN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_COUNT,
    "Protocol LIN Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_STATUS,
    "Protocol LIN Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngLINFrameStatus, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_START =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_START,
    "Protocol LIN Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_STOP =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_STOP,
    "Protocol LIN Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_VERSION =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_VERSION,
    "Protocol LIN Frame Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngLINFrameVersion, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:VERS?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_STANDARD_UNKNOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE,
    "Protocol LIN Frame ID Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:IDV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_PARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_PARITY,
    "Protocol LIN Frame ID Parity",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:IDPV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_STATUS,
    "Protocol LIN Frame ID Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngLINFieldStatus, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:IDST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FIELD_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_SYNC_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_SYNC_STATUS,
    "Protocol LIN Frame Sync Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngLINFieldStatus, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:SYST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FIELD_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_STATUS,
    "Protocol LIN Frame Checksum Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngLINFieldStatus, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:CSST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FIELD_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE,
    "Protocol LIN Frame Checksum Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BIT_RATE,
    "Protocol LIN Frame Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_LABEL,
    "Protocol LIN Frame Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:SYMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_SELECTED_BYTE =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_SELECTED_BYTE,
    "Protocol LIN Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BYTE_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BYTE_DATA,
    "Protocol LIN Frame Byte Data",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BYTE_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BYTE_STATUS,
    "Protocol LIN Frame Byte Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngLINFieldStatus, NULL, NULL,
    "BUS{SerialBus}:LIN:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LIN_FIELD_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatLINByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SOURCE,
    "Protocol CAN Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:CAN:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_LINE_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_LINE_TYPE,
    "Protocol CAN Line Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANLineType, NULL, NULL,
    "BUS{SerialBus}:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_THRESHOLD,
    "Protocol CAN Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolThreshold, NULL,
    "BUS{SerialBus}:CAN:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_TECHNOLOGY,
    "Protocol CAN Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolCANTechnology, NULL, NULL,
    "BUS{SerialBus}:CAN:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_V25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_BIT_RATE,
    "Protocol CAN Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolCANBitRate, NULL,
    "BUS{SerialBus}:CAN:BITR",
    // Defaults I32, I64, Float, Bool, String
    100000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_ENABLED,
    "Protocol CAN FD Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FDAT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_BIT_RATE,
    "Protocol CAN FD Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolCANFDBitRate, NULL,
    "BUS{SerialBus}:CAN:FDAT:DBIT",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_JUMP_WIDTH =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_JUMP_WIDTH,
    "Protocol CAN Jump Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolCANJumpWidth, NULL,
    "BUS{SerialBus}:CAN:JWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SAMPLE_POINT_REL =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SAMPLE_POINT_REL,
    "Protocol CAN Sample Point Rel",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolCANSamplePoint, NULL,
    "BUS{SerialBus}:CAN:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_JUMP_WIDTH =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_JUMP_WIDTH,
    "Protocol CAN FD Jump Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolCANJumpWidth, NULL,
    "BUS{SerialBus}:CAN:FDAT:JWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT_REL =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT_REL,
    "Protocol CAN FD Sample Point Rel",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolCANSamplePoint, NULL,
    "BUS{SerialBus}:CAN:FDAT:SAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_STANDARD,
    "Protocol CAN FD Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCANFDStandard, NULL, NULL,
    "BUS{SerialBus}:CAN:FDAT:PST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FD_STANDARD_ISO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SELECTED_FRAME,
    "Protocol CAN Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_COUNT,
    "Protocol CAN Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STANDARD,
    "Protocol CAN Frame Standard",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngCANStandard, NULL, NULL,
    "BUS{SerialBus}:CAN:FDAT:FRAM<Frame>:STAN?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_STANDARD_CAN_FD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STATUS,
    "Protocol CAN Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_START =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_START,
    "Protocol CAN Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STOP =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STOP,
    "Protocol CAN Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_TYPE,
    "Protocol CAN Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocolCANFrameType, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_TYPE_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_TYPE,
    "Protocol CAN Frame ID Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameIDType, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:IDTY?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_ID_TYPE_B11,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_VALUE,
    "Protocol CAN Frame ID Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:IDV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_STATUS,
    "Protocol CAN Frame ID Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameMessageStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:IDST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_DLC_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_DLC_VALUE,
    "Protocol CAN Frame DLC Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:DLCV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_DLC_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_DLC_STATUS,
    "Protocol CAN Frame DLC Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameMessageStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:DLCS?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ACK_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ACK_VALUE,
    "Protocol CAN Frame Ack Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:ACKV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ACK_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ACK_STATUS,
    "Protocol CAN Frame Ack Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameMessageStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:ACKS?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BIT_RATE,
    "Protocol CAN Frame Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, &RsScope_rngCANFrameBitRate, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_CRC_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_CRC_VALUE,
    "Protocol CAN Frame CRC Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_CRC_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_CRC_STATUS,
    "Protocol CAN Frame CRC Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameMessageStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:CSST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ERROR_POSITION =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ERROR_POSITION,
    "Protocol CAN Frame Error Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BSEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_LABEL,
    "Protocol CAN Frame Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:SYMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_NUMBER_OF_BYTES =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_NUMBER_OF_BYTES,
    "Protocol CAN Frame Number Of Bytes",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:NDBY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_FORM_ERROR_CAUSE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_FORM_ERROR_CAUSE,
    "Protocol CAN Frame Form Error Cause",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameFormErrorCause, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:FERC?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_FORM_ERROR_CAUSE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_FRAME_STUFF_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_FRAME_STUFF_COUNT,
    "Protocol CAN FD Frame Stuff Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FDAT:FRAM<Frame>:SCV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SELECTED_BYTE =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SELECTED_BYTE,
    "Protocol CAN Selected Byte",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BYTE_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BYTE_DATA,
    "Protocol CAN Frame Byte Data",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BYTE<Byte>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BYTE_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BYTE_STATUS,
    "Protocol CAN Frame Byte Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCANFrameMessageStatus, NULL, NULL,
    "BUS{SerialBus}:CAN:FRAM<Frame>:BYTE<Byte>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K3",
    // Callbacks Read, Write, p2Value
    rsscope_FormatCANByteRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_SAMPLE_POINT_ABS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_SAMPLE_POINT_ABS,
    "Protocol CAN Sample Point Abs",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolCANSamplePointAbs, NULL,
    "BUS{SerialBus}:CAN:T{CANTimeSeg}S",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT_ABS =
  {
    RSSCOPE_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT_ABS,
    "Protocol CAN FD Sample Point Abs",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolCANSamplePointAbs, NULL,
    "BUS{SerialBus}:CAN:FDAT:T{CANTimeSeg}S",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SOURCE_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SOURCE_TYPE,
    "Protocol FlexRay Source Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRaySrcType, NULL, NULL,
    "BUS{SerialBus}:FLXR:SRCT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_TYPE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SINGLE_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SINGLE_POLARITY,
    "Protocol FlexRay Single Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayPolarity, NULL, NULL,
    "BUS{SerialBus}:FLXR:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_POLARITY_PLUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SINGLE_PRESET_TRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SINGLE_PRESET_TRESHOLD,
    "Protocol FlexRay Single Preset Treshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRaySinglePreset, NULL, NULL,
    "BUS{SerialBus}:FLXR:PRS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_SINGLE_2500_150,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_DIFF_PRESET_TRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_DIFF_PRESET_TRESHOLD,
    "Protocol FlexRay Differential Preset Treshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayDifferentialPreset, NULL, NULL,
    "BUS{SerialBus}:FLXR:PRD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_DIFF_MV150,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_HIGH,
    "Protocol FlexRay Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:THR1",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_LOW,
    "Protocol FlexRay Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:THR2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_LOGIC_PRESET_TRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_LOGIC_PRESET_TRESHOLD,
    "Protocol FlexRay Logic Preset Treshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayLogicPreset, NULL, NULL,
    "BUS{SerialBus}:FLXR:PRL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_LOGIC_V25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_DATA,
    "Protocol FlexRay Threshold Data",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngFlexRayLogicTreshold, NULL,
    "BUS{SerialBus}:FLXR:THD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_ENABLE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_ENABLE,
    "Protocol FlexRay Threshold Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngFlexRayLogicTreshold, NULL,
    "BUS{SerialBus}:FLXR:THEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_BIT_RATE,
    "Protocol FlexRay Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayBitRate, NULL, NULL,
    "BUS{SerialBus}:FLXR:BITR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_BITRATE_M10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_CHANNEL =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_CHANNEL,
    "Protocol FlexRay Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngFlexRayChannel, NULL, NULL,
    "BUS{SerialBus}:FLXR:CHTY",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_CHA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SEPARATE_HEADER_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SEPARATE_HEADER_BITS,
    "Protocol FlexRay Separate Header Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:SEHB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SELECTED_FRAME,
    "Protocol FlexRay Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_COUNT,
    "Protocol FlexRay Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_STATUS,
    "Protocol FlexRay Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngFlexRayFrameStatus, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_START =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_START,
    "Protocol FlexRay Frame Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_STOP =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_STOP,
    "Protocol FlexRay Frame Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_TYPE,
    "Protocol FlexRay Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngFlexRayFrameType, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FLEXRAY_FRAME_TYPE_STATIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_FLAGS =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_FLAGS,
    "Protocol FlexRay Frame Flags",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:FLAG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_PAYLOAD_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_PAYLOAD_LENGTH,
    "Protocol FlexRay Frame Payload Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:PAYL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_IDENTIFIER =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_IDENTIFIER,
    "Protocol FlexRay Frame Identifier",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:ADID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_HEADER_CRC =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_HEADER_CRC,
    "Protocol FlexRay Frame Header CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:CSV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_CRC =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_CRC,
    "Protocol FlexRay Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:FCV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_HEADER_CRC_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_HEADER_CRC_STATUS,
    "Protocol FlexRay Frame Header CRC Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngFlexRayFieldStatus, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:CSST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_CRC_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_CRC_STATUS,
    "Protocol FlexRay Frame CRC Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngFlexRayFieldStatus, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:FCST?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CAN_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_LABEL,
    "Protocol FlexRay Frame Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:FLXR:FRAM<Frame>:SYMB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    rsscope_FormatFlexRayFrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SOURCE,
    "Protocol FlexRay Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:FLXR:SOUR{Line}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K4",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_VARIANT =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_VARIANT,
    "Protocol Audio Variant",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAudioVariant, NULL, NULL,
    "BUS{SerialBus}:I2S:AVAR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUDIO_VARIANT_I2S,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRESHOLDS_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRESHOLDS_COUPLING,
    "Protocol Audio Tresholds Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WORD_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_WORD_LENGTH,
    "Protocol Audio Word Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngAudioLength, NULL,
    "BUS{SerialBus}:I2S:WLEN",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER,
    "Protocol Audio Channel Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAudioChannelOrder, NULL, NULL,
    "BUS{SerialBus}:I2S:CHAN:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUDIO_ORDER_LEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_BIT_ORDER =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_BIT_ORDER,
    "Protocol Audio Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolAudioBitOrder, NULL, NULL,
    "BUS{SerialBus}:I2S:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUDIO_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET,
    "Protocol Audio Channel Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngAudioOffset, NULL,
    "BUS{SerialBus}:I2S:CHAN:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH,
    "Protocol Audio Channel Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngAudioLength, NULL,
    "BUS{SerialBus}:I2S:CHAN:LENG",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET,
    "Protocol Audio Frame Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rnglAudioFrameOffset, NULL,
    "BUS{SerialBus}:I2S:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS,
    "Protocol Audio TDM Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngAudioTDMChannels, NULL,
    "BUS{SerialBus}:I2S:CHAN:TDMC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME,
    "Protocol Audio Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_FRAME_COUNT,
    "Protocol Audio Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE,
    "Protocol Audio Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:I2S:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD,
    "Protocol Audio Clock Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAudioTreshold, NULL,
    "BUS{SerialBus}:I2S:CLOC:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY,
    "Protocol Audio Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAudioClockPolarity, NULL, NULL,
    "BUS{SerialBus}:I2S:CLOC:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RISING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_SOURCE,
    "Protocol Audio WS Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:I2S:WSEL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD,
    "Protocol Audio WS Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAudioTreshold, NULL,
    "BUS{SerialBus}:I2S:WSEL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_POLARITY,
    "Protocol Audio WS Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAudioWSPolarity, NULL, NULL,
    "BUS{SerialBus}:I2S:WSEL:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_SOURCE,
    "Protocol Audio Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:I2S:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD,
    "Protocol Audio Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngAudioTreshold, NULL,
    "BUS{SerialBus}:I2S:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_POLARITY,
    "Protocol Audio Data Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolSPIPolarity, NULL, NULL,
    "BUS{SerialBus}:I2S:DATA:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ACTHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_LEFT_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_LEFT_ENABLED,
    "Protocol Audio Track Left Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_RIGHT_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_RIGHT_ENABLED,
    "Protocol Audio Track Right Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_TDM_CHANNEL_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_TDM_CHANNEL_ENABLED,
    "Protocol Audio Track TDM Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:I2S:TRAC:TD{TDMChannel}C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_SOURCE,
    "Protocol MIL1553 Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:MILS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_POLARITY,
    "Protocol MIL1553 Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553Polarity, NULL, NULL,
    "BUS{SerialBus}:MILS:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_HIGH,
    "Protocol MIL1553 Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMIL1553ThresholdHigh, NULL,
    "BUS{SerialBus}:MILS:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_LOW,
    "Protocol MIL1553 Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMIL1553ThresholdLow, NULL,
    "BUS{SerialBus}:MILS:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_PRESET,
    "Protocol MIL1553 Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMIL1553ThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:MILS:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MIL1553_PRESET_V5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MIN_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_MIN_GAP_ENABLED,
    "Protocol MIL1553 Min Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:MING:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MIN_GAP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_MIN_GAP_TIME,
    "Protocol MIL1553 Min Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMIL1553MinGapTime, NULL,
    "BUS{SerialBus}:MILS:MING:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MAX_RESPONSE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_MAX_RESPONSE_ENABLED,
    "Protocol MIL1553 Max Response Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:MAXR:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MAX_RESPONSE_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_MAX_RESPONSE_TIME,
    "Protocol MIL1553 Max Response Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMIL1553MaxResponseTime, NULL,
    "BUS{SerialBus}:MILS:MAXR:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MIL1553_DECODING_RESULTS_WORDS_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MIL1553_DECODING_RESULTS_WORDS_COUNT,
    "Protocol MIL1553 Decoding Results Words Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MILS:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_SOURCE,
    "Protocol ARINC429 Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:ARIN:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_POLARITY,
    "Protocol ARINC429 Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429Polarity, NULL, NULL,
    "BUS{SerialBus}:ARIN:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARINC429_POLARITY_ALEG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE,
    "Protocol ARINC429 Bit Rate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429BitRateMode, NULL, NULL,
    "BUS{SerialBus}:ARIN:BRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARINC429_BIT_RATE_MODE_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_BIT_RATE,
    "Protocol ARINC429 Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolARINC429BitRate, NULL,
    "BUS{SerialBus}:ARIN:BRV",
    // Defaults I32, I64, Float, Bool, String
    100000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH,
    "Protocol ARINC429 Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolARINC429ThresholdHigh, NULL,
    "BUS{SerialBus}:ARIN:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW,
    "Protocol ARINC429 Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolARINC429ThresholdLow, NULL,
    "BUS{SerialBus}:ARIN:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_PRESET,
    "Protocol ARINC429 Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolARINC429ThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:ARIN:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ARINC429_PRESET_V5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MIN_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_MIN_GAP_ENABLED,
    "Protocol ARINC429 Min Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:MING:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MIN_GAP_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_MIN_GAP_BITS,
    "Protocol ARINC429 Min Gap Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolARINC429MinGapBits, NULL,
    "BUS{SerialBus}:ARIN:MING:BITS",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MAX_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_MAX_GAP_ENABLED,
    "Protocol ARINC429 Max Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:MAXG:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MAX_GAP_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_MAX_GAP_BITS,
    "Protocol ARINC429 Max Gap Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolARINC429MaxGapBits, NULL,
    "BUS{SerialBus}:ARIN:MAXG:BITS",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ARINC429_DECODING_RESULTS_WORDS_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_ARINC429_DECODING_RESULTS_WORDS_COUNT,
    "Protocol ARINC429 Decoding Results Words Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ARIN:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_SOURCE,
    "Protocol RFFE Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:RFFE:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_SOURCE,
    "Protocol RFFE Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:RFFE:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_PRESET_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_PRESET_THRESHOLD,
    "Protocol RFFE Preset Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolRFFEPreset, NULL, NULL,
    "BUS{SerialBus}:RFFE:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RFFE_V12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_HIGH,
    "Protocol RFFE Clock Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolRFFEThreshold, NULL,
    "BUS{SerialBus}:RFFE:CLOC:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.72,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_LOW,
    "Protocol RFFE Clock Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolRFFEThreshold, NULL,
    "BUS{SerialBus}:RFFE:CLOC:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.48,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_HYSTERESIS,
    "Protocol RFFE Clock Threshold Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolRFFEThresholdHysteresis, NULL,
    "BUS{SerialBus}:RFFE:CLOC:THR:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_HIGH,
    "Protocol RFFE Data Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolRFFEThreshold, NULL,
    "BUS{SerialBus}:RFFE:DATA:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.72,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_LOW,
    "Protocol RFFE Data Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolRFFEThreshold, NULL,
    "BUS{SerialBus}:RFFE:DATA:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.48,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_HYSTERESIS,
    "Protocol RFFE Data Threshold Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolRFFEThresholdHysteresis, NULL,
    "BUS{SerialBus}:RFFE:DATA:THR:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_THRESHOLDS_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_THRESHOLDS_COUPLING,
    "Protocol RFFE Thresholds Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RFFE:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_GLITCH_FILTER_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_GLITCH_FILTER_ENABLED,
    "Protocol RFFE Glitch Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RFFE:GFIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_GLITCH_FILTER_WIDTH =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_GLITCH_FILTER_WIDTH,
    "Protocol RFFE Glitch Filter Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolRFFEGlitchFilterWidth, NULL,
    "BUS{SerialBus}:RFFE:GFW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_MIN_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_MIN_GAP_ENABLED,
    "Protocol RFFE Min Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RFFE:MING:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_MIN_GAP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_MIN_GAP_TIME,
    "Protocol RFFE Min Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolRFFEMinGapTime, NULL,
    "BUS{SerialBus}:RFFE:MING:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0E-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_MAX_GAP_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_MAX_GAP_ENABLED,
    "Protocol RFFE Max Gap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RFFE:MAXG:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_MAX_GAP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_MAX_GAP_TIME,
    "Protocol RFFE Max Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolRFFEMaxGapTime, NULL,
    "BUS{SerialBus}:RFFE:MAXG:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_READ_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_READ_MODE,
    "Protocol RFFE Read Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngRFFEReadMode, NULL, NULL,
    "BUS{SerialBus}:RFFE:RDMD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RFFE_READ_MODE_STRD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_VERSION =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_VERSION,
    "Protocol RFFE Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngRFFEVersion, NULL, NULL,
    "BUS{SerialBus}:RFFE:VERS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RFFE_VERSION_V1DX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_RFFE_DECODING_RESULTS_SEQUENCE_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_RFFE_DECODING_RESULTS_SEQUENCE_COUNT,
    "Protocol RFFE Decoding Results Sequence Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:RFFE:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_THRESHOLD_PRESET,
    "Protocol MDIO Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolMDIOThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:MDIO:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MDIO_DEF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_SOURCE,
    "Protocol MDIO Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:MDIO:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_THRESHOLD_HIGH,
    "Protocol MDIO Clock Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMDIOThreshold, NULL,
    "BUS{SerialBus}:MDIO:CLOC:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_THRESHOLD_LOW,
    "Protocol MDIO Clock Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMDIOThreshold, NULL,
    "BUS{SerialBus}:MDIO:CLOC:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_SOURCE,
    "Protocol MDIO Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:MDIO:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_THRESHOLD_HIGH,
    "Protocol MDIO Data Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMDIOThreshold, NULL,
    "BUS{SerialBus}:MDIO:DATA:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_THRESHOLD_LOW,
    "Protocol MDIO Data Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolMDIOThreshold, NULL,
    "BUS{SerialBus}:MDIO:DATA:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_THRESHOLDS_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_THRESHOLDS_COUPLING,
    "Protocol MDIO Thresholds Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MDIO:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_MAX_GAP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_MAX_GAP_TIME,
    "Protocol MDIO Max Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMDIOMaxGapTime, NULL,
    "BUS{SerialBus}:MDIO:MAXG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MDIO_DECODING_RESULTS_WORD_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MDIO_DECODING_RESULTS_WORD_COUNT,
    "Protocol MDIO Decoding Results Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MDIO:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K55",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_VARIANT =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_VARIANT,
    "Protocol Ethernet Variant",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolEthernetVariant, NULL, NULL,
    "BUS{SerialBus}:ETH:VAR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_VARIANT_B10T,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_SOURCE,
    "Protocol Ethernet Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:ETH:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_POLARITY,
    "Protocol Ethernet Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEthernetPolarity, NULL, NULL,
    "BUS{SerialBus}:ETH:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_PRESET,
    "Protocol Ethernet Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolEthernetThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:ETH:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_PRESET_T0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_LOW,
    "Protocol Ethernet Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolEthernetThresholdLow, NULL,
    "BUS{SerialBus}:ETH:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -1.25,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_HIGH,
    "Protocol Ethernet Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolEthernetThresholdHigh, NULL,
    "BUS{SerialBus}:ETH:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.25,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_BIT_RATE,
    "Protocol Ethernet Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngProtocolEthernetBitRate, NULL,
    "BUS{SerialBus}:ETH:BITR",
    // Defaults I32, I64, Float, Bool, String
    10000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_DECODING_RESULTS_WORD_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_ETHERNET_DECODING_RESULTS_WORD_COUNT,
    "Protocol Ethernet Decoding Results Word Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:ETH:WCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K8",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_D_PLUS_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_D_PLUS_SOURCE,
    "Protocol USB D Plus Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBWaveformSource, NULL, NULL,
    "BUS{SerialBus}:USB:DPL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_D_MINUS_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_D_MINUS_SOURCE,
    "Protocol USB D Minus Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBWaveformSource, NULL, NULL,
    "BUS{SerialBus}:USB:DMIN:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_DIFFERENTIAL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_DIFFERENTIAL_SOURCE,
    "Protocol USB Differential Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBWaveformSource, NULL, NULL,
    "BUS{SerialBus}:USB:DIFF:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_DATA_SOURCE,
    "Protocol USB Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBWaveformSource, NULL, NULL,
    "BUS{SerialBus}:USB:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_STROBE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_STROBE_SOURCE,
    "Protocol USB Strobe Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBWaveformSource, NULL, NULL,
    "BUS{SerialBus}:USB:STR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_TECHNOLOGY,
    "Protocol USB Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolUSBTechnology, NULL, NULL,
    "BUS{SerialBus}:USB:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_D_PLUS_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_D_PLUS_THRESHOLD,
    "Protocol USB D Plus Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolUSBThreshold, NULL,
    "BUS{SerialBus}:USB:DPL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.55,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_D_MINUS_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_D_MINUS_THRESHOLD,
    "Protocol USB D Minus Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolUSBThreshold, NULL,
    "BUS{SerialBus}:USB:DMIN:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.55,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_DIFFERENTIAL_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_DIFFERENTIAL_THRESHOLD,
    "Protocol USB Differential Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolUSBThresholdHighSpeed, NULL,
    "BUS{SerialBus}:USB:DIFF:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_DATA_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_DATA_THRESHOLD,
    "Protocol USB Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolUSBThresholdHighSpeed, NULL,
    "BUS{SerialBus}:USB:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_STROBE_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_STROBE_THRESHOLD,
    "Protocol USB Strobe Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngProtocolUSBThresholdHighSpeed, NULL,
    "BUS{SerialBus}:USB:STR:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.65,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_DECODING_RESULTS_PACKET_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_DECODING_RESULTS_PACKET_COUNT,
    "Protocol USB Decoding Results Packet Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:USB:PCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K60",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_SOURCE,
    "Protocol USB31 Gen1 Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngUSB31Gen1Source, NULL, NULL,
    "BUS{SerialBus}:USBT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_POLARITY,
    "Protocol USB31 Gen1 Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngUSB31Gen1Polarity, NULL, NULL,
    "BUS{SerialBus}:USBT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_THRESHOLD_LOW,
    "Protocol USB31 Gen1 Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSB31Gen1Threshold, NULL,
    "BUS{SerialBus}:USBT:THRL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_THRESHOLD_HIGH,
    "Protocol USB31 Gen1 Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSB31Gen1Threshold, NULL,
    "BUS{SerialBus}:USBT:THRH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_SCRAMBLE_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_SCRAMBLE_MODE,
    "Protocol USB31 Gen1 Scramble Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngUSB31Gen1ScrambleMode, NULL, NULL,
    "BUS{SerialBus}:USBT:SCRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB31_GEN1_SCRAMBLE_MODE_SCRM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE,
    "Protocol USB31 Gen1 Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolUSB31Gen1Type, NULL, NULL,
    "BUS{SerialBus}:USBT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USB31_GEN1_TYPE_SS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_FRAME_COUNT,
    "Protocol USB31 Gen1 Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:USBT:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_HIGH_SPEED_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_HIGH_SPEED_BITRATE,
    "Protocol USB31 Gen1 Type DSP High Speed Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolUSB31Gen1TypeDSPHighSpeedBitrate, NULL,
    "BUS{SerialBus}:USBT:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_ENABLED,
    "Protocol USB31 Gen1 Type DSP CTLE Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CTLE:ENBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_ZERO_FREQUENCY =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_ZERO_FREQUENCY,
    "Protocol USB31 Gen1 Type DSP CTLE Zero Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolUSB31Gen1TypeDSPCTLEFrequency, NULL,
    "BUS{SerialBus}:CTLE:Z1FR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_POLE_FREQUENCY_FP1 =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_POLE_FREQUENCY_FP1,
    "Protocol USB31 Gen1 Type DSP CTLE Pole Frequency FP1",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolUSB31Gen1TypeDSPCTLEFrequency, NULL,
    "BUS{SerialBus}:CTLE:P1FR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_POLE_FREQUENCY_FP2 =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_POLE_FREQUENCY_FP2,
    "Protocol USB31 Gen1 Type DSP CTLE Pole Frequency FP2",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolUSB31Gen1TypeDSPCTLEFrequency, NULL,
    "BUS{SerialBus}:CTLE:P2FR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_DC_GAIN =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_DC_GAIN,
    "Protocol USB31 Gen1 Type DSP CTLE DC Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolUSB31Gen1TypeDSPCTLEDCGain, NULL,
    "BUS{SerialBus}:CTLE:DCG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_CHANNEL_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_CHANNEL_LENGTH,
    "Protocol USB31 Gen1 Type DSP CTLE Channel Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngUSBDSPChannelLength, NULL, NULL,
    "BUS{SerialBus}:USBT:PROT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_USBDSP_CHANNEL_LENGTH_LOWFLTR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_ENABLED,
    "Protocol USB31 Gen1 Type DSP DFE Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:USBT:DFE:ENBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_ESTIMATE_COEFFICIENTS_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_ESTIMATE_COEFFICIENTS_ENABLED,
    "Protocol USB31 Gen1 Type DSP DFE Estimate Coefficients Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:USBT:DFE:ESTC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_COEFFICIENT =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_COEFFICIENT,
    "Protocol USB31 Gen1 Type DSP DFE Coefficient",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDSPDFECoefficient, NULL,
    "BUS{SerialBus}:USBT:DFE:COEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_NUMBER_OF_TAPS =
  {
    RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_NUMBER_OF_TAPS,
    "Protocol USB31 Gen1 Type DSP DFE Number Of Taps",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngDSPDFENumberOfTaps, NULL,
    "BUS{SerialBus}:USBT:DFE:TCON",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K61",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_SOURCE,
    "Protocol USB PD Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:USBP:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_THRESHOLD,
    "Protocol USB PD Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSBPDThreshold, NULL,
    "BUS{SerialBus}:USBP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_HYSTERESIS,
    "Protocol USB PD Data Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSBPDDataHysteresis, NULL,
    "BUS{SerialBus}:USBP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRD15 =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRD15,
    "Protocol USB PD Threshold VRD15",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSBPDThreshold, NULL,
    "BUS{SerialBus}:USBP:THRB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRD_USB =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRD_USB,
    "Protocol USB PD Threshold VRD USB",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSBPDThreshold, NULL,
    "BUS{SerialBus}:USBP:THRM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.66,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRA =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRA,
    "Protocol USB PD Threshold VRA",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngUSBPDThreshold, NULL,
    "BUS{SerialBus}:USBP:THRT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.66,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_SHOW_DECODE_DETAIL =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_SHOW_DECODE_DETAIL,
    "Protocol USB PD Show Decode Detail",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:USBP:DET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_USB_PD_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_USB_PD_FRAME_COUNT,
    "Protocol USB PD Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:USBP:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K63",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CODING_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CODING_STANDARD,
    "Protocol Manchester NRZ Coding Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngManchesterNRZCodingStandard, NULL, NULL,
    "BUS{SerialBus}:CMSB:COD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MANCHESTER_NRZ_CODING_STANDARD_MANC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_BITRATE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_BITRATE_ENABLED,
    "Protocol Manchester NRZ Bitrate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:BITR:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_BITRATE,
    "Protocol Manchester NRZ Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngManchesterNRZBitrate, NULL,
    "BUS{SerialBus}:CMSB:BITR:VAL",
    // Defaults I32, I64, Float, Bool, String
    10000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_GAP_TIME_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_GAP_TIME_ENABLED,
    "Protocol Manchester NRZ Gap Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:GAPT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_GAP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_GAP_TIME,
    "Protocol Manchester NRZ Gap Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngManchesterNRZGapTime, NULL,
    "BUS{SerialBus}:CMSB:GAPT:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10E-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_DATA_SOURCE,
    "Protocol Manchester Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:CMSB:MANC:DATA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_POLARITY,
    "Protocol Manchester Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPolarityNormalInverted, NULL, NULL,
    "BUS{SerialBus}:CMSB:MANC:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_CLOCK_PHASE =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_CLOCK_PHASE,
    "Protocol Manchester Clock Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngClockPhase, NULL, NULL,
    "BUS{SerialBus}:CMSB:MANC:CPH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CLOCK_PHASE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_LOW,
    "Protocol Manchester Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZThreshold, NULL,
    "BUS{SerialBus}:CMSB:MANC:THR:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_HIGH,
    "Protocol Manchester Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolManchesterThresholdHigh, NULL,
    "BUS{SerialBus}:CMSB:MANC:THR:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_PRESET,
    "Protocol Manchester Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngManchesterNRZThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:CMSB:MANC:THR:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_V5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_COUPLING,
    "Protocol Manchester Threshold Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:MANC:THR:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_DATA_SOURCE,
    "Protocol NRZ Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:DATA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_ENABLE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_ENABLE_SOURCE,
    "Protocol NRZ Enable Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:ENBL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_CLOCK_SOURCE,
    "Protocol NRZ Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:CLCK",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_POLARITY,
    "Protocol NRZ Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngActivePolarity, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ACTLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_ENA_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_ENA_POLARITY,
    "Protocol NRZ ENA Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngNRZPolarityData, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:ENAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NRZ_POLARITY_DATA_ENAHIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_IDLE_POLARITY_UNCLOCKED =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_IDLE_POLARITY_UNCLOCKED,
    "Protocol NRZ Idle Polarity Unclocked",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolPolarity, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:IDLP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IDLE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_IDLE_POLARITY_CLOCKED =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_IDLE_POLARITY_CLOCKED,
    "Protocol NRZ Idle Polarity Clocked",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolPolarity, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:CPOL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IDLE_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_CLOCK_PHASE =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_CLOCK_PHASE,
    "Protocol NRZ Clock Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngNRZClockPhase, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:CPH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CLOCK_PHASE_FIRST_EDGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_CLOCK =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_CLOCK,
    "Protocol NRZ Threshold Clock",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZThreshold, NULL,
    "BUS{SerialBus}:CMSB:NRZ:THR:CLCK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_DATA,
    "Protocol NRZ Threshold Data",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZThreshold, NULL,
    "BUS{SerialBus}:CMSB:NRZ:THR:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_PRESET,
    "Protocol NRZ Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngManchesterNRZThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:THR:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MANCHESTER_NRZ_THRESHOLD_V5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_COUPLING,
    "Protocol NRZ Threshold Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:NRZ:THR:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_VALUE,
    "Protocol NRZ Threshold Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZThresholdEnabled, NULL,
    "BUS{SerialBus}:CMSB:NRZ:THR:ENBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_CLOCK =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_CLOCK,
    "Protocol NRZ Hysteresis Clock",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZHysteresis, NULL,
    "BUS{SerialBus}:CMSB:NRZ:HYST:CLCK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_DATA =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_DATA,
    "Protocol NRZ Hysteresis Data",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZHysteresis, NULL,
    "BUS{SerialBus}:CMSB:NRZ:HYST:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_ENABLE_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_ENABLE_VALUE,
    "Protocol NRZ Hysteresis Enable Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngNRZHysteresis, NULL,
    "BUS{SerialBus}:CMSB:NRZ:HYST:ENBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_FRAME,
    "Protocol Manchester NRZ Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_COUNT,
    "Protocol Manchester NRZ Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_TYPE,
    "Protocol Manchester NRZ Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:TYPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "READ",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapString_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_ADD_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_ADD_FRAME,
    "Protocol Manchester NRZ Add Frame",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:ADDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_CLEAR =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_CLEAR,
    "Protocol Manchester NRZ Frame Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_OPEN_DESCRIPTION =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_OPEN_DESCRIPTION,
    "Protocol Manchester NRZ Frame Open Description",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_SAVE_DESCRIPTION =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_SAVE_DESCRIPTION,
    "Protocol Manchester NRZ Frame Save Description",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_EXPORT_FRAMES_AS_RAW_BITS =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_EXPORT_FRAMES_AS_RAW_BITS,
    "Protocol Manchester NRZ Export Frames As Raw Bits",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:EXRB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_CELL =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_CELL,
    "Protocol Manchester NRZ Selected Cell",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COUNT,
    "Protocol Manchester NRZ Cell Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_ADD_CELL =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_ADD_CELL,
    "Protocol Manchester NRZ Add Cell",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:APP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_FormatManchesterNRZFrameRepCapEvent_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_NAME =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_NAME,
    "Protocol Manchester NRZ Cell Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapString_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_BIT_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_BIT_COUNT,
    "Protocol Manchester NRZ Cell Bit Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngManchesterNRZCellBitCount, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:BITC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_CONDITION,
    "Protocol Manchester NRZ Cell Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:COND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "=00111000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapString_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_FORMAT =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_FORMAT,
    "Protocol Manchester NRZ Cell Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngNumericFormat, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NUMERIC_FORMAT_DEC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_BIT_ORDER =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_BIT_ORDER,
    "Protocol Manchester NRZ Cell Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngBitOrder, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COLOR =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COLOR,
    "Protocol Manchester NRZ Cell Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCellColor, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CELL_COLOR_YELLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COLOR_CRGB =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COLOR_CRGB,
    "Protocol Manchester NRZ Cell Color CRGB",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:CRGB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt64_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_RESULT_COLUMN =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_RESULT_COLUMN,
    "Protocol Manchester NRZ Cell Result Column",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCellResultColumn, NULL, NULL,
    "BUS{SerialBus}:CMSB:FRAM<Frame>:CELL<Cell>:CLMN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CELL_RESULT_COLUMN_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_FIELD =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_FIELD,
    "Protocol Manchester NRZ Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_ENABLED,
    "Protocol Manchester NRZ Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_NUMERIC_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_NUMERIC_ENABLED,
    "Protocol Manchester NRZ Filter Frame Field Numeric Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapBoolean_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_BIT_STATE =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_BIT_STATE,
    "Protocol Manchester NRZ Filter Frame Field Bit State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngBitState, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:BIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BIT_STATE_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_CONDITION,
    "Protocol Manchester NRZ Filter Frame Field Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCustomSBCondition, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:DOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_MIN,
    "Protocol Manchester NRZ Filter Frame Field Data Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:DMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_MAX,
    "Protocol Manchester NRZ Filter Frame Field Data Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:DMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_CONDITION =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_CONDITION,
    "Protocol Manchester NRZ Filter Frame Field Index Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCustomSBCondition, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:IOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapInt32_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_MIN,
    "Protocol Manchester NRZ Filter Frame Field Index Pattern Min",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:IMIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_MAX,
    "Protocol Manchester NRZ Filter Frame Field Index Pattern Max",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:FILT:FRAM<Frame>:FLD<Field>:IMAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000000000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_ReadCallback,
    rsscope_FormatManchesterNRZFrameFieldRepCapRawString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_RESULT_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_RESULT_COUNT,
    "Protocol Manchester NRZ Result Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CMSB:RCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K50",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_SIGNAL_TYPE,
    "Protocols EbTb Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalType, NULL, NULL,
    "BUS{SerialBus}:EBTB:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_TYPE_DIFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_SOURCE,
    "Protocols EbTb Differential Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:EBTB:DIFF:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_D_PLUS_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_D_PLUS_SOURCE,
    "Protocols EbTb D Plus Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:EBTB:DPL:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_D_MINUS_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_D_MINUS_SOURCE,
    "Protocols EbTb D Minus Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:EBTB:DMIN:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_FULL_AUTOSET =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_FULL_AUTOSET,
    "Protocols EbTb Full Autoset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:FAUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_THRESHOLD_HIGH =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_THRESHOLD_HIGH,
    "Protocols EbTb Differential Threshold High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEbTbThreshold, NULL,
    "BUS{SerialBus}:EBTB:DIFF:THRH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_THRESHOLD_LOW =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_THRESHOLD_LOW,
    "Protocols EbTb Differential Threshold Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEbTbThreshold, NULL,
    "BUS{SerialBus}:EBTB:DIFF:THRL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_THRESHOLD_D_PLUS =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_THRESHOLD_D_PLUS,
    "Protocols EbTb Threshold D Plus",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEbTbThreshold, NULL,
    "BUS{SerialBus}:EBTB:DPL:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_THRESHOLD_D_MINUS =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_THRESHOLD_D_MINUS,
    "Protocols EbTb Threshold D Minus",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEbTbThreshold, NULL,
    "BUS{SerialBus}:EBTB:DMIN:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_BITRATE,
    "Protocols EbTb Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEbTbBitrate, NULL,
    "BUS{SerialBus}:EBTB:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.25E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_BITRATE_DETERMINATION =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_BITRATE_DETERMINATION,
    "Protocols EbTb Bitrate Determination",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:BITD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_ESTIMATED_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_ESTIMATED_BITRATE,
    "Protocols EbTb Estimated Bitrate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:EBTR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.25e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SW_CDR_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_SW_CDR_BITRATE,
    "Protocols EbTb SW CDR Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:ACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SYNC_SYMBOL =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_SYNC_SYMBOL,
    "Protocols EbTb Sync Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbSyncSymbol, NULL, NULL,
    "BUS{SerialBus}:EBTB:SYNC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_SYNC_SYMBOL_K285,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_PATTERN,
    "Protocols EbTb Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:FCSY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SECOND_PATTERN_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_SECOND_PATTERN_ENABLED,
    "Protocols EbTb Second Pattern Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:USCS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SECOND_PATTERN =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_SECOND_PATTERN,
    "Protocols EbTb Second Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:SCSY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DISPLAY_FORMAT =
  {
    RSSCOPE_ATTR_PROTOCOLS_EBTB_DISPLAY_FORMAT,
    "Protocols EbTb Display Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEbTbDisplayFormat, NULL, NULL,
    "BUS{SerialBus}:EBTB:DISF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EBTB_DISPLAY_FORMAT_KD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_EBTB_SYMBOL_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_EBTB_SYMBOL_COUNT,
    "Protocol EbTb Symbol Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:EBTB:SCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K52",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_DATA_SOURCE,
    "Protocol SENT Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:SENT:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_THRESHOLD,
    "Protocol SENT Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSENTThreshold, NULL,
    "BUS{SerialBus}:SENT:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_TECHNOLOGY =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_TECHNOLOGY,
    "Protocol SENT Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTTechnology, NULL, NULL,
    "BUS{SerialBus}:SENT:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_TECHNOLOGY_V25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_CLOCK_PERIOD =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_CLOCK_PERIOD,
    "Protocol SENT Clock Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSENTClockPeriod, NULL,
    "BUS{SerialBus}:SENT:CLKP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.0E-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_CLOCK_TOLERANCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_CLOCK_TOLERANCE,
    "Protocol SENT Clock Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSENTClockTolerance, NULL,
    "BUS{SerialBus}:SENT:CLKT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_DATA_NIBBLES =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_DATA_NIBBLES,
    "Protocol SENT Data Nibbles",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSENTDataNibbles, NULL,
    "BUS{SerialBus}:SENT:DNIB",
    // Defaults I32, I64, Float, Bool, String
    3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_SERIAL_FORMAT =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_SERIAL_FORMAT,
    "Protocol SENT Serial Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTSerialFormat, NULL, NULL,
    "BUS{SerialBus}:SENT:SFOR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_SERIAL_FORMAT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_CRC_VERSION =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_CRC_VERSION,
    "Protocol SENT CRC Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTCRCVersion, NULL, NULL,
    "BUS{SerialBus}:SENT:CRCV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_CRC_VERSION_LEGACY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_CRC_CALCULATION =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_CRC_CALCULATION,
    "Protocol SENT CRC Calculation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTCRCMethod, NULL, NULL,
    "BUS{SerialBus}:SENT:CRCM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_CRC_METHOD_SAEJ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_PAUSE_PULSE =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_PAUSE_PULSE,
    "Protocol SENT Pause Pulse",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTPausePulse, NULL, NULL,
    "BUS{SerialBus}:SENT:PPUL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SENT_PAUSE_PULSE_NPP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_FRAME_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_FRAME_LENGTH,
    "Protocol SENT Frame Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSENTFrameLength, NULL,
    "BUS{SerialBus}:SENT:PPFL",
    // Defaults I32, I64, Float, Bool, String
    128,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_RESULT_DISPLAY =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_RESULT_DISPLAY,
    "Protocol SENT Result Display",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSENTResultDisplay, NULL, NULL,
    "BUS{SerialBus}:SENT:RDSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_SENT_RESULT_DISPLAY_TRSQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SENT_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_SENT_FRAME_COUNT,
    "Protocol SENT Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SENT:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_VARIANT =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_VARIANT,
    "Protocol DPHY Variant",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDPHYVariant, NULL, NULL,
    "BUS{SerialBus}:DPHY:VAR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DPHY_VARIANT_DSI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_PHYSICAL_CONFIGURATION =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_PHYSICAL_CONFIGURATION,
    "Protocol DPHY Physical Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolDPHYPhysicalConfiguration, NULL, NULL,
    "BUS{SerialBus}:DPHY:CONF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DPHY_CONFIG_D4NN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DATA_LANES =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DATA_LANES,
    "Protocol DPHY Data Lanes",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngDPHYDataLanes, NULL,
    "BUS{SerialBus}:DPHY:DLAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_CP_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_CP_SOURCE,
    "Protocol DPHY CP Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:DPHY:CP:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DN_ZERO_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DN_ZERO_SOURCE,
    "Protocol DPHY DN Zero Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:DPHY:DNZ:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ZERO_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ZERO_SOURCE,
    "Protocol DPHY DP Zero Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPZ:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ONE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ONE_SOURCE,
    "Protocol DPHY DP One Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPON:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_TWO_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_TWO_SOURCE,
    "Protocol DPHY DP Two Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPTW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_THREE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_THREE_SOURCE,
    "Protocol DPHY DP Three Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPTH:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_CP_PROBE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_CP_PROBE,
    "Protocol DPHY CP Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "BUS{SerialBus}:DPHY:CP:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DN_ZERO_PROBE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DN_ZERO_PROBE,
    "Protocol DPHY DN Zero Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "BUS{SerialBus}:DPHY:DNZ:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ZERO_PROBE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ZERO_PROBE,
    "Protocol DPHY DP Zero Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPZ:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ONE_PROBE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ONE_PROBE,
    "Protocol DPHY DP One Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPON:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_TWO_PROBE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_TWO_PROBE,
    "Protocol DPHY DP Two Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPTW:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_THREE_PROBE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DP_THREE_PROBE,
    "Protocol DPHY DP Three Probe",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProbeDisplayDiff, NULL, NULL,
    "BUS{SerialBus}:DPHY:DPTH:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROBE_DISP_DIFF_SINGLEENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DATA_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DATA_RATE,
    "Protocol DPHY Data Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYDataRate, NULL,
    "BUS{SerialBus}:DPHY:DRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    800000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_DISPALY_DATA_VECTOR =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_DISPALY_DATA_VECTOR,
    "Protocol DPHY Dispaly Data Vector",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DPHY:DSPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_THRESHOLD_PRESET,
    "Protocol DPHY Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDPHYThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:DPHY:THPR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DPHY_THRESHOLD_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_THRESHOLD_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_THRESHOLD_COUPLING,
    "Protocol DPHY Threshold Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DPHY:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_CP_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_CP_THRESHOLD,
    "Protocol DPHY High Speed CP Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedThreshold, NULL,
    "BUS{SerialBus}:DPHY:CP:HSP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ZERO_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ZERO_THRESHOLD,
    "Protocol DPHY High Speed DP Zero Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedThreshold, NULL,
    "BUS{SerialBus}:DPHY:DPZ:HSP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ONE_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ONE_THRESHOLD,
    "Protocol DPHY High Speed DP One Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedThreshold, NULL,
    "BUS{SerialBus}:DPHY:DPON:HSP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_TWO_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_TWO_THRESHOLD,
    "Protocol DPHY High Speed DP Two Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedThreshold, NULL,
    "BUS{SerialBus}:DPHY:DPTW:HSP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_THREE_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_THREE_THRESHOLD,
    "Protocol DPHY High Speed DP Three Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedThreshold, NULL,
    "BUS{SerialBus}:DPHY:DPTH:HSP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_CP_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_CP_HYSTERESIS,
    "Protocol DPHY High Speed CP Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedHysteresis, NULL,
    "BUS{SerialBus}:DPHY:CP:HSP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ZERO_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ZERO_HYSTERESIS,
    "Protocol DPHY High Speed DP Zero Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedHysteresis, NULL,
    "BUS{SerialBus}:DPHY:DPZ:HSP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ONE_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ONE_HYSTERESIS,
    "Protocol DPHY High Speed DP One Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedHysteresis, NULL,
    "BUS{SerialBus}:DPHY:DPON:HSP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_TWO_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_TWO_HYSTERESIS,
    "Protocol DPHY High Speed DP Two Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedHysteresis, NULL,
    "BUS{SerialBus}:DPHY:DPTW:HSP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_THREE_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_THREE_HYSTERESIS,
    "Protocol DPHY High Speed DP Three Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDPHYHighSpeedHysteresis, NULL,
    "BUS{SerialBus}:DPHY:DPTH:HSP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DN_ZERO_THRESHOLD_UPPER =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DN_ZERO_THRESHOLD_UPPER,
    "Protocol DPHY Low Power DN Zero Threshold Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rnglDPHYLowPowerThreshold, NULL,
    "BUS{SerialBus}:DPHY:DNZ:LPOW:THUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.88,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DP_ZERO_THRESHOLD_UPPER =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DP_ZERO_THRESHOLD_UPPER,
    "Protocol DPHY Low Power DP Zero Threshold Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rnglDPHYLowPowerThreshold, NULL,
    "BUS{SerialBus}:DPHY:DPZ:LPOW:THUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.88,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DN_ZERO_THRESHOLD_LOWER =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DN_ZERO_THRESHOLD_LOWER,
    "Protocol DPHY Low Power DN Zero Threshold Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rnglDPHYLowPowerThreshold, NULL,
    "BUS{SerialBus}:DPHY:DNZ:LPOW:THL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.55,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DP_ZERO_THRESHOLD_LOWER =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DP_ZERO_THRESHOLD_LOWER,
    "Protocol DPHY Low Power DP Zero Threshold Lower",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rnglDPHYLowPowerThreshold, NULL,
    "BUS{SerialBus}:DPHY:DPZ:LPOW:THL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.55,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_SHOW_MULTIPLE_LANES =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_SHOW_MULTIPLE_LANES,
    "Protocol DPHY Show Multiple Lanes",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DPHY:SML",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DPHY_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_DPHY_FRAME_COUNT,
    "Protocol DPHY Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DPHY:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K42",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY,
    "Protocol MPHY",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngProtocolMPHY, NULL, NULL,
    "BUS{SerialBus}:MPHY:VAR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_PROTOCOL_MPHY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_LANES =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_LANES,
    "Protocol MPHY Data Lanes",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngDPHYDataLanes, NULL,
    "BUS{SerialBus}:MPHY:DLAN",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_ZERO =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_ZERO,
    "Protocol MPHY Data Source Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYDataSource, NULL, NULL,
    "BUS{SerialBus}:MPHY:DZER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_DATA_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_ONE =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_ONE,
    "Protocol MPHY Data Source One",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYDataSource, NULL, NULL,
    "BUS{SerialBus}:MPHY:DONE:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_DATA_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_TWO =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_TWO,
    "Protocol MPHY Data Source Two",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYDataSource, NULL, NULL,
    "BUS{SerialBus}:MPHY:DTWO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_DATA_C3W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_THREE =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_THREE,
    "Protocol MPHY Data Source Three",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYDataSource, NULL, NULL,
    "BUS{SerialBus}:MPHY:DTHR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_DATA_C4W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_ZERO =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_ZERO,
    "Protocol MPHY Threshold Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMPHYThreshold, NULL,
    "BUS{SerialBus}:MPHY:DZER:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_ONE =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_ONE,
    "Protocol MPHY Threshold One",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMPHYThreshold, NULL,
    "BUS{SerialBus}:MPHY:DONE:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_TWO =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_TWO,
    "Protocol MPHY Threshold Two",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMPHYThreshold, NULL,
    "BUS{SerialBus}:MPHY:DTWO:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_THREE =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_THREE,
    "Protocol MPHY Threshold Three",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngMPHYThreshold, NULL,
    "BUS{SerialBus}:MPHY:DTHR:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_COUPLING_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_COUPLING_ENABLED,
    "Protocol MPHY Threshold Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MPHY:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_PRESET,
    "Protocol MPHY Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:MPHY:THPR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_THRESHOLD_PRESET_MANUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_SCRAMBLED_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_SCRAMBLED_MODE,
    "Protocol MPHY Scrambled Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngMPHYScrambleMode, NULL, NULL,
    "BUS{SerialBus}:MPHY:SCRM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MPHY_SCRAMBLE_MODE_SCRM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_SHOW_MULTIPLE_LANES =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_SHOW_MULTIPLE_LANES,
    "Protocol MPHY Show Multiple Lanes",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MPHY:SML",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_MPHY_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_MPHY_FRAME_COUNT,
    "Protocol MPHY Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:MPHY:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K44",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_SOURCE,
    "Protocol Space Wire Strobe Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:SWIR:STRB:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_SOURCE,
    "Protocol Space Wire Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "BUS{SerialBus}:SWIR:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_THRESHOLD_PRESET =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_THRESHOLD_PRESET,
    "Protocol Space Wire Threshold Preset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSpaceWireThresholdPreset, NULL, NULL,
    "BUS{SerialBus}:SWIR:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SPACE_WIRE_THRESHOLD_PRESET_V12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_THRESHOLD_COUPLING =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_THRESHOLD_COUPLING,
    "Protocol Space Wire Threshold Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SWIR:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_THRESHOLD,
    "Protocol Space Wire Strobe Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSpaceWireThreshold, NULL,
    "BUS{SerialBus}:SWIR:STRB:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.25,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_THRESHOLD,
    "Protocol Space Wire Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSpaceWireThreshold, NULL,
    "BUS{SerialBus}:SWIR:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.25,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_HYSTERESIS,
    "Protocol Space Wire Strobe Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSpaceWireHysteresis, NULL,
    "BUS{SerialBus}:SWIR:STRB:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_HYSTERESIS,
    "Protocol Space Wire Data Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSpaceWireHysteresis, NULL,
    "BUS{SerialBus}:SWIR:DATA:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_SYNC_SETTINGS =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_SYNC_SETTINGS,
    "Protocol Space Wire Sync Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAutoManual, NULL, NULL,
    "BUS{SerialBus}:SWIR:SYSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_SYNC_BIT_POSITION =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_SYNC_BIT_POSITION,
    "Protocol Space Wire Sync Bit Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngSpaceWireSyncBitPosition, NULL,
    "BUS{SerialBus}:SWIR:BPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_MIN_GAP =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_MIN_GAP,
    "Protocol Space Wire Min Gap",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngSpaceWireMinGap, NULL,
    "BUS{SerialBus}:SWIR:MGAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_FRAME_COUNT,
    "Protocol Space Wire Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:SWIR:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K65",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_SOURCE,
    "Protocol CXPI Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:CXPI:SDAT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_POLARITY,
    "Protocol CXPI Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCXPIPolarity, NULL, NULL,
    "BUS{SerialBus}:CXPI:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_THRESHOLD,
    "Protocol CXPI Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngCXPIThreshold, NULL,
    "BUS{SerialBus}:CXPI:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_HYSTERESIS,
    "Protocol CXPI Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngCXPIHysteresis, NULL,
    "BUS{SerialBus}:CXPI:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_DISPLAY_ORDER =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_DISPLAY_ORDER,
    "Protocol CXPI Display Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngCXPIDisplayOrder, NULL, NULL,
    "BUS{SerialBus}:CXPI:DORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CXPI_DISPLAY_ORDER_TRANSMITTED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_AVERAGE_BIT_RATE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_AVERAGE_BIT_RATE_ENABLED,
    "Protocol CXPI Average Bit Rate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CXPI:BITR:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_BIT_RATE_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_BIT_RATE_VALUE,
    "Protocol CXPI Bit Rate Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngCXPIBitRateValue, NULL,
    "BUS{SerialBus}:CXPI:BITR:VAL",
    // Defaults I32, I64, Float, Bool, String
    19200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_MEASURED_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_MEASURED_BIT_RATE,
    "Protocol CXPI Measured Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CXPI:RES:BITR?",
    // Defaults I32, I64, Float, Bool, String
    19200,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IBS_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IBS_MIN,
    "Protocol CXPI Expected IBS Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngCXPIExpectedIBS, NULL,
    "BUS{SerialBus}:CXPI:IBS:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IBS_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IBS_MAX,
    "Protocol CXPI Expected IBS Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngCXPIExpectedIBS, NULL,
    "BUS{SerialBus}:CXPI:IBS:MAX",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IFS_MIN =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IFS_MIN,
    "Protocol CXPI Expected IFS Min",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngCXPIExpectedIFSMin, NULL,
    "BUS{SerialBus}:CXPI:IFS:MIN",
    // Defaults I32, I64, Float, Bool, String
    21,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IFS_MAX =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IFS_MAX,
    "Protocol CXPI Expected IFS Max",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngCXPIExpectedIFSMax, NULL,
    "BUS{SerialBus}:CXPI:IFS:MAX",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_CXPI_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_CXPI_FRAME_COUNT,
    "Protocol CXPI Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CXPI:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K76",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_GENERATION =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_GENERATION,
    "Protocol PCIe Generation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeGeneration, NULL, NULL,
    "BUS{SerialBus}:PCIE:GEN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_PCIE_GENERATION_V1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_LINK =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_LINK,
    "Protocol PCIe Link",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeLink, NULL, NULL,
    "BUS{SerialBus}:PCIE:LNKW",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_LINK_X1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_DESCRAMBLING =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_DESCRAMBLING,
    "Protocol PCIe Descrambling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:DSCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_FILTER_IDLE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_FILTER_IDLE,
    "Protocol PCIe Filter Idle",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:FIDL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_SHOW_MULTIPLE_LANES =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_SHOW_MULTIPLE_LANES,
    "Protocol PCIe Show Multiple Lanes",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:SML",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_ZERO =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_ZERO,
    "Protocol PCIe Source Lane Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:PCIE:LZER:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_ONE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_ONE,
    "Protocol PCIe Source Lane One",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:PCIE:LONE:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_TWO =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_TWO,
    "Protocol PCIe Source Lane Two",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:PCIE:LTWO:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C3W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_THREE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_THREE,
    "Protocol PCIe Source Lane Three",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolWaveformSource, NULL, NULL,
    "BUS{SerialBus}:PCIE:LTHR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PROTOCOL_WAV_C4W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_ZERO =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_ZERO,
    "Protocol PCIe Threshold Low Lane Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LZER:THRL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_ONE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_ONE,
    "Protocol PCIe Threshold Low Lane One",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LONE:THRL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_TWO =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_TWO,
    "Protocol PCIe Threshold Low Lane Two",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LTWO:THRL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_THREE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_THREE,
    "Protocol PCIe Threshold Low Lane Three",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LTHR:THRL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_ZERO =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_ZERO,
    "Protocol PCIe Threshold High Lane Zero",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LZER:THRH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_ONE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_ONE,
    "Protocol PCIe Threshold High Lane One",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LONE:THRH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_TWO =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_TWO,
    "Protocol PCIe Threshold High Lane Two",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LTWO:THRH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_THREE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_THREE,
    "Protocol PCIe Threshold High Lane Three",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeThreshold, NULL,
    "BUS{SerialBus}:PCIE:LTHR:THRH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.02,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_NOMINAL_BITRATE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_NOMINAL_BITRATE,
    "Protocol PCIe CDR Nominal Bitrate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngPCIeCDRNominalBitrate, NULL,
    "BUS{SerialBus}:CDR:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    1000000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_ORDER =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_ORDER,
    "Protocol PCIe CDR PLL Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeCDRPLLOrder, NULL, NULL,
    "BUS{SerialBus}:CDR:PLL:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_PLL_CDR_ORDER_FIRST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_BANDWIDTH =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_BANDWIDTH,
    "Protocol PCIe CDR PLL Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:CDR:PLL:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    599.88E+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_RELATIVE_BANDWIDTH =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_RELATIVE_BANDWIDTH,
    "Protocol PCIe CDR PLL Relative Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeCDRPLLRelativeBandwidth, NULL,
    "BUS{SerialBus}:CDR:PLL:RELB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1667,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_DAMPING =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_DAMPING,
    "Protocol PCIe CDR PLL Damping",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPCIeCDRPLLDamping, NULL,
    "BUS{SerialBus}:CDR:PLL:DAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.7,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_INITIAL_PHASE_SYNC =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_INITIAL_PHASE_SYNC,
    "Protocol PCIe CDR Initial Phase Sync",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeCDRInitialPhaseSync, NULL, NULL,
    "BUS{SerialBus}:CDR:SYNC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_CDR_PHASE_SYNC_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_SELECTED_RESULTS =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_SELECTED_RESULTS,
    "Protocol PCIe CDR Selected Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPCIeCDRSelectedResults, NULL, NULL,
    "BUS{SerialBus}:CDR:RES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PCIE_CDR_SELECTED_RESULTS_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_ENABLED,
    "Protocol PCIe DSP DFE Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:DFE:ENBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_ESTIMATE_COEFFICIENTS_ENABLED =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_ESTIMATE_COEFFICIENTS_ENABLED,
    "Protocol PCIe DSP DFE Estimate Coefficients Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:DFE:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_COEFFICIENT =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_COEFFICIENT,
    "Protocol PCIe DSP DFE Coefficient",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDSPDFECoefficient, NULL,
    "BUS{SerialBus}:PCIE:DFE:COEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_NUMBER_OF_TAPS =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_NUMBER_OF_TAPS,
    "Protocol PCIe DSP DFE Number Of Taps",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngDSPDFENumberOfTaps, NULL,
    "BUS{SerialBus}:PCIE:DFE:TCON",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_PACKET_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_PACKET_COUNT,
    "Protocol PCIe Packet Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:RES:PCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "RTO|RTP",
    "K72",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_SELECTED_PACKET =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_SELECTED_PACKET,
    "Protocol PCIe Selected Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_PCIE_PACKET_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_PCIE_PACKET_BIT_RATE,
    "Protocol PCIe Packet Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PCIE:RES:PACK<Packet>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatPCIePacketRepCapInt64_ReadCallback,
    rsscope_FormatPCIePacketRepCapInt64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_STANDARD =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_STANDARD,
    "Protocol DDR Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDDRStandard, NULL, NULL,
    "BUS{SerialBus}:DDR:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_STANDARD_DDR3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_DATA_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_DATA_SOURCE,
    "Protocol DDR Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDDRSource, NULL, NULL,
    "BUS{SerialBus}:DDR:DATA:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_DATA_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_DATA_THRESHOLD,
    "Protocol DDR Data Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolDDRThreshold, NULL,
    "BUS{SerialBus}:DDR:DATA:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_DATA_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_DATA_HYSTERESIS,
    "Protocol DDR Data Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolDDRHysteresis, NULL,
    "BUS{SerialBus}:DDR:DATA:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_SOURCE,
    "Protocol DDR Strobe Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDDRSource, NULL, NULL,
    "BUS{SerialBus}:DDR:STRB:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_SOURCE_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_THRESHOLD,
    "Protocol DDR Strobe Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolDDRThreshold, NULL,
    "BUS{SerialBus}:DDR:STRB:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_HYSTERESIS =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_HYSTERESIS,
    "Protocol DDR Strobe Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocolDDRHysteresis, NULL,
    "BUS{SerialBus}:DDR:STRB:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_COUNT,
    "Protocol DDR Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_SELECTED_FRAME,
    "Protocol DDR Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_STATUS,
    "Protocol DDR Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngDDRFrameStatus, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_START_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_START_TIME,
    "Protocol DDR Frame Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_STOP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_STOP_TIME,
    "Protocol DDR Frame Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_TYPE,
    "Protocol DDR Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocolDDRFrameType, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_FRAME_TYPE_UNKNOWN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_NUMBER_OF_WORDS =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_NUMBER_OF_WORDS,
    "Protocol DDR Frame Number Of Words",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:NWRD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_SELECTED_FIELD =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_SELECTED_FIELD,
    "Protocol DDR Selected Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_STATUS,
    "Protocol DDR Frame Field Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngDDRFrameStatus, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:FLD<Field>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_FRAME_STATE_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFieldRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_START_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_START_TIME,
    "Protocol DDR Frame Field Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:FLD<Field>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFieldRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_STOP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_STOP_TIME,
    "Protocol DDR Frame Field Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:FLD<Field>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFieldRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_VALUE,
    "Protocol DDR Frame Field Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:FLD<Field>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFieldRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_FORMATTED_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_FORMATTED_VALUE,
    "Protocol DDR Frame Field Formatted Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:DDR:RES:FRAM<Frame>:FLD<Field>:FVAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDDRFieldRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_STATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_STATE,
    "Eye Diagram State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_SOURCE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_SOURCE,
    "Eye Diagram Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeDiagramSource, NULL, NULL,
    "EYE{EyeDiagram}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_BIT_RATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_BIT_RATE,
    "Eye Diagram Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngEyeDiagramBitRate, NULL,
    "BUS{EyeDiagram}:DDR:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    800000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SOURCE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SOURCE,
    "Eye Diagram Timing Reference Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeDiagramSource, NULL, NULL,
    "EYE{EyeDiagram}:TREF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SIGNAL_SOURCE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SIGNAL_SOURCE,
    "Eye Diagram Timing Reference Signal Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimingReferenceSignalSource, NULL, NULL,
    "EYE{EyeDiagram}:TIMR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMING_REFERENCE_SIGNAL_SOURCE_CLOCK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SLOPE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SLOPE,
    "Eye Diagram Timing Reference Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramTimingReferenceSlope, NULL, NULL,
    "EYE{EyeDiagram}:TREF:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CDR_TYPE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CDR_TYPE,
    "Eye Diagram Timing Reference CDR Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimingReferenceCDRType, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CDR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMING_REFERENCE_CDR_TYPE_SW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_ALGORITHM =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_CDR_ALGORITHM,
    "Eye Diagram CDR Algorithm",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCDRFilesAlgorithm, NULL, NULL,
    "REFC{ReferenceWfm}:CDR:ALG?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_FILES_ALGORITHM_FF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_BANDWIDTH =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_CDR_BANDWIDTH,
    "Eye Diagram CDR Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramCDRFilesBandwidth, NULL,
    "REFC{ReferenceWfm}:CDR:BWID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    599.88E+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_RELATIVE_BANDWIDTH =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_CDR_RELATIVE_BANDWIDTH,
    "Eye Diagram CDR Relative Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsScope_rngEyeDiagramCDRFilesRelativeBandwidth, NULL,
    "REFC{ReferenceWfm}:CDR:RELB?",
    // Defaults I32, I64, Float, Bool, String
    1667,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_BIT_RATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_CDR_BIT_RATE,
    "Eye Diagram CDR Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, &RsScope_rngEyeDiagramCDRFilesBitRate, NULL,
    "REFC{ReferenceWfm}:CDR:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    1000000000,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_SAMPLING =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_CDR_SAMPLING,
    "Eye Diagram CDR Sampling",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramCDRFilesSampling, NULL,
    "REFC{ReferenceWfm}:CDR:SAMT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_ANALOG_SOURCE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_CDR_ANALOG_SOURCE,
    "Eye Diagram CDR Analog Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngCDRFilesAnalogSource, NULL, NULL,
    "REFC{ReferenceWfm}:CDR:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_FILES_ANALOG_SOURCE_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SOFTWARE_CDR =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SOFTWARE_CDR,
    "Eye Diagram Timing Reference Software CDR",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeDiagramSoftwareCDR, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CDR:SOFT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_DIAGRAM_SOFTWARE_CDR_SW1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_EDGE_TYPE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_EDGE_TYPE,
    "Eye Diagram Timing Reference Edge Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimingReferenceEdgeType, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMING_REFERENCE_EDGE_TYPE_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FACTOR =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FACTOR,
    "Eye Diagram Timing Reference Clock Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:FACT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FREQUENCY =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FREQUENCY,
    "Eye Diagram Timing Reference Clock Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FREQUENCY_ESTIMATION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FREQUENCY_ESTIMATION,
    "Eye Diagram Timing Reference Clock Frequency Estimation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:FRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_LEVEL =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_LEVEL,
    "Eye Diagram Timing Reference Clock Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimingReferenceClockLevel, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:LEV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_LEVEL_MIDDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_OFFSET_ESTIMATION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_OFFSET_ESTIMATION,
    "Eye Diagram Timing Reference Clock Offset Estimation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:OFES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_OFFSET =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_OFFSET,
    "Eye Diagram Timing Reference Clock Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramTimingReferenceClockOffset, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_SAMPLING_TIME =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_SAMPLING_TIME,
    "Eye Diagram Timing Reference Clock Sampling Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramTimingReferenceClockSamplingTime, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:SAMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_SOURCE_TYPE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_SOURCE_TYPE,
    "Eye Diagram Timing Reference Clock Source Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimingReferenceClockSourceType, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMING_REFERENCE_CLOCK_SOURCE_TYPE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_PROTOCOL_SERIAL_BUS_INDEX =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_PROTOCOL_SERIAL_BUS_INDEX,
    "Eye Diagram Timing Reference Protocol Serial Bus Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTimingReferenceProtocolSerialBusIndex, NULL, NULL,
    "EYE{EyeDiagram}:TIMR:PROT:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIMING_PROTOCOL_SERIAL_BUS_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_TIME_REFERENCE_VERTICAL_REFERENCE_LEVEL =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_TIME_REFERENCE_VERTICAL_REFERENCE_LEVEL,
    "Eye Diagram Time Reference Vertical Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramVerticalReferenceLevel, NULL, NULL,
    "EYE{EyeDiagram}:TREF:LEV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REF_LEVEL_MIDDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_UNITS =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_UNITS,
    "Eye Diagram Horizontal Settings Time Units",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramHorizontalSettingsTimeUnits, NULL, NULL,
    "EYE{EyeDiagram}:HOR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TIME_UNITS_UNIT_INTERVALS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_RANGE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_RANGE,
    "Eye Diagram Horizontal Settings Time Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramHorizontalSettingsTimeRange, NULL,
    "EYE{EyeDiagram}:HOR:ABS:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_POSITION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_POSITION,
    "Eye Diagram Horizontal Settings Time Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramHorizontalSettingsTimePosition, NULL,
    "EYE{EyeDiagram}:HOR:ABS:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_BIT_RATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_BIT_RATE,
    "Eye Diagram Horizontal Settings Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramHorizontalSettingsBitRate, NULL,
    "EYE{EyeDiagram}:HOR:UINT:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_RANGE_UI =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_RANGE_UI,
    "Eye Diagram Horizontal Settings Range UI",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramHorizontalSettingsRangeUI, NULL,
    "EYE{EyeDiagram}:HOR:UINT:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_POSITION_UI =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_POSITION_UI,
    "Eye Diagram Horizontal Settings Position UI",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramHorizontalSettingsPositionUI, NULL,
    "EYE{EyeDiagram}:HOR:UINT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_SCALE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_SCALE,
    "Eye Diagram Vertical Settings Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramVerticalSettingsScale, NULL,
    "EYE{EyeDiagram}:VERT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_OFFSET =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_OFFSET,
    "Eye Diagram Vertical Settings Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramVerticalSettingsOffset, NULL,
    "EYE{EyeDiagram}:VERT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_POSITION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_POSITION,
    "Eye Diagram Vertical Settings Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramVerticalSettingsPosition, NULL,
    "EYE{EyeDiagram}:VERT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MAX_SLICES_PER_ACQUISITION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MAX_SLICES_PER_ACQUISITION,
    "Eye Diagram Max Slices Per Acquisition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngEyeDiagramMaxSlicesPerAcquisition, NULL,
    "EYE{EyeDiagram}:MSL",
    // Defaults I32, I64, Float, Bool, String
    2000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_EYE_STRIPE_DISPLAY_MODE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_EYE_STRIPE_DISPLAY_MODE,
    "Eye Diagram Eye Stripe Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramEyeStripeDisplayMode, NULL, NULL,
    "EYE{EyeDiagram}:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_DIAGRAM_DISPLAY_MODE_MASK_TEST_ONLY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_INFINITE_PERSISTENCE_STATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_INFINITE_PERSISTENCE_STATE,
    "Eye Diagram Infinite Persistence State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:DISP:PERS:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_PERSISTENCE_RESET =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_PERSISTENCE_RESET,
    "Eye Diagram Persistence Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:DISP:PERS:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_DISPLAY_PERSISTENCE_STATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_DISPLAY_PERSISTENCE_STATE,
    "Eye Diagram Display Persistence State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:DISP:PERS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_DISPLAY_PERSISTENCE_TIME =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_DISPLAY_PERSISTENCE_TIME,
    "Eye Diagram Display Persistence Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngEyeDiagramDisplayPersistenceTime, NULL,
    "EYE{EyeDiagram}:DISP:PERS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_STATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_STATE,
    "Eye Diagram Gate State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:GATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_COUPLING_MODE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_COUPLING_MODE,
    "Eye Diagram Gate Coupling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramGateCouplingMode, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_GATE_COUPLING_MODE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_MODE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_MODE,
    "Eye Diagram Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_ABSOLUTE_START =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_ABSOLUTE_START,
    "Eye Diagram Gate Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_ABSOLUTE_STOP =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_ABSOLUTE_STOP,
    "Eye Diagram Gate Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_RELATIVE_START =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_RELATIVE_START,
    "Eye Diagram Gate Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_RELATIVE_STOP =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_RELATIVE_STOP,
    "Eye Diagram Gate Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_CURSOR =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_GATE_CURSOR,
    "Eye Diagram Gate Cursor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCursor, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:GATE:CURS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_STATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_STATE,
    "Eye Diagram Signal State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:SIGN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_SOURCE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_SOURCE,
    "Eye Diagram Signal Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeDiagramSource, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:SIGN:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_CONDITION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_CONDITION,
    "Eye Diagram Signal Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEyeDiagramSignalCondition, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:SIGN:COND",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COND_GT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_VERTICAL_REFERENCE_LEVEL =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_VERTICAL_REFERENCE_LEVEL,
    "Eye Diagram Signal Vertical Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramVerticalReferenceLevel, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:SIGN:LSEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REF_LEVEL_MIDDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_VERTICAL_REFERENCE_LEVEL_STOP =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_VERTICAL_REFERENCE_LEVEL_STOP,
    "Eye Diagram Signal Vertical Reference Level Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramVerticalReferenceLevel, NULL, NULL,
    "EYE{EyeDiagram}:QUAL:SIGN:LSLT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REF_LEVEL_MIDDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_STATE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_STATE,
    "Eye Diagram Filter State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:FILT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE,
    "Eye Diagram Filter Bit Sequence Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramFilterBitSequenceMode, NULL, NULL,
    "EYE{EyeDiagram}:FILT:BPAT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE_ALL_BITS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_CENTER_BIT =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_CENTER_BIT,
    "Eye Diagram Filter Pattern Center Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngBitState, NULL, NULL,
    "EYE{EyeDiagram}:FILT:BPAT:CENT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BIT_STATE_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_SHIFT_BIT_LEFT =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_SHIFT_BIT_LEFT,
    "Eye Diagram Filter Pattern Shift Bit Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:FILT:BPAT:SLEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_SHIFT_BIT_RIGHT =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_SHIFT_BIT_RIGHT,
    "Eye Diagram Filter Pattern Shift Bit Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:FILT:BPAT:SRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_FRAME_TYPE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_FRAME_TYPE,
    "Eye Diagram Filter Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngEyeDiagramDDRFrameFilter, NULL, NULL,
    "EYE{EyeDiagram}:FILT:DDR:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DDR_FRAME_FILTER_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_LENGTH_ERRORS =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_LENGTH_ERRORS,
    "Eye Diagram Filter Length Errors",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:FILT:DDR:LEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_RESET =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_RESET,
    "Eye Diagram Filter Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:FILT:BPAT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_BITS_COUNT =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_BITS_COUNT,
    "Eye Diagram Results Bits Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:RES:SLIC:COUN?",
    // Defaults I32, I64, Float, Bool, String
    57,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_LAST_POSITION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_LAST_POSITION,
    "Eye Diagram Results Last Slice Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:RES:SLIC:LPOS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.8973E-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_BIT_POSITION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_BIT_POSITION,
    "Eye Diagram Results Bit Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:RES:SLIC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_TOTAL_NUMBER_OF_ACQUISITIONS =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_TOTAL_NUMBER_OF_ACQUISITIONS,
    "Eye Diagram Results Total Number of Acquisitions",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:RES:TACQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_TOTAL_NUMBER_OF_SLICES =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_TOTAL_NUMBER_OF_SLICES,
    "Eye Diagram Results Total Number of Slices",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:RES:TSL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_SLICES_COMPLETED =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_SLICES_COMPLETED,
    "Eye Diagram Mask Tests Slices Completed",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:COUN:SLIC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_SLICE_HITS =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_SLICE_HITS,
    "Eye Diagram Mask Tests Slice Hits",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:COUN:FSL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_INDEX =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_INDEX,
    "Eye Diagram Mask Tests Violation Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_COUNT =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_COUNT,
    "Eye Diagram Mask Tests Violation Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:VIOL<Violation>:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameViolationInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_START_TIME =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_START_TIME,
    "Eye Diagram Mask Tests Violation Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MTES:RES:VIOL<Violation>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameViolationReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_STOP_TIME =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_STOP_TIME,
    "Eye Diagram Mask Tests Violation Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MTES:RES:VIOL<Violation>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameViolationReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_SLICE =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_SLICE,
    "Eye Diagram Mask Tests Violation Slice",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MTES:RES:VIOL<Violation>?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    rsscope_formatMaskNameViolationInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_ZOOM_COUPLING =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_ZOOM_COUPLING,
    "Eye Diagram Mask Tests Zoom Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:ZCO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_EYE_DIAGRAM_MASK_TESTS_ZOOM_DIAGRAM =
  {
    RSSCOPE_ATTR_HIDDEN_EYE_DIAGRAM_MASK_TESTS_ZOOM_DIAGRAM,
    "Eye Diagram Mask Tests Zoom Diagram",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:ZDI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'Diagram1\',\'ZoomE1\'",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K91|K93",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EYE_DIAGRAM_MEASUREMENT_MAX_PRECISION =
  {
    RSSCOPE_ATTR_EYE_DIAGRAM_MEASUREMENT_MAX_PRECISION,
    "Eye Diagram Measurement Max Precision",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EYE{EyeDiagram}:MEAS:MAXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_ATTENUATION =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_ATTENUATION,
    "Protocol 100BASE-T1 Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocol100BASE_T1Attenuation, NULL,
    "BUS{SerialBus}:HBTO:ATTN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -26,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_POSITIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_POSITIVE_SOURCE,
    "Protocol 100BASE-T1 Forward Positive Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:HBTO:FDAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_NEGATIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_NEGATIVE_SOURCE,
    "Protocol 100BASE-T1 Forward Negative Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:HBTO:FDAM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_DIFFERENTIAL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_DIFFERENTIAL_SOURCE,
    "Protocol 100BASE-T1 Forward Differential Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:HBTO:FDIF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_SIGNAL_TYPE,
    "Protocol 100BASE-T1 Forward Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalType, NULL, NULL,
    "BUS{SerialBus}:HBTO:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_TYPE_DIFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_POSITIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_POSITIVE_SOURCE,
    "Protocol 100BASE-T1 Reverse Positive Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:HBTO:RDAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C3W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_NEGATIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_NEGATIVE_SOURCE,
    "Protocol 100BASE-T1 Reverse Negative Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:HBTO:RDAM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C4W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_DIFFERENTIAL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_DIFFERENTIAL_SOURCE,
    "Protocol 100BASE-T1 Reverse Differential Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:HBTO:RDIF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_SIGNAL_TYPE,
    "Protocol 100BASE-T1 Reverse Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalReverseType, NULL, NULL,
    "BUS{SerialBus}:HBTO:RTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_TYPE_DIS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_POLARITY,
    "Protocol 100BASE-T1 Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEthernetPolarity, NULL, NULL,
    "BUS{SerialBus}:HBTO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_THRESHOLD =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_THRESHOLD,
    "Protocol 100BASE-T1 Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocol100BASE_T1Threshold, NULL,
    "BUS{SerialBus}:HBTO:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_MODE,
    "Protocol 100BASE-T1 Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalDirection, NULL, NULL,
    "BUS{SerialBus}:HBTO:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO_DIRECTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SYMBOL_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SYMBOL_RATE,
    "Protocol 100BASE-T1 Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocol100BASE_T1SymbolRate, NULL,
    "BUS{SerialBus}:HBTO:SYMR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    66.6667,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_COUNT,
    "Protocol 100BASE-T1 Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SELECTED_FRAME,
    "Protocol 100BASE-T1 Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_STATUS,
    "Protocol 100BASE-T1 Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngProtocol100BASE_T1FrameStatus, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ETHERNET_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_START_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_START_TIME,
    "Protocol 100BASE-T1 Frame Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_STOP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_STOP_TIME,
    "Protocol 100BASE-T1 Frame Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_LENGTH,
    "Protocol 100BASE-T1 Frame Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_CRC =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_CRC,
    "Protocol 100BASE-T1 Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:CRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_DESTINATION =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_DESTINATION,
    "Protocol 100BASE-T1 Frame Destination",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:DEST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_SOURCE,
    "Protocol 100BASE-T1 Frame Source",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:SRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_DESTINATION_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_DESTINATION_LABEL,
    "Protocol 100BASE-T1 Frame Destination Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:DSYM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_SOURCE_LABEL =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_SOURCE_LABEL,
    "Protocol 100BASE-T1 Frame Source Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:SSYM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_BIT_RATE,
    "Protocol 100BASE-T1 Frame Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_TYPE,
    "Protocol 100BASE-T1 Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocol100BASE_T1FrameType, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:FTYP?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_100BASE_T1_FRAME_TYPE_MAC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_NUMBER_OF_WORDS =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_NUMBER_OF_WORDS,
    "Protocol 100BASE-T1 Frame Number Of Words",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:NUMW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1FrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SELECTED_WORD =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SELECTED_WORD,
    "Protocol 100BASE-T1 Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    1,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_TYPE,
    "Protocol 100BASE-T1 Frame Word Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:WORD<Word>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "type",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1WordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_VALUE,
    "Protocol 100BASE-T1 Frame Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:WORD<Word>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1WordRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_STRING_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_STRING_VALUE,
    "Protocol 100BASE-T1 Frame Word String Value",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:HBTO:RES:FRAM<Frame>:WORD<Word>:VSTR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "value",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K57",
    // Callbacks Read, Write, p2Value
    rsscope_Format100BASE_T1WordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_SIGNAL_TYPE,
    "Protocol 1000BASE-T1 Reverse Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalReverseType, NULL, NULL,
    "BUS{SerialBus}:TBTO:RTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_TYPE_DIS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_DIFFERENTIAL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_DIFFERENTIAL_SOURCE,
    "Protocol 1000BASE-T1 Reverse Differential Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:TBTO:RDIF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_POSITIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_POSITIVE_SOURCE,
    "Protocol 1000BASE-T1 Reverse Positive Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:TBTO:RDAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_NEGATIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_NEGATIVE_SOURCE,
    "Protocol 1000BASE-T1 Reverse Negative Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:TBTO:RDAM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_SIGNAL_TYPE,
    "Protocol 1000BASE-T1 Forward Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalType, NULL, NULL,
    "BUS{SerialBus}:TBTO:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_TYPE_DIFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_DIFFERENTIAL_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_DIFFERENTIAL_SOURCE,
    "Protocol 1000BASE-T1 Forward Differential Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:TBTO:FDIF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_POSITIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_POSITIVE_SOURCE,
    "Protocol 1000BASE-T1 Forward Positive Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:TBTO:FDAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_NEGATIVE_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_NEGATIVE_SOURCE,
    "Protocol 1000BASE-T1 Forward Negative Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataSource, NULL, NULL,
    "BUS{SerialBus}:TBTO:FDAM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_ATTENUATION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_ATTENUATION,
    "Protocol 1000BASE-T1 Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocol1000BASE_T1Attenuation, NULL,
    "BUS{SerialBus}:TBTO:ATTN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -26,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_POLARITY =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_POLARITY,
    "Protocol 1000BASE-T1 Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEthernetPolarity, NULL, NULL,
    "BUS{SerialBus}:TBTO:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_MODE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_MODE,
    "Protocol 1000BASE-T1 Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSignalDirection, NULL, NULL,
    "BUS{SerialBus}:TBTO:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_AUTO_DIRECTION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SYMBOL_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SYMBOL_RATE,
    "Protocol 1000BASE-T1 Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngProtocol1000BASE_T1SymbolRate, NULL,
    "BUS{SerialBus}:TBTO:SYMR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    750,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_COUNT =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_COUNT,
    "Protocol 1000BASE-T1 Frame Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SELECTED_FRAME =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SELECTED_FRAME,
    "Protocol 1000BASE-T1 Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_STATUS =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_STATUS,
    "Protocol 1000BASE-T1 Frame Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocol1000BASE_T1FrameStatus, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TBTO_FRAME_STATUS_OK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_START_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_START_TIME,
    "Protocol 1000BASE-T1 Frame Start Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_STOP_TIME =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_STOP_TIME,
    "Protocol 1000BASE-T1 Frame Stop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_LENGTH =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_LENGTH,
    "Protocol 1000BASE-T1 Frame Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_CRC =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_CRC,
    "Protocol 1000BASE-T1 Frame CRC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:CRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DATA_BYTES_RAWSTRING =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DATA_BYTES_RAWSTRING,
    "Protocol 1000BASE-T1 Frame Data Bytes RawString",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DESTINATION =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DESTINATION,
    "Protocol 1000BASE-T1 Frame Destination",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:DEST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DESTINATION_SYMBOLS =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DESTINATION_SYMBOLS,
    "Protocol 1000BASE-T1 Frame Destination Symbols",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:DSYM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_SOURCE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_SOURCE,
    "Protocol 1000BASE-T1 Frame Source",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:SRC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_SOURCE_SYMBOLS =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_SOURCE_SYMBOLS,
    "Protocol 1000BASE-T1 Frame Source Symbols",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:SSYM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_BIT_RATE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_BIT_RATE,
    "Protocol 1000BASE-T1 Frame Bit Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:BITR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_TYPE,
    "Protocol 1000BASE-T1 Frame Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngProtocol1000BASE_T1FrameType, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:FTYP?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TBTO_FRAME_TYPE_MAC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_NUMBER_OF_WORDS =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_NUMBER_OF_WORDS,
    "Protocol 1000BASE-T1 Frame Number Of Words",
    RS_VAL_READ_ONLY,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:NUMW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1FrameRepCapInt64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SELECTED_WORD =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SELECTED_WORD,
    "Protocol 1000BASE-T1 Selected Word",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    1,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_WORD_TYPE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_WORD_TYPE,
    "Protocol 1000BASE-T1 Frame Word Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:WORD<Word>:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1WordRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_WORD_VALUE =
  {
    RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_WORD_VALUE,
    "Protocol 1000BASE-T1 Frame Word Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:TBTO:RES:FRAM<Frame>:WORD<Word>:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K58",
    // Callbacks Read, Write, p2Value
    rsscope_Format1000BASE_T1WordRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_MODE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_MODE,
    "Power Analysis Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE,
    "Power Analysis Voltage Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisSource, NULL, NULL,
    "POW:SOUR:VOLT{SourceNumber}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_CURRENT_SOURCE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_CURRENT_SOURCE,
    "Power Analysis Current Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisSource, NULL, NULL,
    "POW:SOUR:CURR{SourceNumber}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_SOURCE_CH1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_START_DESKEW =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_START_DESKEW,
    "Power Analysis Start Deskew",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DESK:EXEC;*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_RESET =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_RESET,
    "Power Analysis Deskew Reset",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:DESK:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_TIME =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_TIME,
    "Power Analysis Deskew Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DESK:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_CURRENT =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_CURRENT,
    "Power Analysis Deskew Current",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DESK:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_USER_DEFINED_RESET =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_USER_DEFINED_RESET,
    "Power Analysis Deskew User Defined Reset",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:DESK:UDPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSE_PROBE_MODE =
  {
    RSSCOPE_ATTR_POWER_ANALYSE_PROBE_MODE,
    "Power Analyse Probe Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalyseProbeMode, NULL, NULL,
    "PROB{Channel}:SET:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PA_PROBE_MODE_DIFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_DUT_NAME =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_DUT_NAME,
    "Power Analysis DUT Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:DUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_USER =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_USER,
    "Power Analysis User",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "user",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_SITE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_SITE,
    "Power Analysis Site",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:SITE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "site",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_TEMPERATURE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_TEMPERATURE,
    "Power Analysis Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:REP:TEMP",
    // Defaults I32, I64, Float, Bool, String
    25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_DESCRIPTION =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_DESCRIPTION,
    "Power Analysis Description",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:DESC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "description",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_ADD =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_ADD,
    "Power Analysis Report Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisMeasurementType, NULL, NULL,
    "POW:REP:TEST:ADD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_MEAS_QUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_ALL =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_ALL,
    "Power Analysis Report Select All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisMeasurementType, NULL, NULL,
    "POW:REP:TEST:SEA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_MEAS_QUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_NONE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_NONE,
    "Power Analysis Report Deselect All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisMeasurementType, NULL, NULL,
    "POW:REP:TEST:DSEA",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_MEAS_QUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_REMOVE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_REMOVE,
    "Power Analysis Report Remove Selected",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisMeasurementType, NULL, NULL,
    "POW:REP:TEST:RSE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_MEAS_QUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_INVERT =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_INVERT,
    "Power Analysis Report Invert Selection",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisMeasurementType, NULL, NULL,
    "POW:REP:TEST:ISE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_MEAS_QUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_NEW =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_NEW,
    "Power Analysis Report File New",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:REP:FILE:NEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_NAME =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_NAME,
    "Power Analysis Report File Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:FILE:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_SAVE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_SAVE,
    "Power Analysis Report File Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:REP:FILE:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_DELETE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_DELETE,
    "Power Analysis Report File Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:REP:FILE:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_PAPER_SIZE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_PAPER_SIZE,
    "Power Analysis Report Paper Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportPaperSize, NULL, NULL,
    "POW:REP:PAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_PAPER_A4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT,
    "Power Analysis Report Font",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportFont, NULL, NULL,
    "POW:REP:FONT:FAMI",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_FONT_ARIAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT_SIZE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT_SIZE,
    "Power Analysis Report Font Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngPowerAnalysisReportFontSize, NULL,
    "POW:REP:FONT:SIZE",
    // Defaults I32, I64, Float, Bool, String
    12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT_COLOR =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT_COLOR,
    "Power Analysis Report Font Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:REP:FONT:COLO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_LOGO =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_LOGO,
    "Power Analysis Report Logo",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:REP:LOGO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "logo",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_INV_COLOR =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_INV_COLOR,
    "Power Analysis Report Invert Scr Color",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:REP:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_TITLE =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_TITLE,
    "Power Analysis Report Content Title",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:REP:CONT:TITL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_MSETUP =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_MSETUP,
    "Power Analysis Report Content Measurement Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:MSET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_SETTINGS =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_SETTINGS,
    "Power Analysis Report Content Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:SETT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_VSETUP =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_VSETUP,
    "Power Analysis Report Content Vertical Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:VSET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_HSETUP =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_HSETUP,
    "Power Analysis Report Content Horizontal Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:HSET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_TSETUP =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_TSETUP,
    "Power Analysis Report Content Trigger Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:TSET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_MEAS =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_MEAS,
    "Power Analysis Report Content Measured Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:MSIG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_RESULTS =
  {
    RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_RESULTS,
    "Power Analysis Report Content Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportContentSetup, NULL, NULL,
    "POW:REP:CONT:RESU",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_REPORT_CONTENT_ONCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_QUALITY_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_QUALITY_MEASUREMENT,
    "Start Power Quality Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:QUAL:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_QUALITY_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_QUALITY_FREQUENCY,
    "Power Quality Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerQualityFrequency, NULL, NULL,
    "POW:QUAL:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_QUALITY_F50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_QUALITY_CUSTOM_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_QUALITY_CUSTOM_FREQUENCY,
    "Power Quality Custom Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerQualityCustomFrequency, NULL,
    "POW:QUAL:FCUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    16.666,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_QUALITY_SCALING =
  {
    RSSCOPE_ATTR_POWER_QUALITY_SCALING,
    "Power Quality Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:QUAL:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_QUALITY_ADD =
  {
    RSSCOPE_ATTR_POWER_QUALITY_ADD,
    "Power Quality Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:QUAL:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_CURRENT_HARMONICS =
  {
    RSSCOPE_ATTR_START_POWER_CURRENT_HARMONICS,
    "Start Power Current Harmonics Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:HARM:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_STANDARD =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_STANDARD,
    "Power Current Harmonics Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsStandard, NULL, NULL,
    "POW:HARM:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_ENA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EN_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EN_FREQUENCY,
    "Power Current Harmonics EN Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsFrequency, NULL, NULL,
    "POW:HARM:ENFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_MI_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_MI_FREQUENCY,
    "Power Current Harmonics MI Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsFrequency, NULL, NULL,
    "POW:HARM:MIFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_DO_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_DO_FREQUENCY,
    "Power Current Harmonics DO Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsFrequency, NULL, NULL,
    "POW:HARM:DOFR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_FREQ_F400,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EVALUATION =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EVALUATION,
    "Power Current Harmonics Evaluation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsEvaluation, NULL, NULL,
    "POW:HARM:EVAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_EVAL_NOREVISED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EVALUATION_VOLT =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EVALUATION_VOLT,
    "Power Current Harmonics Evaluation Voltage",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsVoltageResultsDisplay, NULL, NULL,
    "POW:HARM:VOLT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_NOVOLTDISP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_SCALING =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_SCALING,
    "Power Current Harmonics Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:HARM:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_ADD =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_ADD,
    "Power Current Harmonics Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:HARM:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_USED_STANDARD =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_USED_STANDARD,
    "Power Current Harmonics Used Standard",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngPowerCurrentHarmonicsStandard, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:STD?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURRENT_HARMONICS_STANDARD_ENA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_FREQUENCY,
    "Power Current Harmonics Result Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:FREQ{ResultHarmonics}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_MAX =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_MAX,
    "Power Current Harmonics Result Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:MAXV{ResultHarmonics}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_STD =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_STD,
    "Power Current Harmonics Result Standard Limit",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:STDV{ResultHarmonics}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_VALUE =
  {
    RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_VALUE,
    "Power Current Harmonics Result Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:HARM:RES{ResultNumber}:VAL{ResultHarmonics}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT,
    "Start Power Inrush Current Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:INR:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_MAX =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_MAX,
    "Power Inrush Current Max Current",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerInrushCurrentMaxCurrent, NULL,
    "POW:INR:MAXC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_TRIGGER =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_TRIGGER,
    "Power Inrush Current Trigger",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerInrushCurrentTrigger, NULL,
    "POW:INR:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_ADD =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_ADD,
    "Power Inrush Current Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:INR:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_ADD =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_ADD,
    "Power Inrush Current Gate Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:INR:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_INS =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_INS,
    "Power Inrush Current Gate Insert",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:INR:INS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_REMOVE =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_REMOVE,
    "Power Inrush Current Gate Remove",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:INR:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_COUNT =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_COUNT,
    "Power Inrush Current Gate Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:INR:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_VALUE =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_VALUE,
    "Power Inrush Current Gate Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerInrushCurrentGateValue, NULL,
    "POW:INR:GATE{Gate}:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_START =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_START,
    "Power Inrush Current Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerInrushCurrentGateMeasTime, NULL,
    "POW:INR:GATE{Gate}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_STOP =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_STOP,
    "Power Inrush Current Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerInrushCurrentGateMeasTime, NULL,
    "POW:INR:GATE{Gate}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_RESULT_VALUE =
  {
    RSSCOPE_ATTR_POWER_INRUSH_CURRENT_RESULT_VALUE,
    "Power Inrush Current Result Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:INR:GATE{Gate}:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_RIPPLE_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_RIPPLE_MEASUREMENT,
    "Start Power Ripple Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:RIPP:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_RIPPLE_CURRENT_ENABLED =
  {
    RSSCOPE_ATTR_POWER_RIPPLE_CURRENT_ENABLED,
    "Power Ripple Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:RIPP:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_RIPPLE_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_RIPPLE_FREQUENCY,
    "Power Ripple Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerSwitchingFrequency, NULL,
    "POW:RIPP:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_RIPPLE_SCALING =
  {
    RSSCOPE_ATTR_POWER_RIPPLE_SCALING,
    "Power Ripple Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:RIPP:AUT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_RIPPLE_ADD =
  {
    RSSCOPE_ATTR_POWER_RIPPLE_ADD,
    "Power Ripple Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:RIPP:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_SPECTRUM_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_SPECTRUM_MEASUREMENT,
    "Start Power Spectrum Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SPEC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SPECTRUM_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_SPECTRUM_FREQUENCY,
    "Power Spectrum Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerSwitchingFrequency, NULL,
    "POW:SPEC:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SPECTRUM_SCALING =
  {
    RSSCOPE_ATTR_POWER_SPECTRUM_SCALING,
    "Power Spectrum Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:SPEC:AUT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SPECTRUM_ADD =
  {
    RSSCOPE_ATTR_POWER_SPECTRUM_ADD,
    "Power Spectrum Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SPEC:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_RESULT_COUNT =
  {
    RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_RESULT_COUNT,
    "Result Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SPEC:RCO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY_RESULT =
  {
    RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY_RESULT,
    "Power Spectrum Measurement Frequency Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SPEC:RES{ResultNumber}:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_LEVEL_RESULT =
  {
    RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_LEVEL_RESULT,
    "Power Spectrum Measurement Level Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SPEC:RES{ResultNumber}:LEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_SLEW_RATE_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_SLEW_RATE_MEASUREMENT,
    "Start Power Slew Rate Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SLEW:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SLEW_RATE_SOURCE =
  {
    RSSCOPE_ATTR_POWER_SLEW_RATE_SOURCE,
    "Power Slew Rate Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerSource, NULL, NULL,
    "POW:SLEW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SOURCE_VOLTAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SLEW_RATE_AVERAGE =
  {
    RSSCOPE_ATTR_POWER_SLEW_RATE_AVERAGE,
    "Power Slew Rate Average",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SLEW:AVGD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SLEW_RATE_SCALING =
  {
    RSSCOPE_ATTR_POWER_SLEW_RATE_SCALING,
    "Power Slew Rate Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:SLEW:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SLEW_RATE_ADD =
  {
    RSSCOPE_ATTR_POWER_SLEW_RATE_ADD,
    "Power Slew Rate Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SLEW:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SLEW_RATE_GATE_START =
  {
    RSSCOPE_ATTR_POWER_SLEW_RATE_GATE_START,
    "Power Slew Rate Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SLEW:GATE:STARt",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SLEW_RATE_GATE_STOP =
  {
    RSSCOPE_ATTR_POWER_SLEW_RATE_GATE_STOP,
    "Power Slew Rate Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SLEWrate:GATE:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT,
    "Start Power Safe Operating Area Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_MASK_TEST =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_MASK_TEST,
    "Safe Operating Area Mask Test",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SOA:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_SCALE =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_SCALE,
    "Safe Operating Area Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerSafeOperatingAreaScale, NULL, NULL,
    "POW:SOA:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SCALE_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_SWITCH =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_SWITCH,
    "Safe Operating Area Switch",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerSafeOperatingAreaSwitch, NULL, NULL,
    "POW:SOA:SWIT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SCALE_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_ADD =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_ADD,
    "Safe Operating Area Linear Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:LIN:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_INS =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_INS,
    "Safe Operating Area Linear Insert",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LIN:INS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_REMOVE =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_REMOVE,
    "Safe Operating Area Linear Remove",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LIN:REM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_COUNT =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_COUNT,
    "Safe Operating Area Linear Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LIN:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_ADD =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_ADD,
    "Safe Operating Area Logarithmic Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:LOG:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_INS =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_INS,
    "Safe Operating Area Logarithmic Insert",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LOG:INS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_REMOVE =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_REMOVE,
    "Safe Operating Area Logarithmic Remove",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LOG:REM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_COUNT =
  {
    RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_COUNT,
    "Safe Operating Area Logarithmic Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "POW:SOA:LOG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SAFE_OPERATING_AREA_ADD =
  {
    RSSCOPE_ATTR_POWER_SAFE_OPERATING_AREA_ADD,
    "Safe Operating Area Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SOA:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_MODULATION_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_MODULATION_MEASUREMENT,
    "Start Power Modulation Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:MOD:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_MODULATION_TYPE =
  {
    RSSCOPE_ATTR_POWER_MODULATION_TYPE,
    "Power Modulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerModulationType, NULL, NULL,
    "POW:MOD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MODULATION_TYPE_CONT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_MODULATION_SOURCE =
  {
    RSSCOPE_ATTR_POWER_MODULATION_SOURCE,
    "Power Modulation Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerSource, NULL, NULL,
    "POW:MOD:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SOURCE_VOLTAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_MODULATION_SCALING =
  {
    RSSCOPE_ATTR_POWER_MODULATION_SCALING,
    "Power Modulation Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:MOD:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_MODULATION_HISTOGRAM =
  {
    RSSCOPE_ATTR_POWER_MODULATION_HISTOGRAM,
    "Power Modulation Histogram",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:MOD:DHIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_MODULATION_ADD =
  {
    RSSCOPE_ATTR_POWER_MODULATION_ADD,
    "Power Modulation Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:MOD:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT,
    "Start Power Dynamic On Resistance Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DONR:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_AVERAGE =
  {
    RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_AVERAGE,
    "Power Dynamic On Resistance Average",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:DONR:AVG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_SCALING =
  {
    RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_SCALING,
    "Power Dynamic On Resistance Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:DONR:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_ADD =
  {
    RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_ADD,
    "Power Dynamic On Resistance Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:DONR:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_GATE_START =
  {
    RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_GATE_START,
    "Power Dynamic On Resistance Gate Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DONR:GATE{Gate}:START",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_GATE_STOP =
  {
    RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_GATE_STOP,
    "Power Dynamic On Resistance Gate Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DONR:GATE{Gate}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_RESULT =
  {
    RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_RESULT,
    "Power Dynamic On Resistance Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:DONR:RES:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_EFFICIENCY_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_EFFICIENCY_MEASUREMENT,
    "Start Power Efficiency Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:EFF:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_EFFICIENCY_SCALING =
  {
    RSSCOPE_ATTR_POWER_EFFICIENCY_SCALING,
    "Power Efficiency Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:EFF:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_EFFICIENCY_ADD =
  {
    RSSCOPE_ATTR_POWER_EFFICIENCY_ADD,
    "Power Efficiency Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:EFF:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT,
    "Start Power Switchingloss Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SWIT:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TON_STATE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TON_STATE,
    "Power Switchingloss Turn On State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SWIT:TON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TOF_STATE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TOF_STATE,
    "Power Switchingloss Turn Off State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SWIT:TOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_CONDUCTION_STATE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_CONDUCTION_STATE,
    "Power Switchingloss Conduction State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SWIT:COND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_NON_CONDUCTION_STATE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_NON_CONDUCTION_STATE,
    "Power Switchingloss Non Conduction State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SWIT:NCON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TOTAL_STATE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TOTAL_STATE,
    "Power Switchingloss Total State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SWIT:TOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SWITCHING_FREQUENCY_STATE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SWITCHING_FREQUENCY_STATE,
    "Power Switchingloss Switching Frequency State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:SWIT:SWIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SWITCHING_FREQUENCY_VALUE =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SWITCHING_FREQUENCY_VALUE,
    "Power Switchingloss Switching Frequency Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerSwitchinglossSwitchingFrequencyValue, NULL,
    "POW:SWIT:SWIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SCALING =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SCALING,
    "Power Switchingloss Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:SWIT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_ADD =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_ADD,
    "Power Switchingloss Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:SWIT:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_CONDUCTION_START =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_CONDUCTION_START,
    "Power Switchingloss Gate Conduction Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:COND:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_CONDUCTION_STOP =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_CONDUCTION_STOP,
    "Power Switchingloss Gate Conduction Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:COND:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_NO_CONDUCTION_START =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_NO_CONDUCTION_START,
    "Power Switchingloss Gate No Conduction Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:NCON:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_NO_CONDUCTION_STOP =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_NO_CONDUCTION_STOP,
    "Power Switchingloss Gate No Conduction Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:NCON:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_ON_START =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_ON_START,
    "Power Switchingloss Gate Turn On Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TON:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_ON_STOP =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_ON_STOP,
    "Power Switchingloss Gate Turn On Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TON:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_OFF_START =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_OFF_START,
    "Power Switchingloss Gate Turn Off Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TOFF:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_OFF_STOP =
  {
    RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_OFF_STOP,
    "Power Switchingloss Gate Turn Off Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:SWIT:GATE:TOFF:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_ON_OFF_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_ON_OFF_MEASUREMENT,
    "Start Power On Off Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ONOF:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_OFF_TYPE =
  {
    RSSCOPE_ATTR_POWER_ON_OFF_TYPE,
    "On Off Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngOnOffType, NULL, NULL,
    "POW:ONOF:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ON_OFF_TYPE_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_OFF_TIME =
  {
    RSSCOPE_ATTR_POWER_ON_OFF_TIME,
    "On Off Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffTime, NULL,
    "POW:ONOF:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_STEADY_STATE_LEVEL =
  {
    RSSCOPE_ATTR_POWER_ON_STEADY_STATE_LEVEL,
    "On Steady State Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffSteadyStateLevel, NULL,
    "POW:ONOF:DSON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_OFF_STEADY_STATE_LEVEL =
  {
    RSSCOPE_ATTR_POWER_OFF_STEADY_STATE_LEVEL,
    "Off Steady State Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffSteadyStateLevel, NULL,
    "POW:ONOF:DSOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_POWER_ON_TRIGGER_LEVEL,
    "On Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffTriggerLevel, NULL,
    "POW:ONOF:ATON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_TRIGGER_LEVEL_DC =
  {
    RSSCOPE_ATTR_POWER_ON_TRIGGER_LEVEL_DC,
    "On Trigger Level DC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffTriggerLevel, NULL,
    "POW:ONOF:DTON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_OFF_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_POWER_OFF_TRIGGER_LEVEL,
    "Off Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffTriggerLevel, NULL,
    "POW:ONOF:ATOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_OFF_TRIGGER_LEVEL_DC =
  {
    RSSCOPE_ATTR_POWER_OFF_TRIGGER_LEVEL_DC,
    "Off Trigger Level DC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngOnOffTriggerLevel, NULL,
    "POW:ONOF:DTOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_OFF_ADD =
  {
    RSSCOPE_ATTR_POWER_ON_OFF_ADD,
    "On Off Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ONOF:REP:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_OFF_INPUT_TYPE =
  {
    RSSCOPE_ATTR_POWER_ON_OFF_INPUT_TYPE,
    "On Off Input Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngOnOffInputType, NULL, NULL,
    "POW:ONOF:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ON_OFF_INPUT_TYPE_AC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_ON_RESULT =
  {
    RSSCOPE_ATTR_POWER_ON_RESULT,
    "Turn On Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ONOF:RES:TON?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_OFF_RESULT =
  {
    RSSCOPE_ATTR_POWER_OFF_RESULT,
    "Turn Off Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:ONOF:RES:TOFF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT =
  {
    RSSCOPE_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT,
    "Start Power Transient Response Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:TRAN:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_INPUT_STATE =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_INPUT_STATE,
    "Transient Response Input State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:TRAN:INP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_SOURCE =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_SOURCE,
    "Transient Response Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTransientResponseTriggerSource, NULL, NULL,
    "POW:TRAN:TRGC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_TR_TRIGGER_CHAN1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_LEVEL =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_LEVEL,
    "Transient Response Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngTriggerLevel, NULL,
    "POW:TRAN:TRGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_SLOPE =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_SLOPE,
    "Transient Response Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "POW:TRAN:TRGS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TUBE_TOLERANCE =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TUBE_TOLERANCE,
    "Transient Response Tube Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngTransientResponseTubeTolerance, NULL,
    "POW:TRAN:HYST",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH,
    "Transient Response Signal High",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTransientResponseSignal, NULL,
    "POW:TRAN:SIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW,
    "Transient Response Signal Low",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTransientResponseSignal, NULL,
    "POW:TRAN:SIGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_FREQUENCY =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_FREQUENCY,
    "Transient Response Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPowerSwitchingFrequency, NULL,
    "POW:TRAN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SCALING =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SCALING,
    "Power Transient Response Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerScaling, NULL, NULL,
    "POW:TRAN:AUT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_SCALING_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_ADD =
  {
    RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_ADD,
    "Transient Response Add To Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POWer:TRANsient:REPort:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_STATE =
  {
    RSSCOPE_ATTR_DEEMBEDDING_STATE,
    "Deembedding State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEEM{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_EFFECTIVE_BANDWIDTH =
  {
    RSSCOPE_ATTR_DEEMBEDDING_EFFECTIVE_BANDWIDTH,
    "Deembedding Effective Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngDeembeddingEffectiveBandwidth, NULL,
    "DEEM{Channel}:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_DELAY_COMPENSATION =
  {
    RSSCOPE_ATTR_DEEMBEDDING_DELAY_COMPENSATION,
    "Deembedding Delay Compensation",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEEM{Channel}:CMPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_REALTIME_ENABLED =
  {
    RSSCOPE_ATTR_DEEMBEDDING_REALTIME_ENABLED,
    "Deembedding Realtime Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEEM{Channel}:REAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K122",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_REMOVE_COMPONENT =
  {
    RSSCOPE_ATTR_DEEMBEDDING_REMOVE_COMPONENT,
    "Deembedding Remove Component",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DEEM{Channel}:REM",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_COUNT =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_COUNT,
    "Deembedding Component Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DEEM{Channel}:CCO?",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_SETTINGS_FILE_NAME =
  {
    RSSCOPE_ATTR_DEEMBEDDING_SETTINGS_FILE_NAME,
    "Deembedding Settings File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DEEM{Channel}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.xml",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_SAVE_SETTINGS =
  {
    RSSCOPE_ATTR_DEEMBEDDING_SAVE_SETTINGS,
    "Deembedding Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEEM{Channel}:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_LOAD_SETTINGS =
  {
    RSSCOPE_ATTR_DEEMBEDDING_LOAD_SETTINGS,
    "Deembedding Load Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEEM{Channel}:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_DELETE_SETTINGS =
  {
    RSSCOPE_ATTR_DEEMBEDDING_DELETE_SETTINGS,
    "Deembedding Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEEM{Channel}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_PRESET =
  {
    RSSCOPE_ATTR_DEEMBEDDING_PRESET,
    "Deembedding Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEEM{Channel}:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_SELECTED_COMPONENT =
  {
    RSSCOPE_ATTR_DEEMBEDDING_SELECTED_COMPONENT,
    "Deembedding Selected Component",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_STATE =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_STATE,
    "Deembedding Component State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEEM{Channel}:COMP<Component>",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapBoolean_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_TYPE =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_TYPE,
    "Deembedding Component Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembedingComponentType, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_TYPE_CABLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_NAME =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_NAME,
    "Deembedding Component Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cable",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapString_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_PORT_COUNT =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_PORT_COUNT,
    "Deembedding Component Port Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentPort, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:PCO?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_MODE =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_MODE,
    "Deembedding Component Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentMode, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_MODE_PROBING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_REMOVE_PROBE_LOADING =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_REMOVE_PROBE_LOADING,
    "Deembedding Component Remove Probe Loading",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:LOAD:REMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapBoolean_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE,
    "Deembedding Component Impedance Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentImpedanceType, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:LOAD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IMPEDANCE =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IMPEDANCE,
    "Deembedding Component Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:LOAD:IMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapReal64_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IDENTICAL_PATHS =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IDENTICAL_PATHS,
    "Deembedding Component Identical Paths",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapBoolean_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_INPUT_PORT_1 =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_INPUT_PORT_1,
    "Deembedding Component Input Port 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentPort, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:IPON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_INPUT_PORT_2 =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_INPUT_PORT_2,
    "Deembedding Component Input Port 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentPort, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:IPTW",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_OUTPUT_PORT_1 =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_OUTPUT_PORT_1,
    "Deembedding Component Output Port 1",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentPort, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:OPON",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_OUTPUT_PORT_2 =
  {
    RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_OUTPUT_PORT_2,
    "Deembedding Component Output Port 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDeembeddingComponentPort, NULL, NULL,
    "DEEM{Channel}:COMP<Component>:OPTW",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DEEMBEDDING_COMPONENT_PORT_4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    rsscope_FormatDeembeddingComponentRepCapInt32_ReadCallback,
    rsscope_FormatDeembeddingComponentRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_ATTENUATION_DC =
  {
    RSSCOPE_ATTR_DEEMBEDDING_ATTENUATION_DC,
    "Deembedding Attenuation DC",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DEEM{Channel}:CADC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_ATTENUATION_MAX =
  {
    RSSCOPE_ATTR_DEEMBEDDING_ATTENUATION_MAX,
    "Deembedding Attenuation Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DEEM{Channel}:MATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DEEMBEDDING_GAIN_MAX =
  {
    RSSCOPE_ATTR_DEEMBEDDING_GAIN_MAX,
    "Deembedding Gain Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DEEM{Channel}:MGA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K121",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TRIGGER_TYPE =
  {
    RSSCOPE_ATTR_MSO_TRIGGER_TYPE,
    "MSO Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOTriggerType, NULL, NULL,
    "TRIG:PAR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_EDGE_TRIGGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TRIGGER_SOURCE =
  {
    RSSCOPE_ATTR_MSO_TRIGGER_SOURCE,
    "MSO Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOTriggerSource, NULL, NULL,
    "TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_EDGE_TRIGGER_EXPRESSION =
  {
    RSSCOPE_ATTR_MSO_EDGE_TRIGGER_EXPRESSION,
    "MSO Edge Trigger Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:EDGE:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D1 and D2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_EDGE_TRIGGER_SLOPE =
  {
    RSSCOPE_ATTR_MSO_EDGE_TRIGGER_SLOPE,
    "MSO Edge Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIG:PAR:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_EXPRESSION =
  {
    RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_EXPRESSION,
    "MSO Width Trigger Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:WIDT:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D1 and D2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_POLARITY =
  {
    RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_POLARITY,
    "MSO Width Trigger Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIGger1:PAR:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_CONDITION =
  {
    RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_CONDITION,
    "MSO Width Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "TRIGger1:PAR:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_WIDTH =
  {
    RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_WIDTH,
    "MSO Width Trigger Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOWidth, NULL,
    "TRIGger1:PAR:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_DELTA =
  {
    RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_DELTA,
    "MSO Width Trigger Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOWidthDelta, NULL,
    "TRIGger1:PAR:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_EXPRESSION =
  {
    RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_EXPRESSION,
    "MSO Timeout Trigger Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:TIM:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D1 and D2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_VALUE =
  {
    RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_VALUE,
    "MSO Timeout Trigger Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOTimeoutPattern, NULL,
    "TRIGger1:PAR:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_CONDITION =
  {
    RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_CONDITION,
    "MSO Timeout Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOTimeoutCondition, NULL, NULL,
    "TRIGger1:PAR:TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_TIMEOUT_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_CLOCK_SOURCE,
    "MSO Data2Clock Trigger Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOClockSource, NULL, NULL,
    "TRIG1:PAR:SETH:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_CLOCK_EDGE =
  {
    RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_CLOCK_EDGE,
    "MSO Data2Clock Trigger Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIG1:PAR:SETH:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_HOLD_TIME =
  {
    RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_HOLD_TIME,
    "MSO Data2Clock Trigger Hold Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOData2ClockTime, NULL,
    "TRIG1:PAR:SETH:HTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_SETUP_TIME =
  {
    RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_SETUP_TIME,
    "MSO Data2Clock Trigger SetupTime",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOData2ClockTime, NULL,
    "TRIG1:PAR:SETH:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_EXPRESSION =
  {
    RSSCOPE_ATTR_MSO_STATE_TRIGGER_EXPRESSION,
    "MSO State Trigger Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:STAT:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D1 and D2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_MSO_STATE_TRIGGER_CLOCK_SOURCE,
    "MSO State Trigger Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOClockSource, NULL, NULL,
    "TRIGger1:PAR:STAT:CSO:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_CLOCK_EDGE =
  {
    RSSCOPE_ATTR_MSO_STATE_TRIGGER_CLOCK_EDGE,
    "MSO State Trigger Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIGger1:PAR:STAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_CHANNEL_STATUS_BIT =
  {
    RSSCOPE_ATTR_MSO_STATE_TRIGGER_CHANNEL_STATUS_BIT,
    "MSO State Trigger Channel Status Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOTriggerChannelState, NULL, NULL,
    "TRIGger1:PAR:STAT:BIT{DigitalChannel}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_EXPRESSION =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_EXPRESSION,
    "MSO Pattern Trigger Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:PATT:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D1 and D2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_MODE =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_MODE,
    "MSO Pattern Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOPatternMode, NULL, NULL,
    "TRIGger1:PAR:PATT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_TIMEOUT_MODE =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_TIMEOUT_MODE,
    "MSO Pattern Trigger Timeout Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOPatternTimeoutMode, NULL, NULL,
    "TRIGger1:PAR:PATT:TIM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_TIMEOUT_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_TIMEOUT =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_TIMEOUT,
    "MSO Pattern Trigger Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOTimeoutPattern, NULL,
    "TRIGger1:PAR:PATT:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_WIDTH =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_WIDTH,
    "MSO Pattern Trigger Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOTimeoutPattern, NULL,
    "TRIGger1:PAR:PATT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_DELTA =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_DELTA,
    "MSO Pattern Trigger Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOWidthDelta, NULL,
    "TRIGger1:PAR:PATT:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500e-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_CONDITION =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_CONDITION,
    "MSO Pattern Trigger Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWidthCondition, NULL, NULL,
    "TRIGger1:PAR:PATT:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WITHIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_CHANNEL_STATUS_BIT =
  {
    RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_CHANNEL_STATUS_BIT,
    "MSO Pattern Trigger Channel Status Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOTriggerChannelState, NULL, NULL,
    "TRIGger1:PAR:PATT:BIT{DigitalChannel}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_EXPRESSION =
  {
    RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_EXPRESSION,
    "MSO Serial Pattern Trigger Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:SPAT:EXPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D1 and D2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_CLOCK_SOURCE =
  {
    RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_CLOCK_SOURCE,
    "MSO Serial Pattern Trigger Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOClockSource, NULL, NULL,
    "TRIGger1:PAR:SPAT:CSO:VAL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_D0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_CLOCK_EDGE =
  {
    RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_CLOCK_EDGE,
    "MSO Serial Pattern Trigger Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "TRIGger1:PAR:SPAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_PATTERN =
  {
    RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_PATTERN,
    "MSO Serial Pattern Trigger Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIGger1:PAR:SPAT:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "010101",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SIGNAL_LABEL =
  {
    RSSCOPE_ATTR_MSO_SIGNAL_LABEL,
    "MSO Signal Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test_label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DIGITAL_CHANNEL_DISPLAY =
  {
    RSSCOPE_ATTR_MSO_DIGITAL_CHANNEL_DISPLAY,
    "MSO Digital Channel Display",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SIGNAL_DESKEW =
  {
    RSSCOPE_ATTR_MSO_SIGNAL_DESKEW,
    "MSO Signal Deskew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOSignalDeskew, NULL,
    "DIG{DigitalChannel}:DESK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TECHNOLOGY =
  {
    RSSCOPE_ATTR_MSO_TECHNOLOGY,
    "MSO Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTechnology, NULL, NULL,
    "DIG{DigitalChannel}:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_V165,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TRESHOLD =
  {
    RSSCOPE_ATTR_MSO_TRESHOLD,
    "MSO Treshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIG{DigitalChannel}:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_HYSTERESIS =
  {
    RSSCOPE_ATTR_MSO_HYSTERESIS,
    "MSO Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOHysteresis, NULL, NULL,
    "DIG{DigitalChannel}:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_HYSTERESIS_MAXIMUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DIGITAL_CHANNEL_COUPLING =
  {
    RSSCOPE_ATTR_MSO_DIGITAL_CHANNEL_COUPLING,
    "MSO Digital Channel Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIG:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_BUS_STATE =
  {
    RSSCOPE_ATTR_MSO_BUS_STATE,
    "MSO Bus State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DISPLAY_SHOW_DIGITAL_SIGNALS =
  {
    RSSCOPE_ATTR_MSO_DISPLAY_SHOW_DIGITAL_SIGNALS,
    "MSO Display Show Digital Signals",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:DISP:SHDI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DISPLAY_SHOW_BUS =
  {
    RSSCOPE_ATTR_MSO_DISPLAY_SHOW_BUS,
    "MSO Display Show Bus",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:DISP:SHBU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DISPLAY_REPRESENTATION =
  {
    RSSCOPE_ATTR_MSO_DISPLAY_REPRESENTATION,
    "MSO Display Representation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSODisplayRepresentation, NULL, NULL,
    "BUS{SerialBus}:PAR:DISP:BTYP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_REPRESENTATION_COMBINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_CLOCKED_BUS_STATE =
  {
    RSSCOPE_ATTR_MSO_CLOCKED_BUS_STATE,
    "MSO Clocked Bus State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:CLON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_CLOCKED_BUS =
  {
    RSSCOPE_ATTR_MSO_CLOCKED_BUS,
    "MSO Clocked Bus",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOClockSource, NULL, NULL,
    "BUS{SerialBus}:PAR:CLOC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_D1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_CLOCKED_BUS_SLOPE =
  {
    RSSCOPE_ATTR_MSO_CLOCKED_BUS_SLOPE,
    "MSO Clocked Bus Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "BUS{SerialBus}:PAR:CLSL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SIGNAL_DESKEW_ALL_CHANNELS =
  {
    RSSCOPE_ATTR_MSO_SIGNAL_DESKEW_ALL_CHANNELS,
    "MSO Signal Deskew All Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOSignalDeskew, NULL,
    "BUS{SerialBus}:PAR:DES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_CHANNEL_COUPLING =
  {
    RSSCOPE_ATTR_MSO_CHANNEL_COUPLING,
    "MSO Channel Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DIGITAL_RESOLUTION =
  {
    RSSCOPE_ATTR_MSO_DIGITAL_RESOLUTION,
    "MSO Digital Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:DRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DIGITAL_RECORD_LENGTH =
  {
    RSSCOPE_ATTR_MSO_DIGITAL_RECORD_LENGTH,
    "MSO Digital Record Length",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:POIN:DVAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TECHNOLOGY_ALL_CHANNELS =
  {
    RSSCOPE_ATTR_MSO_TECHNOLOGY_ALL_CHANNELS,
    "MSO Technology All Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolTechnology, NULL, NULL,
    "BUS{SerialBus}:PAR:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_V165,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_REMOVE_ALL_ASSIGNED_CHANNELS =
  {
    RSSCOPE_ATTR_MSO_REMOVE_ALL_ASSIGNED_CHANNELS,
    "MSO Remove All Assigned Channels",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DATA_FORMAT =
  {
    RSSCOPE_ATTR_MSO_DATA_FORMAT,
    "MSO Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngProtocolDataFormat, NULL, NULL,
    "BUS{SerialBus}:PAR:DATA:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_FORMAT_HEX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_SIGNAL_ASSIGN_STATE =
  {
    RSSCOPE_ATTR_MSO_SIGNAL_ASSIGN_STATE,
    "MSO Signal Assign State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:BIT{DigitalChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_INDIVIDUAL_SIGNAL_DESKEW =
  {
    RSSCOPE_ATTR_MSO_INDIVIDUAL_SIGNAL_DESKEW,
    "MSO Individual Signal Deskew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngMSOSignalDeskew, NULL,
    "BUS{SerialBus}:PAR:BIT{DigitalChannel}:DESK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_INDIVIDUAL_SIGNAL_LABEL =
  {
    RSSCOPE_ATTR_MSO_INDIVIDUAL_SIGNAL_LABEL,
    "MSO Individual Signal Label",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:BIT{DigitalChannel}:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test_label",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_TRESHOLD_ALL_CHANNELS =
  {
    RSSCOPE_ATTR_MSO_TRESHOLD_ALL_CHANNELS,
    "MSO Treshold All Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:THR{ChannelGroup}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_HYSTERESIS_ALL_CHANNELS =
  {
    RSSCOPE_ATTR_MSO_HYSTERESIS_ALL_CHANNELS,
    "MSO Hysteresis All Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMSOHysteresis, NULL, NULL,
    "BUS{SerialBus}:PAR:HYST{ChannelGroup}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MSO_HYSTERESIS_MAXIMUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DECODE_TABLE_SHOW =
  {
    RSSCOPE_ATTR_MSO_DECODE_TABLE_SHOW,
    "MSO Decode Table Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:DECT{DecodeTable}:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DECODE_TABLE_EDGE_COUNT =
  {
    RSSCOPE_ATTR_MSO_DECODE_TABLE_EDGE_COUNT,
    "MSO Decode Table Edge Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:DECT{DecodeTable}:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MSO_DECODE_TABLE_DATA =
  {
    RSSCOPE_ATTR_MSO_DECODE_TABLE_DATA,
    "MSO Decode Table Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "BUS{SerialBus}:PAR:DECT{DecodeTable}:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PULSE_SOURCE_STATE =
  {
    RSSCOPE_ATTR_PULSE_SOURCE_STATE,
    "Pulse Source State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PSRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PULSE_SOURCE_LOW_OUTPUT_LEVEL =
  {
    RSSCOPE_ATTR_PULSE_SOURCE_LOW_OUTPUT_LEVEL,
    "Pulse Source Low Output Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPulseSourceLowLevel, NULL,
    "PSRC:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PULSE_SOURCE_REPETITION_RATE =
  {
    RSSCOPE_ATTR_PULSE_SOURCE_REPETITION_RATE,
    "Pulse Source Repetition Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsScope_rngPulseSourceRepetitionRate,
    "PSRC:REPR",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PULSE_SOURCE_DUTY_CYCLE =
  {
    RSSCOPE_ATTR_PULSE_SOURCE_DUTY_CYCLE,
    "Pulse Source Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsScope_rngPulseSourceDutyCycle,
    "PSRC:DUTY",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PULSE_SOURCE_CLOCK_MODE =
  {
    RSSCOPE_ATTR_PULSE_SOURCE_CLOCK_MODE,
    "Pulse Source Clock Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPulseSourceClockMode, NULL, NULL,
    "PSRC:CLOC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PULSE_SOURCE_CLOCK_LOCKED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PULSE_SOURCE_RESET =
  {
    RSSCOPE_ATTR_PULSE_SOURCE_RESET,
    "Pulse Source Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PSRC:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_START_DEFAULT =
  {
    RSSCOPE_ATTR_TDR_TDT_START_DEFAULT,
    "TDR TDT Start Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TDRT:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_LOAD_FILENAME =
  {
    RSSCOPE_ATTR_TDR_TDT_CALIBRATION_LOAD_FILENAME,
    "TDR TDT Calibration Load Filename",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TDRT:CAL:OPEN:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_LOAD =
  {
    RSSCOPE_ATTR_TDR_TDT_CALIBRATION_LOAD,
    "TDR TDT Calibration Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TDRT:CAL:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_SAVE_FILENAME =
  {
    RSSCOPE_ATTR_TDR_TDT_CALIBRATION_SAVE_FILENAME,
    "TDR TDT Calibration Save Filename",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TDRT:CAL:SAVE:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_SAVE =
  {
    RSSCOPE_ATTR_TDR_TDT_CALIBRATION_SAVE,
    "TDR TDT Calibration Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TDRT:CAL:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_ANALYSIS_TYPE =
  {
    RSSCOPE_ATTR_TDR_TDT_ANALYSIS_TYPE,
    "TDR TDT Analysis Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTAnalysisType, NULL, NULL,
    "TDRT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_ANALYSIS_TYPE_TDR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_CONNECTION_CONFIGURATION =
  {
    RSSCOPE_ATTR_TDR_TDT_CONNECTION_CONFIGURATION,
    "TDR TDT Connection Configuration",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTConfiguration, NULL, NULL,
    "TDRT:CONF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_CONFIGURATION_SINGLE_ENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_PULSE_REFERENCE_CHANNEL =
  {
    RSSCOPE_ATTR_TDR_TDT_PULSE_REFERENCE_CHANNEL,
    "TDR TDT Pulse Reference Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTPulseChannel, NULL, NULL,
    "TDRT:PULS:REF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_CHANNEL_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_PULSE_OUT_CHANNEL =
  {
    RSSCOPE_ATTR_TDR_TDT_PULSE_OUT_CHANNEL,
    "TDR TDT Pulse Out Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTPulseChannel, NULL, NULL,
    "TDRT:PULS:OUT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_CHANNEL_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_PULSE_DIFF_OUT_CHANNEL =
  {
    RSSCOPE_ATTR_TDR_TDT_PULSE_DIFF_OUT_CHANNEL,
    "TDR TDT Pulse Diff Out Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTPulseChannel, NULL, NULL,
    "TDRT:PULS:INV",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_CHANNEL_C3W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_PULSE_DIFF_REFERENCE_CHANNEL =
  {
    RSSCOPE_ATTR_TDR_TDT_PULSE_DIFF_REFERENCE_CHANNEL,
    "TDR TDT Pulse Diff Reference Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTPulseChannel, NULL, NULL,
    "TDRT:PULS:INVR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_CHANNEL_C4W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_SHORT_LENGTH =
  {
    RSSCOPE_ATTR_TDR_TDT_SHORT_LENGTH,
    "TDR TDT Short Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTDRTDTShortLength, NULL,
    "TDRT:SLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    26.5e-12,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_ENABLED =
  {
    RSSCOPE_ATTR_TDR_TDT_ENABLED,
    "TDR TDT Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TDRT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_USE_CALIBRATION_DATA =
  {
    RSSCOPE_ATTR_TDR_TDT_USE_CALIBRATION_DATA,
    "TDR TDT Use Calibration Data",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TDRT:CAL:USEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_BANDWIDTH =
  {
    RSSCOPE_ATTR_TDR_TDT_BANDWIDTH,
    "TDR TDT Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTDRTDTBandwidth, NULL,
    "TDRT:BW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_DOMAIN =
  {
    RSSCOPE_ATTR_TDR_TDT_DOMAIN,
    "TDR TDT Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngTDRTDTDomain, NULL, NULL,
    "TDRT:DOM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TDR_TDT_DOMAIN_TIME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_DUT_PERMITTIVITY =
  {
    RSSCOPE_ATTR_TDR_TDT_DUT_PERMITTIVITY,
    "TDR TDT DUT Permittivity",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTDRTDTDUTPermittivity, NULL,
    "TDRT:PERM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_STATE =
  {
    RSSCOPE_ATTR_TDR_TDT_SIGNAL_STATE,
    "TDR TDT Signal State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TDRT:SIGN{TDRTDTSignal}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_VERTICAL_SCALE =
  {
    RSSCOPE_ATTR_TDR_TDT_SIGNAL_VERTICAL_SCALE,
    "TDR TDT Signal Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTDRTDTSignalVerticalScale, NULL,
    "TDRT:SIGN{TDRTDTSignal}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_OFFSET =
  {
    RSSCOPE_ATTR_TDR_TDT_SIGNAL_OFFSET,
    "TDR TDT Signal Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTDRTDTSignalOffset, NULL,
    "TDRT:SIGN{TDRTDTSignal}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_VERTICAL_POSITION =
  {
    RSSCOPE_ATTR_TDR_TDT_SIGNAL_VERTICAL_POSITION,
    "TDR TDT Signal Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngTDRTDTSignalVerticalPosition, NULL,
    "TDRT:SIGN{TDRTDTSignal}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_WAVEFORM_HEADER =
  {
    RSSCOPE_ATTR_TDR_TDT_SIGNAL_WAVEFORM_HEADER,
    "TDR TDT Signal Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TDRT:SIGN{TDRTDTSignal}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K130",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ENABLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ENABLE,
    "Waveform Generator Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PRESET =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PRESET,
    "Waveform Generator Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OPERATION_MODE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OPERATION_MODE,
    "Waveform Generator Operation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorOperationMode, NULL, NULL,
    "WGEN{WaveformGenerator}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_MODE_FUNC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COPY_SETTINGS =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COPY_SETTINGS,
    "Waveform Generator Copy Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ACOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE,
    "Waveform Generator Function Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorFunctionType, NULL, NULL,
    "WGEN{WaveformGenerator}:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_FUNCTION_TYPE_SIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FREQUENCY,
    "Waveform Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFrequency, NULL,
    "WGEN{WaveformGenerator}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PERIOD =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PERIOD,
    "Waveform Generator Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorPeriod, NULL,
    "WGEN{WaveformGenerator}:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_DUTY_CYCLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_DUTY_CYCLE,
    "Waveform Generator Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorDutyCycle, NULL,
    "WGEN{WaveformGenerator}:FUNC:SQU:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SYMMETRY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_SYMMETRY,
    "Waveform Generator Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorSymmetry, NULL,
    "WGEN{WaveformGenerator}:FUNC:RAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PULSE_WIDTH =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PULSE_WIDTH,
    "Waveform Generator Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorPulseWidth, NULL,
    "WGEN{WaveformGenerator}:FUNC:PULS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE,
    "Waveform Generator Modulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorModulationType, NULL, NULL,
    "WGEN{WaveformGenerator}:MOD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_MODULATION_TYPE_AM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_CARRIER_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_CARRIER_FREQUENCY,
    "Waveform Generator Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFrequency, NULL,
    "WGEN{WaveformGenerator}:MOD:CARR:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_CARRIER_PERIOD =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_CARRIER_PERIOD,
    "Waveform Generator Carrier Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorPeriod, NULL,
    "WGEN{WaveformGenerator}:MOD:CARR:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_SIGNAL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_SIGNAL,
    "Waveform Generator AM Modulation Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorModulationSignal, NULL, NULL,
    "WGEN{WaveformGenerator}:MOD:AM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_MODULATION_SIGNAL_SIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY,
    "Waveform Generator AM Modulation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorModulationFrequency, NULL,
    "WGEN{WaveformGenerator}:MOD:AM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH,
    "Waveform Generator AM Modulation Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "WGEN{WaveformGenerator}:MOD:AM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DUTY_CYCLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DUTY_CYCLE,
    "Waveform Generator AM Modulation Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorModulationDutyCycle, NULL,
    "WGEN{WaveformGenerator}:MOD:AM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_SYMMETRY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_SYMMETRY,
    "Waveform Generator AM Modulation Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "WGEN{WaveformGenerator}:MOD:AM:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_SIGNAL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_SIGNAL,
    "Waveform Generator FM Modulation Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorModulationSignal, NULL, NULL,
    "WGEN{WaveformGenerator}:MOD:FM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_MODULATION_SIGNAL_SIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY,
    "Waveform Generator FM Modulation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorModulationFrequency, NULL,
    "WGEN{WaveformGenerator}:MOD:FM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION,
    "Waveform Generator FM Modulation Frequency Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFMModulationFrequencyDeviation, NULL,
    "WGEN{WaveformGenerator}:MOD:FM:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_DUTY_CYCLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_DUTY_CYCLE,
    "Waveform Generator FM Modulation Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorModulationDutyCycle, NULL,
    "WGEN{WaveformGenerator}:MOD:FM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_SYMMETRY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_SYMMETRY,
    "Waveform Generator FM Modulation Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "WGEN{WaveformGenerator}:MOD:FM:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_SIGNAL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_SIGNAL,
    "Waveform Generator PWM Modulation Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorModulationSignal, NULL, NULL,
    "WGEN{WaveformGenerator}:MOD:PWM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_MODULATION_SIGNAL_SIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_FREQUENCY,
    "Waveform Generator PWM Modulation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorModulationFrequency, NULL,
    "WGEN{WaveformGenerator}:MOD:PWM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_DEPTH =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_DEPTH,
    "Waveform Generator PWM Modulation Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "WGEN{WaveformGenerator}:MOD:PWM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_DUTY_CYCLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_DUTY_CYCLE,
    "Waveform Generator PWM Modulation Duty Cycle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorModulationDutyCycle, NULL,
    "WGEN{WaveformGenerator}:MOD:PWM:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_SYMMETRY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_SYMMETRY,
    "Waveform Generator PWM Modulation Symmetry",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "WGEN{WaveformGenerator}:MOD:PWM:SYMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_FREQUENCY_1 =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_FREQUENCY_1,
    "Waveform Generator FSK Modulation Frequency 1",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFrequency, NULL,
    "WGEN{WaveformGenerator}:MOD:FSK:FONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_FREQUENCY_2 =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_FREQUENCY_2,
    "Waveform Generator FSK Modulation Frequency 2",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFrequency, NULL,
    "WGEN{WaveformGenerator}:MOD:FSK:FTWO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOP_RATE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOP_RATE,
    "Waveform Generator FSK Modulation Hop Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFSKModulationHopRate, NULL,
    "WGEN{WaveformGenerator}:MOD:FSK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY,
    "Waveform Generator Sweep Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFrequency, NULL,
    "WGEN{WaveformGenerator}:SWE:FST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY,
    "Waveform Generator Sweep Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorFrequency, NULL,
    "WGEN{WaveformGenerator}:SWE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME,
    "Waveform Generator Sweep Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorSweepTime, NULL,
    "WGEN{WaveformGenerator}:SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE,
    "Waveform Generator Arbitrary Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorArbitrarySource, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_ARBITRARY_SOURCE_ARB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RUN_MODE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RUN_MODE,
    "Waveform Generator Arbitrary Run Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorRunMode, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:RUNM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_WAVE_GEN_RUN_MODE_SING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RUN_SINGLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RUN_SINGLE,
    "Waveform Generator Arbitrary Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:RUNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SAMPLE_RATE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SAMPLE_RATE,
    "Waveform Generator Arbitrary Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngWaveformGeneratorArbitrarySampleRate, NULL,
    "WGEN{WaveformGenerator}:ARBG:SRAT",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SAMPLES =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SAMPLES,
    "Waveform Generator Arbitrary Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:SAMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME,
    "Waveform Generator Arbitrary File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Test\\lin.bin",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE,
    "Waveform Generator Arbitrary Open File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_FILE_NAME =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_FILE_NAME,
    "Waveform Generator Arbitrary Multichannel File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:MULT:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Test\\lin.bin",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_OPEN_FILE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_OPEN_FILE,
    "Waveform Generator Arbitrary Multichannel Open File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:MULT:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_WAVEFORM =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_WAVEFORM,
    "Waveform Generator Arbitrary Multichannel Waveform",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorArbitraryMultichannelWaveform, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:MULT:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_IMPORT_WFM1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SCOPE_SOURCE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SCOPE_SOURCE,
    "Waveform Generator Arbitrary Scope Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorArbitraryScopeSource, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAVE_GEN_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SCOPE_OPEN =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SCOPE_OPEN,
    "Waveform Generator Arbitrary Scope Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:ARBG:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE,
    "Waveform Generator Output Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorOutputAmplitude, NULL,
    "WGEN{WaveformGenerator}:VOLT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET,
    "Waveform Generator Output Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorOutputOffset, NULL,
    "WGEN{WaveformGenerator}:VOLT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_HIGH_LEVEL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_HIGH_LEVEL,
    "Waveform Generator Output High Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorOutputHighLevel, NULL,
    "WGEN{WaveformGenerator}:VOLT:HIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_LOW_LEVEL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_LOW_LEVEL,
    "Waveform Generator Output Low Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorOutputLowLevel, NULL,
    "WGEN{WaveformGenerator}:VOLT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_INVERSION =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_INVERSION,
    "Waveform Generator Output Inversion",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:VOLT:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD,
    "Waveform Generator Output User Load",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorLoad, NULL, NULL,
    "WGEN{WaveformGenerator}:OUTP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_ATTR_WAVE_GEN_OUTPUT_LOAD_FIFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_DC_LEVEL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_DC_LEVEL,
    "Waveform Generator Output DC Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorOutputDCLevel, NULL,
    "WGEN{WaveformGenerator}:VOLT:DCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ADD_NOISE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_ADD_NOISE,
    "Waveform Generator Add Noise",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:MOD:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT,
    "Waveform Generator Noise Level Percent",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPercent, NULL,
    "WGEN{WaveformGenerator}:MOD:NLPC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL,
    "Waveform Generator Noise Absolute Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:MOD:NLAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_DC_LEVEL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_DC_LEVEL,
    "Waveform Generator Noise DC Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorNoiseDCLevel, NULL,
    "WGEN{WaveformGenerator}:MOD:NDCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ENABLE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ENABLE,
    "Waveform Generator Coupling Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ALL =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ALL,
    "Waveform Generator Coupling All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_OUTPUT =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_OUTPUT,
    "Waveform Generator Coupling Output",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_NOISE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_NOISE,
    "Waveform Generator Coupling Noise",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ARBITRARY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ARBITRARY,
    "Waveform Generator Coupling Arbitrary",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP:AWF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_AMPLITUDE =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_AMPLITUDE,
    "Waveform Generator Coupling Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP:AMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_PHASE_SHIFT =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_PHASE_SHIFT,
    "Waveform Generator Coupling Phase Shift",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngWaveformGeneratorCouplingPhaseShift, NULL,
    "WGEN{WaveformGenerator}:COUP:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_FREQUENCY =
  {
    RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_FREQUENCY,
    "Waveform Generator Coupling Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WGEN{WaveformGenerator}:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_ENABLE =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_ENABLE,
    "Pattern Generator Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PGEN:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_PRESET =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_PRESET,
    "Pattern Generator Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PGEN:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_RUN_MODE =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_RUN_MODE,
    "Pattern Generator Run Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngWaveformGeneratorRunMode, NULL, NULL,
    "PGEN:RUNM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_WAVE_GEN_RUN_MODE_SING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_RUN_SINGLE =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_RUN_SINGLE,
    "Pattern Generator Run Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PGEN:RUNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_BIT_RATE =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_BIT_RATE,
    "Pattern Generator Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngPatternGeneratorBitRate, NULL,
    "PGEN:BITR",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_HIGH_LEVEL =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_HIGH_LEVEL,
    "Pattern Generator High Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngPatternGeneratorHighLevel, NULL,
    "PGEN:HLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_FILE_NAME =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_FILE_NAME,
    "Pattern Generator File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "PGEN:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Test\\test.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PATTERN_GENERATOR_LOAD_PATTERN =
  {
    RSSCOPE_ATTR_PATTERN_GENERATOR_LOAD_PATTERN,
    "Pattern Generator Load Pattern",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "PGEN:FILE:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_SYNCHRONIZATION =
  {
    RSSCOPE_ATTR_GENERATOR_SYNCHRONIZATION,
    "Generator Synchronization",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngGeneratorSynchronization, NULL, NULL,
    "GEN:SYNC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_GENERATOR_SYNCHRONIZATION_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_START_ALIGNMENT =
  {
    RSSCOPE_ATTR_GENERATOR_START_ALIGNMENT,
    "Generator Start Alignment",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "GEN:ALIG:DC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_START_ALIGNMENT_WITH_OPC =
  {
    RSSCOPE_ATTR_GENERATOR_START_ALIGNMENT_WITH_OPC,
    "Generator Start Alignment With OPC",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "GEN:ALIG:DC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_ABORT_ALIGNMENT =
  {
    RSSCOPE_ATTR_GENERATOR_ABORT_ALIGNMENT,
    "Generator Abort Alignment",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "GEN:ALIG:DC:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_ALIGNMENT_DATE =
  {
    RSSCOPE_ATTR_GENERATOR_ALIGNMENT_DATE,
    "Generator Alignment Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "GEN:ALIG:DC:RES:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.1.1901",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_ALIGNMENT_TIME =
  {
    RSSCOPE_ATTR_GENERATOR_ALIGNMENT_TIME,
    "Generator Alignment Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "GEN:ALIG:DC:RES:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10:10:10",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GENERATOR_ALIGNMENT_OVERALL_STATE =
  {
    RSSCOPE_ATTR_GENERATOR_ALIGNMENT_OVERALL_STATE,
    "Generator Alignment Overall State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngGeneratorAlignmentOverallState, NULL, NULL,
    "GEN:ALIG:DC:RES?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_GENERATOR_ALIGNMENT_STATE_PASS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B6",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMBER_OF_FRONTENDS =
  {
    RSSCOPE_ATTR_NUMBER_OF_FRONTENDS,
    "Number of Frontends",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngNumberofFrontends, NULL,
    "EFR:COUN",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_PRESET =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_PRESET,
    "External Frontend Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EFR:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MEASUREMENT_SETUP =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_MEASUREMENT_SETUP,
    "External Frontend Measurement Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngExtFrontendMeasSetup, NULL, NULL,
    "EFR:SET",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EXT_FRONTEND_SETUP_COULO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CHANNEL =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_CHANNEL,
    "External Frontend Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngExternalFrontendChannel, NULL, NULL,
    "EFR:CSEL{FrontendPosition}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EXTERNAL_FRONTEND_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FILE_PATH =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FILE_PATH,
    "External Frontend File Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:ALIG:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\RTx\\ExternalFrontend\\FilePath",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CABLE_ALIGNMENT =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_CABLE_ALIGNMENT,
    "External Frontend Cable Alignment",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:ALIG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_STATE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_STATE,
    "External Frontend Connection State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:CONN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_CURRENT_STATE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_CURRENT_STATE,
    "External Frontend Connection Current State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:CONN:CST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_TYPE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_TYPE,
    "External Frontend Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:TYPE:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<TypeList>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_CONNECTION_TYPE =
  {
    RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_CONNECTION_TYPE,
    "External Frontend Connection Type",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:CONN:CONF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<Type>,<IPAddress or name>,<Identifier>,<Symbolic>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IDENTIFIER =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_IDENTIFIER,
    "External Frontend Identifier",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<IDNString>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_INPUT =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_INPUT,
    "External Frontend RF Input",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngExternalFrontendRFFrequency, NULL,
    "EFR{FrontendPosition}:FREQ:RFR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    24E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_LEVEL =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_LEVEL,
    "External Frontend RF Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngExternalFrontendRFLevel, NULL,
    "EFR{FrontendPosition}:RFIN:LEV",
    // Defaults I32, I64, Float, Bool, String
    -10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_REFERENCE_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_REFERENCE_FREQUENCY,
    "External Frontend Reference Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_OUTPUT =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_OUTPUT,
    "External Frontend IF Output",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:IFR:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_BANDWIDTH =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_BANDWIDTH,
    "External Frontend RF Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:IFBW:LIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_IN_FREQUENCY_CABLE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_IN_FREQUENCY_CABLE,
    "External Frontend LO In Frequency Cable",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:LOSC:INP:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_GAIN =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_GAIN,
    "External Frontend Gain",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:GAIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_INPUT =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_INPUT,
    "External Frontend LO Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngExternalFrontendLOInput, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:LOSC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EXT_FRONTEND_LO_INPUT_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_OUTPUT_STATE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_OUTPUT_STATE,
    "External Frontend LO Output State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:LOSC:OUTP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION_AUTO_MODE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION_AUTO_MODE,
    "External Frontend RF Attenuation Auto Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:ATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_AMPLITUDE_MODE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_AMPLITUDE_MODE,
    "External Frontend Amplitude Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngExtFrontendScalingMode, NULL, NULL,
    "EFR{FrontendPosition}:AMPL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EF_SCAL_MODE_RF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION,
    "External Frontend RF Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:ATT",
    // Defaults I32, I64, Float, Bool, String
    -10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION_STEP_VALUES =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION_STEP_VALUES,
    "External Frontend RF Attenuation Step Values",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:ATT:STEP:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<BandList>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_ERROR =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_ERROR,
    "External Frontend Connection Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:CONN:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<State>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_AUTO_MODE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_AUTO_MODE,
    "External Frontend Frequency Band Config Auto Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BCON:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_COUNT =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_COUNT,
    "External Frontend Frequency Band Config Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BCON:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_LIST =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_LIST,
    "External Frontend Frequency Band Config List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BCON:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<BandConfigList>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_SELECTION =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_SELECTION,
    "External Frontend Frequency Band Config Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngExternalFrontendFrequencyBandConfigSelection, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BCON:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FREQUENCY_BAND_CONFIG_SELECTION_IFLOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_IF_RANGE =
  {
    RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_IF_RANGE,
    "External Frontend Frequency Band Config IF Range",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BCON:IFR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_RF_RANGE =
  {
    RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_RF_RANGE,
    "External Frontend Frequency Band Config RF Range",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BCON:RFR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MAX_IF_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_MAX_IF_FREQUENCY,
    "External Frontend Max IF Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:IFR:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MIN_IF_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_MIN_IF_FREQUENCY,
    "External Frontend Min IF Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:IFR:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_FREQUENCY_SIDEBAND =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_FREQUENCY_SIDEBAND,
    "External Frontend IF Frequency Sideband",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:IFR:SID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "IFLow",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_FREQUENCY,
    "External Frontend LO Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:LOSC:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_OUTPUT_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_OUTPUT_FREQUENCY,
    "External Frontend LO Output Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:LOSC:OUTP:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MAX_RF_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_MAX_RF_FREQUENCY,
    "External Frontend Max RF Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:RFR:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MIN_RF_FREQUENCY =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_MIN_RF_FREQUENCY,
    "External Frontend Min RF Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:RFR:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_REFERENCE_FREQUENCY_LIST =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_REFERENCE_FREQUENCY_LIST,
    "External Frontend Reference Frequency List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:REF:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<TypeList>",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_ATTENUATION =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_ATTENUATION,
    "External Frontend IF Attenuation",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:IFR:ATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_CONNECTOR =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_CONNECTOR,
    "External Frontend RF Connector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngExternalFrontendRFConnector, NULL, NULL,
    "EFR{FrontendPosition}:RFC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EXTERNAL_FRONTEND_RF_CONNECTOR_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_UPDATE =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_UPDATE,
    "External Frontend Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_SELECTED_MULTI_BAND =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_SELECTED_MULTI_BAND,
    "External Frontend Selected Multi Band",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_NUMBER_OF_FREQUENCY_BANDS =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_NUMBER_OF_FREQUENCY_BANDS,
    "External Frontend Number of Frequency Bands",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BAND:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_LIST =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_LIST,
    "External Frontend Frequency Band List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BAND<MultiBand>:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "BandList",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    rsscope_FormatExternalFrontendMultiBandRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_START =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_START,
    "External Frontend Frequency Band Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BAND<MultiBand>:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    rsscope_FormatExternalFrontendMultiBandRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_END =
  {
    RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_END,
    "External Frontend Frequency Band End",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "EFR{FrontendPosition}:FREQ:BAND<MultiBand>:UPP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K553",
    // Callbacks Read, Write, p2Value
    rsscope_FormatExternalFrontendMultiBandRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_MODE_STATE =
  {
    RSSCOPE_ATTR_IQ_MODE_STATE,
    "IQ Mode State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "IQ:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_INPUT_SAMPLE_RATE =
  {
    RSSCOPE_ATTR_IQ_INPUT_SAMPLE_RATE,
    "IQ Input Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngIQInputSampleRate, NULL, NULL,
    "IQ:INSR?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IQ_SRATE_20_GSA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_RELATIVE_BANDWIDTH =
  {
    RSSCOPE_ATTR_IQ_RELATIVE_BANDWIDTH,
    "IQ Relative Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngIQRelativeBandwidth, NULL,
    "IQ:RBW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_SAMPLE_RATE =
  {
    RSSCOPE_ATTR_IQ_SAMPLE_RATE,
    "IQ Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngIQSampleRate, NULL,
    "IQ:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_RECORD_LENGTH =
  {
    RSSCOPE_ATTR_IQ_RECORD_LENGTH,
    "IQ Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngIQRecordLength, NULL,
    "IQ:RLEN",
    // Defaults I32, I64, Float, Bool, String
    100000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_FILTER_BANDWIDTH =
  {
    RSSCOPE_ATTR_IQ_FILTER_BANDWIDTH,
    "IQ Filter Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "IQ:BWID?",
    // Defaults I32, I64, Float, Bool, String
    400000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_INPUT_TYPE =
  {
    RSSCOPE_ATTR_IQ_INPUT_TYPE,
    "IQ Input Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngIQInputType, NULL, NULL,
    "CHAN{Channel}:IQ:INPT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IQ_INPUT_TYPE_REAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_INPUT_MODE =
  {
    RSSCOPE_ATTR_IQ_INPUT_MODE,
    "IQ Input Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngIQInputMode, NULL, NULL,
    "CHAN{Channel}:IQ:INPM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IQ_INPUT_MODE_BASEBAND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_CARRIER_FREQUENCY =
  {
    RSSCOPE_ATTR_IQ_CARRIER_FREQUENCY,
    "IQ Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngIQCarrierFrequency, NULL,
    "CHAN{Channel}:IQ:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_REAL_SIDEBAND =
  {
    RSSCOPE_ATTR_IQ_REAL_SIDEBAND,
    "IQ Real Sideband",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngIQRealSideband, NULL, NULL,
    "CHAN{Channel}:IQ:SBRF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IQ_REAL_SIDEBAND_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_COMPLEX_SIDEBAND =
  {
    RSSCOPE_ATTR_IQ_COMPLEX_SIDEBAND,
    "IQ Complex Sideband",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngIQComplexSideband, NULL, NULL,
    "CHAN{Channel}:IQ:SBIF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_IQ_COMPLEX_SIDEBAND_NORMAL_UPP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_WARNING_ENABLED =
  {
    RSSCOPE_ATTR_IQ_WARNING_ENABLED,
    "IQ Warning Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:IQ:WARN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_IQ_WARNING_MESSAGE =
  {
    RSSCOPE_ATTR_IQ_WARNING_MESSAGE,
    "IQ Warning Message",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:IQ:WARN:MESS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Undersampling",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K11",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_X_SCALING =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_X_SCALING,
    "Spectrum Analysis X Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngEATScale, NULL, NULL,
    "CALC:MATH{Math}:FFT:LOGS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EAT_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_WAVEFORM_DATA_SIGNAL_TYPE =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_WAVEFORM_DATA_SIGNAL_TYPE,
    "Spectrum Analysis Waveform Data Signal Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngDataSignalType, NULL, NULL,
    "CALC:MATH{Math}:DATA:STYP?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DATA_SIGNAL_TYPE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_COLOR_TABLE_MODE =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_COLOR_TABLE_MODE,
    "Spectrum Analysis Color Table Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngColorTableMode, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:CMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COLOR_TABLE_MODE_INCIDENCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_USE_COLOR_TABLE =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_USE_COLOR_TABLE,
    "Spectrum Analysis Use Color Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:USEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_SPECTROGRAM_ENABLED =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_SPECTROGRAM_ENABLED,
    "Spectrum Analysis Spectrogram Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_COUPLED_SPECTRUM =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_COUPLED_SPECTRUM,
    "Spectrum Analysis Coupled Spectrum",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:COUP:WITH{Math2}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_TIMELINE_ENABLED =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_TIMELINE_ENABLED,
    "Spectrum Analysis Timeline Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:TIM{Timeline}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_TIMELINE_POSITION =
  {
    RSSCOPE_ATTR_SPECTRUM_ANALYSIS_TIMELINE_POSITION,
    "Spectrum Analysis Timeline Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:MATH{Math}:FFT:SPEC:TIM{Timeline}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K18",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_SERIAL_STANDARD =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_SERIAL_STANDARD,
    "CDR Software Serial Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngSoftwareSerialStandard, NULL, NULL,
    "CDR:SOFT{SW}:SERS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIAL_STANDARD_CUSTOM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE,
    "CDR Software Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngCDRBitRate, NULL,
    "CDR:SOFT{SW}:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE_CORRECTION_ENABLED =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE_CORRECTION_ENABLED,
    "CDR Software Bit Rate Correction Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CDR:SOFT{SW}:ESBR:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE_SOURCE =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE_SOURCE,
    "CDR Software Bit Rate Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngBitRateSource, NULL, NULL,
    "CDR:SOFT{SW}:ESBR:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_BIT_RATE_SOURCE_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_ESTIMATE_BIT_RATE_ONCE =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_ESTIMATE_BIT_RATE_ONCE,
    "CDR Software Estimate Bit Rate Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CDR:SOFT{SW}:ESBR:BRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_DATA_EDGES =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_DATA_EDGES,
    "CDR Software Data Edges",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "CDR:SOFT{SW}:ESL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_INITIAL_PHASE_SYNC =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_INITIAL_PHASE_SYNC,
    "CDR Software Initial Phase Sync",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCDRSoftwareInitialPhaseSync, NULL, NULL,
    "CDR:SOFT{SW}:SYNC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_INITIAL_PHASE_SYNC_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_SELECTED_RESULTS =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_SELECTED_RESULTS,
    "CDR Software Selected Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCDRSelectedResults, NULL, NULL,
    "CDR:SOFT{SW}:RES",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_SELECTED_RESULTS_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_ALGORITHM =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_ALGORITHM,
    "CDR Software Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCDRSoftwareAlgorithm, NULL, NULL,
    "CDR:SOFT{SW}:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_ALGORITHM_PLL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_SAMPLING_TIME =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_SAMPLING_TIME,
    "CDR Software Sampling Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsScope_rngCDRSoftwareSamplingTime, NULL,
    "CDR:SOFT{SW}:SAMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_ORDER =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_PLL_ORDER,
    "CDR Software PLL Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCDRPLLOrder, NULL, NULL,
    "CDR:SOFT{SW}:PLL:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_PLL_ORDER_FIRST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_DAMPING =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_PLL_DAMPING,
    "CDR Software PLL Damping",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngCDRPLLDamping, NULL,
    "CDR:SOFT{SW}:PLL:DAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.7,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_BANDWIDTH =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_PLL_BANDWIDTH,
    "CDR Software PLL Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CDR:SOFT{SW}:PLL:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_REL_BANDWIDTH =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_PLL_REL_BANDWIDTH,
    "CDR Software PLL Relative Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngCDRPLLRelBWSoftware, NULL,
    "CDR:SOFT{SW}:PLL:RELB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1667.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_REVERSE_LOCK_ENABLED =
  {
    RSSCOPE_ATTR_CDR_SOFTWARE_PLL_REVERSE_LOCK_ENABLED,
    "CDR Software PLL Reverse Lock Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CDR:SOFT{SW}:REVL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_SOURCE =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_SOURCE,
    "CDR Hardware Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCDRHardwareSource, NULL, NULL,
    "CDR:HARD:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CHANNEL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_SERIAL_STANDARD =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_SERIAL_STANDARD,
    "CDR Hardware Serial Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngHardwareSerialStandard, NULL, NULL,
    "CDR:HARD:SERS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIAL_STANDARD_CUSTOM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_ESTIMATE_BIT_RATE_ONCE =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_ESTIMATE_BIT_RATE_ONCE,
    "CDR Hardware Estimate Bit Rate Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CDR:HARD:BRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_BIT_RATE =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_BIT_RATE,
    "CDR Hardware Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CDR:HARD:BITR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_DATA_EDGES =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_DATA_EDGES,
    "CDR Hardware Data Edges",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngTriggerSlope, NULL, NULL,
    "CDR:HARD:ESL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_ORDER =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_PLL_ORDER,
    "CDR Hardware PLL Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCDRPLLOrder, NULL, NULL,
    "CDR:HARD:PLL:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CDR_PLL_ORDER_FIRST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_DAMPING =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_PLL_DAMPING,
    "CDR Hardware PLL Damping",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngCDRPLLDamping, NULL,
    "CDR:HARD:PLL:DAMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.7,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_BANDWIDTH =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_PLL_BANDWIDTH,
    "CDR Hardware PLL Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CDR:HARD:PLL:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    67,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_REL_BANDWIDTH =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_PLL_REL_BANDWIDTH,
    "CDR Hardware PLL Relative Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngCDRPLLRelBW, NULL,
    "CDR:HARD:PLL:RELB",
    // Defaults I32, I64, Float, Bool, String
    1667,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USE_CDR =
  {
    RSSCOPE_ATTR_USE_CDR,
    "Use CDR",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SPAT:CDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CDR_HARDWARE_TRIGGER_UI_OFFSET =
  {
    RSSCOPE_ATTR_CDR_HARDWARE_TRIGGER_UI_OFFSET,
    "CDR Hardware Trigger UI Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngCDRTriggerUIOffset, NULL,
    "CDR:HARD:UIOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K13",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_UPDATE =
  {
    RSSCOPE_ATTR_DISPLAY_UPDATE,
    "Display Update",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_MESSAGE_ENABLED =
  {
    RSSCOPE_ATTR_DISPLAY_MESSAGE_ENABLED,
    "Display Message Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:MESS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_MESSAGE_TEXT =
  {
    RSSCOPE_ATTR_DISPLAY_MESSAGE_TEXT,
    "Display Message Text",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DISP:MESS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "message",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_GATE_TRANSPARENCY =
  {
    RSSCOPE_ATTR_DISPLAY_GATE_TRANSPARENCY,
    "Display Gate Transparency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngPercentInt, NULL,
    "DISP:GATE:TRAN",
    // Defaults I32, I64, Float, Bool, String
    43,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_CLEAR_RESULTS =
  {
    RSSCOPE_ATTR_DISPLAY_CLEAR_RESULTS,
    "Display Clear Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:CLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_RESULTS_ON_EXTERNAL_MONITOR_ENABLED =
  {
    RSSCOPE_ATTR_DISPLAY_RESULTS_ON_EXTERNAL_MONITOR_ENABLED,
    "Display Results On External Monitor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:EXT:PORD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_DIALOGS_ON_EXTERNAL_MONITOR_ENABLED =
  {
    RSSCOPE_ATTR_DISPLAY_DIALOGS_ON_EXTERNAL_MONITOR_ENABLED,
    "Display Dialogs On External Monitor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:EXT:POSD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PERSISTENCE_STATE =
  {
    RSSCOPE_ATTR_PERSISTENCE_STATE,
    "Persistence State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PERS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_INFINITE_PERSISTENCE =
  {
    RSSCOPE_ATTR_INFINITE_PERSISTENCE,
    "Infinite Persistence",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PERS:INF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PERSISTENCE_TIME =
  {
    RSSCOPE_ATTR_PERSISTENCE_TIME,
    "Persistence Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngPersistenceTime, NULL,
    "DISP:PERS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PERSISTENCE_RESET =
  {
    RSSCOPE_ATTR_PERSISTENCE_RESET,
    "Persistence Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:PERS:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_STYLE_INTENSITY =
  {
    RSSCOPE_ATTR_SIGNAL_STYLE_INTENSITY,
    "Signal Style Intensity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rsscope_rngPct, NULL,
    "DISP:INT",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_STYLE =
  {
    RSSCOPE_ATTR_SIGNAL_STYLE,
    "Signal Style",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSignalStyle, NULL, NULL,
    "DISP:DIAG:STYL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_STYLE_VECTORS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USE_COLOR_TABLE =
  {
    RSSCOPE_ATTR_USE_COLOR_TABLE,
    "Use Color Table",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:COL:SIGN{WfmSuffix}:USE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ASSIGN_COLOR_TABLE =
  {
    RSSCOPE_ATTR_ASSIGN_COLOR_TABLE,
    "Assign Color Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:COL:SIGN{WfmSuffix}:ASS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FalseColors",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_COLOR =
  {
    RSSCOPE_ATTR_SIGNAL_COLOR,
    "Signal Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT64,
    NULL, &RsScope_rngSignalColor, NULL,
    "DISP:COL:SIGN{WfmSuffix}:COL",
    // Defaults I32, I64, Float, Bool, String
    0,
    4294967295,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ADD_COLOR_TABLE =
  {
    RSSCOPE_ATTR_ADD_COLOR_TABLE,
    "Add Color Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:COL:PAL:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test_2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOVE_COLOR_TABLE =
  {
    RSSCOPE_ATTR_REMOVE_COLOR_TABLE,
    "Remove Color Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:COL:PAL:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test_2",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_COLOR_TABLE_COUNT =
  {
    RSSCOPE_ATTR_COLOR_TABLE_COUNT,
    "Color Table Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:COL:PAL:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_COLOR_TABLE_APPEND_NEW_ROW =
  {
    RSSCOPE_ATTR_COLOR_TABLE_APPEND_NEW_ROW,
    "Color Table Append New Row",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:COL:PAL:POIN:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_SHOW_GRID =
  {
    RSSCOPE_ATTR_DIAGRAM_SHOW_GRID,
    "Diagram Show Grid",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:GRID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_SHOW_CROSSHAIR =
  {
    RSSCOPE_ATTR_DIAGRAM_SHOW_CROSSHAIR,
    "Diagram Show Crosshair",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:CROS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_SHOW_LABELS =
  {
    RSSCOPE_ATTR_DIAGRAM_SHOW_LABELS,
    "Diagram Show Labels",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_SHOW_TAB_TITLES =
  {
    RSSCOPE_ATTR_DIAGRAM_SHOW_TAB_TITLES,
    "Diagram Show Tab Titles",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:TITL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_KEEP_Y_GRID_FIXED =
  {
    RSSCOPE_ATTR_DIAGRAM_KEEP_Y_GRID_FIXED,
    "Diagram Keep Y-grid Fixed",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:YFIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_KEEP_X_GRID_FIXED =
  {
    RSSCOPE_ATTR_DIAGRAM_KEEP_X_GRID_FIXED,
    "Diagram Keep X-grid Fixed",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:XFIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_SHOW_FINE_GRID_SCALE =
  {
    RSSCOPE_ATTR_DIAGRAM_SHOW_FINE_GRID_SCALE,
    "Diagram Show Fine Grid Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:DIAG:FIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_STATE =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_STATE,
    "Signal Bar State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SIGB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_POSITION =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_POSITION,
    "Signal Bar Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngSignalBarPostion, NULL, NULL,
    "DISP:SIGB:POS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SIGNAL_BAR_POSITION_RIGHT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_AUTO_HIDE =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_AUTO_HIDE,
    "Signal Bar Auto Hide",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SIGB:HIDE:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_HIDE_TIME =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_HIDE_TIME,
    "Signal Bar Hide Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngSignalBarHideTime, NULL,
    "DISP:SIGB:HIDE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_HIDE_HEAD =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_HIDE_HEAD,
    "Signal Bar Hide Head",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SIGB:HIDE:HEAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_HIDING_TRANSPARENCY =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_HIDING_TRANSPARENCY,
    "Signal Bar Hiding Transparency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngSignalBarHidingTransparency, NULL,
    "DISP:SIGB:HIDE:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_BORDER_COLOR =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_BORDER_COLOR,
    "Signal Bar Border Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:SIGB:COL:BORD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SIGNAL_BAR_FILL_COLOR =
  {
    RSSCOPE_ATTR_SIGNAL_BAR_FILL_COLOR,
    "Signal Bar Fill Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISP:SIGB:COL:FILL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RESULT_BOX_POSITION =
  {
    RSSCOPE_ATTR_RESULT_BOX_POSITION,
    "Result Box Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngResultBoxPosition, NULL, NULL,
    "DISP:RES:DEF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_RESULT_BOX_POSITION_PREVIEW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOVE_DIAGRAM =
  {
    RSSCOPE_ATTR_REMOVE_DIAGRAM,
    "Remove Diagram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MyDiagram",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DISPLAY_DIAGRAM =
  {
    RSSCOPE_ATTR_DISPLAY_DIAGRAM,
    "Display Diagram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Diagram1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOVE_WAVEFORM_FROM_DIAGRAM =
  {
    RSSCOPE_ATTR_REMOVE_WAVEFORM_FROM_DIAGRAM,
    "Remove Waveform From Diagram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "LAY:SIGN:UNAS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_LABEL_ID_LIST =
  {
    RSSCOPE_ATTR_HIDDEN_LABEL_ID_LIST,
    "Label ID List",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SIGN:LAB:IDSL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELECTED_LABEL_NAME =
  {
    RSSCOPE_ATTR_SELECTED_LABEL_NAME,
    "Selected Label Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Label1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELECTED_LABEL_SOURCE =
  {
    RSSCOPE_ATTR_SELECTED_LABEL_SOURCE,
    "Selected Label Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LABEL_SHOW =
  {
    RSSCOPE_ATTR_LABEL_SHOW,
    "Label Show",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SIGN:LAB:SHOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_FormatLabelSourceBoolean_ReadCallback,
    rsscope_FormatLabelSourceBoolean_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_WAVEFORM_LABEL_STATE =
  {
    RSSCOPE_ATTR_HIDDEN_WAVEFORM_LABEL_STATE,
    "Waveform Label State",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DISP:SIGN:LAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "<LabelID>,<Source>,<State>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_LABEL_FONT_SIZE =
  {
    RSSCOPE_ATTR_WAVEFORM_LABEL_FONT_SIZE,
    "Waveform Label Font Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngWaveformLabelFontSize, NULL,
    "DISPlay:SIGNal:LABel:FONTsize",
    // Defaults I32, I64, Float, Bool, String
    15,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DIAGRAM_ZOOM_OVERLAY =
  {
    RSSCOPE_ATTR_DIAGRAM_ZOOM_OVERLAY,
    "Diagram Zoom Overlay",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LAY:ZOOM:ONED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_XY_DIAGRAM_STATE =
  {
    RSSCOPE_ATTR_XY_DIAGRAM_STATE,
    "XY Diagram State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WAV{XYDiagram}:XYC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_XY_DIAGRAM_RATIO =
  {
    RSSCOPE_ATTR_XY_DIAGRAM_RATIO,
    "XY Diagram Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WAV{XYDiagram}:XYC:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SWAP_XY_DIAGRAM =
  {
    RSSCOPE_ATTR_SWAP_XY_DIAGRAM,
    "Swap XY Diagram",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "WAV{XYDiagram}:XYC:SWAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_XY_DIAGRAM_X_SOURCE =
  {
    RSSCOPE_ATTR_XY_DIAGRAM_X_SOURCE,
    "XY Diagram X Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameterXY, NULL, NULL,
    "WAV{XYDiagram}:XYC:XSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_XY_DIAGRAM_Y_SOURCE =
  {
    RSSCOPE_ATTR_XY_DIAGRAM_Y_SOURCE,
    "XY Diagram Y Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameterXY, NULL, NULL,
    "WAV{XYDiagram}:XYC:YSO",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C2W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_GET_ACQUISITIONS_COUNT =
  {
    RSSCOPE_ATTR_HISTORY_GET_ACQUISITIONS_COUNT,
    "History Get Acquisitions Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:AVA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_STATE =
  {
    RSSCOPE_ATTR_HISTORY_STATE,
    "History State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_START_INDEX =
  {
    RSSCOPE_ATTR_HISTORY_START_INDEX,
    "History Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_STOP_INDEX =
  {
    RSSCOPE_ATTR_HISTORY_STOP_INDEX,
    "History Stop Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_ACQUISITION_VIEW =
  {
    RSSCOPE_ATTR_HISTORY_ACQUISITION_VIEW,
    "History Acquisition View",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_ACQUISITION_TIME =
  {
    RSSCOPE_ATTR_HISTORY_ACQUISITION_TIME,
    "History Acquisition Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngHistAcqTime, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:TPAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_AUTO_REPEAT =
  {
    RSSCOPE_ATTR_HISTORY_AUTO_REPEAT,
    "History Auto Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_PLAYBACK =
  {
    RSSCOPE_ATTR_HISTORY_PLAYBACK,
    "History Playback",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:PLAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_ABSOLUTE_TIME_STAMP =
  {
    RSSCOPE_ATTR_HISTORY_ABSOLUTE_TIME_STAMP,
    "History Absolute Time Stamp",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:TSAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "12,24,30",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_RELATIVE_TIME_STAMP =
  {
    RSSCOPE_ATTR_HISTORY_RELATIVE_TIME_STAMP,
    "History Relative Time Stamp",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_TIME_REFERENCE =
  {
    RSSCOPE_ATTR_HISTORY_TIME_REFERENCE,
    "History Time Reference",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:TSRR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTORY_DATE =
  {
    RSSCOPE_ATTR_HISTORY_DATE,
    "History Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:WAV{Waveform}:HIST:TSD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVE =
  {
    RSSCOPE_ATTR_SAVE,
    "Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*SAV",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_RECALL =
  {
    RSSCOPE_ATTR_RECALL,
    "Recall",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*RCL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DRIVES =
  {
    RSSCOPE_ATTR_DRIVES,
    "Drives",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DRIV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANGE_DRIVE =
  {
    RSSCOPE_ATTR_CHANGE_DRIVE,
    "Change Drive",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MSIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CURRENT_DIRECTORY =
  {
    RSSCOPE_ATTR_CURRENT_DIRECTORY,
    "Current Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CREATE_DIRECTORY =
  {
    RSSCOPE_ATTR_CREATE_DIRECTORY,
    "Create Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOVE_DIRECTORY =
  {
    RSSCOPE_ATTR_REMOVE_DIRECTORY,
    "Remove Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_DELETE_FILE =
  {
    RSSCOPE_ATTR_DELETE_FILE,
    "Delete File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVESET_PREVIEW_IMAGE =
  {
    RSSCOPE_ATTR_SAVESET_PREVIEW_IMAGE,
    "Saveset Preview Image",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAV:CONF:PREV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVESET_ONE_FILE_NAME =
  {
    RSSCOPE_ATTR_SAVESET_ONE_FILE_NAME,
    "Saveset One File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SAV:ONEF:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.zip",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVESET_ONE_FILE_OPEN =
  {
    RSSCOPE_ATTR_SAVESET_ONE_FILE_OPEN,
    "Saveset One File Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SAV:ONEF:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVESET_ONE_FILE_SAVE =
  {
    RSSCOPE_ATTR_SAVESET_ONE_FILE_SAVE,
    "Saveset One File Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SAV:ONEF:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVESET_ONE_FILE_USER_PREFERENCE =
  {
    RSSCOPE_ATTR_SAVESET_ONE_FILE_USER_PREFERENCE,
    "Saveset One File User Preference",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SAV:ONEF:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_MULTICHANNEL =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_MULTICHANNEL,
    "Waveform Export Multichannel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:MULT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SOURCE =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_SOURCE,
    "Waveform Export Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformParameter, NULL, NULL,
    "EXP:WAV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_C1W1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE,
    "Waveform Export Scope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngWaveformExportScope, NULL, NULL,
    "EXP:WAV:SCOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_WAV_EXPORT_COMPLETE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_CURSOR =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_CURSOR,
    "Waveform Export Scope Cursor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngCursor, NULL, NULL,
    "EXP:WAV:CURS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_CURSOR_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_GATE =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_GATE,
    "Waveform Export Scope Gate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngMeasurement, NULL, NULL,
    "EXP:WAV:MEAS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEAS1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_START =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_START,
    "Waveform Export Scope Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWaveformExportRange, NULL,
    "EXP:WAV:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_STOP =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_STOP,
    "Waveform Export Scope Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rsscope_rngWaveformExportRange, NULL,
    "EXP:WAV:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_DATA_LOGGING =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_DATA_LOGGING,
    "Waveform Export Data Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:DLOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_TIMESTAMPS =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_TIMESTAMPS,
    "Waveform Export Timestamps",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_FAST_EXPORT =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_FAST_EXPORT,
    "Waveform Export Fast Export",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:FAST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_FILE =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_FILE,
    "Waveform Export File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:WAV:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT,
    "Waveform Export",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:WAV:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY,
    "Waveform Export Interleaved XY",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:INCX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_RAW_VALUES =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_RAW_VALUES,
    "Waveform Export Raw Values",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:RAW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_DISPLAY_OFF =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_DISPLAY_OFF,
    "Waveform Export Display Off",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_CDR_INFO =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_CDR_INFO,
    "Waveform Export CDR Info",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:ICDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_WAVEFORM_EXPORT_CHANNEL =
  {
    RSSCOPE_ATTR_WAVEFORM_EXPORT_CHANNEL,
    "Waveform Export Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:EXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_EXPORT_NAME =
  {
    RSSCOPE_ATTR_HISTOGRAM_EXPORT_NAME,
    "Histogram Export Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:HIST:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_EXPORT_INCIDENCE =
  {
    RSSCOPE_ATTR_HISTOGRAM_EXPORT_INCIDENCE,
    "Histogram Export Incidence",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngAbsRel, NULL, NULL,
    "EXP:HIST:INC",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_EXPORT_FILE =
  {
    RSSCOPE_ATTR_HISTOGRAM_EXPORT_FILE,
    "Histogram Export File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:HIST:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HISTOGRAM_EXPORT =
  {
    RSSCOPE_ATTR_HISTOGRAM_EXPORT,
    "Histogram Export",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:HIST:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMERIC_RESULTS_DECIMAL_SYMBOL =
  {
    RSSCOPE_ATTR_NUMERIC_RESULTS_DECIMAL_SYMBOL,
    "Numeric Results Decimal Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDecimalSymbol, NULL, NULL,
    "EXP:RES:DECS",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_DECIMAL_SYMBOL_POINT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMERIC_RESULTS_DELIMITER =
  {
    RSSCOPE_ATTR_NUMERIC_RESULTS_DELIMITER,
    "Numeric Results Delimiter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngDelimiter, NULL, NULL,
    "EXP:RES:DEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_COMMA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMERIC_RESULTS_OMIT_UNITS =
  {
    RSSCOPE_ATTR_NUMERIC_RESULTS_OMIT_UNITS,
    "Numeric Results Omit Units",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:RES:NUM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMERIC_RESULTS_EXPORT_FILE_NAME =
  {
    RSSCOPE_ATTR_NUMERIC_RESULTS_EXPORT_FILE_NAME,
    "Numeric Results Export File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:RES:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "export.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_NUMERIC_RESULTS_SAVE =
  {
    RSSCOPE_ATTR_NUMERIC_RESULTS_SAVE,
    "Numeric Results Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:RES:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_EXPORT_RESULT =
  {
    RSSCOPE_ATTR_LONG_TERM_EXPORT_RESULT,
    "Long Term Export Result",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLongTermExportResult, NULL, NULL,
    "EXP:MEAS:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MEASUREMENT_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_EXPORT_TYPE =
  {
    RSSCOPE_ATTR_LONG_TERM_EXPORT_TYPE,
    "Long Term Export Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngLongTermExportType, NULL, NULL,
    "EXP:MEAS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LONG_TERM_EXPORT_TYPE_LONG_TERM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_EXPORT_FILE =
  {
    RSSCOPE_ATTR_LONG_TERM_EXPORT_FILE,
    "Long Term Export File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:MEAS:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LONG_TERM_EXPORT =
  {
    RSSCOPE_ATTR_LONG_TERM_EXPORT,
    "Long Term Export",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:MEAS:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_LANGUAGE =
  {
    RSSCOPE_ATTR_REPORT_LANGUAGE,
    "Report Language",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REP:LANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "English",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_PAPER_SIZE =
  {
    RSSCOPE_ATTR_REPORT_PAPER_SIZE,
    "Report Paper Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngPowerAnalysisReportPaperSize, NULL, NULL,
    "REP:PAP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_POWER_ANALYSIS_PAPER_A4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_USER =
  {
    RSSCOPE_ATTR_REPORT_USER,
    "Report User",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REP:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "user",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_COMMENT =
  {
    RSSCOPE_ATTR_REPORT_COMMENT,
    "Report Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REP:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_LOGO_TYPE =
  {
    RSSCOPE_ATTR_REPORT_LOGO_TYPE,
    "Report Logo Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngReportLogoType, NULL, NULL,
    "REP:LOGT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_REPORT_LOGO_TYPE_RS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_LOGO_FILE =
  {
    RSSCOPE_ATTR_REPORT_LOGO_FILE,
    "Report Logo File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REP:LOGO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\temp\\logo.jpg",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REPORT_FILE_NAME =
  {
    RSSCOPE_ATTR_REPORT_FILE_NAME,
    "Report File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REP:FILE:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file.html",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SAVE_REPORT =
  {
    RSSCOPE_ATTR_SAVE_REPORT,
    "Save Report",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REP:FILE:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXPORT_EYE_SELECT =
  {
    RSSCOPE_ATTR_EXPORT_EYE_SELECT,
    "Export Eye Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngExportEyeSelect, NULL, NULL,
    "EXP:EYE:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EXPORT_EYE_SELECT_EYE1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXPORT_EYE_SOURCE =
  {
    RSSCOPE_ATTR_EXPORT_EYE_SOURCE,
    "Export Eye Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngExportEyeSource, NULL, NULL,
    "EXP:EYE:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_EXPORT_EYE_SOURCE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXPORT_EYE_PATH =
  {
    RSSCOPE_ATTR_EXPORT_EYE_PATH,
    "Export Eye Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:EYE:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\RTx\\Eyes\\Filename.csv",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXPORT_EYE_SAVE =
  {
    RSSCOPE_ATTR_EXPORT_EYE_SAVE,
    "Export Eye Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:EYE:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HIDDEN_EXPORT_EYE_DATA =
  {
    RSSCOPE_ATTR_HIDDEN_EXPORT_EYE_DATA,
    "Export Eye Data",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "EXP:EYE:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_PREFIX =
  {
    RSSCOPE_ATTR_AUTONAMING_PREFIX,
    "Autonaming Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_TEXT =
  {
    RSSCOPE_ATTR_AUTONAMING_TEXT,
    "Autonaming Text",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:AUT:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_USER_TEXT =
  {
    RSSCOPE_ATTR_AUTONAMING_USER_TEXT,
    "Autonaming User Text",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_DATE =
  {
    RSSCOPE_ATTR_AUTONAMING_DATE,
    "Autonaming Date",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_INDEX =
  {
    RSSCOPE_ATTR_AUTONAMING_INDEX,
    "Autonaming Index",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:IND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_TIME =
  {
    RSSCOPE_ATTR_AUTONAMING_TIME,
    "Autonaming Time",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:AUT:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_DEFAULT_PATH =
  {
    RSSCOPE_ATTR_AUTONAMING_DEFAULT_PATH,
    "Autonaming Default Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:AUT:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\RTx",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_RESET_PATH =
  {
    RSSCOPE_ATTR_AUTONAMING_RESET_PATH,
    "Autonaming Reset Path",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:AUT:RESP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_AUTONAMING_RESET_ALL_SETTINGS =
  {
    RSSCOPE_ATTR_AUTONAMING_RESET_ALL_SETTINGS,
    "Autonaming Reset All Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:AUT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_FILE_NAME =
  {
    RSSCOPE_ATTR_HARDCOPY_FILE_NAME,
    "Hardcopy File Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_PRINT =
  {
    RSSCOPE_ATTR_HARDCOPY_PRINT,
    "Hardcopy Print",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_PRINT_NEXT =
  {
    RSSCOPE_ATTR_HARDCOPY_PRINT_NEXT,
    "Hardcopy Print Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:IMM:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_GET_FIRST_PRINTER =
  {
    RSSCOPE_ATTR_HARDCOPY_GET_FIRST_PRINTER,
    "Hardcopy Get First Printer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:ENUM:FIRS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_GET_NEXT_PRINTER =
  {
    RSSCOPE_ATTR_HARDCOPY_GET_NEXT_PRINTER,
    "Hardcopy Get Next Printer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:ENUM:NEXT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_COLOR =
  {
    RSSCOPE_ATTR_HARDCOPY_COLOR,
    "Hardcopy Color",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:DEV{Destination}:COL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_DEVICE_DESTINATION =
  {
    RSSCOPE_ATTR_HARDCOPY_DEVICE_DESTINATION,
    "Hardcopy Device Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHardcopyDevice, NULL, NULL,
    "HCOP:DEST{Destination}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_HARDCOPY_DEVICE_CLIPBOARD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsscope_quotedInt_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT =
  {
    RSSCOPE_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT,
    "Hardcopy Device Language Output Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHardcopyDeviceLang, NULL, NULL,
    "HCOP:DEV{Destination}:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_HARDCOPY_DEVICE_LANG_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_DEVICE_ORIENTATION =
  {
    RSSCOPE_ATTR_HARDCOPY_DEVICE_ORIENTATION,
    "Hardcopy Device Orientation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHardcopyDeviceOrientation, NULL, NULL,
    "HCOP:PAGE:ORI{Destination}",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_HARDCOPY_ORIENTATION_LANDSCAPE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_WHITE_BACKGROUND =
  {
    RSSCOPE_ATTR_HARDCOPY_WHITE_BACKGROUND,
    "Hardcopy White Background",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:WBKG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_SELECT_PRINTER =
  {
    RSSCOPE_ATTR_HARDCOPY_SELECT_PRINTER,
    "Hardcopy Select Printer",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:SEL{Destination}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_PRINT_COLOR_SET =
  {
    RSSCOPE_ATTR_HARDCOPY_PRINT_COLOR_SET,
    "Hardcopy Print Color Set",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngHardcopyPrintColorSet, NULL, NULL,
    "HCOP:CMAP{Destination}:DEF",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_HARDCOPY_COLOR_SET_DEF1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_INVERSE_COLORS =
  {
    RSSCOPE_ATTR_HARDCOPY_INVERSE_COLORS,
    "Hardcopy Inverse Colors",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:DEV{Destination}:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_INCLUDE_SIGNAL_BAR =
  {
    RSSCOPE_ATTR_HARDCOPY_INCLUDE_SIGNAL_BAR,
    "Hardcopy Include Signal Bar",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:ISBA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_HARDCOPY_SHOW_SETUP_DIALOG =
  {
    RSSCOPE_ATTR_HARDCOPY_SHOW_SETUP_DIALOG,
    "Hardcopy Show Setup Dialog",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:SSD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_APPLICATION_NAME =
  {
    RSSCOPE_ATTR_EXTERNAL_APPLICATION_NAME,
    "External Application Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXEC:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "notepad.exe",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_APPLICATION_PARAMETER =
  {
    RSSCOPE_ATTR_EXTERNAL_APPLICATION_PARAMETER,
    "External Application Parameter",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXEC:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "new_file.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_EXTERNAL_APPLICATION_WORKING_DIRECTORY =
  {
    RSSCOPE_ATTR_EXTERNAL_APPLICATION_WORKING_DIRECTORY,
    "External Application Working Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXEC:WDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\temp",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUICK_ACTION_MODE =
  {
    RSSCOPE_ATTR_QUICK_ACTION_MODE,
    "Quick Action Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngQuickActionMode, NULL, NULL,
    "QACT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_QUICK_ACTION_MODE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUICK_ACTION_APPLICATION_PATH =
  {
    RSSCOPE_ATTR_QUICK_ACTION_APPLICATION_PATH,
    "Quick Action Application Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "QACT:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "notepad.exe",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUICK_ACTION_PARAMETER =
  {
    RSSCOPE_ATTR_QUICK_ACTION_PARAMETER,
    "Quick Action Parameter",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "QACT:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "new_file.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUICK_ACTION_WORKING_DIRECTORY =
  {
    RSSCOPE_ATTR_QUICK_ACTION_WORKING_DIRECTORY,
    "Quick Action Working Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "QACT:WDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\temp",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUICK_ACTION_EXECUTE =
  {
    RSSCOPE_ATTR_QUICK_ACTION_EXECUTE,
    "Quick Action Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "QACT:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CHANNEL_COUNT =
  {
    RSSCOPE_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIAG:SERV:CHAN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FIRMWARE_SHUTDOWN =
  {
    RSSCOPE_ATTR_FIRMWARE_SHUTDOWN,
    "Firmware Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:EXIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_FIRMWARE_VERSION =
  {
    RSSCOPE_ATTR_FIRMWARE_VERSION,
    "Firmware Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:FWV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_COMPUTER_NAME =
  {
    RSSCOPE_ATTR_COMPUTER_NAME,
    "Computer Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_MATERIAL_NUMBER =
  {
    RSSCOPE_ATTR_MATERIAL_NUMBER,
    "Material Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:PART?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1316.1000k24",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERIAL_NUMBER =
  {
    RSSCOPE_ATTR_SERIAL_NUMBER,
    "Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:SER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_START_SELFTEST =
  {
    RSSCOPE_ATTR_START_SELFTEST,
    "Start Selftest",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIAG:SERV:STST:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELFTEST_STATUS =
  {
    RSSCOPE_ATTR_SELFTEST_STATUS,
    "Selftest Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rsscope_rngSelftestStatus, NULL, NULL,
    "DIAG:SERV:STST:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SELFTEST_UNDEFINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SET_QUERY_PATTERN_FORMAT =
  {
    RSSCOPE_ATTR_SET_QUERY_PATTERN_FORMAT,
    "Set Query Pattern Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngPatternFormat, NULL, NULL,
    "FORM:BPAT",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_PATTERN_STRING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SERVICE_MODE_PASSWORD =
  {
    RSSCOPE_ATTR_SERVICE_MODE_PASSWORD,
    "Service Mode Password",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:PWD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01234",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SCOPE_MODEL =
  {
    RSSCOPE_ATTR_SCOPE_MODEL,
    "Scope Model",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngScopeModel, NULL, NULL,
    "DIAG:SERV:WFAM?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_MODEL_RTO1024,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SCOPE_SERIES =
  {
    RSSCOPE_ATTR_SCOPE_SERIES,
    "Scope Series",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngScopeSeries, NULL, NULL,
    "DIAG:SERV:WFAS?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SERIES_RTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SCOPE_FAMILY =
  {
    RSSCOPE_ATTR_SCOPE_FAMILY,
    "Scope Family",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsScope_rngScopeFamily, NULL, NULL,
    "DIAG:SERV:WFAT?",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_SCOPE_FAMILY_RTO2000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_DEFINED_PRESET_ENABLED =
  {
    RSSCOPE_ATTR_USER_DEFINED_PRESET_ENABLED,
    "User Defined Preset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "USRD:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_DEFINED_PRESET_PATH_AND_FILE_NAME =
  {
    RSSCOPE_ATTR_USER_DEFINED_PRESET_PATH_AND_FILE_NAME,
    "User Defined Preset Path and File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "USRD:RST:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\RTx\\SaveSets\\Name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_DEFINED_PRESET_OPEN =
  {
    RSSCOPE_ATTR_USER_DEFINED_PRESET_OPEN,
    "User Defined Preset Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "USRD:RST:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_USER_DEFINED_PRESET_SAVE =
  {
    RSSCOPE_ATTR_USER_DEFINED_PRESET_SAVE,
    "User Defined Preset Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "USRD:RST:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_ID_QUERY_RESPONSE =
  {
    RSSCOPE_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,RTO,123456/789,1.23",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LOGGING =
  {
    RSSCOPE_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsscope_logging_ReadCallback,
    rsscope_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_CALIBRATION =
  {
    RSSCOPE_ATTR_CALIBRATION,
    "Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*CAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SELF_TEST_QUERY =
  {
    RSSCOPE_ATTR_SELF_TEST_QUERY,
    "Self-Test Query",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*TST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_BYTE_ORDER =
  {
    RSSCOPE_ATTR_BYTE_ORDER,
    "Byte Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rsscope_rngByteOrder, NULL, NULL,
    "FORM:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_LSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_ERROR_ALL =
  {
    RSSCOPE_ATTR_SYSTEM_ERROR_ALL,
    "System Error All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_ERROR =
  {
    RSSCOPE_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_ERROR_CODE_ALL =
  {
    RSSCOPE_ATTR_SYSTEM_ERROR_CODE_ALL,
    "System Error Code All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:CODE:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_ERROR_CODE =
  {
    RSSCOPE_ATTR_SYSTEM_ERROR_CODE,
    "System Error Code",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:CODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_ERROR_COUNT =
  {
    RSSCOPE_ATTR_SYSTEM_ERROR_COUNT,
    "System Error Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPERATION_REGISTER_ENABLED =
  {
    RSSCOPE_ATTR_OPERATION_REGISTER_ENABLED,
    "Operation Register Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngRegister, NULL,
    "STAT:OPER:ENAB",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_OPERATION_REGISTER_EVENT =
  {
    RSSCOPE_ATTR_OPERATION_REGISTER_EVENT,
    "Operation Register Event",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "STAT:OPER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSSCOPE_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GPIB_ADDRESS =
  {
    RSSCOPE_ATTR_GPIB_ADDRESS,
    "GPIB Address",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsScope_rngGPIBAddress, NULL,
    "GPIB:ADDR",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_GPIB_TERMINATOR =
  {
    RSSCOPE_ATTR_GPIB_TERMINATOR,
    "GPIB Terminator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngGPIBTerminator, NULL, NULL,
    "GPIB:TERM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_TERMINATOR_EOI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_SHUTDOWN =
  {
    RSSCOPE_ATTR_SYSTEM_SHUTDOWN,
    "System Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_VERSION =
  {
    RSSCOPE_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1999.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_PRESET =
  {
    RSSCOPE_ATTR_SYSTEM_PRESET,
    "System Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_DEVICE_ID =
  {
    RSSCOPE_ATTR_SYSTEM_DEVICE_ID,
    "System Device ID",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DEV:ID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1316.1000K24-001122-jT",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_LOCK_LOCAL_KEYS =
  {
    RSSCOPE_ATTR_LOCK_LOCAL_KEYS,
    "Lock Local Keys",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:KLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_INFO_DEVICE_FOOTPRINT =
  {
    RSSCOPE_ATTR_SYSTEM_INFO_DEVICE_FOOTPRINT,
    "System Info Device Footprint",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DFPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "very long string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_SYSTEM_REMOTE_CONTROL_COMMAND_SET =
  {
    RSSCOPE_ATTR_SYSTEM_REMOTE_CONTROL_COMMAND_SET,
    "System Remote Control Command Set",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:LANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SCPI",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUERY_SYSTEM_DATE =
  {
    RSSCOPE_ATTR_QUERY_SYSTEM_DATE,
    "Query System Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2011,09,13",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_QUERY_SYSTEM_TIME =
  {
    RSSCOPE_ATTR_QUERY_SYSTEM_TIME,
    "Query System Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00,00,00",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_FILE_NAME =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_FILE_NAME,
    "Remote Trace File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\temp\\remote_trace.txt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_FILE_FORMAT =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_FILE_FORMAT,
    "Remote Trace File Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngRemoteTraceFileFormat, NULL, NULL,
    "TRAC:REM:MODE:FILE:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_FILE_TYPE_ASCII,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_FILE_SIZE =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_FILE_SIZE,
    "Remote Trace File Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:SIZE",
    // Defaults I32, I64, Float, Bool, String
    1000000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_START_MODE =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_START_MODE,
    "Remote Trace Start Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngStartMode, NULL, NULL,
    "TRAC:REM:MODE:FILE:STAR",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_START_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_STOP_MODE =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_STOP_MODE,
    "Remote Trace Stop Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsScope_rngStopMode, NULL, NULL,
    "TRAC:REM:MODE:FILE:STOP",
    // Defaults I32, I64, Float, Bool, String
    RSSCOPE_VAL_STOP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_ENABLED =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_ENABLED,
    "Remote Trace Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_COMMAND_EXECUTION_DURATION_ENABLED =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_COMMAND_EXECUTION_DURATION_ENABLED,
    "Remote Trace Command Execution Duration Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:DEX:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_RPC_OUTPUT_ENABLED =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_RPC_OUTPUT_ENABLED,
    "Remote Trace RPC Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:RPC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_PARSER_TRANSITIONS_OUTPUT_ENABLED =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_PARSER_TRANSITIONS_OUTPUT_ENABLED,
    "Remote Trace Parser Transitions Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:PARS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSCOPE_ATTR_REMOTE_TRACE_FUNCTION_NAMES_OUTPUT_ENABLED =
  {
    RSSCOPE_ATTR_REMOTE_TRACE_FUNCTION_NAMES_OUTPUT_ENABLED,
    "Remote Trace Function Names Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:REM:MODE:FILE:FUNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsscope_RsCoreAttributeListLength = 3446;

RsCoreAttributePtr rsscope_RsCoreAttributeList[3446] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSSCOPE_ATTR_INTERPOLATION,
    &g_RSSCOPE_ATTR_NUM_AVERAGES,
    &g_RSSCOPE_ATTR_SAMPLE_MODE,
    &g_RSSCOPE_ATTR_HORZ_RECORD_SELECTION,
    &g_RSSCOPE_ATTR_ACQUISITION_AUTO_ADJUSTMENT,
    &g_RSSCOPE_ATTR_HORZ_TIME_PER_RECORD,
    &g_RSSCOPE_ATTR_HORZ_RECORD_LENGTH,
    &g_RSSCOPE_ATTR_HORZ_RECORD_LENGTH_LIMIT,
    &g_RSSCOPE_ATTR_HORZ_SCALE,
    &g_RSSCOPE_ATTR_ZVC_RECORD_LENGTH,
    &g_RSSCOPE_ATTR_ZVC_CURRENT_RESOLUTION,
    &g_RSSCOPE_ATTR_ACQUSITION_START_TIME,
    &g_RSSCOPE_ATTR_NUMBER_OF_ACQUISITIONS,
    &g_RSSCOPE_ATTR_ACQUISITION_RESTRICT_OFFSET,
    &g_RSSCOPE_ATTR_ACQUISITION_SAMPLE_RATE,
    &g_RSSCOPE_ATTR_ACQUISITION_TIME,
    &g_RSSCOPE_ATTR_HORZ_SAMPLE_RATE,
    &g_RSSCOPE_ATTR_HORZ_ADC_SAMPLE_RATE,
    &g_RSSCOPE_ATTR_AUTOSCALE,
    &g_RSSCOPE_ATTR_HORZ_DIVISIONS,
    &g_RSSCOPE_ATTR_HORZ_REFERENCE,
    &g_RSSCOPE_ATTR_HORZ_RESOLUTION,
    &g_RSSCOPE_ATTR_ROLL_MODE_AUTO,
    &g_RSSCOPE_ATTR_ROLL_STATE,
    &g_RSSCOPE_ATTR_ROLL_MODE_THRESHOLD,
    &g_RSSCOPE_ATTR_ULTRA_SEGMENTATION_ENABLED,
    &g_RSSCOPE_ATTR_ULTRA_SEGMENTATION_DEPENDENCY,
    &g_RSSCOPE_ATTR_ULTRA_SEGMENTATION_AUTO_REPLAY,
    &g_RSSCOPE_ATTR_CALIBRATION_SOURCE_STATE,
    &g_RSSCOPE_ATTR_CALIBRATION_SOURCE_FREQUENCY,
    &g_RSSCOPE_ATTR_CALIBRATION_OPERATING_MODE,
    &g_RSSCOPE_ATTR_CALIBRATION_DESTINATION,
    &g_RSSCOPE_ATTR_CALIBRATION_RESULT,
    &g_RSSCOPE_ATTR_CALIBRATION_DATE,
    &g_RSSCOPE_ATTR_CALIBRATION_TIME,
    &g_RSSCOPE_ATTR_REF_OSCILLATOR_SOURCE,
    &g_RSSCOPE_ATTR_REF_OSCILLATOR_FREQUENCY,
    &g_RSSCOPE_ATTR_PROBE_STATE,
    &g_RSSCOPE_ATTR_PROBE_TYPE,
    &g_RSSCOPE_ATTR_PROBE_NAME,
    &g_RSSCOPE_ATTR_PROBE_INPUT_IMPEDANCE,
    &g_RSSCOPE_ATTR_PROBE_INPUT_CAPACITANCE,
    &g_RSSCOPE_ATTR_PROBE_ATTENUATION,
    &g_RSSCOPE_ATTR_PROBE_BANDWIDTH,
    &g_RSSCOPE_ATTR_PROBE_SET_OFFSET_TO_MEAN,
    &g_RSSCOPE_ATTR_PROBE_DEGAUSS,
    &g_RSSCOPE_ATTR_PROBE_AUTO_ZERO,
    &g_RSSCOPE_ATTR_PROBE_USE_AUTO_ZERO,
    &g_RSSCOPE_ATTR_PROBE_ZERO_ADJUST_VALUE,
    &g_RSSCOPE_ATTR_PROBE_SAVE_TO_PROBE,
    &g_RSSCOPE_ATTR_PROBE_MICRO_BUTTON_ACTION,
    &g_RSSCOPE_ATTR_PROBE_SOFTWARE_VERSION,
    &g_RSSCOPE_ATTR_PROBE_PRODUCTION_DATE,
    &g_RSSCOPE_ATTR_PROBE_PART_NUMBER,
    &g_RSSCOPE_ATTR_PROBE_SERIAL_NUMBER,
    &g_RSSCOPE_ATTR_PROBE_FIRMWARE_PATH,
    &g_RSSCOPE_ATTR_PROBE_FIRMWARE_UPDATE,
    &g_RSSCOPE_ATTR_PROBE_FIRMWARE_UPDATE_STATUS,
    &g_RSSCOPE_ATTR_PROBE_SELFTEST,
    &g_RSSCOPE_ATTR_PROBE_SELFTEST_STATUS,
    &g_RSSCOPE_ATTR_PROBE_DETECTION_MODE,
    &g_RSSCOPE_ATTR_PROBE_ATTENUATION_MANUAL,
    &g_RSSCOPE_ATTR_PROBE_VERTICAL_UNIT,
    &g_RSSCOPE_ATTR_PROBE_GAIN_MANUAL,
    &g_RSSCOPE_ATTR_DETECTED_PROBE_GAIN,
    &g_RSSCOPE_ATTR_PROBE_PREDEFINED_CURRENT_PROBE,
    &g_RSSCOPE_ATTR_PROBE_PREDEFINED_TEKTRONICS_PROBE,
    &g_RSSCOPE_ATTR_PROBE_MODE,
    &g_RSSCOPE_ATTR_PROBE_DM_OFFSET,
    &g_RSSCOPE_ATTR_PROBE_CM_OFFSET,
    &g_RSSCOPE_ATTR_PROBE_POSITIVE_OFFSET,
    &g_RSSCOPE_ATTR_PROBE_NEGATIVE_OFFSET,
    &g_RSSCOPE_ATTR_PROBE_ATTENUATOR_ZA15,
    &g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_MODE,
    &g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_STATE,
    &g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_ADJUSTMENT,
    &g_RSSCOPE_ATTR_PROBE_TERMINATION_VOLTAGE_MEASURE,
    &g_RSSCOPE_ATTR_PROBE_COUPLING_AC,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_MODE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_SELECT_TIP_MODULE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_CUSTOM_TIP_FILE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_ZMA30_SELECT_TIP_SUBMODULE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_ZMA40_SELECT_TIP_SUBMODULE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_BANDWIDTH,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_PROBING_MODE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_REMOVE_PROBE_LOADING,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_IMPEDANCE_TYPE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_IMPEDANCE,
    &g_RSSCOPE_ATTR_PROBE_DEEMBEDDING_LOAD_S_PARAMETER_FILE,
    &g_RSSCOPE_ATTR_PROBE_PROBEMETER_COPY_TO_OFFSET,
    &g_RSSCOPE_ATTR_PROBE_RT_ZHD_VOLTAGE_RANGE,
    &g_RSSCOPE_ATTR_PROBE_RT_ZHD_BANDWIDTH_LIMIT,
    &g_RSSCOPE_ATTR_PROBE_RT_ZHD_OVERRANGE_BUZZER,
    &g_RSSCOPE_ATTR_PROBE_ADAPTER_TYPE,
    &g_RSSCOPE_ATTR_PROBE_CONVERTER_TYPE,
    &g_RSSCOPE_ATTR_PROBE_RTZ1M_BANDWIDTH_LIMIT,
    &g_RSSCOPE_ATTR_PROBE_RTZ1M_SELF_ALIGN,
    &g_RSSCOPE_ATTR_PMETER_ENABLED,
    &g_RSSCOPE_ATTR_PMETER_VISIBILITY,
    &g_RSSCOPE_ATTR_PMETER_DISPLAY_DIFF,
    &g_RSSCOPE_ATTR_PMETER_MEASUREMENT_COMMON_RESULT,
    &g_RSSCOPE_ATTR_PMATER_MEASUREMENT_DIFFERENTIAL_RESULT,
    &g_RSSCOPE_ATTR_PMETER_MEASUREMENT_POSITIVE_RESULT,
    &g_RSSCOPE_ATTR_PMETER_MEASUREMENT_NEGATIVE_RESULT,
    &g_RSSCOPE_ATTR_PMETER_MEASUREMENT_SINGLE_RESULT,
    &g_RSSCOPE_ATTR_ZVC_BANDWIDTH,
    &g_RSSCOPE_ATTR_ZVC_DECIMATION_MODE,
    &g_RSSCOPE_ATTR_ZVC_RESOLUTION_COUPLED,
    &g_RSSCOPE_ATTR_ZVC_NAME,
    &g_RSSCOPE_ATTR_ZVC_PART_NUMBER,
    &g_RSSCOPE_ATTR_ZVC_SERIAL_NUMBER,
    &g_RSSCOPE_ATTR_ZVC_FIRMWARE,
    &g_RSSCOPE_ATTR_ZVC_I_ENABLED,
    &g_RSSCOPE_ATTR_ZVC_I_BANDWIDTH,
    &g_RSSCOPE_ATTR_ZVC_I_IMPEDANCE,
    &g_RSSCOPE_ATTR_ZVC_I_OFFSET,
    &g_RSSCOPE_ATTR_ZVC_I_DESKEW_OFFSET,
    &g_RSSCOPE_ATTR_ZVC_I_RESET_OVERLOAD,
    &g_RSSCOPE_ATTR_ZVC_I_OVERLOAD_DETECTED,
    &g_RSSCOPE_ATTR_ZVC_I_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_ZVC_I_VERTICAL_SCALE,
    &g_RSSCOPE_ATTR_ZVC_I_SHUNT_MODE,
    &g_RSSCOPE_ATTR_ZVC_I_SHUNT_EXTERNAL_VALUE,
    &g_RSSCOPE_ATTR_ZVC_I_SHUNT_INTERNAL_MAXIMUM,
    &g_RSSCOPE_ATTR_ZVC_I_SHUNT_MAXIMUM_CURRENT,
    &g_RSSCOPE_ATTR_ZVC_I_SHUNT_EXTERNAL_MAXIMUM_VOLTAGE,
    &g_RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_DETECT,
    &g_RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_USE,
    &g_RSSCOPE_ATTR_ZVC_I_ZERO_OFFSET_STATUS,
    &g_RSSCOPE_ATTR_ZVC_V_ENABLED,
    &g_RSSCOPE_ATTR_ZVC_V_BANDWIDTH,
    &g_RSSCOPE_ATTR_ZVC_V_IMPEDANCE,
    &g_RSSCOPE_ATTR_ZVC_V_OFFSET,
    &g_RSSCOPE_ATTR_ZVC_V_DESKEW_OFFSET,
    &g_RSSCOPE_ATTR_ZVC_V_RESET_OVERLOAD,
    &g_RSSCOPE_ATTR_ZVC_V_OVERLOAD_DETECTED,
    &g_RSSCOPE_ATTR_ZVC_V_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_ZVC_V_VERTICAL_SCALE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_STATE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_TYPE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_NAME,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_INPUT_IMPEDANCE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_INPUT_CAPACITANCE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATION,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_BANDWIDTH,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_SET_OFFSET_TO_MEAN,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_AUTO_ZERO,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_CM_OFFSET,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATOR_ZA15,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_MICRO_BUTTON_ACTION,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_SOFTWARE_VERSION,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_PRODUCTION_DATE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_PART_NUMBER,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_SERIAL_NUMBER,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_PATH,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_UPDATE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_FIRMWARE_UPDATE_STATUS,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST_STATUS,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_SELFTEST_RESULT,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_DETECTION_MODE,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_ATTENUATION_MANUAL,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_VERTICAL_UNIT,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_GAIN_MANUAL,
    &g_RSSCOPE_ATTR_TRIGGER_DETECTED_PROBE_GAIN,
    &g_RSSCOPE_ATTR_TRIGGER_PROBE_PREDEFINED_CURRENT_PROBE,
    &g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_COUPLING_AC,
    &g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_RT_ZHD_OVERRANGE_BUZZER,
    &g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_RT_ZHD_BANDWIDTH_LIMIT,
    &g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_DEGAUSS,
    &g_RSSCOPE_ATTR_TRIGGER_INPUT_PROBE_MODE,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_ENABLED,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_DISPLAY_DIFF,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_VISIBILITY,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_COMMON_RESULT,
    &g_RSSCOPE_ATTR_TRIGGER_PMATER_MEASUREMENT_DIFFERENTIAL_RESULT,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_POSITIVE_RESULT,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_NEGATIVE_RESULT,
    &g_RSSCOPE_ATTR_TRIGGER_PMETER_MEASUREMENT_SINGLE_RESULT,
    &g_RSSCOPE_ATTR_CHANNEL_ENABLED,
    &g_RSSCOPE_ATTR_VERTICAL_RANGE,
    &g_RSSCOPE_ATTR_VERTICAL_OFFSET,
    &g_RSSCOPE_ATTR_CHANNEL_INVERT,
    &g_RSSCOPE_ATTR_VERTICAL_COUPLING,
    &g_RSSCOPE_ATTR_VERTICAL_SCALE,
    &g_RSSCOPE_ATTR_CHANNEL_OFFSET,
    &g_RSSCOPE_ATTR_CHANNEL_BANDWIDTH_LIMIT,
    &g_RSSCOPE_ATTR_CHANNEL_OVERLOAD,
    &g_RSSCOPE_ATTR_CHANNEL_ANTIALIASING,
    &g_RSSCOPE_ATTR_INPUT_IMPEDANCE,
    &g_RSSCOPE_ATTR_GROUND_CONNECTION_ENABLED,
    &g_RSSCOPE_ATTR_DIGITAL_FILTER_STATE,
    &g_RSSCOPE_ATTR_DIGITAL_FILTER_CUT_OFF,
    &g_RSSCOPE_ATTR_EXTERNAL_ATTENUATION_SCALE,
    &g_RSSCOPE_ATTR_EXTERNAL_ATTENUATION_VALUE,
    &g_RSSCOPE_ATTR_WAVEFORM_STATE,
    &g_RSSCOPE_ATTR_WAVEFORM_HEADER,
    &g_RSSCOPE_ATTR_ACQUISITION_TYPE,
    &g_RSSCOPE_ATTR_WAVEFORM_ACQUISITION_TYPE,
    &g_RSSCOPE_ATTR_WAVEFORM_ACQUISITION_COUPLE_CHANNELS_ENABLED,
    &g_RSSCOPE_ATTR_MULTIWAVEFORM_ACQUISITION_ENABLED,
    &g_RSSCOPE_ATTR_SKEW_OFFSET_STATE,
    &g_RSSCOPE_ATTR_SKEW_OFFSET,
    &g_RSSCOPE_ATTR_SKEW_EXTENSION_STATE,
    &g_RSSCOPE_ATTR_PROBE_SKEW_STATE,
    &g_RSSCOPE_ATTR_COUPLE_VERTICAL_CHANNEL_SETTINGS_ENABLED,
    &g_RSSCOPE_ATTR_QUERY_VERTICAL_CHANNEL_SETTINGS_COUPLED,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_STATE,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_POSITIVE_INPUT,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_NEGATIVE_INPUT,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_OUTPUT_A,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_SIGNAL_OUTPUT_B,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_OFFSET,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_OFFSET,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_POSITION,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_POSITION,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_SCALE,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_SCALE,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_COMMON_ENABLED,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_ENABLED,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_NEGATIVE_SIGNAL_ENABLED,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_POSITIVE_SIGNAL_ENABLED,
    &g_RSSCOPE_ATTR_DIFFERENTIAL_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_HIGH_DEFINITION_ENABLED,
    &g_RSSCOPE_ATTR_HIGH_DEFINITION_BANDWIDTH,
    &g_RSSCOPE_ATTR_HIGH_DEFINITION_RESOLUTION,
    &g_RSSCOPE_ATTR_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_TRIGGER_SOURCE,
    &g_RSSCOPE_ATTR_TRIGGER_SERIAL_BUS_SOURCE,
    &g_RSSCOPE_ATTR_TRIGGER_MODIFIER,
    &g_RSSCOPE_ATTR_TRIGGER_LEVEL_AUTO_FIND,
    &g_RSSCOPE_ATTR_TRIGGER_EVENT_COUPLING,
    &g_RSSCOPE_ATTR_TRIGGER_SOURCE_COUPLING,
    &g_RSSCOPE_ATTR_TRIGGER_LINES_DISPLAY,
    &g_RSSCOPE_ATTR_TRIGGER_OUT_STATE,
    &g_RSSCOPE_ATTR_TRIGGER_OUT_ACTION,
    &g_RSSCOPE_ATTR_TRIGGER_OUT_POLARITY,
    &g_RSSCOPE_ATTR_TRIGGER_OUT_PULSE_LENGTH,
    &g_RSSCOPE_ATTR_TRIGGER_OUT_DELAY,
    &g_RSSCOPE_ATTR_TRIGGER_EVENT_BEEP,
    &g_RSSCOPE_ATTR_TRIGGER_EVENT_PRINT,
    &g_RSSCOPE_ATTR_TRIGGER_EVENT_SAVE_WAVEFORM,
    &g_RSSCOPE_ATTR_TRIGGER_EVENT_RUN_EXTERNAL_APPLICATION,
    &g_RSSCOPE_ATTR_TRIGGER_EVENT_TRIGGER_OUT,
    &g_RSSCOPE_ATTR_TRIGGER_EXTERNAL_OVERLOAD,
    &g_RSSCOPE_ATTR_DIGITAL_FILTER_TRIGGER_COUPLING,
    &g_RSSCOPE_ATTR_HIGH_FREQUENCY_REJECT_TRIGGER_STATE,
    &g_RSSCOPE_ATTR_TRIGGER_AC_POWER_INPUT_SLOPE,
    &g_RSSCOPE_ATTR_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_DIGITAL_FILTER_TRIGGER_RF_REJECT,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_COUPLING,
    &g_RSSCOPE_ATTR_TRIGGER_SLOPE,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER_CUT_OFF_FREQUENCY_HIGHPASS,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER_CUT_OFF_FREQUENCY_LOWPASS,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_FILTER,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_GROUND_CONNECTION_ENABLED,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_SLOPE,
    &g_RSSCOPE_ATTR_EXTERNAL_TRIGGER_NOISE_REJECT,
    &g_RSSCOPE_ATTR_RUNT_CONDITION,
    &g_RSSCOPE_ATTR_RUNT_WIDTH,
    &g_RSSCOPE_ATTR_RUNT_DELTA,
    &g_RSSCOPE_ATTR_RUNT_POLARITY,
    &g_RSSCOPE_ATTR_RUNT_HIGH_THRESHOLD,
    &g_RSSCOPE_ATTR_RUNT_LOW_THRESHOLD,
    &g_RSSCOPE_ATTR_GLITCH_WIDTH,
    &g_RSSCOPE_ATTR_GLITCH_POLARITY,
    &g_RSSCOPE_ATTR_GLITCH_CONDITION,
    &g_RSSCOPE_ATTR_WIDTH_CONDITION,
    &g_RSSCOPE_ATTR_WIDTH,
    &g_RSSCOPE_ATTR_WIDTH_DELTA,
    &g_RSSCOPE_ATTR_WIDTH_POLARITY,
    &g_RSSCOPE_ATTR_WINDOW_CONDITION,
    &g_RSSCOPE_ATTR_WINDOW_WIDTH,
    &g_RSSCOPE_ATTR_WINDOW_DELTA,
    &g_RSSCOPE_ATTR_WINDOW_TIME_CONDITION,
    &g_RSSCOPE_ATTR_WINDOW_UPPER_LIMIT,
    &g_RSSCOPE_ATTR_WINDOW_LOWER_LIMIT,
    &g_RSSCOPE_ATTR_TIMEOUT_CONDITION,
    &g_RSSCOPE_ATTR_TIMEOUT_VALUE,
    &g_RSSCOPE_ATTR_INTERVAL_CONDITION,
    &g_RSSCOPE_ATTR_INTERVAL_WIDTH,
    &g_RSSCOPE_ATTR_INTERVAL_DELTA,
    &g_RSSCOPE_ATTR_INTERVAL_POLARITY,
    &g_RSSCOPE_ATTR_SLEW_CONDITION,
    &g_RSSCOPE_ATTR_SLEW_RATE,
    &g_RSSCOPE_ATTR_SLEW_DELTA,
    &g_RSSCOPE_ATTR_SLEW_POLARITY,
    &g_RSSCOPE_ATTR_SLEW_UPPER_LIMIT,
    &g_RSSCOPE_ATTR_SLEW_LOWER_LIMIT,
    &g_RSSCOPE_ATTR_DATA2CLOCK_SIGNAL_EDGE,
    &g_RSSCOPE_ATTR_DATA2CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_DATA2CLOCK_LEVEL,
    &g_RSSCOPE_ATTR_DATA2CLOCK_HOLD_TIME,
    &g_RSSCOPE_ATTR_DATA2CLOCK_SETUP_TIME,
    &g_RSSCOPE_ATTR_DATA2CLOCK_POLARITY,
    &g_RSSCOPE_ATTR_PATTERN_MODE,
    &g_RSSCOPE_ATTR_PATTERN_TIMEOUT_MODE,
    &g_RSSCOPE_ATTR_PATTERN_TIMEOUT,
    &g_RSSCOPE_ATTR_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PATTERN_WIDTH,
    &g_RSSCOPE_ATTR_PATTERN_DELTA,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_SOURCE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_LEVEL,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_POLARITY,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_TYPE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_REFERENCE_SOURCE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_A,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_B,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_LENGTH_A,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_BIT_PATTERN_LENGTH_B,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_TYPE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_LENGTH,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_PATTERN,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_ALIGNMENT_TIMEOUT,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_IDLE_RANGE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_LOGIC,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_BIT_ORDER,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_CONDITION_ENABLED,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_BIT_OFFSET,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_LENGTH,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_SEARCH_RANGE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_COMPLEX_WORD_PATTERN_RANGE_END,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_ERROR_RATE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_NOMINAL_BIT_RATE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_PRBS_SEQUENCE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_ALIGNMENT_SYMBOL,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_SCRAMBLING,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_KD_SYMBOL,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_EIGHT_BIT_VALUE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_TEN_BIT_D_PLUS,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_TEN_BIT_D_MINUS,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_APPEND_ROW,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_ROW_COUNT,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_CLEAR_TABLE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_DISPARITY_ERROR_ENABLED,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_SYMBOL_ERROR_ENABLED,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_EBTB_FRAME_ID,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_ALIGNMENT_PATTERN,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_START,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_END,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_SKIP_BYTES,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_TYPE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I32B_PATTERN,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_ALIGNMENT_PATTERN,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_START,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_END,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_SKIP_BYTES,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_TYPE,
    &g_RSSCOPE_ATTR_SERIAL_PATTERN_I30B_PATTERN,
    &g_RSSCOPE_ATTR_NFC_TRIGGER_TECHNOLOGY,
    &g_RSSCOPE_ATTR_NFC_TRIGGER_BIT_RATE,
    &g_RSSCOPE_ATTR_NFC_TRIGGER_EVENT,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_ALGORITHM,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_BIT_RATE,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_BIT_RATE_ESTIMATE,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_CONTINUOUS_BIT_RATE_ESTIMATE,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_BANDWIDTH,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_LEVEL,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_RELATIVE_BANDWIDTH,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_SAMPLING_TIME,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_SERIAL_STANDARD,
    &g_RSSCOPE_ATTR_CDR_TRIGGER_EYE_SOURCE,
    &g_RSSCOPE_ATTR_TV_TRIGGER_STANDARD,
    &g_RSSCOPE_ATTR_TV_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_TV_TRIGGER_LINE_NUMBER,
    &g_RSSCOPE_ATTR_TV_TRIGGER_FIELD,
    &g_RSSCOPE_ATTR_TV_TRIGGER_POLARITY,
    &g_RSSCOPE_ATTR_TV_TRIGGER_PULSE_TYPE,
    &g_RSSCOPE_ATTR_TV_TRIGGER_LINE_PERIOD,
    &g_RSSCOPE_ATTR_TV_TRIGGER_PULSE_WIDTH,
    &g_RSSCOPE_ATTR_TV_TRIGGER_SCAN_MODE,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4,
    &g_RSSCOPE_ATTR_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL,
    &g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_MODE,
    &g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS,
    &g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_RELATIVE,
    &g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_SCALE_MODE,
    &g_RSSCOPE_ATTR_NOISE_REJECT_HYSTERESIS_RANGE_IN_DIVISIONS,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_MODE,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_AUTO_TIME_RESULT,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_HOLDOFF_AUTO_SCALE,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_DELAY,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_B_EVENTS_COUNT,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_BY_TIMEOUT_ENABLED,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_TIMEOUT,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_RESET_EVENT_ENABLED,
    &g_RSSCOPE_ATTR_TRIGGER_SEQUENCE_EVENT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_NACK,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_POSITION_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_STATE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR_ACCESS_BIT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_OR,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_ALIGNMENT,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MOSI_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TRIGGER_MISO_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_DATA_TRANSFER,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_ADDRESS_OR_STATE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_ADDRESS_OR,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_ERROR_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_ERROR_DATA_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_CRC_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_ENDIANNESS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DLC_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_DLC,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_NUMBER_OF_DATA_BYTES,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_POSITION_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_MESSAGE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_ON_SIGNAL,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SYMBOLIC_TRIGGER_SIGNAL_ENUM_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_STEP,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_SYMBOL,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_PREAMBLE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_NULL_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_SYNC_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_STARTUP_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_FRAME_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_FRAME_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_DATA_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PATTERN_DATA_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_LENGTH_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_COUNT_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_CYCLE_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_DATA_POSITION_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_START_SEQUENCE_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_BYTE_START_SEQUENCE_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_FRAME_END_SEQUENCE_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_HEADER_CRC_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_TRIGGER_PAYLOAD_CRC_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRIGGER_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_SYNC_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_RTA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_INFO_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_TRANSMIT_RECEIVE,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_SUBADDRESS_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_COMMAND_RTA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_WORD_COUNT_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_MESSAGE_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_BUSY,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_INSTRUMENTATION,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_SUBSYSTEM,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_SERVICE_REQUEST,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_DYNAMIC_BUS_CONTROL,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_BROADCAST_COMMAND,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_STATUS_FLAG_TERMINAL,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_SYNCHRONIZATION_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_PARITY_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_MANCHESTER_CODING_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MIN_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MIN_GAP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MAX_RESPONSE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_TRIGGER_ERROR_TIMING_MAX_RESPONSE,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MIN_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MIN_GAP_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MAX_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_TIMING_MAX_GAP_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INTERRUPT_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_SLAVE_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_BYTE_COUNT_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_MASK_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_SCC,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_BUS_PARK,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_PARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_NO_RESPONSE,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_UNKNOWN,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_GAP,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_TRIGGER_ERROR_VERSION,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_START_CODE,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_OPERATION_CODE,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_PHYSICAL_PORT_ADDRESS,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_REGISTER_DEVICE_ADDRESS,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_TRIGGER_DATA_ADDRESS_PATTERN,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_PATTERN,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_CRC,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_ERROR_PREAMBLE,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_CONDITION,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_PATTERN_MIN,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_CRC_PATTERN_MAX,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_PATTERN_MIN,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_DESTINATION_ADDRESS_PATTERN_MAX,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_PATTERN_MIN,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_SOURCE_ADDRESS_PATTERN_MAX,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_CONDITION,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_PATTERN_MIN,
    &g_RSSCOPE_ATTR_ETHERNET_TRIGGER_FRAME_TYPE_OPERATOR_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_TOKEN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_DATA_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_HANDSHAKE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SPECIAL_PID,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ERROR_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PID_ERROR_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_END_POINT_CHECK_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ADDRESS_CHECK_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_POSITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PAYLOAD_CHECK_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_FRAME_CHECK_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SC_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SC_CHECK_START_COMPLETE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_PORT_CHECK_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_SEU_CHECK_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TRIGGER_ET_CHECK_MAX,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_PACKET_TYPE,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_USB_PD_TRIGGER_BIT_STATE,
    &g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_DATA_PATTERN,
    &g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_MANCHESTER_NRZ_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_NRZ_TRIGGER_WORD_LENGTH,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_TYPE,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_STATUS,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_CONDITION,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_DATA_MIN,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_TRANSMISSION_SEQUENCE_DATA_MAX,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_TYPE,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_TYPE,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_CONDITION,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_MIN,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_ID_MAX,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_MIN,
    &g_RSSCOPE_ATTR_SENT_TRIGGER_SERIAL_MESSAGE_DATA_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_FORM_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_CALIBRATION_PULSE_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_CRC_ERROR,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_TRIGGER_IRREGULAR_FRAME_LENGTH_ERROR,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_VIRTUAL_CHANNEL,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_DATA_TYPE_MAX,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_WORD_COUNT_MAX,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_MAX,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_MAX,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_HIGH_SPEED_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_MIN,
    &g_RSSCOPE_ATTR_DPHY_TRIGGER_ESCAPE_MODE_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_LCC_TYPE,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_ONE_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_TWO_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_THREE_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_WORD_FOUR_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_TC_PATTERN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_FSN_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_FSN_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_FSN_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CRC_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CRC_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CRC_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CREQ_PATTERN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_RREQ_PATTERN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_CREDIT_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_BEGIN_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_CONDITION,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_MIN,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PACP_ID_MAX,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_PRP_WIDTH,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_LCC_ERROR,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_RESERVED,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_SYMBOL,
    &g_RSSCOPE_ATTR_MPHY_TRIGGER_ERROR_UNIDENTIFIED_UNIPRO_FRAME,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_CONTROL_TYPE,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_CONDITION,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_MIN,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_TIME_CODE_MAX,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_PARITY_ERROR,
    &g_RSSCOPE_ATTR_SPACE_WIRE_TRIGGER_ESCAPE_ERROR,
    &g_RSSCOPE_ATTR_ZONE_LOGICAL_EXPRESSION,
    &g_RSSCOPE_ATTR_APPLY_ZONE_TRIGGER_HISTORY,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_NM,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_CT,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_MIN,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_FRAME_ID_MAX,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_MIN,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_MAX,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_MIN,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DLC_EXTEND_MAX,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_CRC,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_DLC,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_IBS,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_IFS,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_PARITY,
    &g_RSSCOPE_ATTR_CXPI_TRIGGER_ERROR_UART,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_SEQUENCE_NUMBER,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_TC,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ORDERING,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_SNOOP,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_REQUESTER_ID,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_DEVICE_ID,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_READ_WRITE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ADDRESS_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_AT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_ROUTING,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_MESSAGE_CODE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_STATUS,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_TLP_COMPLETER_ID,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_PHASE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_VH_FC,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_MIXED_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_AUTHORIZED,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_INIT_DEVICE_PORT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VL_NUMBER,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VH_ABSENT,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_TLP_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_CREDIT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_A,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_MR_VH_GROUP,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_SEQUENCE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_FC_CREDIT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_FC_VC_ID,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_PM_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_DLLP_VENDOR_PATTERN,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_OSET_TYPE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_CRC16,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_LCRC,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_ECRC,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_INVALID_SYMBOL,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_DISP,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_LENGTH,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_MALFORM_ERROR,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_MAX_END_PREFIX,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_PREFIX_ORDER_ERROR,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_SYNC_BIT,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_VALUE_OUT_OF_RANGE,
    &g_RSSCOPE_ATTR_PCIE_TRIGGER_ERRC_UNKNOWN_PACKET,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_CONDITION_TYPE,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_DISPARITY_ERROR,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_DATA_CHARACTER,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_DX_SYMBOL,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_DY_SYMBOL,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_FORMAT,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_EB_PATTERN,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_TB_PATTERN,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_GLITCH_ERROR,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_TYPE,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_SYMBOL_EXPRESSION,
    &g_RSSCOPE_ATTR_EBTB_TRIGGER_UNKNOWN_ERROR,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DESTINATION_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_SOURCE_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_CONDITION,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_MIN,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_TYPE_LENGTH_MAX,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_CONDITION,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_MIN,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_CRC_MAX,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_PREAMBLE,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_CRC,
    &g_RSSCOPE_ATTR_100BASE_T1_TRIGGER_ERROR_SFD,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DESTINATION_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_SOURCE_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_LENGTH_TYPE_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_FRAME_CHECK_CRC_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_DATA_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_INDEX_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_RS_FEC,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_CRC,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_OUT_OF_RANGE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_TRIGGER_ERROR_ZERO_TERNARY_SYMBOL,
    &g_RSSCOPE_ATTR_RUN_SINGLE,
    &g_RSSCOPE_ATTR_RUN_SINGLE_WITHOUT_WAIT,
    &g_RSSCOPE_ATTR_RUN_CONTINUOUS,
    &g_RSSCOPE_ATTR_STOP,
    &g_RSSCOPE_ATTR_FORCE,
    &g_RSSCOPE_ATTR_SEND_SW_TRIGGER,
    &g_RSSCOPE_ATTR_SEND_SW_TRIGGER_AND_WAIT,
    &g_RSSCOPE_ATTR_CURSOR_ENABLED,
    &g_RSSCOPE_ATTR_ALL_CURSORS_OFF,
    &g_RSSCOPE_ATTR_CURSOR_MEASUREMENT_TYPE,
    &g_RSSCOPE_ATTR_CURSOR_SOURCE,
    &g_RSSCOPE_ATTR_CURSOR_TRACKING,
    &g_RSSCOPE_ATTR_CURSOR_RESULT_TABLE_POSITION,
    &g_RSSCOPE_ATTR_CURSOR_X_POSITION_COUPLING,
    &g_RSSCOPE_ATTR_CURSOR_Y_POSITION_COUPLING,
    &g_RSSCOPE_ATTR_CURSOR_ENVELOPE_CURVE_1,
    &g_RSSCOPE_ATTR_CURSOR_ENVELOPE_CURVE_2,
    &g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_DISTANCE,
    &g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_DELTA_SLOPE,
    &g_RSSCOPE_ATTR_CURSOR_VERTICAL_DISTANCE,
    &g_RSSCOPE_ATTR_CURSOR_INVERSE_DISTANCE,
    &g_RSSCOPE_ATTR_CURSOR_SEARCH_PEAK,
    &g_RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_LEFT,
    &g_RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_RIGHT,
    &g_RSSCOPE_ATTR_CURSOR_SEARCH_NEXT_ABSOLUTE,
    &g_RSSCOPE_ATTR_CURSOR_PEAK_EXCURSION,
    &g_RSSCOPE_ATTR_CURSOR_THRESHOLD,
    &g_RSSCOPE_ATTR_CURSOR_SOURCE_2,
    &g_RSSCOPE_ATTR_CURSOR_SOURCE_2_ENABLED,
    &g_RSSCOPE_ATTR_CURSOR_LABEL_ENABLED,
    &g_RSSCOPE_ATTR_CURSOR_STYLE,
    &g_RSSCOPE_ATTR_CURSOR_SHOW_IN_ALL_DIAGRAMS,
    &g_RSSCOPE_ATTR_CURSOR_VERTICAL_LABEL_LEFT,
    &g_RSSCOPE_ATTR_CURSOR_VERTICAL_LABEL_RIGHT,
    &g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_LABEL_LOWER,
    &g_RSSCOPE_ATTR_CURSOR_HORIZONTAL_LABEL_UPPER,
    &g_RSSCOPE_ATTR_CURSOR_SPECTRUM_WAVEFORMS_C1_TO_CENTER,
    &g_RSSCOPE_ATTR_CURSOR_SPECTRUM_WAVEFORMS_CENTER_TO_C1,
    &g_RSSCOPE_ATTR_CURSOR_X_POSITION,
    &g_RSSCOPE_ATTR_CURSOR_Y_POSITION,
    &g_RSSCOPE_ATTR_MEASUREMENT_ENABLED,
    &g_RSSCOPE_ATTR_MULTIPLE_MEASUREMENT_ENABLED,
    &g_RSSCOPE_ATTR_MULTIPLE_MEASUREMENT_COUNT,
    &g_RSSCOPE_ATTR_MEASUREMENT_CATEGORY,
    &g_RSSCOPE_ATTR_ADDITIONAL_MEASUREMENTS_ENABLE,
    &g_RSSCOPE_ATTR_ADDITIONAL_MEASUREMENTS_DISABLE,
    &g_RSSCOPE_ATTR_CLEAR_MEASUREMENT_STATISTIC_DATA,
    &g_RSSCOPE_ATTR_MEASUREMENT_LIMIT_TYPE,
    &g_RSSCOPE_ATTR_MEASUREMENT_DISPLAY_STYLE,
    &g_RSSCOPE_ATTR_GENERATE_BEEP_ON_MEASUREMENT_EVENT,
    &g_RSSCOPE_ATTR_STOP_ACQUISITION_ON_MEASUREMENT_EVENT,
    &g_RSSCOPE_ATTR_PRINT_ON_MEASUREMENT_EVENT,
    &g_RSSCOPE_ATTR_SAVE_WAVEFORM_DATA_ON_MEASUREMENT_EVENT,
    &g_RSSCOPE_ATTR_CREATE_TRIGGER_OUT_PULSE,
    &g_RSSCOPE_ATTR_SAVE_REPORT_ON_MEASUREMENT_EVENT,
    &g_RSSCOPE_ATTR_START_EXTERNAL_APPLICATION_ON_MEASUREMENT_EVENT,
    &g_RSSCOPE_ATTR_MEASUREMENT_PREFIX_ENABLED,
    &g_RSSCOPE_ATTR_DEFINE_FIRST_MEASUREMENT_SOURCE,
    &g_RSSCOPE_ATTR_DEFINE_SECOND_MEASUREMENT_SOURCE,
    &g_RSSCOPE_ATTR_AMPT_MAIN_MEASUREMENT,
    &g_RSSCOPE_ATTR_AMPT_AREA_LEVEL,
    &g_RSSCOPE_ATTR_AMPT_SIGNAL_DETECTION_THRESHOLD,
    &g_RSSCOPE_ATTR_AMPLITUDE_PULSES_SLOPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_MEASURED_SLOPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_EDGES_SLOPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_CLOCK_SLOPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_DATA_REFERENCE_LEVEL,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_CLOCK_REFERENCE_LEVEL,
    &g_RSSCOPE_ATTR_AMPT_PULSE_TRAIN_COUNT,
    &g_RSSCOPE_ATTR_ENVELOPE_SELECTION,
    &g_RSSCOPE_ATTR_AMPLITUDE_DELAY_TO_TRIGGER_SLOPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_DELAY_TO_TRIGGER_REFERENCE_LEVEL,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_MEASUREMENT_TYPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_AMPTIME_TYPE,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_GROUP,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_PARAMETER_MEASUREMENT_SPECTRUM,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_OPERATOR,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CONSTANT,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CONSTANT_UNIT,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_NAME_ENABLED,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_UNIT_ENABLED,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_ARITHMETIC_CUSTOM_UNIT,
    &g_RSSCOPE_ATTR_AMPT_DELAY_LEVEL_SELECTION,
    &g_RSSCOPE_ATTR_AMPT_DELAY_SLOPE,
    &g_RSSCOPE_ATTR_AMPT_DELAY_DIRECTION,
    &g_RSSCOPE_ATTR_AMPT_DELAY_EDGE_NUMBER,
    &g_RSSCOPE_ATTR_AMPT_LIMIT_CHECK,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_LOWER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_UPPER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_LOWER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_AMPLITUDE_TIME_UPPER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_JITTER_MAIN_MEASUREMENT,
    &g_RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_CYCLE_BEGIN,
    &g_RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_CYCLE_OFFSET,
    &g_RSSCOPE_ATTR_JITTER_CLOCK_MEASUREMENT_PULSE_POLARITY,
    &g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_CLOCK_MODE,
    &g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_DATA_SLOPE,
    &g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_CLOCK_SLOPE,
    &g_RSSCOPE_ATTR_JITTER_DATA_MEASUREMENT_UNIT,
    &g_RSSCOPE_ATTR_JITTER_DELAY_MEASUREMENT_EDGE_POLARITY,
    &g_RSSCOPE_ATTR_JITTER_DELAY_MEASUREMENT_RELATIVE_POLARITY,
    &g_RSSCOPE_ATTR_JITTER_LIMIT_CHECK,
    &g_RSSCOPE_ATTR_JITTER_LIMIT_LOWER_VALUE,
    &g_RSSCOPE_ATTR_JITTER_LIMIT_UPPER_VALUE,
    &g_RSSCOPE_ATTR_JITTER_LIMIT_LOWER_MARGIN,
    &g_RSSCOPE_ATTR_JITTER_LIMIT_UPPER_MARGIN,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_ANALYZED_SOURCE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_SERIAL_STANDARD,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_QUICK_START_ANALYSIS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_SOURCE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CDR_SOURCE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_NOMINAL_BITRATE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_EDGE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_SAMPLING_TIME,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_MULTIPLIER_FACTOR,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_OFFSET,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_OFFSET_ESTIMATION,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_FREQUENCY,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_FREQ_ESTIMATION,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_CLOCK_DATA_RATE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_REFERENCE_UI_OFFSET,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLING_MODE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLED_CURSOR,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_COUPLED_ZOOM_DIAGRAM,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_MODE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ABSOLUTE_START,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_ABSOLUTE_STOP,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_RELATIVE_START,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_GATING_RELATIVE_STOP,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_RESPONSE_LENGTH,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_ESTIMATE_STEP_RESPONSE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_RESPONSE_ESTIMATED_MAX,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_STEP_POSITION,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_TARGET_BER_EXPONENT,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_INTERLEAVED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_PERIODIC_JITTER_LABELS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_DISPLAY_PERIODIC_NOISE_LABELS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_BASIC_JITTER_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_JITTER_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_BASIC_JITTER_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_JITTER_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_COMPONENT_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_SELECT_ALL_NOISE_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_CLEAR_SELECTED_NOISE_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_PERIODIC_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_MAX_PERIODIC_VERTICAL_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_MAX_PERIODIC_HORIZONTAL_COMPONENTS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_OTHER_BOUNDED_UNCORRELATED_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_DECOMPOSITION_PERIODIC_JITTER_TABLE_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_STATISTICS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_STEP_RESPONSE_DIAGRAM_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PLOT_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PLOT_TYPE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_PERIODIC_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BATHTUB_OBUJ_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_PLOT_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_PERIODIC_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_BATHTUB_OBUN_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_PLOT_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_PLOT_TYPE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_HORIZONTAL_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SYNTHETIC_EYE_VERTICAL_COMPONENTS_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_DIAGRAM_TRANSITIONS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_DIAGRAM_LEVELS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_UNIT,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_HISTOGRAM_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_TRACK_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_SPECTRUM_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_SCALE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_OFFSET,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_PEAK_TO_PEAK,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STANDARD_DEVIATION,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_WAVEFORM_COUNT,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MAX_PEAK_TO_PEAK,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MAX_STANDARD_DEVIATION,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MIN_PEAK_TO_PEAK,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_COMPONENT_STATISTICS_MIN_STANDARD_DEVIATION,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SCALING_MAX_NUM_OF_BINS,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_CONTINUOUS_AUTO_SCALE_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_BASIC_JITTER_CONTINUOUS_AUTO_SCALE_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_CONTINUOUS_AUTO_SCALE_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_JITTER_SPECTRUM_CONTINUOUS_AUTO_SCALE_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_NOISE_SPECTRUM_CONTINUOUS_AUTO_SCALE_ENABLED,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_SCALING_MEASUREMENT_TYPE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_COUNT,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_FREQUENCY,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_VALUE,
    &g_RSSCOPE_ATTR_ADVANCED_JITTER_RESULTS_PERIODIC_COMPONENT_DIRECTION,
    &g_RSSCOPE_ATTR_EYE_MAIN_MEASUREMENT,
    &g_RSSCOPE_ATTR_EYE_JITTER_AUTOSCALE,
    &g_RSSCOPE_ATTR_EYE_LIMIT_CHECK,
    &g_RSSCOPE_ATTR_EYE_JITTER_LOWER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_EYE_JITTER_UPPER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_EYE_JITTER_LOWER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_EYE_JITTER_UPPER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_START,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_STOP,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_ALGORITHM,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_THRESHOLD,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_ALGORITHM,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_START,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_HEIGHT_STOP,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_ALGORITHM,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_WINDOW_ENABLED,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_START,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_WIDTH_STOP,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_DUTY_CYCLE_DISTORTION_LEVEL,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_USE_MEAS_LEVEL,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_LEVEL,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_RTFT_START_LEVEL,
    &g_RSSCOPE_ATTR_EYE_JITTER_MEASUREMENT_RTFT_STOP_LEVEL,
    &g_RSSCOPE_ATTR_HISTOGRAM_MAIN_MEASUREMENT,
    &g_RSSCOPE_ATTR_HISTOGRAM_SELECT,
    &g_RSSCOPE_ATTR_HISTOGRAM_PROBABILITY_TYPE,
    &g_RSSCOPE_ATTR_HISTOGRAM_PROBABILITY_LIMIT,
    &g_RSSCOPE_ATTR_REMOVE_HISTOGRAM,
    &g_RSSCOPE_ATTR_RESET_HISTOGRAM,
    &g_RSSCOPE_ATTR_HISTOGRAM_DISPLAY,
    &g_RSSCOPE_ATTR_HISTOGRAM_LIMIT_CHECK,
    &g_RSSCOPE_ATTR_HISTOGRAM_LOWER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_HISTOGRAM_UPPER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_HISTOGRAM_LOWER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_HISTOGRAM_UPPER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_SPECTRUM_MAIN_MEASUREMENT,
    &g_RSSCOPE_ATTR_SPECTRUM_CHANNEL_POWER_BANDWIDTH,
    &g_RSSCOPE_ATTR_SPECTRUM_OCCUPIED_BANDWIDTH,
    &g_RSSCOPE_ATTR_SPECTRUM_CHANNEL_POWER_CENTER_FREQUENCY,
    &g_RSSCOPE_ATTR_SPECTRUM_N_DB_DOWN,
    &g_RSSCOPE_ATTR_SPECTRUM_PEAK_EXCURSION,
    &g_RSSCOPE_ATTR_SPECTRUM_ABSOLUTE_THRESHOLD,
    &g_RSSCOPE_ATTR_SPECTRUM_LIMIT_CHECK,
    &g_RSSCOPE_ATTR_SPECTRUM_LOWER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_SPECTRUM_UPPER_LIMIT_VALUE,
    &g_RSSCOPE_ATTR_SPECTRUM_LOWER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_SPECTRUM_UPPER_LIMIT_MARGIN,
    &g_RSSCOPE_ATTR_SPECTRUM_MAX_NUMBER_OF_RESULTS,
    &g_RSSCOPE_ATTR_SPECTRUM_RESULT_MODE,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_MEASUEREMENT_TYPE,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_AMPLITUDE_TIME,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_GROUP,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_PARAMETER_MEASUREMENT_SPECTRUM,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_OPERATOR,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CONSTANT,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CONSTANT_UNIT,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_NAME_ENABLED,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_UNIT_ENABLED,
    &g_RSSCOPE_ATTR_SPECTRUM_ARITHMETIC_CUSTOM_UNIT,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UNIT,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_MODULATION_AMPLITUDE_START,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_MODULATION_AMPLITUDE_STOP,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_VALID_RANGE,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_LOWER_LIMIT,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UPPER_LIMIT,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_LOWER_MARGIN,
    &g_RSSCOPE_ATTR_OPTICAL_MEASUREMENT_UPPER_MARGIN,
    &g_RSSCOPE_ATTR_STATISTICS_ENABLED,
    &g_RSSCOPE_ATTR_STATISTICS_HISTOGRAM_ENABLED,
    &g_RSSCOPE_ATTR_STATISTICS_RESET_MODE,
    &g_RSSCOPE_ATTR_STATISTICS_RESET_COUNT,
    &g_RSSCOPE_ATTR_STATISTICS_RESET_TIME,
    &g_RSSCOPE_ATTR_STATISTICS_RESET_MEASUREMENTS_COUNT,
    &g_RSSCOPE_ATTR_STATISTICS_RESET,
    &g_RSSCOPE_ATTR_STATISTICS_NUMBER_OF_BINS,
    &g_RSSCOPE_ATTR_TRACK_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_ENABLED,
    &g_RSSCOPE_ATTR_TRACK_WAVEFORM_HEADER,
    &g_RSSCOPE_ATTR_TRACK_WAVEFORM_DATA_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DATA_TYPE,
    &g_RSSCOPE_ATTR_LONG_TERM_MEASUREMENT_ENABLED,
    &g_RSSCOPE_ATTR_LONG_TERM_COUNT,
    &g_RSSCOPE_ATTR_LONG_TERM_DURATION,
    &g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_OFFSET,
    &g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_SCALING,
    &g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_CONTINUOUS_AUTO_SCALING,
    &g_RSSCOPE_ATTR_LONG_TERM_VERTICAL_AUTOSCALE,
    &g_RSSCOPE_ATTR_LONG_TERM_ENVIRONMENT_SENSOR_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MAIN_MEASUREMENT,
    &g_RSSCOPE_ATTR_PROTOCOL_ADDITIONAL_MEASUREMENT,
    &g_RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_FRAME,
    &g_RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_FIELD,
    &g_RSSCOPE_ATTR_FRAME_TO_FRAME_FROM_VALUE,
    &g_RSSCOPE_ATTR_FRAME_TO_FRAME_TO_FRAME,
    &g_RSSCOPE_ATTR_FRAME_TO_FRAME_TO_FIELD,
    &g_RSSCOPE_ATTR_FRAME_TO_FRAME_TO_VALUE,
    &g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_DIRECTION,
    &g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_FRAME,
    &g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_FIELD,
    &g_RSSCOPE_ATTR_TRIGGER_TO_FRAME_VALUE,
    &g_RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_FRAME,
    &g_RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_FIELD,
    &g_RSSCOPE_ATTR_FIELD_VALUE_FRAME_IDENTIFICATION_VALUE,
    &g_RSSCOPE_ATTR_FIELD_VALUE_FIELD_TO_BE_TRACKED,
    &g_RSSCOPE_ATTR_MAIN_BIT_RATE_FRAME_NAME,
    &g_RSSCOPE_ATTR_MAIN_BIT_RATE_FIELD_NAME,
    &g_RSSCOPE_ATTR_MAIN_BIT_RATE_ID_VALUE,
    &g_RSSCOPE_ATTR_SECONDARY_BIT_RATE_FRAME_NAME,
    &g_RSSCOPE_ATTR_SECONDARY_BIT_RATE_FIELD_NAME,
    &g_RSSCOPE_ATTR_SECONDARY_BIT_RATE_ID_VALUE,
    &g_RSSCOPE_ATTR_GATING_ENABLED,
    &g_RSSCOPE_ATTR_GATING_MODE,
    &g_RSSCOPE_ATTR_GATING_ABSOLUTE_START,
    &g_RSSCOPE_ATTR_GATING_RELATIVE_START,
    &g_RSSCOPE_ATTR_GATING_ABSOLUTE_STOP,
    &g_RSSCOPE_ATTR_GATING_RELATIVE_STOP,
    &g_RSSCOPE_ATTR_GATING_NOISE,
    &g_RSSCOPE_ATTR_GATING_SHOW_GATE_AREA,
    &g_RSSCOPE_ATTR_GATING_ZOOM_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_GATING_CURSOR_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_GATING_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_GATING_CURSOR_SET,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_ACTUAL,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_AVERAGE,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_EVENT_COUNT,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_NEGATIVE_PEAK,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_POSITIVE_PEAK,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RELIABILITY,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RMS,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_WAVEFORM_COUNT,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_STANDARD_DEVIATION,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_TOP_OUTER,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_TOP_INNER,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_BOTTOM_INNER,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_BOTTOM_OUTER,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_LOWER,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_MIDDLE,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_UPPER,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_SIGNAL_LOW,
    &g_RSSCOPE_ATTR_READ_REFERENCE_LEVEL_SIGNAL_HIGH,
    &g_RSSCOPE_ATTR_SPECTRUM_MEASUREMENT_HARMONICS_RESULTS_NUMBER,
    &g_RSSCOPE_ATTR_DISPLAY_RESULT_LINES,
    &g_RSSCOPE_ATTR_DISPLAY_REFERENCE_LEVELS,
    &g_RSSCOPE_ATTR_DISPLAY_RESULT_TABLE_DEFAULT_POSITION,
    &g_RSSCOPE_ATTR_DISPLAY_GROUP_RESULT_DIALOGS,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_ACTUAL_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_AVERAGE_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_EVENT_COUNT_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_NEGATIVE_PEAK_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_POSITIVE_PEAK_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RELIABILITY_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_RMS_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_WAVEFORM_COUNT_STRING,
    &g_RSSCOPE_ATTR_READ_MAIN_MEASUREMENT_STANDARD_DEVIATION_STRING,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_MODE,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_RELATIVE_LEVELS,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_USER_LEVEL,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_DEFINITION,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_AUTO_MODE,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_AVERAGING_ENABLED,
    &g_RSSCOPE_ATTR_REFERENCE_LEVEL_AVERAGING_COUNT,
    &g_RSSCOPE_ATTR_REFERENCE_USER_SIGNAL_HIGH,
    &g_RSSCOPE_ATTR_REFERENCE_USER_SIGNAL_LOW,
    &g_RSSCOPE_ATTR_REFERENCE_USER_TOP_DISTANCE,
    &g_RSSCOPE_ATTR_REFERENCE_USER_BOTTOM_DISTANCE,
    &g_RSSCOPE_ATTR_USER_REFERENCE_UPPER_LEVEL,
    &g_RSSCOPE_ATTR_USER_REFERENCE_LOWER_LEVEL,
    &g_RSSCOPE_ATTR_USER_REFERENCE_MIDDLE_LEVEL,
    &g_RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_UPPER_LEVEL,
    &g_RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_MIDDLE_LEVEL,
    &g_RSSCOPE_ATTR_USER_REFERENCE_RELATIVE_LOWER_LEVEL,
    &g_RSSCOPE_ATTR_USER_REFERENCE_HYSTERESIS,
    &g_RSSCOPE_ATTR_TUBE_RELATIVE_OUTER_DISTANCE,
    &g_RSSCOPE_ATTR_TUBE_RELATIVE_INNER_DISTANCE,
    &g_RSSCOPE_ATTR_TUBE_ABSOLUTE_TOP_OUTER_DISTANCE,
    &g_RSSCOPE_ATTR_TUBE_ABSOLUTE_TOP_INNER_DISTANCE,
    &g_RSSCOPE_ATTR_TUBE_ABSOLUTE_BOTTOM_INNER_DISTANCE,
    &g_RSSCOPE_ATTR_TUBE_ABSOLUTE_BOTTOM_OUTER_DISTANCE,
    &g_RSSCOPE_ATTR_MATH_WAVEFORM_ENABLED,
    &g_RSSCOPE_ATTR_MATH_WAVEFORM_ENVELOPE_SELECTION,
    &g_RSSCOPE_ATTR_MATH_ACQUISITION_TYPE,
    &g_RSSCOPE_ATTR_MATH_EXPRESSION,
    &g_RSSCOPE_ATTR_MATH_VERTICAL_RANGE,
    &g_RSSCOPE_ATTR_MATH_VERTICAL_SCALE,
    &g_RSSCOPE_ATTR_MATH_VERTICAL_OFFSET,
    &g_RSSCOPE_ATTR_MATH_RESET,
    &g_RSSCOPE_ATTR_MATH_RESET_MODE,
    &g_RSSCOPE_ATTR_MATH_ENVELOPE_TIMEOUT,
    &g_RSSCOPE_ATTR_MATH_ACQUIRED_WAVEFORMS,
    &g_RSSCOPE_ATTR_FFT_TYPE,
    &g_RSSCOPE_ATTR_FFT_FREQUENCY_AXIS,
    &g_RSSCOPE_ATTR_FFT_CENTER_FREQUENCY,
    &g_RSSCOPE_ATTR_FFT_FREQUENCY_SPAN,
    &g_RSSCOPE_ATTR_FFT_FULL_SPAN,
    &g_RSSCOPE_ATTR_FFT_START_FREQUENCY,
    &g_RSSCOPE_ATTR_FFT_STOP_FREQUENCY,
    &g_RSSCOPE_ATTR_FFT_WINDOW_TYPE,
    &g_RSSCOPE_ATTR_FFT_USE_COLOR_TABLE,
    &g_RSSCOPE_ATTR_FFT_REFERENCE_LEVEL,
    &g_RSSCOPE_ATTR_FFT_MAGNITUDE_RANGE,
    &g_RSSCOPE_ATTR_FFT_MAGNITUDE_UNIT,
    &g_RSSCOPE_ATTR_FFT_PHASE_UNIT,
    &g_RSSCOPE_ATTR_FFT_PHASE_UNWRAP_ENABLED,
    &g_RSSCOPE_ATTR_FFT_NOISE_SUPPRESSION_ENABLED,
    &g_RSSCOPE_ATTR_FFT_NOISE_SUPPRESSION_THRESHOLD,
    &g_RSSCOPE_ATTR_FFT_VERTICAL_MAXIMUM,
    &g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH,
    &g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO,
    &g_RSSCOPE_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH,
    &g_RSSCOPE_ATTR_FFT_RESOLUTION_BANDWIDTH_GATE_COUPLING,
    &g_RSSCOPE_ATTR_FFT_FRAME_ARITHMETIC,
    &g_RSSCOPE_ATTR_FFT_FRAME_MAX_FRAME_COUNT,
    &g_RSSCOPE_ATTR_FFT_FRAME_COVERAGE,
    &g_RSSCOPE_ATTR_FFT_FRAME_OVERLAP_FACTOR,
    &g_RSSCOPE_ATTR_FFT_GATE_ENABLED,
    &g_RSSCOPE_ATTR_FFT_GATE_MODE,
    &g_RSSCOPE_ATTR_FFT_GATE_ABSOLUTE_START,
    &g_RSSCOPE_ATTR_FFT_GATE_RELATIVE_START,
    &g_RSSCOPE_ATTR_FFT_GATE_ABSOLUTE_STOP,
    &g_RSSCOPE_ATTR_FFT_GATE_RELATIVE_STOP,
    &g_RSSCOPE_ATTR_FFT_GATE_DISPLAY_ENABLED,
    &g_RSSCOPE_ATTR_FFT_GATE_ZOOM_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_FFT_COUPLED_SPECTRUM,
    &g_RSSCOPE_ATTR_FFT_SPECTRUM_ENABLED,
    &g_RSSCOPE_ATTR_FFT_SPECTRUM_COLOR_TABLE_MODE,
    &g_RSSCOPE_ATTR_FFT_SPECTRUM_TIME_LINE_ENABLED,
    &g_RSSCOPE_ATTR_FFT_SPECTRUM_TIME_LINE_POSITION,
    &g_RSSCOPE_ATTR_MATH_WAVEFORM_HEADER,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HEADER,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_SOURCE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_NAME,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_LOAD,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_SAVE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_DELETE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_UPDATE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_CLEAR,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_RESTORE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_FILE_NAME,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_IMPORT,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_MULTICHANNEL_OPEN,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_COUPLING,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_STRETCHING_ENABLED,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_OFFSET,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_FACTOR,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_VERTICAL_RESET,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_COUPLING,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_STRETCHING_ENABLED,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_OFFSET,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORZ_FACTOR,
    &g_RSSCOPE_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION,
    &g_RSSCOPE_ATTR_SELECTED_MASK_NAME,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_COMPLETE,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_REMAINING,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT_STATE,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT_SAMPLE_HITS,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT_ACQUISITION_HITS,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT_FAIL_RATE,
    &g_RSSCOPE_ATTR_MASK_TEST_RESULT,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_BEEP,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_STOP,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_PRINT,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_SAVE_WAVEFORM,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_SAVE_REPORT,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_START_EXTERNAL_APPLICATION,
    &g_RSSCOPE_ATTR_MASK_TEST_EVENT_CREATE_TRIGGER_OUT_PULSE,
    &g_RSSCOPE_ATTR_MASK_CREATE,
    &g_RSSCOPE_ATTR_MASK_DELETE,
    &g_RSSCOPE_ATTR_MASK_CONVERT_TO_USER,
    &g_RSSCOPE_ATTR_MASK_TEST_ENABLE,
    &g_RSSCOPE_ATTR_MASK_TEST_CLEAR_ALL,
    &g_RSSCOPE_ATTR_MASK_TEST_DEFINITION_TYPE,
    &g_RSSCOPE_ATTR_MASK_TEST_SOURCE,
    &g_RSSCOPE_ATTR_MASK_TEST_FAIL_CONDITION,
    &g_RSSCOPE_ATTR_MASK_TEST_VIOLATION_TOLERANCE,
    &g_RSSCOPE_ATTR_MASK_TEST_SAVE_PATH,
    &g_RSSCOPE_ATTR_MASK_TEST_SAVE,
    &g_RSSCOPE_ATTR_MASK_TEST_OPEN,
    &g_RSSCOPE_ATTR_MASK_TEST_DELETE,
    &g_RSSCOPE_ATTR_MASK_TEST_SEGMENT_CLEAR,
    &g_RSSCOPE_ATTR_MASK_SELECTED_SEGMENT,
    &g_RSSCOPE_ATTR_MASK_SEGMENT_COUNT,
    &g_RSSCOPE_ATTR_MASK_SEGMENT_ADD,
    &g_RSSCOPE_ATTR_MASK_SELECTED_POINT,
    &g_RSSCOPE_ATTR_MASK_COPY_WAVEFORM,
    &g_RSSCOPE_ATTR_MASK_WAVEFORM_USED_REFERENCE,
    &g_RSSCOPE_ATTR_MASK_WAVEFORM_HORIZONTAL_WIDTH,
    &g_RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_WIDTH,
    &g_RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_STRETCH,
    &g_RSSCOPE_ATTR_MASK_WAVEFORM_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_SHAPE,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_MAIN_WIDTH,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_MINOR_WIDTH,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_MAIN_HEIGHT,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_MINOR_HEIGHT,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_COPY_LEFT,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_COPY_RIGHT,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_INTERPATTERN_LENGTH,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_TOP_ENABLE,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_BOTTOM_ENABLE,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_OFFSET_TOP,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_OFFSET_BOTTOM,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_TIME_WIDTH,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_SYMETRIC,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_HORIZONTAL_POSITION,
    &g_RSSCOPE_ATTR_MASK_TEST_EYE_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_MASK_TEST_SHOW_LABEL_STATE,
    &g_RSSCOPE_ATTR_MASK_TEST_LABEL_STATE,
    &g_RSSCOPE_ATTR_MASK_TEST_RENAME,
    &g_RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_STATE,
    &g_RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_TIME,
    &g_RSSCOPE_ATTR_MASK_TEST_HIGHLIGHT_ENDLESS,
    &g_RSSCOPE_ATTR_MASK_TEST_COLOR_UNMATCHED,
    &g_RSSCOPE_ATTR_MASK_TEST_COLOR_MATCHED,
    &g_RSSCOPE_ATTR_MASK_TEST_COLOR_BORDER,
    &g_RSSCOPE_ATTR_MASK_TEST_COLOR_INTERIOR,
    &g_RSSCOPE_ATTR_SELECTED_SEARCH_NAME,
    &g_RSSCOPE_ATTR_SELECTED_SEARCH_SOURCE,
    &g_RSSCOPE_ATTR_NEW_SEARCH,
    &g_RSSCOPE_ATTR_DELETE_SEARCH,
    &g_RSSCOPE_ATTR_SEARCH_NEXT_RESULT,
    &g_RSSCOPE_ATTR_SEARCH_ALL_RESULTS,
    &g_RSSCOPE_ATTR_CLEAR_SEARCH_RESULTS,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_LEVEL_AUTO_FIND,
    &g_RSSCOPE_ATTR_SEARCH_SOURCE,
    &g_RSSCOPE_ATTR_SEARCH_ONLINE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_CONDITIONS,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_SLOPE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_EDGE_COPY_FROM_B,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_WIDTH,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_POLARITY,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_GLITCH_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_DELTA,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WIDTH_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_UPPER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_LOWER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_POLARITY,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_WIDTH,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_DELTA,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_RUNT_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_UPPER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_LOWER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_VERTICAL_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_TIME_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_WIDTH,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_DELTA,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_WINDOW_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_VALUE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_TIMEOUT_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_WIDTH,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_DELTA,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_POLARITY,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_INTERVAL_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_UPPER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_LOWER_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_VALUE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_DELTA,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_POLARITY,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_SLEW_RATE_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_HOLD_TIME,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_SETUP_TIME,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_EDGE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_DATA2CLOCK_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_LEVEL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_CLOCK_EDGE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_STATE_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4,
    &g_RSSCOPE_ATTR_SEARCH_STATE_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_MODE,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_TIMEOUT_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_TIMEOUT,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_TRIGGER_PATTERN_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_1,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_2,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_3,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_ENABLED_CHANNEL_4,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_1,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_2,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_3,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNEL_4,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_1_2,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_3_4,
    &g_RSSCOPE_ATTR_SEARCH_PATTERN_TRIGGER_QUALIFICATION_LOGIC_CHANNELS_ALL,
    &g_RSSCOPE_ATTR_SEARCH_GATE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_GATE_SHOW,
    &g_RSSCOPE_ATTR_ZOOM_COUPLING,
    &g_RSSCOPE_ATTR_SEARCH_GATE_MODE,
    &g_RSSCOPE_ATTR_SEARCH_GATE_ABSOLUTE_START,
    &g_RSSCOPE_ATTR_SEARCH_GATE_RELATIVE_START,
    &g_RSSCOPE_ATTR_SEARCH_GATE_ABSOLUTE_STOP,
    &g_RSSCOPE_ATTR_SEARCH_GATE_RELATIVE_STOP,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_TABLE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_SORT_MODE,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_SORT_ASCENDING,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_MAX_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_WINDOW,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_HORIZONTAL_MODE,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_HORIZONTAL_POSITION,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_HORIZONTAL_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_HORIZONTAL_POSITION,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_HORIZONTAL_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_VERTICAL_MODE,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_ABSOLUTE_VERTICAL_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_SEARCH_RESULT_ZOOM_RELATIVE_VERTICAL_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_HYSTERESIS_MODE,
    &g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_ABSOLUTE_HYSTERESIS,
    &g_RSSCOPE_ATTR_SEARCH_NOISE_REJECT_RELATIVE_HYSTERESIS,
    &g_RSSCOPE_ATTR_SEARCH_I2C_MODE,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_START,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_REPEATED_START,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_STOP,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_NACK,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS_OR,
    &g_RSSCOPE_ATTR_SEARCH_I2C_CRITERIA_ADDRESS_DATA,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADRESS_NACK,
    &g_RSSCOPE_ATTR_SEARCH_I2C_DATA_WRITE_NACK,
    &g_RSSCOPE_ATTR_SEARCH_I2C_DATA_READ_NACK,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ACCESS_BIT,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_I2C_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_I2C_POSITION_MIN,
    &g_RSSCOPE_ATTR_SEARCH_I2C_POSITION_MAX,
    &g_RSSCOPE_ATTR_SEARCH_I2C_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_I2C_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_I2C_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_STATE,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR_ACCESS_BIT,
    &g_RSSCOPE_ATTR_SEARCH_I2C_ADDRESS_OR,
    &g_RSSCOPE_ATTR_SEARCH_I2C_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_LIN_MODE,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_START_OF_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER_OR,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_IDENTIFIER_DATA,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_WAKEUP_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRITERIA_ERROR_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CONDITION_DATA,
    &g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_LIN_DATA_LENGTH_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_LIN_DATA_LENGTH,
    &g_RSSCOPE_ATTR_SEARCH_LIN_DATA_TRANSFER,
    &g_RSSCOPE_ATTR_SEARCH_LIN_IDENTIFIER_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_IDENTIFIER_MIN,
    &g_RSSCOPE_ATTR_SEARCH_LIN_PATTERN_IDENTIFIER_MAX,
    &g_RSSCOPE_ATTR_SEARCH_LIN_ADDRESS_OR_STATE,
    &g_RSSCOPE_ATTR_SEARCH_LIN_ADDRESS_OR,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CHECKSUM_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRC_ERROR_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRC_ERROR_DATA_LENGTH,
    &g_RSSCOPE_ATTR_SEARCH_LIN_CRC_STANDARD,
    &g_RSSCOPE_ATTR_SEARCH_LIN_IDENTIFIER_PARITY_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_LIN_SYNC_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_LIN_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_LIN_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_LIN_FRAME_SYMBOLIC_DATA,
    &g_RSSCOPE_ATTR_SEARCH_LIN_FRAME_SYMBOLIC_DATA_EXPORT,
    &g_RSSCOPE_ATTR_SEARCH_CAN_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_CAN_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_CAN_START_OF_FRAME_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_CAN_FRAME_TYPE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_CAN_FRAME_IDENTIFIER_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_DATA_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_CAN_FRAME_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_CAN_STANDARD,
    &g_RSSCOPE_ATTR_SEARCH_CAN_ID_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_MIN,
    &g_RSSCOPE_ATTR_SEARCH_CAN_IDENTIFIER_MAX,
    &g_RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_FDF,
    &g_RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_BRS,
    &g_RSSCOPE_ATTR_SEARCH_CAN_FD_BITS_ESI,
    &g_RSSCOPE_ATTR_SEARCH_CAN_DLC_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_CAN_DLC,
    &g_RSSCOPE_ATTR_SEARCH_CAN_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_CAN_POSITION_MIN,
    &g_RSSCOPE_ATTR_SEARCH_CAN_POSITION_MAX,
    &g_RSSCOPE_ATTR_SEARCH_CAN_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_CAN_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_CAN_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_CAN_CRC_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_CAN_BIT_STUFFING_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_CAN_ACK_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_CAN_STUFF_COUNT_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_MESSAGE,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SEARCH_FOR_SIGNAL,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_VALUE,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_MIN,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_MAX,
    &g_RSSCOPE_ATTR_SEARCH_CAN_SYMBOLIC_SIGNAL_ENUM_VALUE,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_COPY_FROM_A,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_START_OF_FRAME_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_SYMBOL_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_DATA_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_ERROR_CONDITION_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_PREAMBLE,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_NULL_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_SYNC_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_STARTUP_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_MIN,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_ID_MAX,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_MIN,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_LENGTH_MAX,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_MIN,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_MAX,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_CYCLE_COUNT_STEP,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_MIN,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_POSITION_MAX,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_MIN,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_IDENTIFIER_MAX,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_SYMBOL,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_START_SEQUENCE_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_BYTE_START_SEQUENCE_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_FRAME_END_SEQUENCE_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_HEADER_CRC_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_FLEXRAY_PAYLOAD_CRC_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_MODE,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_SYNC_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_RTA_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_STATUS_RTA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_INFO_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_TRANSMIT_RECEIVE,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_SUBADDRESS_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_RTA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_COMMAND_WORD_COUNT_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_MESSAGE_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_BUSY,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_INSTRUMENTATION,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_SUBSYSTEM,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_SERVICE_REQUEST,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_DYNAMIC_BUS_CONTROL,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_BROADCAST_COMMAND,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_STATUS_FLAG_TERMINAL,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_SYNCHRONIZATION_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_PARITY_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_MANCHESTER_CODING_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_ERROR_TIMING_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MIL1553_WORDS_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_MODE,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_DATA_SDI,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_DATA_SSM,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_LABEL_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_CODING_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_PARITY_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_ERROR_TIMING_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_ARINC429_WORDS_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_INTERRUPT_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_MIN,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_SLAVE_MAX,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_MIN,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_BYTE_COUNT_MAX,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_INDEX_MIN,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_INDEX_MAX,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_SCC,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_PARITY,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_GAP_TIME,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_ERROR_VERSION,
    &g_RSSCOPE_ATTR_SEARCH_RFFE_SEQUENCE_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_START_CODE,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_OPERATION_CODE,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_PHYSICAL_PORT_ADDRESS,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_REGISTER_DEVICE_ADDRESS,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_DATA_ADDRESS_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_MDIO_WORD_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_DESTINATION_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_SOURCE_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_MIN,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_TYPE_LENGTH_MAX,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_FRAME_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_PREAMBLE,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_SEARCH_ETHERNET_WORD_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_START_OF_PACKET,
    &g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_TOKEN,
    &g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_DATA,
    &g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_HANDSHAKE,
    &g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_SPECIAL_PID,
    &g_RSSCOPE_ATTR_SEARCH_USB_CRITERIA_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_USB_TOKEN,
    &g_RSSCOPE_ATTR_SEARCH_USB_DATA_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_USB_HANDSHAKE,
    &g_RSSCOPE_ATTR_SEARCH_USB_SPECIAL_PID,
    &g_RSSCOPE_ATTR_SEARCH_USB_PID_ERROR_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_ERROR_PID,
    &g_RSSCOPE_ATTR_SEARCH_USB_ERROR_CRC5,
    &g_RSSCOPE_ATTR_SEARCH_USB_ERROR_CRC16,
    &g_RSSCOPE_ATTR_SEARCH_USB_ERROR_BITSTUFF,
    &g_RSSCOPE_ATTR_SEARCH_USB_ERROR_GLITCH,
    &g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_USB_END_POINT_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_USB_ADDRESS_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_POSITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_PAYLOAD_CHECK_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_USB_FRAME_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_USB_SC_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_SC_CHECK_START_COMPLETE,
    &g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_USB_PORT_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_USB_SEU_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK,
    &g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_MIN,
    &g_RSSCOPE_ATTR_SEARCH_USB_ET_CHECK_MAX,
    &g_RSSCOPE_ATTR_SEARCH_USB_PACKET_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_USB31_GEN1_FRAME_COUNT,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_TYPE,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_PACKET_TYPE,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_NUMBER_OF_FRAMES,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_DATA_CONDITION,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_DATA_MIN,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_DATA_MAX,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_MIN,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_INDEX_MAX,
    &g_RSSCOPE_ATTR_USB_PD_SEARCH_BIT_STATE,
    &g_RSSCOPE_ATTR_SEARCH_USB_PD_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_DISPARITY_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_GLITCHING_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_UNKNOWN_SYMBOL_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_SEARCH_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_FORMAT,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_KD_CODE_SYMBOL,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_DX,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_DY,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_EIGHT_BIT_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_TEN_BIT_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_EXPRESSION,
    &g_RSSCOPE_ATTR_SEARCH_EBTB_SYMBOL_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_SENT_CALIBRATION_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_STATUS,
    &g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_SENT_TRANSMISSION_SEQUENCE_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_MIN,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_ID_MAX,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_SENT_SERIAL_MESSAGE_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_SENT_ERROR_ENABLED,
    &g_RSSCOPE_ATTR_SEARCH_SENT_FORM_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_SENT_CALIBRATION_PULSE_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_SENT_PULSE_PERIOD_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_SENT_CRC_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_SENT_IRREGULAR_FRAME_LENGTH_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_SENT_FRAME_COUNT,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_TYPE,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_VIRTUAL_CHANNEL,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_DATA_TYPE_MAX,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_WORD_COUNT_MAX,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_MAX,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_MAX,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_HIGH_SPEED_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_LOW_POWER_ESCAPE_MODE_DATA_INDEX_MAX,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_CONDITION,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_MIN,
    &g_RSSCOPE_ATTR_DPHY_SEARCH_ESCAPE_MODE_MAX,
    &g_RSSCOPE_ATTR_SEARCH_DPHY_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TYPE,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_CONTROL_TYPE,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_CONDITION,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_MIN,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_TIME_CODE_MAX,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_MIN,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_DATA_MAX,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_PARITY_ERROR,
    &g_RSSCOPE_ATTR_SPACE_WIRE_SEARCH_ESCAPE_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_SPACE_WIRE_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_SPI_MODE,
    &g_RSSCOPE_ATTR_SEARCH_SPI_DATA_OPERATOR,
    &g_RSSCOPE_ATTR_SEARCH_SPI_MISO_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_SPI_MOSI_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION_OPERATOR,
    &g_RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION,
    &g_RSSCOPE_ATTR_SEARCH_SPI_DATA_ALIGNMENT,
    &g_RSSCOPE_ATTR_SEARCH_SPI_DATA_POSITION_TO,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_LCC_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_ONE_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_TWO_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_THREE_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_WORD_FOUR_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_TC_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_INDEX_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_INDEX_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_FSN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_FSN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_FSN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CRC_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CRC_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CRC_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CREQ_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_RREQ_PATTERN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_CREDIT_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_BEGIN_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_MIN,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_PACP_ID_MAX,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_LCC_ERROR,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_RESERVED,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_SYMBOL,
    &g_RSSCOPE_ATTR_SEARCH_MPHY_ERROR_UNIDENTIFIED_UNIPRO_FRAME,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_TYPE,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_NM,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_CT,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_MIN,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_FRAME_ID_MAX,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_MIN,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_MAX,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_MIN,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DLC_EXTEND_MAX,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DATA_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DATA_MIN,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_DATA_MAX,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_INDEX_MIN,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_INDEX_MAX,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_CRC,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_DLC,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_IBS,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_IFS,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_LENGTH,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_PARITY,
    &g_RSSCOPE_ATTR_CXPI_SEARCH_ERROR_UART,
    &g_RSSCOPE_ATTR_SEARCH_CXPI_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TYPE,
    &g_RSSCOPE_ATTR_PCIE_PACKET_COUNT,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_SEQUENCE_NUMBER,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_TC,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_ORDERING,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_SNOOP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_REQUESTER_ID,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_DEVICE_ID,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_READ_WRITE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_ADDRESS_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_ROUTING,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_MESSAGE_CODE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_STATUS,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_TLP_COMPLETER_ID,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_PHASE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_VH_FC,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_MIXED_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_AUTHORIZED,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_INIT_DEVICE_PORT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VL_NUMBER,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VH_ABSENT,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_TLP_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_CREDIT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_A,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_MR_VH_GROUP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_SEQUENCE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_FC_CREDIT_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_FC_VC_ID,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_PM_TYPE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_DLLP_VENDOR_PATTERN,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_TRAINING_SEQUENCE_1,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_TRAINING_SEQUENCE_2,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_FAST_TRAINING_SEQUENCE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_EIDL,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_EIDE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_SKP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_COMP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_OSET_START_OF_DATA_SEQUENCE,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_CRC16,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_LCRC,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_ECRC,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_INVALID_SYMBOL,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_DISP,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_LENGTH_ERROR,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_MALFORMED_ERROR,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_MAX_END_PREFIX,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_PREFIX_ORDER_ERROR,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_SYNC_BIT,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_UNKNOWN_PACKET,
    &g_RSSCOPE_ATTR_PCIE_SEARCH_ERRC_VALUE_OUT_OF_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_PCIE_PACKET_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_DDR_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DESTINATION_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_SOURCE_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_MAX,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_TYPE_LENGTH_MIN,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_MAX,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_CRC_MIN,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_MAX,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_INDEX_MIN,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_PREAMBLE,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_CRC,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_ERROR_SFD,
    &g_RSSCOPE_ATTR_SEARCH_100BASE_T1_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DESTINATION_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_MIN,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SOURCE_ADDRESS_MAX,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_MIN,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_LENGTH_TYPE_MAX,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_MIN,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CHECK_CRC_MAX,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_MIN,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_DATA_MAX,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_CONDITION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_MIN,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_INDEX_MAX,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_RS_FEC,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_CRC,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_OUT_OF_RANGE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_ERROR_ZERO_TERNARY_SYMBOL,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_COUNT,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_STATUS,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_START_TIME,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_STOP_TIME,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DESTINATION,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DESTINATION_SYMBOLS,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_SOURCE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_SOURCE_SYMBOLS,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_DATA_STRING,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_CRC,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_LENGTH_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_NUMBER_OF_WORDS,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_SELECTED_WORD,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_TYPE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_VALUE,
    &g_RSSCOPE_ATTR_SEARCH_1000BASE_T1_FRAME_WORD_VALUE_STRING,
    &g_RSSCOPE_ATTR_PROTOCOL_STATE,
    &g_RSSCOPE_ATTR_PROTOCOL_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_DISPLAY_RESULT_TABLE,
    &g_RSSCOPE_ATTR_PROTOCOL_RESULT_TABLE_ZOOM_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_RESULT_TABLE_POSITION,
    &g_RSSCOPE_ATTR_PROTOCOL_SHOW_THRESHOLD_LINES,
    &g_RSSCOPE_ATTR_PROTOCOL_DATA_FORMAT,
    &g_RSSCOPE_ATTR_PROTOCOL_SHOW_DETAILS,
    &g_RSSCOPE_ATTR_PROTOCOL_BUS_DATA_FORMAT,
    &g_RSSCOPE_ATTR_PROTOCOL_LABEL_LIST,
    &g_RSSCOPE_ATTR_PROTOCOL_LABEL_LIST_FILE,
    &g_RSSCOPE_ATTR_PROTOCOL_REFERENCE_LEVELS,
    &g_RSSCOPE_ATTR_PROTOCOL_AUTOSET_THRESHOLD_AND_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOL_EXPORT_INCLUDE_FRAME_TIMING,
    &g_RSSCOPE_ATTR_PROTOCOL_EXPORT_INCLUDE_DETAILS,
    &g_RSSCOPE_ATTR_PROTOCOL_EXPORT_SAVE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_RW_BIT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_START,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_STOP,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_RW_BIT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ACK_BIT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ACCESS_BIT_START,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_SLAVE_ADDRESS,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACK_BIT_START,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_COMPLETE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_SELECTED_BYTE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_ACK_BIT_START,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_START,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_ACK_BIT,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_FRAME_BYTE_COMPLETE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_SCL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_SCL_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_SDA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_I2C_SDA_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_BIT_ORDER,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_WORD_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START_TIMEOUT,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_START,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_STOP,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_SELECTED_WORD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_START,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_STOP,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MISO,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MISO_FORMATTED_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MOSI,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_FRAME_WORD_MOSI_FORMATTED_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_CLOCK_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_MOSI_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_MISO_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_MISO_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_MISO_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_SPI_SLAVE_SELECT_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_PARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_STOP_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_DATA_BITS_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_WORD_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_PRIMARY_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_PACKETS,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TOUT,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_END_OF_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_RX_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_RX_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TX_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_UART_TX_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_START,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_STOP,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_VERSION,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_PARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_ID_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_SYNC_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_SELECTED_BYTE,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BYTE_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_LIN_FRAME_BYTE_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_LINE_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_JUMP_WIDTH,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SAMPLE_POINT_REL,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_JUMP_WIDTH,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT_REL,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_START,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_STOP,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ID_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_DLC_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_DLC_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ACK_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ACK_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_CRC_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_CRC_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_ERROR_POSITION,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_NUMBER_OF_BYTES,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_FORM_ERROR_CAUSE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_FRAME_STUFF_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SELECTED_BYTE,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BYTE_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FRAME_BYTE_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_SAMPLE_POINT_ABS,
    &g_RSSCOPE_ATTR_PROTOCOL_CAN_FD_SAMPLE_POINT_ABS,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SOURCE_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SINGLE_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SINGLE_PRESET_TRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_DIFF_PRESET_TRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_LOGIC_PRESET_TRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_THRESHOLD_ENABLE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_CHANNEL,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SEPARATE_HEADER_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_START,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_STOP,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_FLAGS,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_PAYLOAD_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_IDENTIFIER,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_HEADER_CRC,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_CRC,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_HEADER_CRC_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_CRC_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_FRAME_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_FLEXRAY_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_VARIANT,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRESHOLDS_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WORD_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_BIT_ORDER,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_WS_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_DATA_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_LEFT_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_RIGHT_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_AUDIO_TRACK_TDM_CHANNEL_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MIN_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MIN_GAP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MAX_RESPONSE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_MAX_RESPONSE_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_MIL1553_DECODING_RESULTS_WORDS_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MIN_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MIN_GAP_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MAX_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_MAX_GAP_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_ARINC429_DECODING_RESULTS_WORDS_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_PRESET_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_CLOCK_THRESHOLD_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_DATA_THRESHOLD_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_THRESHOLDS_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_GLITCH_FILTER_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_GLITCH_FILTER_WIDTH,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_MIN_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_MIN_GAP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_MAX_GAP_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_MAX_GAP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_READ_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_VERSION,
    &g_RSSCOPE_ATTR_PROTOCOL_RFFE_DECODING_RESULTS_SEQUENCE_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_CLOCK_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_DATA_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_THRESHOLDS_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_MAX_GAP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_MDIO_DECODING_RESULTS_WORD_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_VARIANT,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_ETHERNET_DECODING_RESULTS_WORD_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_D_PLUS_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_D_MINUS_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_DIFFERENTIAL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_STROBE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_D_PLUS_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_D_MINUS_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_DIFFERENTIAL_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_DATA_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_STROBE_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_DECODING_RESULTS_PACKET_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_SCRAMBLE_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_HIGH_SPEED_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_ZERO_FREQUENCY,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_POLE_FREQUENCY_FP1,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_POLE_FREQUENCY_FP2,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_DC_GAIN,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_CTLE_CHANNEL_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_ESTIMATE_COEFFICIENTS_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_COEFFICIENT,
    &g_RSSCOPE_ATTR_PROTOCOL_USB31_GEN1_TYPE_DSP_DFE_NUMBER_OF_TAPS,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_DATA_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRD15,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRD_USB,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_THRESHOLD_VRA,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_SHOW_DECODE_DETAIL,
    &g_RSSCOPE_ATTR_PROTOCOL_USB_PD_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CODING_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_BITRATE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_GAP_TIME_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_GAP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_CLOCK_PHASE,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_THRESHOLD_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_ENABLE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_ENA_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_IDLE_POLARITY_UNCLOCKED,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_IDLE_POLARITY_CLOCKED,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_CLOCK_PHASE,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_CLOCK,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_THRESHOLD_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_CLOCK,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_DATA,
    &g_RSSCOPE_ATTR_PROTOCOL_NRZ_HYSTERESIS_ENABLE_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_ADD_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_CLEAR,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_OPEN_DESCRIPTION,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FRAME_SAVE_DESCRIPTION,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_EXPORT_FRAMES_AS_RAW_BITS,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_CELL,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_ADD_CELL,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_NAME,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_BIT_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_FORMAT,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_BIT_ORDER,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COLOR,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_COLOR_CRGB,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_CELL_RESULT_COLUMN,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_SELECTED_FIELD,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_NUMERIC_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_BIT_STATE,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_DATA_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_CONDITION,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_FILTER_FRAME_FIELD_INDEX_PATTERN_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_MANCHESTER_NRZ_RESULT_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_D_PLUS_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_D_MINUS_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_FULL_AUTOSET,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_THRESHOLD_HIGH,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DIFFERENTIAL_THRESHOLD_LOW,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_THRESHOLD_D_PLUS,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_THRESHOLD_D_MINUS,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_BITRATE_DETERMINATION,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_ESTIMATED_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SW_CDR_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SYNC_SYMBOL,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SECOND_PATTERN_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_SECOND_PATTERN,
    &g_RSSCOPE_ATTR_PROTOCOLS_EBTB_DISPLAY_FORMAT,
    &g_RSSCOPE_ATTR_PROTOCOL_EBTB_SYMBOL_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_TECHNOLOGY,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_CLOCK_PERIOD,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_CLOCK_TOLERANCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_DATA_NIBBLES,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_SERIAL_FORMAT,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_CRC_VERSION,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_CRC_CALCULATION,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_PAUSE_PULSE,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_FRAME_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_RESULT_DISPLAY,
    &g_RSSCOPE_ATTR_PROTOCOL_SENT_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_VARIANT,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_PHYSICAL_CONFIGURATION,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DATA_LANES,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_CP_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DN_ZERO_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ZERO_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ONE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_TWO_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_THREE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_CP_PROBE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DN_ZERO_PROBE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ZERO_PROBE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_ONE_PROBE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_TWO_PROBE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DP_THREE_PROBE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DATA_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_DISPALY_DATA_VECTOR,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_THRESHOLD_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_CP_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ZERO_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ONE_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_TWO_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_THREE_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_CP_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ZERO_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_ONE_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_TWO_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_HIGH_SPEED_DP_THREE_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DN_ZERO_THRESHOLD_UPPER,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DP_ZERO_THRESHOLD_UPPER,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DN_ZERO_THRESHOLD_LOWER,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_LOW_POWER_DP_ZERO_THRESHOLD_LOWER,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_SHOW_MULTIPLE_LANES,
    &g_RSSCOPE_ATTR_PROTOCOL_DPHY_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_LANES,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_ZERO,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_ONE,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_TWO,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_DATA_SOURCE_THREE,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_ZERO,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_ONE,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_TWO,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_THREE,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_COUPLING_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_SCRAMBLED_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_SHOW_MULTIPLE_LANES,
    &g_RSSCOPE_ATTR_PROTOCOL_MPHY_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_THRESHOLD_PRESET,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_THRESHOLD_COUPLING,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_STROBE_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_DATA_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_SYNC_SETTINGS,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_SYNC_BIT_POSITION,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_MIN_GAP,
    &g_RSSCOPE_ATTR_PROTOCOL_SPACE_WIRE_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_DISPLAY_ORDER,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_AVERAGE_BIT_RATE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_BIT_RATE_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_MEASURED_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IBS_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IBS_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IFS_MIN,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_EXPECTED_IFS_MAX,
    &g_RSSCOPE_ATTR_PROTOCOL_CXPI_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_GENERATION,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_LINK,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_DESCRAMBLING,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_FILTER_IDLE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_SHOW_MULTIPLE_LANES,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_ZERO,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_ONE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_TWO,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_SOURCE_LANE_THREE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_ZERO,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_ONE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_TWO,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_LOW_LANE_THREE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_ZERO,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_ONE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_TWO,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_THRESHOLD_HIGH_LANE_THREE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_NOMINAL_BITRATE,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_ORDER,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_BANDWIDTH,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_RELATIVE_BANDWIDTH,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_PLL_DAMPING,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_INITIAL_PHASE_SYNC,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_CDR_SELECTED_RESULTS,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_ESTIMATE_COEFFICIENTS_ENABLED,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_COEFFICIENT,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_DSP_DFE_NUMBER_OF_TAPS,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_PACKET_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_SELECTED_PACKET,
    &g_RSSCOPE_ATTR_PROTOCOL_PCIE_PACKET_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_STANDARD,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_DATA_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_DATA_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_DATA_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_STROBE_HYSTERESIS,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_START_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_STOP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_NUMBER_OF_WORDS,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_SELECTED_FIELD,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_START_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_STOP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_DDR_FRAME_FIELD_FORMATTED_VALUE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_STATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_SOURCE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_BIT_RATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SOURCE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SIGNAL_SOURCE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SLOPE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CDR_TYPE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_ALGORITHM,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_BANDWIDTH,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_RELATIVE_BANDWIDTH,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_BIT_RATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_SAMPLING,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_CDR_ANALOG_SOURCE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_SOFTWARE_CDR,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_EDGE_TYPE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FACTOR,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FREQUENCY,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_FREQUENCY_ESTIMATION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_LEVEL,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_OFFSET_ESTIMATION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_OFFSET,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_SAMPLING_TIME,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_CLOCK_SOURCE_TYPE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIMING_REFERENCE_PROTOCOL_SERIAL_BUS_INDEX,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_TIME_REFERENCE_VERTICAL_REFERENCE_LEVEL,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_UNITS,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_RANGE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_TIME_POSITION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_BIT_RATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_RANGE_UI,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_HORIZONTAL_SETTINGS_POSITION_UI,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_SCALE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_OFFSET,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_VERTICAL_SETTINGS_POSITION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MAX_SLICES_PER_ACQUISITION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_EYE_STRIPE_DISPLAY_MODE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_INFINITE_PERSISTENCE_STATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_PERSISTENCE_RESET,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_DISPLAY_PERSISTENCE_STATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_DISPLAY_PERSISTENCE_TIME,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_STATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_COUPLING_MODE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_MODE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_ABSOLUTE_START,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_ABSOLUTE_STOP,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_RELATIVE_START,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_RELATIVE_STOP,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_GATE_CURSOR,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_STATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_SOURCE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_CONDITION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_VERTICAL_REFERENCE_LEVEL,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_SIGNAL_VERTICAL_REFERENCE_LEVEL_STOP,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_STATE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_BIT_SEQUENCE_MODE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_CENTER_BIT,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_SHIFT_BIT_LEFT,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_PATTERN_SHIFT_BIT_RIGHT,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_FRAME_TYPE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_LENGTH_ERRORS,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_FILTER_RESET,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_BITS_COUNT,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_LAST_POSITION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_BIT_POSITION,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_TOTAL_NUMBER_OF_ACQUISITIONS,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_RESULTS_TOTAL_NUMBER_OF_SLICES,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_SLICES_COMPLETED,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_SLICE_HITS,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_INDEX,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_COUNT,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_START_TIME,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_STOP_TIME,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_VIOLATION_SLICE,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MASK_TESTS_ZOOM_COUPLING,
    &g_RSSCOPE_ATTR_HIDDEN_EYE_DIAGRAM_MASK_TESTS_ZOOM_DIAGRAM,
    &g_RSSCOPE_ATTR_EYE_DIAGRAM_MEASUREMENT_MAX_PRECISION,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_ATTENUATION,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_POSITIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_NEGATIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_DIFFERENTIAL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FORWARD_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_POSITIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_NEGATIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_DIFFERENTIAL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_REVERSE_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_THRESHOLD,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SYMBOL_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_START_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_STOP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_CRC,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_DESTINATION,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_DESTINATION_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_SOURCE_LABEL,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_NUMBER_OF_WORDS,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_SELECTED_WORD,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_100BASE_T1_FRAME_WORD_STRING_VALUE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_DIFFERENTIAL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_POSITIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_REVERSE_NEGATIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_DIFFERENTIAL_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_POSITIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FORWARD_NEGATIVE_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_ATTENUATION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_POLARITY,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_MODE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SYMBOL_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_COUNT,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SELECTED_FRAME,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_STATUS,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_START_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_STOP_TIME,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_LENGTH,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_CRC,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DATA_BYTES_RAWSTRING,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DESTINATION,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_DESTINATION_SYMBOLS,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_SOURCE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_SOURCE_SYMBOLS,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_BIT_RATE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_NUMBER_OF_WORDS,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_SELECTED_WORD,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_WORD_TYPE,
    &g_RSSCOPE_ATTR_PROTOCOL_1000BASE_T1_FRAME_WORD_VALUE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_MODE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_CURRENT_SOURCE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_START_DESKEW,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_RESET,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_TIME,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_CURRENT,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_DESKEW_USER_DEFINED_RESET,
    &g_RSSCOPE_ATTR_POWER_ANALYSE_PROBE_MODE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_DUT_NAME,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_USER,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_SITE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_TEMPERATURE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_DESCRIPTION,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_ADD,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_ALL,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_NONE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_REMOVE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_SEL_INVERT,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_NEW,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_NAME,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_SAVE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FILE_DELETE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_PAPER_SIZE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT_SIZE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_FONT_COLOR,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_LOGO,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_INV_COLOR,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_TITLE,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_MSETUP,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_SETTINGS,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_VSETUP,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_HSETUP,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_TSETUP,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_MEAS,
    &g_RSSCOPE_ATTR_POWER_ANALYSIS_REPORT_CONTENT_RESULTS,
    &g_RSSCOPE_ATTR_START_POWER_QUALITY_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_QUALITY_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_QUALITY_CUSTOM_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_QUALITY_SCALING,
    &g_RSSCOPE_ATTR_POWER_QUALITY_ADD,
    &g_RSSCOPE_ATTR_START_POWER_CURRENT_HARMONICS,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_STANDARD,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EN_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_MI_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_DO_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EVALUATION,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_EVALUATION_VOLT,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_SCALING,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_ADD,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_USED_STANDARD,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_MAX,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_STD,
    &g_RSSCOPE_ATTR_POWER_CURRENT_HARMONICS_RESULT_VALUE,
    &g_RSSCOPE_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_MAX,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_TRIGGER,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_ADD,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_ADD,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_INS,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_REMOVE,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_COUNT,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_VALUE,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_START,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_GATE_STOP,
    &g_RSSCOPE_ATTR_POWER_INRUSH_CURRENT_RESULT_VALUE,
    &g_RSSCOPE_ATTR_START_POWER_RIPPLE_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_RIPPLE_CURRENT_ENABLED,
    &g_RSSCOPE_ATTR_POWER_RIPPLE_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_RIPPLE_SCALING,
    &g_RSSCOPE_ATTR_POWER_RIPPLE_ADD,
    &g_RSSCOPE_ATTR_START_POWER_SPECTRUM_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_SPECTRUM_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_SPECTRUM_SCALING,
    &g_RSSCOPE_ATTR_POWER_SPECTRUM_ADD,
    &g_RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_RESULT_COUNT,
    &g_RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY_RESULT,
    &g_RSSCOPE_ATTR_POWER_SPECTRUM_MEASUREMENT_LEVEL_RESULT,
    &g_RSSCOPE_ATTR_START_POWER_SLEW_RATE_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_SLEW_RATE_SOURCE,
    &g_RSSCOPE_ATTR_POWER_SLEW_RATE_AVERAGE,
    &g_RSSCOPE_ATTR_POWER_SLEW_RATE_SCALING,
    &g_RSSCOPE_ATTR_POWER_SLEW_RATE_ADD,
    &g_RSSCOPE_ATTR_POWER_SLEW_RATE_GATE_START,
    &g_RSSCOPE_ATTR_POWER_SLEW_RATE_GATE_STOP,
    &g_RSSCOPE_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_MASK_TEST,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_SCALE,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_SWITCH,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_ADD,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_INS,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_REMOVE,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LIN_COUNT,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_ADD,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_INS,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_REMOVE,
    &g_RSSCOPE_ATTR_SAFE_OPERATING_AREA_LOG_COUNT,
    &g_RSSCOPE_ATTR_POWER_SAFE_OPERATING_AREA_ADD,
    &g_RSSCOPE_ATTR_START_POWER_MODULATION_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_MODULATION_TYPE,
    &g_RSSCOPE_ATTR_POWER_MODULATION_SOURCE,
    &g_RSSCOPE_ATTR_POWER_MODULATION_SCALING,
    &g_RSSCOPE_ATTR_POWER_MODULATION_HISTOGRAM,
    &g_RSSCOPE_ATTR_POWER_MODULATION_ADD,
    &g_RSSCOPE_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_AVERAGE,
    &g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_SCALING,
    &g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_ADD,
    &g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_GATE_START,
    &g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_GATE_STOP,
    &g_RSSCOPE_ATTR_POWER_DYNAMIC_ON_RESISTANCE_RESULT,
    &g_RSSCOPE_ATTR_START_POWER_EFFICIENCY_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_EFFICIENCY_SCALING,
    &g_RSSCOPE_ATTR_POWER_EFFICIENCY_ADD,
    &g_RSSCOPE_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TON_STATE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TOF_STATE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_CONDUCTION_STATE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_NON_CONDUCTION_STATE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_TOTAL_STATE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SWITCHING_FREQUENCY_STATE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SWITCHING_FREQUENCY_VALUE,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_SCALING,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_ADD,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_CONDUCTION_START,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_CONDUCTION_STOP,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_NO_CONDUCTION_START,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_NO_CONDUCTION_STOP,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_ON_START,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_ON_STOP,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_OFF_START,
    &g_RSSCOPE_ATTR_POWER_SWITCHINGLOSS_GATE_TURN_OFF_STOP,
    &g_RSSCOPE_ATTR_START_POWER_ON_OFF_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_ON_OFF_TYPE,
    &g_RSSCOPE_ATTR_POWER_ON_OFF_TIME,
    &g_RSSCOPE_ATTR_POWER_ON_STEADY_STATE_LEVEL,
    &g_RSSCOPE_ATTR_POWER_OFF_STEADY_STATE_LEVEL,
    &g_RSSCOPE_ATTR_POWER_ON_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_POWER_ON_TRIGGER_LEVEL_DC,
    &g_RSSCOPE_ATTR_POWER_OFF_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_POWER_OFF_TRIGGER_LEVEL_DC,
    &g_RSSCOPE_ATTR_POWER_ON_OFF_ADD,
    &g_RSSCOPE_ATTR_POWER_ON_OFF_INPUT_TYPE,
    &g_RSSCOPE_ATTR_POWER_ON_RESULT,
    &g_RSSCOPE_ATTR_POWER_OFF_RESULT,
    &g_RSSCOPE_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_INPUT_STATE,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_SOURCE,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_LEVEL,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TRIGGER_SLOPE,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_TUBE_TOLERANCE,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_FREQUENCY,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_SCALING,
    &g_RSSCOPE_ATTR_POWER_TRANSIENT_RESPONSE_ADD,
    &g_RSSCOPE_ATTR_DEEMBEDDING_STATE,
    &g_RSSCOPE_ATTR_DEEMBEDDING_EFFECTIVE_BANDWIDTH,
    &g_RSSCOPE_ATTR_DEEMBEDDING_DELAY_COMPENSATION,
    &g_RSSCOPE_ATTR_DEEMBEDDING_REALTIME_ENABLED,
    &g_RSSCOPE_ATTR_DEEMBEDDING_REMOVE_COMPONENT,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_COUNT,
    &g_RSSCOPE_ATTR_DEEMBEDDING_SETTINGS_FILE_NAME,
    &g_RSSCOPE_ATTR_DEEMBEDDING_SAVE_SETTINGS,
    &g_RSSCOPE_ATTR_DEEMBEDDING_LOAD_SETTINGS,
    &g_RSSCOPE_ATTR_DEEMBEDDING_DELETE_SETTINGS,
    &g_RSSCOPE_ATTR_DEEMBEDDING_PRESET,
    &g_RSSCOPE_ATTR_DEEMBEDDING_SELECTED_COMPONENT,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_STATE,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_TYPE,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_NAME,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_PORT_COUNT,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_MODE,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_REMOVE_PROBE_LOADING,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IMPEDANCE_TYPE,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IMPEDANCE,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_IDENTICAL_PATHS,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_INPUT_PORT_1,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_INPUT_PORT_2,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_OUTPUT_PORT_1,
    &g_RSSCOPE_ATTR_DEEMBEDDING_COMPONENT_OUTPUT_PORT_2,
    &g_RSSCOPE_ATTR_DEEMBEDDING_ATTENUATION_DC,
    &g_RSSCOPE_ATTR_DEEMBEDDING_ATTENUATION_MAX,
    &g_RSSCOPE_ATTR_DEEMBEDDING_GAIN_MAX,
    &g_RSSCOPE_ATTR_MSO_TRIGGER_TYPE,
    &g_RSSCOPE_ATTR_MSO_TRIGGER_SOURCE,
    &g_RSSCOPE_ATTR_MSO_EDGE_TRIGGER_EXPRESSION,
    &g_RSSCOPE_ATTR_MSO_EDGE_TRIGGER_SLOPE,
    &g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_EXPRESSION,
    &g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_POLARITY,
    &g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_CONDITION,
    &g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_WIDTH,
    &g_RSSCOPE_ATTR_MSO_WIDTH_TRIGGER_DELTA,
    &g_RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_EXPRESSION,
    &g_RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_VALUE,
    &g_RSSCOPE_ATTR_MSO_TIMEOUT_TRIGGER_CONDITION,
    &g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_CLOCK_EDGE,
    &g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_HOLD_TIME,
    &g_RSSCOPE_ATTR_MSO_DATA2CLOCK_TRIGGER_SETUP_TIME,
    &g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_EXPRESSION,
    &g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_CLOCK_EDGE,
    &g_RSSCOPE_ATTR_MSO_STATE_TRIGGER_CHANNEL_STATUS_BIT,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_EXPRESSION,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_MODE,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_TIMEOUT_MODE,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_TIMEOUT,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_WIDTH,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_DELTA,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_CONDITION,
    &g_RSSCOPE_ATTR_MSO_PATTERN_TRIGGER_CHANNEL_STATUS_BIT,
    &g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_EXPRESSION,
    &g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_CLOCK_SOURCE,
    &g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_CLOCK_EDGE,
    &g_RSSCOPE_ATTR_MSO_SERIAL_PATTERN_TRIGGER_PATTERN,
    &g_RSSCOPE_ATTR_MSO_SIGNAL_LABEL,
    &g_RSSCOPE_ATTR_MSO_DIGITAL_CHANNEL_DISPLAY,
    &g_RSSCOPE_ATTR_MSO_SIGNAL_DESKEW,
    &g_RSSCOPE_ATTR_MSO_TECHNOLOGY,
    &g_RSSCOPE_ATTR_MSO_TRESHOLD,
    &g_RSSCOPE_ATTR_MSO_HYSTERESIS,
    &g_RSSCOPE_ATTR_MSO_DIGITAL_CHANNEL_COUPLING,
    &g_RSSCOPE_ATTR_MSO_BUS_STATE,
    &g_RSSCOPE_ATTR_MSO_DISPLAY_SHOW_DIGITAL_SIGNALS,
    &g_RSSCOPE_ATTR_MSO_DISPLAY_SHOW_BUS,
    &g_RSSCOPE_ATTR_MSO_DISPLAY_REPRESENTATION,
    &g_RSSCOPE_ATTR_MSO_CLOCKED_BUS_STATE,
    &g_RSSCOPE_ATTR_MSO_CLOCKED_BUS,
    &g_RSSCOPE_ATTR_MSO_CLOCKED_BUS_SLOPE,
    &g_RSSCOPE_ATTR_MSO_SIGNAL_DESKEW_ALL_CHANNELS,
    &g_RSSCOPE_ATTR_MSO_CHANNEL_COUPLING,
    &g_RSSCOPE_ATTR_MSO_DIGITAL_RESOLUTION,
    &g_RSSCOPE_ATTR_MSO_DIGITAL_RECORD_LENGTH,
    &g_RSSCOPE_ATTR_MSO_TECHNOLOGY_ALL_CHANNELS,
    &g_RSSCOPE_ATTR_MSO_REMOVE_ALL_ASSIGNED_CHANNELS,
    &g_RSSCOPE_ATTR_MSO_DATA_FORMAT,
    &g_RSSCOPE_ATTR_MSO_SIGNAL_ASSIGN_STATE,
    &g_RSSCOPE_ATTR_MSO_INDIVIDUAL_SIGNAL_DESKEW,
    &g_RSSCOPE_ATTR_MSO_INDIVIDUAL_SIGNAL_LABEL,
    &g_RSSCOPE_ATTR_MSO_TRESHOLD_ALL_CHANNELS,
    &g_RSSCOPE_ATTR_MSO_HYSTERESIS_ALL_CHANNELS,
    &g_RSSCOPE_ATTR_MSO_DECODE_TABLE_SHOW,
    &g_RSSCOPE_ATTR_MSO_DECODE_TABLE_EDGE_COUNT,
    &g_RSSCOPE_ATTR_MSO_DECODE_TABLE_DATA,
    &g_RSSCOPE_ATTR_PULSE_SOURCE_STATE,
    &g_RSSCOPE_ATTR_PULSE_SOURCE_LOW_OUTPUT_LEVEL,
    &g_RSSCOPE_ATTR_PULSE_SOURCE_REPETITION_RATE,
    &g_RSSCOPE_ATTR_PULSE_SOURCE_DUTY_CYCLE,
    &g_RSSCOPE_ATTR_PULSE_SOURCE_CLOCK_MODE,
    &g_RSSCOPE_ATTR_PULSE_SOURCE_RESET,
    &g_RSSCOPE_ATTR_TDR_TDT_START_DEFAULT,
    &g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_LOAD_FILENAME,
    &g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_LOAD,
    &g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_SAVE_FILENAME,
    &g_RSSCOPE_ATTR_TDR_TDT_CALIBRATION_SAVE,
    &g_RSSCOPE_ATTR_TDR_TDT_ANALYSIS_TYPE,
    &g_RSSCOPE_ATTR_TDR_TDT_CONNECTION_CONFIGURATION,
    &g_RSSCOPE_ATTR_TDR_TDT_PULSE_REFERENCE_CHANNEL,
    &g_RSSCOPE_ATTR_TDR_TDT_PULSE_OUT_CHANNEL,
    &g_RSSCOPE_ATTR_TDR_TDT_PULSE_DIFF_OUT_CHANNEL,
    &g_RSSCOPE_ATTR_TDR_TDT_PULSE_DIFF_REFERENCE_CHANNEL,
    &g_RSSCOPE_ATTR_TDR_TDT_SHORT_LENGTH,
    &g_RSSCOPE_ATTR_TDR_TDT_ENABLED,
    &g_RSSCOPE_ATTR_TDR_TDT_USE_CALIBRATION_DATA,
    &g_RSSCOPE_ATTR_TDR_TDT_BANDWIDTH,
    &g_RSSCOPE_ATTR_TDR_TDT_DOMAIN,
    &g_RSSCOPE_ATTR_TDR_TDT_DUT_PERMITTIVITY,
    &g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_STATE,
    &g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_VERTICAL_SCALE,
    &g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_OFFSET,
    &g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_VERTICAL_POSITION,
    &g_RSSCOPE_ATTR_TDR_TDT_SIGNAL_WAVEFORM_HEADER,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ENABLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PRESET,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OPERATION_MODE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COPY_SETTINGS,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FUNCTION_TYPE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PERIOD,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_DUTY_CYCLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SYMMETRY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PULSE_WIDTH,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_MODULATION_TYPE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_CARRIER_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_CARRIER_PERIOD,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_SIGNAL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DEPTH,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_DUTY_CYCLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_AM_MODULATION_SYMMETRY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_SIGNAL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_FREQUENCY_DEVIATION,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_DUTY_CYCLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FM_MODULATION_SYMMETRY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_SIGNAL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_DEPTH,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_DUTY_CYCLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_PWM_MODULATION_SYMMETRY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_FREQUENCY_1,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_FREQUENCY_2,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_FSK_MODULATION_HOP_RATE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_START_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_STOP_FREQUENCY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_SWEEP_TIME,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SOURCE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RUN_MODE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_RUN_SINGLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SAMPLE_RATE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SAMPLES,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_FILE_NAME,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_OPEN_FILE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_FILE_NAME,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_OPEN_FILE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_MULTICHANNEL_WAVEFORM,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SCOPE_SOURCE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ARBITRARY_SCOPE_OPEN,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_AMPLITUDE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_OFFSET,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_HIGH_LEVEL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_LOW_LEVEL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_INVERSION,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_USER_LOAD,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_OUTPUT_DC_LEVEL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_ADD_NOISE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_LEVEL_PERCENT,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_ABSOLUTE_LEVEL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_NOISE_DC_LEVEL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ENABLE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ALL,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_OUTPUT,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_NOISE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_ARBITRARY,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_AMPLITUDE,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_PHASE_SHIFT,
    &g_RSSCOPE_ATTR_WAVEFORM_GENERATOR_COUPLING_FREQUENCY,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_ENABLE,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_PRESET,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_RUN_MODE,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_RUN_SINGLE,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_BIT_RATE,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_HIGH_LEVEL,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_FILE_NAME,
    &g_RSSCOPE_ATTR_PATTERN_GENERATOR_LOAD_PATTERN,
    &g_RSSCOPE_ATTR_GENERATOR_SYNCHRONIZATION,
    &g_RSSCOPE_ATTR_GENERATOR_START_ALIGNMENT,
    &g_RSSCOPE_ATTR_GENERATOR_START_ALIGNMENT_WITH_OPC,
    &g_RSSCOPE_ATTR_GENERATOR_ABORT_ALIGNMENT,
    &g_RSSCOPE_ATTR_GENERATOR_ALIGNMENT_DATE,
    &g_RSSCOPE_ATTR_GENERATOR_ALIGNMENT_TIME,
    &g_RSSCOPE_ATTR_GENERATOR_ALIGNMENT_OVERALL_STATE,
    &g_RSSCOPE_ATTR_NUMBER_OF_FRONTENDS,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_PRESET,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MEASUREMENT_SETUP,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CHANNEL,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FILE_PATH,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CABLE_ALIGNMENT,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_STATE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_CURRENT_STATE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_TYPE,
    &g_RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_CONNECTION_TYPE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IDENTIFIER,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_INPUT,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_LEVEL,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_REFERENCE_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_OUTPUT,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_BANDWIDTH,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_IN_FREQUENCY_CABLE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_GAIN,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_INPUT,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_OUTPUT_STATE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION_AUTO_MODE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_AMPLITUDE_MODE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_ATTENUATION_STEP_VALUES,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_CONNECTION_ERROR,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_AUTO_MODE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_COUNT,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_LIST,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_SELECTION,
    &g_RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_IF_RANGE,
    &g_RSSCOPE_ATTR_HIDDEN_EXTERNAL_FRONTEND_FREQUENCY_BAND_CONFIG_RF_RANGE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MAX_IF_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MIN_IF_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_FREQUENCY_SIDEBAND,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_LO_OUTPUT_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MAX_RF_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_MIN_RF_FREQUENCY,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_REFERENCE_FREQUENCY_LIST,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_IF_ATTENUATION,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_RF_CONNECTOR,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_UPDATE,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_SELECTED_MULTI_BAND,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_NUMBER_OF_FREQUENCY_BANDS,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_LIST,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_START,
    &g_RSSCOPE_ATTR_EXTERNAL_FRONTEND_FREQUENCY_BAND_END,
    &g_RSSCOPE_ATTR_IQ_MODE_STATE,
    &g_RSSCOPE_ATTR_IQ_INPUT_SAMPLE_RATE,
    &g_RSSCOPE_ATTR_IQ_RELATIVE_BANDWIDTH,
    &g_RSSCOPE_ATTR_IQ_SAMPLE_RATE,
    &g_RSSCOPE_ATTR_IQ_RECORD_LENGTH,
    &g_RSSCOPE_ATTR_IQ_FILTER_BANDWIDTH,
    &g_RSSCOPE_ATTR_IQ_INPUT_TYPE,
    &g_RSSCOPE_ATTR_IQ_INPUT_MODE,
    &g_RSSCOPE_ATTR_IQ_CARRIER_FREQUENCY,
    &g_RSSCOPE_ATTR_IQ_REAL_SIDEBAND,
    &g_RSSCOPE_ATTR_IQ_COMPLEX_SIDEBAND,
    &g_RSSCOPE_ATTR_IQ_WARNING_ENABLED,
    &g_RSSCOPE_ATTR_IQ_WARNING_MESSAGE,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_X_SCALING,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_WAVEFORM_DATA_SIGNAL_TYPE,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_COLOR_TABLE_MODE,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_USE_COLOR_TABLE,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_SPECTROGRAM_ENABLED,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_COUPLED_SPECTRUM,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_TIMELINE_ENABLED,
    &g_RSSCOPE_ATTR_SPECTRUM_ANALYSIS_TIMELINE_POSITION,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_SERIAL_STANDARD,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE_CORRECTION_ENABLED,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_BIT_RATE_SOURCE,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_ESTIMATE_BIT_RATE_ONCE,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_DATA_EDGES,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_INITIAL_PHASE_SYNC,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_SELECTED_RESULTS,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_ALGORITHM,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_SAMPLING_TIME,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_ORDER,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_DAMPING,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_BANDWIDTH,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_REL_BANDWIDTH,
    &g_RSSCOPE_ATTR_CDR_SOFTWARE_PLL_REVERSE_LOCK_ENABLED,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_SOURCE,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_SERIAL_STANDARD,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_ESTIMATE_BIT_RATE_ONCE,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_BIT_RATE,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_DATA_EDGES,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_ORDER,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_DAMPING,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_BANDWIDTH,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_PLL_REL_BANDWIDTH,
    &g_RSSCOPE_ATTR_USE_CDR,
    &g_RSSCOPE_ATTR_CDR_HARDWARE_TRIGGER_UI_OFFSET,
    &g_RSSCOPE_ATTR_DISPLAY_UPDATE,
    &g_RSSCOPE_ATTR_DISPLAY_MESSAGE_ENABLED,
    &g_RSSCOPE_ATTR_DISPLAY_MESSAGE_TEXT,
    &g_RSSCOPE_ATTR_DISPLAY_GATE_TRANSPARENCY,
    &g_RSSCOPE_ATTR_DISPLAY_CLEAR_RESULTS,
    &g_RSSCOPE_ATTR_DISPLAY_RESULTS_ON_EXTERNAL_MONITOR_ENABLED,
    &g_RSSCOPE_ATTR_DISPLAY_DIALOGS_ON_EXTERNAL_MONITOR_ENABLED,
    &g_RSSCOPE_ATTR_PERSISTENCE_STATE,
    &g_RSSCOPE_ATTR_INFINITE_PERSISTENCE,
    &g_RSSCOPE_ATTR_PERSISTENCE_TIME,
    &g_RSSCOPE_ATTR_PERSISTENCE_RESET,
    &g_RSSCOPE_ATTR_SIGNAL_STYLE_INTENSITY,
    &g_RSSCOPE_ATTR_SIGNAL_STYLE,
    &g_RSSCOPE_ATTR_USE_COLOR_TABLE,
    &g_RSSCOPE_ATTR_ASSIGN_COLOR_TABLE,
    &g_RSSCOPE_ATTR_SIGNAL_COLOR,
    &g_RSSCOPE_ATTR_ADD_COLOR_TABLE,
    &g_RSSCOPE_ATTR_REMOVE_COLOR_TABLE,
    &g_RSSCOPE_ATTR_COLOR_TABLE_COUNT,
    &g_RSSCOPE_ATTR_COLOR_TABLE_APPEND_NEW_ROW,
    &g_RSSCOPE_ATTR_DIAGRAM_SHOW_GRID,
    &g_RSSCOPE_ATTR_DIAGRAM_SHOW_CROSSHAIR,
    &g_RSSCOPE_ATTR_DIAGRAM_SHOW_LABELS,
    &g_RSSCOPE_ATTR_DIAGRAM_SHOW_TAB_TITLES,
    &g_RSSCOPE_ATTR_DIAGRAM_KEEP_Y_GRID_FIXED,
    &g_RSSCOPE_ATTR_DIAGRAM_KEEP_X_GRID_FIXED,
    &g_RSSCOPE_ATTR_DIAGRAM_SHOW_FINE_GRID_SCALE,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_STATE,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_POSITION,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_AUTO_HIDE,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_HIDE_TIME,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_HIDE_HEAD,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_HIDING_TRANSPARENCY,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_BORDER_COLOR,
    &g_RSSCOPE_ATTR_SIGNAL_BAR_FILL_COLOR,
    &g_RSSCOPE_ATTR_RESULT_BOX_POSITION,
    &g_RSSCOPE_ATTR_REMOVE_DIAGRAM,
    &g_RSSCOPE_ATTR_DISPLAY_DIAGRAM,
    &g_RSSCOPE_ATTR_REMOVE_WAVEFORM_FROM_DIAGRAM,
    &g_RSSCOPE_ATTR_HIDDEN_LABEL_ID_LIST,
    &g_RSSCOPE_ATTR_SELECTED_LABEL_NAME,
    &g_RSSCOPE_ATTR_SELECTED_LABEL_SOURCE,
    &g_RSSCOPE_ATTR_LABEL_SHOW,
    &g_RSSCOPE_ATTR_HIDDEN_WAVEFORM_LABEL_STATE,
    &g_RSSCOPE_ATTR_WAVEFORM_LABEL_FONT_SIZE,
    &g_RSSCOPE_ATTR_DIAGRAM_ZOOM_OVERLAY,
    &g_RSSCOPE_ATTR_XY_DIAGRAM_STATE,
    &g_RSSCOPE_ATTR_XY_DIAGRAM_RATIO,
    &g_RSSCOPE_ATTR_SWAP_XY_DIAGRAM,
    &g_RSSCOPE_ATTR_XY_DIAGRAM_X_SOURCE,
    &g_RSSCOPE_ATTR_XY_DIAGRAM_Y_SOURCE,
    &g_RSSCOPE_ATTR_HISTORY_GET_ACQUISITIONS_COUNT,
    &g_RSSCOPE_ATTR_HISTORY_STATE,
    &g_RSSCOPE_ATTR_HISTORY_START_INDEX,
    &g_RSSCOPE_ATTR_HISTORY_STOP_INDEX,
    &g_RSSCOPE_ATTR_HISTORY_ACQUISITION_VIEW,
    &g_RSSCOPE_ATTR_HISTORY_ACQUISITION_TIME,
    &g_RSSCOPE_ATTR_HISTORY_AUTO_REPEAT,
    &g_RSSCOPE_ATTR_HISTORY_PLAYBACK,
    &g_RSSCOPE_ATTR_HISTORY_ABSOLUTE_TIME_STAMP,
    &g_RSSCOPE_ATTR_HISTORY_RELATIVE_TIME_STAMP,
    &g_RSSCOPE_ATTR_HISTORY_TIME_REFERENCE,
    &g_RSSCOPE_ATTR_HISTORY_DATE,
    &g_RSSCOPE_ATTR_SAVE,
    &g_RSSCOPE_ATTR_RECALL,
    &g_RSSCOPE_ATTR_DRIVES,
    &g_RSSCOPE_ATTR_CHANGE_DRIVE,
    &g_RSSCOPE_ATTR_CURRENT_DIRECTORY,
    &g_RSSCOPE_ATTR_CREATE_DIRECTORY,
    &g_RSSCOPE_ATTR_REMOVE_DIRECTORY,
    &g_RSSCOPE_ATTR_DELETE_FILE,
    &g_RSSCOPE_ATTR_SAVESET_PREVIEW_IMAGE,
    &g_RSSCOPE_ATTR_SAVESET_ONE_FILE_NAME,
    &g_RSSCOPE_ATTR_SAVESET_ONE_FILE_OPEN,
    &g_RSSCOPE_ATTR_SAVESET_ONE_FILE_SAVE,
    &g_RSSCOPE_ATTR_SAVESET_ONE_FILE_USER_PREFERENCE,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_MULTICHANNEL,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SOURCE,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_CURSOR,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_GATE,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_START,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_SCOPE_STOP,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_DATA_LOGGING,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_TIMESTAMPS,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_FAST_EXPORT,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_FILE,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_RAW_VALUES,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_DISPLAY_OFF,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_CDR_INFO,
    &g_RSSCOPE_ATTR_WAVEFORM_EXPORT_CHANNEL,
    &g_RSSCOPE_ATTR_HISTOGRAM_EXPORT_NAME,
    &g_RSSCOPE_ATTR_HISTOGRAM_EXPORT_INCIDENCE,
    &g_RSSCOPE_ATTR_HISTOGRAM_EXPORT_FILE,
    &g_RSSCOPE_ATTR_HISTOGRAM_EXPORT,
    &g_RSSCOPE_ATTR_NUMERIC_RESULTS_DECIMAL_SYMBOL,
    &g_RSSCOPE_ATTR_NUMERIC_RESULTS_DELIMITER,
    &g_RSSCOPE_ATTR_NUMERIC_RESULTS_OMIT_UNITS,
    &g_RSSCOPE_ATTR_NUMERIC_RESULTS_EXPORT_FILE_NAME,
    &g_RSSCOPE_ATTR_NUMERIC_RESULTS_SAVE,
    &g_RSSCOPE_ATTR_LONG_TERM_EXPORT_RESULT,
    &g_RSSCOPE_ATTR_LONG_TERM_EXPORT_TYPE,
    &g_RSSCOPE_ATTR_LONG_TERM_EXPORT_FILE,
    &g_RSSCOPE_ATTR_LONG_TERM_EXPORT,
    &g_RSSCOPE_ATTR_REPORT_LANGUAGE,
    &g_RSSCOPE_ATTR_REPORT_PAPER_SIZE,
    &g_RSSCOPE_ATTR_REPORT_USER,
    &g_RSSCOPE_ATTR_REPORT_COMMENT,
    &g_RSSCOPE_ATTR_REPORT_LOGO_TYPE,
    &g_RSSCOPE_ATTR_REPORT_LOGO_FILE,
    &g_RSSCOPE_ATTR_REPORT_FILE_NAME,
    &g_RSSCOPE_ATTR_SAVE_REPORT,
    &g_RSSCOPE_ATTR_EXPORT_EYE_SELECT,
    &g_RSSCOPE_ATTR_EXPORT_EYE_SOURCE,
    &g_RSSCOPE_ATTR_EXPORT_EYE_PATH,
    &g_RSSCOPE_ATTR_EXPORT_EYE_SAVE,
    &g_RSSCOPE_ATTR_HIDDEN_EXPORT_EYE_DATA,
    &g_RSSCOPE_ATTR_AUTONAMING_PREFIX,
    &g_RSSCOPE_ATTR_AUTONAMING_TEXT,
    &g_RSSCOPE_ATTR_AUTONAMING_USER_TEXT,
    &g_RSSCOPE_ATTR_AUTONAMING_DATE,
    &g_RSSCOPE_ATTR_AUTONAMING_INDEX,
    &g_RSSCOPE_ATTR_AUTONAMING_TIME,
    &g_RSSCOPE_ATTR_AUTONAMING_DEFAULT_PATH,
    &g_RSSCOPE_ATTR_AUTONAMING_RESET_PATH,
    &g_RSSCOPE_ATTR_AUTONAMING_RESET_ALL_SETTINGS,
    &g_RSSCOPE_ATTR_HARDCOPY_FILE_NAME,
    &g_RSSCOPE_ATTR_HARDCOPY_PRINT,
    &g_RSSCOPE_ATTR_HARDCOPY_PRINT_NEXT,
    &g_RSSCOPE_ATTR_HARDCOPY_GET_FIRST_PRINTER,
    &g_RSSCOPE_ATTR_HARDCOPY_GET_NEXT_PRINTER,
    &g_RSSCOPE_ATTR_HARDCOPY_COLOR,
    &g_RSSCOPE_ATTR_HARDCOPY_DEVICE_DESTINATION,
    &g_RSSCOPE_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT,
    &g_RSSCOPE_ATTR_HARDCOPY_DEVICE_ORIENTATION,
    &g_RSSCOPE_ATTR_HARDCOPY_WHITE_BACKGROUND,
    &g_RSSCOPE_ATTR_HARDCOPY_SELECT_PRINTER,
    &g_RSSCOPE_ATTR_HARDCOPY_PRINT_COLOR_SET,
    &g_RSSCOPE_ATTR_HARDCOPY_INVERSE_COLORS,
    &g_RSSCOPE_ATTR_HARDCOPY_INCLUDE_SIGNAL_BAR,
    &g_RSSCOPE_ATTR_HARDCOPY_SHOW_SETUP_DIALOG,
    &g_RSSCOPE_ATTR_EXTERNAL_APPLICATION_NAME,
    &g_RSSCOPE_ATTR_EXTERNAL_APPLICATION_PARAMETER,
    &g_RSSCOPE_ATTR_EXTERNAL_APPLICATION_WORKING_DIRECTORY,
    &g_RSSCOPE_ATTR_QUICK_ACTION_MODE,
    &g_RSSCOPE_ATTR_QUICK_ACTION_APPLICATION_PATH,
    &g_RSSCOPE_ATTR_QUICK_ACTION_PARAMETER,
    &g_RSSCOPE_ATTR_QUICK_ACTION_WORKING_DIRECTORY,
    &g_RSSCOPE_ATTR_QUICK_ACTION_EXECUTE,
    &g_RSSCOPE_ATTR_CHANNEL_COUNT,
    &g_RSSCOPE_ATTR_FIRMWARE_SHUTDOWN,
    &g_RSSCOPE_ATTR_FIRMWARE_VERSION,
    &g_RSSCOPE_ATTR_COMPUTER_NAME,
    &g_RSSCOPE_ATTR_MATERIAL_NUMBER,
    &g_RSSCOPE_ATTR_SERIAL_NUMBER,
    &g_RSSCOPE_ATTR_START_SELFTEST,
    &g_RSSCOPE_ATTR_SELFTEST_STATUS,
    &g_RSSCOPE_ATTR_SET_QUERY_PATTERN_FORMAT,
    &g_RSSCOPE_ATTR_SERVICE_MODE_PASSWORD,
    &g_RSSCOPE_ATTR_SCOPE_MODEL,
    &g_RSSCOPE_ATTR_SCOPE_SERIES,
    &g_RSSCOPE_ATTR_SCOPE_FAMILY,
    &g_RSSCOPE_ATTR_USER_DEFINED_PRESET_ENABLED,
    &g_RSSCOPE_ATTR_USER_DEFINED_PRESET_PATH_AND_FILE_NAME,
    &g_RSSCOPE_ATTR_USER_DEFINED_PRESET_OPEN,
    &g_RSSCOPE_ATTR_USER_DEFINED_PRESET_SAVE,
    &g_RSSCOPE_ATTR_ID_QUERY_RESPONSE,
    &g_RSSCOPE_ATTR_LOGGING,
    &g_RSSCOPE_ATTR_CALIBRATION,
    &g_RSSCOPE_ATTR_SELF_TEST_QUERY,
    &g_RSSCOPE_ATTR_BYTE_ORDER,
    &g_RSSCOPE_ATTR_SYSTEM_ERROR_ALL,
    &g_RSSCOPE_ATTR_SYSTEM_ERROR,
    &g_RSSCOPE_ATTR_SYSTEM_ERROR_CODE_ALL,
    &g_RSSCOPE_ATTR_SYSTEM_ERROR_CODE,
    &g_RSSCOPE_ATTR_SYSTEM_ERROR_COUNT,
    &g_RSSCOPE_ATTR_OPERATION_REGISTER_ENABLED,
    &g_RSSCOPE_ATTR_OPERATION_REGISTER_EVENT,
    &g_RSSCOPE_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSSCOPE_ATTR_GPIB_ADDRESS,
    &g_RSSCOPE_ATTR_GPIB_TERMINATOR,
    &g_RSSCOPE_ATTR_SYSTEM_SHUTDOWN,
    &g_RSSCOPE_ATTR_SYSTEM_VERSION,
    &g_RSSCOPE_ATTR_SYSTEM_PRESET,
    &g_RSSCOPE_ATTR_SYSTEM_DEVICE_ID,
    &g_RSSCOPE_ATTR_LOCK_LOCAL_KEYS,
    &g_RSSCOPE_ATTR_SYSTEM_INFO_DEVICE_FOOTPRINT,
    &g_RSSCOPE_ATTR_SYSTEM_REMOTE_CONTROL_COMMAND_SET,
    &g_RSSCOPE_ATTR_QUERY_SYSTEM_DATE,
    &g_RSSCOPE_ATTR_QUERY_SYSTEM_TIME,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_FILE_NAME,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_FILE_FORMAT,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_FILE_SIZE,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_START_MODE,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_STOP_MODE,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_ENABLED,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_COMMAND_EXECUTION_DURATION_ENABLED,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_RPC_OUTPUT_ENABLED,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_PARSER_TRANSITIONS_OUTPUT_ENABLED,
    &g_RSSCOPE_ATTR_REMOTE_TRACE_FUNCTION_NAMES_OUTPUT_ENABLED
  };
